#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 20241
#define LARGE_STATE_COUNT 2894
#define SYMBOL_COUNT 421
#define ALIAS_COUNT 12
#define TOKEN_COUNT 144
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 15
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 137

enum ts_symbol_identifiers {
  sym__lowercase_identifier = 1,
  sym_shebang = 2,
  anon_sym_SEMI_SEMI = 3,
  anon_sym_let = 4,
  anon_sym_rec = 5,
  anon_sym_and = 6,
  anon_sym_COLON_GT = 7,
  anon_sym_EQ = 8,
  anon_sym_TILDE = 9,
  anon_sym_QMARK = 10,
  anon_sym_COLON = 11,
  anon_sym_LPAREN = 12,
  anon_sym_RPAREN = 13,
  anon_sym_external = 14,
  anon_sym_type = 15,
  anon_sym_nonrec = 16,
  anon_sym_private = 17,
  anon_sym_DOT_DOT = 18,
  anon_sym_PLUS_EQ = 19,
  anon_sym_COMMA = 20,
  anon_sym_PLUS = 21,
  anon_sym_BANG = 22,
  anon_sym_DASH = 23,
  anon_sym__ = 24,
  anon_sym_COLON_EQ = 25,
  anon_sym_PIPE = 26,
  anon_sym_LBRACK = 27,
  anon_sym_RBRACK = 28,
  anon_sym_true = 29,
  anon_sym_false = 30,
  anon_sym_of = 31,
  anon_sym_COLON2 = 32,
  anon_sym_DOT = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_STAR = 35,
  anon_sym_LBRACE = 36,
  anon_sym_SEMI = 37,
  anon_sym_RBRACE = 38,
  anon_sym_mutable = 39,
  anon_sym_constraint = 40,
  anon_sym_exception = 41,
  anon_sym_module = 42,
  anon_sym_open = 43,
  anon_sym_include = 44,
  anon_sym_class = 45,
  anon_sym_virtual = 46,
  anon_sym_val = 47,
  anon_sym_sig = 48,
  anon_sym_end = 49,
  anon_sym_with = 50,
  anon_sym_functor = 51,
  anon_sym_struct = 52,
  anon_sym_object = 53,
  anon_sym_inherit = 54,
  anon_sym_method = 55,
  anon_sym_in = 56,
  anon_sym_fun = 57,
  anon_sym_as = 58,
  anon_sym_initializer = 59,
  anon_sym_LBRACK_GT = 60,
  anon_sym_LBRACK_LT = 61,
  anon_sym_GT = 62,
  anon_sym_AMP = 63,
  anon_sym_LT = 64,
  anon_sym_POUND = 65,
  anon_sym_COLON_COLON = 66,
  anon_sym_LBRACK_PIPE = 67,
  anon_sym_PIPE_RBRACK = 68,
  anon_sym_LT_DASH = 69,
  anon_sym_if = 70,
  anon_sym_then = 71,
  anon_sym_else = 72,
  anon_sym_while = 73,
  anon_sym_do = 74,
  anon_sym_done = 75,
  anon_sym_for = 76,
  anon_sym_to = 77,
  anon_sym_downto = 78,
  anon_sym_match = 79,
  anon_sym_when = 80,
  anon_sym_function = 81,
  anon_sym_try = 82,
  anon_sym_assert = 83,
  anon_sym_lazy = 84,
  anon_sym_new = 85,
  anon_sym_LBRACE_LT = 86,
  anon_sym_GT_RBRACE = 87,
  anon_sym_begin = 88,
  sym_ocamlyacc_value = 89,
  anon_sym_effect = 90,
  aux_sym_attribute_token1 = 91,
  anon_sym_LBRACK_AT_AT = 92,
  anon_sym_LBRACK_AT_AT_AT = 93,
  anon_sym_LBRACK_PERCENT = 94,
  anon_sym_LBRACE_PERCENT = 95,
  aux_sym_quoted_extension_token1 = 96,
  anon_sym_LBRACK_PERCENT_PERCENT = 97,
  anon_sym_LBRACE_PERCENT_PERCENT = 98,
  anon_sym_PERCENT = 99,
  aux_sym_number_token1 = 100,
  aux_sym_signed_number_token1 = 101,
  anon_sym_SQUOTE = 102,
  anon_sym_SQUOTE2 = 103,
  aux_sym_character_content_token1 = 104,
  aux_sym_character_content_token2 = 105,
  anon_sym_DQUOTE = 106,
  aux_sym_string_content_token1 = 107,
  aux_sym_string_content_token2 = 108,
  aux_sym_string_content_token3 = 109,
  aux_sym_string_content_token4 = 110,
  aux_sym_string_content_token5 = 111,
  aux_sym_quoted_string_content_token1 = 112,
  aux_sym_escape_sequence_token1 = 113,
  aux_sym_escape_sequence_token2 = 114,
  aux_sym_escape_sequence_token3 = 115,
  aux_sym_escape_sequence_token4 = 116,
  sym_conversion_specification = 117,
  sym_pretty_printing_indication = 118,
  sym_prefix_operator = 119,
  aux_sym_sign_operator_token1 = 120,
  sym_hash_operator = 121,
  sym_pow_operator = 122,
  sym_mult_operator = 123,
  aux_sym_add_operator_token1 = 124,
  sym_concat_operator = 125,
  sym_rel_operator = 126,
  sym_and_operator = 127,
  sym_or_operator = 128,
  sym_assign_operator = 129,
  sym_indexing_operator = 130,
  sym_let_operator = 131,
  sym_let_and_operator = 132,
  sym_match_operator = 133,
  sym__uppercase_identifier = 134,
  aux_sym_directive_token1 = 135,
  aux_sym_type_variable_token1 = 136,
  aux_sym_tag_token1 = 137,
  aux_sym_attribute_id_token1 = 138,
  sym_comment = 139,
  sym__left_quoted_string_delimiter = 140,
  sym__right_quoted_string_delimiter = 141,
  sym_line_number_directive = 142,
  sym__null = 143,
  sym_type = 144,
  sym__structure = 145,
  sym_expression_item = 146,
  sym__signature = 147,
  sym_toplevel_directive = 148,
  sym__structure_item = 149,
  sym_value_definition = 150,
  sym_let_binding = 151,
  sym_parameter = 152,
  sym_external = 153,
  sym_type_definition = 154,
  sym_type_binding = 155,
  sym__type_params = 156,
  sym__type_param = 157,
  sym__type_equation = 158,
  sym_variant_declaration = 159,
  sym_constructor_declaration = 160,
  sym__constructor_argument = 161,
  sym_record_declaration = 162,
  sym_field_declaration = 163,
  sym_type_constraint = 164,
  sym_exception_definition = 165,
  sym_module_definition = 166,
  sym_module_binding = 167,
  sym_module_parameter = 168,
  sym_module_type_definition = 169,
  sym_open_module = 170,
  sym_include_module = 171,
  sym_class_definition = 172,
  sym_class_binding = 173,
  sym_class_type_definition = 174,
  sym_class_type_binding = 175,
  sym__signature_item = 176,
  sym_value_specification = 177,
  sym_include_module_type = 178,
  sym__module_typed = 179,
  sym__module_type = 180,
  sym_signature = 181,
  sym_module_type_constraint = 182,
  sym_constrain_type = 183,
  sym_constrain_module = 184,
  sym_constrain_module_type = 185,
  sym_module_type_of = 186,
  sym_functor_type = 187,
  sym_parenthesized_module_type = 188,
  sym__simple_module_expression = 189,
  sym__module_expression = 190,
  sym_structure = 191,
  sym_functor = 192,
  sym_module_application = 193,
  sym_typed_module_expression = 194,
  sym_packed_module = 195,
  sym_parenthesized_module_expression = 196,
  sym__class_typed = 197,
  sym__simple_class_type = 198,
  sym__class_type = 199,
  sym_instantiated_class_type = 200,
  sym_class_body_type = 201,
  sym__class_field_specification = 202,
  sym_inheritance_specification = 203,
  sym_instance_variable_specification = 204,
  sym_method_specification = 205,
  sym_type_parameter_constraint = 206,
  sym_let_open_class_type = 207,
  sym_class_function_type = 208,
  sym__simple_class_expression = 209,
  sym__class_expression = 210,
  sym_instantiated_class = 211,
  sym_typed_class_expression = 212,
  sym_class_function = 213,
  sym_class_application = 214,
  sym_let_class_expression = 215,
  sym__class_field = 216,
  sym_inheritance_definition = 217,
  sym_instance_variable_definition = 218,
  sym_method_definition = 219,
  sym_class_initializer = 220,
  sym_let_open_class_expression = 221,
  sym_parenthesized_class_expression = 222,
  sym__typed = 223,
  sym__simple_typed = 224,
  sym__polymorphic_typed = 225,
  sym__polymorphic_type = 226,
  sym_polymorphic_type = 227,
  sym__abstract_type = 228,
  sym__parenthesized_abstract_type = 229,
  sym__simple_type = 230,
  sym__tuple_type = 231,
  sym__type = 232,
  sym_function_type = 233,
  sym_typed_label = 234,
  sym_tuple_type = 235,
  sym_constructed_type = 236,
  sym_aliased_type = 237,
  sym_local_open_type = 238,
  sym_polymorphic_variant_type = 239,
  sym__tag_spec = 240,
  sym_tag_specification = 241,
  sym_package_type = 242,
  sym_object_type = 243,
  sym_method_type = 244,
  sym_hash_type = 245,
  sym_parenthesized_type = 246,
  sym__simple_expression = 247,
  sym__expression = 248,
  sym__sequence_expression = 249,
  sym_typed_expression = 250,
  sym_product_expression = 251,
  sym_cons_expression = 252,
  sym_list_expression = 253,
  sym_array_expression = 254,
  sym_record_expression = 255,
  sym_field_expression = 256,
  sym_application_expression = 257,
  sym_labeled_argument = 258,
  sym_prefix_expression = 259,
  sym_sign_expression = 260,
  sym_hash_expression = 261,
  sym_infix_expression = 262,
  sym_field_get_expression = 263,
  sym_array_get_expression = 264,
  sym_string_get_expression = 265,
  sym_bigarray_get_expression = 266,
  sym_set_expression = 267,
  sym_if_expression = 268,
  sym_then_clause = 269,
  sym_else_clause = 270,
  sym_while_expression = 271,
  sym_do_clause = 272,
  sym_for_expression = 273,
  sym_sequence_expression = 274,
  sym_match_expression = 275,
  sym__match_cases = 276,
  sym_match_case = 277,
  sym_guard = 278,
  sym_refutation_case = 279,
  sym_function_expression = 280,
  sym_fun_expression = 281,
  sym_try_expression = 282,
  sym_let_expression = 283,
  sym_coercion_expression = 284,
  sym_assert_expression = 285,
  sym_lazy_expression = 286,
  sym_let_module_expression = 287,
  sym_let_open_expression = 288,
  sym_local_open_expression = 289,
  sym_package_expression = 290,
  sym_let_exception_expression = 291,
  sym_new_expression = 292,
  sym_object_copy_expression = 293,
  sym_instance_variable_expression = 294,
  sym_method_invocation = 295,
  sym_object_expression = 296,
  sym_parenthesized_expression = 297,
  sym__simple_pattern = 298,
  sym__effect_pattern = 299,
  sym__pattern = 300,
  sym__binding_pattern = 301,
  sym_alias_pattern = 302,
  sym_alias_binding_pattern = 303,
  sym_typed_pattern = 304,
  sym_typed_binding_pattern = 305,
  sym_or_pattern = 306,
  sym_or_binding_pattern = 307,
  sym_constructor_pattern = 308,
  sym_constructor_binding_pattern = 309,
  sym_tag_pattern = 310,
  sym_tag_binding_pattern = 311,
  sym_polymorphic_variant_pattern = 312,
  sym_tuple_pattern = 313,
  sym_tuple_binding_pattern = 314,
  sym_record_pattern = 315,
  sym_field_pattern = 316,
  sym_record_binding_pattern = 317,
  sym_field_binding_pattern = 318,
  sym_list_pattern = 319,
  sym_list_binding_pattern = 320,
  sym_cons_pattern = 321,
  sym_cons_binding_pattern = 322,
  sym_array_pattern = 323,
  sym_array_binding_pattern = 324,
  sym_range_pattern = 325,
  sym_lazy_pattern = 326,
  sym_lazy_binding_pattern = 327,
  sym_local_open_pattern = 328,
  sym_local_open_binding_pattern = 329,
  sym_package_pattern = 330,
  sym_parenthesized_pattern = 331,
  sym_parenthesized_binding_pattern = 332,
  sym_exception_pattern = 333,
  sym_effect_pattern = 334,
  sym_attribute = 335,
  sym_item_attribute = 336,
  sym_floating_attribute = 337,
  sym_attribute_payload = 338,
  sym_extension = 339,
  sym_quoted_extension = 340,
  sym_item_extension = 341,
  sym_quoted_item_extension = 342,
  sym__attribute = 343,
  sym__constant = 344,
  sym__signed_constant = 345,
  sym_number = 346,
  sym_signed_number = 347,
  sym_character = 348,
  sym_character_content = 349,
  sym_string = 350,
  sym_string_content = 351,
  sym_quoted_string = 352,
  sym__quoted_string = 353,
  sym_quoted_string_content = 354,
  sym_escape_sequence = 355,
  sym_boolean = 356,
  sym_unit = 357,
  sym_sign_operator = 358,
  sym__infix_operator = 359,
  sym_add_operator = 360,
  sym_indexing_operator_path = 361,
  sym__value_name = 362,
  sym__simple_value_pattern = 363,
  sym_parenthesized_operator = 364,
  sym_value_path = 365,
  sym_module_path = 366,
  sym_extended_module_path = 367,
  sym_module_type_path = 368,
  sym_field_path = 369,
  sym_constructor_path = 370,
  sym_type_constructor_path = 371,
  sym_class_path = 372,
  sym_class_type_path = 373,
  sym__instance_variable_name = 374,
  sym__constructor_name = 375,
  sym_directive = 376,
  sym_type_variable = 377,
  sym_tag = 378,
  sym_attribute_id = 379,
  aux_sym__structure_repeat1 = 380,
  aux_sym__structure_repeat2 = 381,
  aux_sym_expression_item_repeat1 = 382,
  aux_sym__signature_repeat1 = 383,
  aux_sym_value_definition_repeat1 = 384,
  aux_sym_let_binding_repeat1 = 385,
  aux_sym_external_repeat1 = 386,
  aux_sym_type_definition_repeat1 = 387,
  aux_sym_type_binding_repeat1 = 388,
  aux_sym__type_params_repeat1 = 389,
  aux_sym_variant_declaration_repeat1 = 390,
  aux_sym_constructor_declaration_repeat1 = 391,
  aux_sym__constructor_argument_repeat1 = 392,
  aux_sym_record_declaration_repeat1 = 393,
  aux_sym_module_definition_repeat1 = 394,
  aux_sym_module_binding_repeat1 = 395,
  aux_sym_class_definition_repeat1 = 396,
  aux_sym_class_type_definition_repeat1 = 397,
  aux_sym_module_type_constraint_repeat1 = 398,
  aux_sym_instantiated_class_type_repeat1 = 399,
  aux_sym_class_body_type_repeat1 = 400,
  aux_sym_instance_variable_specification_repeat1 = 401,
  aux_sym_method_specification_repeat1 = 402,
  aux_sym_class_application_repeat1 = 403,
  aux_sym__abstract_type_repeat1 = 404,
  aux_sym_polymorphic_variant_type_repeat1 = 405,
  aux_sym_polymorphic_variant_type_repeat2 = 406,
  aux_sym_tag_specification_repeat1 = 407,
  aux_sym_object_type_repeat1 = 408,
  aux_sym_list_expression_repeat1 = 409,
  aux_sym_record_expression_repeat1 = 410,
  aux_sym__match_cases_repeat1 = 411,
  aux_sym_object_copy_expression_repeat1 = 412,
  aux_sym_object_expression_repeat1 = 413,
  aux_sym_record_pattern_repeat1 = 414,
  aux_sym_record_binding_pattern_repeat1 = 415,
  aux_sym_list_pattern_repeat1 = 416,
  aux_sym_list_binding_pattern_repeat1 = 417,
  aux_sym_string_content_repeat1 = 418,
  aux_sym_quoted_string_content_repeat1 = 419,
  aux_sym_attribute_id_repeat1 = 420,
  alias_sym_class_name = 421,
  alias_sym_class_type_name = 422,
  alias_sym_constructor_name = 423,
  alias_sym_field_name = 424,
  alias_sym_instance_variable_name = 425,
  alias_sym_label_name = 426,
  alias_sym_method_name = 427,
  alias_sym_module_name = 428,
  alias_sym_module_type_name = 429,
  alias_sym_type_constructor = 430,
  alias_sym_value_name = 431,
  alias_sym_value_pattern = 432,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__lowercase_identifier] = "_lowercase_identifier",
  [sym_shebang] = "shebang",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [anon_sym_effect] = "effect",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__uppercase_identifier] = "_uppercase_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym_type] = "type",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__tuple_type] = "_tuple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_typed_label] = "typed_label",
  [sym_tuple_type] = "tuple_type",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_product_expression] = "product_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__effect_pattern] = "_effect_pattern",
  [sym__pattern] = "_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_or_binding_pattern] = "or_pattern",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_tuple_binding_pattern] = "tuple_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_effect_pattern] = "effect_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__lowercase_identifier] = sym__lowercase_identifier,
  [sym_shebang] = sym_shebang,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [anon_sym_effect] = anon_sym_effect,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__uppercase_identifier] = sym__uppercase_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym_type] = sym_type,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__tuple_type] = sym__tuple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_typed_label] = sym_typed_label,
  [sym_tuple_type] = sym_tuple_type,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_product_expression] = sym_product_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__effect_pattern] = sym__effect_pattern,
  [sym__pattern] = sym__pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_or_binding_pattern] = sym_or_pattern,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_tuple_binding_pattern] = sym_tuple_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_effect_pattern] = sym_effect_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lowercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_effect] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__uppercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__tuple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_label] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_product_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__effect_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_effect_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_body = 2,
  field_class = 3,
  field_condition = 4,
  field_continuation = 5,
  field_effect = 6,
  field_from = 7,
  field_function = 8,
  field_functor = 9,
  field_left = 10,
  field_name = 11,
  field_operator = 12,
  field_pattern = 13,
  field_right = 14,
  field_to = 15,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_continuation] = "continuation",
  [field_effect] = "effect",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_right] = "right",
  [field_to] = "to",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [12] = {.index = 0, .length = 1},
  [18] = {.index = 1, .length = 1},
  [20] = {.index = 1, .length = 1},
  [21] = {.index = 1, .length = 1},
  [22] = {.index = 1, .length = 1},
  [24] = {.index = 2, .length = 2},
  [25] = {.index = 4, .length = 1},
  [26] = {.index = 5, .length = 2},
  [27] = {.index = 7, .length = 1},
  [30] = {.index = 8, .length = 1},
  [33] = {.index = 9, .length = 1},
  [35] = {.index = 10, .length = 1},
  [36] = {.index = 11, .length = 2},
  [37] = {.index = 9, .length = 1},
  [38] = {.index = 9, .length = 1},
  [39] = {.index = 9, .length = 1},
  [40] = {.index = 13, .length = 1},
  [42] = {.index = 14, .length = 3},
  [43] = {.index = 17, .length = 2},
  [44] = {.index = 19, .length = 2},
  [45] = {.index = 21, .length = 1},
  [47] = {.index = 22, .length = 1},
  [48] = {.index = 23, .length = 2},
  [50] = {.index = 25, .length = 2},
  [51] = {.index = 25, .length = 2},
  [53] = {.index = 27, .length = 1},
  [54] = {.index = 25, .length = 2},
  [55] = {.index = 28, .length = 1},
  [56] = {.index = 25, .length = 2},
  [57] = {.index = 10, .length = 1},
  [58] = {.index = 29, .length = 2},
  [59] = {.index = 10, .length = 1},
  [60] = {.index = 31, .length = 1},
  [62] = {.index = 32, .length = 2},
  [63] = {.index = 9, .length = 1},
  [65] = {.index = 34, .length = 1},
  [66] = {.index = 35, .length = 2},
  [67] = {.index = 37, .length = 2},
  [68] = {.index = 39, .length = 2},
  [69] = {.index = 41, .length = 2},
  [70] = {.index = 41, .length = 2},
  [71] = {.index = 39, .length = 2},
  [72] = {.index = 43, .length = 2},
  [73] = {.index = 39, .length = 2},
  [74] = {.index = 25, .length = 2},
  [75] = {.index = 27, .length = 1},
  [76] = {.index = 41, .length = 2},
  [77] = {.index = 39, .length = 2},
  [78] = {.index = 27, .length = 1},
  [79] = {.index = 27, .length = 1},
  [80] = {.index = 41, .length = 2},
  [81] = {.index = 45, .length = 1},
  [82] = {.index = 46, .length = 1},
  [84] = {.index = 45, .length = 1},
  [85] = {.index = 47, .length = 2},
  [86] = {.index = 49, .length = 2},
  [87] = {.index = 51, .length = 2},
  [88] = {.index = 51, .length = 2},
  [89] = {.index = 53, .length = 2},
  [90] = {.index = 49, .length = 2},
  [91] = {.index = 41, .length = 2},
  [92] = {.index = 55, .length = 1},
  [93] = {.index = 51, .length = 2},
  [94] = {.index = 49, .length = 2},
  [95] = {.index = 43, .length = 2},
  [96] = {.index = 43, .length = 2},
  [97] = {.index = 51, .length = 2},
  [98] = {.index = 56, .length = 1},
  [100] = {.index = 57, .length = 2},
  [102] = {.index = 59, .length = 2},
  [103] = {.index = 53, .length = 2},
  [104] = {.index = 61, .length = 1},
  [105] = {.index = 59, .length = 2},
  [107] = {.index = 62, .length = 2},
  [108] = {.index = 53, .length = 2},
  [109] = {.index = 59, .length = 2},
  [110] = {.index = 62, .length = 2},
  [111] = {.index = 53, .length = 2},
  [112] = {.index = 59, .length = 2},
  [113] = {.index = 64, .length = 3},
  [114] = {.index = 67, .length = 2},
  [115] = {.index = 53, .length = 2},
  [116] = {.index = 69, .length = 2},
  [117] = {.index = 71, .length = 2},
  [118] = {.index = 73, .length = 2},
  [119] = {.index = 69, .length = 2},
  [120] = {.index = 75, .length = 2},
  [121] = {.index = 73, .length = 2},
  [122] = {.index = 69, .length = 2},
  [123] = {.index = 77, .length = 3},
  [124] = {.index = 71, .length = 2},
  [125] = {.index = 80, .length = 2},
  [126] = {.index = 82, .length = 2},
  [127] = {.index = 84, .length = 2},
  [128] = {.index = 86, .length = 2},
  [129] = {.index = 80, .length = 2},
  [130] = {.index = 80, .length = 2},
  [131] = {.index = 88, .length = 1},
  [132] = {.index = 84, .length = 2},
  [133] = {.index = 89, .length = 2},
  [134] = {.index = 91, .length = 2},
  [135] = {.index = 93, .length = 2},
  [136] = {.index = 95, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_pattern, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_operator, 0},
    {field_right, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [7] =
    {field_left, 0},
  [8] =
    {field_pattern, 1},
  [9] =
    {field_name, 1},
  [10] =
    {field_name, 2},
  [11] =
    {field_argument, 1},
    {field_functor, 0},
  [13] =
    {field_condition, 1},
  [14] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [17] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [19] =
    {field_left, 0},
    {field_right, 2},
  [21] =
    {field_body, 2},
  [22] =
    {field_body, 3},
  [23] =
    {field_body, 2},
    {field_pattern, 0},
  [25] =
    {field_body, 2},
    {field_name, 0},
  [27] =
    {field_name, 3},
  [28] =
    {field_functor, 0},
  [29] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [31] =
    {field_condition, 2},
  [32] =
    {field_left, 0},
    {field_right, 3},
  [34] =
    {field_pattern, 2},
  [35] =
    {field_body, 3},
    {field_pattern, 0},
  [37] =
    {field_continuation, 3},
    {field_effect, 1},
  [39] =
    {field_body, 3},
    {field_name, 0},
  [41] =
    {field_body, 3},
    {field_name, 1},
  [43] =
    {field_body, 4},
    {field_name, 2},
  [45] =
    {field_pattern, 3},
  [46] =
    {field_body, 4},
  [47] =
    {field_body, 4},
    {field_pattern, 0},
  [49] =
    {field_body, 4},
    {field_name, 0},
  [51] =
    {field_body, 4},
    {field_name, 1},
  [53] =
    {field_body, 5},
    {field_name, 3},
  [55] =
    {field_name, 4},
  [56] =
    {field_body, 5},
  [57] =
    {field_body, 5},
    {field_pattern, 0},
  [59] =
    {field_body, 5},
    {field_name, 1},
  [61] =
    {field_name, 5},
  [62] =
    {field_body, 5},
    {field_name, 2},
  [64] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [67] =
    {field_body, 6},
    {field_pattern, 0},
  [69] =
    {field_body, 6},
    {field_name, 3},
  [71] =
    {field_body, 6},
    {field_name, 4},
  [73] =
    {field_body, 6},
    {field_name, 2},
  [75] =
    {field_body, 6},
    {field_name, 1},
  [77] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [80] =
    {field_body, 7},
    {field_name, 3},
  [82] =
    {field_body, 7},
    {field_name, 4},
  [84] =
    {field_body, 7},
    {field_name, 5},
  [86] =
    {field_body, 7},
    {field_name, 2},
  [88] =
    {field_pattern, 4},
  [89] =
    {field_body, 8},
    {field_name, 4},
  [91] =
    {field_body, 8},
    {field_name, 5},
  [93] =
    {field_body, 8},
    {field_name, 3},
  [95] =
    {field_body, 9},
    {field_name, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_constructor,
  },
  [2] = {
    [0] = alias_sym_module_name,
  },
  [3] = {
    [0] = alias_sym_class_type_name,
  },
  [4] = {
    [0] = alias_sym_value_name,
  },
  [5] = {
    [0] = alias_sym_instance_variable_name,
  },
  [6] = {
    [0] = alias_sym_constructor_name,
  },
  [7] = {
    [0] = alias_sym_module_type_name,
  },
  [8] = {
    [0] = alias_sym_method_name,
  },
  [9] = {
    [0] = alias_sym_label_name,
  },
  [10] = {
    [2] = alias_sym_type_constructor,
  },
  [11] = {
    [2] = alias_sym_module_name,
  },
  [13] = {
    [0] = sym_record_pattern,
  },
  [14] = {
    [0] = sym_list_pattern,
  },
  [15] = {
    [0] = sym_array_pattern,
  },
  [16] = {
    [0] = alias_sym_value_pattern,
  },
  [17] = {
    [0] = sym_type_variable,
  },
  [18] = {
    [0] = alias_sym_type_constructor,
  },
  [19] = {
    [0] = alias_sym_field_name,
  },
  [21] = {
    [0] = alias_sym_module_name,
  },
  [22] = {
    [0] = alias_sym_class_name,
  },
  [23] = {
    [0] = alias_sym_class_name,
  },
  [28] = {
    [1] = alias_sym_label_name,
  },
  [29] = {
    [2] = alias_sym_class_type_name,
  },
  [31] = {
    [1] = alias_sym_constructor_name,
  },
  [32] = {
    [1] = sym_type_variable,
  },
  [33] = {
    [1] = alias_sym_type_constructor,
  },
  [34] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [35] = {
    [2] = alias_sym_module_type_name,
  },
  [37] = {
    [1] = alias_sym_class_name,
  },
  [39] = {
    [1] = alias_sym_method_name,
  },
  [41] = {
    [2] = alias_sym_method_name,
  },
  [46] = {
    [2] = alias_sym_module_type_name,
  },
  [49] = {
    [2] = sym_type_variable,
  },
  [50] = {
    [0] = alias_sym_type_constructor,
  },
  [52] = {
    [2] = alias_sym_field_name,
  },
  [53] = {
    [3] = alias_sym_module_type_name,
  },
  [54] = {
    [0] = alias_sym_module_name,
  },
  [56] = {
    [0] = alias_sym_class_name,
  },
  [59] = {
    [2] = alias_sym_method_name,
  },
  [61] = {
    [2] = alias_sym_class_name,
  },
  [63] = {
    [1] = alias_sym_module_name,
  },
  [64] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [68] = {
    [0] = alias_sym_type_constructor,
  },
  [69] = {
    [1] = alias_sym_type_constructor,
  },
  [72] = {
    [2] = alias_sym_module_type_name,
  },
  [73] = {
    [0] = alias_sym_module_name,
  },
  [74] = {
    [0] = alias_sym_class_type_name,
  },
  [75] = {
    [3] = alias_sym_class_name,
  },
  [76] = {
    [1] = alias_sym_class_name,
  },
  [77] = {
    [0] = alias_sym_class_name,
  },
  [79] = {
    [3] = alias_sym_method_name,
  },
  [80] = {
    [1] = alias_sym_method_name,
  },
  [81] = {
    [1] = alias_sym_label_name,
  },
  [83] = {
    [3] = alias_sym_module_name,
  },
  [86] = {
    [0] = alias_sym_type_constructor,
  },
  [87] = {
    [1] = alias_sym_type_constructor,
  },
  [89] = {
    [3] = alias_sym_module_type_name,
  },
  [90] = {
    [0] = alias_sym_module_name,
  },
  [91] = {
    [1] = alias_sym_class_type_name,
  },
  [92] = {
    [4] = alias_sym_class_name,
  },
  [93] = {
    [1] = alias_sym_class_name,
  },
  [94] = {
    [0] = alias_sym_class_name,
  },
  [96] = {
    [2] = alias_sym_method_name,
  },
  [97] = {
    [1] = alias_sym_method_name,
  },
  [99] = {
    [2] = alias_sym_label_name,
  },
  [101] = {
    [1] = alias_sym_field_name,
  },
  [102] = {
    [1] = alias_sym_type_constructor,
  },
  [103] = {
    [3] = alias_sym_class_name,
  },
  [104] = {
    [5] = alias_sym_class_name,
  },
  [105] = {
    [1] = alias_sym_class_name,
  },
  [106] = {
    [1] = alias_sym_method_name,
  },
  [110] = {
    [2] = alias_sym_method_name,
  },
  [111] = {
    [3] = alias_sym_method_name,
  },
  [112] = {
    [1] = alias_sym_method_name,
  },
  [115] = {
    [3] = alias_sym_class_type_name,
  },
  [116] = {
    [3] = alias_sym_class_name,
  },
  [117] = {
    [4] = alias_sym_class_name,
  },
  [121] = {
    [2] = alias_sym_method_name,
  },
  [122] = {
    [3] = alias_sym_method_name,
  },
  [124] = {
    [4] = alias_sym_class_type_name,
  },
  [125] = {
    [3] = alias_sym_class_name,
  },
  [126] = {
    [4] = alias_sym_class_name,
  },
  [127] = {
    [5] = alias_sym_class_name,
  },
  [130] = {
    [3] = alias_sym_method_name,
  },
  [131] = {
    [1] = alias_sym_label_name,
  },
  [132] = {
    [5] = alias_sym_class_type_name,
  },
  [133] = {
    [4] = alias_sym_class_name,
  },
  [134] = {
    [5] = alias_sym_class_name,
  },
  [136] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 21,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 25,
  [26] = 26,
  [27] = 21,
  [28] = 28,
  [29] = 2,
  [30] = 2,
  [31] = 28,
  [32] = 28,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 28,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 89,
  [90] = 89,
  [91] = 89,
  [92] = 89,
  [93] = 93,
  [94] = 89,
  [95] = 89,
  [96] = 93,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 98,
  [101] = 89,
  [102] = 99,
  [103] = 97,
  [104] = 104,
  [105] = 89,
  [106] = 104,
  [107] = 107,
  [108] = 107,
  [109] = 89,
  [110] = 89,
  [111] = 89,
  [112] = 89,
  [113] = 89,
  [114] = 89,
  [115] = 89,
  [116] = 89,
  [117] = 89,
  [118] = 89,
  [119] = 89,
  [120] = 89,
  [121] = 89,
  [122] = 89,
  [123] = 89,
  [124] = 89,
  [125] = 89,
  [126] = 89,
  [127] = 89,
  [128] = 89,
  [129] = 89,
  [130] = 130,
  [131] = 130,
  [132] = 132,
  [133] = 132,
  [134] = 132,
  [135] = 130,
  [136] = 132,
  [137] = 132,
  [138] = 130,
  [139] = 130,
  [140] = 130,
  [141] = 130,
  [142] = 132,
  [143] = 130,
  [144] = 130,
  [145] = 130,
  [146] = 130,
  [147] = 132,
  [148] = 130,
  [149] = 132,
  [150] = 132,
  [151] = 130,
  [152] = 132,
  [153] = 132,
  [154] = 132,
  [155] = 132,
  [156] = 130,
  [157] = 132,
  [158] = 130,
  [159] = 132,
  [160] = 132,
  [161] = 132,
  [162] = 130,
  [163] = 132,
  [164] = 132,
  [165] = 130,
  [166] = 130,
  [167] = 132,
  [168] = 132,
  [169] = 130,
  [170] = 132,
  [171] = 130,
  [172] = 130,
  [173] = 132,
  [174] = 132,
  [175] = 132,
  [176] = 130,
  [177] = 130,
  [178] = 130,
  [179] = 130,
  [180] = 130,
  [181] = 132,
  [182] = 130,
  [183] = 130,
  [184] = 130,
  [185] = 132,
  [186] = 132,
  [187] = 130,
  [188] = 132,
  [189] = 132,
  [190] = 130,
  [191] = 130,
  [192] = 130,
  [193] = 130,
  [194] = 132,
  [195] = 130,
  [196] = 89,
  [197] = 132,
  [198] = 89,
  [199] = 132,
  [200] = 130,
  [201] = 130,
  [202] = 130,
  [203] = 89,
  [204] = 132,
  [205] = 89,
  [206] = 132,
  [207] = 89,
  [208] = 130,
  [209] = 89,
  [210] = 130,
  [211] = 132,
  [212] = 89,
  [213] = 132,
  [214] = 132,
  [215] = 89,
  [216] = 132,
  [217] = 130,
  [218] = 132,
  [219] = 132,
  [220] = 132,
  [221] = 89,
  [222] = 130,
  [223] = 130,
  [224] = 132,
  [225] = 89,
  [226] = 89,
  [227] = 89,
  [228] = 89,
  [229] = 89,
  [230] = 89,
  [231] = 89,
  [232] = 89,
  [233] = 89,
  [234] = 89,
  [235] = 89,
  [236] = 89,
  [237] = 89,
  [238] = 89,
  [239] = 89,
  [240] = 89,
  [241] = 89,
  [242] = 89,
  [243] = 243,
  [244] = 243,
  [245] = 243,
  [246] = 243,
  [247] = 243,
  [248] = 243,
  [249] = 89,
  [250] = 89,
  [251] = 243,
  [252] = 243,
  [253] = 243,
  [254] = 243,
  [255] = 243,
  [256] = 243,
  [257] = 243,
  [258] = 243,
  [259] = 243,
  [260] = 243,
  [261] = 243,
  [262] = 243,
  [263] = 89,
  [264] = 243,
  [265] = 243,
  [266] = 89,
  [267] = 243,
  [268] = 243,
  [269] = 243,
  [270] = 243,
  [271] = 243,
  [272] = 243,
  [273] = 243,
  [274] = 243,
  [275] = 243,
  [276] = 243,
  [277] = 243,
  [278] = 243,
  [279] = 89,
  [280] = 243,
  [281] = 243,
  [282] = 243,
  [283] = 243,
  [284] = 243,
  [285] = 243,
  [286] = 243,
  [287] = 243,
  [288] = 89,
  [289] = 243,
  [290] = 243,
  [291] = 243,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 295,
  [297] = 294,
  [298] = 298,
  [299] = 298,
  [300] = 292,
  [301] = 298,
  [302] = 294,
  [303] = 303,
  [304] = 298,
  [305] = 298,
  [306] = 292,
  [307] = 293,
  [308] = 292,
  [309] = 303,
  [310] = 295,
  [311] = 294,
  [312] = 295,
  [313] = 303,
  [314] = 298,
  [315] = 295,
  [316] = 292,
  [317] = 298,
  [318] = 292,
  [319] = 294,
  [320] = 303,
  [321] = 295,
  [322] = 298,
  [323] = 298,
  [324] = 292,
  [325] = 298,
  [326] = 298,
  [327] = 298,
  [328] = 303,
  [329] = 298,
  [330] = 298,
  [331] = 292,
  [332] = 295,
  [333] = 303,
  [334] = 303,
  [335] = 294,
  [336] = 292,
  [337] = 292,
  [338] = 298,
  [339] = 303,
  [340] = 298,
  [341] = 292,
  [342] = 298,
  [343] = 298,
  [344] = 294,
  [345] = 295,
  [346] = 303,
  [347] = 292,
  [348] = 303,
  [349] = 295,
  [350] = 303,
  [351] = 295,
  [352] = 295,
  [353] = 295,
  [354] = 294,
  [355] = 294,
  [356] = 292,
  [357] = 303,
  [358] = 298,
  [359] = 292,
  [360] = 298,
  [361] = 294,
  [362] = 292,
  [363] = 303,
  [364] = 298,
  [365] = 295,
  [366] = 295,
  [367] = 292,
  [368] = 303,
  [369] = 298,
  [370] = 295,
  [371] = 295,
  [372] = 294,
  [373] = 298,
  [374] = 294,
  [375] = 294,
  [376] = 294,
  [377] = 298,
  [378] = 292,
  [379] = 295,
  [380] = 303,
  [381] = 294,
  [382] = 294,
  [383] = 298,
  [384] = 303,
  [385] = 294,
  [386] = 298,
  [387] = 294,
  [388] = 292,
  [389] = 292,
  [390] = 298,
  [391] = 303,
  [392] = 295,
  [393] = 292,
  [394] = 294,
  [395] = 298,
  [396] = 303,
  [397] = 303,
  [398] = 295,
  [399] = 295,
  [400] = 294,
  [401] = 303,
  [402] = 292,
  [403] = 295,
  [404] = 298,
  [405] = 295,
  [406] = 298,
  [407] = 292,
  [408] = 294,
  [409] = 298,
  [410] = 410,
  [411] = 292,
  [412] = 303,
  [413] = 303,
  [414] = 292,
  [415] = 303,
  [416] = 295,
  [417] = 295,
  [418] = 298,
  [419] = 298,
  [420] = 292,
  [421] = 303,
  [422] = 295,
  [423] = 303,
  [424] = 292,
  [425] = 303,
  [426] = 303,
  [427] = 298,
  [428] = 294,
  [429] = 292,
  [430] = 292,
  [431] = 303,
  [432] = 292,
  [433] = 303,
  [434] = 303,
  [435] = 292,
  [436] = 298,
  [437] = 292,
  [438] = 292,
  [439] = 303,
  [440] = 292,
  [441] = 295,
  [442] = 294,
  [443] = 303,
  [444] = 292,
  [445] = 294,
  [446] = 303,
  [447] = 295,
  [448] = 294,
  [449] = 295,
  [450] = 303,
  [451] = 295,
  [452] = 292,
  [453] = 295,
  [454] = 298,
  [455] = 294,
  [456] = 295,
  [457] = 294,
  [458] = 410,
  [459] = 298,
  [460] = 292,
  [461] = 303,
  [462] = 303,
  [463] = 292,
  [464] = 293,
  [465] = 292,
  [466] = 303,
  [467] = 298,
  [468] = 298,
  [469] = 292,
  [470] = 303,
  [471] = 298,
  [472] = 294,
  [473] = 294,
  [474] = 294,
  [475] = 303,
  [476] = 292,
  [477] = 303,
  [478] = 303,
  [479] = 292,
  [480] = 293,
  [481] = 298,
  [482] = 298,
  [483] = 294,
  [484] = 292,
  [485] = 303,
  [486] = 303,
  [487] = 298,
  [488] = 294,
  [489] = 292,
  [490] = 298,
  [491] = 298,
  [492] = 292,
  [493] = 295,
  [494] = 303,
  [495] = 298,
  [496] = 496,
  [497] = 496,
  [498] = 496,
  [499] = 496,
  [500] = 496,
  [501] = 496,
  [502] = 502,
  [503] = 410,
  [504] = 496,
  [505] = 496,
  [506] = 496,
  [507] = 496,
  [508] = 496,
  [509] = 496,
  [510] = 502,
  [511] = 496,
  [512] = 496,
  [513] = 496,
  [514] = 496,
  [515] = 496,
  [516] = 496,
  [517] = 496,
  [518] = 410,
  [519] = 496,
  [520] = 496,
  [521] = 496,
  [522] = 502,
  [523] = 410,
  [524] = 502,
  [525] = 496,
  [526] = 496,
  [527] = 496,
  [528] = 496,
  [529] = 496,
  [530] = 496,
  [531] = 496,
  [532] = 496,
  [533] = 496,
  [534] = 496,
  [535] = 496,
  [536] = 496,
  [537] = 410,
  [538] = 496,
  [539] = 496,
  [540] = 496,
  [541] = 496,
  [542] = 496,
  [543] = 496,
  [544] = 496,
  [545] = 496,
  [546] = 496,
  [547] = 547,
  [548] = 548,
  [549] = 547,
  [550] = 550,
  [551] = 551,
  [552] = 550,
  [553] = 553,
  [554] = 554,
  [555] = 554,
  [556] = 547,
  [557] = 557,
  [558] = 550,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 547,
  [563] = 548,
  [564] = 564,
  [565] = 565,
  [566] = 551,
  [567] = 550,
  [568] = 553,
  [569] = 557,
  [570] = 570,
  [571] = 571,
  [572] = 554,
  [573] = 573,
  [574] = 554,
  [575] = 550,
  [576] = 570,
  [577] = 547,
  [578] = 565,
  [579] = 564,
  [580] = 550,
  [581] = 548,
  [582] = 554,
  [583] = 551,
  [584] = 560,
  [585] = 560,
  [586] = 557,
  [587] = 557,
  [588] = 560,
  [589] = 553,
  [590] = 571,
  [591] = 591,
  [592] = 550,
  [593] = 547,
  [594] = 571,
  [595] = 551,
  [596] = 570,
  [597] = 550,
  [598] = 565,
  [599] = 599,
  [600] = 600,
  [601] = 553,
  [602] = 561,
  [603] = 564,
  [604] = 604,
  [605] = 600,
  [606] = 565,
  [607] = 559,
  [608] = 548,
  [609] = 547,
  [610] = 604,
  [611] = 560,
  [612] = 557,
  [613] = 600,
  [614] = 561,
  [615] = 551,
  [616] = 559,
  [617] = 571,
  [618] = 599,
  [619] = 599,
  [620] = 559,
  [621] = 553,
  [622] = 561,
  [623] = 591,
  [624] = 591,
  [625] = 548,
  [626] = 561,
  [627] = 604,
  [628] = 600,
  [629] = 553,
  [630] = 570,
  [631] = 554,
  [632] = 599,
  [633] = 564,
  [634] = 565,
  [635] = 548,
  [636] = 547,
  [637] = 565,
  [638] = 564,
  [639] = 570,
  [640] = 551,
  [641] = 573,
  [642] = 573,
  [643] = 591,
  [644] = 591,
  [645] = 570,
  [646] = 553,
  [647] = 647,
  [648] = 648,
  [649] = 565,
  [650] = 599,
  [651] = 564,
  [652] = 551,
  [653] = 571,
  [654] = 573,
  [655] = 573,
  [656] = 554,
  [657] = 600,
  [658] = 547,
  [659] = 547,
  [660] = 559,
  [661] = 571,
  [662] = 551,
  [663] = 604,
  [664] = 557,
  [665] = 553,
  [666] = 554,
  [667] = 559,
  [668] = 561,
  [669] = 548,
  [670] = 604,
  [671] = 571,
  [672] = 547,
  [673] = 551,
  [674] = 571,
  [675] = 573,
  [676] = 548,
  [677] = 570,
  [678] = 571,
  [679] = 591,
  [680] = 680,
  [681] = 557,
  [682] = 561,
  [683] = 591,
  [684] = 599,
  [685] = 600,
  [686] = 553,
  [687] = 565,
  [688] = 564,
  [689] = 557,
  [690] = 548,
  [691] = 559,
  [692] = 604,
  [693] = 560,
  [694] = 550,
  [695] = 554,
  [696] = 548,
  [697] = 560,
  [698] = 600,
  [699] = 599,
  [700] = 564,
  [701] = 553,
  [702] = 561,
  [703] = 560,
  [704] = 559,
  [705] = 561,
  [706] = 604,
  [707] = 560,
  [708] = 553,
  [709] = 600,
  [710] = 599,
  [711] = 591,
  [712] = 573,
  [713] = 571,
  [714] = 714,
  [715] = 548,
  [716] = 547,
  [717] = 591,
  [718] = 564,
  [719] = 573,
  [720] = 551,
  [721] = 557,
  [722] = 564,
  [723] = 600,
  [724] = 553,
  [725] = 557,
  [726] = 554,
  [727] = 714,
  [728] = 565,
  [729] = 564,
  [730] = 565,
  [731] = 599,
  [732] = 547,
  [733] = 570,
  [734] = 591,
  [735] = 565,
  [736] = 547,
  [737] = 551,
  [738] = 561,
  [739] = 553,
  [740] = 550,
  [741] = 647,
  [742] = 559,
  [743] = 570,
  [744] = 570,
  [745] = 559,
  [746] = 547,
  [747] = 604,
  [748] = 551,
  [749] = 571,
  [750] = 557,
  [751] = 570,
  [752] = 560,
  [753] = 600,
  [754] = 553,
  [755] = 599,
  [756] = 573,
  [757] = 591,
  [758] = 573,
  [759] = 604,
  [760] = 548,
  [761] = 573,
  [762] = 571,
  [763] = 547,
  [764] = 571,
  [765] = 551,
  [766] = 551,
  [767] = 547,
  [768] = 600,
  [769] = 599,
  [770] = 564,
  [771] = 565,
  [772] = 570,
  [773] = 591,
  [774] = 714,
  [775] = 553,
  [776] = 554,
  [777] = 561,
  [778] = 554,
  [779] = 570,
  [780] = 553,
  [781] = 550,
  [782] = 782,
  [783] = 571,
  [784] = 560,
  [785] = 565,
  [786] = 559,
  [787] = 604,
  [788] = 600,
  [789] = 599,
  [790] = 570,
  [791] = 547,
  [792] = 565,
  [793] = 591,
  [794] = 551,
  [795] = 564,
  [796] = 548,
  [797] = 782,
  [798] = 573,
  [799] = 553,
  [800] = 560,
  [801] = 571,
  [802] = 557,
  [803] = 551,
  [804] = 550,
  [805] = 554,
  [806] = 547,
  [807] = 554,
  [808] = 557,
  [809] = 564,
  [810] = 550,
  [811] = 547,
  [812] = 551,
  [813] = 561,
  [814] = 571,
  [815] = 547,
  [816] = 551,
  [817] = 559,
  [818] = 604,
  [819] = 553,
  [820] = 600,
  [821] = 573,
  [822] = 573,
  [823] = 561,
  [824] = 599,
  [825] = 570,
  [826] = 591,
  [827] = 547,
  [828] = 559,
  [829] = 551,
  [830] = 548,
  [831] = 591,
  [832] = 553,
  [833] = 565,
  [834] = 604,
  [835] = 573,
  [836] = 571,
  [837] = 600,
  [838] = 564,
  [839] = 599,
  [840] = 591,
  [841] = 573,
  [842] = 554,
  [843] = 553,
  [844] = 550,
  [845] = 554,
  [846] = 571,
  [847] = 591,
  [848] = 553,
  [849] = 599,
  [850] = 573,
  [851] = 548,
  [852] = 560,
  [853] = 573,
  [854] = 571,
  [855] = 571,
  [856] = 551,
  [857] = 554,
  [858] = 561,
  [859] = 559,
  [860] = 570,
  [861] = 604,
  [862] = 554,
  [863] = 554,
  [864] = 547,
  [865] = 600,
  [866] = 565,
  [867] = 551,
  [868] = 868,
  [869] = 599,
  [870] = 553,
  [871] = 550,
  [872] = 591,
  [873] = 560,
  [874] = 553,
  [875] = 591,
  [876] = 557,
  [877] = 560,
  [878] = 573,
  [879] = 599,
  [880] = 571,
  [881] = 548,
  [882] = 554,
  [883] = 551,
  [884] = 600,
  [885] = 551,
  [886] = 547,
  [887] = 561,
  [888] = 553,
  [889] = 564,
  [890] = 604,
  [891] = 565,
  [892] = 599,
  [893] = 600,
  [894] = 554,
  [895] = 559,
  [896] = 557,
  [897] = 714,
  [898] = 604,
  [899] = 553,
  [900] = 554,
  [901] = 570,
  [902] = 554,
  [903] = 550,
  [904] = 559,
  [905] = 551,
  [906] = 557,
  [907] = 547,
  [908] = 600,
  [909] = 600,
  [910] = 550,
  [911] = 604,
  [912] = 560,
  [913] = 599,
  [914] = 554,
  [915] = 547,
  [916] = 561,
  [917] = 551,
  [918] = 553,
  [919] = 591,
  [920] = 573,
  [921] = 553,
  [922] = 570,
  [923] = 557,
  [924] = 551,
  [925] = 554,
  [926] = 559,
  [927] = 565,
  [928] = 547,
  [929] = 571,
  [930] = 930,
  [931] = 554,
  [932] = 557,
  [933] = 561,
  [934] = 560,
  [935] = 548,
  [936] = 547,
  [937] = 564,
  [938] = 551,
  [939] = 565,
  [940] = 570,
  [941] = 559,
  [942] = 604,
  [943] = 561,
  [944] = 554,
  [945] = 600,
  [946] = 548,
  [947] = 599,
  [948] = 591,
  [949] = 553,
  [950] = 564,
  [951] = 951,
  [952] = 554,
  [953] = 573,
  [954] = 550,
  [955] = 561,
  [956] = 548,
  [957] = 571,
  [958] = 547,
  [959] = 561,
  [960] = 550,
  [961] = 550,
  [962] = 551,
  [963] = 604,
  [964] = 591,
  [965] = 559,
  [966] = 966,
  [967] = 554,
  [968] = 604,
  [969] = 969,
  [970] = 553,
  [971] = 564,
  [972] = 972,
  [973] = 565,
  [974] = 974,
  [975] = 570,
  [976] = 553,
  [977] = 560,
  [978] = 978,
  [979] = 600,
  [980] = 550,
  [981] = 599,
  [982] = 559,
  [983] = 591,
  [984] = 548,
  [985] = 571,
  [986] = 573,
  [987] = 554,
  [988] = 547,
  [989] = 989,
  [990] = 990,
  [991] = 551,
  [992] = 992,
  [993] = 599,
  [994] = 561,
  [995] = 995,
  [996] = 573,
  [997] = 559,
  [998] = 571,
  [999] = 604,
  [1000] = 548,
  [1001] = 554,
  [1002] = 600,
  [1003] = 550,
  [1004] = 570,
  [1005] = 553,
  [1006] = 599,
  [1007] = 565,
  [1008] = 564,
  [1009] = 548,
  [1010] = 570,
  [1011] = 565,
  [1012] = 600,
  [1013] = 564,
  [1014] = 551,
  [1015] = 560,
  [1016] = 550,
  [1017] = 547,
  [1018] = 551,
  [1019] = 564,
  [1020] = 604,
  [1021] = 559,
  [1022] = 561,
  [1023] = 553,
  [1024] = 565,
  [1025] = 570,
  [1026] = 604,
  [1027] = 557,
  [1028] = 554,
  [1029] = 559,
  [1030] = 548,
  [1031] = 570,
  [1032] = 547,
  [1033] = 547,
  [1034] = 551,
  [1035] = 565,
  [1036] = 553,
  [1037] = 564,
  [1038] = 591,
  [1039] = 560,
  [1040] = 557,
  [1041] = 548,
  [1042] = 547,
  [1043] = 551,
  [1044] = 550,
  [1045] = 553,
  [1046] = 573,
  [1047] = 564,
  [1048] = 648,
  [1049] = 561,
  [1050] = 548,
  [1051] = 561,
  [1052] = 560,
  [1053] = 559,
  [1054] = 604,
  [1055] = 990,
  [1056] = 547,
  [1057] = 551,
  [1058] = 554,
  [1059] = 782,
  [1060] = 559,
  [1061] = 553,
  [1062] = 565,
  [1063] = 557,
  [1064] = 573,
  [1065] = 561,
  [1066] = 550,
  [1067] = 868,
  [1068] = 550,
  [1069] = 554,
  [1070] = 992,
  [1071] = 570,
  [1072] = 561,
  [1073] = 989,
  [1074] = 571,
  [1075] = 604,
  [1076] = 974,
  [1077] = 969,
  [1078] = 550,
  [1079] = 547,
  [1080] = 551,
  [1081] = 561,
  [1082] = 559,
  [1083] = 559,
  [1084] = 553,
  [1085] = 547,
  [1086] = 604,
  [1087] = 604,
  [1088] = 570,
  [1089] = 570,
  [1090] = 565,
  [1091] = 564,
  [1092] = 548,
  [1093] = 565,
  [1094] = 1094,
  [1095] = 547,
  [1096] = 564,
  [1097] = 551,
  [1098] = 571,
  [1099] = 995,
  [1100] = 553,
  [1101] = 591,
  [1102] = 551,
  [1103] = 560,
  [1104] = 557,
  [1105] = 680,
  [1106] = 570,
  [1107] = 565,
  [1108] = 648,
  [1109] = 573,
  [1110] = 564,
  [1111] = 548,
  [1112] = 554,
  [1113] = 548,
  [1114] = 571,
  [1115] = 560,
  [1116] = 600,
  [1117] = 600,
  [1118] = 557,
  [1119] = 599,
  [1120] = 557,
  [1121] = 571,
  [1122] = 571,
  [1123] = 564,
  [1124] = 550,
  [1125] = 599,
  [1126] = 591,
  [1127] = 550,
  [1128] = 591,
  [1129] = 591,
  [1130] = 600,
  [1131] = 550,
  [1132] = 554,
  [1133] = 560,
  [1134] = 547,
  [1135] = 573,
  [1136] = 551,
  [1137] = 557,
  [1138] = 599,
  [1139] = 591,
  [1140] = 553,
  [1141] = 561,
  [1142] = 560,
  [1143] = 559,
  [1144] = 1144,
  [1145] = 557,
  [1146] = 560,
  [1147] = 990,
  [1148] = 548,
  [1149] = 557,
  [1150] = 554,
  [1151] = 560,
  [1152] = 604,
  [1153] = 564,
  [1154] = 565,
  [1155] = 570,
  [1156] = 571,
  [1157] = 599,
  [1158] = 600,
  [1159] = 604,
  [1160] = 600,
  [1161] = 604,
  [1162] = 930,
  [1163] = 559,
  [1164] = 571,
  [1165] = 561,
  [1166] = 564,
  [1167] = 573,
  [1168] = 550,
  [1169] = 591,
  [1170] = 554,
  [1171] = 565,
  [1172] = 571,
  [1173] = 573,
  [1174] = 591,
  [1175] = 570,
  [1176] = 554,
  [1177] = 573,
  [1178] = 550,
  [1179] = 570,
  [1180] = 571,
  [1181] = 565,
  [1182] = 564,
  [1183] = 554,
  [1184] = 548,
  [1185] = 547,
  [1186] = 560,
  [1187] = 599,
  [1188] = 551,
  [1189] = 560,
  [1190] = 550,
  [1191] = 992,
  [1192] = 599,
  [1193] = 600,
  [1194] = 557,
  [1195] = 604,
  [1196] = 554,
  [1197] = 560,
  [1198] = 600,
  [1199] = 548,
  [1200] = 559,
  [1201] = 1201,
  [1202] = 554,
  [1203] = 1203,
  [1204] = 561,
  [1205] = 564,
  [1206] = 554,
  [1207] = 648,
  [1208] = 565,
  [1209] = 600,
  [1210] = 1210,
  [1211] = 570,
  [1212] = 570,
  [1213] = 557,
  [1214] = 565,
  [1215] = 553,
  [1216] = 564,
  [1217] = 570,
  [1218] = 561,
  [1219] = 1219,
  [1220] = 560,
  [1221] = 548,
  [1222] = 1222,
  [1223] = 557,
  [1224] = 565,
  [1225] = 604,
  [1226] = 868,
  [1227] = 548,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 554,
  [1231] = 564,
  [1232] = 969,
  [1233] = 559,
  [1234] = 553,
  [1235] = 548,
  [1236] = 559,
  [1237] = 990,
  [1238] = 557,
  [1239] = 599,
  [1240] = 560,
  [1241] = 573,
  [1242] = 560,
  [1243] = 561,
  [1244] = 972,
  [1245] = 571,
  [1246] = 599,
  [1247] = 992,
  [1248] = 604,
  [1249] = 557,
  [1250] = 557,
  [1251] = 989,
  [1252] = 600,
  [1253] = 560,
  [1254] = 550,
  [1255] = 599,
  [1256] = 974,
  [1257] = 571,
  [1258] = 591,
  [1259] = 554,
  [1260] = 599,
  [1261] = 573,
  [1262] = 554,
  [1263] = 548,
  [1264] = 547,
  [1265] = 564,
  [1266] = 551,
  [1267] = 565,
  [1268] = 551,
  [1269] = 553,
  [1270] = 560,
  [1271] = 570,
  [1272] = 969,
  [1273] = 868,
  [1274] = 561,
  [1275] = 559,
  [1276] = 573,
  [1277] = 591,
  [1278] = 557,
  [1279] = 782,
  [1280] = 554,
  [1281] = 604,
  [1282] = 565,
  [1283] = 930,
  [1284] = 573,
  [1285] = 550,
  [1286] = 557,
  [1287] = 591,
  [1288] = 570,
  [1289] = 599,
  [1290] = 571,
  [1291] = 600,
  [1292] = 604,
  [1293] = 547,
  [1294] = 557,
  [1295] = 600,
  [1296] = 599,
  [1297] = 591,
  [1298] = 560,
  [1299] = 570,
  [1300] = 548,
  [1301] = 548,
  [1302] = 554,
  [1303] = 564,
  [1304] = 565,
  [1305] = 570,
  [1306] = 559,
  [1307] = 573,
  [1308] = 600,
  [1309] = 561,
  [1310] = 547,
  [1311] = 551,
  [1312] = 571,
  [1313] = 782,
  [1314] = 553,
  [1315] = 571,
  [1316] = 571,
  [1317] = 573,
  [1318] = 560,
  [1319] = 591,
  [1320] = 599,
  [1321] = 550,
  [1322] = 554,
  [1323] = 554,
  [1324] = 550,
  [1325] = 600,
  [1326] = 571,
  [1327] = 680,
  [1328] = 553,
  [1329] = 554,
  [1330] = 570,
  [1331] = 930,
  [1332] = 561,
  [1333] = 559,
  [1334] = 604,
  [1335] = 604,
  [1336] = 554,
  [1337] = 550,
  [1338] = 600,
  [1339] = 559,
  [1340] = 599,
  [1341] = 591,
  [1342] = 561,
  [1343] = 557,
  [1344] = 565,
  [1345] = 564,
  [1346] = 548,
  [1347] = 995,
  [1348] = 573,
  [1349] = 571,
  [1350] = 550,
  [1351] = 557,
  [1352] = 560,
  [1353] = 410,
  [1354] = 554,
  [1355] = 565,
  [1356] = 570,
  [1357] = 565,
  [1358] = 564,
  [1359] = 554,
  [1360] = 548,
  [1361] = 548,
  [1362] = 557,
  [1363] = 564,
  [1364] = 571,
  [1365] = 561,
  [1366] = 573,
  [1367] = 548,
  [1368] = 995,
  [1369] = 564,
  [1370] = 591,
  [1371] = 548,
  [1372] = 554,
  [1373] = 599,
  [1374] = 560,
  [1375] = 599,
  [1376] = 600,
  [1377] = 930,
  [1378] = 565,
  [1379] = 604,
  [1380] = 560,
  [1381] = 604,
  [1382] = 570,
  [1383] = 560,
  [1384] = 559,
  [1385] = 559,
  [1386] = 1386,
  [1387] = 561,
  [1388] = 573,
  [1389] = 1389,
  [1390] = 557,
  [1391] = 559,
  [1392] = 1392,
  [1393] = 561,
  [1394] = 554,
  [1395] = 989,
  [1396] = 557,
  [1397] = 550,
  [1398] = 410,
  [1399] = 554,
  [1400] = 564,
  [1401] = 557,
  [1402] = 550,
  [1403] = 557,
  [1404] = 560,
  [1405] = 1405,
  [1406] = 548,
  [1407] = 554,
  [1408] = 1408,
  [1409] = 868,
  [1410] = 1410,
  [1411] = 571,
  [1412] = 564,
  [1413] = 573,
  [1414] = 1414,
  [1415] = 591,
  [1416] = 565,
  [1417] = 1417,
  [1418] = 974,
  [1419] = 557,
  [1420] = 550,
  [1421] = 560,
  [1422] = 978,
  [1423] = 548,
  [1424] = 564,
  [1425] = 570,
  [1426] = 571,
  [1427] = 550,
  [1428] = 570,
  [1429] = 565,
  [1430] = 570,
  [1431] = 565,
  [1432] = 554,
  [1433] = 550,
  [1434] = 564,
  [1435] = 547,
  [1436] = 992,
  [1437] = 989,
  [1438] = 995,
  [1439] = 565,
  [1440] = 551,
  [1441] = 978,
  [1442] = 992,
  [1443] = 1443,
  [1444] = 974,
  [1445] = 553,
  [1446] = 570,
  [1447] = 548,
  [1448] = 600,
  [1449] = 989,
  [1450] = 573,
  [1451] = 1451,
  [1452] = 714,
  [1453] = 550,
  [1454] = 972,
  [1455] = 554,
  [1456] = 560,
  [1457] = 969,
  [1458] = 561,
  [1459] = 570,
  [1460] = 604,
  [1461] = 565,
  [1462] = 571,
  [1463] = 680,
  [1464] = 564,
  [1465] = 573,
  [1466] = 559,
  [1467] = 548,
  [1468] = 559,
  [1469] = 604,
  [1470] = 591,
  [1471] = 604,
  [1472] = 564,
  [1473] = 591,
  [1474] = 599,
  [1475] = 600,
  [1476] = 600,
  [1477] = 554,
  [1478] = 599,
  [1479] = 591,
  [1480] = 561,
  [1481] = 978,
  [1482] = 560,
  [1483] = 557,
  [1484] = 599,
  [1485] = 974,
  [1486] = 600,
  [1487] = 550,
  [1488] = 557,
  [1489] = 604,
  [1490] = 559,
  [1491] = 561,
  [1492] = 554,
  [1493] = 969,
  [1494] = 560,
  [1495] = 1495,
  [1496] = 972,
  [1497] = 551,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1499,
  [1501] = 1499,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1502,
  [1505] = 1499,
  [1506] = 1502,
  [1507] = 1502,
  [1508] = 1499,
  [1509] = 1509,
  [1510] = 1503,
  [1511] = 1503,
  [1512] = 410,
  [1513] = 1498,
  [1514] = 1514,
  [1515] = 1514,
  [1516] = 1498,
  [1517] = 1514,
  [1518] = 1498,
  [1519] = 1509,
  [1520] = 1498,
  [1521] = 1514,
  [1522] = 1498,
  [1523] = 1514,
  [1524] = 1524,
  [1525] = 1503,
  [1526] = 1509,
  [1527] = 1502,
  [1528] = 1509,
  [1529] = 1499,
  [1530] = 1499,
  [1531] = 1502,
  [1532] = 1509,
  [1533] = 410,
  [1534] = 1503,
  [1535] = 1503,
  [1536] = 1509,
  [1537] = 1514,
  [1538] = 1499,
  [1539] = 1498,
  [1540] = 1502,
  [1541] = 1503,
  [1542] = 1498,
  [1543] = 1514,
  [1544] = 1498,
  [1545] = 1514,
  [1546] = 1509,
  [1547] = 1502,
  [1548] = 1499,
  [1549] = 1503,
  [1550] = 1509,
  [1551] = 1499,
  [1552] = 1499,
  [1553] = 1502,
  [1554] = 1502,
  [1555] = 1514,
  [1556] = 1498,
  [1557] = 1503,
  [1558] = 1503,
  [1559] = 1503,
  [1560] = 1560,
  [1561] = 1502,
  [1562] = 1514,
  [1563] = 1502,
  [1564] = 1509,
  [1565] = 1503,
  [1566] = 1502,
  [1567] = 1502,
  [1568] = 1499,
  [1569] = 1499,
  [1570] = 1514,
  [1571] = 1509,
  [1572] = 1503,
  [1573] = 1499,
  [1574] = 1503,
  [1575] = 1509,
  [1576] = 1502,
  [1577] = 1509,
  [1578] = 1509,
  [1579] = 1498,
  [1580] = 1498,
  [1581] = 1514,
  [1582] = 1498,
  [1583] = 1514,
  [1584] = 1503,
  [1585] = 1503,
  [1586] = 1503,
  [1587] = 1499,
  [1588] = 1498,
  [1589] = 1499,
  [1590] = 1509,
  [1591] = 1502,
  [1592] = 1502,
  [1593] = 1499,
  [1594] = 1502,
  [1595] = 1509,
  [1596] = 1503,
  [1597] = 1514,
  [1598] = 1499,
  [1599] = 1498,
  [1600] = 1502,
  [1601] = 1502,
  [1602] = 1498,
  [1603] = 1514,
  [1604] = 1498,
  [1605] = 1514,
  [1606] = 1502,
  [1607] = 1514,
  [1608] = 1498,
  [1609] = 1499,
  [1610] = 1499,
  [1611] = 1514,
  [1612] = 1502,
  [1613] = 1499,
  [1614] = 1509,
  [1615] = 1503,
  [1616] = 1498,
  [1617] = 1498,
  [1618] = 1514,
  [1619] = 1503,
  [1620] = 1509,
  [1621] = 1509,
  [1622] = 1509,
  [1623] = 1498,
  [1624] = 1514,
  [1625] = 1514,
  [1626] = 1498,
  [1627] = 1509,
  [1628] = 1509,
  [1629] = 1499,
  [1630] = 1514,
  [1631] = 1498,
  [1632] = 1498,
  [1633] = 1502,
  [1634] = 1514,
  [1635] = 1509,
  [1636] = 1503,
  [1637] = 1499,
  [1638] = 1502,
  [1639] = 1498,
  [1640] = 1514,
  [1641] = 1502,
  [1642] = 1503,
  [1643] = 1503,
  [1644] = 1502,
  [1645] = 1509,
  [1646] = 1509,
  [1647] = 1499,
  [1648] = 1498,
  [1649] = 1514,
  [1650] = 1509,
  [1651] = 1502,
  [1652] = 1499,
  [1653] = 1499,
  [1654] = 1509,
  [1655] = 1514,
  [1656] = 1503,
  [1657] = 1498,
  [1658] = 1503,
  [1659] = 1509,
  [1660] = 1514,
  [1661] = 1499,
  [1662] = 1498,
  [1663] = 1514,
  [1664] = 1502,
  [1665] = 1503,
  [1666] = 1502,
  [1667] = 1502,
  [1668] = 1499,
  [1669] = 1509,
  [1670] = 1503,
  [1671] = 1503,
  [1672] = 1524,
  [1673] = 1502,
  [1674] = 1509,
  [1675] = 1499,
  [1676] = 1499,
  [1677] = 1498,
  [1678] = 1502,
  [1679] = 1514,
  [1680] = 1499,
  [1681] = 1503,
  [1682] = 1509,
  [1683] = 1560,
  [1684] = 1509,
  [1685] = 1502,
  [1686] = 1514,
  [1687] = 1502,
  [1688] = 1499,
  [1689] = 1509,
  [1690] = 1502,
  [1691] = 1498,
  [1692] = 1503,
  [1693] = 1499,
  [1694] = 1503,
  [1695] = 1509,
  [1696] = 1509,
  [1697] = 1503,
  [1698] = 1503,
  [1699] = 1499,
  [1700] = 1498,
  [1701] = 1514,
  [1702] = 1503,
  [1703] = 1514,
  [1704] = 1498,
  [1705] = 1509,
  [1706] = 1499,
  [1707] = 1503,
  [1708] = 1502,
  [1709] = 1514,
  [1710] = 1498,
  [1711] = 1498,
  [1712] = 1514,
  [1713] = 1502,
  [1714] = 1499,
  [1715] = 1502,
  [1716] = 1499,
  [1717] = 1509,
  [1718] = 1503,
  [1719] = 1503,
  [1720] = 1509,
  [1721] = 1509,
  [1722] = 1503,
  [1723] = 1503,
  [1724] = 1498,
  [1725] = 1498,
  [1726] = 1514,
  [1727] = 1514,
  [1728] = 1509,
  [1729] = 1514,
  [1730] = 1499,
  [1731] = 1503,
  [1732] = 1514,
  [1733] = 1509,
  [1734] = 1509,
  [1735] = 1498,
  [1736] = 1499,
  [1737] = 1502,
  [1738] = 1502,
  [1739] = 1502,
  [1740] = 1498,
  [1741] = 1499,
  [1742] = 1499,
  [1743] = 1502,
  [1744] = 1498,
  [1745] = 1509,
  [1746] = 1514,
  [1747] = 1499,
  [1748] = 1503,
  [1749] = 1498,
  [1750] = 1498,
  [1751] = 1514,
  [1752] = 1503,
  [1753] = 1514,
  [1754] = 1514,
  [1755] = 1498,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1760,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1762,
  [1765] = 1765,
  [1766] = 1763,
  [1767] = 1765,
  [1768] = 1768,
  [1769] = 1524,
  [1770] = 1768,
  [1771] = 1768,
  [1772] = 1765,
  [1773] = 1763,
  [1774] = 1762,
  [1775] = 1760,
  [1776] = 1759,
  [1777] = 1758,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1768,
  [1782] = 1757,
  [1783] = 1783,
  [1784] = 1783,
  [1785] = 1779,
  [1786] = 1759,
  [1787] = 1783,
  [1788] = 1762,
  [1789] = 1780,
  [1790] = 1760,
  [1791] = 1759,
  [1792] = 1758,
  [1793] = 1768,
  [1794] = 1757,
  [1795] = 1758,
  [1796] = 1778,
  [1797] = 1779,
  [1798] = 1780,
  [1799] = 1757,
  [1800] = 1800,
  [1801] = 1765,
  [1802] = 1763,
  [1803] = 1762,
  [1804] = 1760,
  [1805] = 1759,
  [1806] = 1758,
  [1807] = 1778,
  [1808] = 1765,
  [1809] = 1800,
  [1810] = 1779,
  [1811] = 1763,
  [1812] = 1762,
  [1813] = 1760,
  [1814] = 1780,
  [1815] = 1759,
  [1816] = 1783,
  [1817] = 1763,
  [1818] = 1765,
  [1819] = 1768,
  [1820] = 1783,
  [1821] = 1757,
  [1822] = 1822,
  [1823] = 1758,
  [1824] = 1778,
  [1825] = 1779,
  [1826] = 1778,
  [1827] = 1779,
  [1828] = 1780,
  [1829] = 1783,
  [1830] = 1780,
  [1831] = 1757,
  [1832] = 1800,
  [1833] = 1757,
  [1834] = 1800,
  [1835] = 1524,
  [1836] = 1822,
  [1837] = 1560,
  [1838] = 1757,
  [1839] = 1524,
  [1840] = 410,
  [1841] = 1780,
  [1842] = 1779,
  [1843] = 1800,
  [1844] = 1560,
  [1845] = 1783,
  [1846] = 1757,
  [1847] = 1778,
  [1848] = 1758,
  [1849] = 1759,
  [1850] = 1822,
  [1851] = 1780,
  [1852] = 1822,
  [1853] = 1779,
  [1854] = 1778,
  [1855] = 1760,
  [1856] = 1762,
  [1857] = 1783,
  [1858] = 1763,
  [1859] = 1765,
  [1860] = 1768,
  [1861] = 1758,
  [1862] = 1758,
  [1863] = 1759,
  [1864] = 1760,
  [1865] = 1762,
  [1866] = 1763,
  [1867] = 1765,
  [1868] = 1768,
  [1869] = 1783,
  [1870] = 1800,
  [1871] = 1800,
  [1872] = 1800,
  [1873] = 1783,
  [1874] = 1768,
  [1875] = 1765,
  [1876] = 1524,
  [1877] = 1763,
  [1878] = 1560,
  [1879] = 1783,
  [1880] = 1762,
  [1881] = 1760,
  [1882] = 1759,
  [1883] = 1758,
  [1884] = 1778,
  [1885] = 1779,
  [1886] = 1780,
  [1887] = 1757,
  [1888] = 1800,
  [1889] = 1757,
  [1890] = 1780,
  [1891] = 1779,
  [1892] = 1778,
  [1893] = 1758,
  [1894] = 1759,
  [1895] = 1760,
  [1896] = 1762,
  [1897] = 1763,
  [1898] = 1768,
  [1899] = 1765,
  [1900] = 1768,
  [1901] = 1783,
  [1902] = 1800,
  [1903] = 1800,
  [1904] = 1800,
  [1905] = 1765,
  [1906] = 1757,
  [1907] = 1780,
  [1908] = 1779,
  [1909] = 1778,
  [1910] = 1757,
  [1911] = 1780,
  [1912] = 1779,
  [1913] = 1757,
  [1914] = 1759,
  [1915] = 1763,
  [1916] = 1760,
  [1917] = 1778,
  [1918] = 1758,
  [1919] = 1759,
  [1920] = 1760,
  [1921] = 1762,
  [1922] = 1763,
  [1923] = 1765,
  [1924] = 1768,
  [1925] = 1762,
  [1926] = 1783,
  [1927] = 1763,
  [1928] = 1800,
  [1929] = 1765,
  [1930] = 1800,
  [1931] = 1768,
  [1932] = 1783,
  [1933] = 1762,
  [1934] = 1757,
  [1935] = 1760,
  [1936] = 1822,
  [1937] = 1759,
  [1938] = 1758,
  [1939] = 1778,
  [1940] = 1779,
  [1941] = 1780,
  [1942] = 1779,
  [1943] = 1780,
  [1944] = 1757,
  [1945] = 1800,
  [1946] = 1822,
  [1947] = 1757,
  [1948] = 1778,
  [1949] = 1800,
  [1950] = 1800,
  [1951] = 1780,
  [1952] = 1779,
  [1953] = 1778,
  [1954] = 1758,
  [1955] = 1759,
  [1956] = 1758,
  [1957] = 1759,
  [1958] = 1760,
  [1959] = 1783,
  [1960] = 1768,
  [1961] = 1765,
  [1962] = 1763,
  [1963] = 1760,
  [1964] = 1762,
  [1965] = 1760,
  [1966] = 1759,
  [1967] = 1758,
  [1968] = 1762,
  [1969] = 1778,
  [1970] = 1763,
  [1971] = 1779,
  [1972] = 1780,
  [1973] = 1779,
  [1974] = 1800,
  [1975] = 1762,
  [1976] = 1763,
  [1977] = 1757,
  [1978] = 1780,
  [1979] = 1779,
  [1980] = 1800,
  [1981] = 1778,
  [1982] = 1758,
  [1983] = 1759,
  [1984] = 1760,
  [1985] = 1762,
  [1986] = 1757,
  [1987] = 1780,
  [1988] = 1779,
  [1989] = 1778,
  [1990] = 1758,
  [1991] = 1759,
  [1992] = 1760,
  [1993] = 1762,
  [1994] = 1763,
  [1995] = 1765,
  [1996] = 1768,
  [1997] = 1763,
  [1998] = 1765,
  [1999] = 1783,
  [2000] = 1765,
  [2001] = 1768,
  [2002] = 1783,
  [2003] = 1768,
  [2004] = 1765,
  [2005] = 1768,
  [2006] = 1783,
  [2007] = 1783,
  [2008] = 2008,
  [2009] = 1800,
  [2010] = 1800,
  [2011] = 1822,
  [2012] = 1800,
  [2013] = 1757,
  [2014] = 1780,
  [2015] = 1779,
  [2016] = 1778,
  [2017] = 1783,
  [2018] = 1758,
  [2019] = 1759,
  [2020] = 1757,
  [2021] = 1780,
  [2022] = 1779,
  [2023] = 1783,
  [2024] = 1768,
  [2025] = 1765,
  [2026] = 1763,
  [2027] = 1757,
  [2028] = 1762,
  [2029] = 1760,
  [2030] = 1780,
  [2031] = 1760,
  [2032] = 1768,
  [2033] = 1759,
  [2034] = 1778,
  [2035] = 1758,
  [2036] = 1758,
  [2037] = 1778,
  [2038] = 1779,
  [2039] = 1765,
  [2040] = 1763,
  [2041] = 1778,
  [2042] = 1762,
  [2043] = 1822,
  [2044] = 1759,
  [2045] = 1758,
  [2046] = 1759,
  [2047] = 1760,
  [2048] = 1760,
  [2049] = 1760,
  [2050] = 1780,
  [2051] = 1762,
  [2052] = 1763,
  [2053] = 1759,
  [2054] = 1758,
  [2055] = 1765,
  [2056] = 1778,
  [2057] = 1757,
  [2058] = 1762,
  [2059] = 1768,
  [2060] = 1779,
  [2061] = 1757,
  [2062] = 1763,
  [2063] = 1765,
  [2064] = 1800,
  [2065] = 1783,
  [2066] = 1780,
  [2067] = 1822,
  [2068] = 1762,
  [2069] = 1768,
  [2070] = 1800,
  [2071] = 1783,
  [2072] = 1800,
  [2073] = 1780,
  [2074] = 1822,
  [2075] = 1822,
  [2076] = 1768,
  [2077] = 1763,
  [2078] = 1765,
  [2079] = 1822,
  [2080] = 1757,
  [2081] = 1780,
  [2082] = 1779,
  [2083] = 1778,
  [2084] = 1768,
  [2085] = 1765,
  [2086] = 1758,
  [2087] = 1759,
  [2088] = 1760,
  [2089] = 1762,
  [2090] = 1763,
  [2091] = 1765,
  [2092] = 1783,
  [2093] = 1763,
  [2094] = 1762,
  [2095] = 1760,
  [2096] = 1783,
  [2097] = 1768,
  [2098] = 1759,
  [2099] = 1758,
  [2100] = 1783,
  [2101] = 1800,
  [2102] = 1778,
  [2103] = 1779,
  [2104] = 1780,
  [2105] = 1778,
  [2106] = 1768,
  [2107] = 1765,
  [2108] = 1763,
  [2109] = 1762,
  [2110] = 1780,
  [2111] = 1783,
  [2112] = 1768,
  [2113] = 1765,
  [2114] = 1763,
  [2115] = 1779,
  [2116] = 1762,
  [2117] = 1760,
  [2118] = 1759,
  [2119] = 1758,
  [2120] = 1778,
  [2121] = 1758,
  [2122] = 1759,
  [2123] = 1760,
  [2124] = 1760,
  [2125] = 1778,
  [2126] = 1779,
  [2127] = 1780,
  [2128] = 1757,
  [2129] = 1759,
  [2130] = 1758,
  [2131] = 1778,
  [2132] = 1779,
  [2133] = 1762,
  [2134] = 1763,
  [2135] = 1780,
  [2136] = 1800,
  [2137] = 1765,
  [2138] = 1757,
  [2139] = 1822,
  [2140] = 1768,
  [2141] = 1757,
  [2142] = 1822,
  [2143] = 1757,
  [2144] = 1780,
  [2145] = 1757,
  [2146] = 1779,
  [2147] = 1778,
  [2148] = 1779,
  [2149] = 1778,
  [2150] = 1758,
  [2151] = 1758,
  [2152] = 1759,
  [2153] = 1760,
  [2154] = 1759,
  [2155] = 1560,
  [2156] = 1762,
  [2157] = 1763,
  [2158] = 1765,
  [2159] = 1768,
  [2160] = 1783,
  [2161] = 1760,
  [2162] = 1762,
  [2163] = 1763,
  [2164] = 1765,
  [2165] = 1768,
  [2166] = 1757,
  [2167] = 1800,
  [2168] = 1800,
  [2169] = 1783,
  [2170] = 1800,
  [2171] = 1757,
  [2172] = 1780,
  [2173] = 1779,
  [2174] = 1778,
  [2175] = 1758,
  [2176] = 1759,
  [2177] = 1760,
  [2178] = 1762,
  [2179] = 1763,
  [2180] = 1822,
  [2181] = 1765,
  [2182] = 1783,
  [2183] = 1768,
  [2184] = 1757,
  [2185] = 1780,
  [2186] = 1783,
  [2187] = 1800,
  [2188] = 2188,
  [2189] = 1800,
  [2190] = 1757,
  [2191] = 1780,
  [2192] = 1779,
  [2193] = 1800,
  [2194] = 1779,
  [2195] = 1757,
  [2196] = 1780,
  [2197] = 1779,
  [2198] = 1778,
  [2199] = 1758,
  [2200] = 1759,
  [2201] = 1760,
  [2202] = 1762,
  [2203] = 1763,
  [2204] = 1765,
  [2205] = 1768,
  [2206] = 1778,
  [2207] = 1783,
  [2208] = 1778,
  [2209] = 1758,
  [2210] = 1759,
  [2211] = 1758,
  [2212] = 1760,
  [2213] = 1759,
  [2214] = 1762,
  [2215] = 1783,
  [2216] = 1760,
  [2217] = 1762,
  [2218] = 1768,
  [2219] = 1765,
  [2220] = 1763,
  [2221] = 1783,
  [2222] = 1783,
  [2223] = 1762,
  [2224] = 1760,
  [2225] = 1759,
  [2226] = 1758,
  [2227] = 1778,
  [2228] = 1768,
  [2229] = 1779,
  [2230] = 1780,
  [2231] = 1765,
  [2232] = 1763,
  [2233] = 1762,
  [2234] = 1800,
  [2235] = 1763,
  [2236] = 1765,
  [2237] = 2008,
  [2238] = 1768,
  [2239] = 1760,
  [2240] = 1759,
  [2241] = 1758,
  [2242] = 1778,
  [2243] = 1779,
  [2244] = 1780,
  [2245] = 1757,
  [2246] = 1783,
  [2247] = 1800,
  [2248] = 1765,
  [2249] = 1768,
  [2250] = 1757,
  [2251] = 1780,
  [2252] = 1783,
  [2253] = 1756,
  [2254] = 1779,
  [2255] = 1778,
  [2256] = 1800,
  [2257] = 1758,
  [2258] = 1822,
  [2259] = 1759,
  [2260] = 1800,
  [2261] = 1760,
  [2262] = 1762,
  [2263] = 1763,
  [2264] = 1765,
  [2265] = 1800,
  [2266] = 1768,
  [2267] = 1822,
  [2268] = 1822,
  [2269] = 1822,
  [2270] = 1763,
  [2271] = 1783,
  [2272] = 1757,
  [2273] = 2273,
  [2274] = 1768,
  [2275] = 1780,
  [2276] = 1765,
  [2277] = 1763,
  [2278] = 1762,
  [2279] = 1760,
  [2280] = 1759,
  [2281] = 1758,
  [2282] = 1778,
  [2283] = 1779,
  [2284] = 1780,
  [2285] = 1783,
  [2286] = 1757,
  [2287] = 1757,
  [2288] = 1780,
  [2289] = 1779,
  [2290] = 1779,
  [2291] = 1778,
  [2292] = 1778,
  [2293] = 1822,
  [2294] = 1758,
  [2295] = 1758,
  [2296] = 1759,
  [2297] = 1760,
  [2298] = 1762,
  [2299] = 1759,
  [2300] = 1760,
  [2301] = 1768,
  [2302] = 1765,
  [2303] = 1763,
  [2304] = 1762,
  [2305] = 1765,
  [2306] = 1800,
  [2307] = 1763,
  [2308] = 1762,
  [2309] = 1760,
  [2310] = 1763,
  [2311] = 1765,
  [2312] = 1759,
  [2313] = 1758,
  [2314] = 1778,
  [2315] = 1768,
  [2316] = 1779,
  [2317] = 1800,
  [2318] = 1757,
  [2319] = 1780,
  [2320] = 1779,
  [2321] = 1778,
  [2322] = 1758,
  [2323] = 1759,
  [2324] = 1760,
  [2325] = 1762,
  [2326] = 1783,
  [2327] = 1800,
  [2328] = 1763,
  [2329] = 1765,
  [2330] = 1768,
  [2331] = 1822,
  [2332] = 1780,
  [2333] = 1783,
  [2334] = 1757,
  [2335] = 1768,
  [2336] = 1757,
  [2337] = 1780,
  [2338] = 1779,
  [2339] = 1778,
  [2340] = 1758,
  [2341] = 1800,
  [2342] = 1759,
  [2343] = 1760,
  [2344] = 1762,
  [2345] = 1763,
  [2346] = 1780,
  [2347] = 1783,
  [2348] = 1779,
  [2349] = 1765,
  [2350] = 1768,
  [2351] = 1768,
  [2352] = 1778,
  [2353] = 1765,
  [2354] = 1763,
  [2355] = 1762,
  [2356] = 1783,
  [2357] = 1760,
  [2358] = 1759,
  [2359] = 1758,
  [2360] = 1758,
  [2361] = 1768,
  [2362] = 1778,
  [2363] = 1779,
  [2364] = 1780,
  [2365] = 1757,
  [2366] = 1800,
  [2367] = 1765,
  [2368] = 1763,
  [2369] = 1783,
  [2370] = 410,
  [2371] = 1762,
  [2372] = 1760,
  [2373] = 1800,
  [2374] = 1759,
  [2375] = 1822,
  [2376] = 1758,
  [2377] = 1778,
  [2378] = 1757,
  [2379] = 1779,
  [2380] = 1759,
  [2381] = 1780,
  [2382] = 1757,
  [2383] = 1760,
  [2384] = 1762,
  [2385] = 1763,
  [2386] = 1765,
  [2387] = 1768,
  [2388] = 1800,
  [2389] = 1783,
  [2390] = 2390,
  [2391] = 1800,
  [2392] = 1822,
  [2393] = 1783,
  [2394] = 1560,
  [2395] = 1524,
  [2396] = 1524,
  [2397] = 1560,
  [2398] = 1560,
  [2399] = 1524,
  [2400] = 1524,
  [2401] = 1560,
  [2402] = 1560,
  [2403] = 1524,
  [2404] = 1524,
  [2405] = 1560,
  [2406] = 410,
  [2407] = 410,
  [2408] = 410,
  [2409] = 410,
  [2410] = 1560,
  [2411] = 410,
  [2412] = 1524,
  [2413] = 1524,
  [2414] = 1560,
  [2415] = 410,
  [2416] = 1560,
  [2417] = 1524,
  [2418] = 1524,
  [2419] = 1560,
  [2420] = 1524,
  [2421] = 1560,
  [2422] = 410,
  [2423] = 2423,
  [2424] = 1524,
  [2425] = 2425,
  [2426] = 2425,
  [2427] = 2425,
  [2428] = 1560,
  [2429] = 410,
  [2430] = 2425,
  [2431] = 2423,
  [2432] = 2432,
  [2433] = 2425,
  [2434] = 2425,
  [2435] = 2425,
  [2436] = 2432,
  [2437] = 2425,
  [2438] = 2423,
  [2439] = 410,
  [2440] = 2432,
  [2441] = 2432,
  [2442] = 2423,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2444,
  [2446] = 2443,
  [2447] = 410,
  [2448] = 1524,
  [2449] = 2443,
  [2450] = 2444,
  [2451] = 2444,
  [2452] = 2443,
  [2453] = 410,
  [2454] = 2443,
  [2455] = 2443,
  [2456] = 1560,
  [2457] = 410,
  [2458] = 2444,
  [2459] = 410,
  [2460] = 410,
  [2461] = 410,
  [2462] = 410,
  [2463] = 410,
  [2464] = 410,
  [2465] = 410,
  [2466] = 2466,
  [2467] = 2466,
  [2468] = 1524,
  [2469] = 410,
  [2470] = 1560,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 1560,
  [2474] = 2472,
  [2475] = 1560,
  [2476] = 1524,
  [2477] = 2466,
  [2478] = 1560,
  [2479] = 2466,
  [2480] = 2471,
  [2481] = 1524,
  [2482] = 1524,
  [2483] = 1560,
  [2484] = 1524,
  [2485] = 1524,
  [2486] = 1524,
  [2487] = 1560,
  [2488] = 1524,
  [2489] = 1560,
  [2490] = 1560,
  [2491] = 1560,
  [2492] = 1560,
  [2493] = 1560,
  [2494] = 2472,
  [2495] = 2471,
  [2496] = 1524,
  [2497] = 1524,
  [2498] = 1560,
  [2499] = 1524,
  [2500] = 1560,
  [2501] = 1560,
  [2502] = 1560,
  [2503] = 2472,
  [2504] = 1560,
  [2505] = 1524,
  [2506] = 1524,
  [2507] = 1560,
  [2508] = 2471,
  [2509] = 2509,
  [2510] = 2509,
  [2511] = 2509,
  [2512] = 2509,
  [2513] = 2509,
  [2514] = 2509,
  [2515] = 2509,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2472,
  [2519] = 2471,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2517,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2521,
  [2526] = 2524,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2527,
  [2530] = 2523,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2531,
  [2534] = 2528,
  [2535] = 2532,
  [2536] = 1560,
  [2537] = 2520,
  [2538] = 2516,
  [2539] = 2539,
  [2540] = 2516,
  [2541] = 2524,
  [2542] = 2528,
  [2543] = 2520,
  [2544] = 2531,
  [2545] = 2527,
  [2546] = 2523,
  [2547] = 2531,
  [2548] = 2517,
  [2549] = 2527,
  [2550] = 2524,
  [2551] = 2517,
  [2552] = 2523,
  [2553] = 2528,
  [2554] = 2554,
  [2555] = 2521,
  [2556] = 2516,
  [2557] = 2532,
  [2558] = 2520,
  [2559] = 2532,
  [2560] = 2521,
  [2561] = 2561,
  [2562] = 2561,
  [2563] = 2539,
  [2564] = 2561,
  [2565] = 2554,
  [2566] = 2432,
  [2567] = 2539,
  [2568] = 2423,
  [2569] = 2561,
  [2570] = 2554,
  [2571] = 2571,
  [2572] = 2571,
  [2573] = 2571,
  [2574] = 2571,
  [2575] = 2571,
  [2576] = 2571,
  [2577] = 2577,
  [2578] = 2571,
  [2579] = 2571,
  [2580] = 2571,
  [2581] = 2571,
  [2582] = 2571,
  [2583] = 2571,
  [2584] = 2571,
  [2585] = 2571,
  [2586] = 2571,
  [2587] = 2571,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2571,
  [2591] = 2571,
  [2592] = 2571,
  [2593] = 2593,
  [2594] = 2571,
  [2595] = 2571,
  [2596] = 2571,
  [2597] = 2571,
  [2598] = 2571,
  [2599] = 2571,
  [2600] = 2600,
  [2601] = 2571,
  [2602] = 2571,
  [2603] = 2571,
  [2604] = 2571,
  [2605] = 2571,
  [2606] = 2571,
  [2607] = 2571,
  [2608] = 2571,
  [2609] = 2571,
  [2610] = 2571,
  [2611] = 2611,
  [2612] = 2571,
  [2613] = 2571,
  [2614] = 2571,
  [2615] = 2571,
  [2616] = 2571,
  [2617] = 2571,
  [2618] = 2571,
  [2619] = 2571,
  [2620] = 2571,
  [2621] = 2621,
  [2622] = 2621,
  [2623] = 2621,
  [2624] = 2621,
  [2625] = 2621,
  [2626] = 2621,
  [2627] = 2621,
  [2628] = 2621,
  [2629] = 2621,
  [2630] = 2621,
  [2631] = 2621,
  [2632] = 2621,
  [2633] = 2621,
  [2634] = 2621,
  [2635] = 2621,
  [2636] = 2621,
  [2637] = 2621,
  [2638] = 2621,
  [2639] = 2621,
  [2640] = 2466,
  [2641] = 2621,
  [2642] = 2621,
  [2643] = 2621,
  [2644] = 2621,
  [2645] = 2621,
  [2646] = 2621,
  [2647] = 2621,
  [2648] = 2621,
  [2649] = 2621,
  [2650] = 2621,
  [2651] = 2621,
  [2652] = 2621,
  [2653] = 2621,
  [2654] = 2621,
  [2655] = 2621,
  [2656] = 2621,
  [2657] = 2621,
  [2658] = 2621,
  [2659] = 2621,
  [2660] = 2621,
  [2661] = 2621,
  [2662] = 2621,
  [2663] = 2621,
  [2664] = 2621,
  [2665] = 2621,
  [2666] = 2621,
  [2667] = 2621,
  [2668] = 2621,
  [2669] = 2621,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2671,
  [2676] = 2671,
  [2677] = 2672,
  [2678] = 1560,
  [2679] = 2673,
  [2680] = 2671,
  [2681] = 2670,
  [2682] = 2673,
  [2683] = 2670,
  [2684] = 2673,
  [2685] = 2670,
  [2686] = 2671,
  [2687] = 2670,
  [2688] = 2670,
  [2689] = 2673,
  [2690] = 2673,
  [2691] = 2671,
  [2692] = 2670,
  [2693] = 2670,
  [2694] = 2674,
  [2695] = 2670,
  [2696] = 2672,
  [2697] = 2673,
  [2698] = 2671,
  [2699] = 2672,
  [2700] = 2674,
  [2701] = 2674,
  [2702] = 2673,
  [2703] = 2673,
  [2704] = 2670,
  [2705] = 2670,
  [2706] = 2670,
  [2707] = 2674,
  [2708] = 2670,
  [2709] = 2672,
  [2710] = 2674,
  [2711] = 2674,
  [2712] = 2671,
  [2713] = 2670,
  [2714] = 2672,
  [2715] = 2673,
  [2716] = 2673,
  [2717] = 2672,
  [2718] = 2674,
  [2719] = 2672,
  [2720] = 2671,
  [2721] = 2672,
  [2722] = 2671,
  [2723] = 2674,
  [2724] = 2670,
  [2725] = 2672,
  [2726] = 2672,
  [2727] = 2670,
  [2728] = 2674,
  [2729] = 2670,
  [2730] = 2671,
  [2731] = 2674,
  [2732] = 2673,
  [2733] = 2673,
  [2734] = 2671,
  [2735] = 2673,
  [2736] = 2672,
  [2737] = 2673,
  [2738] = 2672,
  [2739] = 2671,
  [2740] = 2673,
  [2741] = 2674,
  [2742] = 2673,
  [2743] = 2670,
  [2744] = 2672,
  [2745] = 2671,
  [2746] = 2670,
  [2747] = 2672,
  [2748] = 2674,
  [2749] = 2672,
  [2750] = 2671,
  [2751] = 2672,
  [2752] = 2674,
  [2753] = 2674,
  [2754] = 2674,
  [2755] = 2670,
  [2756] = 2670,
  [2757] = 2674,
  [2758] = 2674,
  [2759] = 2672,
  [2760] = 2673,
  [2761] = 2671,
  [2762] = 2670,
  [2763] = 2674,
  [2764] = 2671,
  [2765] = 2672,
  [2766] = 2670,
  [2767] = 2671,
  [2768] = 2673,
  [2769] = 2671,
  [2770] = 2670,
  [2771] = 2674,
  [2772] = 2671,
  [2773] = 2674,
  [2774] = 2674,
  [2775] = 2672,
  [2776] = 2674,
  [2777] = 2673,
  [2778] = 2672,
  [2779] = 2673,
  [2780] = 2673,
  [2781] = 2674,
  [2782] = 2672,
  [2783] = 2673,
  [2784] = 2673,
  [2785] = 2673,
  [2786] = 2671,
  [2787] = 2671,
  [2788] = 2672,
  [2789] = 2472,
  [2790] = 2672,
  [2791] = 2673,
  [2792] = 2673,
  [2793] = 2672,
  [2794] = 2674,
  [2795] = 2672,
  [2796] = 2672,
  [2797] = 2670,
  [2798] = 2674,
  [2799] = 2671,
  [2800] = 2674,
  [2801] = 2672,
  [2802] = 2674,
  [2803] = 2670,
  [2804] = 2670,
  [2805] = 2671,
  [2806] = 2673,
  [2807] = 2670,
  [2808] = 2672,
  [2809] = 2674,
  [2810] = 2671,
  [2811] = 2670,
  [2812] = 2670,
  [2813] = 2670,
  [2814] = 2673,
  [2815] = 2671,
  [2816] = 2674,
  [2817] = 2672,
  [2818] = 2671,
  [2819] = 2671,
  [2820] = 2672,
  [2821] = 2673,
  [2822] = 2673,
  [2823] = 2670,
  [2824] = 2674,
  [2825] = 2670,
  [2826] = 2673,
  [2827] = 2674,
  [2828] = 2671,
  [2829] = 2670,
  [2830] = 2671,
  [2831] = 2671,
  [2832] = 2671,
  [2833] = 2671,
  [2834] = 2672,
  [2835] = 2674,
  [2836] = 2672,
  [2837] = 2670,
  [2838] = 2672,
  [2839] = 2674,
  [2840] = 2673,
  [2841] = 2673,
  [2842] = 2674,
  [2843] = 2672,
  [2844] = 2674,
  [2845] = 2673,
  [2846] = 2673,
  [2847] = 2670,
  [2848] = 2671,
  [2849] = 2674,
  [2850] = 2671,
  [2851] = 2672,
  [2852] = 2674,
  [2853] = 2673,
  [2854] = 2673,
  [2855] = 2672,
  [2856] = 2670,
  [2857] = 2671,
  [2858] = 2673,
  [2859] = 2672,
  [2860] = 2671,
  [2861] = 2670,
  [2862] = 2671,
  [2863] = 2673,
  [2864] = 2471,
  [2865] = 2672,
  [2866] = 2674,
  [2867] = 2674,
  [2868] = 2674,
  [2869] = 2671,
  [2870] = 2672,
  [2871] = 2671,
  [2872] = 2670,
  [2873] = 2673,
  [2874] = 2670,
  [2875] = 2672,
  [2876] = 2673,
  [2877] = 2674,
  [2878] = 2673,
  [2879] = 2671,
  [2880] = 2671,
  [2881] = 2670,
  [2882] = 2674,
  [2883] = 2670,
  [2884] = 2670,
  [2885] = 2672,
  [2886] = 2670,
  [2887] = 2671,
  [2888] = 2671,
  [2889] = 2889,
  [2890] = 2674,
  [2891] = 2672,
  [2892] = 2672,
  [2893] = 2673,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2896,
  [2898] = 2898,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2900,
  [2902] = 2902,
  [2903] = 2903,
  [2904] = 2902,
  [2905] = 2905,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2899,
  [2909] = 2909,
  [2910] = 2910,
  [2911] = 2902,
  [2912] = 2898,
  [2913] = 2913,
  [2914] = 2894,
  [2915] = 2913,
  [2916] = 2895,
  [2917] = 2902,
  [2918] = 2902,
  [2919] = 2902,
  [2920] = 2905,
  [2921] = 2906,
  [2922] = 2903,
  [2923] = 2909,
  [2924] = 2902,
  [2925] = 2907,
  [2926] = 2910,
  [2927] = 2902,
  [2928] = 2902,
  [2929] = 2910,
  [2930] = 2539,
  [2931] = 2902,
  [2932] = 2910,
  [2933] = 2907,
  [2934] = 2902,
  [2935] = 2561,
  [2936] = 2936,
  [2937] = 2937,
  [2938] = 2938,
  [2939] = 2939,
  [2940] = 2899,
  [2941] = 2941,
  [2942] = 2942,
  [2943] = 2943,
  [2944] = 2944,
  [2945] = 2945,
  [2946] = 2946,
  [2947] = 2946,
  [2948] = 2948,
  [2949] = 2903,
  [2950] = 2950,
  [2951] = 2951,
  [2952] = 2952,
  [2953] = 2953,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2956,
  [2957] = 2946,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2962,
  [2963] = 2963,
  [2964] = 2964,
  [2965] = 2965,
  [2966] = 2966,
  [2967] = 2967,
  [2968] = 2968,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2971,
  [2972] = 2972,
  [2973] = 2973,
  [2974] = 2974,
  [2975] = 2909,
  [2976] = 2976,
  [2977] = 2977,
  [2978] = 2978,
  [2979] = 2979,
  [2980] = 2980,
  [2981] = 2906,
  [2982] = 2982,
  [2983] = 2983,
  [2984] = 2968,
  [2985] = 2985,
  [2986] = 2986,
  [2987] = 2905,
  [2988] = 2946,
  [2989] = 2989,
  [2990] = 2990,
  [2991] = 2982,
  [2992] = 2983,
  [2993] = 2985,
  [2994] = 2986,
  [2995] = 2909,
  [2996] = 2968,
  [2997] = 2939,
  [2998] = 2938,
  [2999] = 2554,
  [3000] = 2946,
  [3001] = 2900,
  [3002] = 2903,
  [3003] = 3003,
  [3004] = 3003,
  [3005] = 2968,
  [3006] = 2968,
  [3007] = 2946,
  [3008] = 2946,
  [3009] = 2968,
  [3010] = 3010,
  [3011] = 2896,
  [3012] = 3010,
  [3013] = 2968,
  [3014] = 3014,
  [3015] = 2895,
  [3016] = 2913,
  [3017] = 3014,
  [3018] = 2946,
  [3019] = 2894,
  [3020] = 3010,
  [3021] = 3014,
  [3022] = 2974,
  [3023] = 2968,
  [3024] = 2968,
  [3025] = 2946,
  [3026] = 2936,
  [3027] = 2937,
  [3028] = 3028,
  [3029] = 2968,
  [3030] = 2968,
  [3031] = 2946,
  [3032] = 2968,
  [3033] = 2936,
  [3034] = 2968,
  [3035] = 3035,
  [3036] = 2432,
  [3037] = 2423,
  [3038] = 2946,
  [3039] = 3039,
  [3040] = 2896,
  [3041] = 2936,
  [3042] = 2913,
  [3043] = 2898,
  [3044] = 3044,
  [3045] = 2899,
  [3046] = 2937,
  [3047] = 3047,
  [3048] = 2896,
  [3049] = 2895,
  [3050] = 2894,
  [3051] = 2895,
  [3052] = 2913,
  [3053] = 2898,
  [3054] = 2899,
  [3055] = 2946,
  [3056] = 3056,
  [3057] = 2894,
  [3058] = 2973,
  [3059] = 2937,
  [3060] = 2900,
  [3061] = 2968,
  [3062] = 3062,
  [3063] = 3063,
  [3064] = 3064,
  [3065] = 2909,
  [3066] = 2972,
  [3067] = 2968,
  [3068] = 2913,
  [3069] = 2898,
  [3070] = 2899,
  [3071] = 2946,
  [3072] = 3072,
  [3073] = 3073,
  [3074] = 2968,
  [3075] = 2946,
  [3076] = 3076,
  [3077] = 3003,
  [3078] = 2946,
  [3079] = 3079,
  [3080] = 2946,
  [3081] = 3081,
  [3082] = 3082,
  [3083] = 3083,
  [3084] = 2971,
  [3085] = 3085,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 3088,
  [3089] = 3089,
  [3090] = 2970,
  [3091] = 2946,
  [3092] = 3003,
  [3093] = 3003,
  [3094] = 3003,
  [3095] = 2969,
  [3096] = 2967,
  [3097] = 2965,
  [3098] = 2900,
  [3099] = 3099,
  [3100] = 2964,
  [3101] = 2963,
  [3102] = 2961,
  [3103] = 2968,
  [3104] = 3104,
  [3105] = 3105,
  [3106] = 3106,
  [3107] = 2905,
  [3108] = 2905,
  [3109] = 3109,
  [3110] = 2906,
  [3111] = 2939,
  [3112] = 2906,
  [3113] = 2960,
  [3114] = 3003,
  [3115] = 2959,
  [3116] = 2946,
  [3117] = 3117,
  [3118] = 2900,
  [3119] = 2938,
  [3120] = 3120,
  [3121] = 2968,
  [3122] = 3122,
  [3123] = 2946,
  [3124] = 2968,
  [3125] = 2958,
  [3126] = 2968,
  [3127] = 2954,
  [3128] = 3128,
  [3129] = 2968,
  [3130] = 2939,
  [3131] = 2938,
  [3132] = 2903,
  [3133] = 2937,
  [3134] = 3003,
  [3135] = 2946,
  [3136] = 3003,
  [3137] = 3003,
  [3138] = 2968,
  [3139] = 2936,
  [3140] = 2968,
  [3141] = 3117,
  [3142] = 3104,
  [3143] = 3079,
  [3144] = 3076,
  [3145] = 3003,
  [3146] = 3073,
  [3147] = 3072,
  [3148] = 3063,
  [3149] = 2953,
  [3150] = 2952,
  [3151] = 2951,
  [3152] = 2946,
  [3153] = 2968,
  [3154] = 3154,
  [3155] = 3003,
  [3156] = 2946,
  [3157] = 3003,
  [3158] = 2968,
  [3159] = 2950,
  [3160] = 3062,
  [3161] = 3056,
  [3162] = 3047,
  [3163] = 2968,
  [3164] = 3039,
  [3165] = 3014,
  [3166] = 3010,
  [3167] = 2946,
  [3168] = 2990,
  [3169] = 2989,
  [3170] = 2978,
  [3171] = 2939,
  [3172] = 2966,
  [3173] = 2948,
  [3174] = 2968,
  [3175] = 2945,
  [3176] = 3010,
  [3177] = 3014,
  [3178] = 2968,
  [3179] = 2938,
  [3180] = 2943,
  [3181] = 3003,
  [3182] = 3128,
  [3183] = 2942,
  [3184] = 2941,
  [3185] = 2976,
  [3186] = 3122,
  [3187] = 2946,
  [3188] = 2977,
  [3189] = 3120,
  [3190] = 2906,
  [3191] = 2905,
  [3192] = 2968,
  [3193] = 3028,
  [3194] = 3109,
  [3195] = 3003,
  [3196] = 2968,
  [3197] = 2946,
  [3198] = 3106,
  [3199] = 3003,
  [3200] = 3105,
  [3201] = 2898,
  [3202] = 2903,
  [3203] = 2937,
  [3204] = 3204,
  [3205] = 2968,
  [3206] = 2968,
  [3207] = 2968,
  [3208] = 3003,
  [3209] = 3003,
  [3210] = 3087,
  [3211] = 2946,
  [3212] = 2944,
  [3213] = 2946,
  [3214] = 3035,
  [3215] = 2968,
  [3216] = 3154,
  [3217] = 3003,
  [3218] = 3003,
  [3219] = 2909,
  [3220] = 2968,
  [3221] = 2894,
  [3222] = 3003,
  [3223] = 2895,
  [3224] = 2955,
  [3225] = 2896,
  [3226] = 2937,
  [3227] = 2936,
  [3228] = 3014,
  [3229] = 2946,
  [3230] = 3010,
  [3231] = 2956,
  [3232] = 2946,
  [3233] = 2946,
  [3234] = 3003,
  [3235] = 2968,
  [3236] = 2938,
  [3237] = 3010,
  [3238] = 2939,
  [3239] = 3014,
  [3240] = 3003,
  [3241] = 3204,
  [3242] = 3064,
  [3243] = 3089,
  [3244] = 3003,
  [3245] = 2968,
  [3246] = 2937,
  [3247] = 2936,
  [3248] = 2962,
  [3249] = 3003,
  [3250] = 3003,
  [3251] = 3014,
  [3252] = 3010,
  [3253] = 3003,
  [3254] = 2946,
  [3255] = 2968,
  [3256] = 2968,
  [3257] = 3088,
  [3258] = 2979,
  [3259] = 3003,
  [3260] = 2968,
  [3261] = 2980,
  [3262] = 2938,
  [3263] = 3082,
  [3264] = 2939,
  [3265] = 3003,
  [3266] = 2968,
  [3267] = 3044,
  [3268] = 3085,
  [3269] = 2968,
  [3270] = 3003,
  [3271] = 3081,
  [3272] = 2946,
  [3273] = 2968,
  [3274] = 3099,
  [3275] = 3083,
  [3276] = 3003,
  [3277] = 3003,
  [3278] = 2936,
  [3279] = 2938,
  [3280] = 2939,
  [3281] = 3086,
  [3282] = 3282,
  [3283] = 2950,
  [3284] = 3104,
  [3285] = 3035,
  [3286] = 3117,
  [3287] = 2989,
  [3288] = 2896,
  [3289] = 2895,
  [3290] = 2894,
  [3291] = 3073,
  [3292] = 2971,
  [3293] = 3128,
  [3294] = 3122,
  [3295] = 3120,
  [3296] = 3076,
  [3297] = 2985,
  [3298] = 3282,
  [3299] = 2983,
  [3300] = 2990,
  [3301] = 3109,
  [3302] = 3106,
  [3303] = 3105,
  [3304] = 2976,
  [3305] = 2941,
  [3306] = 3282,
  [3307] = 3282,
  [3308] = 2942,
  [3309] = 2943,
  [3310] = 3154,
  [3311] = 3079,
  [3312] = 3039,
  [3313] = 3047,
  [3314] = 2900,
  [3315] = 2980,
  [3316] = 3316,
  [3317] = 3317,
  [3318] = 3062,
  [3319] = 2945,
  [3320] = 3320,
  [3321] = 3317,
  [3322] = 2913,
  [3323] = 2898,
  [3324] = 2899,
  [3325] = 3072,
  [3326] = 3282,
  [3327] = 3063,
  [3328] = 3062,
  [3329] = 3317,
  [3330] = 3204,
  [3331] = 3056,
  [3332] = 3282,
  [3333] = 2948,
  [3334] = 3089,
  [3335] = 3320,
  [3336] = 2966,
  [3337] = 3282,
  [3338] = 2979,
  [3339] = 3088,
  [3340] = 3086,
  [3341] = 3047,
  [3342] = 3085,
  [3343] = 3039,
  [3344] = 2955,
  [3345] = 3082,
  [3346] = 3317,
  [3347] = 3035,
  [3348] = 2945,
  [3349] = 2982,
  [3350] = 2950,
  [3351] = 2974,
  [3352] = 2972,
  [3353] = 2948,
  [3354] = 3099,
  [3355] = 3317,
  [3356] = 2990,
  [3357] = 2989,
  [3358] = 2978,
  [3359] = 2966,
  [3360] = 3320,
  [3361] = 2951,
  [3362] = 3317,
  [3363] = 2948,
  [3364] = 2952,
  [3365] = 3282,
  [3366] = 2945,
  [3367] = 2905,
  [3368] = 2944,
  [3369] = 2953,
  [3370] = 2978,
  [3371] = 2943,
  [3372] = 2942,
  [3373] = 2941,
  [3374] = 3064,
  [3375] = 3087,
  [3376] = 2976,
  [3377] = 3317,
  [3378] = 3282,
  [3379] = 2978,
  [3380] = 2906,
  [3381] = 2966,
  [3382] = 3044,
  [3383] = 2966,
  [3384] = 2978,
  [3385] = 2989,
  [3386] = 3063,
  [3387] = 2948,
  [3388] = 3056,
  [3389] = 2900,
  [3390] = 3317,
  [3391] = 3064,
  [3392] = 2977,
  [3393] = 2980,
  [3394] = 2954,
  [3395] = 3395,
  [3396] = 2989,
  [3397] = 2970,
  [3398] = 3083,
  [3399] = 2969,
  [3400] = 2971,
  [3401] = 3282,
  [3402] = 3317,
  [3403] = 2945,
  [3404] = 2958,
  [3405] = 2970,
  [3406] = 2990,
  [3407] = 2909,
  [3408] = 3408,
  [3409] = 2969,
  [3410] = 2979,
  [3411] = 3282,
  [3412] = 2944,
  [3413] = 2959,
  [3414] = 3317,
  [3415] = 3028,
  [3416] = 2960,
  [3417] = 2961,
  [3418] = 2943,
  [3419] = 2942,
  [3420] = 2944,
  [3421] = 2963,
  [3422] = 3317,
  [3423] = 2964,
  [3424] = 2965,
  [3425] = 2973,
  [3426] = 2967,
  [3427] = 2969,
  [3428] = 2970,
  [3429] = 3039,
  [3430] = 3073,
  [3431] = 2971,
  [3432] = 2990,
  [3433] = 2977,
  [3434] = 2967,
  [3435] = 3028,
  [3436] = 3282,
  [3437] = 3282,
  [3438] = 3317,
  [3439] = 2941,
  [3440] = 2962,
  [3441] = 2955,
  [3442] = 2976,
  [3443] = 3282,
  [3444] = 3081,
  [3445] = 3317,
  [3446] = 3282,
  [3447] = 3076,
  [3448] = 3282,
  [3449] = 3317,
  [3450] = 3282,
  [3451] = 3282,
  [3452] = 3109,
  [3453] = 3317,
  [3454] = 3317,
  [3455] = 3455,
  [3456] = 3282,
  [3457] = 3317,
  [3458] = 2972,
  [3459] = 3459,
  [3460] = 2967,
  [3461] = 3044,
  [3462] = 3282,
  [3463] = 2977,
  [3464] = 2962,
  [3465] = 3317,
  [3466] = 3317,
  [3467] = 3282,
  [3468] = 3317,
  [3469] = 3282,
  [3470] = 3317,
  [3471] = 3081,
  [3472] = 3282,
  [3473] = 3317,
  [3474] = 3079,
  [3475] = 3035,
  [3476] = 2944,
  [3477] = 3282,
  [3478] = 3082,
  [3479] = 3317,
  [3480] = 3087,
  [3481] = 3282,
  [3482] = 3039,
  [3483] = 2973,
  [3484] = 3047,
  [3485] = 3056,
  [3486] = 3062,
  [3487] = 3085,
  [3488] = 3047,
  [3489] = 3063,
  [3490] = 2950,
  [3491] = 2951,
  [3492] = 3282,
  [3493] = 2952,
  [3494] = 3056,
  [3495] = 2953,
  [3496] = 3317,
  [3497] = 2976,
  [3498] = 3086,
  [3499] = 3088,
  [3500] = 2954,
  [3501] = 2974,
  [3502] = 2958,
  [3503] = 2959,
  [3504] = 3104,
  [3505] = 2960,
  [3506] = 2961,
  [3507] = 2963,
  [3508] = 3087,
  [3509] = 2973,
  [3510] = 2963,
  [3511] = 2974,
  [3512] = 2979,
  [3513] = 3062,
  [3514] = 2961,
  [3515] = 2964,
  [3516] = 2980,
  [3517] = 2965,
  [3518] = 3028,
  [3519] = 2967,
  [3520] = 2969,
  [3521] = 2960,
  [3522] = 2959,
  [3523] = 2970,
  [3524] = 2971,
  [3525] = 3282,
  [3526] = 3317,
  [3527] = 3282,
  [3528] = 2979,
  [3529] = 2423,
  [3530] = 3317,
  [3531] = 3044,
  [3532] = 2941,
  [3533] = 3089,
  [3534] = 2982,
  [3535] = 2972,
  [3536] = 2983,
  [3537] = 2985,
  [3538] = 3204,
  [3539] = 2432,
  [3540] = 3540,
  [3541] = 3282,
  [3542] = 2943,
  [3543] = 2973,
  [3544] = 3317,
  [3545] = 3081,
  [3546] = 3117,
  [3547] = 2965,
  [3548] = 2432,
  [3549] = 2423,
  [3550] = 3063,
  [3551] = 2986,
  [3552] = 3044,
  [3553] = 3282,
  [3554] = 2972,
  [3555] = 3072,
  [3556] = 2951,
  [3557] = 2974,
  [3558] = 3072,
  [3559] = 2980,
  [3560] = 3073,
  [3561] = 2986,
  [3562] = 3105,
  [3563] = 3076,
  [3564] = 3317,
  [3565] = 2952,
  [3566] = 2958,
  [3567] = 3106,
  [3568] = 3083,
  [3569] = 3282,
  [3570] = 3081,
  [3571] = 3099,
  [3572] = 3317,
  [3573] = 3282,
  [3574] = 3317,
  [3575] = 3575,
  [3576] = 3317,
  [3577] = 2964,
  [3578] = 3282,
  [3579] = 3079,
  [3580] = 3455,
  [3581] = 2954,
  [3582] = 3317,
  [3583] = 2953,
  [3584] = 3087,
  [3585] = 3120,
  [3586] = 2903,
  [3587] = 2953,
  [3588] = 3320,
  [3589] = 3317,
  [3590] = 3590,
  [3591] = 2899,
  [3592] = 3128,
  [3593] = 3154,
  [3594] = 2942,
  [3595] = 3154,
  [3596] = 2954,
  [3597] = 3028,
  [3598] = 3459,
  [3599] = 2898,
  [3600] = 2951,
  [3601] = 2913,
  [3602] = 2950,
  [3603] = 3455,
  [3604] = 3395,
  [3605] = 3035,
  [3606] = 3590,
  [3607] = 3607,
  [3608] = 3575,
  [3609] = 3282,
  [3610] = 3083,
  [3611] = 3282,
  [3612] = 3104,
  [3613] = 3607,
  [3614] = 3317,
  [3615] = 3117,
  [3616] = 3282,
  [3617] = 3282,
  [3618] = 3122,
  [3619] = 2894,
  [3620] = 2895,
  [3621] = 3099,
  [3622] = 3317,
  [3623] = 2958,
  [3624] = 3128,
  [3625] = 3282,
  [3626] = 2896,
  [3627] = 2955,
  [3628] = 3282,
  [3629] = 3317,
  [3630] = 2956,
  [3631] = 2906,
  [3632] = 3317,
  [3633] = 2905,
  [3634] = 3128,
  [3635] = 3122,
  [3636] = 3122,
  [3637] = 3120,
  [3638] = 3109,
  [3639] = 3317,
  [3640] = 3640,
  [3641] = 3106,
  [3642] = 3282,
  [3643] = 3320,
  [3644] = 3317,
  [3645] = 3105,
  [3646] = 3117,
  [3647] = 3120,
  [3648] = 3282,
  [3649] = 2909,
  [3650] = 3317,
  [3651] = 3064,
  [3652] = 3204,
  [3653] = 2962,
  [3654] = 2977,
  [3655] = 2952,
  [3656] = 2963,
  [3657] = 3459,
  [3658] = 3455,
  [3659] = 3395,
  [3660] = 3590,
  [3661] = 3109,
  [3662] = 3282,
  [3663] = 2962,
  [3664] = 3607,
  [3665] = 3282,
  [3666] = 3575,
  [3667] = 3089,
  [3668] = 3088,
  [3669] = 3106,
  [3670] = 3282,
  [3671] = 3317,
  [3672] = 3073,
  [3673] = 3316,
  [3674] = 3105,
  [3675] = 2959,
  [3676] = 3317,
  [3677] = 2903,
  [3678] = 3204,
  [3679] = 2956,
  [3680] = 3317,
  [3681] = 3089,
  [3682] = 3088,
  [3683] = 2986,
  [3684] = 2985,
  [3685] = 2983,
  [3686] = 3099,
  [3687] = 2982,
  [3688] = 3076,
  [3689] = 3072,
  [3690] = 3086,
  [3691] = 3104,
  [3692] = 3086,
  [3693] = 3085,
  [3694] = 3079,
  [3695] = 2956,
  [3696] = 2986,
  [3697] = 2960,
  [3698] = 3085,
  [3699] = 2961,
  [3700] = 3064,
  [3701] = 2965,
  [3702] = 2985,
  [3703] = 2983,
  [3704] = 3154,
  [3705] = 2982,
  [3706] = 3320,
  [3707] = 2964,
  [3708] = 3575,
  [3709] = 2956,
  [3710] = 3083,
  [3711] = 3082,
  [3712] = 3082,
  [3713] = 2955,
  [3714] = 3317,
  [3715] = 3109,
  [3716] = 2963,
  [3717] = 2970,
  [3718] = 2965,
  [3719] = 2964,
  [3720] = 2977,
  [3721] = 3081,
  [3722] = 2967,
  [3723] = 2955,
  [3724] = 3099,
  [3725] = 2969,
  [3726] = 2986,
  [3727] = 2960,
  [3728] = 2976,
  [3729] = 2894,
  [3730] = 2941,
  [3731] = 2942,
  [3732] = 2961,
  [3733] = 3733,
  [3734] = 2943,
  [3735] = 2960,
  [3736] = 2895,
  [3737] = 2896,
  [3738] = 3117,
  [3739] = 2986,
  [3740] = 2959,
  [3741] = 2985,
  [3742] = 3104,
  [3743] = 2983,
  [3744] = 2982,
  [3745] = 2944,
  [3746] = 3154,
  [3747] = 3733,
  [3748] = 3079,
  [3749] = 3087,
  [3750] = 2970,
  [3751] = 3733,
  [3752] = 3064,
  [3753] = 3082,
  [3754] = 2944,
  [3755] = 2945,
  [3756] = 2971,
  [3757] = 2896,
  [3758] = 3733,
  [3759] = 2895,
  [3760] = 2894,
  [3761] = 3733,
  [3762] = 3733,
  [3763] = 2950,
  [3764] = 2971,
  [3765] = 3733,
  [3766] = 2948,
  [3767] = 2959,
  [3768] = 3154,
  [3769] = 2966,
  [3770] = 2978,
  [3771] = 2989,
  [3772] = 3081,
  [3773] = 2958,
  [3774] = 2990,
  [3775] = 3733,
  [3776] = 2956,
  [3777] = 2913,
  [3778] = 3085,
  [3779] = 2909,
  [3780] = 2898,
  [3781] = 2899,
  [3782] = 3128,
  [3783] = 3783,
  [3784] = 3784,
  [3785] = 3785,
  [3786] = 3039,
  [3787] = 3733,
  [3788] = 3047,
  [3789] = 3733,
  [3790] = 3056,
  [3791] = 3062,
  [3792] = 3733,
  [3793] = 3122,
  [3794] = 3120,
  [3795] = 3063,
  [3796] = 2961,
  [3797] = 3072,
  [3798] = 2905,
  [3799] = 3733,
  [3800] = 3785,
  [3801] = 3783,
  [3802] = 3044,
  [3803] = 2906,
  [3804] = 3073,
  [3805] = 3076,
  [3806] = 3204,
  [3807] = 3028,
  [3808] = 3079,
  [3809] = 3733,
  [3810] = 2951,
  [3811] = 3044,
  [3812] = 3109,
  [3813] = 3076,
  [3814] = 3104,
  [3815] = 3733,
  [3816] = 2980,
  [3817] = 3117,
  [3818] = 3035,
  [3819] = 2952,
  [3820] = 2979,
  [3821] = 3733,
  [3822] = 3733,
  [3823] = 2909,
  [3824] = 2969,
  [3825] = 3733,
  [3826] = 2958,
  [3827] = 3733,
  [3828] = 2898,
  [3829] = 3128,
  [3830] = 3122,
  [3831] = 2900,
  [3832] = 3120,
  [3833] = 3106,
  [3834] = 3733,
  [3835] = 3106,
  [3836] = 3105,
  [3837] = 3105,
  [3838] = 3035,
  [3839] = 2899,
  [3840] = 2962,
  [3841] = 3086,
  [3842] = 3028,
  [3843] = 3783,
  [3844] = 3785,
  [3845] = 2967,
  [3846] = 3733,
  [3847] = 2974,
  [3848] = 3784,
  [3849] = 3733,
  [3850] = 2972,
  [3851] = 3083,
  [3852] = 3733,
  [3853] = 3099,
  [3854] = 3733,
  [3855] = 3204,
  [3856] = 3733,
  [3857] = 3089,
  [3858] = 3733,
  [3859] = 2954,
  [3860] = 2977,
  [3861] = 3088,
  [3862] = 3086,
  [3863] = 3733,
  [3864] = 3085,
  [3865] = 2903,
  [3866] = 3087,
  [3867] = 3073,
  [3868] = 2976,
  [3869] = 3733,
  [3870] = 2941,
  [3871] = 3733,
  [3872] = 2942,
  [3873] = 3088,
  [3874] = 3072,
  [3875] = 2965,
  [3876] = 3733,
  [3877] = 2950,
  [3878] = 3082,
  [3879] = 2964,
  [3880] = 2943,
  [3881] = 2973,
  [3882] = 2972,
  [3883] = 3064,
  [3884] = 2900,
  [3885] = 3733,
  [3886] = 3089,
  [3887] = 3733,
  [3888] = 2951,
  [3889] = 2955,
  [3890] = 3733,
  [3891] = 2952,
  [3892] = 3063,
  [3893] = 3733,
  [3894] = 2956,
  [3895] = 3733,
  [3896] = 2953,
  [3897] = 3733,
  [3898] = 3733,
  [3899] = 2954,
  [3900] = 2963,
  [3901] = 2985,
  [3902] = 2903,
  [3903] = 2905,
  [3904] = 3733,
  [3905] = 3733,
  [3906] = 2953,
  [3907] = 2913,
  [3908] = 2945,
  [3909] = 3062,
  [3910] = 3056,
  [3911] = 3785,
  [3912] = 3733,
  [3913] = 2983,
  [3914] = 2979,
  [3915] = 2980,
  [3916] = 3733,
  [3917] = 3783,
  [3918] = 2948,
  [3919] = 2966,
  [3920] = 2978,
  [3921] = 2989,
  [3922] = 2990,
  [3923] = 2962,
  [3924] = 3733,
  [3925] = 2906,
  [3926] = 3039,
  [3927] = 3047,
  [3928] = 3733,
  [3929] = 3083,
  [3930] = 2974,
  [3931] = 2982,
  [3932] = 2973,
  [3933] = 2972,
  [3934] = 3079,
  [3935] = 2990,
  [3936] = 3936,
  [3937] = 2899,
  [3938] = 3936,
  [3939] = 2944,
  [3940] = 3047,
  [3941] = 3936,
  [3942] = 2978,
  [3943] = 3056,
  [3944] = 2966,
  [3945] = 3062,
  [3946] = 3064,
  [3947] = 2906,
  [3948] = 3063,
  [3949] = 3936,
  [3950] = 3950,
  [3951] = 3072,
  [3952] = 3073,
  [3953] = 3950,
  [3954] = 2983,
  [3955] = 3076,
  [3956] = 3079,
  [3957] = 2985,
  [3958] = 3087,
  [3959] = 2913,
  [3960] = 2948,
  [3961] = 2945,
  [3962] = 2973,
  [3963] = 3936,
  [3964] = 3936,
  [3965] = 2972,
  [3966] = 3082,
  [3967] = 3967,
  [3968] = 3936,
  [3969] = 3085,
  [3970] = 3086,
  [3971] = 3088,
  [3972] = 3035,
  [3973] = 3936,
  [3974] = 3974,
  [3975] = 2982,
  [3976] = 3936,
  [3977] = 3089,
  [3978] = 2900,
  [3979] = 3967,
  [3980] = 2974,
  [3981] = 2955,
  [3982] = 3154,
  [3983] = 3128,
  [3984] = 3087,
  [3985] = 2971,
  [3986] = 3122,
  [3987] = 2898,
  [3988] = 2970,
  [3989] = 3784,
  [3990] = 3064,
  [3991] = 3936,
  [3992] = 2956,
  [3993] = 3120,
  [3994] = 3936,
  [3995] = 2969,
  [3996] = 2967,
  [3997] = 3936,
  [3998] = 2967,
  [3999] = 2962,
  [4000] = 2965,
  [4001] = 2980,
  [4002] = 3099,
  [4003] = 3109,
  [4004] = 3936,
  [4005] = 3936,
  [4006] = 3083,
  [4007] = 2959,
  [4008] = 3936,
  [4009] = 3936,
  [4010] = 2969,
  [4011] = 2964,
  [4012] = 2970,
  [4013] = 2896,
  [4014] = 2895,
  [4015] = 2894,
  [4016] = 2905,
  [4017] = 2971,
  [4018] = 3105,
  [4019] = 2955,
  [4020] = 2906,
  [4021] = 2962,
  [4022] = 3936,
  [4023] = 3106,
  [4024] = 3109,
  [4025] = 3936,
  [4026] = 3784,
  [4027] = 3936,
  [4028] = 3120,
  [4029] = 3936,
  [4030] = 3936,
  [4031] = 2986,
  [4032] = 3936,
  [4033] = 3122,
  [4034] = 2960,
  [4035] = 3106,
  [4036] = 3128,
  [4037] = 3105,
  [4038] = 2963,
  [4039] = 2974,
  [4040] = 2903,
  [4041] = 3936,
  [4042] = 3104,
  [4043] = 3039,
  [4044] = 3974,
  [4045] = 3936,
  [4046] = 3117,
  [4047] = 3104,
  [4048] = 3936,
  [4049] = 3936,
  [4050] = 3081,
  [4051] = 2982,
  [4052] = 2983,
  [4053] = 3117,
  [4054] = 2961,
  [4055] = 2985,
  [4056] = 2986,
  [4057] = 3076,
  [4058] = 3936,
  [4059] = 2960,
  [4060] = 2979,
  [4061] = 2959,
  [4062] = 3073,
  [4063] = 3936,
  [4064] = 3072,
  [4065] = 2944,
  [4066] = 3063,
  [4067] = 2961,
  [4068] = 2896,
  [4069] = 2895,
  [4070] = 3936,
  [4071] = 3062,
  [4072] = 3056,
  [4073] = 3047,
  [4074] = 3039,
  [4075] = 3936,
  [4076] = 2894,
  [4077] = 2990,
  [4078] = 2989,
  [4079] = 2978,
  [4080] = 3936,
  [4081] = 3936,
  [4082] = 2956,
  [4083] = 2966,
  [4084] = 3936,
  [4085] = 3936,
  [4086] = 3784,
  [4087] = 3936,
  [4088] = 3936,
  [4089] = 3204,
  [4090] = 2948,
  [4091] = 3936,
  [4092] = 2945,
  [4093] = 2958,
  [4094] = 3936,
  [4095] = 2909,
  [4096] = 2943,
  [4097] = 3044,
  [4098] = 3936,
  [4099] = 3035,
  [4100] = 2942,
  [4101] = 2941,
  [4102] = 2950,
  [4103] = 2976,
  [4104] = 2905,
  [4105] = 3154,
  [4106] = 3028,
  [4107] = 3081,
  [4108] = 2900,
  [4109] = 3082,
  [4110] = 2965,
  [4111] = 3044,
  [4112] = 3936,
  [4113] = 3083,
  [4114] = 2963,
  [4115] = 2977,
  [4116] = 3089,
  [4117] = 3099,
  [4118] = 2951,
  [4119] = 3088,
  [4120] = 3936,
  [4121] = 2964,
  [4122] = 2958,
  [4123] = 2952,
  [4124] = 2913,
  [4125] = 2898,
  [4126] = 2954,
  [4127] = 2977,
  [4128] = 2899,
  [4129] = 2903,
  [4130] = 2979,
  [4131] = 3936,
  [4132] = 2953,
  [4133] = 2952,
  [4134] = 2954,
  [4135] = 3028,
  [4136] = 3936,
  [4137] = 2951,
  [4138] = 2989,
  [4139] = 2909,
  [4140] = 3204,
  [4141] = 3085,
  [4142] = 2976,
  [4143] = 2950,
  [4144] = 2941,
  [4145] = 2953,
  [4146] = 3086,
  [4147] = 2942,
  [4148] = 3784,
  [4149] = 2980,
  [4150] = 2973,
  [4151] = 2943,
  [4152] = 4152,
  [4153] = 4153,
  [4154] = 2942,
  [4155] = 2967,
  [4156] = 4156,
  [4157] = 4157,
  [4158] = 2942,
  [4159] = 3064,
  [4160] = 4156,
  [4161] = 4161,
  [4162] = 2941,
  [4163] = 3974,
  [4164] = 2943,
  [4165] = 2976,
  [4166] = 2944,
  [4167] = 2962,
  [4168] = 2945,
  [4169] = 4153,
  [4170] = 3784,
  [4171] = 4156,
  [4172] = 4157,
  [4173] = 2948,
  [4174] = 4157,
  [4175] = 4157,
  [4176] = 2974,
  [4177] = 4152,
  [4178] = 4152,
  [4179] = 3083,
  [4180] = 4157,
  [4181] = 3081,
  [4182] = 4156,
  [4183] = 2944,
  [4184] = 3044,
  [4185] = 2976,
  [4186] = 2952,
  [4187] = 2953,
  [4188] = 4152,
  [4189] = 3950,
  [4190] = 4152,
  [4191] = 4152,
  [4192] = 2971,
  [4193] = 4156,
  [4194] = 3120,
  [4195] = 4157,
  [4196] = 2977,
  [4197] = 2951,
  [4198] = 3081,
  [4199] = 2970,
  [4200] = 3086,
  [4201] = 4156,
  [4202] = 4156,
  [4203] = 3083,
  [4204] = 2969,
  [4205] = 4156,
  [4206] = 4157,
  [4207] = 3154,
  [4208] = 4157,
  [4209] = 2967,
  [4210] = 3974,
  [4211] = 2954,
  [4212] = 2966,
  [4213] = 2978,
  [4214] = 3064,
  [4215] = 4156,
  [4216] = 3082,
  [4217] = 4157,
  [4218] = 4152,
  [4219] = 4157,
  [4220] = 4156,
  [4221] = 4157,
  [4222] = 2969,
  [4223] = 2945,
  [4224] = 4152,
  [4225] = 3974,
  [4226] = 4152,
  [4227] = 2977,
  [4228] = 4157,
  [4229] = 4156,
  [4230] = 2955,
  [4231] = 3085,
  [4232] = 4157,
  [4233] = 2952,
  [4234] = 3086,
  [4235] = 4157,
  [4236] = 3088,
  [4237] = 3122,
  [4238] = 2958,
  [4239] = 3089,
  [4240] = 4152,
  [4241] = 3128,
  [4242] = 4156,
  [4243] = 3099,
  [4244] = 4156,
  [4245] = 2989,
  [4246] = 2990,
  [4247] = 4156,
  [4248] = 4153,
  [4249] = 2986,
  [4250] = 2970,
  [4251] = 4157,
  [4252] = 4156,
  [4253] = 4157,
  [4254] = 4156,
  [4255] = 4157,
  [4256] = 4161,
  [4257] = 4156,
  [4258] = 4157,
  [4259] = 4156,
  [4260] = 4152,
  [4261] = 4152,
  [4262] = 4157,
  [4263] = 3105,
  [4264] = 4152,
  [4265] = 4152,
  [4266] = 4152,
  [4267] = 3106,
  [4268] = 3109,
  [4269] = 4157,
  [4270] = 4152,
  [4271] = 2962,
  [4272] = 3120,
  [4273] = 3122,
  [4274] = 3128,
  [4275] = 2963,
  [4276] = 2973,
  [4277] = 4152,
  [4278] = 3117,
  [4279] = 4156,
  [4280] = 4161,
  [4281] = 2948,
  [4282] = 4157,
  [4283] = 3104,
  [4284] = 3950,
  [4285] = 2973,
  [4286] = 2963,
  [4287] = 4152,
  [4288] = 3117,
  [4289] = 3950,
  [4290] = 4157,
  [4291] = 4156,
  [4292] = 2961,
  [4293] = 4152,
  [4294] = 2979,
  [4295] = 3039,
  [4296] = 2960,
  [4297] = 2959,
  [4298] = 3099,
  [4299] = 4156,
  [4300] = 2971,
  [4301] = 3047,
  [4302] = 4156,
  [4303] = 3056,
  [4304] = 4152,
  [4305] = 2980,
  [4306] = 4157,
  [4307] = 3104,
  [4308] = 4152,
  [4309] = 2985,
  [4310] = 2983,
  [4311] = 3088,
  [4312] = 4156,
  [4313] = 3062,
  [4314] = 3106,
  [4315] = 2954,
  [4316] = 2980,
  [4317] = 3154,
  [4318] = 4157,
  [4319] = 4152,
  [4320] = 4161,
  [4321] = 3035,
  [4322] = 4152,
  [4323] = 4157,
  [4324] = 4156,
  [4325] = 4152,
  [4326] = 4157,
  [4327] = 2956,
  [4328] = 4152,
  [4329] = 4157,
  [4330] = 2943,
  [4331] = 3079,
  [4332] = 3204,
  [4333] = 3109,
  [4334] = 4152,
  [4335] = 3044,
  [4336] = 2966,
  [4337] = 2972,
  [4338] = 2978,
  [4339] = 4152,
  [4340] = 4157,
  [4341] = 2961,
  [4342] = 2958,
  [4343] = 4152,
  [4344] = 4152,
  [4345] = 4152,
  [4346] = 4152,
  [4347] = 3087,
  [4348] = 4152,
  [4349] = 2989,
  [4350] = 4157,
  [4351] = 2941,
  [4352] = 3204,
  [4353] = 4152,
  [4354] = 3063,
  [4355] = 4156,
  [4356] = 2982,
  [4357] = 3073,
  [4358] = 3072,
  [4359] = 4156,
  [4360] = 3072,
  [4361] = 4157,
  [4362] = 3063,
  [4363] = 2953,
  [4364] = 2990,
  [4365] = 4152,
  [4366] = 2986,
  [4367] = 4157,
  [4368] = 2951,
  [4369] = 4156,
  [4370] = 2974,
  [4371] = 2950,
  [4372] = 2979,
  [4373] = 4152,
  [4374] = 3028,
  [4375] = 3073,
  [4376] = 3035,
  [4377] = 3076,
  [4378] = 4157,
  [4379] = 2982,
  [4380] = 4156,
  [4381] = 4152,
  [4382] = 4152,
  [4383] = 3062,
  [4384] = 4156,
  [4385] = 4157,
  [4386] = 3105,
  [4387] = 4157,
  [4388] = 4152,
  [4389] = 3784,
  [4390] = 2964,
  [4391] = 4156,
  [4392] = 4156,
  [4393] = 3089,
  [4394] = 2960,
  [4395] = 4157,
  [4396] = 3079,
  [4397] = 3087,
  [4398] = 3056,
  [4399] = 4156,
  [4400] = 2959,
  [4401] = 4157,
  [4402] = 2972,
  [4403] = 4157,
  [4404] = 2965,
  [4405] = 4157,
  [4406] = 3028,
  [4407] = 3974,
  [4408] = 2985,
  [4409] = 2983,
  [4410] = 4156,
  [4411] = 4156,
  [4412] = 3047,
  [4413] = 4152,
  [4414] = 2955,
  [4415] = 4152,
  [4416] = 3082,
  [4417] = 4156,
  [4418] = 4156,
  [4419] = 4157,
  [4420] = 4152,
  [4421] = 2964,
  [4422] = 3039,
  [4423] = 4152,
  [4424] = 4152,
  [4425] = 4157,
  [4426] = 4156,
  [4427] = 4153,
  [4428] = 2950,
  [4429] = 4157,
  [4430] = 3950,
  [4431] = 3085,
  [4432] = 4156,
  [4433] = 4157,
  [4434] = 4157,
  [4435] = 3076,
  [4436] = 2965,
  [4437] = 2956,
  [4438] = 4438,
  [4439] = 4438,
  [4440] = 4438,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 4438,
  [4444] = 4444,
  [4445] = 3950,
  [4446] = 4438,
  [4447] = 4438,
  [4448] = 4438,
  [4449] = 4444,
  [4450] = 4441,
  [4451] = 4442,
  [4452] = 4441,
  [4453] = 4438,
  [4454] = 4442,
  [4455] = 3974,
  [4456] = 4444,
  [4457] = 4438,
  [4458] = 4438,
  [4459] = 4438,
  [4460] = 4438,
  [4461] = 4438,
  [4462] = 4438,
  [4463] = 4438,
  [4464] = 4438,
  [4465] = 4438,
  [4466] = 4438,
  [4467] = 3784,
  [4468] = 4438,
  [4469] = 4438,
  [4470] = 4441,
  [4471] = 4442,
  [4472] = 3950,
  [4473] = 4438,
  [4474] = 4442,
  [4475] = 4444,
  [4476] = 4441,
  [4477] = 3784,
  [4478] = 4438,
  [4479] = 4438,
  [4480] = 4438,
  [4481] = 4438,
  [4482] = 4438,
  [4483] = 4438,
  [4484] = 4441,
  [4485] = 4438,
  [4486] = 4438,
  [4487] = 4438,
  [4488] = 4438,
  [4489] = 4438,
  [4490] = 4438,
  [4491] = 4441,
  [4492] = 4438,
  [4493] = 3974,
  [4494] = 4442,
  [4495] = 4438,
  [4496] = 4442,
  [4497] = 4438,
  [4498] = 4438,
  [4499] = 4438,
  [4500] = 4438,
  [4501] = 4438,
  [4502] = 4438,
  [4503] = 4438,
  [4504] = 4442,
  [4505] = 4444,
  [4506] = 4438,
  [4507] = 4507,
  [4508] = 4508,
  [4509] = 3784,
  [4510] = 4508,
  [4511] = 4511,
  [4512] = 4512,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 4515,
  [4516] = 4515,
  [4517] = 4515,
  [4518] = 4508,
  [4519] = 4513,
  [4520] = 4514,
  [4521] = 4521,
  [4522] = 4511,
  [4523] = 4515,
  [4524] = 4514,
  [4525] = 4515,
  [4526] = 4526,
  [4527] = 4513,
  [4528] = 4515,
  [4529] = 4521,
  [4530] = 4514,
  [4531] = 4512,
  [4532] = 4521,
  [4533] = 3974,
  [4534] = 4512,
  [4535] = 4507,
  [4536] = 4536,
  [4537] = 4514,
  [4538] = 4515,
  [4539] = 4513,
  [4540] = 3950,
  [4541] = 4514,
  [4542] = 4511,
  [4543] = 4511,
  [4544] = 4513,
  [4545] = 4513,
  [4546] = 4511,
  [4547] = 4526,
  [4548] = 4513,
  [4549] = 3784,
  [4550] = 4507,
  [4551] = 3974,
  [4552] = 4511,
  [4553] = 4512,
  [4554] = 4507,
  [4555] = 4536,
  [4556] = 4507,
  [4557] = 4536,
  [4558] = 4508,
  [4559] = 4521,
  [4560] = 3950,
  [4561] = 4507,
  [4562] = 4536,
  [4563] = 4521,
  [4564] = 4512,
  [4565] = 4536,
  [4566] = 4526,
  [4567] = 4526,
  [4568] = 4514,
  [4569] = 4526,
  [4570] = 4508,
  [4571] = 4507,
  [4572] = 4536,
  [4573] = 4511,
  [4574] = 4536,
  [4575] = 4575,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 4577,
  [4580] = 3950,
  [4581] = 4577,
  [4582] = 4577,
  [4583] = 4578,
  [4584] = 4576,
  [4585] = 3950,
  [4586] = 4575,
  [4587] = 4578,
  [4588] = 4588,
  [4589] = 4578,
  [4590] = 4590,
  [4591] = 4576,
  [4592] = 4575,
  [4593] = 4588,
  [4594] = 4576,
  [4595] = 4577,
  [4596] = 4575,
  [4597] = 4577,
  [4598] = 4598,
  [4599] = 4599,
  [4600] = 4578,
  [4601] = 4577,
  [4602] = 4576,
  [4603] = 4575,
  [4604] = 4578,
  [4605] = 4576,
  [4606] = 4588,
  [4607] = 4578,
  [4608] = 3974,
  [4609] = 3974,
  [4610] = 4576,
  [4611] = 4575,
  [4612] = 4578,
  [4613] = 4575,
  [4614] = 4576,
  [4615] = 4575,
  [4616] = 4588,
  [4617] = 4577,
  [4618] = 4599,
  [4619] = 4588,
  [4620] = 2561,
  [4621] = 4621,
  [4622] = 4622,
  [4623] = 4621,
  [4624] = 4622,
  [4625] = 4622,
  [4626] = 4621,
  [4627] = 4622,
  [4628] = 4622,
  [4629] = 2909,
  [4630] = 4621,
  [4631] = 4622,
  [4632] = 4621,
  [4633] = 4633,
  [4634] = 4621,
  [4635] = 4622,
  [4636] = 4622,
  [4637] = 4621,
  [4638] = 4622,
  [4639] = 4621,
  [4640] = 4622,
  [4641] = 4622,
  [4642] = 4621,
  [4643] = 4621,
  [4644] = 4621,
  [4645] = 4621,
  [4646] = 4622,
  [4647] = 4622,
  [4648] = 4622,
  [4649] = 4622,
  [4650] = 4621,
  [4651] = 4622,
  [4652] = 4621,
  [4653] = 4622,
  [4654] = 4621,
  [4655] = 4622,
  [4656] = 4622,
  [4657] = 4622,
  [4658] = 4621,
  [4659] = 4621,
  [4660] = 4622,
  [4661] = 4661,
  [4662] = 4622,
  [4663] = 4621,
  [4664] = 4621,
  [4665] = 4621,
  [4666] = 4622,
  [4667] = 4621,
  [4668] = 4622,
  [4669] = 4621,
  [4670] = 4621,
  [4671] = 4622,
  [4672] = 4672,
  [4673] = 4621,
  [4674] = 4622,
  [4675] = 4621,
  [4676] = 4621,
  [4677] = 2900,
  [4678] = 4622,
  [4679] = 4622,
  [4680] = 4622,
  [4681] = 4621,
  [4682] = 4621,
  [4683] = 4621,
  [4684] = 4622,
  [4685] = 4622,
  [4686] = 4621,
  [4687] = 4621,
  [4688] = 4621,
  [4689] = 4621,
  [4690] = 2896,
  [4691] = 2895,
  [4692] = 2894,
  [4693] = 4621,
  [4694] = 4621,
  [4695] = 4622,
  [4696] = 4622,
  [4697] = 4622,
  [4698] = 4622,
  [4699] = 4621,
  [4700] = 4622,
  [4701] = 4621,
  [4702] = 4622,
  [4703] = 4622,
  [4704] = 4621,
  [4705] = 2905,
  [4706] = 4621,
  [4707] = 4621,
  [4708] = 4622,
  [4709] = 4622,
  [4710] = 4621,
  [4711] = 4622,
  [4712] = 4622,
  [4713] = 4621,
  [4714] = 2906,
  [4715] = 4622,
  [4716] = 4621,
  [4717] = 2899,
  [4718] = 4621,
  [4719] = 2913,
  [4720] = 4621,
  [4721] = 2898,
  [4722] = 4621,
  [4723] = 4622,
  [4724] = 4622,
  [4725] = 2903,
  [4726] = 4622,
  [4727] = 2905,
  [4728] = 2972,
  [4729] = 2941,
  [4730] = 2942,
  [4731] = 2971,
  [4732] = 2970,
  [4733] = 2969,
  [4734] = 2967,
  [4735] = 2965,
  [4736] = 4736,
  [4737] = 4736,
  [4738] = 2943,
  [4739] = 4736,
  [4740] = 2964,
  [4741] = 2945,
  [4742] = 2948,
  [4743] = 3028,
  [4744] = 2963,
  [4745] = 2966,
  [4746] = 2978,
  [4747] = 4736,
  [4748] = 2989,
  [4749] = 2990,
  [4750] = 4736,
  [4751] = 3039,
  [4752] = 4736,
  [4753] = 4736,
  [4754] = 4736,
  [4755] = 2961,
  [4756] = 3047,
  [4757] = 3056,
  [4758] = 2960,
  [4759] = 2950,
  [4760] = 2962,
  [4761] = 2959,
  [4762] = 4736,
  [4763] = 4736,
  [4764] = 4736,
  [4765] = 3035,
  [4766] = 3062,
  [4767] = 2979,
  [4768] = 3063,
  [4769] = 2980,
  [4770] = 3044,
  [4771] = 3072,
  [4772] = 2956,
  [4773] = 4736,
  [4774] = 3081,
  [4775] = 4736,
  [4776] = 4736,
  [4777] = 2955,
  [4778] = 2958,
  [4779] = 2906,
  [4780] = 3083,
  [4781] = 2954,
  [4782] = 4736,
  [4783] = 4736,
  [4784] = 2973,
  [4785] = 3099,
  [4786] = 4736,
  [4787] = 2909,
  [4788] = 3064,
  [4789] = 2953,
  [4790] = 2986,
  [4791] = 4736,
  [4792] = 4736,
  [4793] = 3073,
  [4794] = 4736,
  [4795] = 4736,
  [4796] = 2900,
  [4797] = 4736,
  [4798] = 3082,
  [4799] = 4736,
  [4800] = 3085,
  [4801] = 3076,
  [4802] = 4736,
  [4803] = 4736,
  [4804] = 4736,
  [4805] = 4736,
  [4806] = 3086,
  [4807] = 3088,
  [4808] = 4736,
  [4809] = 3204,
  [4810] = 4736,
  [4811] = 3089,
  [4812] = 4736,
  [4813] = 4736,
  [4814] = 4736,
  [4815] = 3154,
  [4816] = 2952,
  [4817] = 4736,
  [4818] = 2951,
  [4819] = 3079,
  [4820] = 2944,
  [4821] = 4821,
  [4822] = 2896,
  [4823] = 3104,
  [4824] = 4736,
  [4825] = 3117,
  [4826] = 4736,
  [4827] = 2895,
  [4828] = 2894,
  [4829] = 4736,
  [4830] = 4736,
  [4831] = 4736,
  [4832] = 4736,
  [4833] = 2985,
  [4834] = 2913,
  [4835] = 4736,
  [4836] = 2898,
  [4837] = 2976,
  [4838] = 2899,
  [4839] = 3087,
  [4840] = 2977,
  [4841] = 4736,
  [4842] = 2983,
  [4843] = 4736,
  [4844] = 2982,
  [4845] = 3105,
  [4846] = 2903,
  [4847] = 3106,
  [4848] = 3109,
  [4849] = 4736,
  [4850] = 4736,
  [4851] = 2974,
  [4852] = 4736,
  [4853] = 2905,
  [4854] = 3120,
  [4855] = 3128,
  [4856] = 3122,
  [4857] = 4736,
  [4858] = 2967,
  [4859] = 2942,
  [4860] = 4860,
  [4861] = 2978,
  [4862] = 2966,
  [4863] = 4860,
  [4864] = 2961,
  [4865] = 3204,
  [4866] = 3047,
  [4867] = 2960,
  [4868] = 3056,
  [4869] = 2983,
  [4870] = 2959,
  [4871] = 2973,
  [4872] = 3062,
  [4873] = 2948,
  [4874] = 4860,
  [4875] = 2945,
  [4876] = 2944,
  [4877] = 2900,
  [4878] = 2982,
  [4879] = 2909,
  [4880] = 3063,
  [4881] = 2974,
  [4882] = 3072,
  [4883] = 2895,
  [4884] = 2943,
  [4885] = 2985,
  [4886] = 3064,
  [4887] = 2894,
  [4888] = 2941,
  [4889] = 2976,
  [4890] = 3073,
  [4891] = 3076,
  [4892] = 2899,
  [4893] = 2965,
  [4894] = 2963,
  [4895] = 2977,
  [4896] = 2913,
  [4897] = 3035,
  [4898] = 2980,
  [4899] = 2964,
  [4900] = 2956,
  [4901] = 3079,
  [4902] = 2990,
  [4903] = 2989,
  [4904] = 3154,
  [4905] = 2896,
  [4906] = 3099,
  [4907] = 2958,
  [4908] = 2950,
  [4909] = 3039,
  [4910] = 2969,
  [4911] = 3083,
  [4912] = 3104,
  [4913] = 4860,
  [4914] = 3117,
  [4915] = 2906,
  [4916] = 2972,
  [4917] = 3128,
  [4918] = 3081,
  [4919] = 3122,
  [4920] = 3120,
  [4921] = 3028,
  [4922] = 3082,
  [4923] = 4860,
  [4924] = 3085,
  [4925] = 3044,
  [4926] = 3088,
  [4927] = 2955,
  [4928] = 2953,
  [4929] = 2951,
  [4930] = 2970,
  [4931] = 3089,
  [4932] = 2952,
  [4933] = 2979,
  [4934] = 4860,
  [4935] = 3109,
  [4936] = 2954,
  [4937] = 2905,
  [4938] = 2903,
  [4939] = 3106,
  [4940] = 3105,
  [4941] = 3087,
  [4942] = 2971,
  [4943] = 2898,
  [4944] = 2986,
  [4945] = 3086,
  [4946] = 2962,
  [4947] = 2960,
  [4948] = 2954,
  [4949] = 2895,
  [4950] = 2903,
  [4951] = 2955,
  [4952] = 2894,
  [4953] = 4953,
  [4954] = 2896,
  [4955] = 4953,
  [4956] = 4956,
  [4957] = 2944,
  [4958] = 4953,
  [4959] = 2962,
  [4960] = 4953,
  [4961] = 4953,
  [4962] = 4953,
  [4963] = 4956,
  [4964] = 2913,
  [4965] = 2898,
  [4966] = 4953,
  [4967] = 2899,
  [4968] = 2903,
  [4969] = 2909,
  [4970] = 3087,
  [4971] = 4971,
  [4972] = 4953,
  [4973] = 4953,
  [4974] = 4953,
  [4975] = 4953,
  [4976] = 2896,
  [4977] = 2895,
  [4978] = 2894,
  [4979] = 4953,
  [4980] = 4953,
  [4981] = 2900,
  [4982] = 3204,
  [4983] = 4953,
  [4984] = 2913,
  [4985] = 4953,
  [4986] = 4971,
  [4987] = 3028,
  [4988] = 2898,
  [4989] = 4953,
  [4990] = 2899,
  [4991] = 2979,
  [4992] = 2977,
  [4993] = 2906,
  [4994] = 4953,
  [4995] = 2976,
  [4996] = 2941,
  [4997] = 2942,
  [4998] = 2943,
  [4999] = 2945,
  [5000] = 2948,
  [5001] = 2966,
  [5002] = 2980,
  [5003] = 2978,
  [5004] = 2989,
  [5005] = 2990,
  [5006] = 4971,
  [5007] = 4953,
  [5008] = 5008,
  [5009] = 3039,
  [5010] = 3047,
  [5011] = 3056,
  [5012] = 2974,
  [5013] = 3062,
  [5014] = 4971,
  [5015] = 3063,
  [5016] = 3072,
  [5017] = 3073,
  [5018] = 3076,
  [5019] = 3044,
  [5020] = 3079,
  [5021] = 2971,
  [5022] = 2970,
  [5023] = 2900,
  [5024] = 2969,
  [5025] = 2967,
  [5026] = 4971,
  [5027] = 3081,
  [5028] = 4953,
  [5029] = 2965,
  [5030] = 3104,
  [5031] = 3117,
  [5032] = 2964,
  [5033] = 3128,
  [5034] = 3122,
  [5035] = 3120,
  [5036] = 4953,
  [5037] = 3784,
  [5038] = 3109,
  [5039] = 3106,
  [5040] = 3105,
  [5041] = 3083,
  [5042] = 2973,
  [5043] = 4953,
  [5044] = 2963,
  [5045] = 2909,
  [5046] = 3099,
  [5047] = 4953,
  [5048] = 4953,
  [5049] = 2961,
  [5050] = 2959,
  [5051] = 4953,
  [5052] = 4953,
  [5053] = 5008,
  [5054] = 4953,
  [5055] = 4953,
  [5056] = 4953,
  [5057] = 2956,
  [5058] = 4953,
  [5059] = 4953,
  [5060] = 3089,
  [5061] = 4953,
  [5062] = 2986,
  [5063] = 3088,
  [5064] = 3086,
  [5065] = 3154,
  [5066] = 5008,
  [5067] = 3085,
  [5068] = 4953,
  [5069] = 3082,
  [5070] = 4953,
  [5071] = 4953,
  [5072] = 2985,
  [5073] = 4953,
  [5074] = 2983,
  [5075] = 4953,
  [5076] = 2982,
  [5077] = 4953,
  [5078] = 4953,
  [5079] = 4953,
  [5080] = 4953,
  [5081] = 3035,
  [5082] = 4953,
  [5083] = 4953,
  [5084] = 4971,
  [5085] = 4953,
  [5086] = 4953,
  [5087] = 3064,
  [5088] = 2950,
  [5089] = 2958,
  [5090] = 2972,
  [5091] = 2905,
  [5092] = 2951,
  [5093] = 2906,
  [5094] = 2952,
  [5095] = 4953,
  [5096] = 4953,
  [5097] = 2953,
  [5098] = 2954,
  [5099] = 2985,
  [5100] = 2963,
  [5101] = 3083,
  [5102] = 5102,
  [5103] = 2961,
  [5104] = 2960,
  [5105] = 2959,
  [5106] = 2972,
  [5107] = 2958,
  [5108] = 2954,
  [5109] = 3154,
  [5110] = 2977,
  [5111] = 3035,
  [5112] = 2955,
  [5113] = 3087,
  [5114] = 2982,
  [5115] = 2950,
  [5116] = 2983,
  [5117] = 2953,
  [5118] = 2985,
  [5119] = 2986,
  [5120] = 2965,
  [5121] = 2965,
  [5122] = 2982,
  [5123] = 2964,
  [5124] = 2967,
  [5125] = 3099,
  [5126] = 2964,
  [5127] = 3081,
  [5128] = 3154,
  [5129] = 2952,
  [5130] = 5102,
  [5131] = 2952,
  [5132] = 2973,
  [5133] = 2976,
  [5134] = 3064,
  [5135] = 3204,
  [5136] = 3950,
  [5137] = 2951,
  [5138] = 2972,
  [5139] = 3082,
  [5140] = 2974,
  [5141] = 2974,
  [5142] = 3085,
  [5143] = 2962,
  [5144] = 2941,
  [5145] = 3086,
  [5146] = 3088,
  [5147] = 2942,
  [5148] = 3089,
  [5149] = 2956,
  [5150] = 2903,
  [5151] = 3028,
  [5152] = 2943,
  [5153] = 3105,
  [5154] = 3106,
  [5155] = 2983,
  [5156] = 3109,
  [5157] = 2952,
  [5158] = 2896,
  [5159] = 2971,
  [5160] = 2970,
  [5161] = 2969,
  [5162] = 2967,
  [5163] = 2963,
  [5164] = 2961,
  [5165] = 2960,
  [5166] = 2895,
  [5167] = 2959,
  [5168] = 2958,
  [5169] = 2953,
  [5170] = 2951,
  [5171] = 2944,
  [5172] = 2950,
  [5173] = 2945,
  [5174] = 2894,
  [5175] = 2948,
  [5176] = 2900,
  [5177] = 3120,
  [5178] = 3122,
  [5179] = 2979,
  [5180] = 2980,
  [5181] = 3128,
  [5182] = 3044,
  [5183] = 3044,
  [5184] = 2966,
  [5185] = 3081,
  [5186] = 2906,
  [5187] = 3974,
  [5188] = 3083,
  [5189] = 2989,
  [5190] = 3099,
  [5191] = 2990,
  [5192] = 3117,
  [5193] = 3039,
  [5194] = 3047,
  [5195] = 3104,
  [5196] = 3079,
  [5197] = 3056,
  [5198] = 3076,
  [5199] = 3073,
  [5200] = 3072,
  [5201] = 2980,
  [5202] = 3063,
  [5203] = 2952,
  [5204] = 2964,
  [5205] = 3062,
  [5206] = 2979,
  [5207] = 3063,
  [5208] = 3072,
  [5209] = 2905,
  [5210] = 3073,
  [5211] = 2913,
  [5212] = 3062,
  [5213] = 3076,
  [5214] = 2973,
  [5215] = 2898,
  [5216] = 2977,
  [5217] = 3087,
  [5218] = 3079,
  [5219] = 2964,
  [5220] = 3104,
  [5221] = 3117,
  [5222] = 2899,
  [5223] = 2944,
  [5224] = 2978,
  [5225] = 3056,
  [5226] = 3047,
  [5227] = 2976,
  [5228] = 3039,
  [5229] = 3128,
  [5230] = 2909,
  [5231] = 2990,
  [5232] = 2989,
  [5233] = 2978,
  [5234] = 2905,
  [5235] = 3122,
  [5236] = 3120,
  [5237] = 2941,
  [5238] = 2942,
  [5239] = 2943,
  [5240] = 2986,
  [5241] = 2962,
  [5242] = 3109,
  [5243] = 3106,
  [5244] = 3028,
  [5245] = 2966,
  [5246] = 3105,
  [5247] = 2971,
  [5248] = 3784,
  [5249] = 3035,
  [5250] = 3086,
  [5251] = 2970,
  [5252] = 2969,
  [5253] = 3082,
  [5254] = 2955,
  [5255] = 3085,
  [5256] = 2956,
  [5257] = 3064,
  [5258] = 3088,
  [5259] = 2948,
  [5260] = 3204,
  [5261] = 2945,
  [5262] = 3089,
  [5263] = 2973,
  [5264] = 2962,
  [5265] = 3950,
  [5266] = 2989,
  [5267] = 3044,
  [5268] = 5268,
  [5269] = 2964,
  [5270] = 5270,
  [5271] = 2954,
  [5272] = 2959,
  [5273] = 3064,
  [5274] = 2978,
  [5275] = 2953,
  [5276] = 2905,
  [5277] = 2961,
  [5278] = 2990,
  [5279] = 2966,
  [5280] = 2948,
  [5281] = 2945,
  [5282] = 2951,
  [5283] = 2950,
  [5284] = 2952,
  [5285] = 2963,
  [5286] = 2954,
  [5287] = 2973,
  [5288] = 3039,
  [5289] = 3081,
  [5290] = 2959,
  [5291] = 3047,
  [5292] = 3035,
  [5293] = 3974,
  [5294] = 2972,
  [5295] = 2965,
  [5296] = 3154,
  [5297] = 2950,
  [5298] = 3056,
  [5299] = 3062,
  [5300] = 3063,
  [5301] = 3072,
  [5302] = 2965,
  [5303] = 3073,
  [5304] = 3076,
  [5305] = 2951,
  [5306] = 3083,
  [5307] = 2953,
  [5308] = 2980,
  [5309] = 2943,
  [5310] = 3099,
  [5311] = 2942,
  [5312] = 3784,
  [5313] = 2979,
  [5314] = 2958,
  [5315] = 2960,
  [5316] = 2965,
  [5317] = 2941,
  [5318] = 2944,
  [5319] = 2958,
  [5320] = 5270,
  [5321] = 2972,
  [5322] = 2961,
  [5323] = 2963,
  [5324] = 2963,
  [5325] = 2961,
  [5326] = 2959,
  [5327] = 2967,
  [5328] = 2974,
  [5329] = 3079,
  [5330] = 3104,
  [5331] = 2969,
  [5332] = 2970,
  [5333] = 3117,
  [5334] = 2971,
  [5335] = 2974,
  [5336] = 2964,
  [5337] = 2976,
  [5338] = 2973,
  [5339] = 5339,
  [5340] = 2977,
  [5341] = 3128,
  [5342] = 3122,
  [5343] = 3120,
  [5344] = 5268,
  [5345] = 3109,
  [5346] = 5346,
  [5347] = 2972,
  [5348] = 3106,
  [5349] = 2956,
  [5350] = 3105,
  [5351] = 2958,
  [5352] = 2955,
  [5353] = 2964,
  [5354] = 3028,
  [5355] = 2974,
  [5356] = 2954,
  [5357] = 2953,
  [5358] = 2951,
  [5359] = 2950,
  [5360] = 5360,
  [5361] = 3204,
  [5362] = 5362,
  [5363] = 3089,
  [5364] = 2986,
  [5365] = 2985,
  [5366] = 2983,
  [5367] = 2952,
  [5368] = 3088,
  [5369] = 2982,
  [5370] = 3086,
  [5371] = 3087,
  [5372] = 3085,
  [5373] = 2952,
  [5374] = 5346,
  [5375] = 3082,
  [5376] = 3974,
  [5377] = 5377,
  [5378] = 2906,
  [5379] = 3035,
  [5380] = 5380,
  [5381] = 3784,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 2971,
  [5385] = 2950,
  [5386] = 2951,
  [5387] = 2970,
  [5388] = 2969,
  [5389] = 5389,
  [5390] = 5390,
  [5391] = 2967,
  [5392] = 2969,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 3154,
  [5396] = 2896,
  [5397] = 2895,
  [5398] = 2894,
  [5399] = 2913,
  [5400] = 2954,
  [5401] = 2970,
  [5402] = 2958,
  [5403] = 2971,
  [5404] = 2974,
  [5405] = 2898,
  [5406] = 2899,
  [5407] = 2960,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 2900,
  [5411] = 5270,
  [5412] = 5412,
  [5413] = 2986,
  [5414] = 2982,
  [5415] = 5380,
  [5416] = 5382,
  [5417] = 5383,
  [5418] = 5412,
  [5419] = 2959,
  [5420] = 2983,
  [5421] = 2985,
  [5422] = 2961,
  [5423] = 5268,
  [5424] = 2985,
  [5425] = 2983,
  [5426] = 5426,
  [5427] = 2963,
  [5428] = 5389,
  [5429] = 5393,
  [5430] = 5394,
  [5431] = 2965,
  [5432] = 5408,
  [5433] = 2905,
  [5434] = 5409,
  [5435] = 2982,
  [5436] = 2954,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5270,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 5445,
  [5446] = 5446,
  [5447] = 2967,
  [5448] = 5448,
  [5449] = 5449,
  [5450] = 5450,
  [5451] = 2953,
  [5452] = 2974,
  [5453] = 2973,
  [5454] = 2903,
  [5455] = 2963,
  [5456] = 2986,
  [5457] = 2961,
  [5458] = 5458,
  [5459] = 5459,
  [5460] = 2959,
  [5461] = 5461,
  [5462] = 5346,
  [5463] = 3950,
  [5464] = 2972,
  [5465] = 5438,
  [5466] = 5268,
  [5467] = 3784,
  [5468] = 2958,
  [5469] = 5469,
  [5470] = 2960,
  [5471] = 2953,
  [5472] = 5440,
  [5473] = 2951,
  [5474] = 2950,
  [5475] = 5390,
  [5476] = 5426,
  [5477] = 3154,
  [5478] = 5441,
  [5479] = 5346,
  [5480] = 5450,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 5483,
  [5484] = 5484,
  [5485] = 5485,
  [5486] = 5486,
  [5487] = 5487,
  [5488] = 5486,
  [5489] = 5437,
  [5490] = 5490,
  [5491] = 5377,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 5484,
  [5495] = 5442,
  [5496] = 5444,
  [5497] = 5483,
  [5498] = 5445,
  [5499] = 2965,
  [5500] = 2972,
  [5501] = 5446,
  [5502] = 5493,
  [5503] = 5492,
  [5504] = 5448,
  [5505] = 5469,
  [5506] = 5461,
  [5507] = 3035,
  [5508] = 5459,
  [5509] = 5485,
  [5510] = 5458,
  [5511] = 5481,
  [5512] = 5482,
  [5513] = 5487,
  [5514] = 2909,
  [5515] = 5443,
  [5516] = 2973,
  [5517] = 5490,
  [5518] = 5449,
  [5519] = 2895,
  [5520] = 3073,
  [5521] = 5383,
  [5522] = 2985,
  [5523] = 2983,
  [5524] = 2954,
  [5525] = 5382,
  [5526] = 5380,
  [5527] = 5483,
  [5528] = 2980,
  [5529] = 5450,
  [5530] = 2979,
  [5531] = 2953,
  [5532] = 2970,
  [5533] = 5380,
  [5534] = 5382,
  [5535] = 2986,
  [5536] = 3950,
  [5537] = 5412,
  [5538] = 3950,
  [5539] = 2986,
  [5540] = 5445,
  [5541] = 2903,
  [5542] = 2960,
  [5543] = 2982,
  [5544] = 2952,
  [5545] = 2967,
  [5546] = 2899,
  [5547] = 2951,
  [5548] = 2905,
  [5549] = 3035,
  [5550] = 2950,
  [5551] = 2971,
  [5552] = 5485,
  [5553] = 2970,
  [5554] = 5389,
  [5555] = 5487,
  [5556] = 5390,
  [5557] = 5393,
  [5558] = 5394,
  [5559] = 2909,
  [5560] = 2962,
  [5561] = 3154,
  [5562] = 2965,
  [5563] = 3035,
  [5564] = 2905,
  [5565] = 2964,
  [5566] = 5408,
  [5567] = 2956,
  [5568] = 2986,
  [5569] = 2955,
  [5570] = 2985,
  [5571] = 2983,
  [5572] = 2982,
  [5573] = 5409,
  [5574] = 2969,
  [5575] = 2969,
  [5576] = 2963,
  [5577] = 2967,
  [5578] = 2985,
  [5579] = 2983,
  [5580] = 2906,
  [5581] = 2961,
  [5582] = 5486,
  [5583] = 2960,
  [5584] = 3974,
  [5585] = 2959,
  [5586] = 3154,
  [5587] = 2896,
  [5588] = 5482,
  [5589] = 5493,
  [5590] = 2971,
  [5591] = 2894,
  [5592] = 5490,
  [5593] = 2960,
  [5594] = 5377,
  [5595] = 5492,
  [5596] = 5383,
  [5597] = 5426,
  [5598] = 5389,
  [5599] = 3099,
  [5600] = 2958,
  [5601] = 5393,
  [5602] = 2973,
  [5603] = 5394,
  [5604] = 3044,
  [5605] = 2972,
  [5606] = 5408,
  [5607] = 2969,
  [5608] = 5409,
  [5609] = 5426,
  [5610] = 5438,
  [5611] = 2970,
  [5612] = 3087,
  [5613] = 2913,
  [5614] = 2974,
  [5615] = 2971,
  [5616] = 3064,
  [5617] = 2898,
  [5618] = 5482,
  [5619] = 5440,
  [5620] = 5485,
  [5621] = 3083,
  [5622] = 3082,
  [5623] = 3085,
  [5624] = 3086,
  [5625] = 3088,
  [5626] = 5487,
  [5627] = 3089,
  [5628] = 3204,
  [5629] = 5469,
  [5630] = 5461,
  [5631] = 5441,
  [5632] = 5390,
  [5633] = 3105,
  [5634] = 3106,
  [5635] = 3109,
  [5636] = 3120,
  [5637] = 3035,
  [5638] = 3122,
  [5639] = 3128,
  [5640] = 5450,
  [5641] = 3154,
  [5642] = 5442,
  [5643] = 5490,
  [5644] = 5437,
  [5645] = 5377,
  [5646] = 5438,
  [5647] = 5492,
  [5648] = 5493,
  [5649] = 5440,
  [5650] = 5443,
  [5651] = 5441,
  [5652] = 5442,
  [5653] = 5443,
  [5654] = 3117,
  [5655] = 3104,
  [5656] = 3079,
  [5657] = 5444,
  [5658] = 3784,
  [5659] = 3076,
  [5660] = 5445,
  [5661] = 5446,
  [5662] = 5448,
  [5663] = 3072,
  [5664] = 3063,
  [5665] = 3062,
  [5666] = 5444,
  [5667] = 3056,
  [5668] = 3047,
  [5669] = 5459,
  [5670] = 5486,
  [5671] = 3039,
  [5672] = 2990,
  [5673] = 2967,
  [5674] = 5449,
  [5675] = 3028,
  [5676] = 5469,
  [5677] = 2977,
  [5678] = 5484,
  [5679] = 5484,
  [5680] = 3974,
  [5681] = 5412,
  [5682] = 3081,
  [5683] = 5458,
  [5684] = 5446,
  [5685] = 2989,
  [5686] = 5461,
  [5687] = 5459,
  [5688] = 5481,
  [5689] = 5458,
  [5690] = 2978,
  [5691] = 2966,
  [5692] = 2948,
  [5693] = 5437,
  [5694] = 2900,
  [5695] = 2976,
  [5696] = 2945,
  [5697] = 2944,
  [5698] = 2982,
  [5699] = 5448,
  [5700] = 2941,
  [5701] = 5449,
  [5702] = 2943,
  [5703] = 5483,
  [5704] = 5481,
  [5705] = 2942,
  [5706] = 2894,
  [5707] = 2913,
  [5708] = 3105,
  [5709] = 2967,
  [5710] = 3120,
  [5711] = 3122,
  [5712] = 3128,
  [5713] = 3117,
  [5714] = 3104,
  [5715] = 2905,
  [5716] = 3035,
  [5717] = 3079,
  [5718] = 3076,
  [5719] = 3073,
  [5720] = 3072,
  [5721] = 2969,
  [5722] = 3062,
  [5723] = 3056,
  [5724] = 2965,
  [5725] = 3047,
  [5726] = 2959,
  [5727] = 3039,
  [5728] = 2970,
  [5729] = 2971,
  [5730] = 2990,
  [5731] = 2989,
  [5732] = 2978,
  [5733] = 2966,
  [5734] = 2964,
  [5735] = 2948,
  [5736] = 3974,
  [5737] = 2945,
  [5738] = 3063,
  [5739] = 5739,
  [5740] = 5739,
  [5741] = 2903,
  [5742] = 3099,
  [5743] = 2973,
  [5744] = 2896,
  [5745] = 2963,
  [5746] = 2895,
  [5747] = 2943,
  [5748] = 2961,
  [5749] = 2942,
  [5750] = 3083,
  [5751] = 2960,
  [5752] = 3106,
  [5753] = 3109,
  [5754] = 5754,
  [5755] = 2898,
  [5756] = 2899,
  [5757] = 3089,
  [5758] = 2972,
  [5759] = 3088,
  [5760] = 2986,
  [5761] = 3086,
  [5762] = 2941,
  [5763] = 2976,
  [5764] = 3085,
  [5765] = 2900,
  [5766] = 2980,
  [5767] = 2985,
  [5768] = 2982,
  [5769] = 3082,
  [5770] = 2977,
  [5771] = 3044,
  [5772] = 3081,
  [5773] = 3950,
  [5774] = 2974,
  [5775] = 5739,
  [5776] = 5739,
  [5777] = 3028,
  [5778] = 2905,
  [5779] = 3204,
  [5780] = 2952,
  [5781] = 2954,
  [5782] = 2979,
  [5783] = 2909,
  [5784] = 2962,
  [5785] = 2956,
  [5786] = 2958,
  [5787] = 2983,
  [5788] = 5754,
  [5789] = 2944,
  [5790] = 2950,
  [5791] = 3154,
  [5792] = 3087,
  [5793] = 2953,
  [5794] = 2951,
  [5795] = 2955,
  [5796] = 2906,
  [5797] = 3064,
  [5798] = 5739,
  [5799] = 5739,
  [5800] = 5754,
  [5801] = 2905,
  [5802] = 2898,
  [5803] = 3044,
  [5804] = 3064,
  [5805] = 3082,
  [5806] = 3085,
  [5807] = 3086,
  [5808] = 3088,
  [5809] = 3089,
  [5810] = 3105,
  [5811] = 3106,
  [5812] = 2980,
  [5813] = 3109,
  [5814] = 3120,
  [5815] = 2900,
  [5816] = 3122,
  [5817] = 3128,
  [5818] = 2900,
  [5819] = 2979,
  [5820] = 3117,
  [5821] = 3104,
  [5822] = 3079,
  [5823] = 3076,
  [5824] = 3073,
  [5825] = 3072,
  [5826] = 3063,
  [5827] = 2905,
  [5828] = 3062,
  [5829] = 2905,
  [5830] = 3056,
  [5831] = 3047,
  [5832] = 3039,
  [5833] = 2990,
  [5834] = 2989,
  [5835] = 2978,
  [5836] = 3035,
  [5837] = 2966,
  [5838] = 2948,
  [5839] = 2982,
  [5840] = 2905,
  [5841] = 2945,
  [5842] = 3154,
  [5843] = 2909,
  [5844] = 2983,
  [5845] = 2985,
  [5846] = 2899,
  [5847] = 2898,
  [5848] = 2913,
  [5849] = 2943,
  [5850] = 2942,
  [5851] = 2941,
  [5852] = 2899,
  [5853] = 2898,
  [5854] = 2913,
  [5855] = 2976,
  [5856] = 2903,
  [5857] = 2894,
  [5858] = 2895,
  [5859] = 2896,
  [5860] = 2977,
  [5861] = 2986,
  [5862] = 2905,
  [5863] = 2894,
  [5864] = 2895,
  [5865] = 2896,
  [5866] = 2950,
  [5867] = 2951,
  [5868] = 2952,
  [5869] = 2895,
  [5870] = 2953,
  [5871] = 2962,
  [5872] = 3099,
  [5873] = 3083,
  [5874] = 3028,
  [5875] = 2896,
  [5876] = 2954,
  [5877] = 2894,
  [5878] = 3081,
  [5879] = 2958,
  [5880] = 2959,
  [5881] = 2960,
  [5882] = 2961,
  [5883] = 2963,
  [5884] = 2913,
  [5885] = 2898,
  [5886] = 2899,
  [5887] = 2964,
  [5888] = 3087,
  [5889] = 3154,
  [5890] = 2965,
  [5891] = 2967,
  [5892] = 3044,
  [5893] = 3204,
  [5894] = 2969,
  [5895] = 2970,
  [5896] = 2971,
  [5897] = 2974,
  [5898] = 3035,
  [5899] = 2955,
  [5900] = 2956,
  [5901] = 2972,
  [5902] = 2944,
  [5903] = 2906,
  [5904] = 2956,
  [5905] = 2905,
  [5906] = 2985,
  [5907] = 2979,
  [5908] = 2983,
  [5909] = 2982,
  [5910] = 2903,
  [5911] = 2986,
  [5912] = 2985,
  [5913] = 2983,
  [5914] = 2982,
  [5915] = 2962,
  [5916] = 2973,
  [5917] = 2900,
  [5918] = 3099,
  [5919] = 2900,
  [5920] = 2903,
  [5921] = 3083,
  [5922] = 2979,
  [5923] = 2986,
  [5924] = 2980,
  [5925] = 2944,
  [5926] = 2909,
  [5927] = 3044,
  [5928] = 2899,
  [5929] = 2913,
  [5930] = 2900,
  [5931] = 2962,
  [5932] = 2974,
  [5933] = 3204,
  [5934] = 2900,
  [5935] = 2899,
  [5936] = 2898,
  [5937] = 2913,
  [5938] = 2894,
  [5939] = 2895,
  [5940] = 2896,
  [5941] = 2973,
  [5942] = 2972,
  [5943] = 3081,
  [5944] = 2906,
  [5945] = 2971,
  [5946] = 2970,
  [5947] = 2955,
  [5948] = 2969,
  [5949] = 2894,
  [5950] = 2967,
  [5951] = 2965,
  [5952] = 2964,
  [5953] = 2895,
  [5954] = 2963,
  [5955] = 2980,
  [5956] = 2961,
  [5957] = 2896,
  [5958] = 2959,
  [5959] = 2958,
  [5960] = 2954,
  [5961] = 3083,
  [5962] = 2909,
  [5963] = 3099,
  [5964] = 2953,
  [5965] = 2952,
  [5966] = 2951,
  [5967] = 2950,
  [5968] = 3064,
  [5969] = 2974,
  [5970] = 3081,
  [5971] = 2899,
  [5972] = 2898,
  [5973] = 2913,
  [5974] = 2973,
  [5975] = 2906,
  [5976] = 3082,
  [5977] = 2960,
  [5978] = 2972,
  [5979] = 3085,
  [5980] = 3086,
  [5981] = 2971,
  [5982] = 2894,
  [5983] = 2895,
  [5984] = 2896,
  [5985] = 2970,
  [5986] = 2903,
  [5987] = 2969,
  [5988] = 2956,
  [5989] = 2967,
  [5990] = 2955,
  [5991] = 2965,
  [5992] = 2896,
  [5993] = 2895,
  [5994] = 2894,
  [5995] = 2964,
  [5996] = 2963,
  [5997] = 2961,
  [5998] = 2959,
  [5999] = 2958,
  [6000] = 2913,
  [6001] = 2898,
  [6002] = 3088,
  [6003] = 2899,
  [6004] = 2954,
  [6005] = 3089,
  [6006] = 2953,
  [6007] = 3204,
  [6008] = 2952,
  [6009] = 2951,
  [6010] = 2950,
  [6011] = 2909,
  [6012] = 2960,
  [6013] = 3064,
  [6014] = 2909,
  [6015] = 2906,
  [6016] = 3105,
  [6017] = 3106,
  [6018] = 3109,
  [6019] = 3035,
  [6020] = 3082,
  [6021] = 3154,
  [6022] = 3085,
  [6023] = 3086,
  [6024] = 3088,
  [6025] = 2903,
  [6026] = 3089,
  [6027] = 3105,
  [6028] = 3106,
  [6029] = 3109,
  [6030] = 2900,
  [6031] = 3120,
  [6032] = 3122,
  [6033] = 3128,
  [6034] = 2900,
  [6035] = 3117,
  [6036] = 3104,
  [6037] = 3120,
  [6038] = 3122,
  [6039] = 2903,
  [6040] = 3128,
  [6041] = 3079,
  [6042] = 3784,
  [6043] = 3117,
  [6044] = 2905,
  [6045] = 3104,
  [6046] = 2906,
  [6047] = 3076,
  [6048] = 3079,
  [6049] = 2894,
  [6050] = 3076,
  [6051] = 3087,
  [6052] = 3073,
  [6053] = 2982,
  [6054] = 3072,
  [6055] = 2983,
  [6056] = 2985,
  [6057] = 3073,
  [6058] = 2909,
  [6059] = 2986,
  [6060] = 3063,
  [6061] = 3062,
  [6062] = 3056,
  [6063] = 3047,
  [6064] = 3039,
  [6065] = 2990,
  [6066] = 2989,
  [6067] = 3028,
  [6068] = 2978,
  [6069] = 2906,
  [6070] = 3072,
  [6071] = 2966,
  [6072] = 2977,
  [6073] = 2896,
  [6074] = 2895,
  [6075] = 2948,
  [6076] = 2945,
  [6077] = 2976,
  [6078] = 2941,
  [6079] = 2942,
  [6080] = 2944,
  [6081] = 2943,
  [6082] = 2943,
  [6083] = 2913,
  [6084] = 2909,
  [6085] = 2898,
  [6086] = 2942,
  [6087] = 2941,
  [6088] = 2976,
  [6089] = 2909,
  [6090] = 2977,
  [6091] = 2899,
  [6092] = 3063,
  [6093] = 2945,
  [6094] = 3062,
  [6095] = 3056,
  [6096] = 2948,
  [6097] = 3028,
  [6098] = 3087,
  [6099] = 2966,
  [6100] = 2978,
  [6101] = 2989,
  [6102] = 2903,
  [6103] = 2903,
  [6104] = 3047,
  [6105] = 3039,
  [6106] = 2990,
  [6107] = 2967,
  [6108] = 3087,
  [6109] = 2963,
  [6110] = 2962,
  [6111] = 2961,
  [6112] = 2913,
  [6113] = 2960,
  [6114] = 2959,
  [6115] = 2955,
  [6116] = 2898,
  [6117] = 2972,
  [6118] = 2964,
  [6119] = 2899,
  [6120] = 2894,
  [6121] = 2895,
  [6122] = 2896,
  [6123] = 2972,
  [6124] = 2956,
  [6125] = 2962,
  [6126] = 2955,
  [6127] = 2958,
  [6128] = 2974,
  [6129] = 2954,
  [6130] = 3154,
  [6131] = 2965,
  [6132] = 2953,
  [6133] = 2952,
  [6134] = 2951,
  [6135] = 3083,
  [6136] = 2950,
  [6137] = 2971,
  [6138] = 2909,
  [6139] = 6139,
  [6140] = 2979,
  [6141] = 2970,
  [6142] = 2980,
  [6143] = 2969,
  [6144] = 3974,
  [6145] = 2979,
  [6146] = 2909,
  [6147] = 2980,
  [6148] = 3044,
  [6149] = 2967,
  [6150] = 2967,
  [6151] = 3099,
  [6152] = 3083,
  [6153] = 2906,
  [6154] = 3081,
  [6155] = 2980,
  [6156] = 3044,
  [6157] = 3081,
  [6158] = 2969,
  [6159] = 2899,
  [6160] = 2905,
  [6161] = 2944,
  [6162] = 3154,
  [6163] = 3083,
  [6164] = 3044,
  [6165] = 2970,
  [6166] = 3099,
  [6167] = 2971,
  [6168] = 3081,
  [6169] = 2950,
  [6170] = 2980,
  [6171] = 2979,
  [6172] = 2898,
  [6173] = 2900,
  [6174] = 2965,
  [6175] = 3083,
  [6176] = 3087,
  [6177] = 3099,
  [6178] = 3082,
  [6179] = 2951,
  [6180] = 2950,
  [6181] = 2964,
  [6182] = 2951,
  [6183] = 3085,
  [6184] = 2952,
  [6185] = 2905,
  [6186] = 3086,
  [6187] = 2953,
  [6188] = 3088,
  [6189] = 3154,
  [6190] = 2954,
  [6191] = 2952,
  [6192] = 3089,
  [6193] = 2963,
  [6194] = 3035,
  [6195] = 2958,
  [6196] = 2953,
  [6197] = 3105,
  [6198] = 3106,
  [6199] = 2956,
  [6200] = 3109,
  [6201] = 2969,
  [6202] = 2972,
  [6203] = 3120,
  [6204] = 2961,
  [6205] = 3122,
  [6206] = 2962,
  [6207] = 3128,
  [6208] = 3117,
  [6209] = 3035,
  [6210] = 3104,
  [6211] = 2959,
  [6212] = 2960,
  [6213] = 3079,
  [6214] = 2982,
  [6215] = 3076,
  [6216] = 2961,
  [6217] = 3073,
  [6218] = 3072,
  [6219] = 2956,
  [6220] = 3063,
  [6221] = 2963,
  [6222] = 2973,
  [6223] = 3062,
  [6224] = 3056,
  [6225] = 2956,
  [6226] = 2983,
  [6227] = 2985,
  [6228] = 2964,
  [6229] = 3047,
  [6230] = 3039,
  [6231] = 2965,
  [6232] = 2960,
  [6233] = 2905,
  [6234] = 2954,
  [6235] = 2956,
  [6236] = 2959,
  [6237] = 2986,
  [6238] = 3099,
  [6239] = 2980,
  [6240] = 2990,
  [6241] = 3950,
  [6242] = 3081,
  [6243] = 3044,
  [6244] = 2955,
  [6245] = 2989,
  [6246] = 2978,
  [6247] = 2966,
  [6248] = 2974,
  [6249] = 2948,
  [6250] = 2979,
  [6251] = 2945,
  [6252] = 3064,
  [6253] = 3028,
  [6254] = 2982,
  [6255] = 2943,
  [6256] = 2967,
  [6257] = 2983,
  [6258] = 2985,
  [6259] = 2942,
  [6260] = 2985,
  [6261] = 2941,
  [6262] = 2976,
  [6263] = 2967,
  [6264] = 2958,
  [6265] = 2969,
  [6266] = 2986,
  [6267] = 3099,
  [6268] = 2970,
  [6269] = 3083,
  [6270] = 2971,
  [6271] = 2974,
  [6272] = 3784,
  [6273] = 2962,
  [6274] = 3154,
  [6275] = 2977,
  [6276] = 2972,
  [6277] = 3064,
  [6278] = 3081,
  [6279] = 2976,
  [6280] = 2955,
  [6281] = 3154,
  [6282] = 2982,
  [6283] = 2974,
  [6284] = 2941,
  [6285] = 2983,
  [6286] = 3035,
  [6287] = 2942,
  [6288] = 2905,
  [6289] = 3028,
  [6290] = 2894,
  [6291] = 2956,
  [6292] = 2943,
  [6293] = 2986,
  [6294] = 2971,
  [6295] = 2958,
  [6296] = 2944,
  [6297] = 2950,
  [6298] = 2954,
  [6299] = 2951,
  [6300] = 2970,
  [6301] = 2952,
  [6302] = 3028,
  [6303] = 2944,
  [6304] = 2969,
  [6305] = 2953,
  [6306] = 2953,
  [6307] = 2909,
  [6308] = 2954,
  [6309] = 2952,
  [6310] = 2945,
  [6311] = 2982,
  [6312] = 2951,
  [6313] = 2958,
  [6314] = 2983,
  [6315] = 2948,
  [6316] = 2985,
  [6317] = 2959,
  [6318] = 2960,
  [6319] = 3087,
  [6320] = 2961,
  [6321] = 2963,
  [6322] = 2964,
  [6323] = 2965,
  [6324] = 2986,
  [6325] = 2967,
  [6326] = 2969,
  [6327] = 2970,
  [6328] = 2971,
  [6329] = 2950,
  [6330] = 3044,
  [6331] = 2980,
  [6332] = 2966,
  [6333] = 2978,
  [6334] = 2989,
  [6335] = 2990,
  [6336] = 2973,
  [6337] = 2895,
  [6338] = 2903,
  [6339] = 2959,
  [6340] = 2977,
  [6341] = 2972,
  [6342] = 3039,
  [6343] = 3047,
  [6344] = 3056,
  [6345] = 3204,
  [6346] = 3062,
  [6347] = 2979,
  [6348] = 2973,
  [6349] = 3063,
  [6350] = 3072,
  [6351] = 3073,
  [6352] = 3076,
  [6353] = 3082,
  [6354] = 3085,
  [6355] = 3086,
  [6356] = 3028,
  [6357] = 3204,
  [6358] = 2973,
  [6359] = 2913,
  [6360] = 3088,
  [6361] = 3089,
  [6362] = 2974,
  [6363] = 3204,
  [6364] = 2960,
  [6365] = 2977,
  [6366] = 3087,
  [6367] = 3079,
  [6368] = 2896,
  [6369] = 2976,
  [6370] = 2941,
  [6371] = 2942,
  [6372] = 2943,
  [6373] = 3154,
  [6374] = 3105,
  [6375] = 3104,
  [6376] = 3117,
  [6377] = 2976,
  [6378] = 3035,
  [6379] = 2945,
  [6380] = 2948,
  [6381] = 2966,
  [6382] = 2978,
  [6383] = 2989,
  [6384] = 2990,
  [6385] = 3039,
  [6386] = 3047,
  [6387] = 3056,
  [6388] = 3106,
  [6389] = 3120,
  [6390] = 3062,
  [6391] = 3063,
  [6392] = 3072,
  [6393] = 3073,
  [6394] = 3076,
  [6395] = 3109,
  [6396] = 2941,
  [6397] = 3079,
  [6398] = 3104,
  [6399] = 3117,
  [6400] = 3128,
  [6401] = 3128,
  [6402] = 3122,
  [6403] = 2942,
  [6404] = 3109,
  [6405] = 3106,
  [6406] = 3105,
  [6407] = 2943,
  [6408] = 3122,
  [6409] = 2895,
  [6410] = 3120,
  [6411] = 3089,
  [6412] = 3088,
  [6413] = 3086,
  [6414] = 2944,
  [6415] = 3085,
  [6416] = 3082,
  [6417] = 2945,
  [6418] = 2948,
  [6419] = 3064,
  [6420] = 2962,
  [6421] = 2896,
  [6422] = 2895,
  [6423] = 2894,
  [6424] = 2966,
  [6425] = 2978,
  [6426] = 2989,
  [6427] = 2990,
  [6428] = 2913,
  [6429] = 2898,
  [6430] = 2899,
  [6431] = 3120,
  [6432] = 3039,
  [6433] = 3047,
  [6434] = 3056,
  [6435] = 3109,
  [6436] = 3106,
  [6437] = 3105,
  [6438] = 3062,
  [6439] = 3122,
  [6440] = 3063,
  [6441] = 3072,
  [6442] = 3073,
  [6443] = 3076,
  [6444] = 3128,
  [6445] = 2970,
  [6446] = 3079,
  [6447] = 3117,
  [6448] = 6448,
  [6449] = 2900,
  [6450] = 3104,
  [6451] = 3117,
  [6452] = 3104,
  [6453] = 3079,
  [6454] = 2971,
  [6455] = 3128,
  [6456] = 6448,
  [6457] = 3122,
  [6458] = 3120,
  [6459] = 3087,
  [6460] = 2950,
  [6461] = 3109,
  [6462] = 3106,
  [6463] = 2961,
  [6464] = 3076,
  [6465] = 3073,
  [6466] = 3072,
  [6467] = 2982,
  [6468] = 2983,
  [6469] = 3105,
  [6470] = 3035,
  [6471] = 2985,
  [6472] = 2951,
  [6473] = 2986,
  [6474] = 3063,
  [6475] = 3204,
  [6476] = 2952,
  [6477] = 2953,
  [6478] = 3089,
  [6479] = 2903,
  [6480] = 3088,
  [6481] = 3204,
  [6482] = 3086,
  [6483] = 3085,
  [6484] = 6448,
  [6485] = 2955,
  [6486] = 3089,
  [6487] = 6139,
  [6488] = 3082,
  [6489] = 3088,
  [6490] = 3086,
  [6491] = 3062,
  [6492] = 6139,
  [6493] = 3085,
  [6494] = 3056,
  [6495] = 3082,
  [6496] = 3047,
  [6497] = 2954,
  [6498] = 2974,
  [6499] = 3039,
  [6500] = 2958,
  [6501] = 3064,
  [6502] = 2990,
  [6503] = 2989,
  [6504] = 2978,
  [6505] = 2900,
  [6506] = 2966,
  [6507] = 2906,
  [6508] = 2948,
  [6509] = 2903,
  [6510] = 2909,
  [6511] = 2899,
  [6512] = 2898,
  [6513] = 2905,
  [6514] = 2913,
  [6515] = 2906,
  [6516] = 2945,
  [6517] = 3028,
  [6518] = 2944,
  [6519] = 2972,
  [6520] = 2943,
  [6521] = 2895,
  [6522] = 2896,
  [6523] = 2942,
  [6524] = 3064,
  [6525] = 2941,
  [6526] = 2894,
  [6527] = 2976,
  [6528] = 2977,
  [6529] = 2977,
  [6530] = 3099,
  [6531] = 3083,
  [6532] = 2977,
  [6533] = 2905,
  [6534] = 2900,
  [6535] = 2959,
  [6536] = 2963,
  [6537] = 3081,
  [6538] = 2976,
  [6539] = 2941,
  [6540] = 2942,
  [6541] = 2973,
  [6542] = 2943,
  [6543] = 2944,
  [6544] = 2945,
  [6545] = 2948,
  [6546] = 3044,
  [6547] = 2966,
  [6548] = 2978,
  [6549] = 2989,
  [6550] = 2990,
  [6551] = 2964,
  [6552] = 3086,
  [6553] = 3039,
  [6554] = 3047,
  [6555] = 3056,
  [6556] = 3062,
  [6557] = 2979,
  [6558] = 2965,
  [6559] = 3063,
  [6560] = 3072,
  [6561] = 3073,
  [6562] = 3076,
  [6563] = 2905,
  [6564] = 2905,
  [6565] = 2905,
  [6566] = 2905,
  [6567] = 2965,
  [6568] = 3064,
  [6569] = 3085,
  [6570] = 2964,
  [6571] = 2903,
  [6572] = 2955,
  [6573] = 3082,
  [6574] = 3028,
  [6575] = 2986,
  [6576] = 3035,
  [6577] = 2900,
  [6578] = 3087,
  [6579] = 3079,
  [6580] = 2906,
  [6581] = 2960,
  [6582] = 3104,
  [6583] = 3117,
  [6584] = 3204,
  [6585] = 3089,
  [6586] = 3128,
  [6587] = 3122,
  [6588] = 2985,
  [6589] = 2909,
  [6590] = 2983,
  [6591] = 2906,
  [6592] = 3120,
  [6593] = 2962,
  [6594] = 3088,
  [6595] = 3109,
  [6596] = 2973,
  [6597] = 3106,
  [6598] = 2982,
  [6599] = 2963,
  [6600] = 3105,
  [6601] = 2894,
  [6602] = 2898,
  [6603] = 2903,
  [6604] = 2899,
  [6605] = 6139,
  [6606] = 6448,
  [6607] = 2961,
  [6608] = 2913,
  [6609] = 2896,
  [6610] = 2965,
  [6611] = 2960,
  [6612] = 2959,
  [6613] = 2985,
  [6614] = 2983,
  [6615] = 2972,
  [6616] = 2956,
  [6617] = 2966,
  [6618] = 3035,
  [6619] = 2982,
  [6620] = 2974,
  [6621] = 2954,
  [6622] = 3154,
  [6623] = 2953,
  [6624] = 2952,
  [6625] = 2951,
  [6626] = 2950,
  [6627] = 2971,
  [6628] = 3099,
  [6629] = 2970,
  [6630] = 3083,
  [6631] = 2977,
  [6632] = 2969,
  [6633] = 3081,
  [6634] = 6634,
  [6635] = 2976,
  [6636] = 2941,
  [6637] = 2942,
  [6638] = 2967,
  [6639] = 2943,
  [6640] = 2945,
  [6641] = 2965,
  [6642] = 2948,
  [6643] = 3044,
  [6644] = 3073,
  [6645] = 2978,
  [6646] = 2989,
  [6647] = 2990,
  [6648] = 3039,
  [6649] = 3047,
  [6650] = 3056,
  [6651] = 2980,
  [6652] = 2986,
  [6653] = 3062,
  [6654] = 3035,
  [6655] = 2979,
  [6656] = 3087,
  [6657] = 3063,
  [6658] = 2961,
  [6659] = 3072,
  [6660] = 2963,
  [6661] = 2973,
  [6662] = 2974,
  [6663] = 2964,
  [6664] = 3076,
  [6665] = 2986,
  [6666] = 6666,
  [6667] = 2965,
  [6668] = 2986,
  [6669] = 2980,
  [6670] = 2903,
  [6671] = 2965,
  [6672] = 3087,
  [6673] = 2958,
  [6674] = 2969,
  [6675] = 2970,
  [6676] = 3079,
  [6677] = 2964,
  [6678] = 2971,
  [6679] = 2952,
  [6680] = 2954,
  [6681] = 3104,
  [6682] = 2974,
  [6683] = 3117,
  [6684] = 2982,
  [6685] = 3035,
  [6686] = 2983,
  [6687] = 2985,
  [6688] = 2973,
  [6689] = 2985,
  [6690] = 2963,
  [6691] = 3128,
  [6692] = 2983,
  [6693] = 3035,
  [6694] = 2959,
  [6695] = 2967,
  [6696] = 2964,
  [6697] = 3122,
  [6698] = 2970,
  [6699] = 3120,
  [6700] = 2986,
  [6701] = 2950,
  [6702] = 2951,
  [6703] = 2909,
  [6704] = 2982,
  [6705] = 2952,
  [6706] = 3154,
  [6707] = 3028,
  [6708] = 2962,
  [6709] = 2953,
  [6710] = 2954,
  [6711] = 2961,
  [6712] = 2972,
  [6713] = 2959,
  [6714] = 2960,
  [6715] = 2961,
  [6716] = 3109,
  [6717] = 2963,
  [6718] = 2973,
  [6719] = 2964,
  [6720] = 3106,
  [6721] = 3105,
  [6722] = 2977,
  [6723] = 2965,
  [6724] = 2896,
  [6725] = 2960,
  [6726] = 2895,
  [6727] = 2894,
  [6728] = 2985,
  [6729] = 2983,
  [6730] = 3204,
  [6731] = 2967,
  [6732] = 2976,
  [6733] = 2941,
  [6734] = 2942,
  [6735] = 2905,
  [6736] = 6666,
  [6737] = 3089,
  [6738] = 2972,
  [6739] = 2943,
  [6740] = 2913,
  [6741] = 3088,
  [6742] = 2898,
  [6743] = 3086,
  [6744] = 2956,
  [6745] = 3085,
  [6746] = 2955,
  [6747] = 2899,
  [6748] = 3082,
  [6749] = 2958,
  [6750] = 3035,
  [6751] = 2982,
  [6752] = 2958,
  [6753] = 2954,
  [6754] = 3154,
  [6755] = 3028,
  [6756] = 2953,
  [6757] = 2952,
  [6758] = 2951,
  [6759] = 3064,
  [6760] = 2950,
  [6761] = 2971,
  [6762] = 3099,
  [6763] = 2945,
  [6764] = 2948,
  [6765] = 2970,
  [6766] = 3083,
  [6767] = 2977,
  [6768] = 3072,
  [6769] = 2969,
  [6770] = 2966,
  [6771] = 2978,
  [6772] = 3073,
  [6773] = 2989,
  [6774] = 3081,
  [6775] = 2990,
  [6776] = 2976,
  [6777] = 2941,
  [6778] = 2942,
  [6779] = 2967,
  [6780] = 2969,
  [6781] = 2944,
  [6782] = 3039,
  [6783] = 3047,
  [6784] = 2943,
  [6785] = 3056,
  [6786] = 3062,
  [6787] = 3063,
  [6788] = 2944,
  [6789] = 2945,
  [6790] = 2948,
  [6791] = 3044,
  [6792] = 2966,
  [6793] = 2978,
  [6794] = 2989,
  [6795] = 2990,
  [6796] = 3072,
  [6797] = 3039,
  [6798] = 3047,
  [6799] = 3056,
  [6800] = 2980,
  [6801] = 3062,
  [6802] = 2979,
  [6803] = 3063,
  [6804] = 3072,
  [6805] = 3073,
  [6806] = 3076,
  [6807] = 3064,
  [6808] = 3076,
  [6809] = 2974,
  [6810] = 3087,
  [6811] = 3079,
  [6812] = 2905,
  [6813] = 3154,
  [6814] = 3104,
  [6815] = 3117,
  [6816] = 2982,
  [6817] = 3079,
  [6818] = 2973,
  [6819] = 2963,
  [6820] = 2983,
  [6821] = 3128,
  [6822] = 2985,
  [6823] = 3122,
  [6824] = 3120,
  [6825] = 3104,
  [6826] = 2962,
  [6827] = 2961,
  [6828] = 3109,
  [6829] = 3106,
  [6830] = 3105,
  [6831] = 3117,
  [6832] = 2960,
  [6833] = 3082,
  [6834] = 2955,
  [6835] = 2900,
  [6836] = 2959,
  [6837] = 3784,
  [6838] = 6666,
  [6839] = 3085,
  [6840] = 3128,
  [6841] = 3122,
  [6842] = 3120,
  [6843] = 2971,
  [6844] = 3109,
  [6845] = 3106,
  [6846] = 3105,
  [6847] = 6634,
  [6848] = 6634,
  [6849] = 2986,
  [6850] = 3086,
  [6851] = 3088,
  [6852] = 3089,
  [6853] = 3088,
  [6854] = 3086,
  [6855] = 3085,
  [6856] = 3089,
  [6857] = 3082,
  [6858] = 3064,
  [6859] = 3082,
  [6860] = 3085,
  [6861] = 3086,
  [6862] = 3088,
  [6863] = 3089,
  [6864] = 3064,
  [6865] = 3105,
  [6866] = 3106,
  [6867] = 3784,
  [6868] = 3109,
  [6869] = 3120,
  [6870] = 3122,
  [6871] = 3128,
  [6872] = 3117,
  [6873] = 3104,
  [6874] = 3204,
  [6875] = 3079,
  [6876] = 3076,
  [6877] = 3073,
  [6878] = 2956,
  [6879] = 3063,
  [6880] = 3062,
  [6881] = 3056,
  [6882] = 3047,
  [6883] = 3039,
  [6884] = 2989,
  [6885] = 2978,
  [6886] = 2966,
  [6887] = 2948,
  [6888] = 2945,
  [6889] = 2943,
  [6890] = 2942,
  [6891] = 2941,
  [6892] = 2976,
  [6893] = 2977,
  [6894] = 3028,
  [6895] = 2986,
  [6896] = 3784,
  [6897] = 3204,
  [6898] = 2985,
  [6899] = 2983,
  [6900] = 3120,
  [6901] = 2982,
  [6902] = 2990,
  [6903] = 3087,
  [6904] = 2944,
  [6905] = 3099,
  [6906] = 3083,
  [6907] = 3081,
  [6908] = 2955,
  [6909] = 3105,
  [6910] = 2980,
  [6911] = 3044,
  [6912] = 3106,
  [6913] = 2962,
  [6914] = 3204,
  [6915] = 3109,
  [6916] = 2909,
  [6917] = 2979,
  [6918] = 3028,
  [6919] = 2979,
  [6920] = 2962,
  [6921] = 3044,
  [6922] = 3154,
  [6923] = 2903,
  [6924] = 3081,
  [6925] = 3089,
  [6926] = 2972,
  [6927] = 3088,
  [6928] = 3083,
  [6929] = 3099,
  [6930] = 3086,
  [6931] = 2955,
  [6932] = 2956,
  [6933] = 2956,
  [6934] = 3950,
  [6935] = 3085,
  [6936] = 2974,
  [6937] = 2944,
  [6938] = 2980,
  [6939] = 2955,
  [6940] = 3082,
  [6941] = 2958,
  [6942] = 2962,
  [6943] = 3974,
  [6944] = 2973,
  [6945] = 2982,
  [6946] = 3087,
  [6947] = 3154,
  [6948] = 2972,
  [6949] = 3035,
  [6950] = 3204,
  [6951] = 2971,
  [6952] = 2970,
  [6953] = 2969,
  [6954] = 6666,
  [6955] = 2967,
  [6956] = 3028,
  [6957] = 2974,
  [6958] = 3109,
  [6959] = 3128,
  [6960] = 2965,
  [6961] = 2964,
  [6962] = 2971,
  [6963] = 2970,
  [6964] = 2977,
  [6965] = 2969,
  [6966] = 2896,
  [6967] = 2895,
  [6968] = 2894,
  [6969] = 3117,
  [6970] = 2976,
  [6971] = 3104,
  [6972] = 2941,
  [6973] = 2942,
  [6974] = 2967,
  [6975] = 3154,
  [6976] = 2943,
  [6977] = 2913,
  [6978] = 2898,
  [6979] = 2899,
  [6980] = 3028,
  [6981] = 2945,
  [6982] = 2948,
  [6983] = 2966,
  [6984] = 2953,
  [6985] = 2905,
  [6986] = 2978,
  [6987] = 2989,
  [6988] = 2990,
  [6989] = 3039,
  [6990] = 3047,
  [6991] = 3056,
  [6992] = 2951,
  [6993] = 3062,
  [6994] = 3064,
  [6995] = 2950,
  [6996] = 3122,
  [6997] = 3063,
  [6998] = 3072,
  [6999] = 6634,
  [7000] = 3073,
  [7001] = 3076,
  [7002] = 2960,
  [7003] = 3079,
  [7004] = 3079,
  [7005] = 2964,
  [7006] = 3104,
  [7007] = 3117,
  [7008] = 2900,
  [7009] = 3087,
  [7010] = 2973,
  [7011] = 2963,
  [7012] = 3099,
  [7013] = 3076,
  [7014] = 3128,
  [7015] = 3073,
  [7016] = 3122,
  [7017] = 3083,
  [7018] = 3120,
  [7019] = 3072,
  [7020] = 2977,
  [7021] = 2961,
  [7022] = 3063,
  [7023] = 2979,
  [7024] = 2950,
  [7025] = 3106,
  [7026] = 3105,
  [7027] = 3062,
  [7028] = 2960,
  [7029] = 2959,
  [7030] = 2963,
  [7031] = 2978,
  [7032] = 3081,
  [7033] = 3056,
  [7034] = 2961,
  [7035] = 3089,
  [7036] = 2976,
  [7037] = 2941,
  [7038] = 2942,
  [7039] = 2972,
  [7040] = 3088,
  [7041] = 3047,
  [7042] = 3039,
  [7043] = 2943,
  [7044] = 3086,
  [7045] = 3085,
  [7046] = 3082,
  [7047] = 2958,
  [7048] = 3035,
  [7049] = 2954,
  [7050] = 2944,
  [7051] = 2945,
  [7052] = 2948,
  [7053] = 2953,
  [7054] = 3044,
  [7055] = 2960,
  [7056] = 2966,
  [7057] = 2952,
  [7058] = 2978,
  [7059] = 2989,
  [7060] = 2990,
  [7061] = 2951,
  [7062] = 2990,
  [7063] = 2989,
  [7064] = 3064,
  [7065] = 3039,
  [7066] = 2950,
  [7067] = 3047,
  [7068] = 3056,
  [7069] = 2980,
  [7070] = 3082,
  [7071] = 2966,
  [7072] = 3062,
  [7073] = 3044,
  [7074] = 2983,
  [7075] = 2948,
  [7076] = 2979,
  [7077] = 3063,
  [7078] = 2985,
  [7079] = 3072,
  [7080] = 3073,
  [7081] = 3076,
  [7082] = 2944,
  [7083] = 2959,
  [7084] = 2958,
  [7085] = 2954,
  [7086] = 2953,
  [7087] = 2952,
  [7088] = 2951,
  [7089] = 2969,
  [7090] = 2956,
  [7091] = 2980,
  [7092] = 2955,
  [7093] = 2974,
  [7094] = 3204,
  [7095] = 2962,
  [7096] = 2979,
  [7097] = 2973,
  [7098] = 3044,
  [7099] = 2945,
  [7100] = 3081,
  [7101] = 2943,
  [7102] = 2944,
  [7103] = 2965,
  [7104] = 3083,
  [7105] = 3087,
  [7106] = 3079,
  [7107] = 3099,
  [7108] = 2964,
  [7109] = 2942,
  [7110] = 2941,
  [7111] = 2976,
  [7112] = 3081,
  [7113] = 2972,
  [7114] = 2971,
  [7115] = 2970,
  [7116] = 3035,
  [7117] = 2986,
  [7118] = 3104,
  [7119] = 3117,
  [7120] = 2959,
  [7121] = 2967,
  [7122] = 2950,
  [7123] = 2977,
  [7124] = 3128,
  [7125] = 2951,
  [7126] = 2952,
  [7127] = 3122,
  [7128] = 3120,
  [7129] = 3083,
  [7130] = 2962,
  [7131] = 3099,
  [7132] = 2953,
  [7133] = 3109,
  [7134] = 3106,
  [7135] = 2954,
  [7136] = 3105,
  [7137] = 2959,
  [7138] = 3064,
  [7139] = 2958,
  [7140] = 2961,
  [7141] = 2964,
  [7142] = 2965,
  [7143] = 2952,
  [7144] = 2905,
  [7145] = 3028,
  [7146] = 3154,
  [7147] = 2954,
  [7148] = 3204,
  [7149] = 3089,
  [7150] = 3088,
  [7151] = 2963,
  [7152] = 3086,
  [7153] = 2956,
  [7154] = 3085,
  [7155] = 2955,
  [7156] = 7156,
  [7157] = 2986,
  [7158] = 2980,
  [7159] = 2979,
  [7160] = 3083,
  [7161] = 3081,
  [7162] = 2962,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 2956,
  [7166] = 2955,
  [7167] = 3044,
  [7168] = 2903,
  [7169] = 3099,
  [7170] = 3974,
  [7171] = 7156,
  [7172] = 3064,
  [7173] = 3028,
  [7174] = 3082,
  [7175] = 2955,
  [7176] = 3085,
  [7177] = 2956,
  [7178] = 7178,
  [7179] = 3086,
  [7180] = 3088,
  [7181] = 3950,
  [7182] = 3087,
  [7183] = 3089,
  [7184] = 3105,
  [7185] = 3106,
  [7186] = 3109,
  [7187] = 2962,
  [7188] = 3120,
  [7189] = 3122,
  [7190] = 3128,
  [7191] = 2909,
  [7192] = 2900,
  [7193] = 3117,
  [7194] = 3784,
  [7195] = 3079,
  [7196] = 3087,
  [7197] = 3035,
  [7198] = 3784,
  [7199] = 3154,
  [7200] = 3028,
  [7201] = 3076,
  [7202] = 2977,
  [7203] = 3073,
  [7204] = 3081,
  [7205] = 2896,
  [7206] = 2895,
  [7207] = 2894,
  [7208] = 3072,
  [7209] = 2976,
  [7210] = 2941,
  [7211] = 2942,
  [7212] = 3063,
  [7213] = 2964,
  [7214] = 2943,
  [7215] = 2913,
  [7216] = 2898,
  [7217] = 2899,
  [7218] = 2945,
  [7219] = 2948,
  [7220] = 2966,
  [7221] = 2978,
  [7222] = 2989,
  [7223] = 2990,
  [7224] = 3039,
  [7225] = 2952,
  [7226] = 3047,
  [7227] = 3056,
  [7228] = 3062,
  [7229] = 3099,
  [7230] = 3083,
  [7231] = 2980,
  [7232] = 3044,
  [7233] = 2979,
  [7234] = 2962,
  [7235] = 2955,
  [7236] = 3063,
  [7237] = 3072,
  [7238] = 3073,
  [7239] = 3076,
  [7240] = 2979,
  [7241] = 3079,
  [7242] = 3104,
  [7243] = 3117,
  [7244] = 2900,
  [7245] = 7163,
  [7246] = 7164,
  [7247] = 2956,
  [7248] = 3974,
  [7249] = 3062,
  [7250] = 3128,
  [7251] = 3122,
  [7252] = 3120,
  [7253] = 2980,
  [7254] = 7178,
  [7255] = 3109,
  [7256] = 3106,
  [7257] = 3105,
  [7258] = 3056,
  [7259] = 3047,
  [7260] = 3950,
  [7261] = 7261,
  [7262] = 3950,
  [7263] = 7263,
  [7264] = 3089,
  [7265] = 3784,
  [7266] = 3088,
  [7267] = 3086,
  [7268] = 3085,
  [7269] = 3082,
  [7270] = 2964,
  [7271] = 3039,
  [7272] = 2990,
  [7273] = 2989,
  [7274] = 2978,
  [7275] = 2966,
  [7276] = 3044,
  [7277] = 3064,
  [7278] = 2986,
  [7279] = 2974,
  [7280] = 2985,
  [7281] = 2983,
  [7282] = 2952,
  [7283] = 2948,
  [7284] = 2982,
  [7285] = 2945,
  [7286] = 2899,
  [7287] = 2971,
  [7288] = 2898,
  [7289] = 2913,
  [7290] = 2943,
  [7291] = 7291,
  [7292] = 7292,
  [7293] = 3974,
  [7294] = 2970,
  [7295] = 3784,
  [7296] = 2969,
  [7297] = 2967,
  [7298] = 2942,
  [7299] = 2941,
  [7300] = 3081,
  [7301] = 2952,
  [7302] = 2955,
  [7303] = 2954,
  [7304] = 2894,
  [7305] = 2895,
  [7306] = 2896,
  [7307] = 2964,
  [7308] = 2965,
  [7309] = 2977,
  [7310] = 2962,
  [7311] = 3784,
  [7312] = 3083,
  [7313] = 2959,
  [7314] = 3099,
  [7315] = 7315,
  [7316] = 2982,
  [7317] = 2956,
  [7318] = 2983,
  [7319] = 2985,
  [7320] = 2976,
  [7321] = 2979,
  [7322] = 2986,
  [7323] = 2973,
  [7324] = 2963,
  [7325] = 2961,
  [7326] = 3044,
  [7327] = 2960,
  [7328] = 2985,
  [7329] = 2983,
  [7330] = 3784,
  [7331] = 2972,
  [7332] = 2958,
  [7333] = 7333,
  [7334] = 2980,
  [7335] = 2982,
  [7336] = 2953,
  [7337] = 2951,
  [7338] = 7261,
  [7339] = 2950,
  [7340] = 3081,
  [7341] = 7263,
  [7342] = 3099,
  [7343] = 3083,
  [7344] = 7344,
  [7345] = 7345,
  [7346] = 2909,
  [7347] = 5486,
  [7348] = 3039,
  [7349] = 7349,
  [7350] = 7350,
  [7351] = 3974,
  [7352] = 2982,
  [7353] = 2983,
  [7354] = 7354,
  [7355] = 2985,
  [7356] = 2986,
  [7357] = 3047,
  [7358] = 5484,
  [7359] = 7359,
  [7360] = 3056,
  [7361] = 5483,
  [7362] = 3104,
  [7363] = 3062,
  [7364] = 7364,
  [7365] = 7365,
  [7366] = 2965,
  [7367] = 2964,
  [7368] = 7368,
  [7369] = 2959,
  [7370] = 7370,
  [7371] = 5426,
  [7372] = 2954,
  [7373] = 2952,
  [7374] = 7374,
  [7375] = 7375,
  [7376] = 3950,
  [7377] = 5481,
  [7378] = 7378,
  [7379] = 7379,
  [7380] = 2973,
  [7381] = 7381,
  [7382] = 7382,
  [7383] = 3950,
  [7384] = 7384,
  [7385] = 7385,
  [7386] = 2972,
  [7387] = 3063,
  [7388] = 2974,
  [7389] = 7389,
  [7390] = 2971,
  [7391] = 2970,
  [7392] = 2969,
  [7393] = 2967,
  [7394] = 7378,
  [7395] = 3072,
  [7396] = 2963,
  [7397] = 2961,
  [7398] = 2960,
  [7399] = 7344,
  [7400] = 7400,
  [7401] = 2958,
  [7402] = 2990,
  [7403] = 2953,
  [7404] = 2951,
  [7405] = 2950,
  [7406] = 3073,
  [7407] = 3076,
  [7408] = 3974,
  [7409] = 5270,
  [7410] = 2896,
  [7411] = 5390,
  [7412] = 7412,
  [7413] = 2895,
  [7414] = 3079,
  [7415] = 7415,
  [7416] = 5268,
  [7417] = 2894,
  [7418] = 3104,
  [7419] = 3117,
  [7420] = 3974,
  [7421] = 2900,
  [7422] = 3784,
  [7423] = 2950,
  [7424] = 7424,
  [7425] = 3128,
  [7426] = 7415,
  [7427] = 7427,
  [7428] = 3122,
  [7429] = 3120,
  [7430] = 3950,
  [7431] = 2976,
  [7432] = 2954,
  [7433] = 3784,
  [7434] = 3109,
  [7435] = 3106,
  [7436] = 3105,
  [7437] = 2941,
  [7438] = 2942,
  [7439] = 2903,
  [7440] = 5450,
  [7441] = 3784,
  [7442] = 2982,
  [7443] = 7427,
  [7444] = 7424,
  [7445] = 2977,
  [7446] = 2961,
  [7447] = 7447,
  [7448] = 5339,
  [7449] = 2951,
  [7450] = 5268,
  [7451] = 5390,
  [7452] = 5270,
  [7453] = 7354,
  [7454] = 2983,
  [7455] = 2985,
  [7456] = 3035,
  [7457] = 3784,
  [7458] = 3974,
  [7459] = 7333,
  [7460] = 7315,
  [7461] = 5481,
  [7462] = 3154,
  [7463] = 7345,
  [7464] = 7464,
  [7465] = 5483,
  [7466] = 5484,
  [7467] = 3089,
  [7468] = 2953,
  [7469] = 7447,
  [7470] = 3088,
  [7471] = 5486,
  [7472] = 7472,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 3086,
  [7476] = 2986,
  [7477] = 7477,
  [7478] = 2958,
  [7479] = 7479,
  [7480] = 5426,
  [7481] = 2950,
  [7482] = 2903,
  [7483] = 3085,
  [7484] = 2950,
  [7485] = 2951,
  [7486] = 2953,
  [7487] = 2951,
  [7488] = 2954,
  [7489] = 7291,
  [7490] = 7292,
  [7491] = 2958,
  [7492] = 2953,
  [7493] = 2970,
  [7494] = 2961,
  [7495] = 2989,
  [7496] = 2965,
  [7497] = 2963,
  [7498] = 2909,
  [7499] = 2965,
  [7500] = 2967,
  [7501] = 2969,
  [7502] = 2970,
  [7503] = 2971,
  [7504] = 2974,
  [7505] = 2974,
  [7506] = 2972,
  [7507] = 2973,
  [7508] = 2971,
  [7509] = 2982,
  [7510] = 7365,
  [7511] = 2958,
  [7512] = 2972,
  [7513] = 3950,
  [7514] = 2983,
  [7515] = 2985,
  [7516] = 2959,
  [7517] = 2960,
  [7518] = 7364,
  [7519] = 2961,
  [7520] = 2963,
  [7521] = 3950,
  [7522] = 7472,
  [7523] = 2973,
  [7524] = 2969,
  [7525] = 3082,
  [7526] = 2943,
  [7527] = 2986,
  [7528] = 3950,
  [7529] = 2967,
  [7530] = 3974,
  [7531] = 2969,
  [7532] = 2970,
  [7533] = 2971,
  [7534] = 7350,
  [7535] = 7349,
  [7536] = 2974,
  [7537] = 5450,
  [7538] = 5360,
  [7539] = 2967,
  [7540] = 2972,
  [7541] = 3784,
  [7542] = 7359,
  [7543] = 7368,
  [7544] = 7333,
  [7545] = 7315,
  [7546] = 7370,
  [7547] = 2913,
  [7548] = 2898,
  [7549] = 7374,
  [7550] = 7375,
  [7551] = 3784,
  [7552] = 7379,
  [7553] = 7381,
  [7554] = 7382,
  [7555] = 2899,
  [7556] = 3099,
  [7557] = 3083,
  [7558] = 3081,
  [7559] = 3044,
  [7560] = 2980,
  [7561] = 2979,
  [7562] = 2962,
  [7563] = 2956,
  [7564] = 2955,
  [7565] = 2945,
  [7566] = 2948,
  [7567] = 7384,
  [7568] = 7385,
  [7569] = 7389,
  [7570] = 3974,
  [7571] = 7464,
  [7572] = 3784,
  [7573] = 7292,
  [7574] = 7291,
  [7575] = 7400,
  [7576] = 7412,
  [7577] = 2973,
  [7578] = 2963,
  [7579] = 5362,
  [7580] = 3087,
  [7581] = 2966,
  [7582] = 2959,
  [7583] = 7479,
  [7584] = 7477,
  [7585] = 2978,
  [7586] = 3064,
  [7587] = 7474,
  [7588] = 2960,
  [7589] = 3028,
  [7590] = 7473,
  [7591] = 2960,
  [7592] = 3950,
  [7593] = 7163,
  [7594] = 7594,
  [7595] = 2964,
  [7596] = 7594,
  [7597] = 7594,
  [7598] = 7594,
  [7599] = 3950,
  [7600] = 7594,
  [7601] = 7594,
  [7602] = 3974,
  [7603] = 7261,
  [7604] = 7604,
  [7605] = 7594,
  [7606] = 7594,
  [7607] = 7594,
  [7608] = 2964,
  [7609] = 7594,
  [7610] = 3974,
  [7611] = 7594,
  [7612] = 3974,
  [7613] = 2952,
  [7614] = 3974,
  [7615] = 3950,
  [7616] = 7156,
  [7617] = 3950,
  [7618] = 2952,
  [7619] = 3974,
  [7620] = 7178,
  [7621] = 7163,
  [7622] = 3950,
  [7623] = 7594,
  [7624] = 7594,
  [7625] = 7178,
  [7626] = 7594,
  [7627] = 7594,
  [7628] = 7604,
  [7629] = 7604,
  [7630] = 7261,
  [7631] = 7263,
  [7632] = 3950,
  [7633] = 7156,
  [7634] = 3974,
  [7635] = 3974,
  [7636] = 7594,
  [7637] = 7594,
  [7638] = 7164,
  [7639] = 7594,
  [7640] = 7164,
  [7641] = 7594,
  [7642] = 7594,
  [7643] = 7594,
  [7644] = 3950,
  [7645] = 7594,
  [7646] = 7263,
  [7647] = 7604,
  [7648] = 7359,
  [7649] = 5481,
  [7650] = 7650,
  [7651] = 2974,
  [7652] = 2980,
  [7653] = 7650,
  [7654] = 7650,
  [7655] = 7472,
  [7656] = 2955,
  [7657] = 7657,
  [7658] = 7650,
  [7659] = 7659,
  [7660] = 7660,
  [7661] = 7650,
  [7662] = 2962,
  [7663] = 3087,
  [7664] = 7664,
  [7665] = 7657,
  [7666] = 7657,
  [7667] = 7664,
  [7668] = 7664,
  [7669] = 7669,
  [7670] = 7669,
  [7671] = 2965,
  [7672] = 5426,
  [7673] = 7657,
  [7674] = 7674,
  [7675] = 5426,
  [7676] = 7676,
  [7677] = 7657,
  [7678] = 7664,
  [7679] = 2954,
  [7680] = 7657,
  [7681] = 5486,
  [7682] = 7664,
  [7683] = 7650,
  [7684] = 3204,
  [7685] = 7685,
  [7686] = 3028,
  [7687] = 5484,
  [7688] = 7688,
  [7689] = 7365,
  [7690] = 7364,
  [7691] = 2971,
  [7692] = 7427,
  [7693] = 5483,
  [7694] = 7657,
  [7695] = 7664,
  [7696] = 2979,
  [7697] = 7424,
  [7698] = 7664,
  [7699] = 2944,
  [7700] = 7674,
  [7701] = 7657,
  [7702] = 7702,
  [7703] = 7703,
  [7704] = 7676,
  [7705] = 7650,
  [7706] = 7350,
  [7707] = 7664,
  [7708] = 7657,
  [7709] = 7657,
  [7710] = 2970,
  [7711] = 7349,
  [7712] = 2969,
  [7713] = 2967,
  [7714] = 5481,
  [7715] = 7354,
  [7716] = 7650,
  [7717] = 2977,
  [7718] = 7657,
  [7719] = 5486,
  [7720] = 7657,
  [7721] = 7664,
  [7722] = 7664,
  [7723] = 2896,
  [7724] = 2895,
  [7725] = 2986,
  [7726] = 3044,
  [7727] = 2894,
  [7728] = 7728,
  [7729] = 7729,
  [7730] = 2985,
  [7731] = 2986,
  [7732] = 2976,
  [7733] = 3035,
  [7734] = 2983,
  [7735] = 2941,
  [7736] = 7736,
  [7737] = 7427,
  [7738] = 7424,
  [7739] = 2956,
  [7740] = 7740,
  [7741] = 7741,
  [7742] = 7742,
  [7743] = 3081,
  [7744] = 7744,
  [7745] = 2942,
  [7746] = 5270,
  [7747] = 3083,
  [7748] = 7748,
  [7749] = 5390,
  [7750] = 7750,
  [7751] = 7650,
  [7752] = 7676,
  [7753] = 5484,
  [7754] = 2982,
  [7755] = 5268,
  [7756] = 3099,
  [7757] = 7660,
  [7758] = 5483,
  [7759] = 7368,
  [7760] = 7660,
  [7761] = 2943,
  [7762] = 7370,
  [7763] = 2965,
  [7764] = 7650,
  [7765] = 7374,
  [7766] = 2913,
  [7767] = 2964,
  [7768] = 2973,
  [7769] = 7650,
  [7770] = 7650,
  [7771] = 7415,
  [7772] = 7664,
  [7773] = 2963,
  [7774] = 7412,
  [7775] = 7375,
  [7776] = 2961,
  [7777] = 2960,
  [7778] = 7657,
  [7779] = 7779,
  [7780] = 7400,
  [7781] = 2898,
  [7782] = 7344,
  [7783] = 7378,
  [7784] = 7389,
  [7785] = 7385,
  [7786] = 7384,
  [7787] = 2899,
  [7788] = 2945,
  [7789] = 2982,
  [7790] = 7382,
  [7791] = 2948,
  [7792] = 7381,
  [7793] = 7650,
  [7794] = 7379,
  [7795] = 7657,
  [7796] = 7796,
  [7797] = 2903,
  [7798] = 7375,
  [7799] = 2986,
  [7800] = 2959,
  [7801] = 2985,
  [7802] = 2966,
  [7803] = 2978,
  [7804] = 2989,
  [7805] = 7354,
  [7806] = 2983,
  [7807] = 2990,
  [7808] = 7664,
  [7809] = 3105,
  [7810] = 7379,
  [7811] = 7664,
  [7812] = 7381,
  [7813] = 2951,
  [7814] = 7650,
  [7815] = 7374,
  [7816] = 7382,
  [7817] = 7674,
  [7818] = 7370,
  [7819] = 7384,
  [7820] = 7385,
  [7821] = 7368,
  [7822] = 2972,
  [7823] = 7359,
  [7824] = 7664,
  [7825] = 2958,
  [7826] = 2985,
  [7827] = 2983,
  [7828] = 7349,
  [7829] = 7350,
  [7830] = 7702,
  [7831] = 3039,
  [7832] = 7364,
  [7833] = 7365,
  [7834] = 4633,
  [7835] = 3047,
  [7836] = 7702,
  [7837] = 2982,
  [7838] = 7479,
  [7839] = 7477,
  [7840] = 7474,
  [7841] = 7664,
  [7842] = 3056,
  [7843] = 4672,
  [7844] = 4661,
  [7845] = 7660,
  [7846] = 2960,
  [7847] = 7345,
  [7848] = 2954,
  [7849] = 2950,
  [7850] = 7674,
  [7851] = 2951,
  [7852] = 2953,
  [7853] = 2953,
  [7854] = 7854,
  [7855] = 2974,
  [7856] = 2952,
  [7857] = 7464,
  [7858] = 2950,
  [7859] = 7702,
  [7860] = 2971,
  [7861] = 7473,
  [7862] = 2970,
  [7863] = 2969,
  [7864] = 3062,
  [7865] = 7669,
  [7866] = 7650,
  [7867] = 7650,
  [7868] = 3063,
  [7869] = 3072,
  [7870] = 7676,
  [7871] = 7657,
  [7872] = 7664,
  [7873] = 3073,
  [7874] = 7664,
  [7875] = 7657,
  [7876] = 3076,
  [7877] = 2967,
  [7878] = 7389,
  [7879] = 7378,
  [7880] = 7400,
  [7881] = 7657,
  [7882] = 7664,
  [7883] = 2958,
  [7884] = 2972,
  [7885] = 7885,
  [7886] = 7886,
  [7887] = 7887,
  [7888] = 7888,
  [7889] = 7472,
  [7890] = 7650,
  [7891] = 7447,
  [7892] = 7650,
  [7893] = 2909,
  [7894] = 2965,
  [7895] = 2951,
  [7896] = 2959,
  [7897] = 2960,
  [7898] = 2961,
  [7899] = 2973,
  [7900] = 2963,
  [7901] = 2961,
  [7902] = 5450,
  [7903] = 2963,
  [7904] = 2973,
  [7905] = 7905,
  [7906] = 3064,
  [7907] = 7907,
  [7908] = 3154,
  [7909] = 7664,
  [7910] = 5268,
  [7911] = 3082,
  [7912] = 7650,
  [7913] = 3085,
  [7914] = 3079,
  [7915] = 5450,
  [7916] = 7447,
  [7917] = 7650,
  [7918] = 7412,
  [7919] = 7669,
  [7920] = 3086,
  [7921] = 3088,
  [7922] = 7650,
  [7923] = 7907,
  [7924] = 7702,
  [7925] = 7473,
  [7926] = 2959,
  [7927] = 7415,
  [7928] = 7674,
  [7929] = 7474,
  [7930] = 7657,
  [7931] = 7664,
  [7932] = 7657,
  [7933] = 7477,
  [7934] = 3089,
  [7935] = 7664,
  [7936] = 2967,
  [7937] = 7937,
  [7938] = 2969,
  [7939] = 7939,
  [7940] = 7479,
  [7941] = 2970,
  [7942] = 2971,
  [7943] = 7657,
  [7944] = 3104,
  [7945] = 3117,
  [7946] = 2972,
  [7947] = 3106,
  [7948] = 7657,
  [7949] = 2958,
  [7950] = 7669,
  [7951] = 7650,
  [7952] = 2954,
  [7953] = 7660,
  [7954] = 7464,
  [7955] = 2900,
  [7956] = 7657,
  [7957] = 7664,
  [7958] = 3109,
  [7959] = 2953,
  [7960] = 3120,
  [7961] = 3122,
  [7962] = 7344,
  [7963] = 5390,
  [7964] = 5270,
  [7965] = 3128,
  [7966] = 7345,
  [7967] = 7676,
  [7968] = 2950,
  [7969] = 7685,
  [7970] = 2974,
  [7971] = 7854,
  [7972] = 7972,
  [7973] = 7741,
  [7974] = 7974,
  [7975] = 7972,
  [7976] = 7740,
  [7977] = 7977,
  [7978] = 7972,
  [7979] = 7972,
  [7980] = 7974,
  [7981] = 7977,
  [7982] = 7972,
  [7983] = 7977,
  [7984] = 7984,
  [7985] = 7748,
  [7986] = 7744,
  [7987] = 7728,
  [7988] = 7742,
  [7989] = 7741,
  [7990] = 7736,
  [7991] = 2974,
  [7992] = 7688,
  [7993] = 7993,
  [7994] = 7974,
  [7995] = 2965,
  [7996] = 5339,
  [7997] = 2964,
  [7998] = 7972,
  [7999] = 7736,
  [8000] = 7974,
  [8001] = 7972,
  [8002] = 7977,
  [8003] = 7779,
  [8004] = 7977,
  [8005] = 8005,
  [8006] = 7974,
  [8007] = 7854,
  [8008] = 7885,
  [8009] = 7886,
  [8010] = 7977,
  [8011] = 7887,
  [8012] = 7972,
  [8013] = 7796,
  [8014] = 7974,
  [8015] = 7972,
  [8016] = 7729,
  [8017] = 7977,
  [8018] = 7905,
  [8019] = 7977,
  [8020] = 7974,
  [8021] = 7972,
  [8022] = 7974,
  [8023] = 7972,
  [8024] = 7974,
  [8025] = 7977,
  [8026] = 2959,
  [8027] = 7977,
  [8028] = 7977,
  [8029] = 8029,
  [8030] = 7974,
  [8031] = 8031,
  [8032] = 7659,
  [8033] = 7993,
  [8034] = 7972,
  [8035] = 7977,
  [8036] = 8036,
  [8037] = 5360,
  [8038] = 8038,
  [8039] = 8039,
  [8040] = 8040,
  [8041] = 7972,
  [8042] = 7974,
  [8043] = 7939,
  [8044] = 7937,
  [8045] = 7888,
  [8046] = 7972,
  [8047] = 7974,
  [8048] = 8048,
  [8049] = 7972,
  [8050] = 7977,
  [8051] = 7977,
  [8052] = 7984,
  [8053] = 7972,
  [8054] = 8054,
  [8055] = 8040,
  [8056] = 7974,
  [8057] = 8039,
  [8058] = 8038,
  [8059] = 8059,
  [8060] = 8060,
  [8061] = 8061,
  [8062] = 8062,
  [8063] = 8063,
  [8064] = 8029,
  [8065] = 7688,
  [8066] = 8066,
  [8067] = 8067,
  [8068] = 8068,
  [8069] = 8069,
  [8070] = 8070,
  [8071] = 8071,
  [8072] = 8072,
  [8073] = 7703,
  [8074] = 8074,
  [8075] = 8075,
  [8076] = 7796,
  [8077] = 8077,
  [8078] = 7974,
  [8079] = 8079,
  [8080] = 4821,
  [8081] = 7742,
  [8082] = 7750,
  [8083] = 8079,
  [8084] = 7974,
  [8085] = 8077,
  [8086] = 7740,
  [8087] = 7977,
  [8088] = 5362,
  [8089] = 7974,
  [8090] = 8074,
  [8091] = 8036,
  [8092] = 8072,
  [8093] = 8071,
  [8094] = 8031,
  [8095] = 8060,
  [8096] = 7729,
  [8097] = 8059,
  [8098] = 7972,
  [8099] = 7977,
  [8100] = 7728,
  [8101] = 8070,
  [8102] = 8048,
  [8103] = 8069,
  [8104] = 8068,
  [8105] = 7974,
  [8106] = 8067,
  [8107] = 7974,
  [8108] = 7972,
  [8109] = 7744,
  [8110] = 8063,
  [8111] = 7977,
  [8112] = 8062,
  [8113] = 8061,
  [8114] = 7977,
  [8115] = 8054,
  [8116] = 7905,
  [8117] = 7703,
  [8118] = 8062,
  [8119] = 7977,
  [8120] = 7748,
  [8121] = 7972,
  [8122] = 7972,
  [8123] = 7974,
  [8124] = 7977,
  [8125] = 7977,
  [8126] = 7972,
  [8127] = 8075,
  [8128] = 2954,
  [8129] = 7779,
  [8130] = 2952,
  [8131] = 7984,
  [8132] = 7977,
  [8133] = 7972,
  [8134] = 7974,
  [8135] = 7974,
  [8136] = 7885,
  [8137] = 7984,
  [8138] = 8062,
  [8139] = 7939,
  [8140] = 7974,
  [8141] = 7886,
  [8142] = 7937,
  [8143] = 7887,
  [8144] = 7750,
  [8145] = 8005,
  [8146] = 7659,
  [8147] = 8147,
  [8148] = 7888,
  [8149] = 8031,
  [8150] = 8068,
  [8151] = 3784,
  [8152] = 8036,
  [8153] = 8067,
  [8154] = 8079,
  [8155] = 8063,
  [8156] = 8156,
  [8157] = 8054,
  [8158] = 8036,
  [8159] = 8061,
  [8160] = 8031,
  [8161] = 8079,
  [8162] = 8069,
  [8163] = 8077,
  [8164] = 8061,
  [8165] = 8070,
  [8166] = 8071,
  [8167] = 8075,
  [8168] = 8072,
  [8169] = 8074,
  [8170] = 8072,
  [8171] = 8062,
  [8172] = 8074,
  [8173] = 8071,
  [8174] = 8070,
  [8175] = 7984,
  [8176] = 8069,
  [8177] = 8177,
  [8178] = 8068,
  [8179] = 8075,
  [8180] = 8067,
  [8181] = 8063,
  [8182] = 8062,
  [8183] = 8061,
  [8184] = 8054,
  [8185] = 7984,
  [8186] = 8040,
  [8187] = 8040,
  [8188] = 8039,
  [8189] = 8029,
  [8190] = 8039,
  [8191] = 8038,
  [8192] = 8038,
  [8193] = 8193,
  [8194] = 8038,
  [8195] = 8156,
  [8196] = 8156,
  [8197] = 7993,
  [8198] = 8031,
  [8199] = 8039,
  [8200] = 8079,
  [8201] = 8062,
  [8202] = 8077,
  [8203] = 8077,
  [8204] = 8079,
  [8205] = 8063,
  [8206] = 8156,
  [8207] = 8075,
  [8208] = 8067,
  [8209] = 8031,
  [8210] = 7984,
  [8211] = 8068,
  [8212] = 8069,
  [8213] = 8074,
  [8214] = 8070,
  [8215] = 8071,
  [8216] = 8072,
  [8217] = 8029,
  [8218] = 8036,
  [8219] = 8072,
  [8220] = 8074,
  [8221] = 8221,
  [8222] = 8075,
  [8223] = 8040,
  [8224] = 7993,
  [8225] = 8077,
  [8226] = 8071,
  [8227] = 8070,
  [8228] = 8069,
  [8229] = 8068,
  [8230] = 8036,
  [8231] = 8040,
  [8232] = 8067,
  [8233] = 8063,
  [8234] = 8039,
  [8235] = 7993,
  [8236] = 7993,
  [8237] = 8038,
  [8238] = 8062,
  [8239] = 8054,
  [8240] = 7984,
  [8241] = 8054,
  [8242] = 8061,
  [8243] = 8039,
  [8244] = 8244,
  [8245] = 7993,
  [8246] = 8031,
  [8247] = 7156,
  [8248] = 8248,
  [8249] = 8079,
  [8250] = 8077,
  [8251] = 8075,
  [8252] = 8074,
  [8253] = 8248,
  [8254] = 8072,
  [8255] = 8071,
  [8256] = 8070,
  [8257] = 8069,
  [8258] = 3974,
  [8259] = 8244,
  [8260] = 8068,
  [8261] = 8067,
  [8262] = 8063,
  [8263] = 8061,
  [8264] = 8264,
  [8265] = 8054,
  [8266] = 2952,
  [8267] = 8061,
  [8268] = 8264,
  [8269] = 2952,
  [8270] = 7178,
  [8271] = 8271,
  [8272] = 7163,
  [8273] = 7164,
  [8274] = 8031,
  [8275] = 8054,
  [8276] = 8036,
  [8277] = 8063,
  [8278] = 8040,
  [8279] = 8067,
  [8280] = 8068,
  [8281] = 8069,
  [8282] = 8070,
  [8283] = 8071,
  [8284] = 8038,
  [8285] = 3950,
  [8286] = 2964,
  [8287] = 8072,
  [8288] = 7993,
  [8289] = 8074,
  [8290] = 8290,
  [8291] = 7993,
  [8292] = 8075,
  [8293] = 8271,
  [8294] = 8077,
  [8295] = 8079,
  [8296] = 7263,
  [8297] = 8036,
  [8298] = 2964,
  [8299] = 7993,
  [8300] = 8290,
  [8301] = 8040,
  [8302] = 8039,
  [8303] = 8038,
  [8304] = 8304,
  [8305] = 8305,
  [8306] = 7993,
  [8307] = 2964,
  [8308] = 8304,
  [8309] = 2959,
  [8310] = 8062,
  [8311] = 8305,
  [8312] = 8038,
  [8313] = 8036,
  [8314] = 8079,
  [8315] = 8304,
  [8316] = 7993,
  [8317] = 8077,
  [8318] = 8075,
  [8319] = 8074,
  [8320] = 8072,
  [8321] = 8071,
  [8322] = 8070,
  [8323] = 8069,
  [8324] = 8068,
  [8325] = 8305,
  [8326] = 8067,
  [8327] = 8063,
  [8328] = 8031,
  [8329] = 2959,
  [8330] = 2952,
  [8331] = 8305,
  [8332] = 8332,
  [8333] = 8062,
  [8334] = 8305,
  [8335] = 8061,
  [8336] = 8336,
  [8337] = 2965,
  [8338] = 8336,
  [8339] = 8304,
  [8340] = 8305,
  [8341] = 8031,
  [8342] = 8039,
  [8343] = 8336,
  [8344] = 8344,
  [8345] = 8305,
  [8346] = 2965,
  [8347] = 2964,
  [8348] = 8036,
  [8349] = 8305,
  [8350] = 8054,
  [8351] = 8062,
  [8352] = 7984,
  [8353] = 8304,
  [8354] = 8304,
  [8355] = 8336,
  [8356] = 8336,
  [8357] = 8304,
  [8358] = 8304,
  [8359] = 8305,
  [8360] = 8336,
  [8361] = 8305,
  [8362] = 8305,
  [8363] = 8040,
  [8364] = 8336,
  [8365] = 8304,
  [8366] = 7984,
  [8367] = 8305,
  [8368] = 2954,
  [8369] = 7984,
  [8370] = 2952,
  [8371] = 8304,
  [8372] = 2974,
  [8373] = 2954,
  [8374] = 8304,
  [8375] = 8304,
  [8376] = 8336,
  [8377] = 8305,
  [8378] = 8304,
  [8379] = 8054,
  [8380] = 8305,
  [8381] = 8304,
  [8382] = 8304,
  [8383] = 8040,
  [8384] = 8336,
  [8385] = 8304,
  [8386] = 8029,
  [8387] = 8305,
  [8388] = 8336,
  [8389] = 7261,
  [8390] = 8039,
  [8391] = 8304,
  [8392] = 8038,
  [8393] = 8305,
  [8394] = 8305,
  [8395] = 8305,
  [8396] = 8061,
  [8397] = 8062,
  [8398] = 8063,
  [8399] = 8304,
  [8400] = 8067,
  [8401] = 8304,
  [8402] = 7984,
  [8403] = 7993,
  [8404] = 8068,
  [8405] = 8069,
  [8406] = 8070,
  [8407] = 8071,
  [8408] = 8305,
  [8409] = 8072,
  [8410] = 8074,
  [8411] = 8304,
  [8412] = 8075,
  [8413] = 8077,
  [8414] = 8079,
  [8415] = 8029,
  [8416] = 8304,
  [8417] = 7993,
  [8418] = 8418,
  [8419] = 8305,
  [8420] = 2974,
  [8421] = 8304,
  [8422] = 8305,
  [8423] = 8305,
  [8424] = 8424,
  [8425] = 8425,
  [8426] = 8426,
  [8427] = 8427,
  [8428] = 2970,
  [8429] = 2971,
  [8430] = 8430,
  [8431] = 8424,
  [8432] = 8424,
  [8433] = 8433,
  [8434] = 8434,
  [8435] = 8435,
  [8436] = 2974,
  [8437] = 8435,
  [8438] = 5450,
  [8439] = 8435,
  [8440] = 2974,
  [8441] = 8427,
  [8442] = 8430,
  [8443] = 7424,
  [8444] = 7427,
  [8445] = 5360,
  [8446] = 5346,
  [8447] = 8447,
  [8448] = 8435,
  [8449] = 8434,
  [8450] = 8450,
  [8451] = 7472,
  [8452] = 8039,
  [8453] = 8424,
  [8454] = 2959,
  [8455] = 8427,
  [8456] = 8456,
  [8457] = 8457,
  [8458] = 8425,
  [8459] = 8430,
  [8460] = 2953,
  [8461] = 8425,
  [8462] = 8424,
  [8463] = 8040,
  [8464] = 8424,
  [8465] = 8424,
  [8466] = 8435,
  [8467] = 8467,
  [8468] = 8467,
  [8469] = 8469,
  [8470] = 8426,
  [8471] = 8430,
  [8472] = 8425,
  [8473] = 8426,
  [8474] = 5268,
  [8475] = 8435,
  [8476] = 8456,
  [8477] = 8039,
  [8478] = 8040,
  [8479] = 8434,
  [8480] = 8467,
  [8481] = 8481,
  [8482] = 8435,
  [8483] = 8483,
  [8484] = 8434,
  [8485] = 8425,
  [8486] = 2958,
  [8487] = 2969,
  [8488] = 8430,
  [8489] = 7993,
  [8490] = 8435,
  [8491] = 8038,
  [8492] = 8424,
  [8493] = 2967,
  [8494] = 8425,
  [8495] = 8495,
  [8496] = 8433,
  [8497] = 8424,
  [8498] = 8424,
  [8499] = 2972,
  [8500] = 8061,
  [8501] = 5270,
  [8502] = 8424,
  [8503] = 7993,
  [8504] = 8435,
  [8505] = 8424,
  [8506] = 8435,
  [8507] = 8435,
  [8508] = 8435,
  [8509] = 8509,
  [8510] = 8456,
  [8511] = 8430,
  [8512] = 8424,
  [8513] = 8495,
  [8514] = 8456,
  [8515] = 8425,
  [8516] = 8435,
  [8517] = 8435,
  [8518] = 8435,
  [8519] = 8433,
  [8520] = 8520,
  [8521] = 2954,
  [8522] = 8424,
  [8523] = 8425,
  [8524] = 8425,
  [8525] = 8525,
  [8526] = 8526,
  [8527] = 8527,
  [8528] = 8424,
  [8529] = 8456,
  [8530] = 8435,
  [8531] = 8435,
  [8532] = 8427,
  [8533] = 8435,
  [8534] = 8427,
  [8535] = 8036,
  [8536] = 5486,
  [8537] = 8424,
  [8538] = 8469,
  [8539] = 8424,
  [8540] = 8430,
  [8541] = 8424,
  [8542] = 8435,
  [8543] = 7354,
  [8544] = 8063,
  [8545] = 8545,
  [8546] = 8430,
  [8547] = 2950,
  [8548] = 8435,
  [8549] = 8435,
  [8550] = 2951,
  [8551] = 8424,
  [8552] = 8067,
  [8553] = 8427,
  [8554] = 8068,
  [8555] = 8430,
  [8556] = 2953,
  [8557] = 8435,
  [8558] = 7365,
  [8559] = 7364,
  [8560] = 8456,
  [8561] = 8561,
  [8562] = 8424,
  [8563] = 8424,
  [8564] = 2954,
  [8565] = 8435,
  [8566] = 8069,
  [8567] = 8427,
  [8568] = 8424,
  [8569] = 8424,
  [8570] = 8435,
  [8571] = 8425,
  [8572] = 7345,
  [8573] = 8435,
  [8574] = 8435,
  [8575] = 8424,
  [8576] = 8435,
  [8577] = 8070,
  [8578] = 8435,
  [8579] = 8071,
  [8580] = 8072,
  [8581] = 8074,
  [8582] = 8075,
  [8583] = 8077,
  [8584] = 8079,
  [8585] = 8430,
  [8586] = 8424,
  [8587] = 8456,
  [8588] = 8424,
  [8589] = 7350,
  [8590] = 7349,
  [8591] = 7464,
  [8592] = 2965,
  [8593] = 8593,
  [8594] = 8456,
  [8595] = 2959,
  [8596] = 8054,
  [8597] = 8597,
  [8598] = 2960,
  [8599] = 8509,
  [8600] = 8495,
  [8601] = 8495,
  [8602] = 8433,
  [8603] = 8435,
  [8604] = 8604,
  [8605] = 8435,
  [8606] = 8424,
  [8607] = 8430,
  [8608] = 8038,
  [8609] = 8509,
  [8610] = 8430,
  [8611] = 8435,
  [8612] = 8433,
  [8613] = 2961,
  [8614] = 8509,
  [8615] = 8031,
  [8616] = 8430,
  [8617] = 8483,
  [8618] = 8424,
  [8619] = 8424,
  [8620] = 8435,
  [8621] = 8483,
  [8622] = 8427,
  [8623] = 7359,
  [8624] = 8435,
  [8625] = 8426,
  [8626] = 8467,
  [8627] = 2963,
  [8628] = 7368,
  [8629] = 7370,
  [8630] = 7374,
  [8631] = 7375,
  [8632] = 8435,
  [8633] = 8424,
  [8634] = 8424,
  [8635] = 7479,
  [8636] = 7379,
  [8637] = 7381,
  [8638] = 8450,
  [8639] = 2973,
  [8640] = 7382,
  [8641] = 8430,
  [8642] = 7384,
  [8643] = 8456,
  [8644] = 7385,
  [8645] = 2963,
  [8646] = 7477,
  [8647] = 5426,
  [8648] = 8424,
  [8649] = 2950,
  [8650] = 8424,
  [8651] = 7389,
  [8652] = 8435,
  [8653] = 7378,
  [8654] = 8495,
  [8655] = 7344,
  [8656] = 8509,
  [8657] = 8435,
  [8658] = 8435,
  [8659] = 8424,
  [8660] = 8424,
  [8661] = 8435,
  [8662] = 8061,
  [8663] = 7474,
  [8664] = 8031,
  [8665] = 2973,
  [8666] = 8424,
  [8667] = 2951,
  [8668] = 7412,
  [8669] = 2982,
  [8670] = 7415,
  [8671] = 8424,
  [8672] = 2983,
  [8673] = 2985,
  [8674] = 2961,
  [8675] = 8430,
  [8676] = 5339,
  [8677] = 8424,
  [8678] = 7400,
  [8679] = 8054,
  [8680] = 8467,
  [8681] = 8424,
  [8682] = 5484,
  [8683] = 5483,
  [8684] = 8426,
  [8685] = 2958,
  [8686] = 5362,
  [8687] = 5481,
  [8688] = 2965,
  [8689] = 7447,
  [8690] = 8427,
  [8691] = 8069,
  [8692] = 8495,
  [8693] = 2972,
  [8694] = 5268,
  [8695] = 8424,
  [8696] = 2986,
  [8697] = 8593,
  [8698] = 8424,
  [8699] = 8435,
  [8700] = 8079,
  [8701] = 8456,
  [8702] = 8435,
  [8703] = 8077,
  [8704] = 8075,
  [8705] = 8435,
  [8706] = 8036,
  [8707] = 8074,
  [8708] = 7473,
  [8709] = 8709,
  [8710] = 8424,
  [8711] = 8072,
  [8712] = 8071,
  [8713] = 8070,
  [8714] = 8068,
  [8715] = 5390,
  [8716] = 5270,
  [8717] = 8067,
  [8718] = 8427,
  [8719] = 8435,
  [8720] = 8063,
  [8721] = 8434,
  [8722] = 5408,
  [8723] = 5394,
  [8724] = 5440,
  [8725] = 2985,
  [8726] = 5487,
  [8727] = 5412,
  [8728] = 5441,
  [8729] = 8729,
  [8730] = 3154,
  [8731] = 5383,
  [8732] = 5485,
  [8733] = 5382,
  [8734] = 2967,
  [8735] = 5380,
  [8736] = 5442,
  [8737] = 3035,
  [8738] = 5443,
  [8739] = 8739,
  [8740] = 5426,
  [8741] = 5444,
  [8742] = 5445,
  [8743] = 5481,
  [8744] = 5446,
  [8745] = 2960,
  [8746] = 2952,
  [8747] = 5448,
  [8748] = 5450,
  [8749] = 5449,
  [8750] = 5389,
  [8751] = 5393,
  [8752] = 2983,
  [8753] = 5437,
  [8754] = 8754,
  [8755] = 5409,
  [8756] = 5483,
  [8757] = 5484,
  [8758] = 8758,
  [8759] = 8759,
  [8760] = 5458,
  [8761] = 5459,
  [8762] = 5390,
  [8763] = 8763,
  [8764] = 7993,
  [8765] = 5461,
  [8766] = 5469,
  [8767] = 8758,
  [8768] = 2964,
  [8769] = 5486,
  [8770] = 5482,
  [8771] = 8771,
  [8772] = 2982,
  [8773] = 2971,
  [8774] = 7993,
  [8775] = 5490,
  [8776] = 5377,
  [8777] = 5492,
  [8778] = 5493,
  [8779] = 2986,
  [8780] = 5438,
  [8781] = 2970,
  [8782] = 8782,
  [8783] = 2969,
  [8784] = 2959,
  [8785] = 8785,
  [8786] = 8786,
  [8787] = 8787,
  [8788] = 8788,
  [8789] = 8789,
  [8790] = 8790,
  [8791] = 8791,
  [8792] = 8792,
  [8793] = 8793,
  [8794] = 8794,
  [8795] = 8795,
  [8796] = 8796,
  [8797] = 8797,
  [8798] = 2954,
  [8799] = 8788,
  [8800] = 8786,
  [8801] = 2965,
  [8802] = 8793,
  [8803] = 8785,
  [8804] = 8804,
  [8805] = 8805,
  [8806] = 8806,
  [8807] = 8792,
  [8808] = 8808,
  [8809] = 8809,
  [8810] = 8809,
  [8811] = 8811,
  [8812] = 8809,
  [8813] = 8813,
  [8814] = 8813,
  [8815] = 8809,
  [8816] = 8816,
  [8817] = 8809,
  [8818] = 8818,
  [8819] = 8819,
  [8820] = 8813,
  [8821] = 8788,
  [8822] = 8813,
  [8823] = 8813,
  [8824] = 8811,
  [8825] = 8811,
  [8826] = 8811,
  [8827] = 8809,
  [8828] = 8811,
  [8829] = 8829,
  [8830] = 8830,
  [8831] = 8811,
  [8832] = 8811,
  [8833] = 8813,
  [8834] = 8809,
  [8835] = 8809,
  [8836] = 8811,
  [8837] = 8813,
  [8838] = 8811,
  [8839] = 8763,
  [8840] = 8813,
  [8841] = 8813,
  [8842] = 8788,
  [8843] = 8809,
  [8844] = 8763,
  [8845] = 8811,
  [8846] = 8811,
  [8847] = 8847,
  [8848] = 8816,
  [8849] = 8813,
  [8850] = 8829,
  [8851] = 8809,
  [8852] = 8813,
  [8853] = 8853,
  [8854] = 8809,
  [8855] = 8809,
  [8856] = 8813,
  [8857] = 8857,
  [8858] = 8811,
  [8859] = 8818,
  [8860] = 8809,
  [8861] = 8813,
  [8862] = 8811,
  [8863] = 8863,
  [8864] = 8864,
  [8865] = 8865,
  [8866] = 8866,
  [8867] = 8867,
  [8868] = 2955,
  [8869] = 3079,
  [8870] = 8870,
  [8871] = 8871,
  [8872] = 8872,
  [8873] = 8872,
  [8874] = 8874,
  [8875] = 8875,
  [8876] = 8865,
  [8877] = 8877,
  [8878] = 8878,
  [8879] = 2952,
  [8880] = 8872,
  [8881] = 8881,
  [8882] = 8882,
  [8883] = 2956,
  [8884] = 8865,
  [8885] = 8885,
  [8886] = 8870,
  [8887] = 8887,
  [8888] = 8888,
  [8889] = 3076,
  [8890] = 8875,
  [8891] = 8874,
  [8892] = 2971,
  [8893] = 8866,
  [8894] = 3073,
  [8895] = 3072,
  [8896] = 8896,
  [8897] = 3063,
  [8898] = 8888,
  [8899] = 8863,
  [8900] = 8875,
  [8901] = 8901,
  [8902] = 8870,
  [8903] = 3062,
  [8904] = 2982,
  [8905] = 2983,
  [8906] = 2985,
  [8907] = 2986,
  [8908] = 3056,
  [8909] = 2973,
  [8910] = 3047,
  [8911] = 3039,
  [8912] = 8912,
  [8913] = 8870,
  [8914] = 8867,
  [8915] = 8870,
  [8916] = 8875,
  [8917] = 2962,
  [8918] = 8874,
  [8919] = 8919,
  [8920] = 8866,
  [8921] = 8875,
  [8922] = 8874,
  [8923] = 2982,
  [8924] = 8874,
  [8925] = 2983,
  [8926] = 8867,
  [8927] = 2990,
  [8928] = 2985,
  [8929] = 8870,
  [8930] = 2989,
  [8931] = 2986,
  [8932] = 8932,
  [8933] = 3104,
  [8934] = 8865,
  [8935] = 8863,
  [8936] = 8936,
  [8937] = 2978,
  [8938] = 8866,
  [8939] = 3117,
  [8940] = 8940,
  [8941] = 2966,
  [8942] = 2972,
  [8943] = 8943,
  [8944] = 2948,
  [8945] = 8874,
  [8946] = 8874,
  [8947] = 5426,
  [8948] = 2945,
  [8949] = 8867,
  [8950] = 8874,
  [8951] = 8870,
  [8952] = 8870,
  [8953] = 8874,
  [8954] = 2900,
  [8955] = 2899,
  [8956] = 3128,
  [8957] = 2898,
  [8958] = 2913,
  [8959] = 3122,
  [8960] = 2943,
  [8961] = 2944,
  [8962] = 5450,
  [8963] = 8875,
  [8964] = 2942,
  [8965] = 8870,
  [8966] = 2941,
  [8967] = 2976,
  [8968] = 8968,
  [8969] = 3120,
  [8970] = 3109,
  [8971] = 3106,
  [8972] = 3105,
  [8973] = 8866,
  [8974] = 3085,
  [8975] = 2895,
  [8976] = 8874,
  [8977] = 8888,
  [8978] = 8874,
  [8979] = 8863,
  [8980] = 2896,
  [8981] = 8981,
  [8982] = 2977,
  [8983] = 8983,
  [8984] = 8984,
  [8985] = 8985,
  [8986] = 8875,
  [8987] = 8863,
  [8988] = 8888,
  [8989] = 2970,
  [8990] = 8870,
  [8991] = 3089,
  [8992] = 8763,
  [8993] = 8993,
  [8994] = 3154,
  [8995] = 8995,
  [8996] = 8996,
  [8997] = 8872,
  [8998] = 8998,
  [8999] = 8867,
  [9000] = 9000,
  [9001] = 2969,
  [9002] = 9002,
  [9003] = 8870,
  [9004] = 8874,
  [9005] = 2967,
  [9006] = 3083,
  [9007] = 8872,
  [9008] = 3028,
  [9009] = 8788,
  [9010] = 8865,
  [9011] = 8866,
  [9012] = 9012,
  [9013] = 8870,
  [9014] = 8863,
  [9015] = 8875,
  [9016] = 9016,
  [9017] = 8870,
  [9018] = 8888,
  [9019] = 8875,
  [9020] = 2979,
  [9021] = 8888,
  [9022] = 3088,
  [9023] = 8863,
  [9024] = 8865,
  [9025] = 8872,
  [9026] = 8872,
  [9027] = 8865,
  [9028] = 9028,
  [9029] = 8875,
  [9030] = 8875,
  [9031] = 8874,
  [9032] = 3086,
  [9033] = 3082,
  [9034] = 8866,
  [9035] = 3035,
  [9036] = 3064,
  [9037] = 8870,
  [9038] = 2894,
  [9039] = 8875,
  [9040] = 8863,
  [9041] = 9041,
  [9042] = 3044,
  [9043] = 8888,
  [9044] = 3087,
  [9045] = 8867,
  [9046] = 8874,
  [9047] = 8866,
  [9048] = 8870,
  [9049] = 8875,
  [9050] = 9050,
  [9051] = 8870,
  [9052] = 3204,
  [9053] = 9053,
  [9054] = 9054,
  [9055] = 8786,
  [9056] = 8875,
  [9057] = 9057,
  [9058] = 8786,
  [9059] = 8870,
  [9060] = 8863,
  [9061] = 8867,
  [9062] = 9062,
  [9063] = 8875,
  [9064] = 8785,
  [9065] = 8888,
  [9066] = 9062,
  [9067] = 8785,
  [9068] = 8875,
  [9069] = 8867,
  [9070] = 8865,
  [9071] = 8875,
  [9072] = 8888,
  [9073] = 8863,
  [9074] = 8872,
  [9075] = 8875,
  [9076] = 8866,
  [9077] = 8867,
  [9078] = 8874,
  [9079] = 8874,
  [9080] = 8875,
  [9081] = 8785,
  [9082] = 8872,
  [9083] = 8872,
  [9084] = 8870,
  [9085] = 8865,
  [9086] = 8865,
  [9087] = 8863,
  [9088] = 8896,
  [9089] = 9053,
  [9090] = 3081,
  [9091] = 8863,
  [9092] = 9050,
  [9093] = 8919,
  [9094] = 8874,
  [9095] = 8888,
  [9096] = 9041,
  [9097] = 8870,
  [9098] = 9028,
  [9099] = 9099,
  [9100] = 2964,
  [9101] = 8865,
  [9102] = 8874,
  [9103] = 8872,
  [9104] = 8867,
  [9105] = 9012,
  [9106] = 2963,
  [9107] = 8874,
  [9108] = 9002,
  [9109] = 8874,
  [9110] = 8888,
  [9111] = 8786,
  [9112] = 8866,
  [9113] = 8940,
  [9114] = 2961,
  [9115] = 8943,
  [9116] = 8866,
  [9117] = 9000,
  [9118] = 9118,
  [9119] = 8875,
  [9120] = 2960,
  [9121] = 3099,
  [9122] = 2958,
  [9123] = 2953,
  [9124] = 8888,
  [9125] = 2951,
  [9126] = 2950,
  [9127] = 5426,
  [9128] = 5450,
  [9129] = 8874,
  [9130] = 8864,
  [9131] = 8993,
  [9132] = 8912,
  [9133] = 8901,
  [9134] = 8863,
  [9135] = 8785,
  [9136] = 8867,
  [9137] = 8871,
  [9138] = 8968,
  [9139] = 8888,
  [9140] = 2980,
  [9141] = 9099,
  [9142] = 8866,
  [9143] = 9054,
  [9144] = 8875,
  [9145] = 8763,
  [9146] = 8867,
  [9147] = 8870,
  [9148] = 8870,
  [9149] = 8786,
  [9150] = 2903,
  [9151] = 8887,
  [9152] = 8865,
  [9153] = 8885,
  [9154] = 8872,
  [9155] = 8878,
  [9156] = 8881,
  [9157] = 8874,
  [9158] = 8882,
  [9159] = 8875,
  [9160] = 8985,
  [9161] = 8867,
  [9162] = 8872,
  [9163] = 8865,
  [9164] = 8932,
  [9165] = 8996,
  [9166] = 8998,
  [9167] = 8870,
  [9168] = 2986,
  [9169] = 2985,
  [9170] = 2983,
  [9171] = 8866,
  [9172] = 8936,
  [9173] = 8983,
  [9174] = 2982,
  [9175] = 8981,
  [9176] = 8788,
  [9177] = 2909,
  [9178] = 9178,
  [9179] = 9179,
  [9180] = 9180,
  [9181] = 8054,
  [9182] = 9182,
  [9183] = 9183,
  [9184] = 8819,
  [9185] = 8896,
  [9186] = 8993,
  [9187] = 2986,
  [9188] = 9000,
  [9189] = 2985,
  [9190] = 7993,
  [9191] = 2983,
  [9192] = 9192,
  [9193] = 9002,
  [9194] = 8983,
  [9195] = 8981,
  [9196] = 8062,
  [9197] = 9197,
  [9198] = 8936,
  [9199] = 8932,
  [9200] = 8881,
  [9201] = 9012,
  [9202] = 8816,
  [9203] = 8882,
  [9204] = 5426,
  [9205] = 8881,
  [9206] = 8878,
  [9207] = 9207,
  [9208] = 8896,
  [9209] = 8885,
  [9210] = 9210,
  [9211] = 8882,
  [9212] = 9210,
  [9213] = 2982,
  [9214] = 8887,
  [9215] = 8864,
  [9216] = 8878,
  [9217] = 8885,
  [9218] = 8887,
  [9219] = 2965,
  [9220] = 9028,
  [9221] = 9221,
  [9222] = 8985,
  [9223] = 9178,
  [9224] = 8985,
  [9225] = 5426,
  [9226] = 9226,
  [9227] = 9050,
  [9228] = 8919,
  [9229] = 9053,
  [9230] = 8788,
  [9231] = 7984,
  [9232] = 8940,
  [9233] = 9054,
  [9234] = 9234,
  [9235] = 8816,
  [9236] = 9000,
  [9237] = 2974,
  [9238] = 9234,
  [9239] = 9180,
  [9240] = 9183,
  [9241] = 9179,
  [9242] = 8943,
  [9243] = 8763,
  [9244] = 8763,
  [9245] = 8816,
  [9246] = 8788,
  [9247] = 9183,
  [9248] = 9179,
  [9249] = 8816,
  [9250] = 8968,
  [9251] = 2967,
  [9252] = 9041,
  [9253] = 2959,
  [9254] = 9254,
  [9255] = 2982,
  [9256] = 5450,
  [9257] = 9192,
  [9258] = 8029,
  [9259] = 9259,
  [9260] = 2983,
  [9261] = 2985,
  [9262] = 9262,
  [9263] = 2986,
  [9264] = 8069,
  [9265] = 8996,
  [9266] = 8998,
  [9267] = 2969,
  [9268] = 9183,
  [9269] = 8919,
  [9270] = 9259,
  [9271] = 9179,
  [9272] = 9182,
  [9273] = 9183,
  [9274] = 9099,
  [9275] = 8932,
  [9276] = 8936,
  [9277] = 8981,
  [9278] = 8871,
  [9279] = 2970,
  [9280] = 9179,
  [9281] = 2971,
  [9282] = 7984,
  [9283] = 8062,
  [9284] = 2986,
  [9285] = 2985,
  [9286] = 8901,
  [9287] = 2983,
  [9288] = 8940,
  [9289] = 8912,
  [9290] = 2982,
  [9291] = 8943,
  [9292] = 8079,
  [9293] = 8077,
  [9294] = 8075,
  [9295] = 5450,
  [9296] = 8074,
  [9297] = 2960,
  [9298] = 8072,
  [9299] = 8071,
  [9300] = 8040,
  [9301] = 8070,
  [9302] = 8993,
  [9303] = 9012,
  [9304] = 8912,
  [9305] = 9002,
  [9306] = 8996,
  [9307] = 8998,
  [9308] = 8039,
  [9309] = 9054,
  [9310] = 9310,
  [9311] = 2954,
  [9312] = 9099,
  [9313] = 9053,
  [9314] = 9314,
  [9315] = 8038,
  [9316] = 9050,
  [9317] = 9041,
  [9318] = 8968,
  [9319] = 9028,
  [9320] = 8031,
  [9321] = 8864,
  [9322] = 8871,
  [9323] = 8036,
  [9324] = 8061,
  [9325] = 8063,
  [9326] = 8983,
  [9327] = 8067,
  [9328] = 8901,
  [9329] = 8068,
  [9330] = 8857,
  [9331] = 8853,
  [9332] = 3085,
  [9333] = 9333,
  [9334] = 9334,
  [9335] = 2896,
  [9336] = 8919,
  [9337] = 2895,
  [9338] = 2894,
  [9339] = 2976,
  [9340] = 2941,
  [9341] = 9341,
  [9342] = 2971,
  [9343] = 2942,
  [9344] = 2974,
  [9345] = 2972,
  [9346] = 8763,
  [9347] = 2943,
  [9348] = 2973,
  [9349] = 2952,
  [9350] = 2954,
  [9351] = 2959,
  [9352] = 2913,
  [9353] = 2898,
  [9354] = 2964,
  [9355] = 2965,
  [9356] = 9356,
  [9357] = 2899,
  [9358] = 9182,
  [9359] = 7291,
  [9360] = 7292,
  [9361] = 2969,
  [9362] = 2967,
  [9363] = 8936,
  [9364] = 2963,
  [9365] = 2961,
  [9366] = 2960,
  [9367] = 9333,
  [9368] = 9368,
  [9369] = 2982,
  [9370] = 2945,
  [9371] = 9371,
  [9372] = 8932,
  [9373] = 9373,
  [9374] = 2989,
  [9375] = 9375,
  [9376] = 9376,
  [9377] = 2948,
  [9378] = 2983,
  [9379] = 2985,
  [9380] = 8038,
  [9381] = 9381,
  [9382] = 9382,
  [9383] = 2986,
  [9384] = 2977,
  [9385] = 9385,
  [9386] = 9368,
  [9387] = 9373,
  [9388] = 9376,
  [9389] = 9389,
  [9390] = 9371,
  [9391] = 9053,
  [9392] = 9392,
  [9393] = 8882,
  [9394] = 2955,
  [9395] = 9392,
  [9396] = 9396,
  [9397] = 9341,
  [9398] = 2956,
  [9399] = 9399,
  [9400] = 3028,
  [9401] = 2982,
  [9402] = 2983,
  [9403] = 2985,
  [9404] = 8881,
  [9405] = 8878,
  [9406] = 8885,
  [9407] = 9041,
  [9408] = 8887,
  [9409] = 9356,
  [9410] = 8981,
  [9411] = 9411,
  [9412] = 2962,
  [9413] = 8983,
  [9414] = 9381,
  [9415] = 2958,
  [9416] = 9416,
  [9417] = 2953,
  [9418] = 2951,
  [9419] = 2966,
  [9420] = 8940,
  [9421] = 7993,
  [9422] = 7333,
  [9423] = 2950,
  [9424] = 9399,
  [9425] = 8919,
  [9426] = 8061,
  [9427] = 8940,
  [9428] = 2909,
  [9429] = 9429,
  [9430] = 9430,
  [9431] = 9431,
  [9432] = 9429,
  [9433] = 8036,
  [9434] = 8943,
  [9435] = 8943,
  [9436] = 9371,
  [9437] = 8985,
  [9438] = 8077,
  [9439] = 2978,
  [9440] = 2982,
  [9441] = 8786,
  [9442] = 2983,
  [9443] = 8786,
  [9444] = 2990,
  [9445] = 8968,
  [9446] = 2985,
  [9447] = 8031,
  [9448] = 2986,
  [9449] = 2979,
  [9450] = 9371,
  [9451] = 7984,
  [9452] = 3039,
  [9453] = 2986,
  [9454] = 8063,
  [9455] = 8029,
  [9456] = 8067,
  [9457] = 8068,
  [9458] = 8069,
  [9459] = 8070,
  [9460] = 8071,
  [9461] = 9461,
  [9462] = 8054,
  [9463] = 2980,
  [9464] = 8062,
  [9465] = 9465,
  [9466] = 9466,
  [9467] = 9411,
  [9468] = 8061,
  [9469] = 8062,
  [9470] = 7993,
  [9471] = 8996,
  [9472] = 8998,
  [9473] = 9473,
  [9474] = 8063,
  [9475] = 8067,
  [9476] = 3047,
  [9477] = 9389,
  [9478] = 8039,
  [9479] = 8785,
  [9480] = 8068,
  [9481] = 8069,
  [9482] = 8070,
  [9483] = 3056,
  [9484] = 8071,
  [9485] = 9431,
  [9486] = 8072,
  [9487] = 9416,
  [9488] = 8040,
  [9489] = 8074,
  [9490] = 9356,
  [9491] = 8075,
  [9492] = 8077,
  [9493] = 8079,
  [9494] = 8072,
  [9495] = 9495,
  [9496] = 8074,
  [9497] = 8075,
  [9498] = 9495,
  [9499] = 9499,
  [9500] = 8079,
  [9501] = 9371,
  [9502] = 3087,
  [9503] = 9503,
  [9504] = 8763,
  [9505] = 9054,
  [9506] = 7315,
  [9507] = 9028,
  [9508] = 9508,
  [9509] = 9050,
  [9510] = 9510,
  [9511] = 9002,
  [9512] = 8983,
  [9513] = 8864,
  [9514] = 9514,
  [9515] = 9182,
  [9516] = 9012,
  [9517] = 3154,
  [9518] = 8788,
  [9519] = 3044,
  [9520] = 9375,
  [9521] = 8968,
  [9522] = 9411,
  [9523] = 3081,
  [9524] = 3083,
  [9525] = 9389,
  [9526] = 3062,
  [9527] = 9002,
  [9528] = 2903,
  [9529] = 3099,
  [9530] = 9000,
  [9531] = 9210,
  [9532] = 8996,
  [9533] = 9495,
  [9534] = 8993,
  [9535] = 9429,
  [9536] = 3035,
  [9537] = 8896,
  [9538] = 9389,
  [9539] = 3064,
  [9540] = 8912,
  [9541] = 9411,
  [9542] = 8901,
  [9543] = 8871,
  [9544] = 3784,
  [9545] = 9099,
  [9546] = 9371,
  [9547] = 9099,
  [9548] = 9356,
  [9549] = 8998,
  [9550] = 3082,
  [9551] = 9399,
  [9552] = 3063,
  [9553] = 9553,
  [9554] = 8763,
  [9555] = 2970,
  [9556] = 9556,
  [9557] = 3086,
  [9558] = 9375,
  [9559] = 9333,
  [9560] = 3088,
  [9561] = 9430,
  [9562] = 8887,
  [9563] = 3089,
  [9564] = 9381,
  [9565] = 9385,
  [9566] = 9368,
  [9567] = 8885,
  [9568] = 9373,
  [9569] = 9376,
  [9570] = 8871,
  [9571] = 3105,
  [9572] = 3106,
  [9573] = 3109,
  [9574] = 8878,
  [9575] = 9341,
  [9576] = 9392,
  [9577] = 3120,
  [9578] = 8881,
  [9579] = 3122,
  [9580] = 8882,
  [9581] = 3128,
  [9582] = 7984,
  [9583] = 9430,
  [9584] = 9376,
  [9585] = 9373,
  [9586] = 9368,
  [9587] = 8896,
  [9588] = 9385,
  [9589] = 9381,
  [9590] = 8054,
  [9591] = 9375,
  [9592] = 9334,
  [9593] = 8901,
  [9594] = 8932,
  [9595] = 9465,
  [9596] = 3072,
  [9597] = 8936,
  [9598] = 8981,
  [9599] = 2900,
  [9600] = 8785,
  [9601] = 8912,
  [9602] = 8993,
  [9603] = 3073,
  [9604] = 9054,
  [9605] = 9356,
  [9606] = 9392,
  [9607] = 9341,
  [9608] = 9416,
  [9609] = 8985,
  [9610] = 9610,
  [9611] = 8763,
  [9612] = 8788,
  [9613] = 9431,
  [9614] = 9431,
  [9615] = 9416,
  [9616] = 9356,
  [9617] = 9399,
  [9618] = 9385,
  [9619] = 5426,
  [9620] = 9053,
  [9621] = 9050,
  [9622] = 9396,
  [9623] = 9028,
  [9624] = 5450,
  [9625] = 5450,
  [9626] = 9411,
  [9627] = 3117,
  [9628] = 3104,
  [9629] = 3079,
  [9630] = 9041,
  [9631] = 9430,
  [9632] = 8864,
  [9633] = 9333,
  [9634] = 9508,
  [9635] = 9012,
  [9636] = 9000,
  [9637] = 5426,
  [9638] = 9638,
  [9639] = 9495,
  [9640] = 9429,
  [9641] = 9461,
  [9642] = 3076,
  [9643] = 9389,
  [9644] = 9389,
  [9645] = 9210,
  [9646] = 9411,
  [9647] = 8881,
  [9648] = 3974,
  [9649] = 9649,
  [9650] = 9650,
  [9651] = 9651,
  [9652] = 9652,
  [9653] = 9653,
  [9654] = 9654,
  [9655] = 8887,
  [9656] = 8885,
  [9657] = 8878,
  [9658] = 9658,
  [9659] = 9658,
  [9660] = 8881,
  [9661] = 8943,
  [9662] = 8882,
  [9663] = 9663,
  [9664] = 9664,
  [9665] = 7178,
  [9666] = 9654,
  [9667] = 8940,
  [9668] = 9653,
  [9669] = 9651,
  [9670] = 8896,
  [9671] = 9210,
  [9672] = 9663,
  [9673] = 2985,
  [9674] = 8919,
  [9675] = 9658,
  [9676] = 9664,
  [9677] = 9654,
  [9678] = 9654,
  [9679] = 9650,
  [9680] = 9649,
  [9681] = 9681,
  [9682] = 2983,
  [9683] = 2986,
  [9684] = 9664,
  [9685] = 7261,
  [9686] = 9192,
  [9687] = 9687,
  [9688] = 2985,
  [9689] = 8968,
  [9690] = 9654,
  [9691] = 9664,
  [9692] = 9663,
  [9693] = 9663,
  [9694] = 9694,
  [9695] = 9041,
  [9696] = 8998,
  [9697] = 9099,
  [9698] = 8996,
  [9699] = 9649,
  [9700] = 9663,
  [9701] = 2982,
  [9702] = 9650,
  [9703] = 9053,
  [9704] = 5426,
  [9705] = 8871,
  [9706] = 8901,
  [9707] = 8912,
  [9708] = 8936,
  [9709] = 8968,
  [9710] = 9649,
  [9711] = 9508,
  [9712] = 9180,
  [9713] = 2983,
  [9714] = 9714,
  [9715] = 7263,
  [9716] = 9649,
  [9717] = 9717,
  [9718] = 9651,
  [9719] = 9041,
  [9720] = 8981,
  [9721] = 2983,
  [9722] = 9259,
  [9723] = 9653,
  [9724] = 8985,
  [9725] = 8993,
  [9726] = 9651,
  [9727] = 9727,
  [9728] = 9334,
  [9729] = 9653,
  [9730] = 9730,
  [9731] = 2985,
  [9732] = 9664,
  [9733] = 9663,
  [9734] = 9000,
  [9735] = 9654,
  [9736] = 9002,
  [9737] = 8943,
  [9738] = 9012,
  [9739] = 5426,
  [9740] = 9651,
  [9741] = 9178,
  [9742] = 8940,
  [9743] = 9654,
  [9744] = 2982,
  [9745] = 9745,
  [9746] = 9658,
  [9747] = 9747,
  [9748] = 5450,
  [9749] = 8919,
  [9750] = 2982,
  [9751] = 9751,
  [9752] = 9658,
  [9753] = 8332,
  [9754] = 9649,
  [9755] = 9650,
  [9756] = 9650,
  [9757] = 9757,
  [9758] = 8919,
  [9759] = 9054,
  [9760] = 9760,
  [9761] = 2986,
  [9762] = 9192,
  [9763] = 9653,
  [9764] = 8864,
  [9765] = 8919,
  [9766] = 9050,
  [9767] = 8816,
  [9768] = 9653,
  [9769] = 9651,
  [9770] = 9651,
  [9771] = 9650,
  [9772] = 9772,
  [9773] = 9658,
  [9774] = 9651,
  [9775] = 2986,
  [9776] = 9653,
  [9777] = 9777,
  [9778] = 9028,
  [9779] = 9664,
  [9780] = 9649,
  [9781] = 9658,
  [9782] = 9782,
  [9783] = 9028,
  [9784] = 8998,
  [9785] = 8864,
  [9786] = 9050,
  [9787] = 9053,
  [9788] = 9788,
  [9789] = 8996,
  [9790] = 9054,
  [9791] = 8996,
  [9792] = 9792,
  [9793] = 9012,
  [9794] = 7993,
  [9795] = 9649,
  [9796] = 9650,
  [9797] = 9002,
  [9798] = 9000,
  [9799] = 8993,
  [9800] = 9650,
  [9801] = 9801,
  [9802] = 2985,
  [9803] = 2983,
  [9804] = 9649,
  [9805] = 8983,
  [9806] = 9806,
  [9807] = 8061,
  [9808] = 9334,
  [9809] = 8968,
  [9810] = 9651,
  [9811] = 3950,
  [9812] = 9653,
  [9813] = 9653,
  [9814] = 8998,
  [9815] = 9650,
  [9816] = 9649,
  [9817] = 7993,
  [9818] = 8054,
  [9819] = 9654,
  [9820] = 9649,
  [9821] = 9821,
  [9822] = 9822,
  [9823] = 9210,
  [9824] = 9650,
  [9825] = 9658,
  [9826] = 9650,
  [9827] = 2986,
  [9828] = 9664,
  [9829] = 9508,
  [9830] = 9651,
  [9831] = 8932,
  [9832] = 9653,
  [9833] = 9658,
  [9834] = 9649,
  [9835] = 9777,
  [9836] = 9836,
  [9837] = 9788,
  [9838] = 8981,
  [9839] = 8936,
  [9840] = 9182,
  [9841] = 9663,
  [9842] = 8932,
  [9843] = 8998,
  [9844] = 7164,
  [9845] = 8985,
  [9846] = 7163,
  [9847] = 8912,
  [9848] = 8901,
  [9849] = 9801,
  [9850] = 9649,
  [9851] = 9658,
  [9852] = 8816,
  [9853] = 9651,
  [9854] = 9681,
  [9855] = 9782,
  [9856] = 9652,
  [9857] = 9649,
  [9858] = 9653,
  [9859] = 9650,
  [9860] = 2982,
  [9861] = 9651,
  [9862] = 9653,
  [9863] = 9863,
  [9864] = 8996,
  [9865] = 8871,
  [9866] = 9658,
  [9867] = 9259,
  [9868] = 9863,
  [9869] = 9760,
  [9870] = 9658,
  [9871] = 9871,
  [9872] = 9714,
  [9873] = 9663,
  [9874] = 9654,
  [9875] = 9664,
  [9876] = 9182,
  [9877] = 9663,
  [9878] = 9663,
  [9879] = 9664,
  [9880] = 9757,
  [9881] = 9663,
  [9882] = 9654,
  [9883] = 9727,
  [9884] = 9730,
  [9885] = 8896,
  [9886] = 8882,
  [9887] = 8878,
  [9888] = 9099,
  [9889] = 9663,
  [9890] = 9178,
  [9891] = 9664,
  [9892] = 9664,
  [9893] = 8885,
  [9894] = 9180,
  [9895] = 9654,
  [9896] = 9654,
  [9897] = 8887,
  [9898] = 8940,
  [9899] = 9664,
  [9900] = 9654,
  [9901] = 9658,
  [9902] = 9664,
  [9903] = 5450,
  [9904] = 8943,
  [9905] = 8079,
  [9906] = 8077,
  [9907] = 9654,
  [9908] = 8075,
  [9909] = 9751,
  [9910] = 8968,
  [9911] = 8074,
  [9912] = 9663,
  [9913] = 9653,
  [9914] = 9651,
  [9915] = 8940,
  [9916] = 8063,
  [9917] = 8072,
  [9918] = 8071,
  [9919] = 8070,
  [9920] = 9650,
  [9921] = 8069,
  [9922] = 8068,
  [9923] = 9649,
  [9924] = 8067,
  [9925] = 7156,
  [9926] = 8983,
  [9927] = 8943,
  [9928] = 9928,
  [9929] = 7365,
  [9930] = 9210,
  [9931] = 9931,
  [9932] = 8864,
  [9933] = 9933,
  [9934] = 8062,
  [9935] = 9931,
  [9936] = 8071,
  [9937] = 9937,
  [9938] = 9012,
  [9939] = 7447,
  [9940] = 8069,
  [9941] = 8881,
  [9942] = 5486,
  [9943] = 8983,
  [9944] = 9931,
  [9945] = 7412,
  [9946] = 8068,
  [9947] = 9947,
  [9948] = 5481,
  [9949] = 9949,
  [9950] = 8067,
  [9951] = 2970,
  [9952] = 7477,
  [9953] = 4661,
  [9954] = 9931,
  [9955] = 8985,
  [9956] = 9931,
  [9957] = 8981,
  [9958] = 9041,
  [9959] = 9959,
  [9960] = 9012,
  [9961] = 9961,
  [9962] = 9002,
  [9963] = 8063,
  [9964] = 8936,
  [9965] = 2971,
  [9966] = 7479,
  [9967] = 8932,
  [9968] = 9931,
  [9969] = 5426,
  [9970] = 8061,
  [9971] = 9931,
  [9972] = 9000,
  [9973] = 7364,
  [9974] = 8882,
  [9975] = 8072,
  [9976] = 8074,
  [9977] = 8788,
  [9978] = 9931,
  [9979] = 8062,
  [9980] = 8029,
  [9981] = 4672,
  [9982] = 8075,
  [9983] = 8077,
  [9984] = 9984,
  [9985] = 9985,
  [9986] = 9986,
  [9987] = 8993,
  [9988] = 2967,
  [9989] = 9989,
  [9990] = 8070,
  [9991] = 8079,
  [9992] = 9182,
  [9993] = 9054,
  [9994] = 9931,
  [9995] = 8985,
  [9996] = 8912,
  [9997] = 9989,
  [9998] = 8983,
  [9999] = 9999,
  [10000] = 7415,
  [10001] = 8878,
  [10002] = 10002,
  [10003] = 7473,
  [10004] = 7379,
  [10005] = 2982,
  [10006] = 9508,
  [10007] = 9182,
  [10008] = 7382,
  [10009] = 7464,
  [10010] = 4633,
  [10011] = 7384,
  [10012] = 9949,
  [10013] = 9638,
  [10014] = 8981,
  [10015] = 7345,
  [10016] = 2982,
  [10017] = 8901,
  [10018] = 5426,
  [10019] = 8896,
  [10020] = 8936,
  [10021] = 9788,
  [10022] = 4672,
  [10023] = 9508,
  [10024] = 9054,
  [10025] = 9182,
  [10026] = 9959,
  [10027] = 9028,
  [10028] = 9053,
  [10029] = 10029,
  [10030] = 9931,
  [10031] = 8871,
  [10032] = 10032,
  [10033] = 5484,
  [10034] = 9050,
  [10035] = 7385,
  [10036] = 7375,
  [10037] = 8932,
  [10038] = 4661,
  [10039] = 9931,
  [10040] = 7381,
  [10041] = 9931,
  [10042] = 9984,
  [10043] = 2969,
  [10044] = 9334,
  [10045] = 8896,
  [10046] = 2950,
  [10047] = 7993,
  [10048] = 9050,
  [10049] = 9782,
  [10050] = 5483,
  [10051] = 9931,
  [10052] = 7400,
  [10053] = 10053,
  [10054] = 9714,
  [10055] = 2951,
  [10056] = 9751,
  [10057] = 9727,
  [10058] = 9730,
  [10059] = 7424,
  [10060] = 9961,
  [10061] = 9751,
  [10062] = 9028,
  [10063] = 2953,
  [10064] = 8763,
  [10065] = 7374,
  [10066] = 9053,
  [10067] = 7427,
  [10068] = 7344,
  [10069] = 7370,
  [10070] = 7368,
  [10071] = 8864,
  [10072] = 8036,
  [10073] = 9931,
  [10074] = 7349,
  [10075] = 4633,
  [10076] = 9931,
  [10077] = 9041,
  [10078] = 8882,
  [10079] = 9099,
  [10080] = 7984,
  [10081] = 7350,
  [10082] = 7472,
  [10083] = 9002,
  [10084] = 9210,
  [10085] = 9931,
  [10086] = 7359,
  [10087] = 8881,
  [10088] = 9000,
  [10089] = 2958,
  [10090] = 10090,
  [10091] = 8878,
  [10092] = 9931,
  [10093] = 2983,
  [10094] = 2985,
  [10095] = 8031,
  [10096] = 9730,
  [10097] = 5390,
  [10098] = 9727,
  [10099] = 9947,
  [10100] = 9782,
  [10101] = 2961,
  [10102] = 7474,
  [10103] = 9788,
  [10104] = 8885,
  [10105] = 10053,
  [10106] = 8885,
  [10107] = 8763,
  [10108] = 9714,
  [10109] = 9182,
  [10110] = 8788,
  [10111] = 8763,
  [10112] = 5270,
  [10113] = 5426,
  [10114] = 9041,
  [10115] = 5268,
  [10116] = 9931,
  [10117] = 8993,
  [10118] = 8038,
  [10119] = 2985,
  [10120] = 5450,
  [10121] = 7354,
  [10122] = 10122,
  [10123] = 8763,
  [10124] = 2960,
  [10125] = 2972,
  [10126] = 8912,
  [10127] = 8901,
  [10128] = 7378,
  [10129] = 9931,
  [10130] = 8871,
  [10131] = 2963,
  [10132] = 2973,
  [10133] = 9210,
  [10134] = 5450,
  [10135] = 9933,
  [10136] = 8887,
  [10137] = 9099,
  [10138] = 2986,
  [10139] = 2983,
  [10140] = 8788,
  [10141] = 7984,
  [10142] = 9931,
  [10143] = 9986,
  [10144] = 8788,
  [10145] = 8039,
  [10146] = 2986,
  [10147] = 8054,
  [10148] = 9210,
  [10149] = 9334,
  [10150] = 5450,
  [10151] = 8040,
  [10152] = 9931,
  [10153] = 9931,
  [10154] = 7389,
  [10155] = 10002,
  [10156] = 8985,
  [10157] = 8887,
  [10158] = 10158,
  [10159] = 8038,
  [10160] = 4633,
  [10161] = 8788,
  [10162] = 4672,
  [10163] = 7750,
  [10164] = 3154,
  [10165] = 10165,
  [10166] = 10166,
  [10167] = 10167,
  [10168] = 10166,
  [10169] = 8763,
  [10170] = 10166,
  [10171] = 10166,
  [10172] = 4661,
  [10173] = 10166,
  [10174] = 9714,
  [10175] = 10166,
  [10176] = 10166,
  [10177] = 9730,
  [10178] = 9751,
  [10179] = 9727,
  [10180] = 10180,
  [10181] = 9210,
  [10182] = 10182,
  [10183] = 9782,
  [10184] = 10184,
  [10185] = 10166,
  [10186] = 9788,
  [10187] = 10187,
  [10188] = 9334,
  [10189] = 10189,
  [10190] = 10190,
  [10191] = 10191,
  [10192] = 10192,
  [10193] = 4821,
  [10194] = 10194,
  [10195] = 10195,
  [10196] = 10166,
  [10197] = 9508,
  [10198] = 10198,
  [10199] = 10199,
  [10200] = 10166,
  [10201] = 8054,
  [10202] = 10182,
  [10203] = 8786,
  [10204] = 10204,
  [10205] = 7729,
  [10206] = 10166,
  [10207] = 7728,
  [10208] = 10166,
  [10209] = 10166,
  [10210] = 9760,
  [10211] = 7740,
  [10212] = 10212,
  [10213] = 4821,
  [10214] = 10214,
  [10215] = 3035,
  [10216] = 9681,
  [10217] = 9681,
  [10218] = 10218,
  [10219] = 10166,
  [10220] = 10220,
  [10221] = 10221,
  [10222] = 8059,
  [10223] = 9777,
  [10224] = 9801,
  [10225] = 9334,
  [10226] = 10166,
  [10227] = 7888,
  [10228] = 10166,
  [10229] = 10229,
  [10230] = 7937,
  [10231] = 7779,
  [10232] = 7939,
  [10233] = 10192,
  [10234] = 10194,
  [10235] = 9334,
  [10236] = 8061,
  [10237] = 10166,
  [10238] = 10238,
  [10239] = 10166,
  [10240] = 8786,
  [10241] = 5426,
  [10242] = 10166,
  [10243] = 8998,
  [10244] = 8996,
  [10245] = 10245,
  [10246] = 9863,
  [10247] = 10198,
  [10248] = 7905,
  [10249] = 9788,
  [10250] = 7796,
  [10251] = 10166,
  [10252] = 7887,
  [10253] = 8785,
  [10254] = 10254,
  [10255] = 9508,
  [10256] = 10166,
  [10257] = 7886,
  [10258] = 7885,
  [10259] = 8048,
  [10260] = 9652,
  [10261] = 8785,
  [10262] = 8063,
  [10263] = 8040,
  [10264] = 8060,
  [10265] = 7854,
  [10266] = 8067,
  [10267] = 10166,
  [10268] = 8068,
  [10269] = 8069,
  [10270] = 9681,
  [10271] = 8070,
  [10272] = 8071,
  [10273] = 9334,
  [10274] = 9782,
  [10275] = 8072,
  [10276] = 10166,
  [10277] = 10277,
  [10278] = 8036,
  [10279] = 8074,
  [10280] = 8075,
  [10281] = 8968,
  [10282] = 10166,
  [10283] = 8919,
  [10284] = 10284,
  [10285] = 10166,
  [10286] = 9760,
  [10287] = 8077,
  [10288] = 10166,
  [10289] = 8079,
  [10290] = 9751,
  [10291] = 9730,
  [10292] = 9727,
  [10293] = 9714,
  [10294] = 7748,
  [10295] = 7744,
  [10296] = 10166,
  [10297] = 7993,
  [10298] = 9777,
  [10299] = 5339,
  [10300] = 9801,
  [10301] = 7742,
  [10302] = 8079,
  [10303] = 7741,
  [10304] = 9652,
  [10305] = 10305,
  [10306] = 7736,
  [10307] = 10307,
  [10308] = 8039,
  [10309] = 10166,
  [10310] = 8062,
  [10311] = 10166,
  [10312] = 9681,
  [10313] = 8029,
  [10314] = 8943,
  [10315] = 10315,
  [10316] = 8940,
  [10317] = 10204,
  [10318] = 5360,
  [10319] = 8940,
  [10320] = 9757,
  [10321] = 8943,
  [10322] = 9210,
  [10323] = 7659,
  [10324] = 10191,
  [10325] = 10166,
  [10326] = 8998,
  [10327] = 8996,
  [10328] = 10328,
  [10329] = 9757,
  [10330] = 10330,
  [10331] = 10166,
  [10332] = 10180,
  [10333] = 9863,
  [10334] = 8919,
  [10335] = 8061,
  [10336] = 10166,
  [10337] = 10307,
  [10338] = 10166,
  [10339] = 8005,
  [10340] = 10340,
  [10341] = 8062,
  [10342] = 7365,
  [10343] = 10214,
  [10344] = 8788,
  [10345] = 5362,
  [10346] = 10305,
  [10347] = 7984,
  [10348] = 7703,
  [10349] = 8054,
  [10350] = 10350,
  [10351] = 8063,
  [10352] = 10352,
  [10353] = 10353,
  [10354] = 10221,
  [10355] = 10166,
  [10356] = 10166,
  [10357] = 10220,
  [10358] = 8763,
  [10359] = 8067,
  [10360] = 7984,
  [10361] = 2982,
  [10362] = 10218,
  [10363] = 10229,
  [10364] = 10238,
  [10365] = 8031,
  [10366] = 8068,
  [10367] = 10245,
  [10368] = 8069,
  [10369] = 10166,
  [10370] = 8070,
  [10371] = 8071,
  [10372] = 8072,
  [10373] = 8074,
  [10374] = 8075,
  [10375] = 8077,
  [10376] = 10166,
  [10377] = 10340,
  [10378] = 10254,
  [10379] = 10166,
  [10380] = 2983,
  [10381] = 10315,
  [10382] = 2985,
  [10383] = 10166,
  [10384] = 10167,
  [10385] = 10166,
  [10386] = 7993,
  [10387] = 10166,
  [10388] = 2986,
  [10389] = 7688,
  [10390] = 10166,
  [10391] = 2986,
  [10392] = 10199,
  [10393] = 8968,
  [10394] = 10277,
  [10395] = 2985,
  [10396] = 2983,
  [10397] = 10397,
  [10398] = 2982,
  [10399] = 10166,
  [10400] = 10166,
  [10401] = 8864,
  [10402] = 9050,
  [10403] = 9714,
  [10404] = 9730,
  [10405] = 10405,
  [10406] = 9054,
  [10407] = 9028,
  [10408] = 10408,
  [10409] = 9751,
  [10410] = 8864,
  [10411] = 9028,
  [10412] = 10412,
  [10413] = 9012,
  [10414] = 10414,
  [10415] = 9002,
  [10416] = 9782,
  [10417] = 9053,
  [10418] = 9000,
  [10419] = 9788,
  [10420] = 9054,
  [10421] = 10421,
  [10422] = 8077,
  [10423] = 10053,
  [10424] = 10424,
  [10425] = 8985,
  [10426] = 8993,
  [10427] = 10427,
  [10428] = 9050,
  [10429] = 8912,
  [10430] = 10427,
  [10431] = 8901,
  [10432] = 8871,
  [10433] = 9028,
  [10434] = 8864,
  [10435] = 10427,
  [10436] = 9050,
  [10437] = 8932,
  [10438] = 5426,
  [10439] = 8063,
  [10440] = 8067,
  [10441] = 8068,
  [10442] = 9099,
  [10443] = 8069,
  [10444] = 9933,
  [10445] = 10427,
  [10446] = 10446,
  [10447] = 8070,
  [10448] = 10412,
  [10449] = 8071,
  [10450] = 10427,
  [10451] = 8072,
  [10452] = 10452,
  [10453] = 10453,
  [10454] = 8074,
  [10455] = 8981,
  [10456] = 10456,
  [10457] = 9949,
  [10458] = 9949,
  [10459] = 9053,
  [10460] = 8075,
  [10461] = 8983,
  [10462] = 10053,
  [10463] = 10463,
  [10464] = 8079,
  [10465] = 10465,
  [10466] = 10466,
  [10467] = 10238,
  [10468] = 10468,
  [10469] = 10469,
  [10470] = 10427,
  [10471] = 10471,
  [10472] = 10427,
  [10473] = 10053,
  [10474] = 9012,
  [10475] = 10475,
  [10476] = 10476,
  [10477] = 10477,
  [10478] = 9959,
  [10479] = 8936,
  [10480] = 9053,
  [10481] = 5450,
  [10482] = 10427,
  [10483] = 10483,
  [10484] = 8932,
  [10485] = 10475,
  [10486] = 9012,
  [10487] = 9949,
  [10488] = 9002,
  [10489] = 9000,
  [10490] = 10427,
  [10491] = 10491,
  [10492] = 10492,
  [10493] = 7993,
  [10494] = 10494,
  [10495] = 8887,
  [10496] = 8885,
  [10497] = 9986,
  [10498] = 10498,
  [10499] = 8878,
  [10500] = 8993,
  [10501] = 9002,
  [10502] = 10502,
  [10503] = 10503,
  [10504] = 10504,
  [10505] = 8881,
  [10506] = 8882,
  [10507] = 10427,
  [10508] = 8896,
  [10509] = 10412,
  [10510] = 10510,
  [10511] = 10427,
  [10512] = 2982,
  [10513] = 9000,
  [10514] = 10514,
  [10515] = 5426,
  [10516] = 8936,
  [10517] = 8981,
  [10518] = 9727,
  [10519] = 10519,
  [10520] = 8983,
  [10521] = 10521,
  [10522] = 8981,
  [10523] = 9751,
  [10524] = 9054,
  [10525] = 9053,
  [10526] = 8901,
  [10527] = 8871,
  [10528] = 9961,
  [10529] = 9099,
  [10530] = 10530,
  [10531] = 10531,
  [10532] = 9182,
  [10533] = 9050,
  [10534] = 10466,
  [10535] = 8985,
  [10536] = 9028,
  [10537] = 10412,
  [10538] = 10538,
  [10539] = 2982,
  [10540] = 10540,
  [10541] = 8864,
  [10542] = 8993,
  [10543] = 5426,
  [10544] = 9984,
  [10545] = 10545,
  [10546] = 9961,
  [10547] = 5450,
  [10548] = 10548,
  [10549] = 10549,
  [10550] = 10550,
  [10551] = 9012,
  [10552] = 10552,
  [10553] = 9002,
  [10554] = 10427,
  [10555] = 10427,
  [10556] = 9000,
  [10557] = 2983,
  [10558] = 2985,
  [10559] = 10424,
  [10560] = 10560,
  [10561] = 8177,
  [10562] = 8993,
  [10563] = 10563,
  [10564] = 10465,
  [10565] = 8887,
  [10566] = 8901,
  [10567] = 10567,
  [10568] = 8885,
  [10569] = 8878,
  [10570] = 8871,
  [10571] = 10408,
  [10572] = 2986,
  [10573] = 8912,
  [10574] = 10574,
  [10575] = 10575,
  [10576] = 9099,
  [10577] = 8881,
  [10578] = 10405,
  [10579] = 10579,
  [10580] = 8177,
  [10581] = 8882,
  [10582] = 9041,
  [10583] = 10465,
  [10584] = 8912,
  [10585] = 10585,
  [10586] = 10504,
  [10587] = 8896,
  [10588] = 10588,
  [10589] = 10585,
  [10590] = 10427,
  [10591] = 8054,
  [10592] = 10592,
  [10593] = 10427,
  [10594] = 5450,
  [10595] = 9782,
  [10596] = 10596,
  [10597] = 2983,
  [10598] = 2985,
  [10599] = 10599,
  [10600] = 9054,
  [10601] = 9788,
  [10602] = 10602,
  [10603] = 9933,
  [10604] = 10427,
  [10605] = 10504,
  [10606] = 10606,
  [10607] = 10456,
  [10608] = 10456,
  [10609] = 8932,
  [10610] = 8936,
  [10611] = 2986,
  [10612] = 8887,
  [10613] = 8816,
  [10614] = 10427,
  [10615] = 10424,
  [10616] = 8885,
  [10617] = 2982,
  [10618] = 10618,
  [10619] = 8878,
  [10620] = 8816,
  [10621] = 9999,
  [10622] = 10622,
  [10623] = 8881,
  [10624] = 8882,
  [10625] = 8896,
  [10626] = 2986,
  [10627] = 8882,
  [10628] = 8881,
  [10629] = 5450,
  [10630] = 8896,
  [10631] = 10090,
  [10632] = 10475,
  [10633] = 8981,
  [10634] = 8878,
  [10635] = 8932,
  [10636] = 9182,
  [10637] = 8936,
  [10638] = 8885,
  [10639] = 9984,
  [10640] = 8887,
  [10641] = 8983,
  [10642] = 8983,
  [10643] = 10469,
  [10644] = 10550,
  [10645] = 10563,
  [10646] = 8985,
  [10647] = 10466,
  [10648] = 10648,
  [10649] = 10649,
  [10650] = 10214,
  [10651] = 10427,
  [10652] = 10652,
  [10653] = 5426,
  [10654] = 10654,
  [10655] = 10655,
  [10656] = 10538,
  [10657] = 10649,
  [10658] = 10658,
  [10659] = 10466,
  [10660] = 9986,
  [10661] = 10661,
  [10662] = 9985,
  [10663] = 9986,
  [10664] = 9788,
  [10665] = 10665,
  [10666] = 9782,
  [10667] = 9751,
  [10668] = 9730,
  [10669] = 9727,
  [10670] = 9714,
  [10671] = 10671,
  [10672] = 10560,
  [10673] = 9714,
  [10674] = 10674,
  [10675] = 9986,
  [10676] = 10676,
  [10677] = 10677,
  [10678] = 10678,
  [10679] = 10679,
  [10680] = 10465,
  [10681] = 10681,
  [10682] = 10682,
  [10683] = 9041,
  [10684] = 10684,
  [10685] = 9727,
  [10686] = 9730,
  [10687] = 10687,
  [10688] = 10229,
  [10689] = 10689,
  [10690] = 10504,
  [10691] = 9959,
  [10692] = 10465,
  [10693] = 10693,
  [10694] = 10412,
  [10695] = 10238,
  [10696] = 10696,
  [10697] = 10697,
  [10698] = 10698,
  [10699] = 9751,
  [10700] = 10700,
  [10701] = 9782,
  [10702] = 9788,
  [10703] = 10703,
  [10704] = 10704,
  [10705] = 8912,
  [10706] = 10706,
  [10707] = 10707,
  [10708] = 10708,
  [10709] = 10709,
  [10710] = 10427,
  [10711] = 10427,
  [10712] = 10712,
  [10713] = 10427,
  [10714] = 10424,
  [10715] = 8061,
  [10716] = 10716,
  [10717] = 10717,
  [10718] = 8901,
  [10719] = 8871,
  [10720] = 10720,
  [10721] = 10475,
  [10722] = 10722,
  [10723] = 9947,
  [10724] = 10456,
  [10725] = 10725,
  [10726] = 8985,
  [10727] = 10727,
  [10728] = 10728,
  [10729] = 10729,
  [10730] = 5450,
  [10731] = 10731,
  [10732] = 10732,
  [10733] = 9099,
  [10734] = 9949,
  [10735] = 10214,
  [10736] = 10736,
  [10737] = 10504,
  [10738] = 10738,
  [10739] = 9730,
  [10740] = 9947,
  [10741] = 10741,
  [10742] = 10504,
  [10743] = 9727,
  [10744] = 10465,
  [10745] = 10745,
  [10746] = 10746,
  [10747] = 10747,
  [10748] = 9041,
  [10749] = 10229,
  [10750] = 10750,
  [10751] = 2983,
  [10752] = 10752,
  [10753] = 10427,
  [10754] = 10754,
  [10755] = 10755,
  [10756] = 2985,
  [10757] = 10466,
  [10758] = 10758,
  [10759] = 10759,
  [10760] = 9714,
  [10761] = 10475,
  [10762] = 10762,
  [10763] = 9041,
  [10764] = 10412,
  [10765] = 10765,
  [10766] = 10766,
  [10767] = 10466,
  [10768] = 10768,
  [10769] = 10769,
  [10770] = 10053,
  [10771] = 10771,
  [10772] = 10772,
  [10773] = 4821,
  [10774] = 10475,
  [10775] = 10775,
  [10776] = 10776,
  [10777] = 8912,
  [10778] = 9099,
  [10779] = 10315,
  [10780] = 8993,
  [10781] = 10307,
  [10782] = 10180,
  [10783] = 10305,
  [10784] = 10198,
  [10785] = 10194,
  [10786] = 10786,
  [10787] = 9000,
  [10788] = 10192,
  [10789] = 9002,
  [10790] = 9012,
  [10791] = 10791,
  [10792] = 10792,
  [10793] = 8864,
  [10794] = 9028,
  [10795] = 10795,
  [10796] = 9050,
  [10797] = 9053,
  [10798] = 9054,
  [10799] = 10776,
  [10800] = 10776,
  [10801] = 8062,
  [10802] = 10802,
  [10803] = 10776,
  [10804] = 8887,
  [10805] = 8885,
  [10806] = 8878,
  [10807] = 8881,
  [10808] = 8882,
  [10809] = 10776,
  [10810] = 8896,
  [10811] = 10776,
  [10812] = 10238,
  [10813] = 8932,
  [10814] = 8936,
  [10815] = 10229,
  [10816] = 10776,
  [10817] = 8981,
  [10818] = 8901,
  [10819] = 10214,
  [10820] = 5426,
  [10821] = 10776,
  [10822] = 8983,
  [10823] = 8985,
  [10824] = 5450,
  [10825] = 10825,
  [10826] = 10826,
  [10827] = 2982,
  [10828] = 10776,
  [10829] = 2983,
  [10830] = 8040,
  [10831] = 8039,
  [10832] = 8038,
  [10833] = 8031,
  [10834] = 2985,
  [10835] = 8036,
  [10836] = 9681,
  [10837] = 2986,
  [10838] = 10838,
  [10839] = 10776,
  [10840] = 9041,
  [10841] = 10340,
  [10842] = 10776,
  [10843] = 10843,
  [10844] = 9041,
  [10845] = 8177,
  [10846] = 10846,
  [10847] = 10847,
  [10848] = 10182,
  [10849] = 10191,
  [10850] = 10776,
  [10851] = 10167,
  [10852] = 9760,
  [10853] = 8788,
  [10854] = 8763,
  [10855] = 10776,
  [10856] = 8985,
  [10857] = 10776,
  [10858] = 10858,
  [10859] = 10859,
  [10860] = 10199,
  [10861] = 10861,
  [10862] = 8983,
  [10863] = 10863,
  [10864] = 8981,
  [10865] = 8936,
  [10866] = 8932,
  [10867] = 10776,
  [10868] = 8896,
  [10869] = 10218,
  [10870] = 10220,
  [10871] = 8882,
  [10872] = 8881,
  [10873] = 10221,
  [10874] = 8878,
  [10875] = 8885,
  [10876] = 8887,
  [10877] = 10776,
  [10878] = 5426,
  [10879] = 10340,
  [10880] = 10776,
  [10881] = 10881,
  [10882] = 10776,
  [10883] = 9099,
  [10884] = 10884,
  [10885] = 8901,
  [10886] = 8912,
  [10887] = 10776,
  [10888] = 8993,
  [10889] = 9000,
  [10890] = 9002,
  [10891] = 9012,
  [10892] = 10892,
  [10893] = 10893,
  [10894] = 10776,
  [10895] = 8864,
  [10896] = 9028,
  [10897] = 9050,
  [10898] = 10898,
  [10899] = 9053,
  [10900] = 9054,
  [10901] = 10776,
  [10902] = 8871,
  [10903] = 10180,
  [10904] = 9334,
  [10905] = 10905,
  [10906] = 2982,
  [10907] = 2983,
  [10908] = 2985,
  [10909] = 9959,
  [10910] = 10776,
  [10911] = 10315,
  [10912] = 8029,
  [10913] = 2986,
  [10914] = 7984,
  [10915] = 10776,
  [10916] = 10307,
  [10917] = 10838,
  [10918] = 10918,
  [10919] = 10305,
  [10920] = 8871,
  [10921] = 10198,
  [10922] = 10194,
  [10923] = 8054,
  [10924] = 10192,
  [10925] = 10245,
  [10926] = 10918,
  [10927] = 7984,
  [10928] = 10776,
  [10929] = 10776,
  [10930] = 10238,
  [10931] = 10229,
  [10932] = 10776,
  [10933] = 8786,
  [10934] = 10254,
  [10935] = 10277,
  [10936] = 9760,
  [10937] = 10182,
  [10938] = 10191,
  [10939] = 10214,
  [10940] = 10167,
  [10941] = 10776,
  [10942] = 10776,
  [10943] = 10199,
  [10944] = 8785,
  [10945] = 10776,
  [10946] = 10218,
  [10947] = 5450,
  [10948] = 10220,
  [10949] = 10949,
  [10950] = 10221,
  [10951] = 10951,
  [10952] = 10776,
  [10953] = 7472,
  [10954] = 10776,
  [10955] = 10859,
  [10956] = 9334,
  [10957] = 10957,
  [10958] = 7993,
  [10959] = 10959,
  [10960] = 10960,
  [10961] = 10961,
  [10962] = 10962,
  [10963] = 10795,
  [10964] = 10949,
  [10965] = 10846,
  [10966] = 10776,
  [10967] = 10245,
  [10968] = 10968,
  [10969] = 10775,
  [10970] = 10861,
  [10971] = 10776,
  [10972] = 10858,
  [10973] = 10776,
  [10974] = 10792,
  [10975] = 10791,
  [10976] = 10905,
  [10977] = 10802,
  [10978] = 9681,
  [10979] = 10776,
  [10980] = 10959,
  [10981] = 10786,
  [10982] = 10254,
  [10983] = 10983,
  [10984] = 8079,
  [10985] = 10776,
  [10986] = 8077,
  [10987] = 8075,
  [10988] = 8074,
  [10989] = 8072,
  [10990] = 10786,
  [10991] = 8071,
  [10992] = 10992,
  [10993] = 8070,
  [10994] = 8069,
  [10995] = 8068,
  [10996] = 8067,
  [10997] = 8063,
  [10998] = 10776,
  [10999] = 8062,
  [11000] = 8061,
  [11001] = 10408,
  [11002] = 10405,
  [11003] = 10277,
  [11004] = 10961,
  [11005] = 10776,
  [11006] = 10962,
  [11007] = 9959,
  [11008] = 11008,
  [11009] = 10776,
  [11010] = 10992,
  [11011] = 10776,
  [11012] = 10776,
  [11013] = 11008,
  [11014] = 10204,
  [11015] = 11015,
  [11016] = 10204,
  [11017] = 10405,
  [11018] = 10408,
  [11019] = 10776,
  [11020] = 11020,
  [11021] = 11021,
  [11022] = 10776,
  [11023] = 11023,
  [11024] = 11024,
  [11025] = 11025,
  [11026] = 11026,
  [11027] = 10951,
  [11028] = 10776,
  [11029] = 11029,
  [11030] = 11030,
  [11031] = 11031,
  [11032] = 8039,
  [11033] = 9782,
  [11034] = 11034,
  [11035] = 8038,
  [11036] = 8031,
  [11037] = 8036,
  [11038] = 11038,
  [11039] = 11039,
  [11040] = 11034,
  [11041] = 11029,
  [11042] = 11031,
  [11043] = 11038,
  [11044] = 8040,
  [11045] = 11029,
  [11046] = 11034,
  [11047] = 11029,
  [11048] = 11048,
  [11049] = 11049,
  [11050] = 8062,
  [11051] = 11051,
  [11052] = 11052,
  [11053] = 11051,
  [11054] = 9751,
  [11055] = 11052,
  [11056] = 2974,
  [11057] = 11057,
  [11058] = 11058,
  [11059] = 9730,
  [11060] = 11038,
  [11061] = 9727,
  [11062] = 11049,
  [11063] = 9714,
  [11064] = 11051,
  [11065] = 11065,
  [11066] = 11049,
  [11067] = 11065,
  [11068] = 11068,
  [11069] = 8763,
  [11070] = 11031,
  [11071] = 11029,
  [11072] = 11049,
  [11073] = 11052,
  [11074] = 10214,
  [11075] = 11038,
  [11076] = 11051,
  [11077] = 11051,
  [11078] = 11049,
  [11079] = 8788,
  [11080] = 11051,
  [11081] = 11030,
  [11082] = 11049,
  [11083] = 11049,
  [11084] = 11065,
  [11085] = 11052,
  [11086] = 11049,
  [11087] = 11052,
  [11088] = 11038,
  [11089] = 11030,
  [11090] = 11065,
  [11091] = 11051,
  [11092] = 11052,
  [11093] = 11031,
  [11094] = 11094,
  [11095] = 11029,
  [11096] = 11065,
  [11097] = 11034,
  [11098] = 11029,
  [11099] = 11031,
  [11100] = 11038,
  [11101] = 11034,
  [11102] = 11051,
  [11103] = 11052,
  [11104] = 11049,
  [11105] = 11038,
  [11106] = 11030,
  [11107] = 11029,
  [11108] = 11029,
  [11109] = 11052,
  [11110] = 11052,
  [11111] = 10550,
  [11112] = 10405,
  [11113] = 11038,
  [11114] = 8079,
  [11115] = 8077,
  [11116] = 10408,
  [11117] = 11117,
  [11118] = 11034,
  [11119] = 11038,
  [11120] = 11038,
  [11121] = 11034,
  [11122] = 11034,
  [11123] = 8075,
  [11124] = 11034,
  [11125] = 11049,
  [11126] = 11039,
  [11127] = 11038,
  [11128] = 11031,
  [11129] = 11034,
  [11130] = 11030,
  [11131] = 11049,
  [11132] = 11051,
  [11133] = 11031,
  [11134] = 11029,
  [11135] = 8074,
  [11136] = 11052,
  [11137] = 8072,
  [11138] = 11052,
  [11139] = 11052,
  [11140] = 11051,
  [11141] = 11052,
  [11142] = 11065,
  [11143] = 11049,
  [11144] = 11038,
  [11145] = 11051,
  [11146] = 7993,
  [11147] = 11049,
  [11148] = 8071,
  [11149] = 8070,
  [11150] = 11051,
  [11151] = 11151,
  [11152] = 8069,
  [11153] = 11034,
  [11154] = 11052,
  [11155] = 11034,
  [11156] = 11038,
  [11157] = 11049,
  [11158] = 11052,
  [11159] = 9788,
  [11160] = 11029,
  [11161] = 11031,
  [11162] = 11034,
  [11163] = 8068,
  [11164] = 8067,
  [11165] = 8063,
  [11166] = 11034,
  [11167] = 11065,
  [11168] = 11038,
  [11169] = 11030,
  [11170] = 11051,
  [11171] = 11029,
  [11172] = 11068,
  [11173] = 11038,
  [11174] = 11031,
  [11175] = 11029,
  [11176] = 11031,
  [11177] = 11029,
  [11178] = 8061,
  [11179] = 11052,
  [11180] = 11052,
  [11181] = 11031,
  [11182] = 11051,
  [11183] = 11049,
  [11184] = 11030,
  [11185] = 10214,
  [11186] = 11065,
  [11187] = 11031,
  [11188] = 11034,
  [11189] = 11065,
  [11190] = 11038,
  [11191] = 11030,
  [11192] = 11065,
  [11193] = 11065,
  [11194] = 11030,
  [11195] = 11065,
  [11196] = 11029,
  [11197] = 11031,
  [11198] = 11038,
  [11199] = 11038,
  [11200] = 10214,
  [11201] = 11065,
  [11202] = 11202,
  [11203] = 11031,
  [11204] = 7984,
  [11205] = 8054,
  [11206] = 11038,
  [11207] = 11034,
  [11208] = 11208,
  [11209] = 11209,
  [11210] = 11031,
  [11211] = 11031,
  [11212] = 11049,
  [11213] = 11030,
  [11214] = 10992,
  [11215] = 11038,
  [11216] = 11030,
  [11217] = 11029,
  [11218] = 11031,
  [11219] = 11031,
  [11220] = 11034,
  [11221] = 11034,
  [11222] = 11049,
  [11223] = 11049,
  [11224] = 11031,
  [11225] = 10469,
  [11226] = 11051,
  [11227] = 11052,
  [11228] = 11051,
  [11229] = 11052,
  [11230] = 10229,
  [11231] = 11052,
  [11232] = 10238,
  [11233] = 11031,
  [11234] = 11030,
  [11235] = 11049,
  [11236] = 11065,
  [11237] = 11051,
  [11238] = 11065,
  [11239] = 11029,
  [11240] = 11030,
  [11241] = 11030,
  [11242] = 8786,
  [11243] = 11029,
  [11244] = 11052,
  [11245] = 11030,
  [11246] = 11030,
  [11247] = 11065,
  [11248] = 11029,
  [11249] = 11065,
  [11250] = 11052,
  [11251] = 11031,
  [11252] = 11030,
  [11253] = 11038,
  [11254] = 11049,
  [11255] = 11255,
  [11256] = 11034,
  [11257] = 10214,
  [11258] = 11052,
  [11259] = 8029,
  [11260] = 11065,
  [11261] = 11051,
  [11262] = 11038,
  [11263] = 11052,
  [11264] = 11264,
  [11265] = 10053,
  [11266] = 11029,
  [11267] = 11065,
  [11268] = 11065,
  [11269] = 11029,
  [11270] = 11052,
  [11271] = 11051,
  [11272] = 10951,
  [11273] = 11051,
  [11274] = 11049,
  [11275] = 11049,
  [11276] = 11031,
  [11277] = 11052,
  [11278] = 11029,
  [11279] = 11065,
  [11280] = 11034,
  [11281] = 11051,
  [11282] = 11034,
  [11283] = 11029,
  [11284] = 11038,
  [11285] = 11065,
  [11286] = 11034,
  [11287] = 11287,
  [11288] = 11034,
  [11289] = 11038,
  [11290] = 11029,
  [11291] = 11049,
  [11292] = 11029,
  [11293] = 11293,
  [11294] = 11065,
  [11295] = 11031,
  [11296] = 11030,
  [11297] = 11029,
  [11298] = 11052,
  [11299] = 11031,
  [11300] = 11038,
  [11301] = 11034,
  [11302] = 11065,
  [11303] = 11031,
  [11304] = 11065,
  [11305] = 11305,
  [11306] = 11051,
  [11307] = 11029,
  [11308] = 11051,
  [11309] = 11030,
  [11310] = 11051,
  [11311] = 11034,
  [11312] = 11049,
  [11313] = 11049,
  [11314] = 11065,
  [11315] = 11049,
  [11316] = 11038,
  [11317] = 11052,
  [11318] = 10951,
  [11319] = 11065,
  [11320] = 11034,
  [11321] = 11038,
  [11322] = 11034,
  [11323] = 11030,
  [11324] = 11038,
  [11325] = 11038,
  [11326] = 11038,
  [11327] = 11327,
  [11328] = 11034,
  [11329] = 11008,
  [11330] = 11029,
  [11331] = 11029,
  [11332] = 11049,
  [11333] = 11051,
  [11334] = 10229,
  [11335] = 11030,
  [11336] = 10992,
  [11337] = 11052,
  [11338] = 11030,
  [11339] = 11034,
  [11340] = 11049,
  [11341] = 11051,
  [11342] = 11052,
  [11343] = 11051,
  [11344] = 11031,
  [11345] = 11029,
  [11346] = 2973,
  [11347] = 7993,
  [11348] = 2972,
  [11349] = 11034,
  [11350] = 11029,
  [11351] = 11051,
  [11352] = 9788,
  [11353] = 10238,
  [11354] = 11031,
  [11355] = 8785,
  [11356] = 11356,
  [11357] = 11038,
  [11358] = 9782,
  [11359] = 11030,
  [11360] = 11029,
  [11361] = 11029,
  [11362] = 11255,
  [11363] = 11038,
  [11364] = 11049,
  [11365] = 11029,
  [11366] = 9986,
  [11367] = 11065,
  [11368] = 11051,
  [11369] = 11049,
  [11370] = 11031,
  [11371] = 11371,
  [11372] = 11038,
  [11373] = 10229,
  [11374] = 9986,
  [11375] = 11065,
  [11376] = 10585,
  [11377] = 10238,
  [11378] = 9751,
  [11379] = 11030,
  [11380] = 11065,
  [11381] = 11030,
  [11382] = 11034,
  [11383] = 9730,
  [11384] = 9727,
  [11385] = 11029,
  [11386] = 11049,
  [11387] = 11031,
  [11388] = 9714,
  [11389] = 11031,
  [11390] = 9949,
  [11391] = 8816,
  [11392] = 11051,
  [11393] = 11065,
  [11394] = 11065,
  [11395] = 11065,
  [11396] = 11065,
  [11397] = 11030,
  [11398] = 10563,
  [11399] = 11065,
  [11400] = 11052,
  [11401] = 11065,
  [11402] = 11034,
  [11403] = 10229,
  [11404] = 11031,
  [11405] = 11030,
  [11406] = 10550,
  [11407] = 11049,
  [11408] = 7993,
  [11409] = 11065,
  [11410] = 10238,
  [11411] = 11030,
  [11412] = 11031,
  [11413] = 11030,
  [11414] = 11008,
  [11415] = 11031,
  [11416] = 11030,
  [11417] = 11417,
  [11418] = 11051,
  [11419] = 11049,
  [11420] = 11030,
  [11421] = 11038,
  [11422] = 11356,
  [11423] = 11038,
  [11424] = 11051,
  [11425] = 11034,
  [11426] = 11029,
  [11427] = 11029,
  [11428] = 11031,
  [11429] = 11031,
  [11430] = 11034,
  [11431] = 11038,
  [11432] = 11052,
  [11433] = 11031,
  [11434] = 10585,
  [11435] = 11030,
  [11436] = 11052,
  [11437] = 11051,
  [11438] = 11065,
  [11439] = 11029,
  [11440] = 11029,
  [11441] = 11031,
  [11442] = 11034,
  [11443] = 11117,
  [11444] = 11030,
  [11445] = 11052,
  [11446] = 11031,
  [11447] = 11447,
  [11448] = 11051,
  [11449] = 11065,
  [11450] = 11049,
  [11451] = 11052,
  [11452] = 10563,
  [11453] = 10918,
  [11454] = 9210,
  [11455] = 11051,
  [11456] = 11049,
  [11457] = 11065,
  [11458] = 10775,
  [11459] = 11030,
  [11460] = 11052,
  [11461] = 11030,
  [11462] = 11051,
  [11463] = 11034,
  [11464] = 11030,
  [11465] = 11038,
  [11466] = 11049,
  [11467] = 11065,
  [11468] = 11051,
  [11469] = 11049,
  [11470] = 11029,
  [11471] = 11030,
  [11472] = 11051,
  [11473] = 11030,
  [11474] = 10775,
  [11475] = 11029,
  [11476] = 11038,
  [11477] = 11255,
  [11478] = 10918,
  [11479] = 11034,
  [11480] = 11038,
  [11481] = 9949,
  [11482] = 11031,
  [11483] = 11034,
  [11484] = 11065,
  [11485] = 11030,
  [11486] = 11049,
  [11487] = 11051,
  [11488] = 11052,
  [11489] = 11058,
  [11490] = 8061,
  [11491] = 10405,
  [11492] = 8062,
  [11493] = 8063,
  [11494] = 11049,
  [11495] = 10408,
  [11496] = 11029,
  [11497] = 8067,
  [11498] = 11057,
  [11499] = 11049,
  [11500] = 11049,
  [11501] = 8068,
  [11502] = 8069,
  [11503] = 8070,
  [11504] = 8071,
  [11505] = 8072,
  [11506] = 8074,
  [11507] = 8075,
  [11508] = 8077,
  [11509] = 8079,
  [11510] = 11048,
  [11511] = 11052,
  [11512] = 10469,
  [11513] = 11030,
  [11514] = 11038,
  [11515] = 11030,
  [11516] = 11031,
  [11517] = 11052,
  [11518] = 11034,
  [11519] = 11038,
  [11520] = 11038,
  [11521] = 11034,
  [11522] = 11052,
  [11523] = 11065,
  [11524] = 10053,
  [11525] = 8054,
  [11526] = 11034,
  [11527] = 11034,
  [11528] = 11031,
  [11529] = 11038,
  [11530] = 7984,
  [11531] = 11049,
  [11532] = 11051,
  [11533] = 11029,
  [11534] = 11051,
  [11535] = 11031,
  [11536] = 11052,
  [11537] = 11031,
  [11538] = 11049,
  [11539] = 11029,
  [11540] = 11065,
  [11541] = 11541,
  [11542] = 11447,
  [11543] = 11051,
  [11544] = 11034,
  [11545] = 11030,
  [11546] = 11038,
  [11547] = 11052,
  [11548] = 11049,
  [11549] = 11051,
  [11550] = 11051,
  [11551] = 11031,
  [11552] = 11052,
  [11553] = 11553,
  [11554] = 11052,
  [11555] = 11034,
  [11556] = 8067,
  [11557] = 7984,
  [11558] = 8993,
  [11559] = 10918,
  [11560] = 8901,
  [11561] = 7993,
  [11562] = 9000,
  [11563] = 10961,
  [11564] = 8871,
  [11565] = 9002,
  [11566] = 10791,
  [11567] = 9099,
  [11568] = 8054,
  [11569] = 10405,
  [11570] = 10962,
  [11571] = 5450,
  [11572] = 7984,
  [11573] = 10846,
  [11574] = 8054,
  [11575] = 8864,
  [11576] = 10408,
  [11577] = 11068,
  [11578] = 11356,
  [11579] = 11058,
  [11580] = 11057,
  [11581] = 11048,
  [11582] = 9028,
  [11583] = 11117,
  [11584] = 11039,
  [11585] = 11585,
  [11586] = 11585,
  [11587] = 11068,
  [11588] = 10795,
  [11589] = 10992,
  [11590] = 11585,
  [11591] = 11008,
  [11592] = 9050,
  [11593] = 9959,
  [11594] = 10775,
  [11595] = 10949,
  [11596] = 8887,
  [11597] = 8885,
  [11598] = 11598,
  [11599] = 8878,
  [11600] = 8816,
  [11601] = 9053,
  [11602] = 10802,
  [11603] = 9054,
  [11604] = 10791,
  [11605] = 10792,
  [11606] = 10918,
  [11607] = 8881,
  [11608] = 10858,
  [11609] = 10861,
  [11610] = 11610,
  [11611] = 10846,
  [11612] = 9760,
  [11613] = 10949,
  [11614] = 10959,
  [11615] = 5426,
  [11616] = 11616,
  [11617] = 10795,
  [11618] = 11585,
  [11619] = 11619,
  [11620] = 11619,
  [11621] = 11585,
  [11622] = 8882,
  [11623] = 11610,
  [11624] = 10861,
  [11625] = 8896,
  [11626] = 2986,
  [11627] = 11117,
  [11628] = 10951,
  [11629] = 8061,
  [11630] = 8062,
  [11631] = 10858,
  [11632] = 10962,
  [11633] = 8063,
  [11634] = 10792,
  [11635] = 10961,
  [11636] = 8912,
  [11637] = 11048,
  [11638] = 9012,
  [11639] = 8068,
  [11640] = 8069,
  [11641] = 8070,
  [11642] = 8071,
  [11643] = 10951,
  [11644] = 10959,
  [11645] = 11008,
  [11646] = 8072,
  [11647] = 10992,
  [11648] = 8074,
  [11649] = 10905,
  [11650] = 9959,
  [11651] = 8075,
  [11652] = 10859,
  [11653] = 8077,
  [11654] = 10802,
  [11655] = 8079,
  [11656] = 8932,
  [11657] = 8936,
  [11658] = 8981,
  [11659] = 10408,
  [11660] = 11356,
  [11661] = 11661,
  [11662] = 10405,
  [11663] = 11619,
  [11664] = 11664,
  [11665] = 8062,
  [11666] = 10405,
  [11667] = 8983,
  [11668] = 8036,
  [11669] = 8031,
  [11670] = 11664,
  [11671] = 8038,
  [11672] = 11057,
  [11673] = 10775,
  [11674] = 9760,
  [11675] = 8039,
  [11676] = 8040,
  [11677] = 11677,
  [11678] = 8985,
  [11679] = 11619,
  [11680] = 11598,
  [11681] = 11619,
  [11682] = 11585,
  [11683] = 9041,
  [11684] = 8061,
  [11685] = 10905,
  [11686] = 10405,
  [11687] = 10408,
  [11688] = 2985,
  [11689] = 2983,
  [11690] = 11690,
  [11691] = 11691,
  [11692] = 11619,
  [11693] = 11585,
  [11694] = 11039,
  [11695] = 11619,
  [11696] = 10838,
  [11697] = 2982,
  [11698] = 10838,
  [11699] = 7993,
  [11700] = 8079,
  [11701] = 11585,
  [11702] = 8077,
  [11703] = 8075,
  [11704] = 8074,
  [11705] = 10408,
  [11706] = 8072,
  [11707] = 10859,
  [11708] = 8071,
  [11709] = 7993,
  [11710] = 8070,
  [11711] = 8069,
  [11712] = 8068,
  [11713] = 8067,
  [11714] = 8029,
  [11715] = 8063,
  [11716] = 11058,
  [11717] = 8071,
  [11718] = 2958,
  [11719] = 11719,
  [11720] = 10229,
  [11721] = 11721,
  [11722] = 11722,
  [11723] = 10214,
  [11724] = 8036,
  [11725] = 11725,
  [11726] = 11722,
  [11727] = 8786,
  [11728] = 10238,
  [11729] = 11722,
  [11730] = 11730,
  [11731] = 4633,
  [11732] = 11732,
  [11733] = 11725,
  [11734] = 8031,
  [11735] = 11722,
  [11736] = 11736,
  [11737] = 11722,
  [11738] = 8038,
  [11739] = 11722,
  [11740] = 11740,
  [11741] = 11722,
  [11742] = 8785,
  [11743] = 11743,
  [11744] = 8038,
  [11745] = 7984,
  [11746] = 11722,
  [11747] = 8039,
  [11748] = 10229,
  [11749] = 11721,
  [11750] = 10238,
  [11751] = 11751,
  [11752] = 11752,
  [11753] = 10214,
  [11754] = 2963,
  [11755] = 11755,
  [11756] = 11756,
  [11757] = 11757,
  [11758] = 10918,
  [11759] = 11722,
  [11760] = 11722,
  [11761] = 11761,
  [11762] = 11732,
  [11763] = 10775,
  [11764] = 11721,
  [11765] = 11765,
  [11766] = 8029,
  [11767] = 8062,
  [11768] = 9054,
  [11769] = 11769,
  [11770] = 9681,
  [11771] = 11771,
  [11772] = 11722,
  [11773] = 8054,
  [11774] = 7993,
  [11775] = 7984,
  [11776] = 8029,
  [11777] = 11777,
  [11778] = 7984,
  [11779] = 8054,
  [11780] = 7984,
  [11781] = 11722,
  [11782] = 8029,
  [11783] = 11783,
  [11784] = 8054,
  [11785] = 8887,
  [11786] = 8036,
  [11787] = 11722,
  [11788] = 8062,
  [11789] = 11736,
  [11790] = 7984,
  [11791] = 7984,
  [11792] = 11755,
  [11793] = 11765,
  [11794] = 7993,
  [11795] = 8054,
  [11796] = 11796,
  [11797] = 2972,
  [11798] = 11722,
  [11799] = 8036,
  [11800] = 8031,
  [11801] = 8885,
  [11802] = 11802,
  [11803] = 11803,
  [11804] = 2953,
  [11805] = 8039,
  [11806] = 8881,
  [11807] = 8062,
  [11808] = 8040,
  [11809] = 11722,
  [11810] = 8882,
  [11811] = 7993,
  [11812] = 11756,
  [11813] = 11813,
  [11814] = 7984,
  [11815] = 9053,
  [11816] = 8878,
  [11817] = 11722,
  [11818] = 11740,
  [11819] = 8896,
  [11820] = 11722,
  [11821] = 10775,
  [11822] = 11822,
  [11823] = 11803,
  [11824] = 11824,
  [11825] = 11825,
  [11826] = 11722,
  [11827] = 11722,
  [11828] = 8079,
  [11829] = 11829,
  [11830] = 8077,
  [11831] = 8062,
  [11832] = 8075,
  [11833] = 8074,
  [11834] = 8072,
  [11835] = 8071,
  [11836] = 8070,
  [11837] = 8069,
  [11838] = 8068,
  [11839] = 8067,
  [11840] = 8063,
  [11841] = 8061,
  [11842] = 8062,
  [11843] = 11722,
  [11844] = 11722,
  [11845] = 8763,
  [11846] = 10918,
  [11847] = 11722,
  [11848] = 11848,
  [11849] = 11743,
  [11850] = 11850,
  [11851] = 11851,
  [11852] = 8061,
  [11853] = 11722,
  [11854] = 11769,
  [11855] = 8063,
  [11856] = 11722,
  [11857] = 11722,
  [11858] = 11824,
  [11859] = 11859,
  [11860] = 8067,
  [11861] = 2951,
  [11862] = 11862,
  [11863] = 11722,
  [11864] = 2950,
  [11865] = 11736,
  [11866] = 8040,
  [11867] = 4672,
  [11868] = 11736,
  [11869] = 8067,
  [11870] = 8038,
  [11871] = 8031,
  [11872] = 8038,
  [11873] = 8039,
  [11874] = 11722,
  [11875] = 8079,
  [11876] = 8040,
  [11877] = 8077,
  [11878] = 8075,
  [11879] = 8074,
  [11880] = 8072,
  [11881] = 8071,
  [11882] = 8070,
  [11883] = 8069,
  [11884] = 11796,
  [11885] = 8068,
  [11886] = 8063,
  [11887] = 11822,
  [11888] = 11888,
  [11889] = 11889,
  [11890] = 11889,
  [11891] = 4661,
  [11892] = 11825,
  [11893] = 11722,
  [11894] = 11894,
  [11895] = 8068,
  [11896] = 8069,
  [11897] = 11722,
  [11898] = 8061,
  [11899] = 10951,
  [11900] = 8062,
  [11901] = 8062,
  [11902] = 8070,
  [11903] = 8054,
  [11904] = 7993,
  [11905] = 7984,
  [11906] = 8063,
  [11907] = 9210,
  [11908] = 8029,
  [11909] = 8067,
  [11910] = 8074,
  [11911] = 8054,
  [11912] = 9050,
  [11913] = 8068,
  [11914] = 8069,
  [11915] = 8070,
  [11916] = 8071,
  [11917] = 11862,
  [11918] = 8993,
  [11919] = 11919,
  [11920] = 11888,
  [11921] = 7984,
  [11922] = 11722,
  [11923] = 11777,
  [11924] = 11771,
  [11925] = 8029,
  [11926] = 11730,
  [11927] = 11927,
  [11928] = 11928,
  [11929] = 9002,
  [11930] = 8061,
  [11931] = 8912,
  [11932] = 11722,
  [11933] = 10992,
  [11934] = 11859,
  [11935] = 11008,
  [11936] = 8062,
  [11937] = 7993,
  [11938] = 8075,
  [11939] = 9000,
  [11940] = 8901,
  [11941] = 11813,
  [11942] = 8072,
  [11943] = 8074,
  [11944] = 8075,
  [11945] = 8077,
  [11946] = 8079,
  [11947] = 8077,
  [11948] = 8079,
  [11949] = 11949,
  [11950] = 11722,
  [11951] = 11732,
  [11952] = 11765,
  [11953] = 11722,
  [11954] = 11736,
  [11955] = 11722,
  [11956] = 11722,
  [11957] = 11722,
  [11958] = 8061,
  [11959] = 2973,
  [11960] = 11722,
  [11961] = 11894,
  [11962] = 11722,
  [11963] = 7984,
  [11964] = 8985,
  [11965] = 8079,
  [11966] = 8077,
  [11967] = 8075,
  [11968] = 9028,
  [11969] = 7993,
  [11970] = 8074,
  [11971] = 7984,
  [11972] = 8072,
  [11973] = 8071,
  [11974] = 8070,
  [11975] = 8069,
  [11976] = 8068,
  [11977] = 11927,
  [11978] = 11829,
  [11979] = 8062,
  [11980] = 11751,
  [11981] = 11752,
  [11982] = 8981,
  [11983] = 8072,
  [11984] = 8067,
  [11985] = 11722,
  [11986] = 8063,
  [11987] = 8061,
  [11988] = 8062,
  [11989] = 11722,
  [11990] = 9012,
  [11991] = 7993,
  [11992] = 8063,
  [11993] = 8067,
  [11994] = 8068,
  [11995] = 8069,
  [11996] = 8788,
  [11997] = 8040,
  [11998] = 8039,
  [11999] = 8038,
  [12000] = 8031,
  [12001] = 8070,
  [12002] = 8036,
  [12003] = 8061,
  [12004] = 8062,
  [12005] = 8071,
  [12006] = 9099,
  [12007] = 8063,
  [12008] = 8067,
  [12009] = 8068,
  [12010] = 8069,
  [12011] = 8070,
  [12012] = 8071,
  [12013] = 8072,
  [12014] = 8074,
  [12015] = 8075,
  [12016] = 8077,
  [12017] = 8079,
  [12018] = 8072,
  [12019] = 8074,
  [12020] = 8075,
  [12021] = 8871,
  [12022] = 10951,
  [12023] = 8077,
  [12024] = 8079,
  [12025] = 11722,
  [12026] = 8040,
  [12027] = 11722,
  [12028] = 8039,
  [12029] = 11008,
  [12030] = 10992,
  [12031] = 8983,
  [12032] = 11756,
  [12033] = 8038,
  [12034] = 8031,
  [12035] = 8036,
  [12036] = 2961,
  [12037] = 8864,
  [12038] = 8040,
  [12039] = 8039,
  [12040] = 8029,
  [12041] = 8036,
  [12042] = 8932,
  [12043] = 8936,
  [12044] = 9681,
  [12045] = 8031,
  [12046] = 8038,
  [12047] = 8031,
  [12048] = 8040,
  [12049] = 8054,
  [12050] = 11732,
  [12051] = 8036,
  [12052] = 12052,
  [12053] = 9041,
  [12054] = 8062,
  [12055] = 7984,
  [12056] = 8039,
  [12057] = 8070,
  [12058] = 8054,
  [12059] = 8029,
  [12060] = 8061,
  [12061] = 12061,
  [12062] = 8040,
  [12063] = 8039,
  [12064] = 12064,
  [12065] = 7993,
  [12066] = 8054,
  [12067] = 12067,
  [12068] = 8079,
  [12069] = 8063,
  [12070] = 8067,
  [12071] = 8068,
  [12072] = 8069,
  [12073] = 8077,
  [12074] = 8075,
  [12075] = 8070,
  [12076] = 8074,
  [12077] = 8071,
  [12078] = 7993,
  [12079] = 8072,
  [12080] = 8061,
  [12081] = 7993,
  [12082] = 12082,
  [12083] = 8074,
  [12084] = 8075,
  [12085] = 8077,
  [12086] = 8079,
  [12087] = 8063,
  [12088] = 8072,
  [12089] = 8071,
  [12090] = 8070,
  [12091] = 8069,
  [12092] = 8068,
  [12093] = 8067,
  [12094] = 8063,
  [12095] = 8062,
  [12096] = 12096,
  [12097] = 8067,
  [12098] = 8068,
  [12099] = 12099,
  [12100] = 8069,
  [12101] = 8070,
  [12102] = 12082,
  [12103] = 12067,
  [12104] = 12104,
  [12105] = 8061,
  [12106] = 12099,
  [12107] = 8072,
  [12108] = 8074,
  [12109] = 12099,
  [12110] = 8062,
  [12111] = 12111,
  [12112] = 8038,
  [12113] = 8031,
  [12114] = 12099,
  [12115] = 12067,
  [12116] = 7993,
  [12117] = 8075,
  [12118] = 8077,
  [12119] = 8054,
  [12120] = 8079,
  [12121] = 8816,
  [12122] = 8054,
  [12123] = 7993,
  [12124] = 8054,
  [12125] = 12082,
  [12126] = 8036,
  [12127] = 12067,
  [12128] = 8029,
  [12129] = 9986,
  [12130] = 12099,
  [12131] = 12099,
  [12132] = 12099,
  [12133] = 12082,
  [12134] = 7984,
  [12135] = 12067,
  [12136] = 12136,
  [12137] = 12067,
  [12138] = 12082,
  [12139] = 7993,
  [12140] = 12082,
  [12141] = 12082,
  [12142] = 7993,
  [12143] = 8036,
  [12144] = 12099,
  [12145] = 10405,
  [12146] = 12067,
  [12147] = 8079,
  [12148] = 12099,
  [12149] = 8077,
  [12150] = 12099,
  [12151] = 8074,
  [12152] = 9986,
  [12153] = 8072,
  [12154] = 8071,
  [12155] = 8070,
  [12156] = 12067,
  [12157] = 12067,
  [12158] = 8079,
  [12159] = 12082,
  [12160] = 8077,
  [12161] = 8075,
  [12162] = 12082,
  [12163] = 12082,
  [12164] = 10408,
  [12165] = 8069,
  [12166] = 8068,
  [12167] = 8067,
  [12168] = 8063,
  [12169] = 3028,
  [12170] = 8075,
  [12171] = 10408,
  [12172] = 10405,
  [12173] = 12099,
  [12174] = 12067,
  [12175] = 8031,
  [12176] = 12067,
  [12177] = 8074,
  [12178] = 12082,
  [12179] = 12067,
  [12180] = 8038,
  [12181] = 12067,
  [12182] = 8072,
  [12183] = 8071,
  [12184] = 8061,
  [12185] = 12099,
  [12186] = 12082,
  [12187] = 12082,
  [12188] = 12082,
  [12189] = 3087,
  [12190] = 12082,
  [12191] = 12067,
  [12192] = 12067,
  [12193] = 12099,
  [12194] = 8070,
  [12195] = 12067,
  [12196] = 7993,
  [12197] = 12099,
  [12198] = 12067,
  [12199] = 12082,
  [12200] = 12067,
  [12201] = 12067,
  [12202] = 8040,
  [12203] = 8005,
  [12204] = 8059,
  [12205] = 8048,
  [12206] = 12099,
  [12207] = 12099,
  [12208] = 8039,
  [12209] = 8062,
  [12210] = 12099,
  [12211] = 8069,
  [12212] = 12082,
  [12213] = 12099,
  [12214] = 8060,
  [12215] = 12099,
  [12216] = 12082,
  [12217] = 8068,
  [12218] = 12082,
  [12219] = 12067,
  [12220] = 12082,
  [12221] = 7993,
  [12222] = 12099,
  [12223] = 12111,
  [12224] = 12082,
  [12225] = 12067,
  [12226] = 12067,
  [12227] = 12227,
  [12228] = 12099,
  [12229] = 8067,
  [12230] = 7984,
  [12231] = 12082,
  [12232] = 12067,
  [12233] = 12099,
  [12234] = 8054,
  [12235] = 7984,
  [12236] = 8038,
  [12237] = 12067,
  [12238] = 8031,
  [12239] = 12082,
  [12240] = 12082,
  [12241] = 8063,
  [12242] = 12099,
  [12243] = 12082,
  [12244] = 2971,
  [12245] = 8061,
  [12246] = 12067,
  [12247] = 7993,
  [12248] = 12082,
  [12249] = 12067,
  [12250] = 12082,
  [12251] = 12067,
  [12252] = 8079,
  [12253] = 8077,
  [12254] = 8075,
  [12255] = 8036,
  [12256] = 8074,
  [12257] = 8062,
  [12258] = 12067,
  [12259] = 8079,
  [12260] = 12099,
  [12261] = 12099,
  [12262] = 12099,
  [12263] = 12099,
  [12264] = 8072,
  [12265] = 12265,
  [12266] = 12099,
  [12267] = 12082,
  [12268] = 12082,
  [12269] = 12082,
  [12270] = 12270,
  [12271] = 12067,
  [12272] = 8054,
  [12273] = 8062,
  [12274] = 7984,
  [12275] = 12099,
  [12276] = 8039,
  [12277] = 8040,
  [12278] = 8071,
  [12279] = 8036,
  [12280] = 12099,
  [12281] = 8031,
  [12282] = 8038,
  [12283] = 8070,
  [12284] = 8039,
  [12285] = 8069,
  [12286] = 8054,
  [12287] = 8040,
  [12288] = 12067,
  [12289] = 12067,
  [12290] = 8029,
  [12291] = 7984,
  [12292] = 12067,
  [12293] = 12082,
  [12294] = 12082,
  [12295] = 8068,
  [12296] = 8067,
  [12297] = 12082,
  [12298] = 8063,
  [12299] = 8061,
  [12300] = 8079,
  [12301] = 12099,
  [12302] = 12099,
  [12303] = 8077,
  [12304] = 12099,
  [12305] = 8075,
  [12306] = 4821,
  [12307] = 8079,
  [12308] = 12099,
  [12309] = 7984,
  [12310] = 8077,
  [12311] = 12082,
  [12312] = 12067,
  [12313] = 12313,
  [12314] = 8075,
  [12315] = 8074,
  [12316] = 8074,
  [12317] = 8072,
  [12318] = 8072,
  [12319] = 8040,
  [12320] = 8071,
  [12321] = 8070,
  [12322] = 12067,
  [12323] = 8069,
  [12324] = 8068,
  [12325] = 12067,
  [12326] = 12067,
  [12327] = 8039,
  [12328] = 8038,
  [12329] = 8031,
  [12330] = 12082,
  [12331] = 12099,
  [12332] = 12082,
  [12333] = 12067,
  [12334] = 8036,
  [12335] = 8071,
  [12336] = 8069,
  [12337] = 8067,
  [12338] = 8068,
  [12339] = 8061,
  [12340] = 8067,
  [12341] = 8062,
  [12342] = 2973,
  [12343] = 12099,
  [12344] = 12099,
  [12345] = 12082,
  [12346] = 8063,
  [12347] = 8063,
  [12348] = 8063,
  [12349] = 8061,
  [12350] = 12099,
  [12351] = 12099,
  [12352] = 2972,
  [12353] = 12099,
  [12354] = 8071,
  [12355] = 12067,
  [12356] = 8067,
  [12357] = 12099,
  [12358] = 12099,
  [12359] = 12099,
  [12360] = 8077,
  [12361] = 8068,
  [12362] = 8075,
  [12363] = 12067,
  [12364] = 12099,
  [12365] = 12067,
  [12366] = 8062,
  [12367] = 8070,
  [12368] = 12099,
  [12369] = 12099,
  [12370] = 8071,
  [12371] = 12099,
  [12372] = 8061,
  [12373] = 8072,
  [12374] = 8074,
  [12375] = 12099,
  [12376] = 8075,
  [12377] = 12099,
  [12378] = 12099,
  [12379] = 12099,
  [12380] = 12099,
  [12381] = 8077,
  [12382] = 7984,
  [12383] = 8054,
  [12384] = 12082,
  [12385] = 8079,
  [12386] = 8344,
  [12387] = 8069,
  [12388] = 12099,
  [12389] = 12061,
  [12390] = 12064,
  [12391] = 8036,
  [12392] = 8031,
  [12393] = 8038,
  [12394] = 8039,
  [12395] = 8061,
  [12396] = 8040,
  [12397] = 8062,
  [12398] = 12099,
  [12399] = 7993,
  [12400] = 12067,
  [12401] = 8063,
  [12402] = 8029,
  [12403] = 12082,
  [12404] = 12067,
  [12405] = 12227,
  [12406] = 12099,
  [12407] = 12407,
  [12408] = 12082,
  [12409] = 8067,
  [12410] = 8068,
  [12411] = 8069,
  [12412] = 8332,
  [12413] = 2950,
  [12414] = 8070,
  [12415] = 2951,
  [12416] = 8071,
  [12417] = 2953,
  [12418] = 2958,
  [12419] = 12099,
  [12420] = 7984,
  [12421] = 8054,
  [12422] = 12082,
  [12423] = 2960,
  [12424] = 8072,
  [12425] = 2961,
  [12426] = 2963,
  [12427] = 2967,
  [12428] = 2969,
  [12429] = 12082,
  [12430] = 8074,
  [12431] = 12099,
  [12432] = 2970,
  [12433] = 12433,
  [12434] = 8079,
  [12435] = 7993,
  [12436] = 12433,
  [12437] = 8786,
  [12438] = 12433,
  [12439] = 7993,
  [12440] = 12433,
  [12441] = 12433,
  [12442] = 12442,
  [12443] = 12443,
  [12444] = 11824,
  [12445] = 12433,
  [12446] = 12446,
  [12447] = 12433,
  [12448] = 12448,
  [12449] = 8785,
  [12450] = 8061,
  [12451] = 11894,
  [12452] = 11927,
  [12453] = 8067,
  [12454] = 8074,
  [12455] = 8075,
  [12456] = 12456,
  [12457] = 12457,
  [12458] = 8068,
  [12459] = 8077,
  [12460] = 8069,
  [12461] = 12433,
  [12462] = 12433,
  [12463] = 11730,
  [12464] = 8079,
  [12465] = 12465,
  [12466] = 12466,
  [12467] = 9028,
  [12468] = 12433,
  [12469] = 12469,
  [12470] = 12433,
  [12471] = 12471,
  [12472] = 8072,
  [12473] = 12433,
  [12474] = 12469,
  [12475] = 8071,
  [12476] = 11755,
  [12477] = 5426,
  [12478] = 8070,
  [12479] = 5450,
  [12480] = 12480,
  [12481] = 12481,
  [12482] = 12433,
  [12483] = 8177,
  [12484] = 11803,
  [12485] = 12433,
  [12486] = 11796,
  [12487] = 12433,
  [12488] = 12433,
  [12489] = 11740,
  [12490] = 12433,
  [12491] = 11777,
  [12492] = 11771,
  [12493] = 9053,
  [12494] = 12433,
  [12495] = 12456,
  [12496] = 12496,
  [12497] = 9050,
  [12498] = 12433,
  [12499] = 8981,
  [12500] = 8864,
  [12501] = 9012,
  [12502] = 11825,
  [12503] = 8071,
  [12504] = 9002,
  [12505] = 8070,
  [12506] = 12433,
  [12507] = 8072,
  [12508] = 8074,
  [12509] = 9000,
  [12510] = 8993,
  [12511] = 9054,
  [12512] = 8061,
  [12513] = 12433,
  [12514] = 12433,
  [12515] = 8912,
  [12516] = 8075,
  [12517] = 8901,
  [12518] = 12433,
  [12519] = 8069,
  [12520] = 8871,
  [12521] = 8068,
  [12522] = 8067,
  [12523] = 9099,
  [12524] = 7993,
  [12525] = 8054,
  [12526] = 11769,
  [12527] = 8887,
  [12528] = 8885,
  [12529] = 8878,
  [12530] = 8077,
  [12531] = 8881,
  [12532] = 8882,
  [12533] = 8896,
  [12534] = 8932,
  [12535] = 11803,
  [12536] = 7993,
  [12537] = 12457,
  [12538] = 11825,
  [12539] = 11751,
  [12540] = 8936,
  [12541] = 12541,
  [12542] = 9041,
  [12543] = 11752,
  [12544] = 11796,
  [12545] = 12481,
  [12546] = 7993,
  [12547] = 12433,
  [12548] = 8063,
  [12549] = 11889,
  [12550] = 11888,
  [12551] = 11822,
  [12552] = 12552,
  [12553] = 8983,
  [12554] = 12433,
  [12555] = 11824,
  [12556] = 12433,
  [12557] = 12557,
  [12558] = 8985,
  [12559] = 12481,
  [12560] = 11777,
  [12561] = 12433,
  [12562] = 12433,
  [12563] = 12433,
  [12564] = 2982,
  [12565] = 11859,
  [12566] = 2983,
  [12567] = 2985,
  [12568] = 12568,
  [12569] = 8079,
  [12570] = 11771,
  [12571] = 8061,
  [12572] = 11769,
  [12573] = 8054,
  [12574] = 2986,
  [12575] = 7993,
  [12576] = 12433,
  [12577] = 12433,
  [12578] = 8063,
  [12579] = 12469,
  [12580] = 8063,
  [12581] = 11752,
  [12582] = 12582,
  [12583] = 11751,
  [12584] = 12481,
  [12585] = 12433,
  [12586] = 12433,
  [12587] = 12433,
  [12588] = 7993,
  [12589] = 12433,
  [12590] = 8788,
  [12591] = 12591,
  [12592] = 7993,
  [12593] = 12433,
  [12594] = 7993,
  [12595] = 12595,
  [12596] = 8079,
  [12597] = 8077,
  [12598] = 8063,
  [12599] = 8075,
  [12600] = 12600,
  [12601] = 8074,
  [12602] = 8072,
  [12603] = 8071,
  [12604] = 8070,
  [12605] = 8069,
  [12606] = 8068,
  [12607] = 12433,
  [12608] = 8067,
  [12609] = 11730,
  [12610] = 11755,
  [12611] = 12611,
  [12612] = 11725,
  [12613] = 11859,
  [12614] = 11740,
  [12615] = 11725,
  [12616] = 12433,
  [12617] = 8067,
  [12618] = 12433,
  [12619] = 12433,
  [12620] = 8054,
  [12621] = 9681,
  [12622] = 7993,
  [12623] = 12433,
  [12624] = 8068,
  [12625] = 8069,
  [12626] = 4956,
  [12627] = 8054,
  [12628] = 12628,
  [12629] = 11894,
  [12630] = 11927,
  [12631] = 12631,
  [12632] = 8061,
  [12633] = 11822,
  [12634] = 12466,
  [12635] = 8070,
  [12636] = 8071,
  [12637] = 11888,
  [12638] = 12433,
  [12639] = 8072,
  [12640] = 8074,
  [12641] = 8075,
  [12642] = 8077,
  [12643] = 12433,
  [12644] = 11889,
  [12645] = 12645,
  [12646] = 9681,
  [12647] = 12647,
  [12648] = 12648,
  [12649] = 12649,
  [12650] = 12648,
  [12651] = 12649,
  [12652] = 12647,
  [12653] = 12653,
  [12654] = 12648,
  [12655] = 12655,
  [12656] = 12649,
  [12657] = 12657,
  [12658] = 8332,
  [12659] = 12649,
  [12660] = 8782,
  [12661] = 8344,
  [12662] = 8754,
  [12663] = 8739,
  [12664] = 12647,
  [12665] = 8816,
  [12666] = 12666,
  [12667] = 12667,
  [12668] = 12668,
  [12669] = 12669,
  [12670] = 12647,
  [12671] = 9986,
  [12672] = 12648,
  [12673] = 5102,
  [12674] = 2983,
  [12675] = 8882,
  [12676] = 8819,
  [12677] = 12677,
  [12678] = 8896,
  [12679] = 8912,
  [12680] = 8932,
  [12681] = 8993,
  [12682] = 8887,
  [12683] = 12683,
  [12684] = 8936,
  [12685] = 12685,
  [12686] = 12686,
  [12687] = 8885,
  [12688] = 8901,
  [12689] = 9000,
  [12690] = 9099,
  [12691] = 8981,
  [12692] = 12686,
  [12693] = 5450,
  [12694] = 12694,
  [12695] = 8983,
  [12696] = 12686,
  [12697] = 8878,
  [12698] = 8985,
  [12699] = 8763,
  [12700] = 5268,
  [12701] = 12685,
  [12702] = 12653,
  [12703] = 8881,
  [12704] = 12677,
  [12705] = 12686,
  [12706] = 9054,
  [12707] = 9002,
  [12708] = 8871,
  [12709] = 9012,
  [12710] = 9986,
  [12711] = 2986,
  [12712] = 2985,
  [12713] = 8864,
  [12714] = 5270,
  [12715] = 9028,
  [12716] = 9050,
  [12717] = 2982,
  [12718] = 9053,
  [12719] = 12111,
  [12720] = 4633,
  [12721] = 12721,
  [12722] = 9041,
  [12723] = 8853,
  [12724] = 8788,
  [12725] = 12725,
  [12726] = 12061,
  [12727] = 12727,
  [12728] = 12728,
  [12729] = 12729,
  [12730] = 12064,
  [12731] = 12731,
  [12732] = 4672,
  [12733] = 12677,
  [12734] = 12686,
  [12735] = 4661,
  [12736] = 12686,
  [12737] = 12685,
  [12738] = 5450,
  [12739] = 12685,
  [12740] = 12740,
  [12741] = 5426,
  [12742] = 12742,
  [12743] = 5426,
  [12744] = 12744,
  [12745] = 8786,
  [12746] = 9210,
  [12747] = 8785,
  [12748] = 12677,
  [12749] = 8857,
  [12750] = 12750,
  [12751] = 12751,
  [12752] = 11026,
  [12753] = 12753,
  [12754] = 12751,
  [12755] = 11025,
  [12756] = 12751,
  [12757] = 11024,
  [12758] = 12751,
  [12759] = 12750,
  [12760] = 7382,
  [12761] = 7381,
  [12762] = 12762,
  [12763] = 12763,
  [12764] = 12751,
  [12765] = 12765,
  [12766] = 12750,
  [12767] = 7379,
  [12768] = 12768,
  [12769] = 12750,
  [12770] = 12770,
  [12771] = 12750,
  [12772] = 12750,
  [12773] = 12773,
  [12774] = 12750,
  [12775] = 12775,
  [12776] = 7384,
  [12777] = 12777,
  [12778] = 12751,
  [12779] = 7385,
  [12780] = 11023,
  [12781] = 12750,
  [12782] = 11021,
  [12783] = 11020,
  [12784] = 12750,
  [12785] = 12751,
  [12786] = 10884,
  [12787] = 12750,
  [12788] = 12788,
  [12789] = 12751,
  [12790] = 12790,
  [12791] = 12751,
  [12792] = 12751,
  [12793] = 12750,
  [12794] = 12750,
  [12795] = 12795,
  [12796] = 7364,
  [12797] = 12797,
  [12798] = 12798,
  [12799] = 12790,
  [12800] = 12751,
  [12801] = 12751,
  [12802] = 12750,
  [12803] = 12750,
  [12804] = 12751,
  [12805] = 12750,
  [12806] = 12806,
  [12807] = 12751,
  [12808] = 12751,
  [12809] = 12809,
  [12810] = 5484,
  [12811] = 12750,
  [12812] = 12812,
  [12813] = 12813,
  [12814] = 12751,
  [12815] = 12751,
  [12816] = 12816,
  [12817] = 12750,
  [12818] = 12818,
  [12819] = 12819,
  [12820] = 12820,
  [12821] = 12750,
  [12822] = 12822,
  [12823] = 12823,
  [12824] = 12824,
  [12825] = 12825,
  [12826] = 12826,
  [12827] = 12827,
  [12828] = 10898,
  [12829] = 12751,
  [12830] = 12830,
  [12831] = 12831,
  [12832] = 12832,
  [12833] = 12750,
  [12834] = 12834,
  [12835] = 12835,
  [12836] = 12751,
  [12837] = 12837,
  [12838] = 12750,
  [12839] = 12839,
  [12840] = 12751,
  [12841] = 12841,
  [12842] = 12842,
  [12843] = 12751,
  [12844] = 12844,
  [12845] = 12845,
  [12846] = 7415,
  [12847] = 12750,
  [12848] = 12848,
  [12849] = 12750,
  [12850] = 12850,
  [12851] = 12851,
  [12852] = 12750,
  [12853] = 12853,
  [12854] = 12854,
  [12855] = 12750,
  [12856] = 12856,
  [12857] = 12750,
  [12858] = 12751,
  [12859] = 4661,
  [12860] = 12860,
  [12861] = 12861,
  [12862] = 12862,
  [12863] = 12751,
  [12864] = 12750,
  [12865] = 12751,
  [12866] = 5486,
  [12867] = 12867,
  [12868] = 12868,
  [12869] = 2959,
  [12870] = 12751,
  [12871] = 12871,
  [12872] = 12872,
  [12873] = 12873,
  [12874] = 12750,
  [12875] = 12875,
  [12876] = 12790,
  [12877] = 7389,
  [12878] = 7378,
  [12879] = 12879,
  [12880] = 12880,
  [12881] = 7344,
  [12882] = 7400,
  [12883] = 12750,
  [12884] = 12884,
  [12885] = 12750,
  [12886] = 5483,
  [12887] = 12750,
  [12888] = 12750,
  [12889] = 12889,
  [12890] = 12751,
  [12891] = 12751,
  [12892] = 12818,
  [12893] = 12893,
  [12894] = 12788,
  [12895] = 12895,
  [12896] = 4821,
  [12897] = 12751,
  [12898] = 12898,
  [12899] = 12751,
  [12900] = 5481,
  [12901] = 12750,
  [12902] = 12751,
  [12903] = 12751,
  [12904] = 12904,
  [12905] = 12750,
  [12906] = 12906,
  [12907] = 12907,
  [12908] = 12751,
  [12909] = 12750,
  [12910] = 12750,
  [12911] = 8816,
  [12912] = 12751,
  [12913] = 12751,
  [12914] = 12790,
  [12915] = 4633,
  [12916] = 12751,
  [12917] = 12750,
  [12918] = 12751,
  [12919] = 12751,
  [12920] = 12920,
  [12921] = 12921,
  [12922] = 12922,
  [12923] = 7375,
  [12924] = 12750,
  [12925] = 12925,
  [12926] = 4672,
  [12927] = 12927,
  [12928] = 12928,
  [12929] = 7374,
  [12930] = 12750,
  [12931] = 7370,
  [12932] = 12932,
  [12933] = 7368,
  [12934] = 7359,
  [12935] = 12751,
  [12936] = 12936,
  [12937] = 12937,
  [12938] = 12938,
  [12939] = 5448,
  [12940] = 12940,
  [12941] = 12818,
  [12942] = 9681,
  [12943] = 12943,
  [12944] = 12944,
  [12945] = 12945,
  [12946] = 12946,
  [12947] = 12947,
  [12948] = 12948,
  [12949] = 12750,
  [12950] = 7412,
  [12951] = 9178,
  [12952] = 12952,
  [12953] = 12751,
  [12954] = 12750,
  [12955] = 12751,
  [12956] = 7350,
  [12957] = 5390,
  [12958] = 12750,
  [12959] = 12751,
  [12960] = 7349,
  [12961] = 12961,
  [12962] = 12962,
  [12963] = 9192,
  [12964] = 12750,
  [12965] = 12818,
  [12966] = 12751,
  [12967] = 2986,
  [12968] = 8912,
  [12969] = 12645,
  [12970] = 12970,
  [12971] = 12971,
  [12972] = 8878,
  [12973] = 8771,
  [12974] = 12064,
  [12975] = 12111,
  [12976] = 8177,
  [12977] = 12061,
  [12978] = 8759,
  [12979] = 12979,
  [12980] = 9054,
  [12981] = 9053,
  [12982] = 9050,
  [12983] = 12983,
  [12984] = 9028,
  [12985] = 8864,
  [12986] = 12986,
  [12987] = 9012,
  [12988] = 9002,
  [12989] = 12989,
  [12990] = 4821,
  [12991] = 12991,
  [12992] = 9000,
  [12993] = 8993,
  [12994] = 2985,
  [12995] = 8332,
  [12996] = 12996,
  [12997] = 12997,
  [12998] = 2983,
  [12999] = 2982,
  [13000] = 8901,
  [13001] = 8729,
  [13002] = 8983,
  [13003] = 8763,
  [13004] = 8985,
  [13005] = 8871,
  [13006] = 9099,
  [13007] = 8887,
  [13008] = 8885,
  [13009] = 9986,
  [13010] = 13010,
  [13011] = 9041,
  [13012] = 8981,
  [13013] = 5450,
  [13014] = 8936,
  [13015] = 5426,
  [13016] = 8881,
  [13017] = 8882,
  [13018] = 8932,
  [13019] = 8896,
  [13020] = 2952,
  [13021] = 9652,
  [13022] = 9801,
  [13023] = 8919,
  [13024] = 2964,
  [13025] = 8804,
  [13026] = 8940,
  [13027] = 8808,
  [13028] = 13028,
  [13029] = 9777,
  [13030] = 9863,
  [13031] = 8796,
  [13032] = 8943,
  [13033] = 8797,
  [13034] = 8968,
  [13035] = 8787,
  [13036] = 8790,
  [13037] = 8805,
  [13038] = 8789,
  [13039] = 13028,
  [13040] = 8795,
  [13041] = 13041,
  [13042] = 9681,
  [13043] = 8996,
  [13044] = 9234,
  [13045] = 8998,
  [13046] = 9760,
  [13047] = 13047,
  [13048] = 13048,
  [13049] = 13049,
  [13050] = 13050,
  [13051] = 13041,
  [13052] = 5346,
  [13053] = 13028,
  [13054] = 8791,
  [13055] = 13028,
  [13056] = 8794,
  [13057] = 13041,
  [13058] = 13058,
  [13059] = 8177,
  [13060] = 13041,
  [13061] = 8806,
  [13062] = 9959,
  [13063] = 13063,
  [13064] = 13063,
  [13065] = 13065,
  [13066] = 13066,
  [13067] = 13063,
  [13068] = 13066,
  [13069] = 13069,
  [13070] = 13066,
  [13071] = 13063,
  [13072] = 13063,
  [13073] = 9016,
  [13074] = 13063,
  [13075] = 13066,
  [13076] = 8763,
  [13077] = 8995,
  [13078] = 13066,
  [13079] = 13063,
  [13080] = 13063,
  [13081] = 13081,
  [13082] = 8984,
  [13083] = 13066,
  [13084] = 13066,
  [13085] = 13063,
  [13086] = 13066,
  [13087] = 8788,
  [13088] = 13066,
  [13089] = 5380,
  [13090] = 5382,
  [13091] = 13063,
  [13092] = 13066,
  [13093] = 5383,
  [13094] = 5412,
  [13095] = 13069,
  [13096] = 13066,
  [13097] = 13063,
  [13098] = 13066,
  [13099] = 13099,
  [13100] = 9254,
  [13101] = 8877,
  [13102] = 13099,
  [13103] = 13063,
  [13104] = 5389,
  [13105] = 13066,
  [13106] = 13066,
  [13107] = 13063,
  [13108] = 5394,
  [13109] = 5408,
  [13110] = 13063,
  [13111] = 5409,
  [13112] = 9118,
  [13113] = 13066,
  [13114] = 13081,
  [13115] = 13115,
  [13116] = 13063,
  [13117] = 13081,
  [13118] = 13063,
  [13119] = 8763,
  [13120] = 13063,
  [13121] = 13099,
  [13122] = 13066,
  [13123] = 13066,
  [13124] = 13081,
  [13125] = 13099,
  [13126] = 13065,
  [13127] = 13063,
  [13128] = 13066,
  [13129] = 13063,
  [13130] = 13063,
  [13131] = 10053,
  [13132] = 5437,
  [13133] = 5438,
  [13134] = 13063,
  [13135] = 13063,
  [13136] = 5440,
  [13137] = 5441,
  [13138] = 5442,
  [13139] = 13063,
  [13140] = 13063,
  [13141] = 13081,
  [13142] = 13081,
  [13143] = 5445,
  [13144] = 13066,
  [13145] = 5449,
  [13146] = 13063,
  [13147] = 13066,
  [13148] = 13065,
  [13149] = 13063,
  [13150] = 13063,
  [13151] = 13063,
  [13152] = 13066,
  [13153] = 13066,
  [13154] = 13066,
  [13155] = 13099,
  [13156] = 13115,
  [13157] = 13063,
  [13158] = 5393,
  [13159] = 13065,
  [13160] = 9182,
  [13161] = 13066,
  [13162] = 13063,
  [13163] = 5469,
  [13164] = 13063,
  [13165] = 13063,
  [13166] = 13069,
  [13167] = 13063,
  [13168] = 13066,
  [13169] = 13063,
  [13170] = 13066,
  [13171] = 13171,
  [13172] = 13066,
  [13173] = 13063,
  [13174] = 5458,
  [13175] = 5459,
  [13176] = 13063,
  [13177] = 9986,
  [13178] = 13081,
  [13179] = 13066,
  [13180] = 13063,
  [13181] = 5482,
  [13182] = 13063,
  [13183] = 13063,
  [13184] = 9949,
  [13185] = 13099,
  [13186] = 13063,
  [13187] = 13115,
  [13188] = 13063,
  [13189] = 5493,
  [13190] = 13066,
  [13191] = 13066,
  [13192] = 13063,
  [13193] = 5492,
  [13194] = 5377,
  [13195] = 5490,
  [13196] = 13063,
  [13197] = 13099,
  [13198] = 13063,
  [13199] = 13069,
  [13200] = 13063,
  [13201] = 13066,
  [13202] = 13063,
  [13203] = 13081,
  [13204] = 9057,
  [13205] = 13081,
  [13206] = 5487,
  [13207] = 5461,
  [13208] = 13066,
  [13209] = 13081,
  [13210] = 2954,
  [13211] = 13063,
  [13212] = 13066,
  [13213] = 2965,
  [13214] = 5485,
  [13215] = 13066,
  [13216] = 13066,
  [13217] = 13217,
  [13218] = 13066,
  [13219] = 13066,
  [13220] = 13063,
  [13221] = 13063,
  [13222] = 13063,
  [13223] = 13066,
  [13224] = 9465,
  [13225] = 13115,
  [13226] = 13063,
  [13227] = 13066,
  [13228] = 9461,
  [13229] = 13229,
  [13230] = 13063,
  [13231] = 13063,
  [13232] = 13081,
  [13233] = 13066,
  [13234] = 13063,
  [13235] = 13066,
  [13236] = 13115,
  [13237] = 13066,
  [13238] = 9210,
  [13239] = 13063,
  [13240] = 13063,
  [13241] = 13066,
  [13242] = 13242,
  [13243] = 13243,
  [13244] = 13243,
  [13245] = 13242,
  [13246] = 13246,
  [13247] = 13247,
  [13248] = 13248,
  [13249] = 13243,
  [13250] = 13242,
  [13251] = 13251,
  [13252] = 13251,
  [13253] = 13242,
  [13254] = 13242,
  [13255] = 13243,
  [13256] = 9777,
  [13257] = 13243,
  [13258] = 13242,
  [13259] = 13243,
  [13260] = 10191,
  [13261] = 13242,
  [13262] = 13243,
  [13263] = 13243,
  [13264] = 13242,
  [13265] = 13265,
  [13266] = 9760,
  [13267] = 10221,
  [13268] = 2903,
  [13269] = 13242,
  [13270] = 13243,
  [13271] = 13242,
  [13272] = 13272,
  [13273] = 13243,
  [13274] = 13242,
  [13275] = 13243,
  [13276] = 13243,
  [13277] = 13248,
  [13278] = 13242,
  [13279] = 13243,
  [13280] = 13251,
  [13281] = 13242,
  [13282] = 13282,
  [13283] = 10340,
  [13284] = 13243,
  [13285] = 13242,
  [13286] = 13242,
  [13287] = 13243,
  [13288] = 13243,
  [13289] = 13248,
  [13290] = 13243,
  [13291] = 9801,
  [13292] = 13242,
  [13293] = 9652,
  [13294] = 13242,
  [13295] = 13242,
  [13296] = 13248,
  [13297] = 9262,
  [13298] = 13243,
  [13299] = 13251,
  [13300] = 13248,
  [13301] = 9681,
  [13302] = 13243,
  [13303] = 13242,
  [13304] = 13242,
  [13305] = 13243,
  [13306] = 13243,
  [13307] = 9863,
  [13308] = 13308,
  [13309] = 9334,
  [13310] = 13248,
  [13311] = 13251,
  [13312] = 2909,
  [13313] = 13243,
  [13314] = 13242,
  [13315] = 13242,
  [13316] = 13316,
  [13317] = 13317,
  [13318] = 13318,
  [13319] = 13319,
  [13320] = 13320,
  [13321] = 13321,
  [13322] = 9054,
  [13323] = 12061,
  [13324] = 12064,
  [13325] = 2963,
  [13326] = 13326,
  [13327] = 13316,
  [13328] = 2961,
  [13329] = 9053,
  [13330] = 13316,
  [13331] = 13316,
  [13332] = 13319,
  [13333] = 9050,
  [13334] = 13334,
  [13335] = 13319,
  [13336] = 13336,
  [13337] = 13317,
  [13338] = 9028,
  [13339] = 13317,
  [13340] = 13316,
  [13341] = 13050,
  [13342] = 13049,
  [13343] = 13048,
  [13344] = 13336,
  [13345] = 13319,
  [13346] = 13346,
  [13347] = 13326,
  [13348] = 13348,
  [13349] = 13316,
  [13350] = 2972,
  [13351] = 9099,
  [13352] = 13352,
  [13353] = 9012,
  [13354] = 13354,
  [13355] = 13355,
  [13356] = 13319,
  [13357] = 13319,
  [13358] = 13358,
  [13359] = 2958,
  [13360] = 9002,
  [13361] = 13361,
  [13362] = 13319,
  [13363] = 13363,
  [13364] = 13317,
  [13365] = 13365,
  [13366] = 13316,
  [13367] = 9000,
  [13368] = 13316,
  [13369] = 13363,
  [13370] = 13370,
  [13371] = 13319,
  [13372] = 5443,
  [13373] = 13316,
  [13374] = 13316,
  [13375] = 13361,
  [13376] = 13047,
  [13377] = 13319,
  [13378] = 13317,
  [13379] = 5444,
  [13380] = 13317,
  [13381] = 13326,
  [13382] = 13358,
  [13383] = 13355,
  [13384] = 13354,
  [13385] = 5446,
  [13386] = 13352,
  [13387] = 13348,
  [13388] = 13336,
  [13389] = 13326,
  [13390] = 13346,
  [13391] = 13336,
  [13392] = 5268,
  [13393] = 13319,
  [13394] = 13346,
  [13395] = 13361,
  [13396] = 13317,
  [13397] = 13317,
  [13398] = 8912,
  [13399] = 13319,
  [13400] = 13319,
  [13401] = 13370,
  [13402] = 2953,
  [13403] = 13403,
  [13404] = 2951,
  [13405] = 2950,
  [13406] = 13403,
  [13407] = 8901,
  [13408] = 13317,
  [13409] = 13363,
  [13410] = 8871,
  [13411] = 13319,
  [13412] = 13354,
  [13413] = 13316,
  [13414] = 13316,
  [13415] = 13319,
  [13416] = 13316,
  [13417] = 13316,
  [13418] = 13319,
  [13419] = 13316,
  [13420] = 5270,
  [13421] = 13421,
  [13422] = 8864,
  [13423] = 13355,
  [13424] = 13358,
  [13425] = 13358,
  [13426] = 13316,
  [13427] = 13355,
  [13428] = 13428,
  [13429] = 13354,
  [13430] = 13321,
  [13431] = 13352,
  [13432] = 13316,
  [13433] = 13361,
  [13434] = 13348,
  [13435] = 13346,
  [13436] = 13316,
  [13437] = 8993,
  [13438] = 13319,
  [13439] = 13317,
  [13440] = 13317,
  [13441] = 13316,
  [13442] = 13442,
  [13443] = 8887,
  [13444] = 13316,
  [13445] = 13319,
  [13446] = 13370,
  [13447] = 13336,
  [13448] = 13403,
  [13449] = 13421,
  [13450] = 8885,
  [13451] = 13058,
  [13452] = 13317,
  [13453] = 8878,
  [13454] = 8881,
  [13455] = 8882,
  [13456] = 8896,
  [13457] = 13319,
  [13458] = 13336,
  [13459] = 13317,
  [13460] = 8932,
  [13461] = 8936,
  [13462] = 8981,
  [13463] = 13316,
  [13464] = 5346,
  [13465] = 13319,
  [13466] = 13317,
  [13467] = 13403,
  [13468] = 13421,
  [13469] = 13319,
  [13470] = 9959,
  [13471] = 9730,
  [13472] = 13317,
  [13473] = 9714,
  [13474] = 13316,
  [13475] = 9949,
  [13476] = 8983,
  [13477] = 9727,
  [13478] = 2964,
  [13479] = 13326,
  [13480] = 13319,
  [13481] = 2952,
  [13482] = 9503,
  [13483] = 2973,
  [13484] = 13316,
  [13485] = 13317,
  [13486] = 10053,
  [13487] = 9751,
  [13488] = 13361,
  [13489] = 13489,
  [13490] = 13370,
  [13491] = 13363,
  [13492] = 13319,
  [13493] = 13316,
  [13494] = 8985,
  [13495] = 13316,
  [13496] = 13358,
  [13497] = 13319,
  [13498] = 9782,
  [13499] = 9788,
  [13500] = 13355,
  [13501] = 9334,
  [13502] = 13354,
  [13503] = 13317,
  [13504] = 13370,
  [13505] = 13403,
  [13506] = 13421,
  [13507] = 13507,
  [13508] = 13352,
  [13509] = 12111,
  [13510] = 13348,
  [13511] = 13511,
  [13512] = 13319,
  [13513] = 13513,
  [13514] = 9499,
  [13515] = 13320,
  [13516] = 13317,
  [13517] = 13316,
  [13518] = 9041,
  [13519] = 13319,
  [13520] = 13317,
  [13521] = 13319,
  [13522] = 9986,
  [13523] = 13316,
  [13524] = 13524,
  [13525] = 12645,
  [13526] = 13319,
  [13527] = 13346,
  [13528] = 13348,
  [13529] = 13361,
  [13530] = 3154,
  [13531] = 10550,
  [13532] = 13317,
  [13533] = 9694,
  [13534] = 13316,
  [13535] = 13319,
  [13536] = 13352,
  [13537] = 9937,
  [13538] = 13370,
  [13539] = 10585,
  [13540] = 13363,
  [13541] = 13370,
  [13542] = 13428,
  [13543] = 13317,
  [13544] = 13428,
  [13545] = 9757,
  [13546] = 13316,
  [13547] = 13547,
  [13548] = 13319,
  [13549] = 13318,
  [13550] = 13403,
  [13551] = 3035,
  [13552] = 13316,
  [13553] = 13421,
  [13554] = 13554,
  [13555] = 13354,
  [13556] = 13319,
  [13557] = 13317,
  [13558] = 13317,
  [13559] = 13355,
  [13560] = 13316,
  [13561] = 13358,
  [13562] = 13321,
  [13563] = 13326,
  [13564] = 13319,
  [13565] = 13316,
  [13566] = 13361,
  [13567] = 13363,
  [13568] = 13319,
  [13569] = 9556,
  [13570] = 13317,
  [13571] = 13319,
  [13572] = 10469,
  [13573] = 9473,
  [13574] = 13316,
  [13575] = 9466,
  [13576] = 13421,
  [13577] = 13316,
  [13578] = 13403,
  [13579] = 13346,
  [13580] = 13348,
  [13581] = 13352,
  [13582] = 13354,
  [13583] = 13355,
  [13584] = 13316,
  [13585] = 13585,
  [13586] = 13319,
  [13587] = 13317,
  [13588] = 13358,
  [13589] = 13319,
  [13590] = 13336,
  [13591] = 10029,
  [13592] = 13318,
  [13593] = 13321,
  [13594] = 13358,
  [13595] = 13319,
  [13596] = 13318,
  [13597] = 13403,
  [13598] = 13355,
  [13599] = 13421,
  [13600] = 13316,
  [13601] = 13317,
  [13602] = 13319,
  [13603] = 13354,
  [13604] = 13320,
  [13605] = 13363,
  [13606] = 9514,
  [13607] = 13361,
  [13608] = 13317,
  [13609] = 13317,
  [13610] = 13319,
  [13611] = 9553,
  [13612] = 10563,
  [13613] = 9821,
  [13614] = 13318,
  [13615] = 13316,
  [13616] = 13316,
  [13617] = 13319,
  [13618] = 12683,
  [13619] = 13326,
  [13620] = 13316,
  [13621] = 13316,
  [13622] = 13336,
  [13623] = 13319,
  [13624] = 13547,
  [13625] = 13352,
  [13626] = 13317,
  [13627] = 13316,
  [13628] = 13319,
  [13629] = 13317,
  [13630] = 13348,
  [13631] = 13346,
  [13632] = 9510,
  [13633] = 9928,
  [13634] = 13547,
  [13635] = 13320,
  [13636] = 2986,
  [13637] = 13319,
  [13638] = 13370,
  [13639] = 13316,
  [13640] = 13547,
  [13641] = 13428,
  [13642] = 13316,
  [13643] = 13317,
  [13644] = 13319,
  [13645] = 13316,
  [13646] = 13319,
  [13647] = 2982,
  [13648] = 13648,
  [13649] = 2983,
  [13650] = 13317,
  [13651] = 2985,
  [13652] = 13652,
  [13653] = 7415,
  [13654] = 13654,
  [13655] = 13654,
  [13656] = 13656,
  [13657] = 13657,
  [13658] = 13657,
  [13659] = 13659,
  [13660] = 13656,
  [13661] = 13659,
  [13662] = 13652,
  [13663] = 13652,
  [13664] = 13657,
  [13665] = 13652,
  [13666] = 13656,
  [13667] = 13667,
  [13668] = 13656,
  [13669] = 13669,
  [13670] = 13654,
  [13671] = 13659,
  [13672] = 13656,
  [13673] = 13654,
  [13674] = 13657,
  [13675] = 13654,
  [13676] = 13654,
  [13677] = 13652,
  [13678] = 13652,
  [13679] = 13657,
  [13680] = 13669,
  [13681] = 13659,
  [13682] = 13657,
  [13683] = 13652,
  [13684] = 13654,
  [13685] = 13656,
  [13686] = 13652,
  [13687] = 13657,
  [13688] = 13652,
  [13689] = 13659,
  [13690] = 13669,
  [13691] = 13659,
  [13692] = 13657,
  [13693] = 13659,
  [13694] = 13659,
  [13695] = 13659,
  [13696] = 13659,
  [13697] = 13652,
  [13698] = 13654,
  [13699] = 13657,
  [13700] = 13669,
  [13701] = 13701,
  [13702] = 13656,
  [13703] = 13659,
  [13704] = 13656,
  [13705] = 13657,
  [13706] = 13656,
  [13707] = 13654,
  [13708] = 13656,
  [13709] = 13659,
  [13710] = 13654,
  [13711] = 13711,
  [13712] = 13652,
  [13713] = 13713,
  [13714] = 13657,
  [13715] = 13652,
  [13716] = 13654,
  [13717] = 13656,
  [13718] = 13718,
  [13719] = 13654,
  [13720] = 13720,
  [13721] = 13654,
  [13722] = 13656,
  [13723] = 13657,
  [13724] = 13657,
  [13725] = 13657,
  [13726] = 13652,
  [13727] = 13652,
  [13728] = 13656,
  [13729] = 13659,
  [13730] = 13654,
  [13731] = 13654,
  [13732] = 13656,
  [13733] = 13654,
  [13734] = 13656,
  [13735] = 13652,
  [13736] = 13659,
  [13737] = 13657,
  [13738] = 13656,
  [13739] = 13657,
  [13740] = 13654,
  [13741] = 13654,
  [13742] = 13656,
  [13743] = 13659,
  [13744] = 13654,
  [13745] = 13652,
  [13746] = 13654,
  [13747] = 13659,
  [13748] = 13652,
  [13749] = 13657,
  [13750] = 2954,
  [13751] = 2959,
  [13752] = 13659,
  [13753] = 13656,
  [13754] = 13656,
  [13755] = 13659,
  [13756] = 13659,
  [13757] = 2965,
  [13758] = 13654,
  [13759] = 13654,
  [13760] = 13656,
  [13761] = 3035,
  [13762] = 13657,
  [13763] = 3154,
  [13764] = 2974,
  [13765] = 13659,
  [13766] = 13659,
  [13767] = 2967,
  [13768] = 13654,
  [13769] = 13657,
  [13770] = 2971,
  [13771] = 13711,
  [13772] = 13652,
  [13773] = 13652,
  [13774] = 13656,
  [13775] = 2970,
  [13776] = 13652,
  [13777] = 13652,
  [13778] = 13652,
  [13779] = 13657,
  [13780] = 2969,
  [13781] = 2960,
  [13782] = 13656,
  [13783] = 13654,
  [13784] = 13657,
  [13785] = 9984,
  [13786] = 13659,
  [13787] = 9961,
  [13788] = 13657,
  [13789] = 13656,
  [13790] = 13652,
  [13791] = 13659,
  [13792] = 5486,
  [13793] = 10340,
  [13794] = 13657,
  [13795] = 13659,
  [13796] = 5484,
  [13797] = 13652,
  [13798] = 5483,
  [13799] = 13657,
  [13800] = 13656,
  [13801] = 13654,
  [13802] = 13652,
  [13803] = 13657,
  [13804] = 13659,
  [13805] = 13654,
  [13806] = 9638,
  [13807] = 5481,
  [13808] = 13657,
  [13809] = 13659,
  [13810] = 5390,
  [13811] = 13654,
  [13812] = 13652,
  [13813] = 13656,
  [13814] = 5458,
  [13815] = 13657,
  [13816] = 13656,
  [13817] = 13656,
  [13818] = 13656,
  [13819] = 5485,
  [13820] = 13654,
  [13821] = 7412,
  [13822] = 13659,
  [13823] = 5487,
  [13824] = 13652,
  [13825] = 13656,
  [13826] = 13659,
  [13827] = 7400,
  [13828] = 7344,
  [13829] = 7378,
  [13830] = 13659,
  [13831] = 7389,
  [13832] = 5490,
  [13833] = 13652,
  [13834] = 13834,
  [13835] = 13657,
  [13836] = 13654,
  [13837] = 13652,
  [13838] = 13656,
  [13839] = 13654,
  [13840] = 13654,
  [13841] = 13657,
  [13842] = 13659,
  [13843] = 5377,
  [13844] = 5492,
  [13845] = 10221,
  [13846] = 5493,
  [13847] = 13847,
  [13848] = 7385,
  [13849] = 13659,
  [13850] = 7384,
  [13851] = 13656,
  [13852] = 7382,
  [13853] = 13853,
  [13854] = 13652,
  [13855] = 13855,
  [13856] = 7381,
  [13857] = 13857,
  [13858] = 13654,
  [13859] = 13656,
  [13860] = 13860,
  [13861] = 7379,
  [13862] = 13657,
  [13863] = 13656,
  [13864] = 13657,
  [13865] = 5482,
  [13866] = 5469,
  [13867] = 13654,
  [13868] = 13654,
  [13869] = 13713,
  [13870] = 5461,
  [13871] = 5459,
  [13872] = 13659,
  [13873] = 13657,
  [13874] = 13657,
  [13875] = 13652,
  [13876] = 10191,
  [13877] = 13657,
  [13878] = 5408,
  [13879] = 13879,
  [13880] = 13652,
  [13881] = 13881,
  [13882] = 13656,
  [13883] = 13652,
  [13884] = 7375,
  [13885] = 7374,
  [13886] = 13652,
  [13887] = 7370,
  [13888] = 13654,
  [13889] = 7368,
  [13890] = 13657,
  [13891] = 13654,
  [13892] = 7359,
  [13893] = 5449,
  [13894] = 13659,
  [13895] = 5448,
  [13896] = 13659,
  [13897] = 5446,
  [13898] = 13652,
  [13899] = 5445,
  [13900] = 13659,
  [13901] = 5444,
  [13902] = 13659,
  [13903] = 5443,
  [13904] = 13652,
  [13905] = 13656,
  [13906] = 13659,
  [13907] = 13657,
  [13908] = 12798,
  [13909] = 5442,
  [13910] = 5441,
  [13911] = 12797,
  [13912] = 13654,
  [13913] = 5440,
  [13914] = 5438,
  [13915] = 13656,
  [13916] = 5437,
  [13917] = 13656,
  [13918] = 13652,
  [13919] = 13659,
  [13920] = 13657,
  [13921] = 13656,
  [13922] = 13654,
  [13923] = 7349,
  [13924] = 13652,
  [13925] = 13657,
  [13926] = 10184,
  [13927] = 13058,
  [13928] = 12961,
  [13929] = 7350,
  [13930] = 12962,
  [13931] = 12927,
  [13932] = 5409,
  [13933] = 13657,
  [13934] = 5394,
  [13935] = 13654,
  [13936] = 13656,
  [13937] = 13659,
  [13938] = 5393,
  [13939] = 13657,
  [13940] = 5389,
  [13941] = 13654,
  [13942] = 13654,
  [13943] = 13652,
  [13944] = 7364,
  [13945] = 10397,
  [13946] = 5443,
  [13947] = 5444,
  [13948] = 5446,
  [13949] = 13652,
  [13950] = 13050,
  [13951] = 12928,
  [13952] = 13049,
  [13953] = 13048,
  [13954] = 13659,
  [13955] = 12925,
  [13956] = 13047,
  [13957] = 12921,
  [13958] = 13656,
  [13959] = 7365,
  [13960] = 5412,
  [13961] = 13654,
  [13962] = 13659,
  [13963] = 13652,
  [13964] = 13656,
  [13965] = 13853,
  [13966] = 10284,
  [13967] = 10158,
  [13968] = 5383,
  [13969] = 5382,
  [13970] = 13659,
  [13971] = 13857,
  [13972] = 12777,
  [13973] = 5380,
  [13974] = 10165,
  [13975] = 13657,
  [13976] = 10330,
  [13977] = 10212,
  [13978] = 13652,
  [13979] = 13657,
  [13980] = 10189,
  [13981] = 10353,
  [13982] = 10352,
  [13983] = 10195,
  [13984] = 13656,
  [13985] = 13985,
  [13986] = 13986,
  [13987] = 13987,
  [13988] = 10549,
  [13989] = 10540,
  [13990] = 10622,
  [13991] = 13991,
  [13992] = 10618,
  [13993] = 13993,
  [13994] = 13994,
  [13995] = 13994,
  [13996] = 13996,
  [13997] = 10722,
  [13998] = 13987,
  [13999] = 13993,
  [14000] = 14000,
  [14001] = 13993,
  [14002] = 13991,
  [14003] = 9638,
  [14004] = 14000,
  [14005] = 10655,
  [14006] = 13993,
  [14007] = 13991,
  [14008] = 10214,
  [14009] = 13986,
  [14010] = 13994,
  [14011] = 14011,
  [14012] = 13994,
  [14013] = 13987,
  [14014] = 13991,
  [14015] = 13993,
  [14016] = 13993,
  [14017] = 10229,
  [14018] = 9822,
  [14019] = 10238,
  [14020] = 14020,
  [14021] = 13996,
  [14022] = 13991,
  [14023] = 13994,
  [14024] = 13993,
  [14025] = 13993,
  [14026] = 13987,
  [14027] = 13987,
  [14028] = 13993,
  [14029] = 13993,
  [14030] = 14030,
  [14031] = 13996,
  [14032] = 14032,
  [14033] = 14020,
  [14034] = 13996,
  [14035] = 13994,
  [14036] = 13991,
  [14037] = 13991,
  [14038] = 14038,
  [14039] = 14039,
  [14040] = 13987,
  [14041] = 13993,
  [14042] = 14042,
  [14043] = 14043,
  [14044] = 13994,
  [14045] = 13986,
  [14046] = 14020,
  [14047] = 13985,
  [14048] = 13994,
  [14049] = 13993,
  [14050] = 13991,
  [14051] = 13987,
  [14052] = 14052,
  [14053] = 13986,
  [14054] = 14054,
  [14055] = 13996,
  [14056] = 13993,
  [14057] = 10550,
  [14058] = 13994,
  [14059] = 13985,
  [14060] = 13987,
  [14061] = 13993,
  [14062] = 14020,
  [14063] = 13993,
  [14064] = 14064,
  [14065] = 13993,
  [14066] = 14020,
  [14067] = 13991,
  [14068] = 13987,
  [14069] = 14069,
  [14070] = 13985,
  [14071] = 14000,
  [14072] = 13991,
  [14073] = 14073,
  [14074] = 14011,
  [14075] = 14075,
  [14076] = 13991,
  [14077] = 13991,
  [14078] = 13993,
  [14079] = 13994,
  [14080] = 13994,
  [14081] = 13987,
  [14082] = 13985,
  [14083] = 13993,
  [14084] = 14000,
  [14085] = 13987,
  [14086] = 14011,
  [14087] = 13993,
  [14088] = 14088,
  [14089] = 13993,
  [14090] = 10469,
  [14091] = 14091,
  [14092] = 13994,
  [14093] = 13994,
  [14094] = 13987,
  [14095] = 13993,
  [14096] = 14096,
  [14097] = 14097,
  [14098] = 13994,
  [14099] = 13991,
  [14100] = 14100,
  [14101] = 14101,
  [14102] = 13987,
  [14103] = 13991,
  [14104] = 14104,
  [14105] = 14105,
  [14106] = 13993,
  [14107] = 13993,
  [14108] = 14020,
  [14109] = 14109,
  [14110] = 13993,
  [14111] = 13993,
  [14112] = 14112,
  [14113] = 13991,
  [14114] = 13987,
  [14115] = 13986,
  [14116] = 13991,
  [14117] = 13994,
  [14118] = 13993,
  [14119] = 13987,
  [14120] = 13993,
  [14121] = 14000,
  [14122] = 14011,
  [14123] = 13991,
  [14124] = 13994,
  [14125] = 14125,
  [14126] = 13991,
  [14127] = 13991,
  [14128] = 13991,
  [14129] = 14129,
  [14130] = 13991,
  [14131] = 13993,
  [14132] = 14129,
  [14133] = 10563,
  [14134] = 13994,
  [14135] = 14101,
  [14136] = 13987,
  [14137] = 14100,
  [14138] = 13987,
  [14139] = 13991,
  [14140] = 13994,
  [14141] = 13991,
  [14142] = 13991,
  [14143] = 14011,
  [14144] = 14000,
  [14145] = 14129,
  [14146] = 14069,
  [14147] = 13993,
  [14148] = 13991,
  [14149] = 14129,
  [14150] = 13996,
  [14151] = 14151,
  [14152] = 14129,
  [14153] = 13985,
  [14154] = 13986,
  [14155] = 13991,
  [14156] = 14156,
  [14157] = 14129,
  [14158] = 13986,
  [14159] = 13991,
  [14160] = 13985,
  [14161] = 13993,
  [14162] = 14032,
  [14163] = 13991,
  [14164] = 14164,
  [14165] = 13991,
  [14166] = 14166,
  [14167] = 13994,
  [14168] = 14000,
  [14169] = 14011,
  [14170] = 13991,
  [14171] = 14171,
  [14172] = 13991,
  [14173] = 13991,
  [14174] = 13993,
  [14175] = 13991,
  [14176] = 13987,
  [14177] = 13987,
  [14178] = 13993,
  [14179] = 13993,
  [14180] = 13986,
  [14181] = 13993,
  [14182] = 13993,
  [14183] = 13991,
  [14184] = 13993,
  [14185] = 13994,
  [14186] = 13991,
  [14187] = 13991,
  [14188] = 13993,
  [14189] = 13993,
  [14190] = 13993,
  [14191] = 13991,
  [14192] = 13991,
  [14193] = 13993,
  [14194] = 14101,
  [14195] = 14100,
  [14196] = 13991,
  [14197] = 13994,
  [14198] = 13987,
  [14199] = 13991,
  [14200] = 14011,
  [14201] = 14000,
  [14202] = 14202,
  [14203] = 14069,
  [14204] = 13987,
  [14205] = 13991,
  [14206] = 13991,
  [14207] = 13993,
  [14208] = 13987,
  [14209] = 13993,
  [14210] = 13994,
  [14211] = 14211,
  [14212] = 14212,
  [14213] = 14213,
  [14214] = 14214,
  [14215] = 14215,
  [14216] = 14216,
  [14217] = 14217,
  [14218] = 14218,
  [14219] = 14219,
  [14220] = 14220,
  [14221] = 14221,
  [14222] = 14222,
  [14223] = 14223,
  [14224] = 14224,
  [14225] = 14212,
  [14226] = 14213,
  [14227] = 14227,
  [14228] = 14212,
  [14229] = 14211,
  [14230] = 14230,
  [14231] = 14231,
  [14232] = 14212,
  [14233] = 14233,
  [14234] = 14234,
  [14235] = 14216,
  [14236] = 14218,
  [14237] = 14237,
  [14238] = 14214,
  [14239] = 14215,
  [14240] = 14217,
  [14241] = 14227,
  [14242] = 14242,
  [14243] = 14218,
  [14244] = 14244,
  [14245] = 14219,
  [14246] = 14220,
  [14247] = 14221,
  [14248] = 14234,
  [14249] = 14218,
  [14250] = 14222,
  [14251] = 14223,
  [14252] = 14233,
  [14253] = 14212,
  [14254] = 14231,
  [14255] = 14242,
  [14256] = 12921,
  [14257] = 14224,
  [14258] = 14213,
  [14259] = 14213,
  [14260] = 14227,
  [14261] = 14222,
  [14262] = 14230,
  [14263] = 14263,
  [14264] = 14211,
  [14265] = 14227,
  [14266] = 14227,
  [14267] = 14213,
  [14268] = 14230,
  [14269] = 14222,
  [14270] = 14224,
  [14271] = 14223,
  [14272] = 14242,
  [14273] = 14212,
  [14274] = 14233,
  [14275] = 14223,
  [14276] = 14234,
  [14277] = 14216,
  [14278] = 14222,
  [14279] = 14279,
  [14280] = 14237,
  [14281] = 14221,
  [14282] = 14220,
  [14283] = 14222,
  [14284] = 14219,
  [14285] = 14213,
  [14286] = 14214,
  [14287] = 14215,
  [14288] = 14217,
  [14289] = 14231,
  [14290] = 14218,
  [14291] = 14291,
  [14292] = 14219,
  [14293] = 14220,
  [14294] = 14218,
  [14295] = 14221,
  [14296] = 14222,
  [14297] = 14222,
  [14298] = 14218,
  [14299] = 14223,
  [14300] = 14217,
  [14301] = 14215,
  [14302] = 14214,
  [14303] = 14303,
  [14304] = 14224,
  [14305] = 14213,
  [14306] = 14306,
  [14307] = 14227,
  [14308] = 14216,
  [14309] = 14237,
  [14310] = 14212,
  [14311] = 14211,
  [14312] = 14213,
  [14313] = 14230,
  [14314] = 14212,
  [14315] = 14315,
  [14316] = 14242,
  [14317] = 14220,
  [14318] = 14219,
  [14319] = 14231,
  [14320] = 10090,
  [14321] = 14212,
  [14322] = 14212,
  [14323] = 14233,
  [14324] = 14234,
  [14325] = 14216,
  [14326] = 9999,
  [14327] = 14234,
  [14328] = 14237,
  [14329] = 14329,
  [14330] = 14330,
  [14331] = 14233,
  [14332] = 14214,
  [14333] = 14215,
  [14334] = 14217,
  [14335] = 14335,
  [14336] = 14218,
  [14337] = 14218,
  [14338] = 14338,
  [14339] = 14339,
  [14340] = 14340,
  [14341] = 14341,
  [14342] = 14219,
  [14343] = 14220,
  [14344] = 9985,
  [14345] = 14222,
  [14346] = 14335,
  [14347] = 14338,
  [14348] = 14339,
  [14349] = 14213,
  [14350] = 14212,
  [14351] = 14341,
  [14352] = 14223,
  [14353] = 14279,
  [14354] = 14218,
  [14355] = 14231,
  [14356] = 14224,
  [14357] = 14213,
  [14358] = 14227,
  [14359] = 10405,
  [14360] = 14222,
  [14361] = 14212,
  [14362] = 10408,
  [14363] = 14211,
  [14364] = 14335,
  [14365] = 14338,
  [14366] = 14339,
  [14367] = 10585,
  [14368] = 14230,
  [14369] = 14369,
  [14370] = 14341,
  [14371] = 14222,
  [14372] = 12928,
  [14373] = 14242,
  [14374] = 14231,
  [14375] = 14212,
  [14376] = 14233,
  [14377] = 14216,
  [14378] = 14369,
  [14379] = 14237,
  [14380] = 14218,
  [14381] = 14218,
  [14382] = 14215,
  [14383] = 14234,
  [14384] = 14214,
  [14385] = 14214,
  [14386] = 14215,
  [14387] = 14213,
  [14388] = 14234,
  [14389] = 14217,
  [14390] = 14335,
  [14391] = 14338,
  [14392] = 14339,
  [14393] = 14218,
  [14394] = 3104,
  [14395] = 14341,
  [14396] = 14330,
  [14397] = 14219,
  [14398] = 14220,
  [14399] = 12927,
  [14400] = 14222,
  [14401] = 14223,
  [14402] = 14335,
  [14403] = 12962,
  [14404] = 14338,
  [14405] = 12961,
  [14406] = 14339,
  [14407] = 14233,
  [14408] = 14212,
  [14409] = 14329,
  [14410] = 14212,
  [14411] = 14231,
  [14412] = 14212,
  [14413] = 14341,
  [14414] = 14237,
  [14415] = 14213,
  [14416] = 14227,
  [14417] = 14417,
  [14418] = 14315,
  [14419] = 11068,
  [14420] = 14420,
  [14421] = 14216,
  [14422] = 10863,
  [14423] = 14213,
  [14424] = 14212,
  [14425] = 14222,
  [14426] = 14234,
  [14427] = 10983,
  [14428] = 14242,
  [14429] = 14212,
  [14430] = 14233,
  [14431] = 14234,
  [14432] = 14216,
  [14433] = 14369,
  [14434] = 14237,
  [14435] = 10957,
  [14436] = 14222,
  [14437] = 14335,
  [14438] = 14218,
  [14439] = 11058,
  [14440] = 14338,
  [14441] = 14339,
  [14442] = 14214,
  [14443] = 14215,
  [14444] = 11057,
  [14445] = 14341,
  [14446] = 14217,
  [14447] = 14218,
  [14448] = 14231,
  [14449] = 14219,
  [14450] = 14220,
  [14451] = 11048,
  [14452] = 14222,
  [14453] = 14233,
  [14454] = 14223,
  [14455] = 14330,
  [14456] = 14335,
  [14457] = 10847,
  [14458] = 14213,
  [14459] = 14338,
  [14460] = 14339,
  [14461] = 14315,
  [14462] = 14227,
  [14463] = 14227,
  [14464] = 10826,
  [14465] = 10825,
  [14466] = 14341,
  [14467] = 14467,
  [14468] = 14242,
  [14469] = 11039,
  [14470] = 14231,
  [14471] = 14212,
  [14472] = 14222,
  [14473] = 14233,
  [14474] = 14234,
  [14475] = 11117,
  [14476] = 14213,
  [14477] = 14216,
  [14478] = 14212,
  [14479] = 14237,
  [14480] = 14329,
  [14481] = 14481,
  [14482] = 14218,
  [14483] = 14214,
  [14484] = 14215,
  [14485] = 14217,
  [14486] = 14218,
  [14487] = 14219,
  [14488] = 14213,
  [14489] = 14220,
  [14490] = 10892,
  [14491] = 14335,
  [14492] = 14222,
  [14493] = 14212,
  [14494] = 14338,
  [14495] = 14339,
  [14496] = 14223,
  [14497] = 14315,
  [14498] = 11356,
  [14499] = 14223,
  [14500] = 14217,
  [14501] = 14341,
  [14502] = 14213,
  [14503] = 14227,
  [14504] = 4633,
  [14505] = 4672,
  [14506] = 14231,
  [14507] = 14231,
  [14508] = 14212,
  [14509] = 14233,
  [14510] = 14222,
  [14511] = 14234,
  [14512] = 14216,
  [14513] = 14212,
  [14514] = 4661,
  [14515] = 14237,
  [14516] = 14417,
  [14517] = 14244,
  [14518] = 14214,
  [14519] = 14215,
  [14520] = 14315,
  [14521] = 14230,
  [14522] = 14522,
  [14523] = 14369,
  [14524] = 14217,
  [14525] = 14218,
  [14526] = 14219,
  [14527] = 14220,
  [14528] = 14212,
  [14529] = 14335,
  [14530] = 14420,
  [14531] = 14338,
  [14532] = 14339,
  [14533] = 14222,
  [14534] = 14223,
  [14535] = 14315,
  [14536] = 14218,
  [14537] = 14218,
  [14538] = 14341,
  [14539] = 14213,
  [14540] = 14220,
  [14541] = 14219,
  [14542] = 14227,
  [14543] = 14263,
  [14544] = 14315,
  [14545] = 14231,
  [14546] = 14237,
  [14547] = 14233,
  [14548] = 14234,
  [14549] = 14216,
  [14550] = 14211,
  [14551] = 14237,
  [14552] = 14315,
  [14553] = 14553,
  [14554] = 14214,
  [14555] = 14215,
  [14556] = 14217,
  [14557] = 14218,
  [14558] = 14219,
  [14559] = 14559,
  [14560] = 14220,
  [14561] = 14335,
  [14562] = 14315,
  [14563] = 14222,
  [14564] = 14223,
  [14565] = 14213,
  [14566] = 14213,
  [14567] = 14227,
  [14568] = 14335,
  [14569] = 14569,
  [14570] = 14222,
  [14571] = 14315,
  [14572] = 14338,
  [14573] = 14339,
  [14574] = 14218,
  [14575] = 14315,
  [14576] = 14315,
  [14577] = 14231,
  [14578] = 14212,
  [14579] = 14233,
  [14580] = 14315,
  [14581] = 14234,
  [14582] = 14216,
  [14583] = 14583,
  [14584] = 14227,
  [14585] = 14237,
  [14586] = 14213,
  [14587] = 14341,
  [14588] = 14222,
  [14589] = 14214,
  [14590] = 14590,
  [14591] = 14215,
  [14592] = 14217,
  [14593] = 14218,
  [14594] = 14315,
  [14595] = 14595,
  [14596] = 14219,
  [14597] = 14220,
  [14598] = 14213,
  [14599] = 14222,
  [14600] = 14223,
  [14601] = 14369,
  [14602] = 14213,
  [14603] = 14227,
  [14604] = 14315,
  [14605] = 14315,
  [14606] = 14213,
  [14607] = 14224,
  [14608] = 14216,
  [14609] = 14231,
  [14610] = 14215,
  [14611] = 14212,
  [14612] = 14212,
  [14613] = 14214,
  [14614] = 14233,
  [14615] = 14234,
  [14616] = 14216,
  [14617] = 14315,
  [14618] = 14618,
  [14619] = 14619,
  [14620] = 14237,
  [14621] = 14621,
  [14622] = 14622,
  [14623] = 14315,
  [14624] = 14214,
  [14625] = 14215,
  [14626] = 14335,
  [14627] = 14218,
  [14628] = 14628,
  [14629] = 14629,
  [14630] = 14338,
  [14631] = 14339,
  [14632] = 14219,
  [14633] = 14220,
  [14634] = 14218,
  [14635] = 14237,
  [14636] = 14338,
  [14637] = 14222,
  [14638] = 14341,
  [14639] = 14222,
  [14640] = 14223,
  [14641] = 14315,
  [14642] = 14590,
  [14643] = 14339,
  [14644] = 14213,
  [14645] = 14227,
  [14646] = 14315,
  [14647] = 14315,
  [14648] = 14218,
  [14649] = 14231,
  [14650] = 14212,
  [14651] = 14212,
  [14652] = 14233,
  [14653] = 14315,
  [14654] = 14234,
  [14655] = 14216,
  [14656] = 14213,
  [14657] = 14315,
  [14658] = 14315,
  [14659] = 14315,
  [14660] = 14660,
  [14661] = 14214,
  [14662] = 14215,
  [14663] = 14237,
  [14664] = 14218,
  [14665] = 14219,
  [14666] = 14220,
  [14667] = 14667,
  [14668] = 14222,
  [14669] = 14222,
  [14670] = 14223,
  [14671] = 14315,
  [14672] = 14213,
  [14673] = 14227,
  [14674] = 14674,
  [14675] = 14223,
  [14676] = 14234,
  [14677] = 14315,
  [14678] = 14315,
  [14679] = 14231,
  [14680] = 14212,
  [14681] = 14233,
  [14682] = 14234,
  [14683] = 14227,
  [14684] = 14213,
  [14685] = 14216,
  [14686] = 14315,
  [14687] = 14237,
  [14688] = 14222,
  [14689] = 14315,
  [14690] = 14214,
  [14691] = 14215,
  [14692] = 14218,
  [14693] = 14212,
  [14694] = 14219,
  [14695] = 14695,
  [14696] = 14220,
  [14697] = 14223,
  [14698] = 14315,
  [14699] = 14213,
  [14700] = 14227,
  [14701] = 14220,
  [14702] = 14315,
  [14703] = 14330,
  [14704] = 14704,
  [14705] = 14231,
  [14706] = 14212,
  [14707] = 14233,
  [14708] = 14213,
  [14709] = 14212,
  [14710] = 14234,
  [14711] = 14216,
  [14712] = 14315,
  [14713] = 14279,
  [14714] = 14237,
  [14715] = 14315,
  [14716] = 14340,
  [14717] = 14315,
  [14718] = 14315,
  [14719] = 14223,
  [14720] = 14214,
  [14721] = 14215,
  [14722] = 14218,
  [14723] = 14222,
  [14724] = 14335,
  [14725] = 14219,
  [14726] = 14220,
  [14727] = 14595,
  [14728] = 14369,
  [14729] = 14467,
  [14730] = 14213,
  [14731] = 14338,
  [14732] = 14218,
  [14733] = 14222,
  [14734] = 14339,
  [14735] = 14222,
  [14736] = 14212,
  [14737] = 14223,
  [14738] = 14315,
  [14739] = 14213,
  [14740] = 14242,
  [14741] = 14227,
  [14742] = 14341,
  [14743] = 14341,
  [14744] = 14315,
  [14745] = 14315,
  [14746] = 14231,
  [14747] = 14212,
  [14748] = 14233,
  [14749] = 14221,
  [14750] = 14234,
  [14751] = 14216,
  [14752] = 14590,
  [14753] = 14216,
  [14754] = 14237,
  [14755] = 14219,
  [14756] = 14222,
  [14757] = 14315,
  [14758] = 14214,
  [14759] = 14215,
  [14760] = 14218,
  [14761] = 14219,
  [14762] = 14220,
  [14763] = 14220,
  [14764] = 14219,
  [14765] = 14765,
  [14766] = 14222,
  [14767] = 14222,
  [14768] = 14223,
  [14769] = 14769,
  [14770] = 14213,
  [14771] = 14227,
  [14772] = 14315,
  [14773] = 14233,
  [14774] = 14291,
  [14775] = 14212,
  [14776] = 14306,
  [14777] = 14233,
  [14778] = 14234,
  [14779] = 14216,
  [14780] = 14303,
  [14781] = 14237,
  [14782] = 14213,
  [14783] = 14315,
  [14784] = 14291,
  [14785] = 14214,
  [14786] = 14215,
  [14787] = 14218,
  [14788] = 14218,
  [14789] = 14279,
  [14790] = 14213,
  [14791] = 14212,
  [14792] = 14279,
  [14793] = 14231,
  [14794] = 14222,
  [14795] = 14795,
  [14796] = 14219,
  [14797] = 14220,
  [14798] = 14329,
  [14799] = 14218,
  [14800] = 14481,
  [14801] = 14222,
  [14802] = 14802,
  [14803] = 14218,
  [14804] = 14223,
  [14805] = 14590,
  [14806] = 14212,
  [14807] = 14213,
  [14808] = 14218,
  [14809] = 14218,
  [14810] = 14213,
  [14811] = 14811,
  [14812] = 14227,
  [14813] = 14813,
  [14814] = 14595,
  [14815] = 14222,
  [14816] = 14217,
  [14817] = 14795,
  [14818] = 14215,
  [14819] = 14231,
  [14820] = 14212,
  [14821] = 14233,
  [14822] = 14218,
  [14823] = 14234,
  [14824] = 14216,
  [14825] = 14214,
  [14826] = 14306,
  [14827] = 14303,
  [14828] = 14237,
  [14829] = 14218,
  [14830] = 14291,
  [14831] = 14595,
  [14832] = 14212,
  [14833] = 14795,
  [14834] = 14215,
  [14835] = 14214,
  [14836] = 14213,
  [14837] = 14214,
  [14838] = 14215,
  [14839] = 14303,
  [14840] = 14222,
  [14841] = 14306,
  [14842] = 14218,
  [14843] = 14306,
  [14844] = 14218,
  [14845] = 14303,
  [14846] = 14291,
  [14847] = 14219,
  [14848] = 14220,
  [14849] = 14595,
  [14850] = 14795,
  [14851] = 14306,
  [14852] = 14303,
  [14853] = 14291,
  [14854] = 14213,
  [14855] = 14595,
  [14856] = 14222,
  [14857] = 14222,
  [14858] = 14223,
  [14859] = 14481,
  [14860] = 14237,
  [14861] = 14213,
  [14862] = 14213,
  [14863] = 14222,
  [14864] = 14481,
  [14865] = 14231,
  [14866] = 14212,
  [14867] = 14218,
  [14868] = 14237,
  [14869] = 14481,
  [14870] = 14222,
  [14871] = 14871,
  [14872] = 14802,
  [14873] = 14802,
  [14874] = 14216,
  [14875] = 14231,
  [14876] = 14234,
  [14877] = 14233,
  [14878] = 14212,
  [14879] = 14213,
  [14880] = 14802,
  [14881] = 14881,
  [14882] = 14882,
  [14883] = 14883,
  [14884] = 14884,
  [14885] = 14885,
  [14886] = 14886,
  [14887] = 14887,
  [14888] = 14888,
  [14889] = 14889,
  [14890] = 14890,
  [14891] = 14885,
  [14892] = 14892,
  [14893] = 14885,
  [14894] = 14894,
  [14895] = 14895,
  [14896] = 14896,
  [14897] = 14897,
  [14898] = 14898,
  [14899] = 14899,
  [14900] = 14900,
  [14901] = 14901,
  [14902] = 14902,
  [14903] = 14895,
  [14904] = 14881,
  [14905] = 14896,
  [14906] = 14887,
  [14907] = 14889,
  [14908] = 14895,
  [14909] = 14896,
  [14910] = 14894,
  [14911] = 14911,
  [14912] = 14898,
  [14913] = 14913,
  [14914] = 14914,
  [14915] = 14899,
  [14916] = 14916,
  [14917] = 14911,
  [14918] = 14899,
  [14919] = 14919,
  [14920] = 14920,
  [14921] = 14921,
  [14922] = 14911,
  [14923] = 14898,
  [14924] = 14924,
  [14925] = 14925,
  [14926] = 14926,
  [14927] = 14882,
  [14928] = 14928,
  [14929] = 14929,
  [14930] = 14911,
  [14931] = 14894,
  [14932] = 14932,
  [14933] = 14933,
  [14934] = 14884,
  [14935] = 14933,
  [14936] = 14936,
  [14937] = 14928,
  [14938] = 14938,
  [14939] = 14936,
  [14940] = 14884,
  [14941] = 14928,
  [14942] = 14885,
  [14943] = 14933,
  [14944] = 14936,
  [14945] = 14945,
  [14946] = 14889,
  [14947] = 14884,
  [14948] = 14900,
  [14949] = 14883,
  [14950] = 14887,
  [14951] = 14928,
  [14952] = 14936,
  [14953] = 14953,
  [14954] = 14890,
  [14955] = 14955,
  [14956] = 14884,
  [14957] = 14957,
  [14958] = 14933,
  [14959] = 14890,
  [14960] = 14897,
  [14961] = 14883,
  [14962] = 14916,
  [14963] = 14897,
  [14964] = 14888,
  [14965] = 14888,
  [14966] = 14887,
  [14967] = 14888,
  [14968] = 14889,
  [14969] = 14888,
  [14970] = 14888,
  [14971] = 14888,
  [14972] = 14888,
  [14973] = 14890,
  [14974] = 14888,
  [14975] = 14902,
  [14976] = 14888,
  [14977] = 14888,
  [14978] = 14888,
  [14979] = 14894,
  [14980] = 14888,
  [14981] = 14888,
  [14982] = 14888,
  [14983] = 14898,
  [14984] = 14888,
  [14985] = 14899,
  [14986] = 14883,
  [14987] = 14883,
  [14988] = 14888,
  [14989] = 14888,
  [14990] = 14888,
  [14991] = 14888,
  [14992] = 14888,
  [14993] = 14936,
  [14994] = 14888,
  [14995] = 14888,
  [14996] = 14996,
  [14997] = 14888,
  [14998] = 14998,
  [14999] = 14888,
  [15000] = 14998,
  [15001] = 14888,
  [15002] = 14998,
  [15003] = 15003,
  [15004] = 14888,
  [15005] = 14921,
  [15006] = 15006,
  [15007] = 15007,
  [15008] = 14998,
  [15009] = 14888,
  [15010] = 14998,
  [15011] = 14888,
  [15012] = 14998,
  [15013] = 14888,
  [15014] = 14998,
  [15015] = 14888,
  [15016] = 14998,
  [15017] = 14888,
  [15018] = 14998,
  [15019] = 14888,
  [15020] = 14998,
  [15021] = 14888,
  [15022] = 14928,
  [15023] = 14998,
  [15024] = 14888,
  [15025] = 14924,
  [15026] = 14998,
  [15027] = 14888,
  [15028] = 14998,
  [15029] = 15029,
  [15030] = 14936,
  [15031] = 14888,
  [15032] = 14998,
  [15033] = 15033,
  [15034] = 14928,
  [15035] = 15035,
  [15036] = 14888,
  [15037] = 15037,
  [15038] = 14890,
  [15039] = 14998,
  [15040] = 15007,
  [15041] = 14884,
  [15042] = 14888,
  [15043] = 14883,
  [15044] = 15037,
  [15045] = 15006,
  [15046] = 14998,
  [15047] = 15003,
  [15048] = 14890,
  [15049] = 14897,
  [15050] = 15050,
  [15051] = 14888,
  [15052] = 15037,
  [15053] = 14998,
  [15054] = 14897,
  [15055] = 15055,
  [15056] = 14888,
  [15057] = 15037,
  [15058] = 14998,
  [15059] = 14996,
  [15060] = 14887,
  [15061] = 14929,
  [15062] = 14889,
  [15063] = 14887,
  [15064] = 14936,
  [15065] = 14888,
  [15066] = 15037,
  [15067] = 14926,
  [15068] = 14925,
  [15069] = 14925,
  [15070] = 15070,
  [15071] = 14998,
  [15072] = 14889,
  [15073] = 14894,
  [15074] = 15074,
  [15075] = 14888,
  [15076] = 15037,
  [15077] = 14898,
  [15078] = 14926,
  [15079] = 14899,
  [15080] = 14924,
  [15081] = 14921,
  [15082] = 14998,
  [15083] = 14998,
  [15084] = 15084,
  [15085] = 14888,
  [15086] = 14929,
  [15087] = 15037,
  [15088] = 15088,
  [15089] = 14998,
  [15090] = 14928,
  [15091] = 15091,
  [15092] = 14894,
  [15093] = 14902,
  [15094] = 14884,
  [15095] = 14888,
  [15096] = 14900,
  [15097] = 15037,
  [15098] = 14998,
  [15099] = 14898,
  [15100] = 14899,
  [15101] = 14883,
  [15102] = 15102,
  [15103] = 14888,
  [15104] = 15037,
  [15105] = 14998,
  [15106] = 14896,
  [15107] = 14895,
  [15108] = 14888,
  [15109] = 15037,
  [15110] = 14998,
  [15111] = 15111,
  [15112] = 15112,
  [15113] = 14888,
  [15114] = 15037,
  [15115] = 14998,
  [15116] = 14928,
  [15117] = 15117,
  [15118] = 14888,
  [15119] = 15037,
  [15120] = 14957,
  [15121] = 14998,
  [15122] = 14890,
  [15123] = 15123,
  [15124] = 14936,
  [15125] = 14899,
  [15126] = 14888,
  [15127] = 15037,
  [15128] = 14998,
  [15129] = 14897,
  [15130] = 14898,
  [15131] = 14888,
  [15132] = 15037,
  [15133] = 14998,
  [15134] = 15134,
  [15135] = 14884,
  [15136] = 15037,
  [15137] = 14883,
  [15138] = 14888,
  [15139] = 15037,
  [15140] = 14998,
  [15141] = 14899,
  [15142] = 14890,
  [15143] = 14911,
  [15144] = 14894,
  [15145] = 14898,
  [15146] = 14957,
  [15147] = 14888,
  [15148] = 14897,
  [15149] = 15037,
  [15150] = 14998,
  [15151] = 15151,
  [15152] = 15152,
  [15153] = 14888,
  [15154] = 14887,
  [15155] = 15037,
  [15156] = 14889,
  [15157] = 14998,
  [15158] = 14894,
  [15159] = 15159,
  [15160] = 15160,
  [15161] = 15161,
  [15162] = 14888,
  [15163] = 15037,
  [15164] = 14998,
  [15165] = 15165,
  [15166] = 15166,
  [15167] = 14894,
  [15168] = 14888,
  [15169] = 15037,
  [15170] = 14998,
  [15171] = 14898,
  [15172] = 15172,
  [15173] = 14899,
  [15174] = 15174,
  [15175] = 15175,
  [15176] = 15176,
  [15177] = 14888,
  [15178] = 15037,
  [15179] = 14998,
  [15180] = 14887,
  [15181] = 14889,
  [15182] = 14887,
  [15183] = 15183,
  [15184] = 14888,
  [15185] = 15037,
  [15186] = 14998,
  [15187] = 15187,
  [15188] = 14928,
  [15189] = 14936,
  [15190] = 14889,
  [15191] = 14897,
  [15192] = 14928,
  [15193] = 15193,
  [15194] = 15194,
  [15195] = 15195,
  [15196] = 14888,
  [15197] = 15037,
  [15198] = 14998,
  [15199] = 14889,
  [15200] = 14887,
  [15201] = 15201,
  [15202] = 14888,
  [15203] = 15037,
  [15204] = 14998,
  [15205] = 14897,
  [15206] = 14890,
  [15207] = 14936,
  [15208] = 15208,
  [15209] = 15209,
  [15210] = 14928,
  [15211] = 14888,
  [15212] = 14883,
  [15213] = 15037,
  [15214] = 14884,
  [15215] = 14998,
  [15216] = 14996,
  [15217] = 15217,
  [15218] = 14936,
  [15219] = 15219,
  [15220] = 14888,
  [15221] = 15037,
  [15222] = 14998,
  [15223] = 15223,
  [15224] = 14888,
  [15225] = 15037,
  [15226] = 14998,
  [15227] = 14890,
  [15228] = 14884,
  [15229] = 14884,
  [15230] = 14888,
  [15231] = 14883,
  [15232] = 15003,
  [15233] = 15006,
  [15234] = 15037,
  [15235] = 15007,
  [15236] = 14890,
  [15237] = 14998,
  [15238] = 14883,
  [15239] = 15239,
  [15240] = 14888,
  [15241] = 14897,
  [15242] = 15037,
  [15243] = 14998,
  [15244] = 14894,
  [15245] = 14883,
  [15246] = 14888,
  [15247] = 14887,
  [15248] = 15037,
  [15249] = 14889,
  [15250] = 14936,
  [15251] = 14890,
  [15252] = 14998,
  [15253] = 15253,
  [15254] = 15254,
  [15255] = 14928,
  [15256] = 14899,
  [15257] = 14884,
  [15258] = 14888,
  [15259] = 15037,
  [15260] = 14894,
  [15261] = 14998,
  [15262] = 14897,
  [15263] = 15263,
  [15264] = 14898,
  [15265] = 14898,
  [15266] = 14899,
  [15267] = 14888,
  [15268] = 15037,
  [15269] = 15269,
  [15270] = 14998,
  [15271] = 15271,
  [15272] = 14887,
  [15273] = 15273,
  [15274] = 14889,
  [15275] = 14888,
  [15276] = 15037,
  [15277] = 15277,
  [15278] = 14998,
  [15279] = 15279,
  [15280] = 14936,
  [15281] = 14888,
  [15282] = 15037,
  [15283] = 14998,
  [15284] = 14898,
  [15285] = 15285,
  [15286] = 15286,
  [15287] = 14888,
  [15288] = 15037,
  [15289] = 15289,
  [15290] = 14998,
  [15291] = 14899,
  [15292] = 15292,
  [15293] = 14929,
  [15294] = 14888,
  [15295] = 15295,
  [15296] = 15296,
  [15297] = 14894,
  [15298] = 14926,
  [15299] = 14925,
  [15300] = 14924,
  [15301] = 15301,
  [15302] = 15037,
  [15303] = 14921,
  [15304] = 14998,
  [15305] = 14898,
  [15306] = 14899,
  [15307] = 15307,
  [15308] = 14888,
  [15309] = 14902,
  [15310] = 15310,
  [15311] = 15037,
  [15312] = 15312,
  [15313] = 14900,
  [15314] = 15314,
  [15315] = 14998,
  [15316] = 14928,
  [15317] = 14894,
  [15318] = 14888,
  [15319] = 15037,
  [15320] = 14998,
  [15321] = 15321,
  [15322] = 15322,
  [15323] = 14888,
  [15324] = 15324,
  [15325] = 15325,
  [15326] = 15326,
  [15327] = 15037,
  [15328] = 15328,
  [15329] = 14998,
  [15330] = 14889,
  [15331] = 15331,
  [15332] = 14888,
  [15333] = 15333,
  [15334] = 14894,
  [15335] = 15335,
  [15336] = 14928,
  [15337] = 11755,
  [15338] = 9985,
  [15339] = 15035,
  [15340] = 15037,
  [15341] = 4821,
  [15342] = 14899,
  [15343] = 14936,
  [15344] = 14998,
  [15345] = 14898,
  [15346] = 11824,
  [15347] = 14896,
  [15348] = 11803,
  [15349] = 14895,
  [15350] = 14884,
  [15351] = 14883,
  [15352] = 14888,
  [15353] = 14899,
  [15354] = 14894,
  [15355] = 14887,
  [15356] = 14898,
  [15357] = 11417,
  [15358] = 14890,
  [15359] = 14897,
  [15360] = 14897,
  [15361] = 15007,
  [15362] = 14889,
  [15363] = 11796,
  [15364] = 14894,
  [15365] = 14887,
  [15366] = 11777,
  [15367] = 14887,
  [15368] = 14889,
  [15369] = 11771,
  [15370] = 9999,
  [15371] = 10408,
  [15372] = 14894,
  [15373] = 15037,
  [15374] = 11769,
  [15375] = 10090,
  [15376] = 14898,
  [15377] = 10405,
  [15378] = 14899,
  [15379] = 14998,
  [15380] = 14890,
  [15381] = 14883,
  [15382] = 14883,
  [15383] = 14897,
  [15384] = 14888,
  [15385] = 14884,
  [15386] = 14936,
  [15387] = 14928,
  [15388] = 14928,
  [15389] = 14936,
  [15390] = 15195,
  [15391] = 14884,
  [15392] = 14883,
  [15393] = 14890,
  [15394] = 14897,
  [15395] = 14887,
  [15396] = 15037,
  [15397] = 14889,
  [15398] = 15006,
  [15399] = 14894,
  [15400] = 14898,
  [15401] = 14998,
  [15402] = 14899,
  [15403] = 14899,
  [15404] = 14955,
  [15405] = 14898,
  [15406] = 14894,
  [15407] = 14889,
  [15408] = 14914,
  [15409] = 14888,
  [15410] = 14881,
  [15411] = 14886,
  [15412] = 14889,
  [15413] = 14887,
  [15414] = 14881,
  [15415] = 14886,
  [15416] = 14881,
  [15417] = 14886,
  [15418] = 14881,
  [15419] = 14886,
  [15420] = 14881,
  [15421] = 14886,
  [15422] = 14881,
  [15423] = 14886,
  [15424] = 14881,
  [15425] = 14886,
  [15426] = 14881,
  [15427] = 14886,
  [15428] = 14881,
  [15429] = 14886,
  [15430] = 14881,
  [15431] = 14886,
  [15432] = 14881,
  [15433] = 14886,
  [15434] = 14881,
  [15435] = 14886,
  [15436] = 14881,
  [15437] = 14886,
  [15438] = 14881,
  [15439] = 14886,
  [15440] = 14881,
  [15441] = 14886,
  [15442] = 15003,
  [15443] = 14957,
  [15444] = 14881,
  [15445] = 14886,
  [15446] = 14881,
  [15447] = 14886,
  [15448] = 14881,
  [15449] = 14886,
  [15450] = 14881,
  [15451] = 14886,
  [15452] = 14881,
  [15453] = 14886,
  [15454] = 14881,
  [15455] = 14886,
  [15456] = 14881,
  [15457] = 14886,
  [15458] = 14897,
  [15459] = 14881,
  [15460] = 14886,
  [15461] = 14900,
  [15462] = 14881,
  [15463] = 14886,
  [15464] = 14881,
  [15465] = 14886,
  [15466] = 14881,
  [15467] = 14886,
  [15468] = 14902,
  [15469] = 14881,
  [15470] = 14886,
  [15471] = 14887,
  [15472] = 14881,
  [15473] = 14886,
  [15474] = 14881,
  [15475] = 14886,
  [15476] = 14881,
  [15477] = 14886,
  [15478] = 14881,
  [15479] = 14886,
  [15480] = 14881,
  [15481] = 14886,
  [15482] = 14881,
  [15483] = 14886,
  [15484] = 14920,
  [15485] = 14921,
  [15486] = 14881,
  [15487] = 14886,
  [15488] = 14924,
  [15489] = 14925,
  [15490] = 14881,
  [15491] = 14886,
  [15492] = 14926,
  [15493] = 14929,
  [15494] = 14881,
  [15495] = 14886,
  [15496] = 14932,
  [15497] = 14881,
  [15498] = 14886,
  [15499] = 14928,
  [15500] = 14885,
  [15501] = 14945,
  [15502] = 14890,
  [15503] = 14936,
  [15504] = 14881,
  [15505] = 14886,
  [15506] = 15033,
  [15507] = 14928,
  [15508] = 15007,
  [15509] = 15006,
  [15510] = 15003,
  [15511] = 14890,
  [15512] = 14996,
  [15513] = 15070,
  [15514] = 15074,
  [15515] = 14881,
  [15516] = 14886,
  [15517] = 14884,
  [15518] = 14883,
  [15519] = 14883,
  [15520] = 14936,
  [15521] = 14890,
  [15522] = 14897,
  [15523] = 14886,
  [15524] = 14957,
  [15525] = 14897,
  [15526] = 15159,
  [15527] = 15161,
  [15528] = 15166,
  [15529] = 14884,
  [15530] = 15172,
  [15531] = 15174,
  [15532] = 14884,
  [15533] = 15208,
  [15534] = 14887,
  [15535] = 14881,
  [15536] = 14886,
  [15537] = 15160,
  [15538] = 15223,
  [15539] = 14884,
  [15540] = 14894,
  [15541] = 15253,
  [15542] = 15254,
  [15543] = 14881,
  [15544] = 14886,
  [15545] = 14883,
  [15546] = 15263,
  [15547] = 14996,
  [15548] = 15269,
  [15549] = 15277,
  [15550] = 14898,
  [15551] = 15289,
  [15552] = 14890,
  [15553] = 14899,
  [15554] = 15292,
  [15555] = 14881,
  [15556] = 14886,
  [15557] = 15314,
  [15558] = 14889,
  [15559] = 15321,
  [15560] = 14881,
  [15561] = 14886,
  [15562] = 15322,
  [15563] = 15325,
  [15564] = 14897,
  [15565] = 14936,
  [15566] = 15333,
  [15567] = 15003,
  [15568] = 14881,
  [15569] = 14886,
  [15570] = 14928,
  [15571] = 15006,
  [15572] = 14887,
  [15573] = 14889,
  [15574] = 14900,
  [15575] = 15007,
  [15576] = 14902,
  [15577] = 14881,
  [15578] = 14886,
  [15579] = 14920,
  [15580] = 14921,
  [15581] = 14924,
  [15582] = 14925,
  [15583] = 14926,
  [15584] = 14929,
  [15585] = 14894,
  [15586] = 14881,
  [15587] = 14886,
  [15588] = 14928,
  [15589] = 14945,
  [15590] = 14898,
  [15591] = 14936,
  [15592] = 15007,
  [15593] = 15006,
  [15594] = 15003,
  [15595] = 14881,
  [15596] = 14886,
  [15597] = 14899,
  [15598] = 14996,
  [15599] = 14936,
  [15600] = 15070,
  [15601] = 15074,
  [15602] = 14884,
  [15603] = 14883,
  [15604] = 14890,
  [15605] = 14881,
  [15606] = 14886,
  [15607] = 14897,
  [15608] = 14957,
  [15609] = 15159,
  [15610] = 15160,
  [15611] = 15161,
  [15612] = 15166,
  [15613] = 15172,
  [15614] = 15174,
  [15615] = 14928,
  [15616] = 14881,
  [15617] = 14886,
  [15618] = 15208,
  [15619] = 14890,
  [15620] = 14887,
  [15621] = 14889,
  [15622] = 15223,
  [15623] = 14894,
  [15624] = 14881,
  [15625] = 14886,
  [15626] = 15263,
  [15627] = 14898,
  [15628] = 14899,
  [15629] = 15292,
  [15630] = 14881,
  [15631] = 14886,
  [15632] = 14881,
  [15633] = 14886,
  [15634] = 14900,
  [15635] = 14902,
  [15636] = 14928,
  [15637] = 14902,
  [15638] = 14881,
  [15639] = 14886,
  [15640] = 14899,
  [15641] = 14920,
  [15642] = 14921,
  [15643] = 14924,
  [15644] = 14925,
  [15645] = 14926,
  [15646] = 14886,
  [15647] = 14898,
  [15648] = 14929,
  [15649] = 14936,
  [15650] = 14929,
  [15651] = 14881,
  [15652] = 14881,
  [15653] = 14886,
  [15654] = 14928,
  [15655] = 14928,
  [15656] = 14945,
  [15657] = 14926,
  [15658] = 14925,
  [15659] = 14924,
  [15660] = 14921,
  [15661] = 14936,
  [15662] = 15007,
  [15663] = 15006,
  [15664] = 15003,
  [15665] = 14881,
  [15666] = 14996,
  [15667] = 14882,
  [15668] = 14886,
  [15669] = 14890,
  [15670] = 14996,
  [15671] = 15070,
  [15672] = 14883,
  [15673] = 14900,
  [15674] = 15074,
  [15675] = 14884,
  [15676] = 14894,
  [15677] = 14884,
  [15678] = 14883,
  [15679] = 14890,
  [15680] = 14881,
  [15681] = 14884,
  [15682] = 14886,
  [15683] = 14897,
  [15684] = 14883,
  [15685] = 14957,
  [15686] = 15151,
  [15687] = 14933,
  [15688] = 15159,
  [15689] = 15160,
  [15690] = 15161,
  [15691] = 15166,
  [15692] = 15050,
  [15693] = 15172,
  [15694] = 15174,
  [15695] = 15208,
  [15696] = 14882,
  [15697] = 14884,
  [15698] = 14889,
  [15699] = 15029,
  [15700] = 14883,
  [15701] = 14881,
  [15702] = 15050,
  [15703] = 15223,
  [15704] = 14886,
  [15705] = 14899,
  [15706] = 14894,
  [15707] = 15151,
  [15708] = 14898,
  [15709] = 15263,
  [15710] = 14890,
  [15711] = 14936,
  [15712] = 15050,
  [15713] = 14889,
  [15714] = 14894,
  [15715] = 14898,
  [15716] = 14882,
  [15717] = 14899,
  [15718] = 15111,
  [15719] = 14887,
  [15720] = 14881,
  [15721] = 15112,
  [15722] = 14886,
  [15723] = 15151,
  [15724] = 14897,
  [15725] = 15050,
  [15726] = 14890,
  [15727] = 14882,
  [15728] = 14881,
  [15729] = 14887,
  [15730] = 14889,
  [15731] = 14887,
  [15732] = 14957,
  [15733] = 14889,
  [15734] = 14886,
  [15735] = 14911,
  [15736] = 15151,
  [15737] = 14900,
  [15738] = 15176,
  [15739] = 14902,
  [15740] = 15151,
  [15741] = 14897,
  [15742] = 14920,
  [15743] = 14921,
  [15744] = 14957,
  [15745] = 15050,
  [15746] = 14897,
  [15747] = 14924,
  [15748] = 15193,
  [15749] = 15194,
  [15750] = 14925,
  [15751] = 14926,
  [15752] = 14882,
  [15753] = 14929,
  [15754] = 14894,
  [15755] = 14881,
  [15756] = 14886,
  [15757] = 14887,
  [15758] = 14928,
  [15759] = 15151,
  [15760] = 14936,
  [15761] = 15217,
  [15762] = 15219,
  [15763] = 15050,
  [15764] = 15007,
  [15765] = 14883,
  [15766] = 15006,
  [15767] = 15003,
  [15768] = 14882,
  [15769] = 14898,
  [15770] = 14897,
  [15771] = 14884,
  [15772] = 14881,
  [15773] = 14996,
  [15774] = 15070,
  [15775] = 14996,
  [15776] = 15074,
  [15777] = 14886,
  [15778] = 14884,
  [15779] = 15253,
  [15780] = 14883,
  [15781] = 15273,
  [15782] = 14957,
  [15783] = 14890,
  [15784] = 15151,
  [15785] = 14897,
  [15786] = 15003,
  [15787] = 15006,
  [15788] = 15007,
  [15789] = 15301,
  [15790] = 14957,
  [15791] = 15050,
  [15792] = 15307,
  [15793] = 15159,
  [15794] = 15160,
  [15795] = 15161,
  [15796] = 15314,
  [15797] = 15328,
  [15798] = 14882,
  [15799] = 15166,
  [15800] = 15172,
  [15801] = 15174,
  [15802] = 14881,
  [15803] = 15208,
  [15804] = 14936,
  [15805] = 14886,
  [15806] = 14887,
  [15807] = 14889,
  [15808] = 14890,
  [15809] = 14928,
  [15810] = 15223,
  [15811] = 15151,
  [15812] = 14894,
  [15813] = 14945,
  [15814] = 14883,
  [15815] = 14899,
  [15816] = 15050,
  [15817] = 15263,
  [15818] = 14928,
  [15819] = 14882,
  [15820] = 14898,
  [15821] = 14929,
  [15822] = 14884,
  [15823] = 14899,
  [15824] = 14926,
  [15825] = 14925,
  [15826] = 14924,
  [15827] = 14921,
  [15828] = 14881,
  [15829] = 14886,
  [15830] = 15151,
  [15831] = 14902,
  [15832] = 14996,
  [15833] = 15050,
  [15834] = 14900,
  [15835] = 14882,
  [15836] = 15003,
  [15837] = 14887,
  [15838] = 15006,
  [15839] = 14889,
  [15840] = 15007,
  [15841] = 14881,
  [15842] = 14886,
  [15843] = 14900,
  [15844] = 14902,
  [15845] = 15151,
  [15846] = 14920,
  [15847] = 14921,
  [15848] = 15050,
  [15849] = 14924,
  [15850] = 14925,
  [15851] = 14926,
  [15852] = 14882,
  [15853] = 14899,
  [15854] = 14929,
  [15855] = 14898,
  [15856] = 14881,
  [15857] = 14886,
  [15858] = 14928,
  [15859] = 14928,
  [15860] = 14894,
  [15861] = 14945,
  [15862] = 15151,
  [15863] = 14936,
  [15864] = 14936,
  [15865] = 15050,
  [15866] = 15007,
  [15867] = 14889,
  [15868] = 14887,
  [15869] = 15006,
  [15870] = 15003,
  [15871] = 14882,
  [15872] = 14957,
  [15873] = 14996,
  [15874] = 14897,
  [15875] = 15070,
  [15876] = 14881,
  [15877] = 15074,
  [15878] = 14884,
  [15879] = 14890,
  [15880] = 14886,
  [15881] = 14883,
  [15882] = 14894,
  [15883] = 14884,
  [15884] = 14883,
  [15885] = 14996,
  [15886] = 14890,
  [15887] = 14897,
  [15888] = 14936,
  [15889] = 14898,
  [15890] = 15003,
  [15891] = 15006,
  [15892] = 15007,
  [15893] = 14957,
  [15894] = 15159,
  [15895] = 15151,
  [15896] = 15160,
  [15897] = 15161,
  [15898] = 14936,
  [15899] = 15166,
  [15900] = 15172,
  [15901] = 15174,
  [15902] = 14928,
  [15903] = 14899,
  [15904] = 15050,
  [15905] = 14887,
  [15906] = 14889,
  [15907] = 15223,
  [15908] = 14882,
  [15909] = 14894,
  [15910] = 14884,
  [15911] = 14881,
  [15912] = 15263,
  [15913] = 14886,
  [15914] = 14929,
  [15915] = 14898,
  [15916] = 14883,
  [15917] = 14926,
  [15918] = 14925,
  [15919] = 14924,
  [15920] = 14921,
  [15921] = 14898,
  [15922] = 14899,
  [15923] = 14890,
  [15924] = 14902,
  [15925] = 15151,
  [15926] = 14894,
  [15927] = 14900,
  [15928] = 14897,
  [15929] = 15050,
  [15930] = 15208,
  [15931] = 14882,
  [15932] = 14887,
  [15933] = 14929,
  [15934] = 14900,
  [15935] = 14881,
  [15936] = 14889,
  [15937] = 14902,
  [15938] = 14886,
  [15939] = 14929,
  [15940] = 14926,
  [15941] = 14889,
  [15942] = 14920,
  [15943] = 14921,
  [15944] = 14924,
  [15945] = 14925,
  [15946] = 14926,
  [15947] = 14899,
  [15948] = 14887,
  [15949] = 14898,
  [15950] = 14925,
  [15951] = 14894,
  [15952] = 14899,
  [15953] = 15194,
  [15954] = 14894,
  [15955] = 15151,
  [15956] = 14928,
  [15957] = 14898,
  [15958] = 14899,
  [15959] = 15050,
  [15960] = 14936,
  [15961] = 14889,
  [15962] = 14887,
  [15963] = 15007,
  [15964] = 15006,
  [15965] = 15003,
  [15966] = 14957,
  [15967] = 14882,
  [15968] = 14897,
  [15969] = 14924,
  [15970] = 14921,
  [15971] = 14996,
  [15972] = 15070,
  [15973] = 14890,
  [15974] = 15074,
  [15975] = 14883,
  [15976] = 14897,
  [15977] = 14884,
  [15978] = 14881,
  [15979] = 14929,
  [15980] = 14996,
  [15981] = 14886,
  [15982] = 14883,
  [15983] = 14890,
  [15984] = 14897,
  [15985] = 14957,
  [15986] = 15159,
  [15987] = 15160,
  [15988] = 15161,
  [15989] = 15003,
  [15990] = 15166,
  [15991] = 15006,
  [15992] = 15194,
  [15993] = 15007,
  [15994] = 15172,
  [15995] = 15151,
  [15996] = 15174,
  [15997] = 15208,
  [15998] = 14884,
  [15999] = 14936,
  [16000] = 14889,
  [16001] = 14902,
  [16002] = 14900,
  [16003] = 14928,
  [16004] = 15050,
  [16005] = 14894,
  [16006] = 15263,
  [16007] = 14882,
  [16008] = 14898,
  [16009] = 14881,
  [16010] = 14899,
  [16011] = 14886,
  [16012] = 14887,
  [16013] = 14900,
  [16014] = 14902,
  [16015] = 14928,
  [16016] = 14921,
  [16017] = 14890,
  [16018] = 14924,
  [16019] = 14926,
  [16020] = 14925,
  [16021] = 14924,
  [16022] = 14921,
  [16023] = 15194,
  [16024] = 14925,
  [16025] = 15151,
  [16026] = 14902,
  [16027] = 14926,
  [16028] = 14929,
  [16029] = 14899,
  [16030] = 15050,
  [16031] = 14936,
  [16032] = 14900,
  [16033] = 14882,
  [16034] = 14936,
  [16035] = 14883,
  [16036] = 14881,
  [16037] = 15007,
  [16038] = 14884,
  [16039] = 14886,
  [16040] = 15006,
  [16041] = 15003,
  [16042] = 14996,
  [16043] = 15074,
  [16044] = 14928,
  [16045] = 14883,
  [16046] = 14890,
  [16047] = 14897,
  [16048] = 14957,
  [16049] = 14898,
  [16050] = 15159,
  [16051] = 15172,
  [16052] = 15174,
  [16053] = 15208,
  [16054] = 14887,
  [16055] = 14889,
  [16056] = 14884,
  [16057] = 14883,
  [16058] = 15194,
  [16059] = 15151,
  [16060] = 14894,
  [16061] = 15263,
  [16062] = 14894,
  [16063] = 14890,
  [16064] = 14886,
  [16065] = 15050,
  [16066] = 14898,
  [16067] = 14899,
  [16068] = 14899,
  [16069] = 14882,
  [16070] = 14881,
  [16071] = 14881,
  [16072] = 14898,
  [16073] = 14897,
  [16074] = 14886,
  [16075] = 15263,
  [16076] = 14884,
  [16077] = 14887,
  [16078] = 14900,
  [16079] = 14929,
  [16080] = 14894,
  [16081] = 14882,
  [16082] = 14902,
  [16083] = 14889,
  [16084] = 14889,
  [16085] = 14921,
  [16086] = 14924,
  [16087] = 14925,
  [16088] = 14926,
  [16089] = 14887,
  [16090] = 14936,
  [16091] = 14889,
  [16092] = 14929,
  [16093] = 14887,
  [16094] = 14928,
  [16095] = 15159,
  [16096] = 14936,
  [16097] = 15007,
  [16098] = 15006,
  [16099] = 14957,
  [16100] = 15003,
  [16101] = 14996,
  [16102] = 14897,
  [16103] = 14884,
  [16104] = 14883,
  [16105] = 15307,
  [16106] = 14894,
  [16107] = 15029,
  [16108] = 14890,
  [16109] = 15050,
  [16110] = 14898,
  [16111] = 15194,
  [16112] = 14897,
  [16113] = 15151,
  [16114] = 14890,
  [16115] = 14957,
  [16116] = 14883,
  [16117] = 14900,
  [16118] = 14899,
  [16119] = 14884,
  [16120] = 15111,
  [16121] = 15159,
  [16122] = 14996,
  [16123] = 14887,
  [16124] = 14957,
  [16125] = 15050,
  [16126] = 14894,
  [16127] = 15263,
  [16128] = 14882,
  [16129] = 14928,
  [16130] = 14898,
  [16131] = 15003,
  [16132] = 14889,
  [16133] = 15151,
  [16134] = 14899,
  [16135] = 15176,
  [16136] = 14881,
  [16137] = 15006,
  [16138] = 14886,
  [16139] = 14897,
  [16140] = 14900,
  [16141] = 15007,
  [16142] = 14902,
  [16143] = 14890,
  [16144] = 14921,
  [16145] = 15194,
  [16146] = 14924,
  [16147] = 14925,
  [16148] = 14926,
  [16149] = 14883,
  [16150] = 14884,
  [16151] = 14899,
  [16152] = 14929,
  [16153] = 14902,
  [16154] = 15217,
  [16155] = 15219,
  [16156] = 14936,
  [16157] = 14928,
  [16158] = 14936,
  [16159] = 15007,
  [16160] = 15006,
  [16161] = 15003,
  [16162] = 14996,
  [16163] = 14884,
  [16164] = 15328,
  [16165] = 14928,
  [16166] = 15314,
  [16167] = 15307,
  [16168] = 15253,
  [16169] = 15273,
  [16170] = 14883,
  [16171] = 15273,
  [16172] = 15253,
  [16173] = 15301,
  [16174] = 14890,
  [16175] = 14996,
  [16176] = 15307,
  [16177] = 15194,
  [16178] = 15176,
  [16179] = 15151,
  [16180] = 15314,
  [16181] = 15328,
  [16182] = 14897,
  [16183] = 14957,
  [16184] = 15159,
  [16185] = 14889,
  [16186] = 14928,
  [16187] = 15050,
  [16188] = 15003,
  [16189] = 14894,
  [16190] = 15006,
  [16191] = 15263,
  [16192] = 14882,
  [16193] = 14898,
  [16194] = 14929,
  [16195] = 15007,
  [16196] = 14899,
  [16197] = 14926,
  [16198] = 14925,
  [16199] = 14924,
  [16200] = 14921,
  [16201] = 14881,
  [16202] = 14886,
  [16203] = 14887,
  [16204] = 14902,
  [16205] = 14936,
  [16206] = 14900,
  [16207] = 14900,
  [16208] = 14902,
  [16209] = 14921,
  [16210] = 14924,
  [16211] = 14925,
  [16212] = 14926,
  [16213] = 14921,
  [16214] = 14924,
  [16215] = 14925,
  [16216] = 14926,
  [16217] = 14929,
  [16218] = 14884,
  [16219] = 14928,
  [16220] = 14936,
  [16221] = 14897,
  [16222] = 15007,
  [16223] = 15006,
  [16224] = 15003,
  [16225] = 14883,
  [16226] = 14996,
  [16227] = 14884,
  [16228] = 14899,
  [16229] = 14936,
  [16230] = 14898,
  [16231] = 14883,
  [16232] = 14890,
  [16233] = 15263,
  [16234] = 14897,
  [16235] = 14957,
  [16236] = 14890,
  [16237] = 14894,
  [16238] = 15159,
  [16239] = 14887,
  [16240] = 14889,
  [16241] = 15328,
  [16242] = 15314,
  [16243] = 14894,
  [16244] = 14889,
  [16245] = 14887,
  [16246] = 15307,
  [16247] = 15159,
  [16248] = 15301,
  [16249] = 15263,
  [16250] = 14957,
  [16251] = 15273,
  [16252] = 14897,
  [16253] = 15253,
  [16254] = 14898,
  [16255] = 14897,
  [16256] = 14899,
  [16257] = 14890,
  [16258] = 15219,
  [16259] = 14883,
  [16260] = 15217,
  [16261] = 14884,
  [16262] = 14928,
  [16263] = 14996,
  [16264] = 15194,
  [16265] = 15176,
  [16266] = 15151,
  [16267] = 14887,
  [16268] = 15003,
  [16269] = 15006,
  [16270] = 15007,
  [16271] = 14889,
  [16272] = 15111,
  [16273] = 14900,
  [16274] = 15050,
  [16275] = 15029,
  [16276] = 14936,
  [16277] = 14902,
  [16278] = 14921,
  [16279] = 14924,
  [16280] = 14925,
  [16281] = 14886,
  [16282] = 14926,
  [16283] = 14928,
  [16284] = 14898,
  [16285] = 14894,
  [16286] = 14929,
  [16287] = 14881,
  [16288] = 16288,
  [16289] = 16289,
  [16290] = 16290,
  [16291] = 16291,
  [16292] = 16292,
  [16293] = 16290,
  [16294] = 16292,
  [16295] = 16290,
  [16296] = 16296,
  [16297] = 16297,
  [16298] = 16291,
  [16299] = 16299,
  [16300] = 16300,
  [16301] = 16301,
  [16302] = 16302,
  [16303] = 16303,
  [16304] = 16304,
  [16305] = 16305,
  [16306] = 16306,
  [16307] = 16302,
  [16308] = 16288,
  [16309] = 16304,
  [16310] = 16288,
  [16311] = 16297,
  [16312] = 16306,
  [16313] = 16289,
  [16314] = 16289,
  [16315] = 16315,
  [16316] = 16316,
  [16317] = 16317,
  [16318] = 16291,
  [16319] = 16319,
  [16320] = 16302,
  [16321] = 16321,
  [16322] = 16319,
  [16323] = 16289,
  [16324] = 16324,
  [16325] = 16288,
  [16326] = 16326,
  [16327] = 16327,
  [16328] = 16302,
  [16329] = 16291,
  [16330] = 16303,
  [16331] = 16291,
  [16332] = 16319,
  [16333] = 16300,
  [16334] = 16334,
  [16335] = 16292,
  [16336] = 16305,
  [16337] = 16299,
  [16338] = 16338,
  [16339] = 16300,
  [16340] = 16340,
  [16341] = 16341,
  [16342] = 16342,
  [16343] = 16289,
  [16344] = 16344,
  [16345] = 16345,
  [16346] = 16289,
  [16347] = 16347,
  [16348] = 16289,
  [16349] = 16300,
  [16350] = 16350,
  [16351] = 16301,
  [16352] = 16352,
  [16353] = 16353,
  [16354] = 16354,
  [16355] = 16355,
  [16356] = 16288,
  [16357] = 16357,
  [16358] = 16358,
  [16359] = 16344,
  [16360] = 16289,
  [16361] = 16361,
  [16362] = 16319,
  [16363] = 16296,
  [16364] = 16357,
  [16365] = 16296,
  [16366] = 16301,
  [16367] = 16357,
  [16368] = 16296,
  [16369] = 16302,
  [16370] = 16370,
  [16371] = 16303,
  [16372] = 16357,
  [16373] = 16288,
  [16374] = 16291,
  [16375] = 16357,
  [16376] = 16296,
  [16377] = 16377,
  [16378] = 16301,
  [16379] = 16344,
  [16380] = 16302,
  [16381] = 16301,
  [16382] = 16289,
  [16383] = 16344,
  [16384] = 16384,
  [16385] = 16301,
  [16386] = 16386,
  [16387] = 16344,
  [16388] = 16357,
  [16389] = 16389,
  [16390] = 16296,
  [16391] = 16300,
  [16392] = 16324,
  [16393] = 16300,
  [16394] = 16394,
  [16395] = 16301,
  [16396] = 16396,
  [16397] = 16397,
  [16398] = 16305,
  [16399] = 16399,
  [16400] = 16291,
  [16401] = 16327,
  [16402] = 16302,
  [16403] = 16344,
  [16404] = 16404,
  [16405] = 16288,
  [16406] = 16296,
  [16407] = 16291,
  [16408] = 16302,
  [16409] = 16305,
  [16410] = 16303,
  [16411] = 16411,
  [16412] = 16291,
  [16413] = 16288,
  [16414] = 16290,
  [16415] = 16415,
  [16416] = 16292,
  [16417] = 16301,
  [16418] = 16300,
  [16419] = 16296,
  [16420] = 16301,
  [16421] = 16357,
  [16422] = 16302,
  [16423] = 16296,
  [16424] = 16305,
  [16425] = 16357,
  [16426] = 16344,
  [16427] = 16288,
  [16428] = 16341,
  [16429] = 16291,
  [16430] = 16288,
  [16431] = 16431,
  [16432] = 16301,
  [16433] = 16291,
  [16434] = 16357,
  [16435] = 16344,
  [16436] = 16436,
  [16437] = 16302,
  [16438] = 16296,
  [16439] = 16301,
  [16440] = 16302,
  [16441] = 16289,
  [16442] = 16300,
  [16443] = 16288,
  [16444] = 16444,
  [16445] = 16350,
  [16446] = 16446,
  [16447] = 16296,
  [16448] = 16352,
  [16449] = 16302,
  [16450] = 16450,
  [16451] = 16353,
  [16452] = 16354,
  [16453] = 16355,
  [16454] = 16300,
  [16455] = 16288,
  [16456] = 16291,
  [16457] = 16305,
  [16458] = 16458,
  [16459] = 16357,
  [16460] = 16288,
  [16461] = 16291,
  [16462] = 16292,
  [16463] = 16301,
  [16464] = 16464,
  [16465] = 16465,
  [16466] = 16296,
  [16467] = 16344,
  [16468] = 16291,
  [16469] = 16289,
  [16470] = 16357,
  [16471] = 16303,
  [16472] = 16303,
  [16473] = 16291,
  [16474] = 16340,
  [16475] = 16475,
  [16476] = 16292,
  [16477] = 16370,
  [16478] = 16344,
  [16479] = 16301,
  [16480] = 16357,
  [16481] = 16296,
  [16482] = 16289,
  [16483] = 16357,
  [16484] = 16344,
  [16485] = 16288,
  [16486] = 16486,
  [16487] = 16297,
  [16488] = 16488,
  [16489] = 16301,
  [16490] = 16377,
  [16491] = 16304,
  [16492] = 16289,
  [16493] = 16306,
  [16494] = 16296,
  [16495] = 16357,
  [16496] = 16301,
  [16497] = 16302,
  [16498] = 16344,
  [16499] = 16499,
  [16500] = 16500,
  [16501] = 16347,
  [16502] = 16305,
  [16503] = 16299,
  [16504] = 16302,
  [16505] = 16302,
  [16506] = 16288,
  [16507] = 16291,
  [16508] = 16508,
  [16509] = 16509,
  [16510] = 16347,
  [16511] = 16302,
  [16512] = 16300,
  [16513] = 16347,
  [16514] = 16289,
  [16515] = 16515,
  [16516] = 16289,
  [16517] = 16517,
  [16518] = 16300,
  [16519] = 16305,
  [16520] = 16347,
  [16521] = 16521,
  [16522] = 16324,
  [16523] = 16302,
  [16524] = 16347,
  [16525] = 16327,
  [16526] = 16526,
  [16527] = 16527,
  [16528] = 16301,
  [16529] = 16303,
  [16530] = 16291,
  [16531] = 16319,
  [16532] = 16532,
  [16533] = 16302,
  [16534] = 16341,
  [16535] = 16347,
  [16536] = 16536,
  [16537] = 16537,
  [16538] = 16292,
  [16539] = 16539,
  [16540] = 16540,
  [16541] = 16347,
  [16542] = 16288,
  [16543] = 16350,
  [16544] = 16288,
  [16545] = 16352,
  [16546] = 16353,
  [16547] = 16354,
  [16548] = 16355,
  [16549] = 16291,
  [16550] = 16550,
  [16551] = 16551,
  [16552] = 16344,
  [16553] = 16291,
  [16554] = 16554,
  [16555] = 16370,
  [16556] = 16300,
  [16557] = 16557,
  [16558] = 16357,
  [16559] = 16301,
  [16560] = 16288,
  [16561] = 16377,
  [16562] = 16296,
  [16563] = 16563,
  [16564] = 16347,
  [16565] = 16565,
  [16566] = 16566,
  [16567] = 16567,
  [16568] = 16568,
  [16569] = 16569,
  [16570] = 16570,
  [16571] = 16527,
  [16572] = 16291,
  [16573] = 16300,
  [16574] = 16486,
  [16575] = 16288,
  [16576] = 16288,
  [16577] = 16344,
  [16578] = 16347,
  [16579] = 16357,
  [16580] = 16377,
  [16581] = 16357,
  [16582] = 16302,
  [16583] = 16352,
  [16584] = 16301,
  [16585] = 16302,
  [16586] = 16302,
  [16587] = 16296,
  [16588] = 16289,
  [16589] = 16301,
  [16590] = 16527,
  [16591] = 10510,
  [16592] = 16344,
  [16593] = 10328,
  [16594] = 16288,
  [16595] = 10552,
  [16596] = 16291,
  [16597] = 11677,
  [16598] = 16289,
  [16599] = 16486,
  [16600] = 16302,
  [16601] = 10545,
  [16602] = 16302,
  [16603] = 16532,
  [16604] = 16302,
  [16605] = 10187,
  [16606] = 16288,
  [16607] = 16301,
  [16608] = 10350,
  [16609] = 16347,
  [16610] = 16296,
  [16611] = 16300,
  [16612] = 16291,
  [16613] = 16288,
  [16614] = 16305,
  [16615] = 16370,
  [16616] = 16357,
  [16617] = 16296,
  [16618] = 16296,
  [16619] = 16291,
  [16620] = 16344,
  [16621] = 10190,
  [16622] = 16300,
  [16623] = 16289,
  [16624] = 16527,
  [16625] = 16344,
  [16626] = 16344,
  [16627] = 16296,
  [16628] = 16486,
  [16629] = 16303,
  [16630] = 16291,
  [16631] = 16300,
  [16632] = 16357,
  [16633] = 16292,
  [16634] = 16291,
  [16635] = 16301,
  [16636] = 16302,
  [16637] = 16288,
  [16638] = 16355,
  [16639] = 16289,
  [16640] = 16288,
  [16641] = 16296,
  [16642] = 16288,
  [16643] = 16354,
  [16644] = 16297,
  [16645] = 16291,
  [16646] = 16292,
  [16647] = 16301,
  [16648] = 16304,
  [16649] = 16353,
  [16650] = 16306,
  [16651] = 16288,
  [16652] = 16291,
  [16653] = 16436,
  [16654] = 16302,
  [16655] = 16288,
  [16656] = 16347,
  [16657] = 16350,
  [16658] = 16302,
  [16659] = 16291,
  [16660] = 16299,
  [16661] = 16288,
  [16662] = 16302,
  [16663] = 16292,
  [16664] = 16291,
  [16665] = 16303,
  [16666] = 16299,
  [16667] = 16291,
  [16668] = 16299,
  [16669] = 16299,
  [16670] = 16299,
  [16671] = 16289,
  [16672] = 16299,
  [16673] = 16302,
  [16674] = 16299,
  [16675] = 16288,
  [16676] = 16299,
  [16677] = 16291,
  [16678] = 16299,
  [16679] = 16324,
  [16680] = 16299,
  [16681] = 16299,
  [16682] = 16299,
  [16683] = 16292,
  [16684] = 16341,
  [16685] = 16299,
  [16686] = 16299,
  [16687] = 16302,
  [16688] = 16299,
  [16689] = 16341,
  [16690] = 16288,
  [16691] = 16299,
  [16692] = 16291,
  [16693] = 16357,
  [16694] = 16299,
  [16695] = 16299,
  [16696] = 16299,
  [16697] = 16299,
  [16698] = 16350,
  [16699] = 16353,
  [16700] = 16354,
  [16701] = 16355,
  [16702] = 16296,
  [16703] = 16302,
  [16704] = 16299,
  [16705] = 16327,
  [16706] = 16288,
  [16707] = 16299,
  [16708] = 16291,
  [16709] = 16299,
  [16710] = 16302,
  [16711] = 16299,
  [16712] = 16301,
  [16713] = 16377,
  [16714] = 16355,
  [16715] = 16296,
  [16716] = 16303,
  [16717] = 16354,
  [16718] = 16324,
  [16719] = 16301,
  [16720] = 16353,
  [16721] = 16299,
  [16722] = 16355,
  [16723] = 16354,
  [16724] = 16353,
  [16725] = 16299,
  [16726] = 16355,
  [16727] = 16354,
  [16728] = 16353,
  [16729] = 16299,
  [16730] = 16302,
  [16731] = 16357,
  [16732] = 16291,
  [16733] = 16355,
  [16734] = 16354,
  [16735] = 16353,
  [16736] = 16299,
  [16737] = 16288,
  [16738] = 16291,
  [16739] = 16289,
  [16740] = 16355,
  [16741] = 16344,
  [16742] = 16354,
  [16743] = 16353,
  [16744] = 16299,
  [16745] = 16292,
  [16746] = 16355,
  [16747] = 16289,
  [16748] = 16354,
  [16749] = 16353,
  [16750] = 16299,
  [16751] = 16317,
  [16752] = 16355,
  [16753] = 16354,
  [16754] = 16353,
  [16755] = 16299,
  [16756] = 16355,
  [16757] = 16354,
  [16758] = 16353,
  [16759] = 16299,
  [16760] = 16300,
  [16761] = 16355,
  [16762] = 16354,
  [16763] = 16305,
  [16764] = 16353,
  [16765] = 16299,
  [16766] = 16321,
  [16767] = 16302,
  [16768] = 16355,
  [16769] = 16354,
  [16770] = 16353,
  [16771] = 16299,
  [16772] = 16288,
  [16773] = 16355,
  [16774] = 16317,
  [16775] = 16354,
  [16776] = 16353,
  [16777] = 16299,
  [16778] = 16299,
  [16779] = 16303,
  [16780] = 16291,
  [16781] = 16291,
  [16782] = 16289,
  [16783] = 16296,
  [16784] = 16355,
  [16785] = 16354,
  [16786] = 16353,
  [16787] = 16297,
  [16788] = 16299,
  [16789] = 16355,
  [16790] = 16302,
  [16791] = 16304,
  [16792] = 16354,
  [16793] = 16306,
  [16794] = 16301,
  [16795] = 16353,
  [16796] = 16305,
  [16797] = 16288,
  [16798] = 16299,
  [16799] = 16300,
  [16800] = 16302,
  [16801] = 16355,
  [16802] = 16306,
  [16803] = 16299,
  [16804] = 16537,
  [16805] = 16354,
  [16806] = 16353,
  [16807] = 16300,
  [16808] = 16299,
  [16809] = 16301,
  [16810] = 16315,
  [16811] = 16355,
  [16812] = 16354,
  [16813] = 16304,
  [16814] = 16289,
  [16815] = 16296,
  [16816] = 16353,
  [16817] = 16347,
  [16818] = 16291,
  [16819] = 16358,
  [16820] = 16301,
  [16821] = 16302,
  [16822] = 16324,
  [16823] = 16289,
  [16824] = 16297,
  [16825] = 16299,
  [16826] = 16508,
  [16827] = 16344,
  [16828] = 16355,
  [16829] = 16354,
  [16830] = 16353,
  [16831] = 16389,
  [16832] = 16296,
  [16833] = 16302,
  [16834] = 16299,
  [16835] = 16288,
  [16836] = 16291,
  [16837] = 16296,
  [16838] = 16350,
  [16839] = 16353,
  [16840] = 16354,
  [16841] = 16355,
  [16842] = 16357,
  [16843] = 16355,
  [16844] = 16354,
  [16845] = 16296,
  [16846] = 16353,
  [16847] = 16289,
  [16848] = 16296,
  [16849] = 16431,
  [16850] = 16377,
  [16851] = 16302,
  [16852] = 16299,
  [16853] = 16357,
  [16854] = 16301,
  [16855] = 16288,
  [16856] = 16357,
  [16857] = 16302,
  [16858] = 16355,
  [16859] = 16354,
  [16860] = 16353,
  [16861] = 16361,
  [16862] = 16288,
  [16863] = 16291,
  [16864] = 16296,
  [16865] = 16357,
  [16866] = 16299,
  [16867] = 16357,
  [16868] = 16377,
  [16869] = 16475,
  [16870] = 16355,
  [16871] = 16354,
  [16872] = 16353,
  [16873] = 16357,
  [16874] = 16299,
  [16875] = 16302,
  [16876] = 16288,
  [16877] = 16291,
  [16878] = 16301,
  [16879] = 16344,
  [16880] = 16296,
  [16881] = 16377,
  [16882] = 16499,
  [16883] = 16344,
  [16884] = 16344,
  [16885] = 16288,
  [16886] = 16357,
  [16887] = 16355,
  [16888] = 16301,
  [16889] = 16354,
  [16890] = 16353,
  [16891] = 16508,
  [16892] = 16302,
  [16893] = 16299,
  [16894] = 16521,
  [16895] = 16357,
  [16896] = 16297,
  [16897] = 16296,
  [16898] = 16377,
  [16899] = 16344,
  [16900] = 16304,
  [16901] = 16292,
  [16902] = 16306,
  [16903] = 16526,
  [16904] = 16355,
  [16905] = 16354,
  [16906] = 16291,
  [16907] = 16353,
  [16908] = 16344,
  [16909] = 16289,
  [16910] = 16319,
  [16911] = 16289,
  [16912] = 16299,
  [16913] = 16536,
  [16914] = 16303,
  [16915] = 16537,
  [16916] = 16299,
  [16917] = 16296,
  [16918] = 16301,
  [16919] = 16377,
  [16920] = 16554,
  [16921] = 16289,
  [16922] = 16355,
  [16923] = 16354,
  [16924] = 16353,
  [16925] = 16557,
  [16926] = 16288,
  [16927] = 16289,
  [16928] = 16566,
  [16929] = 16324,
  [16930] = 16299,
  [16931] = 16289,
  [16932] = 16300,
  [16933] = 16569,
  [16934] = 16570,
  [16935] = 16377,
  [16936] = 16305,
  [16937] = 16355,
  [16938] = 16354,
  [16939] = 16353,
  [16940] = 16292,
  [16941] = 16291,
  [16942] = 16289,
  [16943] = 16303,
  [16944] = 16299,
  [16945] = 16350,
  [16946] = 16353,
  [16947] = 16354,
  [16948] = 16355,
  [16949] = 16288,
  [16950] = 16315,
  [16951] = 16317,
  [16952] = 16377,
  [16953] = 16344,
  [16954] = 16355,
  [16955] = 16354,
  [16956] = 16353,
  [16957] = 16377,
  [16958] = 16301,
  [16959] = 16305,
  [16960] = 16300,
  [16961] = 16299,
  [16962] = 16306,
  [16963] = 16377,
  [16964] = 16355,
  [16965] = 16354,
  [16966] = 16353,
  [16967] = 16358,
  [16968] = 16289,
  [16969] = 16361,
  [16970] = 16344,
  [16971] = 16317,
  [16972] = 16305,
  [16973] = 16299,
  [16974] = 16288,
  [16975] = 16306,
  [16976] = 16303,
  [16977] = 16291,
  [16978] = 16377,
  [16979] = 16355,
  [16980] = 16292,
  [16981] = 16354,
  [16982] = 16353,
  [16983] = 16357,
  [16984] = 16299,
  [16985] = 16296,
  [16986] = 16431,
  [16987] = 16306,
  [16988] = 16289,
  [16989] = 16288,
  [16990] = 16301,
  [16991] = 16377,
  [16992] = 16355,
  [16993] = 16354,
  [16994] = 16537,
  [16995] = 16353,
  [16996] = 16536,
  [16997] = 16300,
  [16998] = 16288,
  [16999] = 16299,
  [17000] = 16302,
  [17001] = 16306,
  [17002] = 16300,
  [17003] = 16297,
  [17004] = 16377,
  [17005] = 16305,
  [17006] = 16355,
  [17007] = 16304,
  [17008] = 16354,
  [17009] = 16306,
  [17010] = 16353,
  [17011] = 16475,
  [17012] = 16302,
  [17013] = 16292,
  [17014] = 16508,
  [17015] = 16291,
  [17016] = 16291,
  [17017] = 16499,
  [17018] = 16291,
  [17019] = 16299,
  [17020] = 16299,
  [17021] = 16292,
  [17022] = 16306,
  [17023] = 16303,
  [17024] = 16499,
  [17025] = 16508,
  [17026] = 16289,
  [17027] = 16377,
  [17028] = 16288,
  [17029] = 16302,
  [17030] = 16355,
  [17031] = 16354,
  [17032] = 16353,
  [17033] = 16291,
  [17034] = 16526,
  [17035] = 16299,
  [17036] = 16306,
  [17037] = 16536,
  [17038] = 16537,
  [17039] = 16302,
  [17040] = 16377,
  [17041] = 16355,
  [17042] = 16354,
  [17043] = 16353,
  [17044] = 16554,
  [17045] = 16300,
  [17046] = 16557,
  [17047] = 16288,
  [17048] = 16566,
  [17049] = 16350,
  [17050] = 16353,
  [17051] = 16354,
  [17052] = 16355,
  [17053] = 16344,
  [17054] = 16299,
  [17055] = 16569,
  [17056] = 16288,
  [17057] = 16570,
  [17058] = 16306,
  [17059] = 16377,
  [17060] = 16355,
  [17061] = 16377,
  [17062] = 16354,
  [17063] = 16353,
  [17064] = 16292,
  [17065] = 16291,
  [17066] = 16303,
  [17067] = 16299,
  [17068] = 16315,
  [17069] = 16317,
  [17070] = 16306,
  [17071] = 16377,
  [17072] = 16300,
  [17073] = 16355,
  [17074] = 16354,
  [17075] = 16353,
  [17076] = 16297,
  [17077] = 16301,
  [17078] = 16305,
  [17079] = 16302,
  [17080] = 16289,
  [17081] = 16305,
  [17082] = 16300,
  [17083] = 16299,
  [17084] = 16301,
  [17085] = 16306,
  [17086] = 16296,
  [17087] = 16306,
  [17088] = 16316,
  [17089] = 16377,
  [17090] = 16355,
  [17091] = 16354,
  [17092] = 16297,
  [17093] = 16353,
  [17094] = 16358,
  [17095] = 16357,
  [17096] = 16304,
  [17097] = 16289,
  [17098] = 16306,
  [17099] = 16357,
  [17100] = 16361,
  [17101] = 16296,
  [17102] = 16344,
  [17103] = 16299,
  [17104] = 16326,
  [17105] = 16306,
  [17106] = 16301,
  [17107] = 16299,
  [17108] = 16299,
  [17109] = 16304,
  [17110] = 16344,
  [17111] = 16377,
  [17112] = 16355,
  [17113] = 16354,
  [17114] = 16344,
  [17115] = 16289,
  [17116] = 16353,
  [17117] = 16303,
  [17118] = 16357,
  [17119] = 16291,
  [17120] = 16292,
  [17121] = 16357,
  [17122] = 16357,
  [17123] = 16299,
  [17124] = 16296,
  [17125] = 16431,
  [17126] = 16289,
  [17127] = 16301,
  [17128] = 16306,
  [17129] = 16304,
  [17130] = 16344,
  [17131] = 16377,
  [17132] = 16355,
  [17133] = 16354,
  [17134] = 16353,
  [17135] = 16288,
  [17136] = 16289,
  [17137] = 16357,
  [17138] = 16350,
  [17139] = 16353,
  [17140] = 16354,
  [17141] = 16355,
  [17142] = 16299,
  [17143] = 16324,
  [17144] = 16386,
  [17145] = 16302,
  [17146] = 16306,
  [17147] = 16304,
  [17148] = 16475,
  [17149] = 16327,
  [17150] = 16377,
  [17151] = 16297,
  [17152] = 16377,
  [17153] = 16355,
  [17154] = 16354,
  [17155] = 16353,
  [17156] = 16302,
  [17157] = 16499,
  [17158] = 16411,
  [17159] = 16296,
  [17160] = 16508,
  [17161] = 16302,
  [17162] = 16299,
  [17163] = 16306,
  [17164] = 16300,
  [17165] = 16304,
  [17166] = 16297,
  [17167] = 16305,
  [17168] = 16536,
  [17169] = 16537,
  [17170] = 16301,
  [17171] = 16377,
  [17172] = 16554,
  [17173] = 16355,
  [17174] = 16354,
  [17175] = 16353,
  [17176] = 16341,
  [17177] = 16557,
  [17178] = 16288,
  [17179] = 16317,
  [17180] = 16288,
  [17181] = 16297,
  [17182] = 16296,
  [17183] = 16566,
  [17184] = 16569,
  [17185] = 16304,
  [17186] = 16570,
  [17187] = 16306,
  [17188] = 16302,
  [17189] = 16303,
  [17190] = 16291,
  [17191] = 16299,
  [17192] = 16526,
  [17193] = 16306,
  [17194] = 16292,
  [17195] = 16304,
  [17196] = 16292,
  [17197] = 16299,
  [17198] = 16297,
  [17199] = 16350,
  [17200] = 16305,
  [17201] = 16292,
  [17202] = 16291,
  [17203] = 16303,
  [17204] = 16289,
  [17205] = 16352,
  [17206] = 16377,
  [17207] = 16296,
  [17208] = 16355,
  [17209] = 16354,
  [17210] = 16353,
  [17211] = 16353,
  [17212] = 16317,
  [17213] = 16291,
  [17214] = 16569,
  [17215] = 16354,
  [17216] = 16301,
  [17217] = 16288,
  [17218] = 16301,
  [17219] = 16355,
  [17220] = 16301,
  [17221] = 16464,
  [17222] = 16299,
  [17223] = 16300,
  [17224] = 16296,
  [17225] = 16305,
  [17226] = 16303,
  [17227] = 16350,
  [17228] = 16353,
  [17229] = 16354,
  [17230] = 16355,
  [17231] = 16300,
  [17232] = 16306,
  [17233] = 16296,
  [17234] = 16304,
  [17235] = 16297,
  [17236] = 16377,
  [17237] = 16537,
  [17238] = 16377,
  [17239] = 16355,
  [17240] = 16536,
  [17241] = 16354,
  [17242] = 16353,
  [17243] = 16289,
  [17244] = 16289,
  [17245] = 16340,
  [17246] = 16344,
  [17247] = 16370,
  [17248] = 16299,
  [17249] = 16357,
  [17250] = 16302,
  [17251] = 16306,
  [17252] = 16304,
  [17253] = 16377,
  [17254] = 16297,
  [17255] = 16357,
  [17256] = 16526,
  [17257] = 16296,
  [17258] = 16377,
  [17259] = 16296,
  [17260] = 16355,
  [17261] = 16302,
  [17262] = 16354,
  [17263] = 16302,
  [17264] = 16353,
  [17265] = 16508,
  [17266] = 16301,
  [17267] = 16344,
  [17268] = 16297,
  [17269] = 16499,
  [17270] = 16305,
  [17271] = 16299,
  [17272] = 16304,
  [17273] = 16306,
  [17274] = 16306,
  [17275] = 16304,
  [17276] = 16297,
  [17277] = 16300,
  [17278] = 16475,
  [17279] = 16377,
  [17280] = 16288,
  [17281] = 16355,
  [17282] = 16354,
  [17283] = 16353,
  [17284] = 16299,
  [17285] = 16300,
  [17286] = 16357,
  [17287] = 16499,
  [17288] = 16508,
  [17289] = 16299,
  [17290] = 16289,
  [17291] = 16305,
  [17292] = 16302,
  [17293] = 16306,
  [17294] = 16304,
  [17295] = 16357,
  [17296] = 16526,
  [17297] = 16344,
  [17298] = 16297,
  [17299] = 16536,
  [17300] = 16377,
  [17301] = 16537,
  [17302] = 16344,
  [17303] = 16355,
  [17304] = 16354,
  [17305] = 16353,
  [17306] = 16554,
  [17307] = 16291,
  [17308] = 16289,
  [17309] = 16303,
  [17310] = 16288,
  [17311] = 16566,
  [17312] = 16569,
  [17313] = 16350,
  [17314] = 16353,
  [17315] = 16354,
  [17316] = 16355,
  [17317] = 16299,
  [17318] = 16291,
  [17319] = 16292,
  [17320] = 16291,
  [17321] = 16306,
  [17322] = 16304,
  [17323] = 16297,
  [17324] = 16377,
  [17325] = 16300,
  [17326] = 16291,
  [17327] = 16344,
  [17328] = 16303,
  [17329] = 16288,
  [17330] = 16377,
  [17331] = 16355,
  [17332] = 16354,
  [17333] = 16353,
  [17334] = 16288,
  [17335] = 16317,
  [17336] = 16299,
  [17337] = 16305,
  [17338] = 16354,
  [17339] = 16355,
  [17340] = 16301,
  [17341] = 16299,
  [17342] = 16296,
  [17343] = 16377,
  [17344] = 16306,
  [17345] = 16292,
  [17346] = 16300,
  [17347] = 16304,
  [17348] = 16357,
  [17349] = 16297,
  [17350] = 16289,
  [17351] = 16357,
  [17352] = 16296,
  [17353] = 16304,
  [17354] = 16302,
  [17355] = 16306,
  [17356] = 16301,
  [17357] = 16344,
  [17358] = 16297,
  [17359] = 16350,
  [17360] = 16353,
  [17361] = 17361,
  [17362] = 17362,
  [17363] = 17363,
  [17364] = 17364,
  [17365] = 17365,
  [17366] = 17366,
  [17367] = 17367,
  [17368] = 17368,
  [17369] = 17369,
  [17370] = 17366,
  [17371] = 17364,
  [17372] = 17372,
  [17373] = 17368,
  [17374] = 17365,
  [17375] = 17375,
  [17376] = 17363,
  [17377] = 17377,
  [17378] = 17378,
  [17379] = 17379,
  [17380] = 17380,
  [17381] = 17381,
  [17382] = 17382,
  [17383] = 17383,
  [17384] = 17384,
  [17385] = 17385,
  [17386] = 17386,
  [17387] = 17362,
  [17388] = 17388,
  [17389] = 17389,
  [17390] = 17389,
  [17391] = 17391,
  [17392] = 17392,
  [17393] = 17393,
  [17394] = 17363,
  [17395] = 17395,
  [17396] = 17396,
  [17397] = 17397,
  [17398] = 17398,
  [17399] = 17369,
  [17400] = 17400,
  [17401] = 17401,
  [17402] = 17361,
  [17403] = 17369,
  [17404] = 17404,
  [17405] = 17388,
  [17406] = 17406,
  [17407] = 17407,
  [17408] = 17406,
  [17409] = 17409,
  [17410] = 17410,
  [17411] = 17411,
  [17412] = 17412,
  [17413] = 17413,
  [17414] = 17414,
  [17415] = 17415,
  [17416] = 17416,
  [17417] = 17417,
  [17418] = 17418,
  [17419] = 17419,
  [17420] = 17420,
  [17421] = 17421,
  [17422] = 17422,
  [17423] = 17423,
  [17424] = 17362,
  [17425] = 17425,
  [17426] = 17375,
  [17427] = 17427,
  [17428] = 17421,
  [17429] = 17401,
  [17430] = 17377,
  [17431] = 17431,
  [17432] = 17416,
  [17433] = 17372,
  [17434] = 17378,
  [17435] = 17382,
  [17436] = 17383,
  [17437] = 17384,
  [17438] = 17385,
  [17439] = 17393,
  [17440] = 17420,
  [17441] = 17397,
  [17442] = 17381,
  [17443] = 17443,
  [17444] = 17391,
  [17445] = 17392,
  [17446] = 17417,
  [17447] = 17418,
  [17448] = 17415,
  [17449] = 17395,
  [17450] = 17414,
  [17451] = 17413,
  [17452] = 17412,
  [17453] = 17411,
  [17454] = 17431,
  [17455] = 17361,
  [17456] = 17456,
  [17457] = 17410,
  [17458] = 17419,
  [17459] = 17409,
  [17460] = 17381,
  [17461] = 17409,
  [17462] = 17410,
  [17463] = 17411,
  [17464] = 17412,
  [17465] = 17407,
  [17466] = 17421,
  [17467] = 17467,
  [17468] = 17468,
  [17469] = 17396,
  [17470] = 17379,
  [17471] = 17468,
  [17472] = 17425,
  [17473] = 17443,
  [17474] = 17362,
  [17475] = 17431,
  [17476] = 17361,
  [17477] = 17389,
  [17478] = 17386,
  [17479] = 17400,
  [17480] = 17365,
  [17481] = 17375,
  [17482] = 17482,
  [17483] = 17483,
  [17484] = 17388,
  [17485] = 17398,
  [17486] = 17431,
  [17487] = 17386,
  [17488] = 17488,
  [17489] = 17388,
  [17490] = 17382,
  [17491] = 17383,
  [17492] = 17384,
  [17493] = 17395,
  [17494] = 17389,
  [17495] = 17495,
  [17496] = 17496,
  [17497] = 17368,
  [17498] = 17498,
  [17499] = 17391,
  [17500] = 17392,
  [17501] = 17363,
  [17502] = 17392,
  [17503] = 17380,
  [17504] = 17395,
  [17505] = 17456,
  [17506] = 17506,
  [17507] = 17391,
  [17508] = 17362,
  [17509] = 17420,
  [17510] = 17361,
  [17511] = 17511,
  [17512] = 17369,
  [17513] = 17513,
  [17514] = 17406,
  [17515] = 17515,
  [17516] = 17409,
  [17517] = 17410,
  [17518] = 17411,
  [17519] = 17412,
  [17520] = 17520,
  [17521] = 17393,
  [17522] = 17385,
  [17523] = 17378,
  [17524] = 17379,
  [17525] = 17396,
  [17526] = 17372,
  [17527] = 17527,
  [17528] = 17384,
  [17529] = 17383,
  [17530] = 17443,
  [17531] = 17368,
  [17532] = 17532,
  [17533] = 17443,
  [17534] = 17425,
  [17535] = 17468,
  [17536] = 17375,
  [17537] = 17527,
  [17538] = 17380,
  [17539] = 17382,
  [17540] = 17417,
  [17541] = 17425,
  [17542] = 17416,
  [17543] = 17404,
  [17544] = 17406,
  [17545] = 17382,
  [17546] = 17383,
  [17547] = 17384,
  [17548] = 17468,
  [17549] = 17419,
  [17550] = 17550,
  [17551] = 17416,
  [17552] = 17419,
  [17553] = 17418,
  [17554] = 17391,
  [17555] = 17392,
  [17556] = 17417,
  [17557] = 17401,
  [17558] = 17397,
  [17559] = 17395,
  [17560] = 17416,
  [17561] = 17361,
  [17562] = 17421,
  [17563] = 17416,
  [17564] = 17396,
  [17565] = 17361,
  [17566] = 17396,
  [17567] = 17375,
  [17568] = 17386,
  [17569] = 17366,
  [17570] = 17406,
  [17571] = 17409,
  [17572] = 17410,
  [17573] = 17411,
  [17574] = 17412,
  [17575] = 17397,
  [17576] = 17421,
  [17577] = 17415,
  [17578] = 17369,
  [17579] = 17419,
  [17580] = 17401,
  [17581] = 17380,
  [17582] = 17420,
  [17583] = 17363,
  [17584] = 17404,
  [17585] = 17389,
  [17586] = 17468,
  [17587] = 17414,
  [17588] = 17413,
  [17589] = 17511,
  [17590] = 17393,
  [17591] = 17375,
  [17592] = 17506,
  [17593] = 17412,
  [17594] = 17411,
  [17595] = 17425,
  [17596] = 17410,
  [17597] = 17388,
  [17598] = 17427,
  [17599] = 17362,
  [17600] = 17382,
  [17601] = 17383,
  [17602] = 17384,
  [17603] = 17379,
  [17604] = 17409,
  [17605] = 17385,
  [17606] = 17550,
  [17607] = 17378,
  [17608] = 17377,
  [17609] = 17391,
  [17610] = 17392,
  [17611] = 17381,
  [17612] = 17372,
  [17613] = 17527,
  [17614] = 17395,
  [17615] = 17418,
  [17616] = 17443,
  [17617] = 17417,
  [17618] = 17527,
  [17619] = 17364,
  [17620] = 17361,
  [17621] = 17418,
  [17622] = 17404,
  [17623] = 17407,
  [17624] = 17366,
  [17625] = 17367,
  [17626] = 17409,
  [17627] = 17410,
  [17628] = 17411,
  [17629] = 17412,
  [17630] = 17417,
  [17631] = 17532,
  [17632] = 17400,
  [17633] = 17366,
  [17634] = 17377,
  [17635] = 17372,
  [17636] = 17365,
  [17637] = 17368,
  [17638] = 17378,
  [17639] = 17385,
  [17640] = 17640,
  [17641] = 17393,
  [17642] = 17368,
  [17643] = 17365,
  [17644] = 17364,
  [17645] = 17645,
  [17646] = 17375,
  [17647] = 17520,
  [17648] = 17415,
  [17649] = 17649,
  [17650] = 17414,
  [17651] = 17361,
  [17652] = 17406,
  [17653] = 17413,
  [17654] = 17381,
  [17655] = 17382,
  [17656] = 17383,
  [17657] = 17384,
  [17658] = 17412,
  [17659] = 17411,
  [17660] = 17362,
  [17661] = 17388,
  [17662] = 17527,
  [17663] = 17389,
  [17664] = 17391,
  [17665] = 17392,
  [17666] = 17366,
  [17667] = 17363,
  [17668] = 17410,
  [17669] = 17395,
  [17670] = 17409,
  [17671] = 17419,
  [17672] = 17407,
  [17673] = 17515,
  [17674] = 17406,
  [17675] = 17361,
  [17676] = 17369,
  [17677] = 17513,
  [17678] = 17404,
  [17679] = 17366,
  [17680] = 17404,
  [17681] = 17409,
  [17682] = 17410,
  [17683] = 17411,
  [17684] = 17412,
  [17685] = 17416,
  [17686] = 17417,
  [17687] = 17418,
  [17688] = 17419,
  [17689] = 17369,
  [17690] = 17527,
  [17691] = 17421,
  [17692] = 17422,
  [17693] = 17423,
  [17694] = 17456,
  [17695] = 17398,
  [17696] = 17400,
  [17697] = 17697,
  [17698] = 17398,
  [17699] = 17468,
  [17700] = 17425,
  [17701] = 17375,
  [17702] = 17420,
  [17703] = 17703,
  [17704] = 17395,
  [17705] = 17421,
  [17706] = 17401,
  [17707] = 17397,
  [17708] = 17498,
  [17709] = 17364,
  [17710] = 17382,
  [17711] = 17383,
  [17712] = 17384,
  [17713] = 17392,
  [17714] = 17364,
  [17715] = 17377,
  [17716] = 17496,
  [17717] = 17396,
  [17718] = 17443,
  [17719] = 17391,
  [17720] = 17392,
  [17721] = 17391,
  [17722] = 17495,
  [17723] = 17488,
  [17724] = 17395,
  [17725] = 17401,
  [17726] = 17431,
  [17727] = 17384,
  [17728] = 17383,
  [17729] = 17483,
  [17730] = 17361,
  [17731] = 17456,
  [17732] = 17482,
  [17733] = 17386,
  [17734] = 17382,
  [17735] = 17377,
  [17736] = 17409,
  [17737] = 17410,
  [17738] = 17411,
  [17739] = 17412,
  [17740] = 17468,
  [17741] = 17377,
  [17742] = 17467,
  [17743] = 17425,
  [17744] = 17380,
  [17745] = 17745,
  [17746] = 17379,
  [17747] = 17395,
  [17748] = 17380,
  [17749] = 17467,
  [17750] = 17750,
  [17751] = 17397,
  [17752] = 17380,
  [17753] = 17375,
  [17754] = 17379,
  [17755] = 17380,
  [17756] = 17375,
  [17757] = 17482,
  [17758] = 17483,
  [17759] = 17759,
  [17760] = 17467,
  [17761] = 17431,
  [17762] = 17396,
  [17763] = 17401,
  [17764] = 17488,
  [17765] = 17382,
  [17766] = 17383,
  [17767] = 17384,
  [17768] = 17386,
  [17769] = 17392,
  [17770] = 17456,
  [17771] = 17495,
  [17772] = 17377,
  [17773] = 17496,
  [17774] = 17391,
  [17775] = 17392,
  [17776] = 17386,
  [17777] = 17498,
  [17778] = 17391,
  [17779] = 17395,
  [17780] = 17420,
  [17781] = 17443,
  [17782] = 17393,
  [17783] = 17385,
  [17784] = 17378,
  [17785] = 17361,
  [17786] = 17786,
  [17787] = 17372,
  [17788] = 17527,
  [17789] = 17420,
  [17790] = 17418,
  [17791] = 17409,
  [17792] = 17410,
  [17793] = 17411,
  [17794] = 17412,
  [17795] = 17513,
  [17796] = 17396,
  [17797] = 17515,
  [17798] = 17520,
  [17799] = 17799,
  [17800] = 17381,
  [17801] = 17393,
  [17802] = 17385,
  [17803] = 17378,
  [17804] = 17425,
  [17805] = 17386,
  [17806] = 17468,
  [17807] = 17372,
  [17808] = 17456,
  [17809] = 17404,
  [17810] = 17532,
  [17811] = 17375,
  [17812] = 17812,
  [17813] = 17396,
  [17814] = 17397,
  [17815] = 17379,
  [17816] = 17364,
  [17817] = 17401,
  [17818] = 17527,
  [17819] = 17415,
  [17820] = 17382,
  [17821] = 17383,
  [17822] = 17384,
  [17823] = 17363,
  [17824] = 17404,
  [17825] = 17414,
  [17826] = 17413,
  [17827] = 17412,
  [17828] = 17411,
  [17829] = 17391,
  [17830] = 17392,
  [17831] = 17410,
  [17832] = 17550,
  [17833] = 17386,
  [17834] = 17395,
  [17835] = 17527,
  [17836] = 17409,
  [17837] = 17404,
  [17838] = 17407,
  [17839] = 17404,
  [17840] = 17361,
  [17841] = 17841,
  [17842] = 17423,
  [17843] = 17389,
  [17844] = 17401,
  [17845] = 17397,
  [17846] = 17409,
  [17847] = 17410,
  [17848] = 17411,
  [17849] = 17412,
  [17850] = 17396,
  [17851] = 17366,
  [17852] = 17852,
  [17853] = 17386,
  [17854] = 17854,
  [17855] = 17422,
  [17856] = 17396,
  [17857] = 17421,
  [17858] = 17419,
  [17859] = 17361,
  [17860] = 17388,
  [17861] = 17404,
  [17862] = 17862,
  [17863] = 17400,
  [17864] = 17398,
  [17865] = 17368,
  [17866] = 17375,
  [17867] = 17380,
  [17868] = 17372,
  [17869] = 17378,
  [17870] = 17401,
  [17871] = 17384,
  [17872] = 17383,
  [17873] = 17385,
  [17874] = 17511,
  [17875] = 17382,
  [17876] = 17383,
  [17877] = 17384,
  [17878] = 17397,
  [17879] = 17393,
  [17880] = 17506,
  [17881] = 17382,
  [17882] = 17418,
  [17883] = 17420,
  [17884] = 17391,
  [17885] = 17392,
  [17886] = 17362,
  [17887] = 17427,
  [17888] = 17397,
  [17889] = 17395,
  [17890] = 17395,
  [17891] = 17417,
  [17892] = 17416,
  [17893] = 17406,
  [17894] = 17379,
  [17895] = 17361,
  [17896] = 17401,
  [17897] = 17392,
  [17898] = 17431,
  [17899] = 17377,
  [17900] = 17527,
  [17901] = 17409,
  [17902] = 17410,
  [17903] = 17411,
  [17904] = 17412,
  [17905] = 17368,
  [17906] = 17381,
  [17907] = 17391,
  [17908] = 17368,
  [17909] = 17396,
  [17910] = 17369,
  [17911] = 17364,
  [17912] = 17380,
  [17913] = 17363,
  [17914] = 17375,
  [17915] = 17386,
  [17916] = 17372,
  [17917] = 17366,
  [17918] = 17367,
  [17919] = 17382,
  [17920] = 17383,
  [17921] = 17384,
  [17922] = 17380,
  [17923] = 17384,
  [17924] = 17383,
  [17925] = 17381,
  [17926] = 17389,
  [17927] = 17391,
  [17928] = 17392,
  [17929] = 17745,
  [17930] = 17388,
  [17931] = 17931,
  [17932] = 17395,
  [17933] = 17382,
  [17934] = 17362,
  [17935] = 17381,
  [17936] = 17423,
  [17937] = 17361,
  [17938] = 17365,
  [17939] = 17361,
  [17940] = 17418,
  [17941] = 17645,
  [17942] = 17378,
  [17943] = 17409,
  [17944] = 17410,
  [17945] = 17411,
  [17946] = 17412,
  [17947] = 17362,
  [17948] = 17745,
  [17949] = 17377,
  [17950] = 17377,
  [17951] = 17364,
  [17952] = 17368,
  [17953] = 17953,
  [17954] = 17381,
  [17955] = 17375,
  [17956] = 17375,
  [17957] = 17365,
  [17958] = 17362,
  [17959] = 17388,
  [17960] = 17382,
  [17961] = 17383,
  [17962] = 17384,
  [17963] = 17389,
  [17964] = 17443,
  [17965] = 17363,
  [17966] = 17388,
  [17967] = 17368,
  [17968] = 17391,
  [17969] = 17392,
  [17970] = 17366,
  [17971] = 17375,
  [17972] = 17443,
  [17973] = 17395,
  [17974] = 17421,
  [17975] = 17372,
  [17976] = 17419,
  [17977] = 17369,
  [17978] = 17361,
  [17979] = 17366,
  [17980] = 17418,
  [17981] = 17389,
  [17982] = 17406,
  [17983] = 17416,
  [17984] = 17409,
  [17985] = 17410,
  [17986] = 17411,
  [17987] = 17412,
  [17988] = 17417,
  [17989] = 17367,
  [17990] = 17366,
  [17991] = 17368,
  [17992] = 17418,
  [17993] = 17419,
  [17994] = 17421,
  [17995] = 17422,
  [17996] = 17375,
  [17997] = 17364,
  [17998] = 17368,
  [17999] = 17363,
  [18000] = 17378,
  [18001] = 17382,
  [18002] = 17383,
  [18003] = 17384,
  [18004] = 17468,
  [18005] = 17425,
  [18006] = 17365,
  [18007] = 17377,
  [18008] = 17385,
  [18009] = 17391,
  [18010] = 17392,
  [18011] = 17527,
  [18012] = 17425,
  [18013] = 17379,
  [18014] = 17395,
  [18015] = 17427,
  [18016] = 17385,
  [18017] = 17366,
  [18018] = 17468,
  [18019] = 17361,
  [18020] = 17415,
  [18021] = 17414,
  [18022] = 17421,
  [18023] = 17368,
  [18024] = 17443,
  [18025] = 17409,
  [18026] = 17410,
  [18027] = 17411,
  [18028] = 17412,
  [18029] = 17468,
  [18030] = 17425,
  [18031] = 17419,
  [18032] = 17413,
  [18033] = 17369,
  [18034] = 17412,
  [18035] = 17411,
  [18036] = 17368,
  [18037] = 17375,
  [18038] = 17410,
  [18039] = 17456,
  [18040] = 17468,
  [18041] = 17425,
  [18042] = 17382,
  [18043] = 17383,
  [18044] = 17384,
  [18045] = 17409,
  [18046] = 17393,
  [18047] = 17372,
  [18048] = 17406,
  [18049] = 17467,
  [18050] = 17391,
  [18051] = 17392,
  [18052] = 17407,
  [18053] = 17378,
  [18054] = 17385,
  [18055] = 17395,
  [18056] = 17386,
  [18057] = 17506,
  [18058] = 17420,
  [18059] = 17416,
  [18060] = 17361,
  [18061] = 17417,
  [18062] = 17511,
  [18063] = 17425,
  [18064] = 17419,
  [18065] = 17380,
  [18066] = 17409,
  [18067] = 17410,
  [18068] = 17411,
  [18069] = 17412,
  [18070] = 17482,
  [18071] = 17425,
  [18072] = 17468,
  [18073] = 17443,
  [18074] = 17483,
  [18075] = 17431,
  [18076] = 17372,
  [18077] = 17400,
  [18078] = 17375,
  [18079] = 17398,
  [18080] = 17488,
  [18081] = 17381,
  [18082] = 17362,
  [18083] = 17382,
  [18084] = 17383,
  [18085] = 17384,
  [18086] = 17495,
  [18087] = 17496,
  [18088] = 17395,
  [18089] = 17421,
  [18090] = 17498,
  [18091] = 17391,
  [18092] = 17392,
  [18093] = 17388,
  [18094] = 17389,
  [18095] = 17786,
  [18096] = 17395,
  [18097] = 17397,
  [18098] = 17392,
  [18099] = 17380,
  [18100] = 17468,
  [18101] = 17361,
  [18102] = 17420,
  [18103] = 17391,
  [18104] = 17363,
  [18105] = 17513,
  [18106] = 17369,
  [18107] = 17409,
  [18108] = 17410,
  [18109] = 17411,
  [18110] = 17412,
  [18111] = 17515,
  [18112] = 17425,
  [18113] = 17417,
  [18114] = 17456,
  [18115] = 17520,
  [18116] = 17393,
  [18117] = 17385,
  [18118] = 17378,
  [18119] = 17375,
  [18120] = 17386,
  [18121] = 17372,
  [18122] = 17393,
  [18123] = 17425,
  [18124] = 17382,
  [18125] = 17383,
  [18126] = 17384,
  [18127] = 17532,
  [18128] = 17812,
  [18129] = 17368,
  [18130] = 17443,
  [18131] = 17468,
  [18132] = 17391,
  [18133] = 17392,
  [18134] = 17420,
  [18135] = 17425,
  [18136] = 17527,
  [18137] = 17395,
  [18138] = 17406,
  [18139] = 17384,
  [18140] = 17383,
  [18141] = 17396,
  [18142] = 17361,
  [18143] = 17397,
  [18144] = 17382,
  [18145] = 17401,
  [18146] = 17431,
  [18147] = 17416,
  [18148] = 17409,
  [18149] = 17410,
  [18150] = 17411,
  [18151] = 17412,
  [18152] = 17416,
  [18153] = 17368,
  [18154] = 17468,
  [18155] = 17404,
  [18156] = 17550,
  [18157] = 17550,
  [18158] = 17404,
  [18159] = 17841,
  [18160] = 17375,
  [18161] = 17745,
  [18162] = 17425,
  [18163] = 17401,
  [18164] = 17397,
  [18165] = 17382,
  [18166] = 17383,
  [18167] = 17384,
  [18168] = 17396,
  [18169] = 17417,
  [18170] = 17852,
  [18171] = 17418,
  [18172] = 17386,
  [18173] = 17391,
  [18174] = 17392,
  [18175] = 17443,
  [18176] = 17406,
  [18177] = 17375,
  [18178] = 17395,
  [18179] = 17527,
  [18180] = 17419,
  [18181] = 17421,
  [18182] = 17862,
  [18183] = 17361,
  [18184] = 17431,
  [18185] = 17423,
  [18186] = 17431,
  [18187] = 17368,
  [18188] = 17468,
  [18189] = 17409,
  [18190] = 17410,
  [18191] = 17411,
  [18192] = 17412,
  [18193] = 17368,
  [18194] = 17368,
  [18195] = 17468,
  [18196] = 17420,
  [18197] = 17378,
  [18198] = 17418,
  [18199] = 17425,
  [18200] = 17368,
  [18201] = 17375,
  [18202] = 17385,
  [18203] = 17511,
  [18204] = 17393,
  [18205] = 17506,
  [18206] = 17382,
  [18207] = 17383,
  [18208] = 17384,
  [18209] = 17468,
  [18210] = 17425,
  [18211] = 17369,
  [18212] = 17468,
  [18213] = 17427,
  [18214] = 17391,
  [18215] = 17392,
  [18216] = 17368,
  [18217] = 17379,
  [18218] = 17520,
  [18219] = 17395,
  [18220] = 17515,
  [18221] = 17513,
  [18222] = 17420,
  [18223] = 17468,
  [18224] = 17361,
  [18225] = 17377,
  [18226] = 17425,
  [18227] = 17425,
  [18228] = 17420,
  [18229] = 17496,
  [18230] = 17409,
  [18231] = 17410,
  [18232] = 17411,
  [18233] = 17412,
  [18234] = 17364,
  [18235] = 17495,
  [18236] = 17368,
  [18237] = 17431,
  [18238] = 17468,
  [18239] = 17421,
  [18240] = 17468,
  [18241] = 17366,
  [18242] = 17375,
  [18243] = 17468,
  [18244] = 17367,
  [18245] = 17393,
  [18246] = 17385,
  [18247] = 17382,
  [18248] = 17383,
  [18249] = 17384,
  [18250] = 17425,
  [18251] = 17378,
  [18252] = 17363,
  [18253] = 17372,
  [18254] = 17419,
  [18255] = 17391,
  [18256] = 17392,
  [18257] = 17368,
  [18258] = 17468,
  [18259] = 17425,
  [18260] = 17395,
  [18261] = 17418,
  [18262] = 17417,
  [18263] = 17431,
  [18264] = 17368,
  [18265] = 17416,
  [18266] = 17365,
  [18267] = 17467,
  [18268] = 17421,
  [18269] = 17645,
  [18270] = 17419,
  [18271] = 17409,
  [18272] = 17410,
  [18273] = 17411,
  [18274] = 17412,
  [18275] = 17368,
  [18276] = 17468,
  [18277] = 17425,
  [18278] = 17416,
  [18279] = 17389,
  [18280] = 17368,
  [18281] = 17468,
  [18282] = 17381,
  [18283] = 17375,
  [18284] = 17425,
  [18285] = 17456,
  [18286] = 17362,
  [18287] = 17388,
  [18288] = 17382,
  [18289] = 17383,
  [18290] = 17384,
  [18291] = 17389,
  [18292] = 17425,
  [18293] = 17363,
  [18294] = 17388,
  [18295] = 17406,
  [18296] = 17391,
  [18297] = 17392,
  [18298] = 17415,
  [18299] = 17368,
  [18300] = 17414,
  [18301] = 17395,
  [18302] = 17413,
  [18303] = 17412,
  [18304] = 17411,
  [18305] = 17369,
  [18306] = 17361,
  [18307] = 17468,
  [18308] = 17410,
  [18309] = 17527,
  [18310] = 17406,
  [18311] = 17416,
  [18312] = 17409,
  [18313] = 17410,
  [18314] = 17411,
  [18315] = 17412,
  [18316] = 17417,
  [18317] = 17425,
  [18318] = 17362,
  [18319] = 17409,
  [18320] = 17377,
  [18321] = 17419,
  [18322] = 17421,
  [18323] = 17422,
  [18324] = 17375,
  [18325] = 17443,
  [18326] = 17423,
  [18327] = 17404,
  [18328] = 17407,
  [18329] = 17382,
  [18330] = 17383,
  [18331] = 17384,
  [18332] = 17468,
  [18333] = 17425,
  [18334] = 17456,
  [18335] = 17443,
  [18336] = 17468,
  [18337] = 17391,
  [18338] = 17392,
  [18339] = 17401,
  [18340] = 17397,
  [18341] = 17425,
  [18342] = 17395,
  [18343] = 17420,
  [18344] = 17443,
  [18345] = 17361,
  [18346] = 17369,
  [18347] = 17361,
  [18348] = 17368,
  [18349] = 17400,
  [18350] = 17468,
  [18351] = 17425,
  [18352] = 17443,
  [18353] = 17409,
  [18354] = 17410,
  [18355] = 17411,
  [18356] = 17412,
  [18357] = 17396,
  [18358] = 17381,
  [18359] = 17368,
  [18360] = 17418,
  [18361] = 17393,
  [18362] = 17398,
  [18363] = 17468,
  [18364] = 17375,
  [18365] = 17366,
  [18366] = 17456,
  [18367] = 17417,
  [18368] = 17425,
  [18369] = 17382,
  [18370] = 17383,
  [18371] = 17384,
  [18372] = 17456,
  [18373] = 17395,
  [18374] = 17416,
  [18375] = 17386,
  [18376] = 17467,
  [18377] = 17391,
  [18378] = 17392,
  [18379] = 17385,
  [18380] = 17406,
  [18381] = 17496,
  [18382] = 17395,
  [18383] = 17378,
  [18384] = 17392,
  [18385] = 17368,
  [18386] = 17368,
  [18387] = 17361,
  [18388] = 17468,
  [18389] = 17391,
  [18390] = 17425,
  [18391] = 17380,
  [18392] = 17369,
  [18393] = 17409,
  [18394] = 17410,
  [18395] = 17411,
  [18396] = 17412,
  [18397] = 17482,
  [18398] = 17368,
  [18399] = 17468,
  [18400] = 17483,
  [18401] = 17431,
  [18402] = 17425,
  [18403] = 17372,
  [18404] = 17375,
  [18405] = 17468,
  [18406] = 17488,
  [18407] = 17443,
  [18408] = 17425,
  [18409] = 17382,
  [18410] = 17383,
  [18411] = 17384,
  [18412] = 17363,
  [18413] = 17384,
  [18414] = 17495,
  [18415] = 17368,
  [18416] = 17515,
  [18417] = 17391,
  [18418] = 17392,
  [18419] = 17383,
  [18420] = 17498,
  [18421] = 17468,
  [18422] = 17395,
  [18423] = 17423,
  [18424] = 17422,
  [18425] = 17382,
  [18426] = 17421,
  [18427] = 17361,
  [18428] = 17425,
  [18429] = 17419,
  [18430] = 17786,
  [18431] = 17418,
  [18432] = 17417,
  [18433] = 17409,
  [18434] = 17410,
  [18435] = 17411,
  [18436] = 17412,
  [18437] = 17363,
  [18438] = 17368,
  [18439] = 17468,
  [18440] = 17425,
  [18441] = 17364,
  [18442] = 17420,
  [18443] = 17375,
  [18444] = 17416,
  [18445] = 17406,
  [18446] = 17513,
  [18447] = 17745,
  [18448] = 17382,
  [18449] = 17383,
  [18450] = 17384,
  [18451] = 17420,
  [18452] = 17520,
  [18453] = 17414,
  [18454] = 17369,
  [18455] = 17368,
  [18456] = 17391,
  [18457] = 17392,
  [18458] = 17393,
  [18459] = 17385,
  [18460] = 17378,
  [18461] = 17395,
  [18462] = 17375,
  [18463] = 17363,
  [18464] = 17389,
  [18465] = 17372,
  [18466] = 17361,
  [18467] = 17388,
  [18468] = 17362,
  [18469] = 17389,
  [18470] = 17532,
  [18471] = 17381,
  [18472] = 17409,
  [18473] = 17410,
  [18474] = 17411,
  [18475] = 17412,
  [18476] = 18476,
  [18477] = 17417,
  [18478] = 17468,
  [18479] = 17812,
  [18480] = 17431,
  [18481] = 17425,
  [18482] = 17375,
  [18483] = 17368,
  [18484] = 17365,
  [18485] = 17368,
  [18486] = 17362,
  [18487] = 17382,
  [18488] = 17383,
  [18489] = 17384,
  [18490] = 17417,
  [18491] = 17527,
  [18492] = 17381,
  [18493] = 17388,
  [18494] = 17366,
  [18495] = 17391,
  [18496] = 17392,
  [18497] = 17388,
  [18498] = 17468,
  [18499] = 17362,
  [18500] = 17395,
  [18501] = 17362,
  [18502] = 17365,
  [18503] = 17368,
  [18504] = 17431,
  [18505] = 17361,
  [18506] = 17425,
  [18507] = 17366,
  [18508] = 17368,
  [18509] = 17550,
  [18510] = 17443,
  [18511] = 17409,
  [18512] = 17410,
  [18513] = 17411,
  [18514] = 17412,
  [18515] = 17364,
  [18516] = 17431,
  [18517] = 17381,
  [18518] = 17420,
  [18519] = 17421,
  [18520] = 17404,
  [18521] = 17375,
  [18522] = 17377,
  [18523] = 17841,
  [18524] = 17368,
  [18525] = 17401,
  [18526] = 17382,
  [18527] = 17383,
  [18528] = 17384,
  [18529] = 17397,
  [18530] = 17396,
  [18531] = 17362,
  [18532] = 17381,
  [18533] = 17852,
  [18534] = 17391,
  [18535] = 17392,
  [18536] = 17386,
  [18537] = 17419,
  [18538] = 17388,
  [18539] = 17395,
  [18540] = 17418,
  [18541] = 17379,
  [18542] = 17406,
  [18543] = 17511,
  [18544] = 17361,
  [18545] = 17862,
  [18546] = 17420,
  [18547] = 18547,
  [18548] = 17368,
  [18549] = 17368,
  [18550] = 17409,
  [18551] = 17410,
  [18552] = 17411,
  [18553] = 17412,
  [18554] = 17369,
  [18555] = 17416,
  [18556] = 17417,
  [18557] = 17468,
  [18558] = 17380,
  [18559] = 17520,
  [18560] = 17375,
  [18561] = 17366,
  [18562] = 17425,
  [18563] = 17368,
  [18564] = 17380,
  [18565] = 17382,
  [18566] = 17383,
  [18567] = 17384,
  [18568] = 17511,
  [18569] = 17381,
  [18570] = 17506,
  [18571] = 17431,
  [18572] = 17386,
  [18573] = 17391,
  [18574] = 17392,
  [18575] = 17369,
  [18576] = 17415,
  [18577] = 17427,
  [18578] = 17395,
  [18579] = 17378,
  [18580] = 17413,
  [18581] = 17412,
  [18582] = 17411,
  [18583] = 17361,
  [18584] = 17379,
  [18585] = 17368,
  [18586] = 17362,
  [18587] = 18587,
  [18588] = 17409,
  [18589] = 17410,
  [18590] = 17411,
  [18591] = 17412,
  [18592] = 17377,
  [18593] = 17388,
  [18594] = 17410,
  [18595] = 17409,
  [18596] = 17362,
  [18597] = 17527,
  [18598] = 17375,
  [18599] = 17407,
  [18600] = 17364,
  [18601] = 17386,
  [18602] = 17396,
  [18603] = 17382,
  [18604] = 17383,
  [18605] = 17384,
  [18606] = 17416,
  [18607] = 17366,
  [18608] = 17367,
  [18609] = 17388,
  [18610] = 18610,
  [18611] = 17391,
  [18612] = 17392,
  [18613] = 18613,
  [18614] = 17389,
  [18615] = 17417,
  [18616] = 17395,
  [18617] = 17361,
  [18618] = 17400,
  [18619] = 17398,
  [18620] = 17363,
  [18621] = 17361,
  [18622] = 17468,
  [18623] = 17425,
  [18624] = 17365,
  [18625] = 17443,
  [18626] = 17409,
  [18627] = 17410,
  [18628] = 17411,
  [18629] = 17412,
  [18630] = 17854,
  [18631] = 17418,
  [18632] = 17397,
  [18633] = 17431,
  [18634] = 17395,
  [18635] = 17420,
  [18636] = 17375,
  [18637] = 17401,
  [18638] = 17368,
  [18639] = 17365,
  [18640] = 17366,
  [18641] = 17382,
  [18642] = 17383,
  [18643] = 17384,
  [18644] = 17645,
  [18645] = 17393,
  [18646] = 17404,
  [18647] = 17393,
  [18648] = 17368,
  [18649] = 17391,
  [18650] = 17392,
  [18651] = 17362,
  [18652] = 17392,
  [18653] = 17388,
  [18654] = 17395,
  [18655] = 17404,
  [18656] = 17391,
  [18657] = 17550,
  [18658] = 17369,
  [18659] = 17361,
  [18660] = 17369,
  [18661] = 18661,
  [18662] = 18662,
  [18663] = 17416,
  [18664] = 17409,
  [18665] = 17410,
  [18666] = 17411,
  [18667] = 17412,
  [18668] = 17381,
  [18669] = 17417,
  [18670] = 17468,
  [18671] = 17385,
  [18672] = 17362,
  [18673] = 17388,
  [18674] = 17375,
  [18675] = 17366,
  [18676] = 17389,
  [18677] = 17425,
  [18678] = 17363,
  [18679] = 17382,
  [18680] = 17383,
  [18681] = 17384,
  [18682] = 17417,
  [18683] = 17378,
  [18684] = 17366,
  [18685] = 17372,
  [18686] = 17384,
  [18687] = 17391,
  [18688] = 17392,
  [18689] = 17383,
  [18690] = 18690,
  [18691] = 17527,
  [18692] = 17395,
  [18693] = 17362,
  [18694] = 17382,
  [18695] = 17372,
  [18696] = 17369,
  [18697] = 17361,
  [18698] = 17431,
  [18699] = 17406,
  [18700] = 17406,
  [18701] = 17416,
  [18702] = 17409,
  [18703] = 17410,
  [18704] = 17411,
  [18705] = 17412,
  [18706] = 17513,
  [18707] = 17385,
  [18708] = 17420,
  [18709] = 17418,
  [18710] = 17419,
  [18711] = 17421,
  [18712] = 17375,
  [18713] = 17393,
  [18714] = 17422,
  [18715] = 17423,
  [18716] = 17382,
  [18717] = 17383,
  [18718] = 17384,
  [18719] = 17745,
  [18720] = 17391,
  [18721] = 17392,
  [18722] = 17395,
  [18723] = 17520,
  [18724] = 17931,
  [18725] = 17363,
  [18726] = 17361,
  [18727] = 17420,
  [18728] = 17409,
  [18729] = 17410,
  [18730] = 17411,
  [18731] = 17412,
  [18732] = 17401,
  [18733] = 17368,
  [18734] = 17362,
  [18735] = 17468,
  [18736] = 17425,
  [18737] = 17375,
  [18738] = 17495,
  [18739] = 17388,
  [18740] = 17382,
  [18741] = 17383,
  [18742] = 17384,
  [18743] = 17416,
  [18744] = 17391,
  [18745] = 17392,
  [18746] = 17431,
  [18747] = 17397,
  [18748] = 17527,
  [18749] = 17361,
  [18750] = 17377,
  [18751] = 17409,
  [18752] = 17410,
  [18753] = 17411,
  [18754] = 17412,
  [18755] = 17369,
  [18756] = 17416,
  [18757] = 17417,
  [18758] = 17468,
  [18759] = 17425,
  [18760] = 17377,
  [18761] = 17417,
  [18762] = 17380,
  [18763] = 17550,
  [18764] = 17467,
  [18765] = 17410,
  [18766] = 17411,
  [18767] = 17412,
  [18768] = 17389,
  [18769] = 17364,
  [18770] = 17467,
  [18771] = 17431,
  [18772] = 17375,
  [18773] = 17418,
  [18774] = 17404,
  [18775] = 17456,
  [18776] = 17401,
  [18777] = 17410,
  [18778] = 17411,
  [18779] = 17412,
  [18780] = 17397,
  [18781] = 17420,
  [18782] = 17443,
  [18783] = 17931,
  [18784] = 17443,
  [18785] = 17396,
  [18786] = 17389,
  [18787] = 17410,
  [18788] = 17411,
  [18789] = 17412,
  [18790] = 17745,
  [18791] = 17368,
  [18792] = 17386,
  [18793] = 17386,
  [18794] = 17363,
  [18795] = 17380,
  [18796] = 17425,
  [18797] = 17410,
  [18798] = 17411,
  [18799] = 17412,
  [18800] = 17431,
  [18801] = 17388,
  [18802] = 17419,
  [18803] = 17468,
  [18804] = 17380,
  [18805] = 17423,
  [18806] = 17422,
  [18807] = 17410,
  [18808] = 17411,
  [18809] = 17412,
  [18810] = 17369,
  [18811] = 17416,
  [18812] = 17421,
  [18813] = 17421,
  [18814] = 17419,
  [18815] = 17418,
  [18816] = 17417,
  [18817] = 17410,
  [18818] = 17411,
  [18819] = 17412,
  [18820] = 17417,
  [18821] = 17468,
  [18822] = 17416,
  [18823] = 17406,
  [18824] = 17379,
  [18825] = 17379,
  [18826] = 17369,
  [18827] = 17410,
  [18828] = 17411,
  [18829] = 17412,
  [18830] = 17425,
  [18831] = 17420,
  [18832] = 17377,
  [18833] = 17396,
  [18834] = 17389,
  [18835] = 17388,
  [18836] = 17362,
  [18837] = 17410,
  [18838] = 17411,
  [18839] = 17412,
  [18840] = 17381,
  [18841] = 17431,
  [18842] = 17377,
  [18843] = 17382,
  [18844] = 17396,
  [18845] = 17397,
  [18846] = 17365,
  [18847] = 17410,
  [18848] = 17411,
  [18849] = 17412,
  [18850] = 17420,
  [18851] = 17368,
  [18852] = 17456,
  [18853] = 17383,
  [18854] = 17401,
  [18855] = 17415,
  [18856] = 17384,
  [18857] = 17410,
  [18858] = 17411,
  [18859] = 17412,
  [18860] = 17368,
  [18861] = 17362,
  [18862] = 17468,
  [18863] = 17414,
  [18864] = 17413,
  [18865] = 17412,
  [18866] = 17411,
  [18867] = 17410,
  [18868] = 17411,
  [18869] = 17412,
  [18870] = 17388,
  [18871] = 17369,
  [18872] = 17416,
  [18873] = 17410,
  [18874] = 17366,
  [18875] = 17409,
  [18876] = 17407,
  [18877] = 17410,
  [18878] = 17411,
  [18879] = 17412,
  [18880] = 17417,
  [18881] = 17468,
  [18882] = 17364,
  [18883] = 17425,
  [18884] = 17377,
  [18885] = 17404,
  [18886] = 17649,
  [18887] = 17431,
  [18888] = 17361,
  [18889] = 17527,
  [18890] = 17420,
  [18891] = 17400,
  [18892] = 17398,
  [18893] = 17368,
  [18894] = 17364,
  [18895] = 17362,
  [18896] = 17388,
  [18897] = 17366,
  [18898] = 17369,
  [18899] = 17416,
  [18900] = 17395,
  [18901] = 17417,
  [18902] = 17468,
  [18903] = 17377,
  [18904] = 17425,
  [18905] = 17369,
  [18906] = 17392,
  [18907] = 17431,
  [18908] = 17379,
  [18909] = 17391,
  [18910] = 17420,
  [18911] = 17799,
  [18912] = 17362,
  [18913] = 17368,
  [18914] = 17362,
  [18915] = 17380,
  [18916] = 17388,
  [18917] = 17369,
  [18918] = 17799,
  [18919] = 17416,
  [18920] = 17417,
  [18921] = 17372,
  [18922] = 17468,
  [18923] = 17425,
  [18924] = 17378,
  [18925] = 17379,
  [18926] = 17380,
  [18927] = 17391,
  [18928] = 17386,
  [18929] = 17431,
  [18930] = 17384,
  [18931] = 17383,
  [18932] = 17420,
  [18933] = 17385,
  [18934] = 17527,
  [18935] = 17368,
  [18936] = 17382,
  [18937] = 17362,
  [18938] = 17388,
  [18939] = 17397,
  [18940] = 17369,
  [18941] = 17416,
  [18942] = 17401,
  [18943] = 17417,
  [18944] = 17468,
  [18945] = 17365,
  [18946] = 17425,
  [18947] = 17404,
  [18948] = 17386,
  [18949] = 17431,
  [18950] = 18950,
  [18951] = 17550,
  [18952] = 17745,
  [18953] = 17425,
  [18954] = 17467,
  [18955] = 17392,
  [18956] = 17443,
  [18957] = 17931,
  [18958] = 17380,
  [18959] = 17421,
  [18960] = 17431,
  [18961] = 17386,
  [18962] = 17396,
  [18963] = 17406,
  [18964] = 17423,
  [18965] = 17397,
  [18966] = 17401,
  [18967] = 17406,
  [18968] = 17395,
  [18969] = 18690,
  [18970] = 17404,
  [18971] = 17431,
  [18972] = 17364,
  [18973] = 17375,
  [18974] = 5360,
  [18975] = 5339,
  [18976] = 17527,
  [18977] = 17368,
  [18978] = 17362,
  [18979] = 17420,
  [18980] = 5362,
  [18981] = 17393,
  [18982] = 17385,
  [18983] = 17378,
  [18984] = 17372,
  [18985] = 17388,
  [18986] = 17369,
  [18987] = 17416,
  [18988] = 17417,
  [18989] = 17527,
  [18990] = 17388,
  [18991] = 17404,
  [18992] = 17468,
  [18993] = 17401,
  [18994] = 17397,
  [18995] = 17396,
  [18996] = 17372,
  [18997] = 17378,
  [18998] = 17385,
  [18999] = 17386,
  [19000] = 17393,
  [19001] = 17425,
  [19002] = 17420,
  [19003] = 17372,
  [19004] = 19004,
  [19005] = 17386,
  [19006] = 17378,
  [19007] = 17380,
  [19008] = 17385,
  [19009] = 17431,
  [19010] = 17377,
  [19011] = 17431,
  [19012] = 17393,
  [19013] = 17364,
  [19014] = 17520,
  [19015] = 17420,
  [19016] = 17420,
  [19017] = 17431,
  [19018] = 17366,
  [19019] = 17443,
  [19020] = 17420,
  [19021] = 17377,
  [19022] = 17425,
  [19023] = 17431,
  [19024] = 17468,
  [19025] = 17368,
  [19026] = 17368,
  [19027] = 17467,
  [19028] = 17381,
  [19029] = 17364,
  [19030] = 17378,
  [19031] = 17381,
  [19032] = 17362,
  [19033] = 17388,
  [19034] = 17389,
  [19035] = 17362,
  [19036] = 19036,
  [19037] = 19037,
  [19038] = 19038,
  [19039] = 17363,
  [19040] = 17419,
  [19041] = 17418,
  [19042] = 17417,
  [19043] = 17416,
  [19044] = 17406,
  [19045] = 17369,
  [19046] = 17388,
  [19047] = 17369,
  [19048] = 17406,
  [19049] = 19049,
  [19050] = 17456,
  [19051] = 17369,
  [19052] = 17372,
  [19053] = 17416,
  [19054] = 17363,
  [19055] = 17417,
  [19056] = 17418,
  [19057] = 17419,
  [19058] = 17421,
  [19059] = 17366,
  [19060] = 17468,
  [19061] = 17425,
  [19062] = 17443,
  [19063] = 17443,
  [19064] = 17416,
  [19065] = 17389,
  [19066] = 17388,
  [19067] = 17362,
  [19068] = 17388,
  [19069] = 17381,
  [19070] = 17368,
  [19071] = 17389,
  [19072] = 17703,
  [19073] = 17697,
  [19074] = 17398,
  [19075] = 17417,
  [19076] = 17468,
  [19077] = 18950,
  [19078] = 17425,
  [19079] = 17431,
  [19080] = 17366,
  [19081] = 17400,
  [19082] = 17425,
  [19083] = 17443,
  [19084] = 17420,
  [19085] = 17393,
  [19086] = 17385,
  [19087] = 17425,
  [19088] = 18690,
  [19089] = 17418,
  [19090] = 17407,
  [19091] = 17372,
  [19092] = 17364,
  [19093] = 17422,
  [19094] = 17418,
  [19095] = 17421,
  [19096] = 17420,
  [19097] = 17419,
  [19098] = 17418,
  [19099] = 17527,
  [19100] = 17417,
  [19101] = 17368,
  [19102] = 17416,
  [19103] = 17362,
  [19104] = 17404,
  [19105] = 19004,
  [19106] = 17388,
  [19107] = 17369,
  [19108] = 17416,
  [19109] = 17406,
  [19110] = 17401,
  [19111] = 17397,
  [19112] = 17396,
  [19113] = 17468,
  [19114] = 17377,
  [19115] = 17386,
  [19116] = 17417,
  [19117] = 17380,
  [19118] = 17468,
  [19119] = 17363,
  [19120] = 17425,
  [19121] = 17397,
  [19122] = 17401,
  [19123] = 17369,
  [19124] = 19036,
  [19125] = 19037,
  [19126] = 19038,
  [19127] = 17363,
  [19128] = 17431,
  [19129] = 17361,
  [19130] = 17389,
  [19131] = 17388,
  [19132] = 17362,
  [19133] = 17380,
  [19134] = 17386,
  [19135] = 17377,
  [19136] = 17404,
  [19137] = 19049,
  [19138] = 17381,
  [19139] = 17649,
  [19140] = 17420,
  [19141] = 17364,
  [19142] = 17396,
  [19143] = 17397,
  [19144] = 17416,
  [19145] = 17421,
  [19146] = 17401,
  [19147] = 17366,
  [19148] = 17527,
  [19149] = 17419,
  [19150] = 17404,
  [19151] = 17386,
  [19152] = 18950,
  [19153] = 17365,
  [19154] = 17372,
  [19155] = 17368,
  [19156] = 17378,
  [19157] = 17366,
  [19158] = 17385,
  [19159] = 17415,
  [19160] = 17393,
  [19161] = 17527,
  [19162] = 17414,
  [19163] = 18690,
  [19164] = 17368,
  [19165] = 17368,
  [19166] = 17381,
  [19167] = 17413,
  [19168] = 17362,
  [19169] = 17362,
  [19170] = 17388,
  [19171] = 17389,
  [19172] = 17388,
  [19173] = 17363,
  [19174] = 17420,
  [19175] = 17372,
  [19176] = 17378,
  [19177] = 19177,
  [19178] = 17385,
  [19179] = 17381,
  [19180] = 19004,
  [19181] = 17412,
  [19182] = 17431,
  [19183] = 17369,
  [19184] = 17393,
  [19185] = 17420,
  [19186] = 17369,
  [19187] = 17406,
  [19188] = 17416,
  [19189] = 17406,
  [19190] = 17411,
  [19191] = 17431,
  [19192] = 17416,
  [19193] = 17410,
  [19194] = 17417,
  [19195] = 17443,
  [19196] = 17419,
  [19197] = 17421,
  [19198] = 19036,
  [19199] = 19037,
  [19200] = 19038,
  [19201] = 17417,
  [19202] = 17468,
  [19203] = 19203,
  [19204] = 17425,
  [19205] = 17443,
  [19206] = 17406,
  [19207] = 17482,
  [19208] = 17483,
  [19209] = 17488,
  [19210] = 19049,
  [19211] = 17418,
  [19212] = 17417,
  [19213] = 17431,
  [19214] = 17409,
  [19215] = 17416,
  [19216] = 17498,
  [19217] = 17368,
  [19218] = 17417,
  [19219] = 17406,
  [19220] = 17407,
  [19221] = 19221,
  [19222] = 19222,
  [19223] = 17419,
  [19224] = 17421,
  [19225] = 18950,
  [19226] = 17415,
  [19227] = 17468,
  [19228] = 17425,
  [19229] = 17418,
  [19230] = 17468,
  [19231] = 17417,
  [19232] = 18690,
  [19233] = 17366,
  [19234] = 17418,
  [19235] = 17495,
  [19236] = 17496,
  [19237] = 17425,
  [19238] = 17364,
  [19239] = 17396,
  [19240] = 17649,
  [19241] = 17361,
  [19242] = 17416,
  [19243] = 19004,
  [19244] = 17400,
  [19245] = 17409,
  [19246] = 17421,
  [19247] = 17398,
  [19248] = 17419,
  [19249] = 17419,
  [19250] = 17418,
  [19251] = 17431,
  [19252] = 17417,
  [19253] = 19036,
  [19254] = 19037,
  [19255] = 19038,
  [19256] = 17786,
  [19257] = 17431,
  [19258] = 19049,
  [19259] = 17386,
  [19260] = 19260,
  [19261] = 19261,
  [19262] = 17423,
  [19263] = 18950,
  [19264] = 17362,
  [19265] = 17414,
  [19266] = 17413,
  [19267] = 17416,
  [19268] = 17421,
  [19269] = 17410,
  [19270] = 18690,
  [19271] = 17388,
  [19272] = 17406,
  [19273] = 17395,
  [19274] = 17420,
  [19275] = 17411,
  [19276] = 17412,
  [19277] = 17411,
  [19278] = 17410,
  [19279] = 17420,
  [19280] = 19004,
  [19281] = 17377,
  [19282] = 17420,
  [19283] = 17393,
  [19284] = 19036,
  [19285] = 19037,
  [19286] = 19038,
  [19287] = 17412,
  [19288] = 17513,
  [19289] = 19289,
  [19290] = 17385,
  [19291] = 17389,
  [19292] = 18950,
  [19293] = 17378,
  [19294] = 17392,
  [19295] = 17515,
  [19296] = 17520,
  [19297] = 17372,
  [19298] = 17406,
  [19299] = 18690,
  [19300] = 17391,
  [19301] = 17799,
  [19302] = 17379,
  [19303] = 17413,
  [19304] = 17380,
  [19305] = 17386,
  [19306] = 19004,
  [19307] = 17396,
  [19308] = 17393,
  [19309] = 17385,
  [19310] = 19036,
  [19311] = 19037,
  [19312] = 19038,
  [19313] = 17378,
  [19314] = 17372,
  [19315] = 17393,
  [19316] = 17468,
  [19317] = 17456,
  [19318] = 18950,
  [19319] = 17369,
  [19320] = 17409,
  [19321] = 17366,
  [19322] = 17369,
  [19323] = 17397,
  [19324] = 17422,
  [19325] = 18690,
  [19326] = 17401,
  [19327] = 17532,
  [19328] = 17527,
  [19329] = 17368,
  [19330] = 17369,
  [19331] = 17404,
  [19332] = 19004,
  [19333] = 17443,
  [19334] = 19049,
  [19335] = 18476,
  [19336] = 19036,
  [19337] = 19037,
  [19338] = 19038,
  [19339] = 17362,
  [19340] = 17812,
  [19341] = 17388,
  [19342] = 17369,
  [19343] = 17527,
  [19344] = 18950,
  [19345] = 17520,
  [19346] = 17841,
  [19347] = 17404,
  [19348] = 17366,
  [19349] = 17401,
  [19350] = 17386,
  [19351] = 18690,
  [19352] = 17407,
  [19353] = 17397,
  [19354] = 17416,
  [19355] = 17384,
  [19356] = 17396,
  [19357] = 17417,
  [19358] = 19004,
  [19359] = 17418,
  [19360] = 17383,
  [19361] = 19036,
  [19362] = 19037,
  [19363] = 19038,
  [19364] = 17419,
  [19365] = 18950,
  [19366] = 19366,
  [19367] = 17396,
  [19368] = 17382,
  [19369] = 17421,
  [19370] = 17363,
  [19371] = 17397,
  [19372] = 18690,
  [19373] = 17468,
  [19374] = 17425,
  [19375] = 17527,
  [19376] = 17425,
  [19377] = 19038,
  [19378] = 19037,
  [19379] = 19004,
  [19380] = 17468,
  [19381] = 19036,
  [19382] = 19037,
  [19383] = 19038,
  [19384] = 17401,
  [19385] = 18950,
  [19386] = 19036,
  [19387] = 17468,
  [19388] = 17421,
  [19389] = 17386,
  [19390] = 17389,
  [19391] = 17404,
  [19392] = 18690,
  [19393] = 17419,
  [19394] = 17415,
  [19395] = 17550,
  [19396] = 17745,
  [19397] = 17431,
  [19398] = 19004,
  [19399] = 17418,
  [19400] = 19036,
  [19401] = 19037,
  [19402] = 19038,
  [19403] = 17425,
  [19404] = 18950,
  [19405] = 17417,
  [19406] = 17388,
  [19407] = 17416,
  [19408] = 17931,
  [19409] = 17362,
  [19410] = 17527,
  [19411] = 18690,
  [19412] = 17420,
  [19413] = 17419,
  [19414] = 17421,
  [19415] = 17393,
  [19416] = 17385,
  [19417] = 19004,
  [19418] = 17378,
  [19419] = 19036,
  [19420] = 19037,
  [19421] = 19038,
  [19422] = 17406,
  [19423] = 18950,
  [19424] = 17380,
  [19425] = 17372,
  [19426] = 17550,
  [19427] = 17375,
  [19428] = 17381,
  [19429] = 17377,
  [19430] = 17527,
  [19431] = 17443,
  [19432] = 17372,
  [19433] = 19004,
  [19434] = 17404,
  [19435] = 19036,
  [19436] = 19037,
  [19437] = 19038,
  [19438] = 17401,
  [19439] = 18950,
  [19440] = 17368,
  [19441] = 17364,
  [19442] = 17378,
  [19443] = 17397,
  [19444] = 17396,
  [19445] = 17385,
  [19446] = 17369,
  [19447] = 17393,
  [19448] = 17386,
  [19449] = 19004,
  [19450] = 17363,
  [19451] = 19036,
  [19452] = 19037,
  [19453] = 19038,
  [19454] = 17380,
  [19455] = 18950,
  [19456] = 17366,
  [19457] = 17404,
  [19458] = 17468,
  [19459] = 17389,
  [19460] = 17380,
  [19461] = 17401,
  [19462] = 17397,
  [19463] = 17388,
  [19464] = 17396,
  [19465] = 19004,
  [19466] = 17362,
  [19467] = 19036,
  [19468] = 19037,
  [19469] = 19038,
  [19470] = 17377,
  [19471] = 18950,
  [19472] = 18547,
  [19473] = 17640,
  [19474] = 17385,
  [19475] = 17416,
  [19476] = 17421,
  [19477] = 17420,
  [19478] = 17363,
  [19479] = 17425,
  [19480] = 17852,
  [19481] = 19004,
  [19482] = 17381,
  [19483] = 19036,
  [19484] = 19037,
  [19485] = 19038,
  [19486] = 17366,
  [19487] = 18950,
  [19488] = 17378,
  [19489] = 17386,
  [19490] = 17385,
  [19491] = 17431,
  [19492] = 17456,
  [19493] = 17368,
  [19494] = 17364,
  [19495] = 17443,
  [19496] = 17381,
  [19497] = 19004,
  [19498] = 17393,
  [19499] = 19036,
  [19500] = 19037,
  [19501] = 19038,
  [19502] = 17368,
  [19503] = 18950,
  [19504] = 17365,
  [19505] = 17649,
  [19506] = 17389,
  [19507] = 17388,
  [19508] = 17362,
  [19509] = 17361,
  [19510] = 17362,
  [19511] = 17381,
  [19512] = 17365,
  [19513] = 19004,
  [19514] = 17368,
  [19515] = 19036,
  [19516] = 19037,
  [19517] = 19038,
  [19518] = 17362,
  [19519] = 18950,
  [19520] = 19520,
  [19521] = 17467,
  [19522] = 17388,
  [19523] = 17388,
  [19524] = 17389,
  [19525] = 17862,
  [19526] = 17389,
  [19527] = 17363,
  [19528] = 19528,
  [19529] = 19004,
  [19530] = 17381,
  [19531] = 19036,
  [19532] = 19037,
  [19533] = 19038,
  [19534] = 17420,
  [19535] = 18950,
  [19536] = 17369,
  [19537] = 17366,
  [19538] = 17381,
  [19539] = 17363,
  [19540] = 17400,
  [19541] = 17406,
  [19542] = 17398,
  [19543] = 17456,
  [19544] = 17697,
  [19545] = 19004,
  [19546] = 17416,
  [19547] = 19036,
  [19548] = 19037,
  [19549] = 19038,
  [19550] = 17364,
  [19551] = 18950,
  [19552] = 17703,
  [19553] = 17377,
  [19554] = 17417,
  [19555] = 17380,
  [19556] = 17418,
  [19557] = 17368,
  [19558] = 17419,
  [19559] = 17421,
  [19560] = 17443,
  [19561] = 19004,
  [19562] = 17468,
  [19563] = 19036,
  [19564] = 19037,
  [19565] = 19038,
  [19566] = 17425,
  [19567] = 18950,
  [19568] = 17443,
  [19569] = 17443,
  [19570] = 17369,
  [19571] = 17467,
  [19572] = 17369,
  [19573] = 17377,
  [19574] = 17431,
  [19575] = 17379,
  [19576] = 17362,
  [19577] = 19004,
  [19578] = 17431,
  [19579] = 19036,
  [19580] = 19037,
  [19581] = 19038,
  [19582] = 17431,
  [19583] = 17380,
  [19584] = 19584,
  [19585] = 17425,
  [19586] = 17406,
  [19587] = 17380,
  [19588] = 17468,
  [19589] = 17388,
  [19590] = 17363,
  [19591] = 17423,
  [19592] = 19004,
  [19593] = 17420,
  [19594] = 19036,
  [19595] = 19037,
  [19596] = 19038,
  [19597] = 17393,
  [19598] = 17386,
  [19599] = 17422,
  [19600] = 17372,
  [19601] = 17385,
  [19602] = 17378,
  [19603] = 17386,
  [19604] = 17406,
  [19605] = 17416,
  [19606] = 17511,
  [19607] = 19004,
  [19608] = 17527,
  [19609] = 19036,
  [19610] = 19037,
  [19611] = 19038,
  [19612] = 17527,
  [19613] = 17396,
  [19614] = 17506,
  [19615] = 17419,
  [19616] = 17417,
  [19617] = 17418,
  [19618] = 17404,
  [19619] = 17401,
  [19620] = 17397,
  [19621] = 17417,
  [19622] = 19004,
  [19623] = 17396,
  [19624] = 19036,
  [19625] = 19037,
  [19626] = 19038,
  [19627] = 17417,
  [19628] = 17396,
  [19629] = 17397,
  [19630] = 17427,
  [19631] = 17418,
  [19632] = 17416,
  [19633] = 17401,
  [19634] = 19634,
  [19635] = 17386,
  [19636] = 17379,
  [19637] = 19004,
  [19638] = 17418,
  [19639] = 19036,
  [19640] = 19037,
  [19641] = 19038,
  [19642] = 17404,
  [19643] = 17419,
  [19644] = 17406,
  [19645] = 17421,
  [19646] = 17431,
  [19647] = 17419,
  [19648] = 17468,
  [19649] = 17380,
  [19650] = 17369,
  [19651] = 17425,
  [19652] = 19004,
  [19653] = 17527,
  [19654] = 19036,
  [19655] = 19037,
  [19656] = 19038,
  [19657] = 17377,
  [19658] = 17443,
  [19659] = 17421,
  [19660] = 17397,
  [19661] = 17401,
  [19662] = 17363,
  [19663] = 17443,
  [19664] = 17404,
  [19665] = 17420,
  [19666] = 18587,
  [19667] = 19004,
  [19668] = 17366,
  [19669] = 19036,
  [19670] = 19037,
  [19671] = 19038,
  [19672] = 17418,
  [19673] = 17389,
  [19674] = 17395,
  [19675] = 17378,
  [19676] = 17527,
  [19677] = 17425,
  [19678] = 19004,
  [19679] = 17750,
  [19680] = 17385,
  [19681] = 17388,
  [19682] = 19004,
  [19683] = 17362,
  [19684] = 19036,
  [19685] = 19037,
  [19686] = 19038,
  [19687] = 17393,
  [19688] = 17759,
  [19689] = 19689,
  [19690] = 17377,
  [19691] = 17368,
  [19692] = 17420,
  [19693] = 17381,
  [19694] = 17520,
  [19695] = 17381,
  [19696] = 17392,
  [19697] = 19004,
  [19698] = 17468,
  [19699] = 19036,
  [19700] = 19037,
  [19701] = 19038,
  [19702] = 17362,
  [19703] = 17364,
  [19704] = 17391,
  [19705] = 19705,
  [19706] = 17388,
  [19707] = 17393,
  [19708] = 17389,
  [19709] = 17363,
  [19710] = 17385,
  [19711] = 17366,
  [19712] = 19004,
  [19713] = 17431,
  [19714] = 19036,
  [19715] = 19037,
  [19716] = 19038,
  [19717] = 17378,
  [19718] = 17367,
  [19719] = 17389,
  [19720] = 17372,
  [19721] = 17378,
  [19722] = 17431,
  [19723] = 17419,
  [19724] = 17799,
  [19725] = 17369,
  [19726] = 17365,
  [19727] = 19004,
  [19728] = 17368,
  [19729] = 19036,
  [19730] = 19037,
  [19731] = 19038,
  [19732] = 17417,
  [19733] = 17364,
  [19734] = 17366,
  [19735] = 17406,
  [19736] = 17393,
  [19737] = 17420,
  [19738] = 17550,
  [19739] = 17420,
  [19740] = 17416,
  [19741] = 19741,
  [19742] = 19004,
  [19743] = 17416,
  [19744] = 19036,
  [19745] = 19037,
  [19746] = 19038,
  [19747] = 17380,
  [19748] = 17363,
  [19749] = 18610,
  [19750] = 18613,
  [19751] = 17393,
  [19752] = 17385,
  [19753] = 17417,
  [19754] = 17418,
  [19755] = 17419,
  [19756] = 17425,
  [19757] = 19004,
  [19758] = 17421,
  [19759] = 19036,
  [19760] = 19037,
  [19761] = 19038,
  [19762] = 17468,
  [19763] = 17378,
  [19764] = 17372,
  [19765] = 17425,
  [19766] = 17377,
  [19767] = 17443,
  [19768] = 17468,
  [19769] = 17404,
  [19770] = 17425,
  [19771] = 17401,
  [19772] = 19004,
  [19773] = 17406,
  [19774] = 19036,
  [19775] = 19037,
  [19776] = 19038,
  [19777] = 17379,
  [19778] = 17527,
  [19779] = 17397,
  [19780] = 19780,
  [19781] = 17380,
  [19782] = 17404,
  [19783] = 17456,
  [19784] = 17396,
  [19785] = 17431,
  [19786] = 17414,
  [19787] = 19004,
  [19788] = 17369,
  [19789] = 19036,
  [19790] = 19037,
  [19791] = 19038,
  [19792] = 17443,
  [19793] = 19793,
  [19794] = 17386,
  [19795] = 17420,
  [19796] = 17401,
  [19797] = 17393,
  [19798] = 19798,
  [19799] = 17397,
  [19800] = 17385,
  [19801] = 17854,
  [19802] = 19004,
  [19803] = 17378,
  [19804] = 19036,
  [19805] = 19037,
  [19806] = 19038,
  [19807] = 17527,
  [19808] = 17396,
  [19809] = 17415,
  [19810] = 17396,
  [19811] = 17397,
  [19812] = 17386,
  [19813] = 17404,
  [19814] = 19814,
  [19815] = 17401,
  [19816] = 17397,
  [19817] = 19004,
  [19818] = 17396,
  [19819] = 19036,
  [19820] = 19037,
  [19821] = 19038,
  [19822] = 17363,
  [19823] = 17366,
  [19824] = 17386,
  [19825] = 17389,
  [19826] = 17443,
  [19827] = 19177,
  [19828] = 17368,
  [19829] = 19829,
  [19830] = 17414,
  [19831] = 19831,
  [19832] = 17380,
  [19833] = 19036,
  [19834] = 19037,
  [19835] = 19038,
  [19836] = 17425,
  [19837] = 17468,
  [19838] = 17413,
  [19839] = 17365,
  [19840] = 17380,
  [19841] = 17425,
  [19842] = 17645,
  [19843] = 17412,
  [19844] = 17377,
  [19845] = 17468,
  [19846] = 17388,
  [19847] = 19036,
  [19848] = 19037,
  [19849] = 19038,
  [19850] = 17411,
  [19851] = 17410,
  [19852] = 17377,
  [19853] = 17386,
  [19854] = 17421,
  [19855] = 17417,
  [19856] = 17393,
  [19857] = 17421,
  [19858] = 17419,
  [19859] = 17366,
  [19860] = 17418,
  [19861] = 19036,
  [19862] = 19037,
  [19863] = 19038,
  [19864] = 17417,
  [19865] = 17372,
  [19866] = 17364,
  [19867] = 17421,
  [19868] = 17419,
  [19869] = 17404,
  [19870] = 17409,
  [19871] = 17362,
  [19872] = 17416,
  [19873] = 17379,
  [19874] = 17406,
  [19875] = 19036,
  [19876] = 19037,
  [19877] = 19038,
  [19878] = 17368,
  [19879] = 17418,
  [19880] = 17369,
  [19881] = 18661,
  [19882] = 18662,
  [19883] = 17366,
  [19884] = 17381,
  [19885] = 17362,
  [19886] = 17550,
  [19887] = 19036,
  [19888] = 19037,
  [19889] = 19038,
  [19890] = 17388,
  [19891] = 17385,
  [19892] = 17388,
  [19893] = 17418,
  [19894] = 17389,
  [19895] = 17381,
  [19896] = 17407,
  [19897] = 17363,
  [19898] = 17362,
  [19899] = 19036,
  [19900] = 19037,
  [19901] = 19038,
  [19902] = 17369,
  [19903] = 17377,
  [19904] = 19036,
  [19905] = 19037,
  [19906] = 19038,
  [19907] = 17363,
  [19908] = 17389,
  [19909] = 19036,
  [19910] = 19037,
  [19911] = 19038,
  [19912] = 17369,
  [19913] = 17388,
  [19914] = 19036,
  [19915] = 19037,
  [19916] = 19038,
  [19917] = 17381,
  [19918] = 17406,
  [19919] = 19036,
  [19920] = 19037,
  [19921] = 19038,
  [19922] = 17362,
  [19923] = 17378,
  [19924] = 19036,
  [19925] = 19037,
  [19926] = 19038,
  [19927] = 17416,
  [19928] = 17381,
  [19929] = 19036,
  [19930] = 19037,
  [19931] = 19038,
  [19932] = 17417,
  [19933] = 17418,
  [19934] = 19036,
  [19935] = 19037,
  [19936] = 19038,
  [19937] = 17419,
  [19938] = 17527,
  [19939] = 19036,
  [19940] = 19037,
  [19941] = 19038,
  [19942] = 17468,
  [19943] = 17425,
  [19944] = 19036,
  [19945] = 19037,
  [19946] = 19038,
  [19947] = 17443,
  [19948] = 17368,
  [19949] = 19036,
  [19950] = 19037,
  [19951] = 19038,
  [19952] = 17443,
  [19953] = 17364,
  [19954] = 19036,
  [19955] = 19037,
  [19956] = 19038,
  [19957] = 17365,
  [19958] = 17368,
  [19959] = 19036,
  [19960] = 19037,
  [19961] = 19038,
  [19962] = 17366,
  [19963] = 17431,
  [19964] = 17377,
  [19965] = 17649,
  [19966] = 17421,
  [19967] = 17420,
  [19968] = 17393,
  [19969] = 17385,
  [19970] = 17378,
  [19971] = 17361,
  [19972] = 17527,
  [19973] = 17372,
  [19974] = 17404,
  [19975] = 17401,
  [19976] = 17397,
  [19977] = 17396,
  [19978] = 17366,
  [19979] = 17378,
  [19980] = 17386,
  [19981] = 17364,
  [19982] = 17366,
  [19983] = 17363,
  [19984] = 17456,
  [19985] = 17380,
  [19986] = 17406,
  [19987] = 17416,
  [19988] = 17377,
  [19989] = 12694,
  [19990] = 19990,
  [19991] = 19991,
  [19992] = 17377,
  [19993] = 19993,
  [19994] = 18662,
  [19995] = 17391,
  [19996] = 17406,
  [19997] = 17368,
  [19998] = 19780,
  [19999] = 17400,
  [20000] = 17389,
  [20001] = 17380,
  [20002] = 17379,
  [20003] = 19520,
  [20004] = 17363,
  [20005] = 17384,
  [20006] = 18476,
  [20007] = 17368,
  [20008] = 17398,
  [20009] = 17383,
  [20010] = 17382,
  [20011] = 20011,
  [20012] = 19990,
  [20013] = 19991,
  [20014] = 17366,
  [20015] = 19780,
  [20016] = 17381,
  [20017] = 17369,
  [20018] = 17385,
  [20019] = 17393,
  [20020] = 19520,
  [20021] = 17380,
  [20022] = 17365,
  [20023] = 17362,
  [20024] = 17388,
  [20025] = 17520,
  [20026] = 17389,
  [20027] = 19990,
  [20028] = 19991,
  [20029] = 17420,
  [20030] = 19780,
  [20031] = 17406,
  [20032] = 17363,
  [20033] = 17468,
  [20034] = 19520,
  [20035] = 17368,
  [20036] = 18690,
  [20037] = 17395,
  [20038] = 17363,
  [20039] = 20039,
  [20040] = 17369,
  [20041] = 19990,
  [20042] = 17431,
  [20043] = 17386,
  [20044] = 17381,
  [20045] = 19520,
  [20046] = 17362,
  [20047] = 20047,
  [20048] = 17431,
  [20049] = 17388,
  [20050] = 19991,
  [20051] = 19990,
  [20052] = 17381,
  [20053] = 17362,
  [20054] = 19990,
  [20055] = 17369,
  [20056] = 17388,
  [20057] = 19990,
  [20058] = 17416,
  [20059] = 17392,
  [20060] = 19990,
  [20061] = 19990,
  [20062] = 19990,
  [20063] = 19990,
  [20064] = 19990,
  [20065] = 19990,
  [20066] = 19990,
  [20067] = 19990,
  [20068] = 19990,
  [20069] = 19990,
  [20070] = 19990,
  [20071] = 19990,
  [20072] = 19990,
  [20073] = 19990,
  [20074] = 19990,
  [20075] = 19990,
  [20076] = 19990,
  [20077] = 19990,
  [20078] = 19990,
  [20079] = 19990,
  [20080] = 19990,
  [20081] = 19990,
  [20082] = 19990,
  [20083] = 19990,
  [20084] = 19990,
  [20085] = 19990,
  [20086] = 19990,
  [20087] = 19990,
  [20088] = 19990,
  [20089] = 19990,
  [20090] = 19990,
  [20091] = 19990,
  [20092] = 19990,
  [20093] = 19990,
  [20094] = 19990,
  [20095] = 19990,
  [20096] = 19990,
  [20097] = 19990,
  [20098] = 19990,
  [20099] = 19990,
  [20100] = 19990,
  [20101] = 19990,
  [20102] = 19990,
  [20103] = 19990,
  [20104] = 19990,
  [20105] = 19990,
  [20106] = 19990,
  [20107] = 19990,
  [20108] = 17953,
  [20109] = 17389,
  [20110] = 20011,
  [20111] = 17377,
  [20112] = 19705,
  [20113] = 17953,
  [20114] = 17406,
  [20115] = 17417,
  [20116] = 17381,
  [20117] = 8221,
  [20118] = 20118,
  [20119] = 17416,
  [20120] = 17417,
  [20121] = 19990,
  [20122] = 17396,
  [20123] = 20011,
  [20124] = 19705,
  [20125] = 17745,
  [20126] = 17931,
  [20127] = 17418,
  [20128] = 17419,
  [20129] = 17421,
  [20130] = 17422,
  [20131] = 20011,
  [20132] = 19705,
  [20133] = 17423,
  [20134] = 17368,
  [20135] = 17416,
  [20136] = 17397,
  [20137] = 17799,
  [20138] = 17417,
  [20139] = 17389,
  [20140] = 17468,
  [20141] = 17417,
  [20142] = 17386,
  [20143] = 17425,
  [20144] = 17418,
  [20145] = 17401,
  [20146] = 17404,
  [20147] = 17362,
  [20148] = 17418,
  [20149] = 17369,
  [20150] = 17419,
  [20151] = 17406,
  [20152] = 17421,
  [20153] = 17419,
  [20154] = 17468,
  [20155] = 17467,
  [20156] = 17425,
  [20157] = 17443,
  [20158] = 17421,
  [20159] = 17388,
  [20160] = 17527,
  [20161] = 17416,
  [20162] = 17431,
  [20163] = 17396,
  [20164] = 17417,
  [20165] = 17418,
  [20166] = 17397,
  [20167] = 17419,
  [20168] = 17420,
  [20169] = 17393,
  [20170] = 17385,
  [20171] = 17389,
  [20172] = 17378,
  [20173] = 17372,
  [20174] = 17421,
  [20175] = 17443,
  [20176] = 17375,
  [20177] = 17468,
  [20178] = 20178,
  [20179] = 20179,
  [20180] = 17456,
  [20181] = 17425,
  [20182] = 17443,
  [20183] = 17372,
  [20184] = 17378,
  [20185] = 17527,
  [20186] = 17384,
  [20187] = 17383,
  [20188] = 17404,
  [20189] = 17385,
  [20190] = 17393,
  [20191] = 17401,
  [20192] = 17397,
  [20193] = 17420,
  [20194] = 17396,
  [20195] = 17363,
  [20196] = 20196,
  [20197] = 17386,
  [20198] = 17401,
  [20199] = 17382,
  [20200] = 17401,
  [20201] = 17443,
  [20202] = 17431,
  [20203] = 17369,
  [20204] = 17406,
  [20205] = 17431,
  [20206] = 17420,
  [20207] = 17404,
  [20208] = 17393,
  [20209] = 17456,
  [20210] = 17380,
  [20211] = 17385,
  [20212] = 17378,
  [20213] = 17377,
  [20214] = 17372,
  [20215] = 17527,
  [20216] = 17745,
  [20217] = 17425,
  [20218] = 18950,
  [20219] = 17931,
  [20220] = 17468,
  [20221] = 17364,
  [20222] = 20222,
  [20223] = 17420,
  [20224] = 17404,
  [20225] = 17527,
  [20226] = 17467,
  [20227] = 17401,
  [20228] = 17423,
  [20229] = 20229,
  [20230] = 17397,
  [20231] = 17396,
  [20232] = 17375,
  [20233] = 17386,
  [20234] = 17422,
  [20235] = 17421,
  [20236] = 17380,
  [20237] = 17366,
  [20238] = 17419,
  [20239] = 20239,
  [20240] = 20240,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym__lowercase_identifier_character_set_2[] = {
  {'\'', '\''}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static TSCharacterRange sym__lowercase_identifier_character_set_3[] = {
  {'_', '_'}, {'a', 'z'}, {0xb5, 0xb5}, {0xdf, 0xf6}, {0xf8, 0xff}, {0x101, 0x101}, {0x103, 0x103}, {0x105, 0x105},
  {0x107, 0x107}, {0x109, 0x109}, {0x10b, 0x10b}, {0x10d, 0x10d}, {0x10f, 0x10f}, {0x111, 0x111}, {0x113, 0x113}, {0x115, 0x115},
  {0x117, 0x117}, {0x119, 0x119}, {0x11b, 0x11b}, {0x11d, 0x11d}, {0x11f, 0x11f}, {0x121, 0x121}, {0x123, 0x123}, {0x125, 0x125},
  {0x127, 0x127}, {0x129, 0x129}, {0x12b, 0x12b}, {0x12d, 0x12d}, {0x12f, 0x12f}, {0x131, 0x131}, {0x133, 0x133}, {0x135, 0x135},
  {0x137, 0x138}, {0x13a, 0x13a}, {0x13c, 0x13c}, {0x13e, 0x13e}, {0x140, 0x140}, {0x142, 0x142}, {0x144, 0x144}, {0x146, 0x146},
  {0x148, 0x149}, {0x14b, 0x14b}, {0x14d, 0x14d}, {0x14f, 0x14f}, {0x151, 0x151}, {0x153, 0x153}, {0x155, 0x155}, {0x157, 0x157},
  {0x159, 0x159}, {0x15b, 0x15b}, {0x15d, 0x15d}, {0x15f, 0x15f}, {0x161, 0x161}, {0x163, 0x163}, {0x165, 0x165}, {0x167, 0x167},
  {0x169, 0x169}, {0x16b, 0x16b}, {0x16d, 0x16d}, {0x16f, 0x16f}, {0x171, 0x171}, {0x173, 0x173}, {0x175, 0x175}, {0x177, 0x177},
  {0x17a, 0x17a}, {0x17c, 0x17c}, {0x17e, 0x180}, {0x183, 0x183}, {0x185, 0x185}, {0x188, 0x188}, {0x18c, 0x18d}, {0x192, 0x192},
  {0x195, 0x195}, {0x199, 0x19b}, {0x19e, 0x19e}, {0x1a1, 0x1a1}, {0x1a3, 0x1a3}, {0x1a5, 0x1a5}, {0x1a8, 0x1a8}, {0x1aa, 0x1ab},
  {0x1ad, 0x1ad}, {0x1b0, 0x1b0}, {0x1b4, 0x1b4}, {0x1b6, 0x1b6}, {0x1b9, 0x1ba}, {0x1bd, 0x1bf}, {0x1c6, 0x1c6}, {0x1c9, 0x1c9},
  {0x1cc, 0x1cc}, {0x1ce, 0x1ce}, {0x1d0, 0x1d0}, {0x1d2, 0x1d2}, {0x1d4, 0x1d4}, {0x1d6, 0x1d6}, {0x1d8, 0x1d8}, {0x1da, 0x1da},
  {0x1dc, 0x1dd}, {0x1df, 0x1df}, {0x1e1, 0x1e1}, {0x1e3, 0x1e3}, {0x1e5, 0x1e5}, {0x1e7, 0x1e7}, {0x1e9, 0x1e9}, {0x1eb, 0x1eb},
  {0x1ed, 0x1ed}, {0x1ef, 0x1f0}, {0x1f3, 0x1f3}, {0x1f5, 0x1f5}, {0x1f9, 0x1f9}, {0x1fb, 0x1fb}, {0x1fd, 0x1fd}, {0x1ff, 0x1ff},
  {0x201, 0x201}, {0x203, 0x203}, {0x205, 0x205}, {0x207, 0x207}, {0x209, 0x209}, {0x20b, 0x20b}, {0x20d, 0x20d}, {0x20f, 0x20f},
  {0x211, 0x211}, {0x213, 0x213}, {0x215, 0x215}, {0x217, 0x217}, {0x219, 0x219}, {0x21b, 0x21b}, {0x21d, 0x21d}, {0x21f, 0x21f},
  {0x221, 0x221}, {0x223, 0x223}, {0x225, 0x225}, {0x227, 0x227}, {0x229, 0x229}, {0x22b, 0x22b}, {0x22d, 0x22d}, {0x22f, 0x22f},
  {0x231, 0x231}, {0x233, 0x239}, {0x23c, 0x23c}, {0x23f, 0x240}, {0x242, 0x242}, {0x247, 0x247}, {0x249, 0x249}, {0x24b, 0x24b},
  {0x24d, 0x24d}, {0x24f, 0x293}, {0x295, 0x2af}, {0x371, 0x371}, {0x373, 0x373}, {0x377, 0x377}, {0x37b, 0x37d}, {0x390, 0x390},
  {0x3ac, 0x3ce}, {0x3d0, 0x3d1}, {0x3d5, 0x3d7}, {0x3d9, 0x3d9}, {0x3db, 0x3db}, {0x3dd, 0x3dd}, {0x3df, 0x3df}, {0x3e1, 0x3e1},
  {0x3e3, 0x3e3}, {0x3e5, 0x3e5}, {0x3e7, 0x3e7}, {0x3e9, 0x3e9}, {0x3eb, 0x3eb}, {0x3ed, 0x3ed}, {0x3ef, 0x3f3}, {0x3f5, 0x3f5},
  {0x3f8, 0x3f8}, {0x3fb, 0x3fc}, {0x430, 0x45f}, {0x461, 0x461}, {0x463, 0x463}, {0x465, 0x465}, {0x467, 0x467}, {0x469, 0x469},
  {0x46b, 0x46b}, {0x46d, 0x46d}, {0x46f, 0x46f}, {0x471, 0x471}, {0x473, 0x473}, {0x475, 0x475}, {0x477, 0x477}, {0x479, 0x479},
  {0x47b, 0x47b}, {0x47d, 0x47d}, {0x47f, 0x47f}, {0x481, 0x481}, {0x48b, 0x48b}, {0x48d, 0x48d}, {0x48f, 0x48f}, {0x491, 0x491},
  {0x493, 0x493}, {0x495, 0x495}, {0x497, 0x497}, {0x499, 0x499}, {0x49b, 0x49b}, {0x49d, 0x49d}, {0x49f, 0x49f}, {0x4a1, 0x4a1},
  {0x4a3, 0x4a3}, {0x4a5, 0x4a5}, {0x4a7, 0x4a7}, {0x4a9, 0x4a9}, {0x4ab, 0x4ab}, {0x4ad, 0x4ad}, {0x4af, 0x4af}, {0x4b1, 0x4b1},
  {0x4b3, 0x4b3}, {0x4b5, 0x4b5}, {0x4b7, 0x4b7}, {0x4b9, 0x4b9}, {0x4bb, 0x4bb}, {0x4bd, 0x4bd}, {0x4bf, 0x4bf}, {0x4c2, 0x4c2},
  {0x4c4, 0x4c4}, {0x4c6, 0x4c6}, {0x4c8, 0x4c8}, {0x4ca, 0x4ca}, {0x4cc, 0x4cc}, {0x4ce, 0x4cf}, {0x4d1, 0x4d1}, {0x4d3, 0x4d3},
  {0x4d5, 0x4d5}, {0x4d7, 0x4d7}, {0x4d9, 0x4d9}, {0x4db, 0x4db}, {0x4dd, 0x4dd}, {0x4df, 0x4df}, {0x4e1, 0x4e1}, {0x4e3, 0x4e3},
  {0x4e5, 0x4e5}, {0x4e7, 0x4e7}, {0x4e9, 0x4e9}, {0x4eb, 0x4eb}, {0x4ed, 0x4ed}, {0x4ef, 0x4ef}, {0x4f1, 0x4f1}, {0x4f3, 0x4f3},
  {0x4f5, 0x4f5}, {0x4f7, 0x4f7}, {0x4f9, 0x4f9}, {0x4fb, 0x4fb}, {0x4fd, 0x4fd}, {0x4ff, 0x4ff}, {0x501, 0x501}, {0x503, 0x503},
  {0x505, 0x505}, {0x507, 0x507}, {0x509, 0x509}, {0x50b, 0x50b}, {0x50d, 0x50d}, {0x50f, 0x50f}, {0x511, 0x511}, {0x513, 0x513},
  {0x515, 0x515}, {0x517, 0x517}, {0x519, 0x519}, {0x51b, 0x51b}, {0x51d, 0x51d}, {0x51f, 0x51f}, {0x521, 0x521}, {0x523, 0x523},
  {0x525, 0x525}, {0x527, 0x527}, {0x529, 0x529}, {0x52b, 0x52b}, {0x52d, 0x52d}, {0x52f, 0x52f}, {0x560, 0x588}, {0x10d0, 0x10fa},
  {0x10fd, 0x10ff}, {0x13f8, 0x13fd}, {0x1c80, 0x1c88}, {0x1d00, 0x1d2b}, {0x1d6b, 0x1d77}, {0x1d79, 0x1d9a}, {0x1e01, 0x1e01}, {0x1e03, 0x1e03},
  {0x1e05, 0x1e05}, {0x1e07, 0x1e07}, {0x1e09, 0x1e09}, {0x1e0b, 0x1e0b}, {0x1e0d, 0x1e0d}, {0x1e0f, 0x1e0f}, {0x1e11, 0x1e11}, {0x1e13, 0x1e13},
  {0x1e15, 0x1e15}, {0x1e17, 0x1e17}, {0x1e19, 0x1e19}, {0x1e1b, 0x1e1b}, {0x1e1d, 0x1e1d}, {0x1e1f, 0x1e1f}, {0x1e21, 0x1e21}, {0x1e23, 0x1e23},
  {0x1e25, 0x1e25}, {0x1e27, 0x1e27}, {0x1e29, 0x1e29}, {0x1e2b, 0x1e2b}, {0x1e2d, 0x1e2d}, {0x1e2f, 0x1e2f}, {0x1e31, 0x1e31}, {0x1e33, 0x1e33},
  {0x1e35, 0x1e35}, {0x1e37, 0x1e37}, {0x1e39, 0x1e39}, {0x1e3b, 0x1e3b}, {0x1e3d, 0x1e3d}, {0x1e3f, 0x1e3f}, {0x1e41, 0x1e41}, {0x1e43, 0x1e43},
  {0x1e45, 0x1e45}, {0x1e47, 0x1e47}, {0x1e49, 0x1e49}, {0x1e4b, 0x1e4b}, {0x1e4d, 0x1e4d}, {0x1e4f, 0x1e4f}, {0x1e51, 0x1e51}, {0x1e53, 0x1e53},
  {0x1e55, 0x1e55}, {0x1e57, 0x1e57}, {0x1e59, 0x1e59}, {0x1e5b, 0x1e5b}, {0x1e5d, 0x1e5d}, {0x1e5f, 0x1e5f}, {0x1e61, 0x1e61}, {0x1e63, 0x1e63},
  {0x1e65, 0x1e65}, {0x1e67, 0x1e67}, {0x1e69, 0x1e69}, {0x1e6b, 0x1e6b}, {0x1e6d, 0x1e6d}, {0x1e6f, 0x1e6f}, {0x1e71, 0x1e71}, {0x1e73, 0x1e73},
  {0x1e75, 0x1e75}, {0x1e77, 0x1e77}, {0x1e79, 0x1e79}, {0x1e7b, 0x1e7b}, {0x1e7d, 0x1e7d}, {0x1e7f, 0x1e7f}, {0x1e81, 0x1e81}, {0x1e83, 0x1e83},
  {0x1e85, 0x1e85}, {0x1e87, 0x1e87}, {0x1e89, 0x1e89}, {0x1e8b, 0x1e8b}, {0x1e8d, 0x1e8d}, {0x1e8f, 0x1e8f}, {0x1e91, 0x1e91}, {0x1e93, 0x1e93},
  {0x1e95, 0x1e9d}, {0x1e9f, 0x1e9f}, {0x1ea1, 0x1ea1}, {0x1ea3, 0x1ea3}, {0x1ea5, 0x1ea5}, {0x1ea7, 0x1ea7}, {0x1ea9, 0x1ea9}, {0x1eab, 0x1eab},
  {0x1ead, 0x1ead}, {0x1eaf, 0x1eaf}, {0x1eb1, 0x1eb1}, {0x1eb3, 0x1eb3}, {0x1eb5, 0x1eb5}, {0x1eb7, 0x1eb7}, {0x1eb9, 0x1eb9}, {0x1ebb, 0x1ebb},
  {0x1ebd, 0x1ebd}, {0x1ebf, 0x1ebf}, {0x1ec1, 0x1ec1}, {0x1ec3, 0x1ec3}, {0x1ec5, 0x1ec5}, {0x1ec7, 0x1ec7}, {0x1ec9, 0x1ec9}, {0x1ecb, 0x1ecb},
  {0x1ecd, 0x1ecd}, {0x1ecf, 0x1ecf}, {0x1ed1, 0x1ed1}, {0x1ed3, 0x1ed3}, {0x1ed5, 0x1ed5}, {0x1ed7, 0x1ed7}, {0x1ed9, 0x1ed9}, {0x1edb, 0x1edb},
  {0x1edd, 0x1edd}, {0x1edf, 0x1edf}, {0x1ee1, 0x1ee1}, {0x1ee3, 0x1ee3}, {0x1ee5, 0x1ee5}, {0x1ee7, 0x1ee7}, {0x1ee9, 0x1ee9}, {0x1eeb, 0x1eeb},
  {0x1eed, 0x1eed}, {0x1eef, 0x1eef}, {0x1ef1, 0x1ef1}, {0x1ef3, 0x1ef3}, {0x1ef5, 0x1ef5}, {0x1ef7, 0x1ef7}, {0x1ef9, 0x1ef9}, {0x1efb, 0x1efb},
  {0x1efd, 0x1efd}, {0x1eff, 0x1f07}, {0x1f10, 0x1f15}, {0x1f20, 0x1f27}, {0x1f30, 0x1f37}, {0x1f40, 0x1f45}, {0x1f50, 0x1f57}, {0x1f60, 0x1f67},
  {0x1f70, 0x1f7d}, {0x1f80, 0x1f87}, {0x1f90, 0x1f97}, {0x1fa0, 0x1fa7}, {0x1fb0, 0x1fb4}, {0x1fb6, 0x1fb7}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fc7}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fd7}, {0x1fe0, 0x1fe7}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ff7}, {0x210a, 0x210a}, {0x210e, 0x210f},
  {0x2113, 0x2113}, {0x212f, 0x212f}, {0x2134, 0x2134}, {0x2139, 0x2139}, {0x213c, 0x213d}, {0x2146, 0x2149}, {0x214e, 0x214e}, {0x2184, 0x2184},
  {0x2c30, 0x2c5f}, {0x2c61, 0x2c61}, {0x2c65, 0x2c66}, {0x2c68, 0x2c68}, {0x2c6a, 0x2c6a}, {0x2c6c, 0x2c6c}, {0x2c71, 0x2c71}, {0x2c73, 0x2c74},
  {0x2c76, 0x2c7b}, {0x2c81, 0x2c81}, {0x2c83, 0x2c83}, {0x2c85, 0x2c85}, {0x2c87, 0x2c87}, {0x2c89, 0x2c89}, {0x2c8b, 0x2c8b}, {0x2c8d, 0x2c8d},
  {0x2c8f, 0x2c8f}, {0x2c91, 0x2c91}, {0x2c93, 0x2c93}, {0x2c95, 0x2c95}, {0x2c97, 0x2c97}, {0x2c99, 0x2c99}, {0x2c9b, 0x2c9b}, {0x2c9d, 0x2c9d},
  {0x2c9f, 0x2c9f}, {0x2ca1, 0x2ca1}, {0x2ca3, 0x2ca3}, {0x2ca5, 0x2ca5}, {0x2ca7, 0x2ca7}, {0x2ca9, 0x2ca9}, {0x2cab, 0x2cab}, {0x2cad, 0x2cad},
  {0x2caf, 0x2caf}, {0x2cb1, 0x2cb1}, {0x2cb3, 0x2cb3}, {0x2cb5, 0x2cb5}, {0x2cb7, 0x2cb7}, {0x2cb9, 0x2cb9}, {0x2cbb, 0x2cbb}, {0x2cbd, 0x2cbd},
  {0x2cbf, 0x2cbf}, {0x2cc1, 0x2cc1}, {0x2cc3, 0x2cc3}, {0x2cc5, 0x2cc5}, {0x2cc7, 0x2cc7}, {0x2cc9, 0x2cc9}, {0x2ccb, 0x2ccb}, {0x2ccd, 0x2ccd},
  {0x2ccf, 0x2ccf}, {0x2cd1, 0x2cd1}, {0x2cd3, 0x2cd3}, {0x2cd5, 0x2cd5}, {0x2cd7, 0x2cd7}, {0x2cd9, 0x2cd9}, {0x2cdb, 0x2cdb}, {0x2cdd, 0x2cdd},
  {0x2cdf, 0x2cdf}, {0x2ce1, 0x2ce1}, {0x2ce3, 0x2ce4}, {0x2cec, 0x2cec}, {0x2cee, 0x2cee}, {0x2cf3, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0xa641, 0xa641}, {0xa643, 0xa643}, {0xa645, 0xa645}, {0xa647, 0xa647}, {0xa649, 0xa649}, {0xa64b, 0xa64b}, {0xa64d, 0xa64d},
  {0xa64f, 0xa64f}, {0xa651, 0xa651}, {0xa653, 0xa653}, {0xa655, 0xa655}, {0xa657, 0xa657}, {0xa659, 0xa659}, {0xa65b, 0xa65b}, {0xa65d, 0xa65d},
  {0xa65f, 0xa65f}, {0xa661, 0xa661}, {0xa663, 0xa663}, {0xa665, 0xa665}, {0xa667, 0xa667}, {0xa669, 0xa669}, {0xa66b, 0xa66b}, {0xa66d, 0xa66d},
  {0xa681, 0xa681}, {0xa683, 0xa683}, {0xa685, 0xa685}, {0xa687, 0xa687}, {0xa689, 0xa689}, {0xa68b, 0xa68b}, {0xa68d, 0xa68d}, {0xa68f, 0xa68f},
  {0xa691, 0xa691}, {0xa693, 0xa693}, {0xa695, 0xa695}, {0xa697, 0xa697}, {0xa699, 0xa699}, {0xa69b, 0xa69b}, {0xa723, 0xa723}, {0xa725, 0xa725},
  {0xa727, 0xa727}, {0xa729, 0xa729}, {0xa72b, 0xa72b}, {0xa72d, 0xa72d}, {0xa72f, 0xa731}, {0xa733, 0xa733}, {0xa735, 0xa735}, {0xa737, 0xa737},
  {0xa739, 0xa739}, {0xa73b, 0xa73b}, {0xa73d, 0xa73d}, {0xa73f, 0xa73f}, {0xa741, 0xa741}, {0xa743, 0xa743}, {0xa745, 0xa745}, {0xa747, 0xa747},
  {0xa749, 0xa749}, {0xa74b, 0xa74b}, {0xa74d, 0xa74d}, {0xa74f, 0xa74f}, {0xa751, 0xa751}, {0xa753, 0xa753}, {0xa755, 0xa755}, {0xa757, 0xa757},
  {0xa759, 0xa759}, {0xa75b, 0xa75b}, {0xa75d, 0xa75d}, {0xa75f, 0xa75f}, {0xa761, 0xa761}, {0xa763, 0xa763}, {0xa765, 0xa765}, {0xa767, 0xa767},
  {0xa769, 0xa769}, {0xa76b, 0xa76b}, {0xa76d, 0xa76d}, {0xa76f, 0xa76f}, {0xa771, 0xa778}, {0xa77a, 0xa77a}, {0xa77c, 0xa77c}, {0xa77f, 0xa77f},
  {0xa781, 0xa781}, {0xa783, 0xa783}, {0xa785, 0xa785}, {0xa787, 0xa787}, {0xa78c, 0xa78c}, {0xa78e, 0xa78e}, {0xa791, 0xa791}, {0xa793, 0xa795},
  {0xa797, 0xa797}, {0xa799, 0xa799}, {0xa79b, 0xa79b}, {0xa79d, 0xa79d}, {0xa79f, 0xa79f}, {0xa7a1, 0xa7a1}, {0xa7a3, 0xa7a3}, {0xa7a5, 0xa7a5},
  {0xa7a7, 0xa7a7}, {0xa7a9, 0xa7a9}, {0xa7af, 0xa7af}, {0xa7b5, 0xa7b5}, {0xa7b7, 0xa7b7}, {0xa7b9, 0xa7b9}, {0xa7bb, 0xa7bb}, {0xa7bd, 0xa7bd},
  {0xa7bf, 0xa7bf}, {0xa7c1, 0xa7c1}, {0xa7c3, 0xa7c3}, {0xa7c8, 0xa7c8}, {0xa7ca, 0xa7ca}, {0xa7d1, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d5},
  {0xa7d7, 0xa7d7}, {0xa7d9, 0xa7d9}, {0xa7f6, 0xa7f6}, {0xa7fa, 0xa7fa}, {0xab30, 0xab5a}, {0xab60, 0xab68}, {0xab70, 0xabbf}, {0xfb00, 0xfb06},
  {0xfb13, 0xfb17}, {0xff41, 0xff5a}, {0x10428, 0x1044f}, {0x104d8, 0x104fb}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
};

static TSCharacterRange sym__uppercase_identifier_character_set_1[] = {
  {'A', 'Z'}, {0xc0, 0xd6}, {0xd8, 0xde}, {0x100, 0x100}, {0x102, 0x102}, {0x104, 0x104}, {0x106, 0x106}, {0x108, 0x108},
  {0x10a, 0x10a}, {0x10c, 0x10c}, {0x10e, 0x10e}, {0x110, 0x110}, {0x112, 0x112}, {0x114, 0x114}, {0x116, 0x116}, {0x118, 0x118},
  {0x11a, 0x11a}, {0x11c, 0x11c}, {0x11e, 0x11e}, {0x120, 0x120}, {0x122, 0x122}, {0x124, 0x124}, {0x126, 0x126}, {0x128, 0x128},
  {0x12a, 0x12a}, {0x12c, 0x12c}, {0x12e, 0x12e}, {0x130, 0x130}, {0x132, 0x132}, {0x134, 0x134}, {0x136, 0x136}, {0x139, 0x139},
  {0x13b, 0x13b}, {0x13d, 0x13d}, {0x13f, 0x13f}, {0x141, 0x141}, {0x143, 0x143}, {0x145, 0x145}, {0x147, 0x147}, {0x14a, 0x14a},
  {0x14c, 0x14c}, {0x14e, 0x14e}, {0x150, 0x150}, {0x152, 0x152}, {0x154, 0x154}, {0x156, 0x156}, {0x158, 0x158}, {0x15a, 0x15a},
  {0x15c, 0x15c}, {0x15e, 0x15e}, {0x160, 0x160}, {0x162, 0x162}, {0x164, 0x164}, {0x166, 0x166}, {0x168, 0x168}, {0x16a, 0x16a},
  {0x16c, 0x16c}, {0x16e, 0x16e}, {0x170, 0x170}, {0x172, 0x172}, {0x174, 0x174}, {0x176, 0x176}, {0x178, 0x179}, {0x17b, 0x17b},
  {0x17d, 0x17d}, {0x181, 0x182}, {0x184, 0x184}, {0x186, 0x187}, {0x189, 0x18b}, {0x18e, 0x191}, {0x193, 0x194}, {0x196, 0x198},
  {0x19c, 0x19d}, {0x19f, 0x1a0}, {0x1a2, 0x1a2}, {0x1a4, 0x1a4}, {0x1a6, 0x1a7}, {0x1a9, 0x1a9}, {0x1ac, 0x1ac}, {0x1ae, 0x1af},
  {0x1b1, 0x1b3}, {0x1b5, 0x1b5}, {0x1b7, 0x1b8}, {0x1bc, 0x1bc}, {0x1c4, 0x1c4}, {0x1c7, 0x1c7}, {0x1ca, 0x1ca}, {0x1cd, 0x1cd},
  {0x1cf, 0x1cf}, {0x1d1, 0x1d1}, {0x1d3, 0x1d3}, {0x1d5, 0x1d5}, {0x1d7, 0x1d7}, {0x1d9, 0x1d9}, {0x1db, 0x1db}, {0x1de, 0x1de},
  {0x1e0, 0x1e0}, {0x1e2, 0x1e2}, {0x1e4, 0x1e4}, {0x1e6, 0x1e6}, {0x1e8, 0x1e8}, {0x1ea, 0x1ea}, {0x1ec, 0x1ec}, {0x1ee, 0x1ee},
  {0x1f1, 0x1f1}, {0x1f4, 0x1f4}, {0x1f6, 0x1f8}, {0x1fa, 0x1fa}, {0x1fc, 0x1fc}, {0x1fe, 0x1fe}, {0x200, 0x200}, {0x202, 0x202},
  {0x204, 0x204}, {0x206, 0x206}, {0x208, 0x208}, {0x20a, 0x20a}, {0x20c, 0x20c}, {0x20e, 0x20e}, {0x210, 0x210}, {0x212, 0x212},
  {0x214, 0x214}, {0x216, 0x216}, {0x218, 0x218}, {0x21a, 0x21a}, {0x21c, 0x21c}, {0x21e, 0x21e}, {0x220, 0x220}, {0x222, 0x222},
  {0x224, 0x224}, {0x226, 0x226}, {0x228, 0x228}, {0x22a, 0x22a}, {0x22c, 0x22c}, {0x22e, 0x22e}, {0x230, 0x230}, {0x232, 0x232},
  {0x23a, 0x23b}, {0x23d, 0x23e}, {0x241, 0x241}, {0x243, 0x246}, {0x248, 0x248}, {0x24a, 0x24a}, {0x24c, 0x24c}, {0x24e, 0x24e},
  {0x370, 0x370}, {0x372, 0x372}, {0x376, 0x376}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x38f},
  {0x391, 0x3a1}, {0x3a3, 0x3ab}, {0x3cf, 0x3cf}, {0x3d2, 0x3d4}, {0x3d8, 0x3d8}, {0x3da, 0x3da}, {0x3dc, 0x3dc}, {0x3de, 0x3de},
  {0x3e0, 0x3e0}, {0x3e2, 0x3e2}, {0x3e4, 0x3e4}, {0x3e6, 0x3e6}, {0x3e8, 0x3e8}, {0x3ea, 0x3ea}, {0x3ec, 0x3ec}, {0x3ee, 0x3ee},
  {0x3f4, 0x3f4}, {0x3f7, 0x3f7}, {0x3f9, 0x3fa}, {0x3fd, 0x42f}, {0x460, 0x460}, {0x462, 0x462}, {0x464, 0x464}, {0x466, 0x466},
  {0x468, 0x468}, {0x46a, 0x46a}, {0x46c, 0x46c}, {0x46e, 0x46e}, {0x470, 0x470}, {0x472, 0x472}, {0x474, 0x474}, {0x476, 0x476},
  {0x478, 0x478}, {0x47a, 0x47a}, {0x47c, 0x47c}, {0x47e, 0x47e}, {0x480, 0x480}, {0x48a, 0x48a}, {0x48c, 0x48c}, {0x48e, 0x48e},
  {0x490, 0x490}, {0x492, 0x492}, {0x494, 0x494}, {0x496, 0x496}, {0x498, 0x498}, {0x49a, 0x49a}, {0x49c, 0x49c}, {0x49e, 0x49e},
  {0x4a0, 0x4a0}, {0x4a2, 0x4a2}, {0x4a4, 0x4a4}, {0x4a6, 0x4a6}, {0x4a8, 0x4a8}, {0x4aa, 0x4aa}, {0x4ac, 0x4ac}, {0x4ae, 0x4ae},
  {0x4b0, 0x4b0}, {0x4b2, 0x4b2}, {0x4b4, 0x4b4}, {0x4b6, 0x4b6}, {0x4b8, 0x4b8}, {0x4ba, 0x4ba}, {0x4bc, 0x4bc}, {0x4be, 0x4be},
  {0x4c0, 0x4c1}, {0x4c3, 0x4c3}, {0x4c5, 0x4c5}, {0x4c7, 0x4c7}, {0x4c9, 0x4c9}, {0x4cb, 0x4cb}, {0x4cd, 0x4cd}, {0x4d0, 0x4d0},
  {0x4d2, 0x4d2}, {0x4d4, 0x4d4}, {0x4d6, 0x4d6}, {0x4d8, 0x4d8}, {0x4da, 0x4da}, {0x4dc, 0x4dc}, {0x4de, 0x4de}, {0x4e0, 0x4e0},
  {0x4e2, 0x4e2}, {0x4e4, 0x4e4}, {0x4e6, 0x4e6}, {0x4e8, 0x4e8}, {0x4ea, 0x4ea}, {0x4ec, 0x4ec}, {0x4ee, 0x4ee}, {0x4f0, 0x4f0},
  {0x4f2, 0x4f2}, {0x4f4, 0x4f4}, {0x4f6, 0x4f6}, {0x4f8, 0x4f8}, {0x4fa, 0x4fa}, {0x4fc, 0x4fc}, {0x4fe, 0x4fe}, {0x500, 0x500},
  {0x502, 0x502}, {0x504, 0x504}, {0x506, 0x506}, {0x508, 0x508}, {0x50a, 0x50a}, {0x50c, 0x50c}, {0x50e, 0x50e}, {0x510, 0x510},
  {0x512, 0x512}, {0x514, 0x514}, {0x516, 0x516}, {0x518, 0x518}, {0x51a, 0x51a}, {0x51c, 0x51c}, {0x51e, 0x51e}, {0x520, 0x520},
  {0x522, 0x522}, {0x524, 0x524}, {0x526, 0x526}, {0x528, 0x528}, {0x52a, 0x52a}, {0x52c, 0x52c}, {0x52e, 0x52e}, {0x531, 0x556},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x13a0, 0x13f5}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1e00, 0x1e00}, {0x1e02, 0x1e02},
  {0x1e04, 0x1e04}, {0x1e06, 0x1e06}, {0x1e08, 0x1e08}, {0x1e0a, 0x1e0a}, {0x1e0c, 0x1e0c}, {0x1e0e, 0x1e0e}, {0x1e10, 0x1e10}, {0x1e12, 0x1e12},
  {0x1e14, 0x1e14}, {0x1e16, 0x1e16}, {0x1e18, 0x1e18}, {0x1e1a, 0x1e1a}, {0x1e1c, 0x1e1c}, {0x1e1e, 0x1e1e}, {0x1e20, 0x1e20}, {0x1e22, 0x1e22},
  {0x1e24, 0x1e24}, {0x1e26, 0x1e26}, {0x1e28, 0x1e28}, {0x1e2a, 0x1e2a}, {0x1e2c, 0x1e2c}, {0x1e2e, 0x1e2e}, {0x1e30, 0x1e30}, {0x1e32, 0x1e32},
  {0x1e34, 0x1e34}, {0x1e36, 0x1e36}, {0x1e38, 0x1e38}, {0x1e3a, 0x1e3a}, {0x1e3c, 0x1e3c}, {0x1e3e, 0x1e3e}, {0x1e40, 0x1e40}, {0x1e42, 0x1e42},
  {0x1e44, 0x1e44}, {0x1e46, 0x1e46}, {0x1e48, 0x1e48}, {0x1e4a, 0x1e4a}, {0x1e4c, 0x1e4c}, {0x1e4e, 0x1e4e}, {0x1e50, 0x1e50}, {0x1e52, 0x1e52},
  {0x1e54, 0x1e54}, {0x1e56, 0x1e56}, {0x1e58, 0x1e58}, {0x1e5a, 0x1e5a}, {0x1e5c, 0x1e5c}, {0x1e5e, 0x1e5e}, {0x1e60, 0x1e60}, {0x1e62, 0x1e62},
  {0x1e64, 0x1e64}, {0x1e66, 0x1e66}, {0x1e68, 0x1e68}, {0x1e6a, 0x1e6a}, {0x1e6c, 0x1e6c}, {0x1e6e, 0x1e6e}, {0x1e70, 0x1e70}, {0x1e72, 0x1e72},
  {0x1e74, 0x1e74}, {0x1e76, 0x1e76}, {0x1e78, 0x1e78}, {0x1e7a, 0x1e7a}, {0x1e7c, 0x1e7c}, {0x1e7e, 0x1e7e}, {0x1e80, 0x1e80}, {0x1e82, 0x1e82},
  {0x1e84, 0x1e84}, {0x1e86, 0x1e86}, {0x1e88, 0x1e88}, {0x1e8a, 0x1e8a}, {0x1e8c, 0x1e8c}, {0x1e8e, 0x1e8e}, {0x1e90, 0x1e90}, {0x1e92, 0x1e92},
  {0x1e94, 0x1e94}, {0x1e9e, 0x1e9e}, {0x1ea0, 0x1ea0}, {0x1ea2, 0x1ea2}, {0x1ea4, 0x1ea4}, {0x1ea6, 0x1ea6}, {0x1ea8, 0x1ea8}, {0x1eaa, 0x1eaa},
  {0x1eac, 0x1eac}, {0x1eae, 0x1eae}, {0x1eb0, 0x1eb0}, {0x1eb2, 0x1eb2}, {0x1eb4, 0x1eb4}, {0x1eb6, 0x1eb6}, {0x1eb8, 0x1eb8}, {0x1eba, 0x1eba},
  {0x1ebc, 0x1ebc}, {0x1ebe, 0x1ebe}, {0x1ec0, 0x1ec0}, {0x1ec2, 0x1ec2}, {0x1ec4, 0x1ec4}, {0x1ec6, 0x1ec6}, {0x1ec8, 0x1ec8}, {0x1eca, 0x1eca},
  {0x1ecc, 0x1ecc}, {0x1ece, 0x1ece}, {0x1ed0, 0x1ed0}, {0x1ed2, 0x1ed2}, {0x1ed4, 0x1ed4}, {0x1ed6, 0x1ed6}, {0x1ed8, 0x1ed8}, {0x1eda, 0x1eda},
  {0x1edc, 0x1edc}, {0x1ede, 0x1ede}, {0x1ee0, 0x1ee0}, {0x1ee2, 0x1ee2}, {0x1ee4, 0x1ee4}, {0x1ee6, 0x1ee6}, {0x1ee8, 0x1ee8}, {0x1eea, 0x1eea},
  {0x1eec, 0x1eec}, {0x1eee, 0x1eee}, {0x1ef0, 0x1ef0}, {0x1ef2, 0x1ef2}, {0x1ef4, 0x1ef4}, {0x1ef6, 0x1ef6}, {0x1ef8, 0x1ef8}, {0x1efa, 0x1efa},
  {0x1efc, 0x1efc}, {0x1efe, 0x1efe}, {0x1f08, 0x1f0f}, {0x1f18, 0x1f1d}, {0x1f28, 0x1f2f}, {0x1f38, 0x1f3f}, {0x1f48, 0x1f4d}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f5f}, {0x1f68, 0x1f6f}, {0x1fb8, 0x1fbb}, {0x1fc8, 0x1fcb}, {0x1fd8, 0x1fdb}, {0x1fe8, 0x1fec},
  {0x1ff8, 0x1ffb}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210b, 0x210d}, {0x2110, 0x2112}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x2130, 0x2133}, {0x213e, 0x213f}, {0x2145, 0x2145}, {0x2183, 0x2183}, {0x2c00, 0x2c2f},
  {0x2c60, 0x2c60}, {0x2c62, 0x2c64}, {0x2c67, 0x2c67}, {0x2c69, 0x2c69}, {0x2c6b, 0x2c6b}, {0x2c6d, 0x2c70}, {0x2c72, 0x2c72}, {0x2c75, 0x2c75},
  {0x2c7e, 0x2c80}, {0x2c82, 0x2c82}, {0x2c84, 0x2c84}, {0x2c86, 0x2c86}, {0x2c88, 0x2c88}, {0x2c8a, 0x2c8a}, {0x2c8c, 0x2c8c}, {0x2c8e, 0x2c8e},
  {0x2c90, 0x2c90}, {0x2c92, 0x2c92}, {0x2c94, 0x2c94}, {0x2c96, 0x2c96}, {0x2c98, 0x2c98}, {0x2c9a, 0x2c9a}, {0x2c9c, 0x2c9c}, {0x2c9e, 0x2c9e},
  {0x2ca0, 0x2ca0}, {0x2ca2, 0x2ca2}, {0x2ca4, 0x2ca4}, {0x2ca6, 0x2ca6}, {0x2ca8, 0x2ca8}, {0x2caa, 0x2caa}, {0x2cac, 0x2cac}, {0x2cae, 0x2cae},
  {0x2cb0, 0x2cb0}, {0x2cb2, 0x2cb2}, {0x2cb4, 0x2cb4}, {0x2cb6, 0x2cb6}, {0x2cb8, 0x2cb8}, {0x2cba, 0x2cba}, {0x2cbc, 0x2cbc}, {0x2cbe, 0x2cbe},
  {0x2cc0, 0x2cc0}, {0x2cc2, 0x2cc2}, {0x2cc4, 0x2cc4}, {0x2cc6, 0x2cc6}, {0x2cc8, 0x2cc8}, {0x2cca, 0x2cca}, {0x2ccc, 0x2ccc}, {0x2cce, 0x2cce},
  {0x2cd0, 0x2cd0}, {0x2cd2, 0x2cd2}, {0x2cd4, 0x2cd4}, {0x2cd6, 0x2cd6}, {0x2cd8, 0x2cd8}, {0x2cda, 0x2cda}, {0x2cdc, 0x2cdc}, {0x2cde, 0x2cde},
  {0x2ce0, 0x2ce0}, {0x2ce2, 0x2ce2}, {0x2ceb, 0x2ceb}, {0x2ced, 0x2ced}, {0x2cf2, 0x2cf2}, {0xa640, 0xa640}, {0xa642, 0xa642}, {0xa644, 0xa644},
  {0xa646, 0xa646}, {0xa648, 0xa648}, {0xa64a, 0xa64a}, {0xa64c, 0xa64c}, {0xa64e, 0xa64e}, {0xa650, 0xa650}, {0xa652, 0xa652}, {0xa654, 0xa654},
  {0xa656, 0xa656}, {0xa658, 0xa658}, {0xa65a, 0xa65a}, {0xa65c, 0xa65c}, {0xa65e, 0xa65e}, {0xa660, 0xa660}, {0xa662, 0xa662}, {0xa664, 0xa664},
  {0xa666, 0xa666}, {0xa668, 0xa668}, {0xa66a, 0xa66a}, {0xa66c, 0xa66c}, {0xa680, 0xa680}, {0xa682, 0xa682}, {0xa684, 0xa684}, {0xa686, 0xa686},
  {0xa688, 0xa688}, {0xa68a, 0xa68a}, {0xa68c, 0xa68c}, {0xa68e, 0xa68e}, {0xa690, 0xa690}, {0xa692, 0xa692}, {0xa694, 0xa694}, {0xa696, 0xa696},
  {0xa698, 0xa698}, {0xa69a, 0xa69a}, {0xa722, 0xa722}, {0xa724, 0xa724}, {0xa726, 0xa726}, {0xa728, 0xa728}, {0xa72a, 0xa72a}, {0xa72c, 0xa72c},
  {0xa72e, 0xa72e}, {0xa732, 0xa732}, {0xa734, 0xa734}, {0xa736, 0xa736}, {0xa738, 0xa738}, {0xa73a, 0xa73a}, {0xa73c, 0xa73c}, {0xa73e, 0xa73e},
  {0xa740, 0xa740}, {0xa742, 0xa742}, {0xa744, 0xa744}, {0xa746, 0xa746}, {0xa748, 0xa748}, {0xa74a, 0xa74a}, {0xa74c, 0xa74c}, {0xa74e, 0xa74e},
  {0xa750, 0xa750}, {0xa752, 0xa752}, {0xa754, 0xa754}, {0xa756, 0xa756}, {0xa758, 0xa758}, {0xa75a, 0xa75a}, {0xa75c, 0xa75c}, {0xa75e, 0xa75e},
  {0xa760, 0xa760}, {0xa762, 0xa762}, {0xa764, 0xa764}, {0xa766, 0xa766}, {0xa768, 0xa768}, {0xa76a, 0xa76a}, {0xa76c, 0xa76c}, {0xa76e, 0xa76e},
  {0xa779, 0xa779}, {0xa77b, 0xa77b}, {0xa77d, 0xa77e}, {0xa780, 0xa780}, {0xa782, 0xa782}, {0xa784, 0xa784}, {0xa786, 0xa786}, {0xa78b, 0xa78b},
  {0xa78d, 0xa78d}, {0xa790, 0xa790}, {0xa792, 0xa792}, {0xa796, 0xa796}, {0xa798, 0xa798}, {0xa79a, 0xa79a}, {0xa79c, 0xa79c}, {0xa79e, 0xa79e},
  {0xa7a0, 0xa7a0}, {0xa7a2, 0xa7a2}, {0xa7a4, 0xa7a4}, {0xa7a6, 0xa7a6}, {0xa7a8, 0xa7a8}, {0xa7aa, 0xa7ae}, {0xa7b0, 0xa7b4}, {0xa7b6, 0xa7b6},
  {0xa7b8, 0xa7b8}, {0xa7ba, 0xa7ba}, {0xa7bc, 0xa7bc}, {0xa7be, 0xa7be}, {0xa7c0, 0xa7c0}, {0xa7c2, 0xa7c2}, {0xa7c4, 0xa7c7}, {0xa7c9, 0xa7c9},
  {0xa7d0, 0xa7d0}, {0xa7d6, 0xa7d6}, {0xa7d8, 0xa7d8}, {0xa7f5, 0xa7f5}, {0xff21, 0xff3a}, {0x10400, 0x10427}, {0x104b0, 0x104d3}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(439);
      ADVANCE_MAP(
        '!', 473,
        '"', 614,
        '#', 553,
        '$', 419,
        '%', 588,
        '&', 549,
        '\'', 610,
        '(', 462,
        ')', 463,
        '*', 507,
        '+', 472,
        ',', 470,
        '-', 475,
        '.', 504,
        '0', 591,
        ':', 457,
        ';', 515,
        '<', 551,
        '=', 451,
        '>', 547,
        '?', 454,
        '@', 654,
        '[', 482,
        '\\', 2,
        ']', 493,
        '^', 656,
        '`', 820,
        'a', 745,
        'c', 739,
        'd', 765,
        'e', 733,
        'i', 746,
        'l', 704,
        'm', 677,
        'o', 777,
        't', 725,
        'v', 675,
        'w', 729,
        '{', 510,
        '|', 479,
        '}', 516,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(435);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(622);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 622,
        '\r', 1,
        '#', 434,
        'o', 416,
        'u', 407,
        'x', 433,
        ' ', 628,
        '"', 628,
        '\'', 628,
        '\\', 628,
        'b', 628,
        'n', 628,
        'r', 628,
        't', 628,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(423);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 622,
        '\r', 1,
        'o', 416,
        'u', 407,
        'x', 433,
        ' ', 628,
        '"', 628,
        '\'', 628,
        '\\', 628,
        'b', 628,
        'n', 628,
        'r', 628,
        't', 628,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(423);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(611);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(613);
      if (lookahead == '\\') ADVANCE(364);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(612);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(612);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(611);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(280);
      if (lookahead == '\\') ADVANCE(364);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(282);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 473,
        '%', 588,
        '\'', 819,
        '(', 462,
        '+', 471,
        '-', 474,
        '.', 263,
        '[', 492,
        '\\', 203,
        '{', 508,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 473,
        '\'', 819,
        '(', 462,
        '+', 471,
        '-', 474,
        '.', 821,
        '[', 492,
        '\\', 203,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(473);
      if (lookahead == '(') ADVANCE(462);
      if (lookahead == '[') ADVANCE(488);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 'l') ADVANCE(704);
      if (lookahead == '{') ADVANCE(251);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        ')', 463,
        '.', 821,
        '0', 591,
        ':', 494,
        ';', 271,
        '<', 262,
        '>', 410,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 680,
        'o', 778,
        't', 810,
        '{', 510,
        '~', 430,
        '+', 603,
        '-', 603,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '.', 503,
        '0', 591,
        ':', 273,
        ';', 271,
        '=', 451,
        '[', 486,
        '\\', 203,
        '`', 820,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 680,
        'o', 778,
        't', 810,
        '{', 510,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        ';', 271,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 808,
        'i', 746,
        'l', 704,
        'm', 680,
        'o', 778,
        't', 810,
        '{', 510,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        ';', 271,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 680,
        'o', 778,
        't', 810,
        '{', 510,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        ';', 271,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 753,
        'i', 746,
        'l', 704,
        'm', 680,
        'o', 778,
        't', 810,
        '{', 510,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        ';', 271,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 680,
        'o', 778,
        't', 810,
        '{', 510,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 456,
        ';', 271,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 510,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 456,
        ';', 271,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 510,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '\'', 609,
        '(', 462,
        '0', 591,
        ';', 271,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 510,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 818,
        '$', 419,
        '\'', 609,
        '(', 462,
        '0', 591,
        ';', 271,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 510,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        ')', 463,
        ',', 470,
        '.', 503,
        '0', 591,
        ':', 495,
        ';', 514,
        '>', 410,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        '{', 512,
        '|', 477,
        '}', 516,
        '~', 453,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '\'', 609,
        '(', 462,
        ')', 463,
        ',', 470,
        '.', 503,
        '0', 591,
        ':', 495,
        ';', 514,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        '{', 512,
        '|', 478,
        '~', 453,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '\'', 609,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        '0', 591,
        ':', 456,
        ';', 271,
        '=', 451,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 510,
        '|', 477,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '\'', 609,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        '0', 591,
        ':', 456,
        ';', 271,
        '=', 451,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 510,
        '|', 477,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '\'', 609,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        '0', 591,
        ':', 461,
        '=', 451,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'c', 769,
        'e', 754,
        'i', 750,
        'm', 714,
        'v', 675,
        '{', 510,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '\'', 609,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        '0', 591,
        ':', 278,
        '=', 451,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'c', 769,
        'e', 754,
        'i', 750,
        'm', 714,
        'v', 675,
        '{', 510,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '\'', 609,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        '0', 591,
        ';', 271,
        '=', 451,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 510,
        '|', 477,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '\'', 609,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        '0', 591,
        ';', 271,
        '=', 451,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 510,
        '|', 477,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '\'', 609,
        '(', 462,
        '.', 503,
        '0', 591,
        ';', 271,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 510,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '#', 554,
        '$', 419,
        '\'', 609,
        '(', 462,
        '.', 503,
        '0', 591,
        ';', 271,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 510,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        ')', 463,
        '+', 603,
        '-', 604,
        '.', 503,
        '0', 591,
        ':', 502,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'l', 704,
        'm', 683,
        '{', 512,
        '|', 284,
        '}', 516,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        ';', 514,
        '=', 451,
        '>', 410,
        '[', 486,
        '\\', 203,
        '`', 820,
        'c', 769,
        'e', 754,
        'i', 750,
        'l', 704,
        'm', 679,
        'v', 675,
        '{', 510,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'd', 765,
        'l', 704,
        'm', 683,
        '{', 512,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'd', 767,
        'l', 704,
        'm', 683,
        't', 766,
        '{', 512,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'd', 776,
        'l', 704,
        'm', 683,
        '{', 512,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'e', 754,
        'l', 704,
        'm', 683,
        '{', 512,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'l', 704,
        'm', 683,
        't', 726,
        '{', 512,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'l', 704,
        'm', 683,
        'w', 729,
        '{', 512,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        '[', 490,
        '\\', 203,
        '`', 820,
        'a', 745,
        'i', 751,
        'l', 704,
        'm', 683,
        '{', 512,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '\'', 609,
        '(', 462,
        ')', 463,
        '.', 821,
        '0', 591,
        ':', 494,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        '{', 512,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '\'', 609,
        '(', 462,
        ')', 463,
        '.', 821,
        '0', 591,
        ':', 456,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        '{', 512,
        '~', 453,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 636,
        '"', 614,
        '$', 419,
        '\'', 609,
        '(', 462,
        '.', 821,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'l', 704,
        'm', 683,
        '{', 512,
        '+', 603,
        '-', 603,
        '?', 430,
        '~', 430,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 735,
        'i', 746,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 808,
        'i', 746,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 735,
        'i', 755,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 735,
        'i', 755,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 733,
        'i', 746,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 733,
        'i', 755,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 753,
        'i', 746,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 733,
        'i', 755,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 687,
        'm', 681,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 808,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 735,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 735,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 735,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 733,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 733,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 753,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 733,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 808,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 735,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 735,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 735,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 733,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 733,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 753,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 733,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 818,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '0', 591,
        ':', 458,
        ';', 515,
        '<', 659,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '.', 503,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 658,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '.', 503,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 658,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 480,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '.', 503,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 658,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '.', 503,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 658,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 480,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 808,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(81);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 735,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 735,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 735,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 733,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 733,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 753,
        'i', 746,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 744,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 733,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 515,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 687,
        'm', 773,
        'o', 777,
        't', 810,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 769,
        'e', 734,
        'i', 750,
        'l', 689,
        'm', 713,
        'o', 781,
        'v', 675,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 769,
        'e', 754,
        'i', 750,
        'l', 689,
        'm', 713,
        'o', 781,
        'v', 675,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 765,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 765,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 767,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        't', 766,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 767,
        'l', 689,
        'm', 774,
        'o', 781,
        't', 766,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 776,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 776,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 734,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        't', 726,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        'w', 729,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 754,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        't', 726,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        'w', 729,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 490,
        '\\', 203,
        '`', 820,
        'a', 744,
        'e', 736,
        'i', 751,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 490,
        '\\', 203,
        '`', 820,
        'a', 744,
        'i', 751,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 769,
        'e', 734,
        'i', 750,
        'l', 689,
        'm', 713,
        'o', 781,
        'v', 675,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 769,
        'e', 754,
        'i', 750,
        'l', 689,
        'm', 713,
        'o', 781,
        'v', 675,
        '{', 510,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 765,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 765,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 767,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        't', 766,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 767,
        'l', 689,
        'm', 774,
        'o', 781,
        't', 766,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 776,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 776,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 734,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        't', 726,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        'w', 729,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 754,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        't', 726,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        'w', 729,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 490,
        '\\', 203,
        '`', 820,
        'a', 744,
        'e', 736,
        'i', 751,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 458,
        ';', 514,
        '<', 658,
        '?', 455,
        '[', 490,
        '\\', 203,
        '`', 820,
        'a', 744,
        'i', 751,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 760,
        'e', 809,
        'l', 688,
        'm', 681,
        'o', 781,
        't', 810,
        '{', 511,
        '|', 408,
        '%', 650,
        '/', 650,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '$', 662,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 760,
        'e', 809,
        'l', 688,
        'm', 681,
        'o', 781,
        '{', 511,
        '|', 408,
        '%', 650,
        '/', 650,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '$', 662,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 554,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 760,
        'l', 688,
        'm', 681,
        'o', 781,
        '{', 511,
        '|', 408,
        '%', 650,
        '/', 650,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '$', 662,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '#', 429,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        '-', 606,
        '.', 503,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 760,
        'l', 687,
        'm', 681,
        'o', 781,
        '{', 512,
        '|', 285,
        '%', 650,
        '/', 650,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '/', 650,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '}', 516,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '/', 650,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '}', 516,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 769,
        'e', 734,
        'i', 750,
        'l', 687,
        'm', 678,
        'o', 781,
        'v', 675,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 790,
        'c', 769,
        'e', 754,
        'i', 750,
        'l', 687,
        'm', 678,
        'o', 781,
        'v', 675,
        '{', 510,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 765,
        'e', 736,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 765,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 767,
        'e', 736,
        'l', 687,
        'm', 682,
        'o', 781,
        't', 766,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 767,
        'l', 687,
        'm', 682,
        'o', 781,
        't', 766,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 776,
        'e', 736,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'd', 776,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 734,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 687,
        'm', 682,
        'o', 781,
        't', 726,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 687,
        'm', 682,
        'o', 781,
        'w', 729,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 480,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'e', 754,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'l', 687,
        'm', 682,
        'o', 781,
        't', 726,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'l', 687,
        'm', 682,
        'o', 781,
        'w', 729,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 489,
        '\\', 203,
        '`', 820,
        'a', 790,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 480,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 490,
        '\\', 203,
        '`', 820,
        'a', 744,
        'e', 736,
        'i', 751,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '%', 589,
        '&', 665,
        '\'', 609,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '/', 650,
        '0', 591,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 490,
        '\\', 203,
        '`', 820,
        'a', 744,
        'i', 751,
        'l', 687,
        'm', 682,
        'o', 781,
        '{', 512,
        '|', 481,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '0', 591,
        ':', 459,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '0', 591,
        ':', 459,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 480,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '0', 591,
        ':', 459,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '0', 591,
        ':', 459,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 480,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'e', 736,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 480,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 481,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '!', 637,
        '"', 614,
        '$', 661,
        '&', 665,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '0', 591,
        ':', 498,
        ';', 514,
        '<', 659,
        '=', 662,
        '>', 660,
        '?', 455,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 790,
        'l', 689,
        'm', 774,
        'o', 781,
        '{', 512,
        '|', 480,
        '}', 516,
        '~', 453,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '!', 637,
        '#', 429,
        '&', 665,
        ')', 463,
        '*', 647,
        '+', 605,
        '-', 606,
        '.', 503,
        ':', 275,
        '<', 659,
        '[', 280,
        'a', 360,
        'l', 289,
        'm', 294,
        'o', 380,
        '|', 408,
        '%', 650,
        '/', 650,
        '?', 430,
        '~', 430,
        '@', 656,
        '^', 656,
        '$', 662,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(157);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '!', 276,
        '"', 614,
        '#', 818,
        '&', 665,
        '\'', 610,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        ':', 498,
        ';', 515,
        '<', 659,
        '[', 485,
        ']', 493,
        'a', 346,
        'c', 342,
        'd', 365,
        'e', 337,
        'i', 347,
        'l', 288,
        'm', 314,
        'o', 377,
        't', 328,
        'v', 286,
        'w', 330,
        '{', 509,
        '|', 481,
        '}', 516,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '$', 662,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(159);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '!', 276,
        '"', 614,
        '#', 818,
        '&', 665,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        ':', 498,
        ';', 515,
        '<', 659,
        '[', 485,
        ']', 493,
        'a', 346,
        'c', 342,
        'd', 365,
        'e', 337,
        'i', 347,
        'l', 288,
        'm', 314,
        'o', 377,
        't', 328,
        'v', 286,
        'w', 330,
        '{', 509,
        '|', 481,
        '}', 516,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '$', 662,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(159);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '!', 276,
        '#', 818,
        '&', 665,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        ':', 269,
        ';', 515,
        '<', 659,
        '[', 253,
        ']', 493,
        'a', 346,
        'c', 341,
        'd', 366,
        'e', 337,
        'i', 351,
        'l', 288,
        'm', 372,
        'o', 377,
        't', 368,
        'v', 286,
        '{', 254,
        '|', 481,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '$', 662,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 276,
        '#', 554,
        '&', 665,
        '(', 462,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        ':', 497,
        ';', 515,
        '<', 659,
        '[', 245,
        ']', 493,
        'a', 346,
        'c', 341,
        'd', 366,
        'e', 337,
        'i', 351,
        'l', 288,
        'm', 372,
        'o', 377,
        't', 368,
        'v', 286,
        'w', 330,
        '{', 246,
        '|', 481,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '$', 662,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 276,
        '#', 554,
        '&', 665,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '.', 503,
        ':', 498,
        ';', 514,
        '<', 659,
        '>', 660,
        '[', 253,
        ']', 493,
        'a', 387,
        'c', 371,
        'd', 365,
        'e', 336,
        'i', 352,
        'l', 290,
        'm', 315,
        'o', 380,
        't', 327,
        'v', 286,
        'w', 330,
        '{', 254,
        '|', 481,
        '}', 516,
        '$', 662,
        '=', 662,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 276,
        '#', 554,
        '&', 665,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        '.', 503,
        ':', 498,
        ';', 514,
        '<', 659,
        '>', 660,
        '[', 253,
        ']', 493,
        'a', 387,
        'c', 371,
        'd', 365,
        'e', 336,
        'i', 352,
        'l', 290,
        'm', 315,
        'o', 380,
        't', 327,
        'v', 286,
        'w', 330,
        '{', 254,
        '|', 480,
        '}', 516,
        '$', 662,
        '=', 662,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 276,
        '#', 554,
        '&', 665,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 606,
        '.', 503,
        ':', 269,
        ';', 514,
        '<', 659,
        '[', 281,
        'a', 346,
        'd', 366,
        'e', 335,
        'i', 353,
        'l', 290,
        'm', 373,
        'o', 380,
        't', 367,
        '|', 481,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
        '$', 662,
        '=', 662,
        '>', 662,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 276,
        '&', 665,
        '(', 462,
        ')', 463,
        '*', 647,
        '+', 605,
        ',', 470,
        '-', 607,
        ':', 498,
        ';', 514,
        '<', 659,
        '>', 660,
        '[', 250,
        ']', 493,
        'a', 346,
        'd', 365,
        'e', 336,
        'i', 353,
        'l', 290,
        'm', 373,
        'o', 380,
        't', 327,
        'w', 330,
        '{', 251,
        '|', 480,
        '}', 516,
        '$', 662,
        '=', 662,
        '%', 650,
        '/', 650,
        '@', 656,
        '^', 656,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '%', 588,
        '\'', 609,
        '(', 462,
        ')', 463,
        '+', 602,
        ',', 470,
        '-', 608,
        '.', 503,
        '0', 591,
        ':', 495,
        ';', 514,
        '=', 451,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        'e', 809,
        '{', 511,
        '|', 477,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '%', 588,
        '\'', 609,
        '(', 462,
        '+', 602,
        ',', 470,
        '-', 608,
        '.', 821,
        '0', 591,
        ':', 499,
        ';', 514,
        '=', 451,
        '?', 454,
        '[', 489,
        '\\', 203,
        '`', 820,
        '{', 511,
        '|', 478,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'e', 809,
        'm', 770,
        'o', 778,
        '{', 511,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '%', 588,
        '\'', 609,
        '(', 462,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'o', 778,
        '{', 511,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 507,
        '+', 602,
        ',', 470,
        '-', 608,
        '.', 503,
        '0', 591,
        ':', 499,
        ';', 514,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'c', 769,
        'e', 754,
        'i', 750,
        'm', 714,
        'v', 675,
        '{', 509,
        '|', 477,
        '}', 516,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ')', 463,
        '+', 602,
        ',', 470,
        '-', 608,
        '.', 503,
        '0', 591,
        ':', 499,
        ';', 514,
        '=', 451,
        '?', 454,
        '[', 489,
        '\\', 203,
        ']', 493,
        '`', 820,
        '{', 511,
        '|', 477,
        '}', 516,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '*', 507,
        '+', 602,
        '-', 608,
        '.', 503,
        '0', 591,
        ':', 494,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '*', 507,
        '+', 602,
        '-', 608,
        '.', 503,
        '0', 591,
        ':', 494,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 509,
        '|', 477,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '*', 507,
        '+', 602,
        '-', 608,
        '.', 503,
        '0', 591,
        ':', 494,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '*', 507,
        '+', 602,
        '-', 608,
        '.', 503,
        '0', 591,
        ':', 494,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 509,
        '|', 477,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '+', 602,
        ',', 470,
        '-', 608,
        '.', 263,
        '0', 591,
        ':', 499,
        ';', 514,
        '=', 451,
        '?', 454,
        '[', 489,
        '\\', 203,
        '`', 820,
        '{', 511,
        '|', 478,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '+', 602,
        ',', 470,
        '-', 608,
        '.', 263,
        '0', 591,
        ':', 460,
        ';', 514,
        '=', 451,
        '?', 454,
        '[', 489,
        '\\', 203,
        '`', 820,
        '{', 511,
        '|', 478,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 263,
        '0', 591,
        ':', 499,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 808,
        'i', 746,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 263,
        '0', 591,
        ':', 499,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 263,
        '0', 591,
        ':', 499,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 753,
        'i', 746,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 263,
        '0', 591,
        ':', 499,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 263,
        '0', 591,
        ':', 499,
        '=', 451,
        '?', 454,
        '[', 490,
        '\\', 203,
        '`', 820,
        'a', 745,
        'i', 751,
        '{', 511,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 503,
        '0', 591,
        ':', 499,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 808,
        'i', 746,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 503,
        '0', 591,
        ':', 499,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 503,
        '0', 591,
        ':', 499,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 753,
        'i', 746,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 503,
        '0', 591,
        ':', 499,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 745,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 503,
        '0', 591,
        ':', 499,
        '=', 451,
        '?', 454,
        '[', 490,
        '\\', 203,
        '`', 820,
        'a', 745,
        'i', 751,
        '{', 511,
        '|', 477,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        ',', 470,
        '.', 503,
        '0', 591,
        ':', 267,
        ';', 514,
        '[', 489,
        '\\', 203,
        '`', 820,
        'e', 809,
        '{', 511,
        '|', 478,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '.', 821,
        '0', 591,
        '[', 489,
        '\\', 203,
        '`', 820,
        'e', 809,
        '{', 511,
        '|', 477,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 494,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 494,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 494,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 494,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 494,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'c', 769,
        'e', 754,
        'i', 750,
        'm', 714,
        'v', 675,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 456,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 456,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        ']', 493,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 456,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 456,
        ';', 271,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '"', 614,
        '#', 552,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 456,
        '=', 451,
        '?', 454,
        '[', 486,
        '\\', 203,
        '`', 820,
        'c', 769,
        'e', 754,
        'i', 750,
        'm', 714,
        'v', 675,
        '{', 509,
        '~', 452,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '"', 614,
        '#', 818,
        '\'', 609,
        '(', 462,
        ')', 463,
        ',', 470,
        '0', 591,
        ':', 495,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 513,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '"', 614,
        '#', 818,
        '\'', 609,
        '(', 462,
        '0', 591,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 202:
      if (lookahead == '"') ADVANCE(614);
      if (lookahead == '%') ADVANCE(617);
      if (lookahead == '@') ADVANCE(618);
      if (lookahead == '[') ADVANCE(619);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(615);
      if (lookahead != 0) ADVANCE(620);
      END_STATE();
    case 203:
      if (lookahead == '#') ADVANCE(434);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '#', 552,
        '%', 588,
        '\'', 819,
        '(', 462,
        ')', 463,
        '-', 277,
        ':', 267,
        '<', 550,
        '?', 454,
        '[', 487,
        '\\', 203,
        'm', 770,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '#', 552,
        '%', 588,
        '\'', 819,
        '(', 462,
        '<', 550,
        '?', 454,
        '[', 487,
        '\\', 203,
        't', 810,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        ':', 494,
        ';', 271,
        '<', 550,
        '=', 451,
        '?', 454,
        '[', 484,
        '\\', 203,
        ']', 493,
        'c', 740,
        'e', 808,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 246,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 491,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 808,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 491,
        '\\', 203,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        ';', 271,
        '[', 491,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        ';', 271,
        '[', 491,
        '\\', 203,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '(', 462,
        '<', 550,
        '?', 454,
        '[', 487,
        '\\', 203,
        'l', 719,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        ',', 470,
        '-', 277,
        '.', 503,
        ':', 495,
        ';', 514,
        '=', 451,
        '[', 281,
        '\\', 203,
        'i', 751,
        '|', 478,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        '-', 277,
        '.', 503,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        '-', 277,
        '.', 503,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        '-', 277,
        '.', 503,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        'c', 740,
        'e', 753,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        '-', 277,
        '.', 503,
        ':', 494,
        '[', 253,
        '\\', 203,
        'c', 769,
        'e', 754,
        'i', 757,
        'm', 714,
        'v', 675,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        '-', 277,
        '.', 503,
        ':', 278,
        '=', 451,
        '[', 253,
        '\\', 203,
        'c', 769,
        'e', 754,
        'i', 750,
        'm', 714,
        'v', 675,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        '-', 277,
        '.', 503,
        ';', 271,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        '-', 277,
        '.', 503,
        ';', 271,
        '[', 253,
        '\\', 203,
        ']', 493,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        '-', 277,
        '.', 503,
        ';', 271,
        '[', 253,
        '\\', 203,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '#', 552,
        '\'', 819,
        '*', 507,
        '-', 277,
        '.', 503,
        ';', 271,
        '[', 253,
        '\\', 203,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '#', 552,
        ')', 463,
        '*', 507,
        '-', 277,
        ':', 502,
        '[', 280,
        '\\', 203,
        'a', 761,
        'c', 769,
        'w', 729,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '#', 552,
        '*', 507,
        '-', 277,
        ':', 500,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        'w', 729,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '#', 552,
        '*', 507,
        '-', 277,
        ':', 500,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 808,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        'w', 729,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '#', 552,
        '*', 507,
        '-', 277,
        ':', 500,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        'w', 729,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '#', 552,
        '*', 507,
        '-', 277,
        ':', 500,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 755,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        'w', 729,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '#', 552,
        '*', 507,
        '-', 277,
        ':', 500,
        '=', 451,
        '[', 281,
        '\\', 203,
        'a', 761,
        'c', 769,
        'i', 751,
        'w', 729,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '#', 818,
        '%', 588,
        '(', 462,
        ')', 463,
        '*', 507,
        '+', 272,
        '-', 277,
        '.', 503,
        ':', 501,
        ';', 271,
        '=', 451,
        '[', 245,
        ']', 493,
        'a', 358,
        'c', 342,
        'e', 355,
        'i', 347,
        'l', 307,
        'm', 316,
        'o', 376,
        't', 405,
        'v', 286,
        'w', 330,
        '{', 246,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '#', 818,
        '(', 462,
        ')', 463,
        ',', 470,
        '-', 277,
        '.', 503,
        ':', 495,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '#', 818,
        '(', 462,
        '*', 507,
        '-', 277,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 491,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '#', 818,
        '(', 462,
        '*', 507,
        '-', 277,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 491,
        '\\', 203,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '#', 818,
        '(', 462,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 491,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 740,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '#', 818,
        '(', 462,
        ':', 494,
        ';', 271,
        '=', 451,
        '[', 491,
        '\\', 203,
        'a', 761,
        'c', 740,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        '{', 254,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '#', 818,
        ')', 463,
        '-', 277,
        ':', 274,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 752,
        'l', 704,
        'm', 712,
        'o', 778,
        't', 810,
        'v', 675,
        'w', 729,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 818,
        ')', 463,
        ':', 494,
        ';', 271,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 752,
        'l', 704,
        'm', 712,
        'o', 778,
        't', 810,
        'v', 675,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 818,
        '*', 507,
        '-', 277,
        ':', 273,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 808,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        'w', 729,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 818,
        '*', 507,
        '-', 277,
        ':', 273,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        'v', 675,
        'w', 729,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '#', 818,
        '*', 507,
        '-', 277,
        ':', 273,
        ';', 271,
        '=', 451,
        '[', 253,
        '\\', 203,
        'a', 761,
        'c', 739,
        'e', 753,
        'i', 755,
        'l', 704,
        'm', 770,
        'o', 778,
        't', 810,
        'w', 729,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '#', 554,
        '(', 462,
        ')', 463,
        ',', 470,
        '-', 277,
        '.', 503,
        ':', 268,
        ';', 514,
        '=', 451,
        '[', 250,
        '\\', 203,
        'a', 761,
        'i', 751,
        'w', 729,
        '{', 251,
        '|', 478,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '#', 554,
        '(', 462,
        '*', 507,
        '-', 277,
        '.', 503,
        ':', 500,
        ';', 514,
        '=', 451,
        '[', 250,
        'a', 358,
        'c', 371,
        'i', 353,
        'w', 330,
        '{', 251,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '#', 554,
        ')', 463,
        ',', 470,
        '-', 277,
        '.', 504,
        ':', 495,
        ';', 514,
        '=', 451,
        '[', 280,
        '\\', 203,
        ']', 493,
        'w', 729,
        '|', 477,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '#', 554,
        ')', 463,
        ',', 470,
        '-', 277,
        '.', 503,
        ':', 495,
        ';', 514,
        '=', 451,
        '>', 547,
        '[', 280,
        '\\', 203,
        ']', 493,
        '`', 820,
        'w', 729,
        '|', 477,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '#', 554,
        ')', 463,
        ',', 470,
        '-', 277,
        '.', 503,
        ':', 495,
        ';', 514,
        '=', 451,
        '[', 253,
        '\\', 203,
        ']', 493,
        'c', 769,
        'e', 754,
        'i', 750,
        'm', 714,
        'v', 675,
        'w', 729,
        '{', 254,
        '|', 477,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 244:
      if (lookahead == '%') ADVANCE(588);
      if (lookahead == '[') ADVANCE(492);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 't') ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 245:
      if (lookahead == '%') ADVANCE(582);
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 246:
      if (lookahead == '%') ADVANCE(584);
      END_STATE();
    case 247:
      if (lookahead == '%') ADVANCE(586);
      END_STATE();
    case 248:
      if (lookahead == '%') ADVANCE(587);
      END_STATE();
    case 249:
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 250:
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '@') ADVANCE(577);
      END_STATE();
    case 251:
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 252:
      if (lookahead == '%') ADVANCE(624);
      if (lookahead == '@') ADVANCE(625);
      if (lookahead == '[') ADVANCE(626);
      if (lookahead == '|') ADVANCE(623);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(615);
      if (lookahead != 0) ADVANCE(627);
      END_STATE();
    case 253:
      if (lookahead == '%') ADVANCE(247);
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 254:
      if (lookahead == '%') ADVANCE(248);
      END_STATE();
    case 255:
      if (lookahead == '(') ADVANCE(462);
      if (lookahead == ')') ADVANCE(463);
      if (lookahead == '[') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 'v') ADVANCE(675);
      if (lookahead == '{') ADVANCE(251);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 256:
      if (lookahead == '(') ADVANCE(462);
      if (lookahead == '-') ADVANCE(277);
      if (lookahead == '.') ADVANCE(821);
      if (lookahead == '[') ADVANCE(488);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 'm') ADVANCE(770);
      if (lookahead == '{') ADVANCE(251);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 257:
      ADVANCE_MAP(
        '(', 462,
        '.', 821,
        ':', 278,
        ';', 514,
        '=', 451,
        '>', 547,
        '[', 253,
        'c', 371,
        'e', 354,
        'i', 352,
        'm', 313,
        'v', 286,
        '{', 254,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257);
      END_STATE();
    case 258:
      if (lookahead == '(') ADVANCE(462);
      if (lookahead == '[') ADVANCE(492);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == '{') ADVANCE(508);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 259:
      if (lookahead == '*') ADVANCE(266);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(633);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(265);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(632);
      END_STATE();
    case 260:
      if (lookahead == '*') ADVANCE(415);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(414);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(632);
      END_STATE();
    case 261:
      ADVANCE_MAP(
        ',', 470,
        '.', 503,
        ':', 495,
        ';', 514,
        '=', 451,
        '[', 281,
        '\\', 203,
        ']', 493,
        'i', 751,
        '|', 477,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 262:
      if (lookahead == '-') ADVANCE(558);
      END_STATE();
    case 263:
      if (lookahead == '.') ADVANCE(468);
      END_STATE();
    case 264:
      if (lookahead == '.') ADVANCE(821);
      if (lookahead == '[') ADVANCE(280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(585);
      END_STATE();
    case 265:
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(265);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(632);
      END_STATE();
    case 266:
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(633);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(632);
      END_STATE();
    case 267:
      if (lookahead == ':') ADVANCE(555);
      END_STATE();
    case 268:
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 269:
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '=') ADVANCE(670);
      END_STATE();
    case 270:
      ADVANCE_MAP(
        ':', 502,
        ';', 514,
        '=', 451,
        '>', 410,
        '[', 253,
        'c', 371,
        'e', 354,
        'i', 352,
        'm', 313,
        'v', 286,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270);
      END_STATE();
    case 271:
      if (lookahead == ';') ADVANCE(442);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(469);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 274:
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 275:
      if (lookahead == '=') ADVANCE(670);
      END_STATE();
    case 276:
      if (lookahead == '=') ADVANCE(657);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(505);
      END_STATE();
    case 278:
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 279:
      if (lookahead == '>') ADVANCE(634);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(279);
      END_STATE();
    case 280:
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 281:
      if (lookahead == '@') ADVANCE(577);
      END_STATE();
    case 282:
      if (lookahead == '[') ADVANCE(280);
      if (lookahead == '\\') ADVANCE(364);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282);
      END_STATE();
    case 283:
      if (lookahead == '[') ADVANCE(488);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 'l') ADVANCE(719);
      if (lookahead == '{') ADVANCE(251);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 284:
      if (lookahead == ']') ADVANCE(557);
      END_STATE();
    case 285:
      if (lookahead == ']') ADVANCE(557);
      if (lookahead == '|') ADVANCE(668);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 286:
      if (lookahead == 'a') ADVANCE(338);
      END_STATE();
    case 287:
      if (lookahead == 'a') ADVANCE(390);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(357);
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'o') ADVANCE(382);
      if (lookahead == 's') ADVANCE(412);
      if (lookahead == 'x') ADVANCE(370);
      END_STATE();
    case 289:
      if (lookahead == 'a') ADVANCE(357);
      if (lookahead == 'e') ADVANCE(399);
      if (lookahead == 'o') ADVANCE(382);
      if (lookahead == 's') ADVANCE(412);
      if (lookahead == 'x') ADVANCE(370);
      END_STATE();
    case 290:
      if (lookahead == 'a') ADVANCE(357);
      if (lookahead == 'o') ADVANCE(382);
      if (lookahead == 's') ADVANCE(412);
      if (lookahead == 'x') ADVANCE(370);
      END_STATE();
    case 291:
      if (lookahead == 'a') ADVANCE(333);
      END_STATE();
    case 292:
      if (lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 293:
      if (lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 294:
      if (lookahead == 'a') ADVANCE(396);
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 295:
      if (lookahead == 'c') ADVANCE(339);
      if (lookahead == 'h') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 296:
      if (lookahead == 'c') ADVANCE(317);
      if (lookahead == 't') ADVANCE(318);
      END_STATE();
    case 297:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(447);
      END_STATE();
    case 299:
      if (lookahead == 'd') ADVANCE(531);
      END_STATE();
    case 300:
      if (lookahead == 'd') ADVANCE(646);
      END_STATE();
    case 301:
      if (lookahead == 'd') ADVANCE(649);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(537);
      END_STATE();
    case 303:
      if (lookahead == 'd') ADVANCE(446);
      END_STATE();
    case 304:
      if (lookahead == 'd') ADVANCE(424);
      END_STATE();
    case 305:
      if (lookahead == 'd') ADVANCE(403);
      END_STATE();
    case 306:
      if (lookahead == 'd') ADVANCE(311);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(562);
      END_STATE();
    case 309:
      if (lookahead == 'e') ADVANCE(466);
      END_STATE();
    case 310:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(525);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(566);
      END_STATE();
    case 313:
      if (lookahead == 'e') ADVANCE(393);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(393);
      if (lookahead == 'o') ADVANCE(301);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(393);
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 316:
      if (lookahead == 'e') ADVANCE(393);
      if (lookahead == 'o') ADVANCE(305);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 318:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 319:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 320:
      if (lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 321:
      if (lookahead == 'e') ADVANCE(349);
      END_STATE();
    case 322:
      if (lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 323:
      if (lookahead == 'h') ADVANCE(533);
      END_STATE();
    case 324:
      if (lookahead == 'h') ADVANCE(374);
      END_STATE();
    case 325:
      if (lookahead == 'h') ADVANCE(426);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 327:
      if (lookahead == 'h') ADVANCE(321);
      END_STATE();
    case 328:
      if (lookahead == 'h') ADVANCE(321);
      if (lookahead == 'y') ADVANCE(379);
      END_STATE();
    case 329:
      if (lookahead == 'i') ADVANCE(406);
      END_STATE();
    case 330:
      if (lookahead == 'i') ADVANCE(398);
      END_STATE();
    case 331:
      if (lookahead == 'i') ADVANCE(375);
      END_STATE();
    case 332:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 333:
      if (lookahead == 'i') ADVANCE(359);
      END_STATE();
    case 334:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 335:
      if (lookahead == 'l') ADVANCE(389);
      END_STATE();
    case 336:
      if (lookahead == 'l') ADVANCE(389);
      if (lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 337:
      if (lookahead == 'l') ADVANCE(389);
      if (lookahead == 'n') ADVANCE(299);
      if (lookahead == 'x') ADVANCE(296);
      END_STATE();
    case 338:
      if (lookahead == 'l') ADVANCE(529);
      END_STATE();
    case 339:
      if (lookahead == 'l') ADVANCE(404);
      END_STATE();
    case 340:
      if (lookahead == 'l') ADVANCE(464);
      END_STATE();
    case 341:
      if (lookahead == 'l') ADVANCE(287);
      END_STATE();
    case 342:
      if (lookahead == 'l') ADVANCE(287);
      if (lookahead == 'o') ADVANCE(356);
      END_STATE();
    case 343:
      if (lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 344:
      if (lookahead == 'l') ADVANCE(310);
      END_STATE();
    case 345:
      if (lookahead == 'n') ADVANCE(634);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(298);
      if (lookahead == 's') ADVANCE(381);
      END_STATE();
    case 347:
      if (lookahead == 'n') ADVANCE(295);
      END_STATE();
    case 348:
      if (lookahead == 'n') ADVANCE(523);
      END_STATE();
    case 349:
      if (lookahead == 'n') ADVANCE(560);
      END_STATE();
    case 350:
      if (lookahead == 'n') ADVANCE(519);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(541);
      END_STATE();
    case 352:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 353:
      if (lookahead == 'n') ADVANCE(539);
      END_STATE();
    case 354:
      if (lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(299);
      if (lookahead == 'x') ADVANCE(296);
      END_STATE();
    case 356:
      if (lookahead == 'n') ADVANCE(391);
      END_STATE();
    case 357:
      if (lookahead == 'n') ADVANCE(300);
      END_STATE();
    case 358:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 359:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 360:
      if (lookahead == 'n') ADVANCE(304);
      if (lookahead == 's') ADVANCE(381);
      END_STATE();
    case 361:
      if (lookahead == 'n') ADVANCE(402);
      END_STATE();
    case 362:
      if (lookahead == 'n') ADVANCE(312);
      if (lookahead == 'w') ADVANCE(361);
      END_STATE();
    case 363:
      if (lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 364:
      ADVANCE_MAP(
        'o', 416,
        'x', 433,
        ' ', 628,
        '"', 628,
        '\'', 628,
        '\\', 628,
        'b', 628,
        'n', 628,
        'r', 628,
        't', 628,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(423);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(564);
      END_STATE();
    case 366:
      if (lookahead == 'o') ADVANCE(362);
      END_STATE();
    case 367:
      if (lookahead == 'o') ADVANCE(568);
      END_STATE();
    case 368:
      if (lookahead == 'o') ADVANCE(568);
      if (lookahead == 'y') ADVANCE(379);
      END_STATE();
    case 369:
      if (lookahead == 'o') ADVANCE(570);
      END_STATE();
    case 370:
      if (lookahead == 'o') ADVANCE(382);
      END_STATE();
    case 371:
      if (lookahead == 'o') ADVANCE(356);
      END_STATE();
    case 372:
      if (lookahead == 'o') ADVANCE(301);
      END_STATE();
    case 373:
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 374:
      if (lookahead == 'o') ADVANCE(302);
      END_STATE();
    case 375:
      if (lookahead == 'o') ADVANCE(350);
      END_STATE();
    case 376:
      if (lookahead == 'p') ADVANCE(320);
      END_STATE();
    case 377:
      if (lookahead == 'p') ADVANCE(320);
      if (lookahead == 'r') ADVANCE(667);
      END_STATE();
    case 378:
      if (lookahead == 'p') ADVANCE(400);
      END_STATE();
    case 379:
      if (lookahead == 'p') ADVANCE(309);
      END_STATE();
    case 380:
      if (lookahead == 'r') ADVANCE(667);
      END_STATE();
    case 381:
      if (lookahead == 'r') ADVANCE(643);
      END_STATE();
    case 382:
      if (lookahead == 'r') ADVANCE(646);
      END_STATE();
    case 383:
      if (lookahead == 'r') ADVANCE(543);
      END_STATE();
    case 384:
      if (lookahead == 'r') ADVANCE(291);
      END_STATE();
    case 385:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 386:
      if (lookahead == 'r') ADVANCE(332);
      END_STATE();
    case 387:
      if (lookahead == 's') ADVANCE(381);
      END_STATE();
    case 388:
      if (lookahead == 's') ADVANCE(527);
      END_STATE();
    case 389:
      if (lookahead == 's') ADVANCE(308);
      END_STATE();
    case 390:
      if (lookahead == 's') ADVANCE(388);
      END_STATE();
    case 391:
      if (lookahead == 's') ADVANCE(401);
      END_STATE();
    case 392:
      if (lookahead == 't') ADVANCE(443);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(324);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(535);
      END_STATE();
    case 395:
      if (lookahead == 't') ADVANCE(517);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(334);
      END_STATE();
    case 398:
      if (lookahead == 't') ADVANCE(323);
      END_STATE();
    case 399:
      if (lookahead == 't') ADVANCE(425);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(331);
      END_STATE();
    case 401:
      if (lookahead == 't') ADVANCE(384);
      END_STATE();
    case 402:
      if (lookahead == 't') ADVANCE(369);
      END_STATE();
    case 403:
      if (lookahead == 'u') ADVANCE(344);
      END_STATE();
    case 404:
      if (lookahead == 'u') ADVANCE(306);
      END_STATE();
    case 405:
      if (lookahead == 'y') ADVANCE(379);
      END_STATE();
    case 406:
      if (lookahead == 'z') ADVANCE(322);
      END_STATE();
    case 407:
      if (lookahead == '{') ADVANCE(431);
      END_STATE();
    case 408:
      if (lookahead == '|') ADVANCE(668);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 409:
      if (lookahead == '}') ADVANCE(621);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(409);
      END_STATE();
    case 410:
      if (lookahead == '}') ADVANCE(573);
      END_STATE();
    case 411:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(420);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(600);
      END_STATE();
    case 412:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(643);
      END_STATE();
    case 413:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(597);
      END_STATE();
    case 414:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(414);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(632);
      END_STATE();
    case 415:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(633);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(632);
      END_STATE();
    case 416:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(418);
      END_STATE();
    case 417:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(631);
      END_STATE();
    case 418:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(417);
      END_STATE();
    case 419:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 420:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(600);
      END_STATE();
    case 421:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(279);
      END_STATE();
    case 422:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(629);
      END_STATE();
    case 423:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(422);
      END_STATE();
    case 424:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      END_STATE();
    case 425:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      END_STATE();
    case 426:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(674);
      END_STATE();
    case 427:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 428:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 429:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(642);
      END_STATE();
    case 430:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 431:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(409);
      END_STATE();
    case 432:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(630);
      END_STATE();
    case 433:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(432);
      END_STATE();
    case 434:
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 435:
      if (eof) ADVANCE(439);
      ADVANCE_MAP(
        '!', 473,
        '"', 614,
        '#', 553,
        '$', 419,
        '%', 588,
        '&', 549,
        '\'', 609,
        '(', 462,
        ')', 463,
        '*', 507,
        '+', 472,
        ',', 470,
        '-', 475,
        '.', 504,
        '0', 591,
        ':', 496,
        ';', 515,
        '<', 551,
        '=', 451,
        '>', 547,
        '?', 454,
        '@', 654,
        '[', 483,
        '\\', 2,
        ']', 493,
        '^', 656,
        '`', 820,
        'a', 745,
        'c', 739,
        'd', 765,
        'e', 733,
        'i', 746,
        'l', 704,
        'm', 677,
        'o', 777,
        't', 725,
        'v', 675,
        'w', 729,
        '{', 510,
        '|', 479,
        '}', 516,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(435);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 436:
      if (eof) ADVANCE(439);
      ADVANCE_MAP(
        '!', 473,
        '"', 614,
        '#', 552,
        '%', 588,
        '&', 548,
        '\'', 819,
        '(', 462,
        ')', 463,
        '*', 507,
        '+', 272,
        ',', 470,
        '-', 277,
        '.', 263,
        '0', 591,
        ':', 496,
        ';', 514,
        '<', 550,
        '=', 451,
        '>', 547,
        '?', 454,
        '[', 487,
        '\\', 203,
        ']', 493,
        '`', 820,
        '{', 511,
        '|', 477,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(436);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 437:
      if (eof) ADVANCE(439);
      ADVANCE_MAP(
        '#', 552,
        '%', 588,
        '&', 548,
        '\'', 819,
        '(', 462,
        ')', 463,
        '*', 507,
        ',', 470,
        '-', 277,
        '.', 503,
        ':', 278,
        ';', 514,
        '=', 451,
        '>', 547,
        '[', 492,
        '\\', 203,
        ']', 493,
        '|', 477,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(437);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 438:
      if (eof) ADVANCE(439);
      ADVANCE_MAP(
        '&', 548,
        ')', 463,
        '*', 507,
        ',', 470,
        '-', 277,
        ':', 278,
        ';', 514,
        '=', 451,
        '>', 547,
        '[', 253,
        '\\', 203,
        ']', 493,
        'a', 761,
        'c', 769,
        'e', 754,
        'i', 750,
        'm', 714,
        'v', 675,
        'w', 729,
        '{', 254,
        '|', 477,
        '}', 516,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(438);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(816);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_shebang);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(440);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(441);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(441);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '=') ADVANCE(670);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '=') ADVANCE(670);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_external);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_type);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(639);
      if (lookahead == '=') ADVANCE(469);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(639);
      if (lookahead == '>') ADVANCE(505);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(557);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(557);
      if (lookahead == '|') ADVANCE(667);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(557);
      if (lookahead == '|') ADVANCE(668);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(668);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(582);
      if (lookahead == '<') ADVANCE(546);
      if (lookahead == '>') ADVANCE(545);
      if (lookahead == '@') ADVANCE(616);
      if (lookahead == '|') ADVANCE(556);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(582);
      if (lookahead == '<') ADVANCE(546);
      if (lookahead == '>') ADVANCE(545);
      if (lookahead == '@') ADVANCE(575);
      if (lookahead == '|') ADVANCE(556);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(582);
      if (lookahead == '<') ADVANCE(546);
      if (lookahead == '>') ADVANCE(545);
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(582);
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(582);
      if (lookahead == '@') ADVANCE(576);
      if (lookahead == '|') ADVANCE(556);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '<') ADVANCE(546);
      if (lookahead == '>') ADVANCE(545);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '@') ADVANCE(575);
      if (lookahead == '|') ADVANCE(556);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '@') ADVANCE(577);
      if (lookahead == '|') ADVANCE(556);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(247);
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(555);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '=') ADVANCE(670);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '=') ADVANCE(670);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(555);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(476);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(468);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(584);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(584);
      if (lookahead == '<') ADVANCE(572);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(583);
      if (lookahead == '<') ADVANCE(572);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(248);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(442);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_exception);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_module);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_open);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_include);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_class);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_val);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_end);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_with);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_method);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(741);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_in);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(664);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(558);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(440);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(642);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(642);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_then);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_else);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_do);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_done);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_to);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_downto);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(579);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(578);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(580);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(586);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(587);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(585);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 595,
        'B', 413,
        'b', 413,
        'E', 411,
        'e', 411,
        'O', 598,
        'o', 598,
        'X', 601,
        'x', 601,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(592);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(590);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(595);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(592);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(590);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(596);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(594);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(593);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(590);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(420);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(600);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(595);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(590);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(594);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(596);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(590);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(597);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(590);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(599);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(599);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(590);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(600);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(590);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(593);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(639);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(639);
      if (lookahead == '>') ADVANCE(505);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(641);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(640);
      if (lookahead == '>') ADVANCE(428);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(640);
      if (lookahead == '>') ADVANCE(506);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(505);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 266,
        '.', 260,
        'L', 633,
        'l', 633,
        'n', 633,
        ' ', 259,
        '#', 259,
        '+', 259,
        '-', 259,
        '0', 259,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(265);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(632);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 421,
        '\\', 345,
        ' ', 634,
        ',', 634,
        '.', 634,
        ';', 634,
        '?', 634,
        '[', 634,
        ']', 634,
        '{', 634,
        '}', 634,
      );
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(616);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(620);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(620);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(622);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 266,
        '.', 260,
        'L', 633,
        'l', 633,
        'n', 633,
        ' ', 259,
        '#', 259,
        '+', 259,
        '-', 259,
        '0', 259,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(265);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(632);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 421,
        '\\', 345,
        ' ', 634,
        ',', 634,
        '.', 634,
        ';', 634,
        '?', 634,
        '[', 634,
        ']', 634,
        '{', 634,
        '}', 634,
      );
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(616);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(627);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(627);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(632);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(656);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(430);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(663);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(653);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(642);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(644);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(644);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(743);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(344);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(653);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 655,
        '\\', 345,
        '.', 635,
        '?', 635,
        ' ', 634,
        ',', 634,
        ';', 634,
        '[', 634,
        ']', 634,
        '{', 634,
        '}', 634,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(656);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(279);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(656);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(656);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(559);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(427);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(573);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(574);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(666);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(662);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(674);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(737);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(794);
      if (lookahead == 'e') ADVANCE(795);
      if (lookahead == 'o') ADVANCE(697);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(794);
      if (lookahead == 'e') ADVANCE(795);
      if (lookahead == 'o') ADVANCE(699);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(794);
      if (lookahead == 'e') ADVANCE(795);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(794);
      if (lookahead == 'o') ADVANCE(697);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(794);
      if (lookahead == 'o') ADVANCE(700);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(794);
      if (lookahead == 'o') ADVANCE(699);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(794);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(730);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(738);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(742);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(758);
      if (lookahead == 'e') ADVANCE(793);
      if (lookahead == 'o') ADVANCE(783);
      if (lookahead == 's') ADVANCE(812);
      if (lookahead == 'x') ADVANCE(771);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(758);
      if (lookahead == 'e') ADVANCE(802);
      if (lookahead == 'o') ADVANCE(783);
      if (lookahead == 's') ADVANCE(812);
      if (lookahead == 'x') ADVANCE(771);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(758);
      if (lookahead == 'o') ADVANCE(783);
      if (lookahead == 's') ADVANCE(812);
      if (lookahead == 'x') ADVANCE(771);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(741);
      if (lookahead == 'h') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(803);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(741);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(721);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(711);
      if (lookahead == 't') ADVANCE(706);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(711);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(448);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(532);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(805);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(538);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(651);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(648);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(449);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(813);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(709);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(793);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(563);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(786);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(467);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(522);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(526);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(567);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(780);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(795);
      if (lookahead == 'o') ADVANCE(697);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(795);
      if (lookahead == 'o') ADVANCE(699);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(795);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(747);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(748);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(787);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(784);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(798);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(534);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(815);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(772);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(803);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(717);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(716);
      if (lookahead == 'o') ADVANCE(569);
      if (lookahead == 'y') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(716);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(811);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(775);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(800);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(759);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(797);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(686);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'x') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(789);
      if (lookahead == 'n') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(789);
      if (lookahead == 'x') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(789);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(530);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(465);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(676);
      if (lookahead == 'o') ADVANCE(756);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(676);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(806);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(727);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(708);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(695);
      if (lookahead == 's') ADVANCE(782);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(695);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(540);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(524);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(561);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(520);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(723);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(542);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(696);
      if (lookahead == 'x') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(792);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(724);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(699);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(796);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(702);
      if (lookahead == 's') ADVANCE(782);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(701);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(804);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(710);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(685);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(565);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(569);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(807);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(571);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(756);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(697);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(783);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(698);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(700);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(699);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(749);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(763);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(715);
      if (lookahead == 'r') ADVANCE(669);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(715);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(707);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(799);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(669);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(645);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(651);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(544);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(684);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(764);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(731);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(528);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(705);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(782);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(788);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(801);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(444);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(692);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(722);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(518);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(536);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(445);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(728);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(720);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(785);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(732);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(768);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(743);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(703);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'w') ADVANCE(762);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'y') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'z') ADVANCE(718);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(645);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(674);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(816);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym__uppercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(817);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'e', 4,
        'f', 5,
        'i', 6,
        'l', 7,
        'm', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
        'w', 16,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'o') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'b') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(36);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(37);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(38);
      END_STATE();
    case 18:
      if (lookahead == 'g') ADVANCE(39);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(40);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 21:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 24:
      if (lookahead == 'z') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 27:
      if (lookahead == 'w') ADVANCE(47);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 29:
      if (lookahead == 'j') ADVANCE(49);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'g') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'y') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 44:
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 'v') ADVANCE(69);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 53:
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 65:
      if (lookahead == 'h') ADVANCE(80);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(81);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(83);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 70:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_effect);
      END_STATE();
    case 90:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 436, .external_lex_state = 2},
  [2] = {.lex_state = 9, .external_lex_state = 3},
  [3] = {.lex_state = 9, .external_lex_state = 3},
  [4] = {.lex_state = 9, .external_lex_state = 3},
  [5] = {.lex_state = 9, .external_lex_state = 3},
  [6] = {.lex_state = 9, .external_lex_state = 3},
  [7] = {.lex_state = 9, .external_lex_state = 3},
  [8] = {.lex_state = 9, .external_lex_state = 3},
  [9] = {.lex_state = 9, .external_lex_state = 3},
  [10] = {.lex_state = 9, .external_lex_state = 3},
  [11] = {.lex_state = 9, .external_lex_state = 3},
  [12] = {.lex_state = 9, .external_lex_state = 3},
  [13] = {.lex_state = 9, .external_lex_state = 3},
  [14] = {.lex_state = 9, .external_lex_state = 3},
  [15] = {.lex_state = 9, .external_lex_state = 3},
  [16] = {.lex_state = 9, .external_lex_state = 3},
  [17] = {.lex_state = 9, .external_lex_state = 3},
  [18] = {.lex_state = 9, .external_lex_state = 3},
  [19] = {.lex_state = 9, .external_lex_state = 3},
  [20] = {.lex_state = 9, .external_lex_state = 3},
  [21] = {.lex_state = 9, .external_lex_state = 3},
  [22] = {.lex_state = 9, .external_lex_state = 3},
  [23] = {.lex_state = 9, .external_lex_state = 3},
  [24] = {.lex_state = 9, .external_lex_state = 3},
  [25] = {.lex_state = 9, .external_lex_state = 3},
  [26] = {.lex_state = 9, .external_lex_state = 3},
  [27] = {.lex_state = 9, .external_lex_state = 3},
  [28] = {.lex_state = 9, .external_lex_state = 3},
  [29] = {.lex_state = 9, .external_lex_state = 3},
  [30] = {.lex_state = 9, .external_lex_state = 3},
  [31] = {.lex_state = 9, .external_lex_state = 3},
  [32] = {.lex_state = 9, .external_lex_state = 3},
  [33] = {.lex_state = 9, .external_lex_state = 3},
  [34] = {.lex_state = 9, .external_lex_state = 3},
  [35] = {.lex_state = 9, .external_lex_state = 3},
  [36] = {.lex_state = 9, .external_lex_state = 3},
  [37] = {.lex_state = 9, .external_lex_state = 3},
  [38] = {.lex_state = 9, .external_lex_state = 3},
  [39] = {.lex_state = 9, .external_lex_state = 3},
  [40] = {.lex_state = 9, .external_lex_state = 3},
  [41] = {.lex_state = 9, .external_lex_state = 3},
  [42] = {.lex_state = 9, .external_lex_state = 3},
  [43] = {.lex_state = 9, .external_lex_state = 3},
  [44] = {.lex_state = 9, .external_lex_state = 3},
  [45] = {.lex_state = 9, .external_lex_state = 3},
  [46] = {.lex_state = 9, .external_lex_state = 3},
  [47] = {.lex_state = 9, .external_lex_state = 3},
  [48] = {.lex_state = 9, .external_lex_state = 3},
  [49] = {.lex_state = 9, .external_lex_state = 3},
  [50] = {.lex_state = 9, .external_lex_state = 3},
  [51] = {.lex_state = 9, .external_lex_state = 3},
  [52] = {.lex_state = 9, .external_lex_state = 3},
  [53] = {.lex_state = 9, .external_lex_state = 3},
  [54] = {.lex_state = 9, .external_lex_state = 3},
  [55] = {.lex_state = 9, .external_lex_state = 3},
  [56] = {.lex_state = 9, .external_lex_state = 3},
  [57] = {.lex_state = 9, .external_lex_state = 3},
  [58] = {.lex_state = 9, .external_lex_state = 3},
  [59] = {.lex_state = 9, .external_lex_state = 3},
  [60] = {.lex_state = 9, .external_lex_state = 3},
  [61] = {.lex_state = 9, .external_lex_state = 3},
  [62] = {.lex_state = 9, .external_lex_state = 3},
  [63] = {.lex_state = 9, .external_lex_state = 3},
  [64] = {.lex_state = 9, .external_lex_state = 3},
  [65] = {.lex_state = 9, .external_lex_state = 3},
  [66] = {.lex_state = 9, .external_lex_state = 3},
  [67] = {.lex_state = 9, .external_lex_state = 3},
  [68] = {.lex_state = 9, .external_lex_state = 3},
  [69] = {.lex_state = 9, .external_lex_state = 3},
  [70] = {.lex_state = 9, .external_lex_state = 3},
  [71] = {.lex_state = 9, .external_lex_state = 3},
  [72] = {.lex_state = 9, .external_lex_state = 3},
  [73] = {.lex_state = 9, .external_lex_state = 3},
  [74] = {.lex_state = 9, .external_lex_state = 3},
  [75] = {.lex_state = 9, .external_lex_state = 3},
  [76] = {.lex_state = 9, .external_lex_state = 3},
  [77] = {.lex_state = 9, .external_lex_state = 3},
  [78] = {.lex_state = 9, .external_lex_state = 3},
  [79] = {.lex_state = 9, .external_lex_state = 3},
  [80] = {.lex_state = 9, .external_lex_state = 3},
  [81] = {.lex_state = 9, .external_lex_state = 3},
  [82] = {.lex_state = 9, .external_lex_state = 3},
  [83] = {.lex_state = 9, .external_lex_state = 3},
  [84] = {.lex_state = 9, .external_lex_state = 3},
  [85] = {.lex_state = 9, .external_lex_state = 3},
  [86] = {.lex_state = 9, .external_lex_state = 3},
  [87] = {.lex_state = 9, .external_lex_state = 3},
  [88] = {.lex_state = 9, .external_lex_state = 3},
  [89] = {.lex_state = 41, .external_lex_state = 3},
  [90] = {.lex_state = 47, .external_lex_state = 3},
  [91] = {.lex_state = 49, .external_lex_state = 3},
  [92] = {.lex_state = 42, .external_lex_state = 3},
  [93] = {.lex_state = 10, .external_lex_state = 3},
  [94] = {.lex_state = 48, .external_lex_state = 3},
  [95] = {.lex_state = 44, .external_lex_state = 3},
  [96] = {.lex_state = 10, .external_lex_state = 3},
  [97] = {.lex_state = 9, .external_lex_state = 3},
  [98] = {.lex_state = 10, .external_lex_state = 3},
  [99] = {.lex_state = 10, .external_lex_state = 3},
  [100] = {.lex_state = 9, .external_lex_state = 3},
  [101] = {.lex_state = 50, .external_lex_state = 3},
  [102] = {.lex_state = 9, .external_lex_state = 3},
  [103] = {.lex_state = 10, .external_lex_state = 3},
  [104] = {.lex_state = 9, .external_lex_state = 3},
  [105] = {.lex_state = 43, .external_lex_state = 3},
  [106] = {.lex_state = 10, .external_lex_state = 3},
  [107] = {.lex_state = 9, .external_lex_state = 3},
  [108] = {.lex_state = 9, .external_lex_state = 3},
  [109] = {.lex_state = 46, .external_lex_state = 3},
  [110] = {.lex_state = 51, .external_lex_state = 3},
  [111] = {.lex_state = 52, .external_lex_state = 3},
  [112] = {.lex_state = 45, .external_lex_state = 3},
  [113] = {.lex_state = 131, .external_lex_state = 3},
  [114] = {.lex_state = 132, .external_lex_state = 3},
  [115] = {.lex_state = 131, .external_lex_state = 3},
  [116] = {.lex_state = 132, .external_lex_state = 3},
  [117] = {.lex_state = 129, .external_lex_state = 3},
  [118] = {.lex_state = 129, .external_lex_state = 3},
  [119] = {.lex_state = 130, .external_lex_state = 3},
  [120] = {.lex_state = 130, .external_lex_state = 3},
  [121] = {.lex_state = 147, .external_lex_state = 3},
  [122] = {.lex_state = 13, .external_lex_state = 3},
  [123] = {.lex_state = 11, .external_lex_state = 3},
  [124] = {.lex_state = 147, .external_lex_state = 3},
  [125] = {.lex_state = 148, .external_lex_state = 3},
  [126] = {.lex_state = 12, .external_lex_state = 3},
  [127] = {.lex_state = 14, .external_lex_state = 3},
  [128] = {.lex_state = 135, .external_lex_state = 3},
  [129] = {.lex_state = 148, .external_lex_state = 3},
  [130] = {.lex_state = 128, .external_lex_state = 3},
  [131] = {.lex_state = 128, .external_lex_state = 3},
  [132] = {.lex_state = 128, .external_lex_state = 3},
  [133] = {.lex_state = 128, .external_lex_state = 3},
  [134] = {.lex_state = 128, .external_lex_state = 3},
  [135] = {.lex_state = 128, .external_lex_state = 3},
  [136] = {.lex_state = 128, .external_lex_state = 3},
  [137] = {.lex_state = 128, .external_lex_state = 3},
  [138] = {.lex_state = 128, .external_lex_state = 3},
  [139] = {.lex_state = 128, .external_lex_state = 3},
  [140] = {.lex_state = 128, .external_lex_state = 3},
  [141] = {.lex_state = 128, .external_lex_state = 3},
  [142] = {.lex_state = 128, .external_lex_state = 3},
  [143] = {.lex_state = 128, .external_lex_state = 3},
  [144] = {.lex_state = 128, .external_lex_state = 3},
  [145] = {.lex_state = 128, .external_lex_state = 3},
  [146] = {.lex_state = 128, .external_lex_state = 3},
  [147] = {.lex_state = 128, .external_lex_state = 3},
  [148] = {.lex_state = 128, .external_lex_state = 3},
  [149] = {.lex_state = 128, .external_lex_state = 3},
  [150] = {.lex_state = 128, .external_lex_state = 3},
  [151] = {.lex_state = 128, .external_lex_state = 3},
  [152] = {.lex_state = 128, .external_lex_state = 3},
  [153] = {.lex_state = 128, .external_lex_state = 3},
  [154] = {.lex_state = 128, .external_lex_state = 3},
  [155] = {.lex_state = 128, .external_lex_state = 3},
  [156] = {.lex_state = 128, .external_lex_state = 3},
  [157] = {.lex_state = 128, .external_lex_state = 3},
  [158] = {.lex_state = 128, .external_lex_state = 3},
  [159] = {.lex_state = 128, .external_lex_state = 3},
  [160] = {.lex_state = 128, .external_lex_state = 3},
  [161] = {.lex_state = 128, .external_lex_state = 3},
  [162] = {.lex_state = 128, .external_lex_state = 3},
  [163] = {.lex_state = 128, .external_lex_state = 3},
  [164] = {.lex_state = 128, .external_lex_state = 3},
  [165] = {.lex_state = 128, .external_lex_state = 3},
  [166] = {.lex_state = 128, .external_lex_state = 3},
  [167] = {.lex_state = 128, .external_lex_state = 3},
  [168] = {.lex_state = 128, .external_lex_state = 3},
  [169] = {.lex_state = 128, .external_lex_state = 3},
  [170] = {.lex_state = 128, .external_lex_state = 3},
  [171] = {.lex_state = 128, .external_lex_state = 3},
  [172] = {.lex_state = 128, .external_lex_state = 3},
  [173] = {.lex_state = 128, .external_lex_state = 3},
  [174] = {.lex_state = 128, .external_lex_state = 3},
  [175] = {.lex_state = 128, .external_lex_state = 3},
  [176] = {.lex_state = 128, .external_lex_state = 3},
  [177] = {.lex_state = 128, .external_lex_state = 3},
  [178] = {.lex_state = 128, .external_lex_state = 3},
  [179] = {.lex_state = 128, .external_lex_state = 3},
  [180] = {.lex_state = 128, .external_lex_state = 3},
  [181] = {.lex_state = 128, .external_lex_state = 3},
  [182] = {.lex_state = 128, .external_lex_state = 3},
  [183] = {.lex_state = 128, .external_lex_state = 3},
  [184] = {.lex_state = 128, .external_lex_state = 3},
  [185] = {.lex_state = 128, .external_lex_state = 3},
  [186] = {.lex_state = 128, .external_lex_state = 3},
  [187] = {.lex_state = 128, .external_lex_state = 3},
  [188] = {.lex_state = 128, .external_lex_state = 3},
  [189] = {.lex_state = 128, .external_lex_state = 3},
  [190] = {.lex_state = 128, .external_lex_state = 3},
  [191] = {.lex_state = 128, .external_lex_state = 3},
  [192] = {.lex_state = 128, .external_lex_state = 3},
  [193] = {.lex_state = 128, .external_lex_state = 3},
  [194] = {.lex_state = 128, .external_lex_state = 3},
  [195] = {.lex_state = 128, .external_lex_state = 3},
  [196] = {.lex_state = 136, .external_lex_state = 3},
  [197] = {.lex_state = 128, .external_lex_state = 3},
  [198] = {.lex_state = 9, .external_lex_state = 3},
  [199] = {.lex_state = 128, .external_lex_state = 3},
  [200] = {.lex_state = 128, .external_lex_state = 3},
  [201] = {.lex_state = 128, .external_lex_state = 3},
  [202] = {.lex_state = 128, .external_lex_state = 3},
  [203] = {.lex_state = 142, .external_lex_state = 3},
  [204] = {.lex_state = 128, .external_lex_state = 3},
  [205] = {.lex_state = 139, .external_lex_state = 3},
  [206] = {.lex_state = 128, .external_lex_state = 3},
  [207] = {.lex_state = 141, .external_lex_state = 3},
  [208] = {.lex_state = 128, .external_lex_state = 3},
  [209] = {.lex_state = 133, .external_lex_state = 3},
  [210] = {.lex_state = 128, .external_lex_state = 3},
  [211] = {.lex_state = 128, .external_lex_state = 3},
  [212] = {.lex_state = 10, .external_lex_state = 3},
  [213] = {.lex_state = 128, .external_lex_state = 3},
  [214] = {.lex_state = 128, .external_lex_state = 3},
  [215] = {.lex_state = 140, .external_lex_state = 3},
  [216] = {.lex_state = 128, .external_lex_state = 3},
  [217] = {.lex_state = 128, .external_lex_state = 3},
  [218] = {.lex_state = 128, .external_lex_state = 3},
  [219] = {.lex_state = 128, .external_lex_state = 3},
  [220] = {.lex_state = 128, .external_lex_state = 3},
  [221] = {.lex_state = 137, .external_lex_state = 3},
  [222] = {.lex_state = 128, .external_lex_state = 3},
  [223] = {.lex_state = 128, .external_lex_state = 3},
  [224] = {.lex_state = 128, .external_lex_state = 3},
  [225] = {.lex_state = 133, .external_lex_state = 3},
  [226] = {.lex_state = 144, .external_lex_state = 3},
  [227] = {.lex_state = 145, .external_lex_state = 3},
  [228] = {.lex_state = 139, .external_lex_state = 3},
  [229] = {.lex_state = 138, .external_lex_state = 3},
  [230] = {.lex_state = 146, .external_lex_state = 3},
  [231] = {.lex_state = 140, .external_lex_state = 3},
  [232] = {.lex_state = 141, .external_lex_state = 3},
  [233] = {.lex_state = 143, .external_lex_state = 3},
  [234] = {.lex_state = 134, .external_lex_state = 3},
  [235] = {.lex_state = 145, .external_lex_state = 3},
  [236] = {.lex_state = 144, .external_lex_state = 3},
  [237] = {.lex_state = 143, .external_lex_state = 3},
  [238] = {.lex_state = 134, .external_lex_state = 3},
  [239] = {.lex_state = 30, .external_lex_state = 3},
  [240] = {.lex_state = 29, .external_lex_state = 3},
  [241] = {.lex_state = 37, .external_lex_state = 3},
  [242] = {.lex_state = 32, .external_lex_state = 3},
  [243] = {.lex_state = 34, .external_lex_state = 3},
  [244] = {.lex_state = 34, .external_lex_state = 3},
  [245] = {.lex_state = 34, .external_lex_state = 3},
  [246] = {.lex_state = 34, .external_lex_state = 3},
  [247] = {.lex_state = 34, .external_lex_state = 3},
  [248] = {.lex_state = 34, .external_lex_state = 3},
  [249] = {.lex_state = 29, .external_lex_state = 3},
  [250] = {.lex_state = 35, .external_lex_state = 3},
  [251] = {.lex_state = 34, .external_lex_state = 3},
  [252] = {.lex_state = 34, .external_lex_state = 3},
  [253] = {.lex_state = 34, .external_lex_state = 3},
  [254] = {.lex_state = 34, .external_lex_state = 3},
  [255] = {.lex_state = 34, .external_lex_state = 3},
  [256] = {.lex_state = 34, .external_lex_state = 3},
  [257] = {.lex_state = 34, .external_lex_state = 3},
  [258] = {.lex_state = 34, .external_lex_state = 3},
  [259] = {.lex_state = 34, .external_lex_state = 3},
  [260] = {.lex_state = 34, .external_lex_state = 3},
  [261] = {.lex_state = 34, .external_lex_state = 3},
  [262] = {.lex_state = 34, .external_lex_state = 3},
  [263] = {.lex_state = 36, .external_lex_state = 3},
  [264] = {.lex_state = 34, .external_lex_state = 3},
  [265] = {.lex_state = 34, .external_lex_state = 3},
  [266] = {.lex_state = 34, .external_lex_state = 3},
  [267] = {.lex_state = 34, .external_lex_state = 3},
  [268] = {.lex_state = 34, .external_lex_state = 3},
  [269] = {.lex_state = 34, .external_lex_state = 3},
  [270] = {.lex_state = 34, .external_lex_state = 3},
  [271] = {.lex_state = 34, .external_lex_state = 3},
  [272] = {.lex_state = 34, .external_lex_state = 3},
  [273] = {.lex_state = 34, .external_lex_state = 3},
  [274] = {.lex_state = 34, .external_lex_state = 3},
  [275] = {.lex_state = 34, .external_lex_state = 3},
  [276] = {.lex_state = 34, .external_lex_state = 3},
  [277] = {.lex_state = 34, .external_lex_state = 3},
  [278] = {.lex_state = 34, .external_lex_state = 3},
  [279] = {.lex_state = 31, .external_lex_state = 3},
  [280] = {.lex_state = 34, .external_lex_state = 3},
  [281] = {.lex_state = 34, .external_lex_state = 3},
  [282] = {.lex_state = 34, .external_lex_state = 3},
  [283] = {.lex_state = 34, .external_lex_state = 3},
  [284] = {.lex_state = 34, .external_lex_state = 3},
  [285] = {.lex_state = 34, .external_lex_state = 3},
  [286] = {.lex_state = 34, .external_lex_state = 3},
  [287] = {.lex_state = 34, .external_lex_state = 3},
  [288] = {.lex_state = 33, .external_lex_state = 3},
  [289] = {.lex_state = 34, .external_lex_state = 3},
  [290] = {.lex_state = 34, .external_lex_state = 3},
  [291] = {.lex_state = 34, .external_lex_state = 3},
  [292] = {.lex_state = 29, .external_lex_state = 3},
  [293] = {.lex_state = 29, .external_lex_state = 3},
  [294] = {.lex_state = 29, .external_lex_state = 3},
  [295] = {.lex_state = 29, .external_lex_state = 3},
  [296] = {.lex_state = 29, .external_lex_state = 3},
  [297] = {.lex_state = 29, .external_lex_state = 3},
  [298] = {.lex_state = 29, .external_lex_state = 3},
  [299] = {.lex_state = 29, .external_lex_state = 3},
  [300] = {.lex_state = 29, .external_lex_state = 3},
  [301] = {.lex_state = 29, .external_lex_state = 3},
  [302] = {.lex_state = 29, .external_lex_state = 3},
  [303] = {.lex_state = 29, .external_lex_state = 3},
  [304] = {.lex_state = 29, .external_lex_state = 3},
  [305] = {.lex_state = 29, .external_lex_state = 3},
  [306] = {.lex_state = 29, .external_lex_state = 3},
  [307] = {.lex_state = 29, .external_lex_state = 3},
  [308] = {.lex_state = 29, .external_lex_state = 3},
  [309] = {.lex_state = 29, .external_lex_state = 3},
  [310] = {.lex_state = 29, .external_lex_state = 3},
  [311] = {.lex_state = 29, .external_lex_state = 3},
  [312] = {.lex_state = 29, .external_lex_state = 3},
  [313] = {.lex_state = 29, .external_lex_state = 3},
  [314] = {.lex_state = 29, .external_lex_state = 3},
  [315] = {.lex_state = 29, .external_lex_state = 3},
  [316] = {.lex_state = 29, .external_lex_state = 3},
  [317] = {.lex_state = 29, .external_lex_state = 3},
  [318] = {.lex_state = 29, .external_lex_state = 3},
  [319] = {.lex_state = 29, .external_lex_state = 3},
  [320] = {.lex_state = 29, .external_lex_state = 3},
  [321] = {.lex_state = 29, .external_lex_state = 3},
  [322] = {.lex_state = 29, .external_lex_state = 3},
  [323] = {.lex_state = 29, .external_lex_state = 3},
  [324] = {.lex_state = 29, .external_lex_state = 3},
  [325] = {.lex_state = 29, .external_lex_state = 3},
  [326] = {.lex_state = 29, .external_lex_state = 3},
  [327] = {.lex_state = 29, .external_lex_state = 3},
  [328] = {.lex_state = 29, .external_lex_state = 3},
  [329] = {.lex_state = 29, .external_lex_state = 3},
  [330] = {.lex_state = 29, .external_lex_state = 3},
  [331] = {.lex_state = 29, .external_lex_state = 3},
  [332] = {.lex_state = 29, .external_lex_state = 3},
  [333] = {.lex_state = 29, .external_lex_state = 3},
  [334] = {.lex_state = 29, .external_lex_state = 3},
  [335] = {.lex_state = 29, .external_lex_state = 3},
  [336] = {.lex_state = 29, .external_lex_state = 3},
  [337] = {.lex_state = 29, .external_lex_state = 3},
  [338] = {.lex_state = 29, .external_lex_state = 3},
  [339] = {.lex_state = 29, .external_lex_state = 3},
  [340] = {.lex_state = 29, .external_lex_state = 3},
  [341] = {.lex_state = 29, .external_lex_state = 3},
  [342] = {.lex_state = 29, .external_lex_state = 3},
  [343] = {.lex_state = 29, .external_lex_state = 3},
  [344] = {.lex_state = 29, .external_lex_state = 3},
  [345] = {.lex_state = 29, .external_lex_state = 3},
  [346] = {.lex_state = 29, .external_lex_state = 3},
  [347] = {.lex_state = 29, .external_lex_state = 3},
  [348] = {.lex_state = 29, .external_lex_state = 3},
  [349] = {.lex_state = 29, .external_lex_state = 3},
  [350] = {.lex_state = 29, .external_lex_state = 3},
  [351] = {.lex_state = 29, .external_lex_state = 3},
  [352] = {.lex_state = 29, .external_lex_state = 3},
  [353] = {.lex_state = 29, .external_lex_state = 3},
  [354] = {.lex_state = 29, .external_lex_state = 3},
  [355] = {.lex_state = 29, .external_lex_state = 3},
  [356] = {.lex_state = 29, .external_lex_state = 3},
  [357] = {.lex_state = 29, .external_lex_state = 3},
  [358] = {.lex_state = 29, .external_lex_state = 3},
  [359] = {.lex_state = 29, .external_lex_state = 3},
  [360] = {.lex_state = 29, .external_lex_state = 3},
  [361] = {.lex_state = 29, .external_lex_state = 3},
  [362] = {.lex_state = 29, .external_lex_state = 3},
  [363] = {.lex_state = 29, .external_lex_state = 3},
  [364] = {.lex_state = 29, .external_lex_state = 3},
  [365] = {.lex_state = 29, .external_lex_state = 3},
  [366] = {.lex_state = 29, .external_lex_state = 3},
  [367] = {.lex_state = 29, .external_lex_state = 3},
  [368] = {.lex_state = 29, .external_lex_state = 3},
  [369] = {.lex_state = 29, .external_lex_state = 3},
  [370] = {.lex_state = 29, .external_lex_state = 3},
  [371] = {.lex_state = 29, .external_lex_state = 3},
  [372] = {.lex_state = 29, .external_lex_state = 3},
  [373] = {.lex_state = 29, .external_lex_state = 3},
  [374] = {.lex_state = 29, .external_lex_state = 3},
  [375] = {.lex_state = 29, .external_lex_state = 3},
  [376] = {.lex_state = 29, .external_lex_state = 3},
  [377] = {.lex_state = 29, .external_lex_state = 3},
  [378] = {.lex_state = 29, .external_lex_state = 3},
  [379] = {.lex_state = 29, .external_lex_state = 3},
  [380] = {.lex_state = 29, .external_lex_state = 3},
  [381] = {.lex_state = 29, .external_lex_state = 3},
  [382] = {.lex_state = 29, .external_lex_state = 3},
  [383] = {.lex_state = 29, .external_lex_state = 3},
  [384] = {.lex_state = 29, .external_lex_state = 3},
  [385] = {.lex_state = 29, .external_lex_state = 3},
  [386] = {.lex_state = 29, .external_lex_state = 3},
  [387] = {.lex_state = 29, .external_lex_state = 3},
  [388] = {.lex_state = 29, .external_lex_state = 3},
  [389] = {.lex_state = 29, .external_lex_state = 3},
  [390] = {.lex_state = 29, .external_lex_state = 3},
  [391] = {.lex_state = 29, .external_lex_state = 3},
  [392] = {.lex_state = 29, .external_lex_state = 3},
  [393] = {.lex_state = 29, .external_lex_state = 3},
  [394] = {.lex_state = 29, .external_lex_state = 3},
  [395] = {.lex_state = 29, .external_lex_state = 3},
  [396] = {.lex_state = 29, .external_lex_state = 3},
  [397] = {.lex_state = 29, .external_lex_state = 3},
  [398] = {.lex_state = 29, .external_lex_state = 3},
  [399] = {.lex_state = 29, .external_lex_state = 3},
  [400] = {.lex_state = 29, .external_lex_state = 3},
  [401] = {.lex_state = 29, .external_lex_state = 3},
  [402] = {.lex_state = 29, .external_lex_state = 3},
  [403] = {.lex_state = 29, .external_lex_state = 3},
  [404] = {.lex_state = 29, .external_lex_state = 3},
  [405] = {.lex_state = 29, .external_lex_state = 3},
  [406] = {.lex_state = 29, .external_lex_state = 3},
  [407] = {.lex_state = 29, .external_lex_state = 3},
  [408] = {.lex_state = 29, .external_lex_state = 3},
  [409] = {.lex_state = 29, .external_lex_state = 3},
  [410] = {.lex_state = 83, .external_lex_state = 3},
  [411] = {.lex_state = 29, .external_lex_state = 3},
  [412] = {.lex_state = 29, .external_lex_state = 3},
  [413] = {.lex_state = 29, .external_lex_state = 3},
  [414] = {.lex_state = 29, .external_lex_state = 3},
  [415] = {.lex_state = 29, .external_lex_state = 3},
  [416] = {.lex_state = 29, .external_lex_state = 3},
  [417] = {.lex_state = 29, .external_lex_state = 3},
  [418] = {.lex_state = 29, .external_lex_state = 3},
  [419] = {.lex_state = 29, .external_lex_state = 3},
  [420] = {.lex_state = 29, .external_lex_state = 3},
  [421] = {.lex_state = 29, .external_lex_state = 3},
  [422] = {.lex_state = 29, .external_lex_state = 3},
  [423] = {.lex_state = 29, .external_lex_state = 3},
  [424] = {.lex_state = 29, .external_lex_state = 3},
  [425] = {.lex_state = 29, .external_lex_state = 3},
  [426] = {.lex_state = 29, .external_lex_state = 3},
  [427] = {.lex_state = 29, .external_lex_state = 3},
  [428] = {.lex_state = 29, .external_lex_state = 3},
  [429] = {.lex_state = 29, .external_lex_state = 3},
  [430] = {.lex_state = 29, .external_lex_state = 3},
  [431] = {.lex_state = 29, .external_lex_state = 3},
  [432] = {.lex_state = 29, .external_lex_state = 3},
  [433] = {.lex_state = 29, .external_lex_state = 3},
  [434] = {.lex_state = 29, .external_lex_state = 3},
  [435] = {.lex_state = 29, .external_lex_state = 3},
  [436] = {.lex_state = 29, .external_lex_state = 3},
  [437] = {.lex_state = 29, .external_lex_state = 3},
  [438] = {.lex_state = 29, .external_lex_state = 3},
  [439] = {.lex_state = 29, .external_lex_state = 3},
  [440] = {.lex_state = 29, .external_lex_state = 3},
  [441] = {.lex_state = 29, .external_lex_state = 3},
  [442] = {.lex_state = 29, .external_lex_state = 3},
  [443] = {.lex_state = 29, .external_lex_state = 3},
  [444] = {.lex_state = 29, .external_lex_state = 3},
  [445] = {.lex_state = 29, .external_lex_state = 3},
  [446] = {.lex_state = 29, .external_lex_state = 3},
  [447] = {.lex_state = 29, .external_lex_state = 3},
  [448] = {.lex_state = 29, .external_lex_state = 3},
  [449] = {.lex_state = 29, .external_lex_state = 3},
  [450] = {.lex_state = 29, .external_lex_state = 3},
  [451] = {.lex_state = 29, .external_lex_state = 3},
  [452] = {.lex_state = 29, .external_lex_state = 3},
  [453] = {.lex_state = 29, .external_lex_state = 3},
  [454] = {.lex_state = 29, .external_lex_state = 3},
  [455] = {.lex_state = 29, .external_lex_state = 3},
  [456] = {.lex_state = 29, .external_lex_state = 3},
  [457] = {.lex_state = 29, .external_lex_state = 3},
  [458] = {.lex_state = 87, .external_lex_state = 3},
  [459] = {.lex_state = 29, .external_lex_state = 3},
  [460] = {.lex_state = 29, .external_lex_state = 3},
  [461] = {.lex_state = 29, .external_lex_state = 3},
  [462] = {.lex_state = 29, .external_lex_state = 3},
  [463] = {.lex_state = 29, .external_lex_state = 3},
  [464] = {.lex_state = 29, .external_lex_state = 3},
  [465] = {.lex_state = 29, .external_lex_state = 3},
  [466] = {.lex_state = 29, .external_lex_state = 3},
  [467] = {.lex_state = 29, .external_lex_state = 3},
  [468] = {.lex_state = 29, .external_lex_state = 3},
  [469] = {.lex_state = 29, .external_lex_state = 3},
  [470] = {.lex_state = 29, .external_lex_state = 3},
  [471] = {.lex_state = 29, .external_lex_state = 3},
  [472] = {.lex_state = 29, .external_lex_state = 3},
  [473] = {.lex_state = 29, .external_lex_state = 3},
  [474] = {.lex_state = 29, .external_lex_state = 3},
  [475] = {.lex_state = 29, .external_lex_state = 3},
  [476] = {.lex_state = 29, .external_lex_state = 3},
  [477] = {.lex_state = 29, .external_lex_state = 3},
  [478] = {.lex_state = 29, .external_lex_state = 3},
  [479] = {.lex_state = 29, .external_lex_state = 3},
  [480] = {.lex_state = 29, .external_lex_state = 3},
  [481] = {.lex_state = 29, .external_lex_state = 3},
  [482] = {.lex_state = 29, .external_lex_state = 3},
  [483] = {.lex_state = 29, .external_lex_state = 3},
  [484] = {.lex_state = 29, .external_lex_state = 3},
  [485] = {.lex_state = 29, .external_lex_state = 3},
  [486] = {.lex_state = 29, .external_lex_state = 3},
  [487] = {.lex_state = 29, .external_lex_state = 3},
  [488] = {.lex_state = 29, .external_lex_state = 3},
  [489] = {.lex_state = 29, .external_lex_state = 3},
  [490] = {.lex_state = 29, .external_lex_state = 3},
  [491] = {.lex_state = 29, .external_lex_state = 3},
  [492] = {.lex_state = 29, .external_lex_state = 3},
  [493] = {.lex_state = 29, .external_lex_state = 3},
  [494] = {.lex_state = 29, .external_lex_state = 3},
  [495] = {.lex_state = 29, .external_lex_state = 3},
  [496] = {.lex_state = 29, .external_lex_state = 3},
  [497] = {.lex_state = 29, .external_lex_state = 3},
  [498] = {.lex_state = 29, .external_lex_state = 3},
  [499] = {.lex_state = 29, .external_lex_state = 3},
  [500] = {.lex_state = 29, .external_lex_state = 3},
  [501] = {.lex_state = 29, .external_lex_state = 3},
  [502] = {.lex_state = 33, .external_lex_state = 3},
  [503] = {.lex_state = 84, .external_lex_state = 3},
  [504] = {.lex_state = 29, .external_lex_state = 3},
  [505] = {.lex_state = 29, .external_lex_state = 3},
  [506] = {.lex_state = 29, .external_lex_state = 3},
  [507] = {.lex_state = 29, .external_lex_state = 3},
  [508] = {.lex_state = 29, .external_lex_state = 3},
  [509] = {.lex_state = 29, .external_lex_state = 3},
  [510] = {.lex_state = 33, .external_lex_state = 3},
  [511] = {.lex_state = 29, .external_lex_state = 3},
  [512] = {.lex_state = 29, .external_lex_state = 3},
  [513] = {.lex_state = 29, .external_lex_state = 3},
  [514] = {.lex_state = 29, .external_lex_state = 3},
  [515] = {.lex_state = 29, .external_lex_state = 3},
  [516] = {.lex_state = 29, .external_lex_state = 3},
  [517] = {.lex_state = 29, .external_lex_state = 3},
  [518] = {.lex_state = 88, .external_lex_state = 3},
  [519] = {.lex_state = 29, .external_lex_state = 3},
  [520] = {.lex_state = 29, .external_lex_state = 3},
  [521] = {.lex_state = 29, .external_lex_state = 3},
  [522] = {.lex_state = 33, .external_lex_state = 3},
  [523] = {.lex_state = 89, .external_lex_state = 3},
  [524] = {.lex_state = 33, .external_lex_state = 3},
  [525] = {.lex_state = 29, .external_lex_state = 3},
  [526] = {.lex_state = 29, .external_lex_state = 3},
  [527] = {.lex_state = 29, .external_lex_state = 3},
  [528] = {.lex_state = 29, .external_lex_state = 3},
  [529] = {.lex_state = 29, .external_lex_state = 3},
  [530] = {.lex_state = 29, .external_lex_state = 3},
  [531] = {.lex_state = 29, .external_lex_state = 3},
  [532] = {.lex_state = 29, .external_lex_state = 3},
  [533] = {.lex_state = 29, .external_lex_state = 3},
  [534] = {.lex_state = 29, .external_lex_state = 3},
  [535] = {.lex_state = 29, .external_lex_state = 3},
  [536] = {.lex_state = 29, .external_lex_state = 3},
  [537] = {.lex_state = 81, .external_lex_state = 3},
  [538] = {.lex_state = 29, .external_lex_state = 3},
  [539] = {.lex_state = 29, .external_lex_state = 3},
  [540] = {.lex_state = 29, .external_lex_state = 3},
  [541] = {.lex_state = 29, .external_lex_state = 3},
  [542] = {.lex_state = 29, .external_lex_state = 3},
  [543] = {.lex_state = 29, .external_lex_state = 3},
  [544] = {.lex_state = 29, .external_lex_state = 3},
  [545] = {.lex_state = 29, .external_lex_state = 3},
  [546] = {.lex_state = 29, .external_lex_state = 3},
  [547] = {.lex_state = 29, .external_lex_state = 3},
  [548] = {.lex_state = 29, .external_lex_state = 3},
  [549] = {.lex_state = 29, .external_lex_state = 3},
  [550] = {.lex_state = 29, .external_lex_state = 3},
  [551] = {.lex_state = 29, .external_lex_state = 3},
  [552] = {.lex_state = 29, .external_lex_state = 3},
  [553] = {.lex_state = 29, .external_lex_state = 3},
  [554] = {.lex_state = 29, .external_lex_state = 3},
  [555] = {.lex_state = 29, .external_lex_state = 3},
  [556] = {.lex_state = 29, .external_lex_state = 3},
  [557] = {.lex_state = 29, .external_lex_state = 3},
  [558] = {.lex_state = 29, .external_lex_state = 3},
  [559] = {.lex_state = 29, .external_lex_state = 3},
  [560] = {.lex_state = 29, .external_lex_state = 3},
  [561] = {.lex_state = 29, .external_lex_state = 3},
  [562] = {.lex_state = 29, .external_lex_state = 3},
  [563] = {.lex_state = 29, .external_lex_state = 3},
  [564] = {.lex_state = 29, .external_lex_state = 3},
  [565] = {.lex_state = 29, .external_lex_state = 3},
  [566] = {.lex_state = 29, .external_lex_state = 3},
  [567] = {.lex_state = 29, .external_lex_state = 3},
  [568] = {.lex_state = 29, .external_lex_state = 3},
  [569] = {.lex_state = 29, .external_lex_state = 3},
  [570] = {.lex_state = 29, .external_lex_state = 3},
  [571] = {.lex_state = 29, .external_lex_state = 3},
  [572] = {.lex_state = 29, .external_lex_state = 3},
  [573] = {.lex_state = 29, .external_lex_state = 3},
  [574] = {.lex_state = 29, .external_lex_state = 3},
  [575] = {.lex_state = 29, .external_lex_state = 3},
  [576] = {.lex_state = 29, .external_lex_state = 3},
  [577] = {.lex_state = 29, .external_lex_state = 3},
  [578] = {.lex_state = 29, .external_lex_state = 3},
  [579] = {.lex_state = 29, .external_lex_state = 3},
  [580] = {.lex_state = 29, .external_lex_state = 3},
  [581] = {.lex_state = 29, .external_lex_state = 3},
  [582] = {.lex_state = 29, .external_lex_state = 3},
  [583] = {.lex_state = 29, .external_lex_state = 3},
  [584] = {.lex_state = 29, .external_lex_state = 3},
  [585] = {.lex_state = 29, .external_lex_state = 3},
  [586] = {.lex_state = 29, .external_lex_state = 3},
  [587] = {.lex_state = 29, .external_lex_state = 3},
  [588] = {.lex_state = 29, .external_lex_state = 3},
  [589] = {.lex_state = 29, .external_lex_state = 3},
  [590] = {.lex_state = 29, .external_lex_state = 3},
  [591] = {.lex_state = 29, .external_lex_state = 3},
  [592] = {.lex_state = 29, .external_lex_state = 3},
  [593] = {.lex_state = 29, .external_lex_state = 3},
  [594] = {.lex_state = 29, .external_lex_state = 3},
  [595] = {.lex_state = 29, .external_lex_state = 3},
  [596] = {.lex_state = 29, .external_lex_state = 3},
  [597] = {.lex_state = 29, .external_lex_state = 3},
  [598] = {.lex_state = 29, .external_lex_state = 3},
  [599] = {.lex_state = 29, .external_lex_state = 3},
  [600] = {.lex_state = 29, .external_lex_state = 3},
  [601] = {.lex_state = 29, .external_lex_state = 3},
  [602] = {.lex_state = 29, .external_lex_state = 3},
  [603] = {.lex_state = 29, .external_lex_state = 3},
  [604] = {.lex_state = 29, .external_lex_state = 3},
  [605] = {.lex_state = 29, .external_lex_state = 3},
  [606] = {.lex_state = 29, .external_lex_state = 3},
  [607] = {.lex_state = 29, .external_lex_state = 3},
  [608] = {.lex_state = 29, .external_lex_state = 3},
  [609] = {.lex_state = 29, .external_lex_state = 3},
  [610] = {.lex_state = 29, .external_lex_state = 3},
  [611] = {.lex_state = 29, .external_lex_state = 3},
  [612] = {.lex_state = 29, .external_lex_state = 3},
  [613] = {.lex_state = 29, .external_lex_state = 3},
  [614] = {.lex_state = 29, .external_lex_state = 3},
  [615] = {.lex_state = 29, .external_lex_state = 3},
  [616] = {.lex_state = 29, .external_lex_state = 3},
  [617] = {.lex_state = 29, .external_lex_state = 3},
  [618] = {.lex_state = 29, .external_lex_state = 3},
  [619] = {.lex_state = 29, .external_lex_state = 3},
  [620] = {.lex_state = 29, .external_lex_state = 3},
  [621] = {.lex_state = 29, .external_lex_state = 3},
  [622] = {.lex_state = 29, .external_lex_state = 3},
  [623] = {.lex_state = 29, .external_lex_state = 3},
  [624] = {.lex_state = 29, .external_lex_state = 3},
  [625] = {.lex_state = 29, .external_lex_state = 3},
  [626] = {.lex_state = 29, .external_lex_state = 3},
  [627] = {.lex_state = 29, .external_lex_state = 3},
  [628] = {.lex_state = 29, .external_lex_state = 3},
  [629] = {.lex_state = 29, .external_lex_state = 3},
  [630] = {.lex_state = 29, .external_lex_state = 3},
  [631] = {.lex_state = 29, .external_lex_state = 3},
  [632] = {.lex_state = 29, .external_lex_state = 3},
  [633] = {.lex_state = 29, .external_lex_state = 3},
  [634] = {.lex_state = 29, .external_lex_state = 3},
  [635] = {.lex_state = 29, .external_lex_state = 3},
  [636] = {.lex_state = 29, .external_lex_state = 3},
  [637] = {.lex_state = 29, .external_lex_state = 3},
  [638] = {.lex_state = 29, .external_lex_state = 3},
  [639] = {.lex_state = 29, .external_lex_state = 3},
  [640] = {.lex_state = 29, .external_lex_state = 3},
  [641] = {.lex_state = 29, .external_lex_state = 3},
  [642] = {.lex_state = 29, .external_lex_state = 3},
  [643] = {.lex_state = 29, .external_lex_state = 3},
  [644] = {.lex_state = 29, .external_lex_state = 3},
  [645] = {.lex_state = 29, .external_lex_state = 3},
  [646] = {.lex_state = 29, .external_lex_state = 3},
  [647] = {.lex_state = 29, .external_lex_state = 3},
  [648] = {.lex_state = 29, .external_lex_state = 3},
  [649] = {.lex_state = 29, .external_lex_state = 3},
  [650] = {.lex_state = 29, .external_lex_state = 3},
  [651] = {.lex_state = 29, .external_lex_state = 3},
  [652] = {.lex_state = 29, .external_lex_state = 3},
  [653] = {.lex_state = 29, .external_lex_state = 3},
  [654] = {.lex_state = 29, .external_lex_state = 3},
  [655] = {.lex_state = 29, .external_lex_state = 3},
  [656] = {.lex_state = 29, .external_lex_state = 3},
  [657] = {.lex_state = 29, .external_lex_state = 3},
  [658] = {.lex_state = 29, .external_lex_state = 3},
  [659] = {.lex_state = 29, .external_lex_state = 3},
  [660] = {.lex_state = 29, .external_lex_state = 3},
  [661] = {.lex_state = 29, .external_lex_state = 3},
  [662] = {.lex_state = 29, .external_lex_state = 3},
  [663] = {.lex_state = 29, .external_lex_state = 3},
  [664] = {.lex_state = 29, .external_lex_state = 3},
  [665] = {.lex_state = 29, .external_lex_state = 3},
  [666] = {.lex_state = 29, .external_lex_state = 3},
  [667] = {.lex_state = 29, .external_lex_state = 3},
  [668] = {.lex_state = 29, .external_lex_state = 3},
  [669] = {.lex_state = 29, .external_lex_state = 3},
  [670] = {.lex_state = 29, .external_lex_state = 3},
  [671] = {.lex_state = 29, .external_lex_state = 3},
  [672] = {.lex_state = 29, .external_lex_state = 3},
  [673] = {.lex_state = 29, .external_lex_state = 3},
  [674] = {.lex_state = 29, .external_lex_state = 3},
  [675] = {.lex_state = 29, .external_lex_state = 3},
  [676] = {.lex_state = 29, .external_lex_state = 3},
  [677] = {.lex_state = 29, .external_lex_state = 3},
  [678] = {.lex_state = 29, .external_lex_state = 3},
  [679] = {.lex_state = 29, .external_lex_state = 3},
  [680] = {.lex_state = 29, .external_lex_state = 3},
  [681] = {.lex_state = 29, .external_lex_state = 3},
  [682] = {.lex_state = 29, .external_lex_state = 3},
  [683] = {.lex_state = 29, .external_lex_state = 3},
  [684] = {.lex_state = 29, .external_lex_state = 3},
  [685] = {.lex_state = 29, .external_lex_state = 3},
  [686] = {.lex_state = 29, .external_lex_state = 3},
  [687] = {.lex_state = 29, .external_lex_state = 3},
  [688] = {.lex_state = 29, .external_lex_state = 3},
  [689] = {.lex_state = 29, .external_lex_state = 3},
  [690] = {.lex_state = 29, .external_lex_state = 3},
  [691] = {.lex_state = 29, .external_lex_state = 3},
  [692] = {.lex_state = 29, .external_lex_state = 3},
  [693] = {.lex_state = 29, .external_lex_state = 3},
  [694] = {.lex_state = 29, .external_lex_state = 3},
  [695] = {.lex_state = 29, .external_lex_state = 3},
  [696] = {.lex_state = 29, .external_lex_state = 3},
  [697] = {.lex_state = 29, .external_lex_state = 3},
  [698] = {.lex_state = 29, .external_lex_state = 3},
  [699] = {.lex_state = 29, .external_lex_state = 3},
  [700] = {.lex_state = 29, .external_lex_state = 3},
  [701] = {.lex_state = 29, .external_lex_state = 3},
  [702] = {.lex_state = 29, .external_lex_state = 3},
  [703] = {.lex_state = 29, .external_lex_state = 3},
  [704] = {.lex_state = 29, .external_lex_state = 3},
  [705] = {.lex_state = 29, .external_lex_state = 3},
  [706] = {.lex_state = 29, .external_lex_state = 3},
  [707] = {.lex_state = 29, .external_lex_state = 3},
  [708] = {.lex_state = 29, .external_lex_state = 3},
  [709] = {.lex_state = 29, .external_lex_state = 3},
  [710] = {.lex_state = 29, .external_lex_state = 3},
  [711] = {.lex_state = 29, .external_lex_state = 3},
  [712] = {.lex_state = 29, .external_lex_state = 3},
  [713] = {.lex_state = 29, .external_lex_state = 3},
  [714] = {.lex_state = 29, .external_lex_state = 3},
  [715] = {.lex_state = 29, .external_lex_state = 3},
  [716] = {.lex_state = 29, .external_lex_state = 3},
  [717] = {.lex_state = 29, .external_lex_state = 3},
  [718] = {.lex_state = 29, .external_lex_state = 3},
  [719] = {.lex_state = 29, .external_lex_state = 3},
  [720] = {.lex_state = 29, .external_lex_state = 3},
  [721] = {.lex_state = 29, .external_lex_state = 3},
  [722] = {.lex_state = 29, .external_lex_state = 3},
  [723] = {.lex_state = 29, .external_lex_state = 3},
  [724] = {.lex_state = 29, .external_lex_state = 3},
  [725] = {.lex_state = 29, .external_lex_state = 3},
  [726] = {.lex_state = 29, .external_lex_state = 3},
  [727] = {.lex_state = 29, .external_lex_state = 3},
  [728] = {.lex_state = 29, .external_lex_state = 3},
  [729] = {.lex_state = 29, .external_lex_state = 3},
  [730] = {.lex_state = 29, .external_lex_state = 3},
  [731] = {.lex_state = 29, .external_lex_state = 3},
  [732] = {.lex_state = 29, .external_lex_state = 3},
  [733] = {.lex_state = 29, .external_lex_state = 3},
  [734] = {.lex_state = 29, .external_lex_state = 3},
  [735] = {.lex_state = 29, .external_lex_state = 3},
  [736] = {.lex_state = 29, .external_lex_state = 3},
  [737] = {.lex_state = 29, .external_lex_state = 3},
  [738] = {.lex_state = 29, .external_lex_state = 3},
  [739] = {.lex_state = 29, .external_lex_state = 3},
  [740] = {.lex_state = 29, .external_lex_state = 3},
  [741] = {.lex_state = 29, .external_lex_state = 3},
  [742] = {.lex_state = 29, .external_lex_state = 3},
  [743] = {.lex_state = 29, .external_lex_state = 3},
  [744] = {.lex_state = 29, .external_lex_state = 3},
  [745] = {.lex_state = 29, .external_lex_state = 3},
  [746] = {.lex_state = 29, .external_lex_state = 3},
  [747] = {.lex_state = 29, .external_lex_state = 3},
  [748] = {.lex_state = 29, .external_lex_state = 3},
  [749] = {.lex_state = 29, .external_lex_state = 3},
  [750] = {.lex_state = 29, .external_lex_state = 3},
  [751] = {.lex_state = 29, .external_lex_state = 3},
  [752] = {.lex_state = 29, .external_lex_state = 3},
  [753] = {.lex_state = 29, .external_lex_state = 3},
  [754] = {.lex_state = 29, .external_lex_state = 3},
  [755] = {.lex_state = 29, .external_lex_state = 3},
  [756] = {.lex_state = 29, .external_lex_state = 3},
  [757] = {.lex_state = 29, .external_lex_state = 3},
  [758] = {.lex_state = 29, .external_lex_state = 3},
  [759] = {.lex_state = 29, .external_lex_state = 3},
  [760] = {.lex_state = 29, .external_lex_state = 3},
  [761] = {.lex_state = 29, .external_lex_state = 3},
  [762] = {.lex_state = 29, .external_lex_state = 3},
  [763] = {.lex_state = 29, .external_lex_state = 3},
  [764] = {.lex_state = 29, .external_lex_state = 3},
  [765] = {.lex_state = 29, .external_lex_state = 3},
  [766] = {.lex_state = 29, .external_lex_state = 3},
  [767] = {.lex_state = 29, .external_lex_state = 3},
  [768] = {.lex_state = 29, .external_lex_state = 3},
  [769] = {.lex_state = 29, .external_lex_state = 3},
  [770] = {.lex_state = 29, .external_lex_state = 3},
  [771] = {.lex_state = 29, .external_lex_state = 3},
  [772] = {.lex_state = 29, .external_lex_state = 3},
  [773] = {.lex_state = 29, .external_lex_state = 3},
  [774] = {.lex_state = 29, .external_lex_state = 3},
  [775] = {.lex_state = 29, .external_lex_state = 3},
  [776] = {.lex_state = 29, .external_lex_state = 3},
  [777] = {.lex_state = 29, .external_lex_state = 3},
  [778] = {.lex_state = 29, .external_lex_state = 3},
  [779] = {.lex_state = 29, .external_lex_state = 3},
  [780] = {.lex_state = 29, .external_lex_state = 3},
  [781] = {.lex_state = 29, .external_lex_state = 3},
  [782] = {.lex_state = 29, .external_lex_state = 3},
  [783] = {.lex_state = 29, .external_lex_state = 3},
  [784] = {.lex_state = 29, .external_lex_state = 3},
  [785] = {.lex_state = 29, .external_lex_state = 3},
  [786] = {.lex_state = 29, .external_lex_state = 3},
  [787] = {.lex_state = 29, .external_lex_state = 3},
  [788] = {.lex_state = 29, .external_lex_state = 3},
  [789] = {.lex_state = 29, .external_lex_state = 3},
  [790] = {.lex_state = 29, .external_lex_state = 3},
  [791] = {.lex_state = 29, .external_lex_state = 3},
  [792] = {.lex_state = 29, .external_lex_state = 3},
  [793] = {.lex_state = 29, .external_lex_state = 3},
  [794] = {.lex_state = 29, .external_lex_state = 3},
  [795] = {.lex_state = 29, .external_lex_state = 3},
  [796] = {.lex_state = 29, .external_lex_state = 3},
  [797] = {.lex_state = 29, .external_lex_state = 3},
  [798] = {.lex_state = 29, .external_lex_state = 3},
  [799] = {.lex_state = 29, .external_lex_state = 3},
  [800] = {.lex_state = 29, .external_lex_state = 3},
  [801] = {.lex_state = 29, .external_lex_state = 3},
  [802] = {.lex_state = 29, .external_lex_state = 3},
  [803] = {.lex_state = 29, .external_lex_state = 3},
  [804] = {.lex_state = 29, .external_lex_state = 3},
  [805] = {.lex_state = 29, .external_lex_state = 3},
  [806] = {.lex_state = 29, .external_lex_state = 3},
  [807] = {.lex_state = 29, .external_lex_state = 3},
  [808] = {.lex_state = 29, .external_lex_state = 3},
  [809] = {.lex_state = 29, .external_lex_state = 3},
  [810] = {.lex_state = 29, .external_lex_state = 3},
  [811] = {.lex_state = 29, .external_lex_state = 3},
  [812] = {.lex_state = 29, .external_lex_state = 3},
  [813] = {.lex_state = 29, .external_lex_state = 3},
  [814] = {.lex_state = 29, .external_lex_state = 3},
  [815] = {.lex_state = 29, .external_lex_state = 3},
  [816] = {.lex_state = 29, .external_lex_state = 3},
  [817] = {.lex_state = 29, .external_lex_state = 3},
  [818] = {.lex_state = 29, .external_lex_state = 3},
  [819] = {.lex_state = 29, .external_lex_state = 3},
  [820] = {.lex_state = 29, .external_lex_state = 3},
  [821] = {.lex_state = 29, .external_lex_state = 3},
  [822] = {.lex_state = 29, .external_lex_state = 3},
  [823] = {.lex_state = 29, .external_lex_state = 3},
  [824] = {.lex_state = 29, .external_lex_state = 3},
  [825] = {.lex_state = 29, .external_lex_state = 3},
  [826] = {.lex_state = 29, .external_lex_state = 3},
  [827] = {.lex_state = 29, .external_lex_state = 3},
  [828] = {.lex_state = 29, .external_lex_state = 3},
  [829] = {.lex_state = 29, .external_lex_state = 3},
  [830] = {.lex_state = 29, .external_lex_state = 3},
  [831] = {.lex_state = 29, .external_lex_state = 3},
  [832] = {.lex_state = 29, .external_lex_state = 3},
  [833] = {.lex_state = 29, .external_lex_state = 3},
  [834] = {.lex_state = 29, .external_lex_state = 3},
  [835] = {.lex_state = 29, .external_lex_state = 3},
  [836] = {.lex_state = 29, .external_lex_state = 3},
  [837] = {.lex_state = 29, .external_lex_state = 3},
  [838] = {.lex_state = 29, .external_lex_state = 3},
  [839] = {.lex_state = 29, .external_lex_state = 3},
  [840] = {.lex_state = 29, .external_lex_state = 3},
  [841] = {.lex_state = 29, .external_lex_state = 3},
  [842] = {.lex_state = 29, .external_lex_state = 3},
  [843] = {.lex_state = 29, .external_lex_state = 3},
  [844] = {.lex_state = 29, .external_lex_state = 3},
  [845] = {.lex_state = 29, .external_lex_state = 3},
  [846] = {.lex_state = 29, .external_lex_state = 3},
  [847] = {.lex_state = 29, .external_lex_state = 3},
  [848] = {.lex_state = 29, .external_lex_state = 3},
  [849] = {.lex_state = 29, .external_lex_state = 3},
  [850] = {.lex_state = 29, .external_lex_state = 3},
  [851] = {.lex_state = 29, .external_lex_state = 3},
  [852] = {.lex_state = 29, .external_lex_state = 3},
  [853] = {.lex_state = 29, .external_lex_state = 3},
  [854] = {.lex_state = 29, .external_lex_state = 3},
  [855] = {.lex_state = 29, .external_lex_state = 3},
  [856] = {.lex_state = 29, .external_lex_state = 3},
  [857] = {.lex_state = 29, .external_lex_state = 3},
  [858] = {.lex_state = 29, .external_lex_state = 3},
  [859] = {.lex_state = 29, .external_lex_state = 3},
  [860] = {.lex_state = 29, .external_lex_state = 3},
  [861] = {.lex_state = 29, .external_lex_state = 3},
  [862] = {.lex_state = 29, .external_lex_state = 3},
  [863] = {.lex_state = 29, .external_lex_state = 3},
  [864] = {.lex_state = 29, .external_lex_state = 3},
  [865] = {.lex_state = 29, .external_lex_state = 3},
  [866] = {.lex_state = 29, .external_lex_state = 3},
  [867] = {.lex_state = 29, .external_lex_state = 3},
  [868] = {.lex_state = 29, .external_lex_state = 3},
  [869] = {.lex_state = 29, .external_lex_state = 3},
  [870] = {.lex_state = 29, .external_lex_state = 3},
  [871] = {.lex_state = 29, .external_lex_state = 3},
  [872] = {.lex_state = 29, .external_lex_state = 3},
  [873] = {.lex_state = 29, .external_lex_state = 3},
  [874] = {.lex_state = 29, .external_lex_state = 3},
  [875] = {.lex_state = 29, .external_lex_state = 3},
  [876] = {.lex_state = 29, .external_lex_state = 3},
  [877] = {.lex_state = 29, .external_lex_state = 3},
  [878] = {.lex_state = 29, .external_lex_state = 3},
  [879] = {.lex_state = 29, .external_lex_state = 3},
  [880] = {.lex_state = 29, .external_lex_state = 3},
  [881] = {.lex_state = 29, .external_lex_state = 3},
  [882] = {.lex_state = 29, .external_lex_state = 3},
  [883] = {.lex_state = 29, .external_lex_state = 3},
  [884] = {.lex_state = 29, .external_lex_state = 3},
  [885] = {.lex_state = 29, .external_lex_state = 3},
  [886] = {.lex_state = 29, .external_lex_state = 3},
  [887] = {.lex_state = 29, .external_lex_state = 3},
  [888] = {.lex_state = 29, .external_lex_state = 3},
  [889] = {.lex_state = 29, .external_lex_state = 3},
  [890] = {.lex_state = 29, .external_lex_state = 3},
  [891] = {.lex_state = 29, .external_lex_state = 3},
  [892] = {.lex_state = 29, .external_lex_state = 3},
  [893] = {.lex_state = 29, .external_lex_state = 3},
  [894] = {.lex_state = 29, .external_lex_state = 3},
  [895] = {.lex_state = 29, .external_lex_state = 3},
  [896] = {.lex_state = 29, .external_lex_state = 3},
  [897] = {.lex_state = 29, .external_lex_state = 3},
  [898] = {.lex_state = 29, .external_lex_state = 3},
  [899] = {.lex_state = 29, .external_lex_state = 3},
  [900] = {.lex_state = 29, .external_lex_state = 3},
  [901] = {.lex_state = 29, .external_lex_state = 3},
  [902] = {.lex_state = 29, .external_lex_state = 3},
  [903] = {.lex_state = 29, .external_lex_state = 3},
  [904] = {.lex_state = 29, .external_lex_state = 3},
  [905] = {.lex_state = 29, .external_lex_state = 3},
  [906] = {.lex_state = 29, .external_lex_state = 3},
  [907] = {.lex_state = 29, .external_lex_state = 3},
  [908] = {.lex_state = 29, .external_lex_state = 3},
  [909] = {.lex_state = 29, .external_lex_state = 3},
  [910] = {.lex_state = 29, .external_lex_state = 3},
  [911] = {.lex_state = 29, .external_lex_state = 3},
  [912] = {.lex_state = 29, .external_lex_state = 3},
  [913] = {.lex_state = 29, .external_lex_state = 3},
  [914] = {.lex_state = 29, .external_lex_state = 3},
  [915] = {.lex_state = 29, .external_lex_state = 3},
  [916] = {.lex_state = 29, .external_lex_state = 3},
  [917] = {.lex_state = 29, .external_lex_state = 3},
  [918] = {.lex_state = 29, .external_lex_state = 3},
  [919] = {.lex_state = 29, .external_lex_state = 3},
  [920] = {.lex_state = 29, .external_lex_state = 3},
  [921] = {.lex_state = 29, .external_lex_state = 3},
  [922] = {.lex_state = 29, .external_lex_state = 3},
  [923] = {.lex_state = 29, .external_lex_state = 3},
  [924] = {.lex_state = 29, .external_lex_state = 3},
  [925] = {.lex_state = 29, .external_lex_state = 3},
  [926] = {.lex_state = 29, .external_lex_state = 3},
  [927] = {.lex_state = 29, .external_lex_state = 3},
  [928] = {.lex_state = 29, .external_lex_state = 3},
  [929] = {.lex_state = 29, .external_lex_state = 3},
  [930] = {.lex_state = 29, .external_lex_state = 3},
  [931] = {.lex_state = 29, .external_lex_state = 3},
  [932] = {.lex_state = 29, .external_lex_state = 3},
  [933] = {.lex_state = 29, .external_lex_state = 3},
  [934] = {.lex_state = 29, .external_lex_state = 3},
  [935] = {.lex_state = 29, .external_lex_state = 3},
  [936] = {.lex_state = 29, .external_lex_state = 3},
  [937] = {.lex_state = 29, .external_lex_state = 3},
  [938] = {.lex_state = 29, .external_lex_state = 3},
  [939] = {.lex_state = 29, .external_lex_state = 3},
  [940] = {.lex_state = 29, .external_lex_state = 3},
  [941] = {.lex_state = 29, .external_lex_state = 3},
  [942] = {.lex_state = 29, .external_lex_state = 3},
  [943] = {.lex_state = 29, .external_lex_state = 3},
  [944] = {.lex_state = 29, .external_lex_state = 3},
  [945] = {.lex_state = 29, .external_lex_state = 3},
  [946] = {.lex_state = 29, .external_lex_state = 3},
  [947] = {.lex_state = 29, .external_lex_state = 3},
  [948] = {.lex_state = 29, .external_lex_state = 3},
  [949] = {.lex_state = 29, .external_lex_state = 3},
  [950] = {.lex_state = 29, .external_lex_state = 3},
  [951] = {.lex_state = 29, .external_lex_state = 3},
  [952] = {.lex_state = 29, .external_lex_state = 3},
  [953] = {.lex_state = 29, .external_lex_state = 3},
  [954] = {.lex_state = 29, .external_lex_state = 3},
  [955] = {.lex_state = 29, .external_lex_state = 3},
  [956] = {.lex_state = 29, .external_lex_state = 3},
  [957] = {.lex_state = 29, .external_lex_state = 3},
  [958] = {.lex_state = 29, .external_lex_state = 3},
  [959] = {.lex_state = 29, .external_lex_state = 3},
  [960] = {.lex_state = 29, .external_lex_state = 3},
  [961] = {.lex_state = 29, .external_lex_state = 3},
  [962] = {.lex_state = 29, .external_lex_state = 3},
  [963] = {.lex_state = 29, .external_lex_state = 3},
  [964] = {.lex_state = 29, .external_lex_state = 3},
  [965] = {.lex_state = 29, .external_lex_state = 3},
  [966] = {.lex_state = 29, .external_lex_state = 3},
  [967] = {.lex_state = 29, .external_lex_state = 3},
  [968] = {.lex_state = 29, .external_lex_state = 3},
  [969] = {.lex_state = 29, .external_lex_state = 3},
  [970] = {.lex_state = 29, .external_lex_state = 3},
  [971] = {.lex_state = 29, .external_lex_state = 3},
  [972] = {.lex_state = 29, .external_lex_state = 3},
  [973] = {.lex_state = 29, .external_lex_state = 3},
  [974] = {.lex_state = 29, .external_lex_state = 3},
  [975] = {.lex_state = 29, .external_lex_state = 3},
  [976] = {.lex_state = 29, .external_lex_state = 3},
  [977] = {.lex_state = 29, .external_lex_state = 3},
  [978] = {.lex_state = 29, .external_lex_state = 3},
  [979] = {.lex_state = 29, .external_lex_state = 3},
  [980] = {.lex_state = 29, .external_lex_state = 3},
  [981] = {.lex_state = 29, .external_lex_state = 3},
  [982] = {.lex_state = 29, .external_lex_state = 3},
  [983] = {.lex_state = 29, .external_lex_state = 3},
  [984] = {.lex_state = 29, .external_lex_state = 3},
  [985] = {.lex_state = 29, .external_lex_state = 3},
  [986] = {.lex_state = 29, .external_lex_state = 3},
  [987] = {.lex_state = 29, .external_lex_state = 3},
  [988] = {.lex_state = 29, .external_lex_state = 3},
  [989] = {.lex_state = 29, .external_lex_state = 3},
  [990] = {.lex_state = 29, .external_lex_state = 3},
  [991] = {.lex_state = 29, .external_lex_state = 3},
  [992] = {.lex_state = 29, .external_lex_state = 3},
  [993] = {.lex_state = 29, .external_lex_state = 3},
  [994] = {.lex_state = 29, .external_lex_state = 3},
  [995] = {.lex_state = 29, .external_lex_state = 3},
  [996] = {.lex_state = 29, .external_lex_state = 3},
  [997] = {.lex_state = 29, .external_lex_state = 3},
  [998] = {.lex_state = 29, .external_lex_state = 3},
  [999] = {.lex_state = 29, .external_lex_state = 3},
  [1000] = {.lex_state = 29, .external_lex_state = 3},
  [1001] = {.lex_state = 29, .external_lex_state = 3},
  [1002] = {.lex_state = 29, .external_lex_state = 3},
  [1003] = {.lex_state = 29, .external_lex_state = 3},
  [1004] = {.lex_state = 29, .external_lex_state = 3},
  [1005] = {.lex_state = 29, .external_lex_state = 3},
  [1006] = {.lex_state = 29, .external_lex_state = 3},
  [1007] = {.lex_state = 29, .external_lex_state = 3},
  [1008] = {.lex_state = 29, .external_lex_state = 3},
  [1009] = {.lex_state = 29, .external_lex_state = 3},
  [1010] = {.lex_state = 29, .external_lex_state = 3},
  [1011] = {.lex_state = 29, .external_lex_state = 3},
  [1012] = {.lex_state = 29, .external_lex_state = 3},
  [1013] = {.lex_state = 29, .external_lex_state = 3},
  [1014] = {.lex_state = 29, .external_lex_state = 3},
  [1015] = {.lex_state = 29, .external_lex_state = 3},
  [1016] = {.lex_state = 29, .external_lex_state = 3},
  [1017] = {.lex_state = 29, .external_lex_state = 3},
  [1018] = {.lex_state = 29, .external_lex_state = 3},
  [1019] = {.lex_state = 29, .external_lex_state = 3},
  [1020] = {.lex_state = 29, .external_lex_state = 3},
  [1021] = {.lex_state = 29, .external_lex_state = 3},
  [1022] = {.lex_state = 29, .external_lex_state = 3},
  [1023] = {.lex_state = 29, .external_lex_state = 3},
  [1024] = {.lex_state = 29, .external_lex_state = 3},
  [1025] = {.lex_state = 29, .external_lex_state = 3},
  [1026] = {.lex_state = 29, .external_lex_state = 3},
  [1027] = {.lex_state = 29, .external_lex_state = 3},
  [1028] = {.lex_state = 29, .external_lex_state = 3},
  [1029] = {.lex_state = 29, .external_lex_state = 3},
  [1030] = {.lex_state = 29, .external_lex_state = 3},
  [1031] = {.lex_state = 29, .external_lex_state = 3},
  [1032] = {.lex_state = 29, .external_lex_state = 3},
  [1033] = {.lex_state = 29, .external_lex_state = 3},
  [1034] = {.lex_state = 29, .external_lex_state = 3},
  [1035] = {.lex_state = 29, .external_lex_state = 3},
  [1036] = {.lex_state = 29, .external_lex_state = 3},
  [1037] = {.lex_state = 29, .external_lex_state = 3},
  [1038] = {.lex_state = 29, .external_lex_state = 3},
  [1039] = {.lex_state = 29, .external_lex_state = 3},
  [1040] = {.lex_state = 29, .external_lex_state = 3},
  [1041] = {.lex_state = 29, .external_lex_state = 3},
  [1042] = {.lex_state = 29, .external_lex_state = 3},
  [1043] = {.lex_state = 29, .external_lex_state = 3},
  [1044] = {.lex_state = 29, .external_lex_state = 3},
  [1045] = {.lex_state = 29, .external_lex_state = 3},
  [1046] = {.lex_state = 29, .external_lex_state = 3},
  [1047] = {.lex_state = 29, .external_lex_state = 3},
  [1048] = {.lex_state = 29, .external_lex_state = 3},
  [1049] = {.lex_state = 29, .external_lex_state = 3},
  [1050] = {.lex_state = 29, .external_lex_state = 3},
  [1051] = {.lex_state = 29, .external_lex_state = 3},
  [1052] = {.lex_state = 29, .external_lex_state = 3},
  [1053] = {.lex_state = 29, .external_lex_state = 3},
  [1054] = {.lex_state = 29, .external_lex_state = 3},
  [1055] = {.lex_state = 29, .external_lex_state = 3},
  [1056] = {.lex_state = 29, .external_lex_state = 3},
  [1057] = {.lex_state = 29, .external_lex_state = 3},
  [1058] = {.lex_state = 29, .external_lex_state = 3},
  [1059] = {.lex_state = 29, .external_lex_state = 3},
  [1060] = {.lex_state = 29, .external_lex_state = 3},
  [1061] = {.lex_state = 29, .external_lex_state = 3},
  [1062] = {.lex_state = 29, .external_lex_state = 3},
  [1063] = {.lex_state = 29, .external_lex_state = 3},
  [1064] = {.lex_state = 29, .external_lex_state = 3},
  [1065] = {.lex_state = 29, .external_lex_state = 3},
  [1066] = {.lex_state = 29, .external_lex_state = 3},
  [1067] = {.lex_state = 29, .external_lex_state = 3},
  [1068] = {.lex_state = 29, .external_lex_state = 3},
  [1069] = {.lex_state = 29, .external_lex_state = 3},
  [1070] = {.lex_state = 29, .external_lex_state = 3},
  [1071] = {.lex_state = 29, .external_lex_state = 3},
  [1072] = {.lex_state = 29, .external_lex_state = 3},
  [1073] = {.lex_state = 29, .external_lex_state = 3},
  [1074] = {.lex_state = 29, .external_lex_state = 3},
  [1075] = {.lex_state = 29, .external_lex_state = 3},
  [1076] = {.lex_state = 29, .external_lex_state = 3},
  [1077] = {.lex_state = 29, .external_lex_state = 3},
  [1078] = {.lex_state = 29, .external_lex_state = 3},
  [1079] = {.lex_state = 29, .external_lex_state = 3},
  [1080] = {.lex_state = 29, .external_lex_state = 3},
  [1081] = {.lex_state = 29, .external_lex_state = 3},
  [1082] = {.lex_state = 29, .external_lex_state = 3},
  [1083] = {.lex_state = 29, .external_lex_state = 3},
  [1084] = {.lex_state = 29, .external_lex_state = 3},
  [1085] = {.lex_state = 29, .external_lex_state = 3},
  [1086] = {.lex_state = 29, .external_lex_state = 3},
  [1087] = {.lex_state = 29, .external_lex_state = 3},
  [1088] = {.lex_state = 29, .external_lex_state = 3},
  [1089] = {.lex_state = 29, .external_lex_state = 3},
  [1090] = {.lex_state = 29, .external_lex_state = 3},
  [1091] = {.lex_state = 29, .external_lex_state = 3},
  [1092] = {.lex_state = 29, .external_lex_state = 3},
  [1093] = {.lex_state = 29, .external_lex_state = 3},
  [1094] = {.lex_state = 29, .external_lex_state = 3},
  [1095] = {.lex_state = 29, .external_lex_state = 3},
  [1096] = {.lex_state = 29, .external_lex_state = 3},
  [1097] = {.lex_state = 29, .external_lex_state = 3},
  [1098] = {.lex_state = 29, .external_lex_state = 3},
  [1099] = {.lex_state = 29, .external_lex_state = 3},
  [1100] = {.lex_state = 29, .external_lex_state = 3},
  [1101] = {.lex_state = 29, .external_lex_state = 3},
  [1102] = {.lex_state = 29, .external_lex_state = 3},
  [1103] = {.lex_state = 29, .external_lex_state = 3},
  [1104] = {.lex_state = 29, .external_lex_state = 3},
  [1105] = {.lex_state = 29, .external_lex_state = 3},
  [1106] = {.lex_state = 29, .external_lex_state = 3},
  [1107] = {.lex_state = 29, .external_lex_state = 3},
  [1108] = {.lex_state = 29, .external_lex_state = 3},
  [1109] = {.lex_state = 29, .external_lex_state = 3},
  [1110] = {.lex_state = 29, .external_lex_state = 3},
  [1111] = {.lex_state = 29, .external_lex_state = 3},
  [1112] = {.lex_state = 29, .external_lex_state = 3},
  [1113] = {.lex_state = 29, .external_lex_state = 3},
  [1114] = {.lex_state = 29, .external_lex_state = 3},
  [1115] = {.lex_state = 29, .external_lex_state = 3},
  [1116] = {.lex_state = 29, .external_lex_state = 3},
  [1117] = {.lex_state = 29, .external_lex_state = 3},
  [1118] = {.lex_state = 29, .external_lex_state = 3},
  [1119] = {.lex_state = 29, .external_lex_state = 3},
  [1120] = {.lex_state = 29, .external_lex_state = 3},
  [1121] = {.lex_state = 29, .external_lex_state = 3},
  [1122] = {.lex_state = 29, .external_lex_state = 3},
  [1123] = {.lex_state = 29, .external_lex_state = 3},
  [1124] = {.lex_state = 29, .external_lex_state = 3},
  [1125] = {.lex_state = 29, .external_lex_state = 3},
  [1126] = {.lex_state = 29, .external_lex_state = 3},
  [1127] = {.lex_state = 29, .external_lex_state = 3},
  [1128] = {.lex_state = 29, .external_lex_state = 3},
  [1129] = {.lex_state = 29, .external_lex_state = 3},
  [1130] = {.lex_state = 29, .external_lex_state = 3},
  [1131] = {.lex_state = 29, .external_lex_state = 3},
  [1132] = {.lex_state = 29, .external_lex_state = 3},
  [1133] = {.lex_state = 29, .external_lex_state = 3},
  [1134] = {.lex_state = 29, .external_lex_state = 3},
  [1135] = {.lex_state = 29, .external_lex_state = 3},
  [1136] = {.lex_state = 29, .external_lex_state = 3},
  [1137] = {.lex_state = 29, .external_lex_state = 3},
  [1138] = {.lex_state = 29, .external_lex_state = 3},
  [1139] = {.lex_state = 29, .external_lex_state = 3},
  [1140] = {.lex_state = 29, .external_lex_state = 3},
  [1141] = {.lex_state = 29, .external_lex_state = 3},
  [1142] = {.lex_state = 29, .external_lex_state = 3},
  [1143] = {.lex_state = 29, .external_lex_state = 3},
  [1144] = {.lex_state = 29, .external_lex_state = 3},
  [1145] = {.lex_state = 29, .external_lex_state = 3},
  [1146] = {.lex_state = 29, .external_lex_state = 3},
  [1147] = {.lex_state = 29, .external_lex_state = 3},
  [1148] = {.lex_state = 29, .external_lex_state = 3},
  [1149] = {.lex_state = 29, .external_lex_state = 3},
  [1150] = {.lex_state = 29, .external_lex_state = 3},
  [1151] = {.lex_state = 29, .external_lex_state = 3},
  [1152] = {.lex_state = 29, .external_lex_state = 3},
  [1153] = {.lex_state = 29, .external_lex_state = 3},
  [1154] = {.lex_state = 29, .external_lex_state = 3},
  [1155] = {.lex_state = 29, .external_lex_state = 3},
  [1156] = {.lex_state = 29, .external_lex_state = 3},
  [1157] = {.lex_state = 29, .external_lex_state = 3},
  [1158] = {.lex_state = 29, .external_lex_state = 3},
  [1159] = {.lex_state = 29, .external_lex_state = 3},
  [1160] = {.lex_state = 29, .external_lex_state = 3},
  [1161] = {.lex_state = 29, .external_lex_state = 3},
  [1162] = {.lex_state = 29, .external_lex_state = 3},
  [1163] = {.lex_state = 29, .external_lex_state = 3},
  [1164] = {.lex_state = 29, .external_lex_state = 3},
  [1165] = {.lex_state = 29, .external_lex_state = 3},
  [1166] = {.lex_state = 29, .external_lex_state = 3},
  [1167] = {.lex_state = 29, .external_lex_state = 3},
  [1168] = {.lex_state = 29, .external_lex_state = 3},
  [1169] = {.lex_state = 29, .external_lex_state = 3},
  [1170] = {.lex_state = 29, .external_lex_state = 3},
  [1171] = {.lex_state = 29, .external_lex_state = 3},
  [1172] = {.lex_state = 29, .external_lex_state = 3},
  [1173] = {.lex_state = 29, .external_lex_state = 3},
  [1174] = {.lex_state = 29, .external_lex_state = 3},
  [1175] = {.lex_state = 29, .external_lex_state = 3},
  [1176] = {.lex_state = 29, .external_lex_state = 3},
  [1177] = {.lex_state = 29, .external_lex_state = 3},
  [1178] = {.lex_state = 29, .external_lex_state = 3},
  [1179] = {.lex_state = 29, .external_lex_state = 3},
  [1180] = {.lex_state = 29, .external_lex_state = 3},
  [1181] = {.lex_state = 29, .external_lex_state = 3},
  [1182] = {.lex_state = 29, .external_lex_state = 3},
  [1183] = {.lex_state = 29, .external_lex_state = 3},
  [1184] = {.lex_state = 29, .external_lex_state = 3},
  [1185] = {.lex_state = 29, .external_lex_state = 3},
  [1186] = {.lex_state = 29, .external_lex_state = 3},
  [1187] = {.lex_state = 29, .external_lex_state = 3},
  [1188] = {.lex_state = 29, .external_lex_state = 3},
  [1189] = {.lex_state = 29, .external_lex_state = 3},
  [1190] = {.lex_state = 29, .external_lex_state = 3},
  [1191] = {.lex_state = 29, .external_lex_state = 3},
  [1192] = {.lex_state = 29, .external_lex_state = 3},
  [1193] = {.lex_state = 29, .external_lex_state = 3},
  [1194] = {.lex_state = 29, .external_lex_state = 3},
  [1195] = {.lex_state = 29, .external_lex_state = 3},
  [1196] = {.lex_state = 29, .external_lex_state = 3},
  [1197] = {.lex_state = 29, .external_lex_state = 3},
  [1198] = {.lex_state = 29, .external_lex_state = 3},
  [1199] = {.lex_state = 29, .external_lex_state = 3},
  [1200] = {.lex_state = 29, .external_lex_state = 3},
  [1201] = {.lex_state = 29, .external_lex_state = 3},
  [1202] = {.lex_state = 29, .external_lex_state = 3},
  [1203] = {.lex_state = 29, .external_lex_state = 3},
  [1204] = {.lex_state = 29, .external_lex_state = 3},
  [1205] = {.lex_state = 29, .external_lex_state = 3},
  [1206] = {.lex_state = 29, .external_lex_state = 3},
  [1207] = {.lex_state = 29, .external_lex_state = 3},
  [1208] = {.lex_state = 29, .external_lex_state = 3},
  [1209] = {.lex_state = 29, .external_lex_state = 3},
  [1210] = {.lex_state = 29, .external_lex_state = 3},
  [1211] = {.lex_state = 29, .external_lex_state = 3},
  [1212] = {.lex_state = 29, .external_lex_state = 3},
  [1213] = {.lex_state = 29, .external_lex_state = 3},
  [1214] = {.lex_state = 29, .external_lex_state = 3},
  [1215] = {.lex_state = 29, .external_lex_state = 3},
  [1216] = {.lex_state = 29, .external_lex_state = 3},
  [1217] = {.lex_state = 29, .external_lex_state = 3},
  [1218] = {.lex_state = 29, .external_lex_state = 3},
  [1219] = {.lex_state = 29, .external_lex_state = 3},
  [1220] = {.lex_state = 29, .external_lex_state = 3},
  [1221] = {.lex_state = 29, .external_lex_state = 3},
  [1222] = {.lex_state = 29, .external_lex_state = 3},
  [1223] = {.lex_state = 29, .external_lex_state = 3},
  [1224] = {.lex_state = 29, .external_lex_state = 3},
  [1225] = {.lex_state = 29, .external_lex_state = 3},
  [1226] = {.lex_state = 29, .external_lex_state = 3},
  [1227] = {.lex_state = 29, .external_lex_state = 3},
  [1228] = {.lex_state = 29, .external_lex_state = 3},
  [1229] = {.lex_state = 29, .external_lex_state = 3},
  [1230] = {.lex_state = 29, .external_lex_state = 3},
  [1231] = {.lex_state = 29, .external_lex_state = 3},
  [1232] = {.lex_state = 29, .external_lex_state = 3},
  [1233] = {.lex_state = 29, .external_lex_state = 3},
  [1234] = {.lex_state = 29, .external_lex_state = 3},
  [1235] = {.lex_state = 29, .external_lex_state = 3},
  [1236] = {.lex_state = 29, .external_lex_state = 3},
  [1237] = {.lex_state = 29, .external_lex_state = 3},
  [1238] = {.lex_state = 29, .external_lex_state = 3},
  [1239] = {.lex_state = 29, .external_lex_state = 3},
  [1240] = {.lex_state = 29, .external_lex_state = 3},
  [1241] = {.lex_state = 29, .external_lex_state = 3},
  [1242] = {.lex_state = 29, .external_lex_state = 3},
  [1243] = {.lex_state = 29, .external_lex_state = 3},
  [1244] = {.lex_state = 29, .external_lex_state = 3},
  [1245] = {.lex_state = 29, .external_lex_state = 3},
  [1246] = {.lex_state = 29, .external_lex_state = 3},
  [1247] = {.lex_state = 29, .external_lex_state = 3},
  [1248] = {.lex_state = 29, .external_lex_state = 3},
  [1249] = {.lex_state = 29, .external_lex_state = 3},
  [1250] = {.lex_state = 29, .external_lex_state = 3},
  [1251] = {.lex_state = 29, .external_lex_state = 3},
  [1252] = {.lex_state = 29, .external_lex_state = 3},
  [1253] = {.lex_state = 29, .external_lex_state = 3},
  [1254] = {.lex_state = 29, .external_lex_state = 3},
  [1255] = {.lex_state = 29, .external_lex_state = 3},
  [1256] = {.lex_state = 29, .external_lex_state = 3},
  [1257] = {.lex_state = 29, .external_lex_state = 3},
  [1258] = {.lex_state = 29, .external_lex_state = 3},
  [1259] = {.lex_state = 29, .external_lex_state = 3},
  [1260] = {.lex_state = 29, .external_lex_state = 3},
  [1261] = {.lex_state = 29, .external_lex_state = 3},
  [1262] = {.lex_state = 29, .external_lex_state = 3},
  [1263] = {.lex_state = 29, .external_lex_state = 3},
  [1264] = {.lex_state = 29, .external_lex_state = 3},
  [1265] = {.lex_state = 29, .external_lex_state = 3},
  [1266] = {.lex_state = 29, .external_lex_state = 3},
  [1267] = {.lex_state = 29, .external_lex_state = 3},
  [1268] = {.lex_state = 29, .external_lex_state = 3},
  [1269] = {.lex_state = 29, .external_lex_state = 3},
  [1270] = {.lex_state = 29, .external_lex_state = 3},
  [1271] = {.lex_state = 29, .external_lex_state = 3},
  [1272] = {.lex_state = 29, .external_lex_state = 3},
  [1273] = {.lex_state = 29, .external_lex_state = 3},
  [1274] = {.lex_state = 29, .external_lex_state = 3},
  [1275] = {.lex_state = 29, .external_lex_state = 3},
  [1276] = {.lex_state = 29, .external_lex_state = 3},
  [1277] = {.lex_state = 29, .external_lex_state = 3},
  [1278] = {.lex_state = 29, .external_lex_state = 3},
  [1279] = {.lex_state = 29, .external_lex_state = 3},
  [1280] = {.lex_state = 29, .external_lex_state = 3},
  [1281] = {.lex_state = 29, .external_lex_state = 3},
  [1282] = {.lex_state = 29, .external_lex_state = 3},
  [1283] = {.lex_state = 29, .external_lex_state = 3},
  [1284] = {.lex_state = 29, .external_lex_state = 3},
  [1285] = {.lex_state = 29, .external_lex_state = 3},
  [1286] = {.lex_state = 29, .external_lex_state = 3},
  [1287] = {.lex_state = 29, .external_lex_state = 3},
  [1288] = {.lex_state = 29, .external_lex_state = 3},
  [1289] = {.lex_state = 29, .external_lex_state = 3},
  [1290] = {.lex_state = 29, .external_lex_state = 3},
  [1291] = {.lex_state = 29, .external_lex_state = 3},
  [1292] = {.lex_state = 29, .external_lex_state = 3},
  [1293] = {.lex_state = 29, .external_lex_state = 3},
  [1294] = {.lex_state = 29, .external_lex_state = 3},
  [1295] = {.lex_state = 29, .external_lex_state = 3},
  [1296] = {.lex_state = 29, .external_lex_state = 3},
  [1297] = {.lex_state = 29, .external_lex_state = 3},
  [1298] = {.lex_state = 29, .external_lex_state = 3},
  [1299] = {.lex_state = 29, .external_lex_state = 3},
  [1300] = {.lex_state = 29, .external_lex_state = 3},
  [1301] = {.lex_state = 29, .external_lex_state = 3},
  [1302] = {.lex_state = 29, .external_lex_state = 3},
  [1303] = {.lex_state = 29, .external_lex_state = 3},
  [1304] = {.lex_state = 29, .external_lex_state = 3},
  [1305] = {.lex_state = 29, .external_lex_state = 3},
  [1306] = {.lex_state = 29, .external_lex_state = 3},
  [1307] = {.lex_state = 29, .external_lex_state = 3},
  [1308] = {.lex_state = 29, .external_lex_state = 3},
  [1309] = {.lex_state = 29, .external_lex_state = 3},
  [1310] = {.lex_state = 29, .external_lex_state = 3},
  [1311] = {.lex_state = 29, .external_lex_state = 3},
  [1312] = {.lex_state = 29, .external_lex_state = 3},
  [1313] = {.lex_state = 29, .external_lex_state = 3},
  [1314] = {.lex_state = 29, .external_lex_state = 3},
  [1315] = {.lex_state = 29, .external_lex_state = 3},
  [1316] = {.lex_state = 29, .external_lex_state = 3},
  [1317] = {.lex_state = 29, .external_lex_state = 3},
  [1318] = {.lex_state = 29, .external_lex_state = 3},
  [1319] = {.lex_state = 29, .external_lex_state = 3},
  [1320] = {.lex_state = 29, .external_lex_state = 3},
  [1321] = {.lex_state = 29, .external_lex_state = 3},
  [1322] = {.lex_state = 29, .external_lex_state = 3},
  [1323] = {.lex_state = 29, .external_lex_state = 3},
  [1324] = {.lex_state = 29, .external_lex_state = 3},
  [1325] = {.lex_state = 29, .external_lex_state = 3},
  [1326] = {.lex_state = 29, .external_lex_state = 3},
  [1327] = {.lex_state = 29, .external_lex_state = 3},
  [1328] = {.lex_state = 29, .external_lex_state = 3},
  [1329] = {.lex_state = 29, .external_lex_state = 3},
  [1330] = {.lex_state = 29, .external_lex_state = 3},
  [1331] = {.lex_state = 29, .external_lex_state = 3},
  [1332] = {.lex_state = 29, .external_lex_state = 3},
  [1333] = {.lex_state = 29, .external_lex_state = 3},
  [1334] = {.lex_state = 29, .external_lex_state = 3},
  [1335] = {.lex_state = 29, .external_lex_state = 3},
  [1336] = {.lex_state = 29, .external_lex_state = 3},
  [1337] = {.lex_state = 29, .external_lex_state = 3},
  [1338] = {.lex_state = 29, .external_lex_state = 3},
  [1339] = {.lex_state = 29, .external_lex_state = 3},
  [1340] = {.lex_state = 29, .external_lex_state = 3},
  [1341] = {.lex_state = 29, .external_lex_state = 3},
  [1342] = {.lex_state = 29, .external_lex_state = 3},
  [1343] = {.lex_state = 29, .external_lex_state = 3},
  [1344] = {.lex_state = 29, .external_lex_state = 3},
  [1345] = {.lex_state = 29, .external_lex_state = 3},
  [1346] = {.lex_state = 29, .external_lex_state = 3},
  [1347] = {.lex_state = 29, .external_lex_state = 3},
  [1348] = {.lex_state = 29, .external_lex_state = 3},
  [1349] = {.lex_state = 29, .external_lex_state = 3},
  [1350] = {.lex_state = 29, .external_lex_state = 3},
  [1351] = {.lex_state = 29, .external_lex_state = 3},
  [1352] = {.lex_state = 29, .external_lex_state = 3},
  [1353] = {.lex_state = 82, .external_lex_state = 3},
  [1354] = {.lex_state = 29, .external_lex_state = 3},
  [1355] = {.lex_state = 29, .external_lex_state = 3},
  [1356] = {.lex_state = 29, .external_lex_state = 3},
  [1357] = {.lex_state = 29, .external_lex_state = 3},
  [1358] = {.lex_state = 29, .external_lex_state = 3},
  [1359] = {.lex_state = 29, .external_lex_state = 3},
  [1360] = {.lex_state = 29, .external_lex_state = 3},
  [1361] = {.lex_state = 29, .external_lex_state = 3},
  [1362] = {.lex_state = 29, .external_lex_state = 3},
  [1363] = {.lex_state = 29, .external_lex_state = 3},
  [1364] = {.lex_state = 29, .external_lex_state = 3},
  [1365] = {.lex_state = 29, .external_lex_state = 3},
  [1366] = {.lex_state = 29, .external_lex_state = 3},
  [1367] = {.lex_state = 29, .external_lex_state = 3},
  [1368] = {.lex_state = 29, .external_lex_state = 3},
  [1369] = {.lex_state = 29, .external_lex_state = 3},
  [1370] = {.lex_state = 29, .external_lex_state = 3},
  [1371] = {.lex_state = 29, .external_lex_state = 3},
  [1372] = {.lex_state = 29, .external_lex_state = 3},
  [1373] = {.lex_state = 29, .external_lex_state = 3},
  [1374] = {.lex_state = 29, .external_lex_state = 3},
  [1375] = {.lex_state = 29, .external_lex_state = 3},
  [1376] = {.lex_state = 29, .external_lex_state = 3},
  [1377] = {.lex_state = 29, .external_lex_state = 3},
  [1378] = {.lex_state = 29, .external_lex_state = 3},
  [1379] = {.lex_state = 29, .external_lex_state = 3},
  [1380] = {.lex_state = 29, .external_lex_state = 3},
  [1381] = {.lex_state = 29, .external_lex_state = 3},
  [1382] = {.lex_state = 29, .external_lex_state = 3},
  [1383] = {.lex_state = 29, .external_lex_state = 3},
  [1384] = {.lex_state = 29, .external_lex_state = 3},
  [1385] = {.lex_state = 29, .external_lex_state = 3},
  [1386] = {.lex_state = 29, .external_lex_state = 3},
  [1387] = {.lex_state = 29, .external_lex_state = 3},
  [1388] = {.lex_state = 29, .external_lex_state = 3},
  [1389] = {.lex_state = 29, .external_lex_state = 3},
  [1390] = {.lex_state = 29, .external_lex_state = 3},
  [1391] = {.lex_state = 29, .external_lex_state = 3},
  [1392] = {.lex_state = 29, .external_lex_state = 3},
  [1393] = {.lex_state = 29, .external_lex_state = 3},
  [1394] = {.lex_state = 29, .external_lex_state = 3},
  [1395] = {.lex_state = 29, .external_lex_state = 3},
  [1396] = {.lex_state = 29, .external_lex_state = 3},
  [1397] = {.lex_state = 29, .external_lex_state = 3},
  [1398] = {.lex_state = 90, .external_lex_state = 3},
  [1399] = {.lex_state = 29, .external_lex_state = 3},
  [1400] = {.lex_state = 29, .external_lex_state = 3},
  [1401] = {.lex_state = 29, .external_lex_state = 3},
  [1402] = {.lex_state = 29, .external_lex_state = 3},
  [1403] = {.lex_state = 29, .external_lex_state = 3},
  [1404] = {.lex_state = 29, .external_lex_state = 3},
  [1405] = {.lex_state = 29, .external_lex_state = 3},
  [1406] = {.lex_state = 29, .external_lex_state = 3},
  [1407] = {.lex_state = 29, .external_lex_state = 3},
  [1408] = {.lex_state = 29, .external_lex_state = 3},
  [1409] = {.lex_state = 29, .external_lex_state = 3},
  [1410] = {.lex_state = 29, .external_lex_state = 3},
  [1411] = {.lex_state = 29, .external_lex_state = 3},
  [1412] = {.lex_state = 29, .external_lex_state = 3},
  [1413] = {.lex_state = 29, .external_lex_state = 3},
  [1414] = {.lex_state = 29, .external_lex_state = 3},
  [1415] = {.lex_state = 29, .external_lex_state = 3},
  [1416] = {.lex_state = 29, .external_lex_state = 3},
  [1417] = {.lex_state = 29, .external_lex_state = 3},
  [1418] = {.lex_state = 29, .external_lex_state = 3},
  [1419] = {.lex_state = 29, .external_lex_state = 3},
  [1420] = {.lex_state = 29, .external_lex_state = 3},
  [1421] = {.lex_state = 29, .external_lex_state = 3},
  [1422] = {.lex_state = 29, .external_lex_state = 3},
  [1423] = {.lex_state = 29, .external_lex_state = 3},
  [1424] = {.lex_state = 29, .external_lex_state = 3},
  [1425] = {.lex_state = 29, .external_lex_state = 3},
  [1426] = {.lex_state = 29, .external_lex_state = 3},
  [1427] = {.lex_state = 29, .external_lex_state = 3},
  [1428] = {.lex_state = 29, .external_lex_state = 3},
  [1429] = {.lex_state = 29, .external_lex_state = 3},
  [1430] = {.lex_state = 29, .external_lex_state = 3},
  [1431] = {.lex_state = 29, .external_lex_state = 3},
  [1432] = {.lex_state = 29, .external_lex_state = 3},
  [1433] = {.lex_state = 29, .external_lex_state = 3},
  [1434] = {.lex_state = 29, .external_lex_state = 3},
  [1435] = {.lex_state = 29, .external_lex_state = 3},
  [1436] = {.lex_state = 29, .external_lex_state = 3},
  [1437] = {.lex_state = 29, .external_lex_state = 3},
  [1438] = {.lex_state = 29, .external_lex_state = 3},
  [1439] = {.lex_state = 29, .external_lex_state = 3},
  [1440] = {.lex_state = 29, .external_lex_state = 3},
  [1441] = {.lex_state = 29, .external_lex_state = 3},
  [1442] = {.lex_state = 29, .external_lex_state = 3},
  [1443] = {.lex_state = 29, .external_lex_state = 3},
  [1444] = {.lex_state = 29, .external_lex_state = 3},
  [1445] = {.lex_state = 29, .external_lex_state = 3},
  [1446] = {.lex_state = 29, .external_lex_state = 3},
  [1447] = {.lex_state = 29, .external_lex_state = 3},
  [1448] = {.lex_state = 29, .external_lex_state = 3},
  [1449] = {.lex_state = 29, .external_lex_state = 3},
  [1450] = {.lex_state = 29, .external_lex_state = 3},
  [1451] = {.lex_state = 29, .external_lex_state = 3},
  [1452] = {.lex_state = 29, .external_lex_state = 3},
  [1453] = {.lex_state = 29, .external_lex_state = 3},
  [1454] = {.lex_state = 29, .external_lex_state = 3},
  [1455] = {.lex_state = 29, .external_lex_state = 3},
  [1456] = {.lex_state = 29, .external_lex_state = 3},
  [1457] = {.lex_state = 29, .external_lex_state = 3},
  [1458] = {.lex_state = 29, .external_lex_state = 3},
  [1459] = {.lex_state = 29, .external_lex_state = 3},
  [1460] = {.lex_state = 29, .external_lex_state = 3},
  [1461] = {.lex_state = 29, .external_lex_state = 3},
  [1462] = {.lex_state = 29, .external_lex_state = 3},
  [1463] = {.lex_state = 29, .external_lex_state = 3},
  [1464] = {.lex_state = 29, .external_lex_state = 3},
  [1465] = {.lex_state = 29, .external_lex_state = 3},
  [1466] = {.lex_state = 29, .external_lex_state = 3},
  [1467] = {.lex_state = 29, .external_lex_state = 3},
  [1468] = {.lex_state = 29, .external_lex_state = 3},
  [1469] = {.lex_state = 29, .external_lex_state = 3},
  [1470] = {.lex_state = 29, .external_lex_state = 3},
  [1471] = {.lex_state = 29, .external_lex_state = 3},
  [1472] = {.lex_state = 29, .external_lex_state = 3},
  [1473] = {.lex_state = 29, .external_lex_state = 3},
  [1474] = {.lex_state = 29, .external_lex_state = 3},
  [1475] = {.lex_state = 29, .external_lex_state = 3},
  [1476] = {.lex_state = 29, .external_lex_state = 3},
  [1477] = {.lex_state = 29, .external_lex_state = 3},
  [1478] = {.lex_state = 29, .external_lex_state = 3},
  [1479] = {.lex_state = 29, .external_lex_state = 3},
  [1480] = {.lex_state = 29, .external_lex_state = 3},
  [1481] = {.lex_state = 29, .external_lex_state = 3},
  [1482] = {.lex_state = 29, .external_lex_state = 3},
  [1483] = {.lex_state = 29, .external_lex_state = 3},
  [1484] = {.lex_state = 29, .external_lex_state = 3},
  [1485] = {.lex_state = 29, .external_lex_state = 3},
  [1486] = {.lex_state = 29, .external_lex_state = 3},
  [1487] = {.lex_state = 29, .external_lex_state = 3},
  [1488] = {.lex_state = 29, .external_lex_state = 3},
  [1489] = {.lex_state = 29, .external_lex_state = 3},
  [1490] = {.lex_state = 29, .external_lex_state = 3},
  [1491] = {.lex_state = 29, .external_lex_state = 3},
  [1492] = {.lex_state = 29, .external_lex_state = 3},
  [1493] = {.lex_state = 29, .external_lex_state = 3},
  [1494] = {.lex_state = 29, .external_lex_state = 3},
  [1495] = {.lex_state = 29, .external_lex_state = 3},
  [1496] = {.lex_state = 29, .external_lex_state = 3},
  [1497] = {.lex_state = 29, .external_lex_state = 3},
  [1498] = {.lex_state = 29, .external_lex_state = 3},
  [1499] = {.lex_state = 29, .external_lex_state = 3},
  [1500] = {.lex_state = 29, .external_lex_state = 3},
  [1501] = {.lex_state = 29, .external_lex_state = 3},
  [1502] = {.lex_state = 29, .external_lex_state = 3},
  [1503] = {.lex_state = 29, .external_lex_state = 3},
  [1504] = {.lex_state = 29, .external_lex_state = 3},
  [1505] = {.lex_state = 29, .external_lex_state = 3},
  [1506] = {.lex_state = 29, .external_lex_state = 3},
  [1507] = {.lex_state = 29, .external_lex_state = 3},
  [1508] = {.lex_state = 29, .external_lex_state = 3},
  [1509] = {.lex_state = 29, .external_lex_state = 3},
  [1510] = {.lex_state = 29, .external_lex_state = 3},
  [1511] = {.lex_state = 29, .external_lex_state = 3},
  [1512] = {.lex_state = 86, .external_lex_state = 3},
  [1513] = {.lex_state = 29, .external_lex_state = 3},
  [1514] = {.lex_state = 29, .external_lex_state = 3},
  [1515] = {.lex_state = 29, .external_lex_state = 3},
  [1516] = {.lex_state = 29, .external_lex_state = 3},
  [1517] = {.lex_state = 29, .external_lex_state = 3},
  [1518] = {.lex_state = 29, .external_lex_state = 3},
  [1519] = {.lex_state = 29, .external_lex_state = 3},
  [1520] = {.lex_state = 29, .external_lex_state = 3},
  [1521] = {.lex_state = 29, .external_lex_state = 3},
  [1522] = {.lex_state = 29, .external_lex_state = 3},
  [1523] = {.lex_state = 29, .external_lex_state = 3},
  [1524] = {.lex_state = 67, .external_lex_state = 3},
  [1525] = {.lex_state = 29, .external_lex_state = 3},
  [1526] = {.lex_state = 29, .external_lex_state = 3},
  [1527] = {.lex_state = 29, .external_lex_state = 3},
  [1528] = {.lex_state = 29, .external_lex_state = 3},
  [1529] = {.lex_state = 29, .external_lex_state = 3},
  [1530] = {.lex_state = 29, .external_lex_state = 3},
  [1531] = {.lex_state = 29, .external_lex_state = 3},
  [1532] = {.lex_state = 29, .external_lex_state = 3},
  [1533] = {.lex_state = 91, .external_lex_state = 3},
  [1534] = {.lex_state = 29, .external_lex_state = 3},
  [1535] = {.lex_state = 29, .external_lex_state = 3},
  [1536] = {.lex_state = 29, .external_lex_state = 3},
  [1537] = {.lex_state = 29, .external_lex_state = 3},
  [1538] = {.lex_state = 29, .external_lex_state = 3},
  [1539] = {.lex_state = 29, .external_lex_state = 3},
  [1540] = {.lex_state = 29, .external_lex_state = 3},
  [1541] = {.lex_state = 29, .external_lex_state = 3},
  [1542] = {.lex_state = 29, .external_lex_state = 3},
  [1543] = {.lex_state = 29, .external_lex_state = 3},
  [1544] = {.lex_state = 29, .external_lex_state = 3},
  [1545] = {.lex_state = 29, .external_lex_state = 3},
  [1546] = {.lex_state = 29, .external_lex_state = 3},
  [1547] = {.lex_state = 29, .external_lex_state = 3},
  [1548] = {.lex_state = 29, .external_lex_state = 3},
  [1549] = {.lex_state = 29, .external_lex_state = 3},
  [1550] = {.lex_state = 29, .external_lex_state = 3},
  [1551] = {.lex_state = 29, .external_lex_state = 3},
  [1552] = {.lex_state = 29, .external_lex_state = 3},
  [1553] = {.lex_state = 29, .external_lex_state = 3},
  [1554] = {.lex_state = 29, .external_lex_state = 3},
  [1555] = {.lex_state = 29, .external_lex_state = 3},
  [1556] = {.lex_state = 29, .external_lex_state = 3},
  [1557] = {.lex_state = 29, .external_lex_state = 3},
  [1558] = {.lex_state = 29, .external_lex_state = 3},
  [1559] = {.lex_state = 29, .external_lex_state = 3},
  [1560] = {.lex_state = 71, .external_lex_state = 3},
  [1561] = {.lex_state = 29, .external_lex_state = 3},
  [1562] = {.lex_state = 29, .external_lex_state = 3},
  [1563] = {.lex_state = 29, .external_lex_state = 3},
  [1564] = {.lex_state = 29, .external_lex_state = 3},
  [1565] = {.lex_state = 29, .external_lex_state = 3},
  [1566] = {.lex_state = 29, .external_lex_state = 3},
  [1567] = {.lex_state = 29, .external_lex_state = 3},
  [1568] = {.lex_state = 29, .external_lex_state = 3},
  [1569] = {.lex_state = 29, .external_lex_state = 3},
  [1570] = {.lex_state = 29, .external_lex_state = 3},
  [1571] = {.lex_state = 29, .external_lex_state = 3},
  [1572] = {.lex_state = 29, .external_lex_state = 3},
  [1573] = {.lex_state = 29, .external_lex_state = 3},
  [1574] = {.lex_state = 29, .external_lex_state = 3},
  [1575] = {.lex_state = 29, .external_lex_state = 3},
  [1576] = {.lex_state = 29, .external_lex_state = 3},
  [1577] = {.lex_state = 29, .external_lex_state = 3},
  [1578] = {.lex_state = 29, .external_lex_state = 3},
  [1579] = {.lex_state = 29, .external_lex_state = 3},
  [1580] = {.lex_state = 29, .external_lex_state = 3},
  [1581] = {.lex_state = 29, .external_lex_state = 3},
  [1582] = {.lex_state = 29, .external_lex_state = 3},
  [1583] = {.lex_state = 29, .external_lex_state = 3},
  [1584] = {.lex_state = 29, .external_lex_state = 3},
  [1585] = {.lex_state = 29, .external_lex_state = 3},
  [1586] = {.lex_state = 29, .external_lex_state = 3},
  [1587] = {.lex_state = 29, .external_lex_state = 3},
  [1588] = {.lex_state = 29, .external_lex_state = 3},
  [1589] = {.lex_state = 29, .external_lex_state = 3},
  [1590] = {.lex_state = 29, .external_lex_state = 3},
  [1591] = {.lex_state = 29, .external_lex_state = 3},
  [1592] = {.lex_state = 29, .external_lex_state = 3},
  [1593] = {.lex_state = 29, .external_lex_state = 3},
  [1594] = {.lex_state = 29, .external_lex_state = 3},
  [1595] = {.lex_state = 29, .external_lex_state = 3},
  [1596] = {.lex_state = 29, .external_lex_state = 3},
  [1597] = {.lex_state = 29, .external_lex_state = 3},
  [1598] = {.lex_state = 29, .external_lex_state = 3},
  [1599] = {.lex_state = 29, .external_lex_state = 3},
  [1600] = {.lex_state = 29, .external_lex_state = 3},
  [1601] = {.lex_state = 29, .external_lex_state = 3},
  [1602] = {.lex_state = 29, .external_lex_state = 3},
  [1603] = {.lex_state = 29, .external_lex_state = 3},
  [1604] = {.lex_state = 29, .external_lex_state = 3},
  [1605] = {.lex_state = 29, .external_lex_state = 3},
  [1606] = {.lex_state = 29, .external_lex_state = 3},
  [1607] = {.lex_state = 29, .external_lex_state = 3},
  [1608] = {.lex_state = 29, .external_lex_state = 3},
  [1609] = {.lex_state = 29, .external_lex_state = 3},
  [1610] = {.lex_state = 29, .external_lex_state = 3},
  [1611] = {.lex_state = 29, .external_lex_state = 3},
  [1612] = {.lex_state = 29, .external_lex_state = 3},
  [1613] = {.lex_state = 29, .external_lex_state = 3},
  [1614] = {.lex_state = 29, .external_lex_state = 3},
  [1615] = {.lex_state = 29, .external_lex_state = 3},
  [1616] = {.lex_state = 29, .external_lex_state = 3},
  [1617] = {.lex_state = 29, .external_lex_state = 3},
  [1618] = {.lex_state = 29, .external_lex_state = 3},
  [1619] = {.lex_state = 29, .external_lex_state = 3},
  [1620] = {.lex_state = 29, .external_lex_state = 3},
  [1621] = {.lex_state = 29, .external_lex_state = 3},
  [1622] = {.lex_state = 29, .external_lex_state = 3},
  [1623] = {.lex_state = 29, .external_lex_state = 3},
  [1624] = {.lex_state = 29, .external_lex_state = 3},
  [1625] = {.lex_state = 29, .external_lex_state = 3},
  [1626] = {.lex_state = 29, .external_lex_state = 3},
  [1627] = {.lex_state = 29, .external_lex_state = 3},
  [1628] = {.lex_state = 29, .external_lex_state = 3},
  [1629] = {.lex_state = 29, .external_lex_state = 3},
  [1630] = {.lex_state = 29, .external_lex_state = 3},
  [1631] = {.lex_state = 29, .external_lex_state = 3},
  [1632] = {.lex_state = 29, .external_lex_state = 3},
  [1633] = {.lex_state = 29, .external_lex_state = 3},
  [1634] = {.lex_state = 29, .external_lex_state = 3},
  [1635] = {.lex_state = 29, .external_lex_state = 3},
  [1636] = {.lex_state = 29, .external_lex_state = 3},
  [1637] = {.lex_state = 29, .external_lex_state = 3},
  [1638] = {.lex_state = 29, .external_lex_state = 3},
  [1639] = {.lex_state = 29, .external_lex_state = 3},
  [1640] = {.lex_state = 29, .external_lex_state = 3},
  [1641] = {.lex_state = 29, .external_lex_state = 3},
  [1642] = {.lex_state = 29, .external_lex_state = 3},
  [1643] = {.lex_state = 29, .external_lex_state = 3},
  [1644] = {.lex_state = 29, .external_lex_state = 3},
  [1645] = {.lex_state = 29, .external_lex_state = 3},
  [1646] = {.lex_state = 29, .external_lex_state = 3},
  [1647] = {.lex_state = 29, .external_lex_state = 3},
  [1648] = {.lex_state = 29, .external_lex_state = 3},
  [1649] = {.lex_state = 29, .external_lex_state = 3},
  [1650] = {.lex_state = 29, .external_lex_state = 3},
  [1651] = {.lex_state = 29, .external_lex_state = 3},
  [1652] = {.lex_state = 29, .external_lex_state = 3},
  [1653] = {.lex_state = 29, .external_lex_state = 3},
  [1654] = {.lex_state = 29, .external_lex_state = 3},
  [1655] = {.lex_state = 29, .external_lex_state = 3},
  [1656] = {.lex_state = 29, .external_lex_state = 3},
  [1657] = {.lex_state = 29, .external_lex_state = 3},
  [1658] = {.lex_state = 29, .external_lex_state = 3},
  [1659] = {.lex_state = 29, .external_lex_state = 3},
  [1660] = {.lex_state = 29, .external_lex_state = 3},
  [1661] = {.lex_state = 29, .external_lex_state = 3},
  [1662] = {.lex_state = 29, .external_lex_state = 3},
  [1663] = {.lex_state = 29, .external_lex_state = 3},
  [1664] = {.lex_state = 29, .external_lex_state = 3},
  [1665] = {.lex_state = 29, .external_lex_state = 3},
  [1666] = {.lex_state = 29, .external_lex_state = 3},
  [1667] = {.lex_state = 29, .external_lex_state = 3},
  [1668] = {.lex_state = 29, .external_lex_state = 3},
  [1669] = {.lex_state = 29, .external_lex_state = 3},
  [1670] = {.lex_state = 29, .external_lex_state = 3},
  [1671] = {.lex_state = 29, .external_lex_state = 3},
  [1672] = {.lex_state = 71, .external_lex_state = 3},
  [1673] = {.lex_state = 29, .external_lex_state = 3},
  [1674] = {.lex_state = 29, .external_lex_state = 3},
  [1675] = {.lex_state = 29, .external_lex_state = 3},
  [1676] = {.lex_state = 29, .external_lex_state = 3},
  [1677] = {.lex_state = 29, .external_lex_state = 3},
  [1678] = {.lex_state = 29, .external_lex_state = 3},
  [1679] = {.lex_state = 29, .external_lex_state = 3},
  [1680] = {.lex_state = 29, .external_lex_state = 3},
  [1681] = {.lex_state = 29, .external_lex_state = 3},
  [1682] = {.lex_state = 29, .external_lex_state = 3},
  [1683] = {.lex_state = 67, .external_lex_state = 3},
  [1684] = {.lex_state = 29, .external_lex_state = 3},
  [1685] = {.lex_state = 29, .external_lex_state = 3},
  [1686] = {.lex_state = 29, .external_lex_state = 3},
  [1687] = {.lex_state = 29, .external_lex_state = 3},
  [1688] = {.lex_state = 29, .external_lex_state = 3},
  [1689] = {.lex_state = 29, .external_lex_state = 3},
  [1690] = {.lex_state = 29, .external_lex_state = 3},
  [1691] = {.lex_state = 29, .external_lex_state = 3},
  [1692] = {.lex_state = 29, .external_lex_state = 3},
  [1693] = {.lex_state = 29, .external_lex_state = 3},
  [1694] = {.lex_state = 29, .external_lex_state = 3},
  [1695] = {.lex_state = 29, .external_lex_state = 3},
  [1696] = {.lex_state = 29, .external_lex_state = 3},
  [1697] = {.lex_state = 29, .external_lex_state = 3},
  [1698] = {.lex_state = 29, .external_lex_state = 3},
  [1699] = {.lex_state = 29, .external_lex_state = 3},
  [1700] = {.lex_state = 29, .external_lex_state = 3},
  [1701] = {.lex_state = 29, .external_lex_state = 3},
  [1702] = {.lex_state = 29, .external_lex_state = 3},
  [1703] = {.lex_state = 29, .external_lex_state = 3},
  [1704] = {.lex_state = 29, .external_lex_state = 3},
  [1705] = {.lex_state = 29, .external_lex_state = 3},
  [1706] = {.lex_state = 29, .external_lex_state = 3},
  [1707] = {.lex_state = 29, .external_lex_state = 3},
  [1708] = {.lex_state = 29, .external_lex_state = 3},
  [1709] = {.lex_state = 29, .external_lex_state = 3},
  [1710] = {.lex_state = 29, .external_lex_state = 3},
  [1711] = {.lex_state = 29, .external_lex_state = 3},
  [1712] = {.lex_state = 29, .external_lex_state = 3},
  [1713] = {.lex_state = 29, .external_lex_state = 3},
  [1714] = {.lex_state = 29, .external_lex_state = 3},
  [1715] = {.lex_state = 29, .external_lex_state = 3},
  [1716] = {.lex_state = 29, .external_lex_state = 3},
  [1717] = {.lex_state = 29, .external_lex_state = 3},
  [1718] = {.lex_state = 29, .external_lex_state = 3},
  [1719] = {.lex_state = 29, .external_lex_state = 3},
  [1720] = {.lex_state = 29, .external_lex_state = 3},
  [1721] = {.lex_state = 29, .external_lex_state = 3},
  [1722] = {.lex_state = 29, .external_lex_state = 3},
  [1723] = {.lex_state = 29, .external_lex_state = 3},
  [1724] = {.lex_state = 29, .external_lex_state = 3},
  [1725] = {.lex_state = 29, .external_lex_state = 3},
  [1726] = {.lex_state = 29, .external_lex_state = 3},
  [1727] = {.lex_state = 29, .external_lex_state = 3},
  [1728] = {.lex_state = 29, .external_lex_state = 3},
  [1729] = {.lex_state = 29, .external_lex_state = 3},
  [1730] = {.lex_state = 29, .external_lex_state = 3},
  [1731] = {.lex_state = 29, .external_lex_state = 3},
  [1732] = {.lex_state = 29, .external_lex_state = 3},
  [1733] = {.lex_state = 29, .external_lex_state = 3},
  [1734] = {.lex_state = 29, .external_lex_state = 3},
  [1735] = {.lex_state = 29, .external_lex_state = 3},
  [1736] = {.lex_state = 29, .external_lex_state = 3},
  [1737] = {.lex_state = 29, .external_lex_state = 3},
  [1738] = {.lex_state = 29, .external_lex_state = 3},
  [1739] = {.lex_state = 29, .external_lex_state = 3},
  [1740] = {.lex_state = 29, .external_lex_state = 3},
  [1741] = {.lex_state = 29, .external_lex_state = 3},
  [1742] = {.lex_state = 29, .external_lex_state = 3},
  [1743] = {.lex_state = 29, .external_lex_state = 3},
  [1744] = {.lex_state = 29, .external_lex_state = 3},
  [1745] = {.lex_state = 29, .external_lex_state = 3},
  [1746] = {.lex_state = 29, .external_lex_state = 3},
  [1747] = {.lex_state = 29, .external_lex_state = 3},
  [1748] = {.lex_state = 29, .external_lex_state = 3},
  [1749] = {.lex_state = 29, .external_lex_state = 3},
  [1750] = {.lex_state = 29, .external_lex_state = 3},
  [1751] = {.lex_state = 29, .external_lex_state = 3},
  [1752] = {.lex_state = 29, .external_lex_state = 3},
  [1753] = {.lex_state = 29, .external_lex_state = 3},
  [1754] = {.lex_state = 29, .external_lex_state = 3},
  [1755] = {.lex_state = 29, .external_lex_state = 3},
  [1756] = {.lex_state = 29, .external_lex_state = 3},
  [1757] = {.lex_state = 29, .external_lex_state = 3},
  [1758] = {.lex_state = 29, .external_lex_state = 3},
  [1759] = {.lex_state = 29, .external_lex_state = 3},
  [1760] = {.lex_state = 29, .external_lex_state = 3},
  [1761] = {.lex_state = 29, .external_lex_state = 3},
  [1762] = {.lex_state = 29, .external_lex_state = 3},
  [1763] = {.lex_state = 29, .external_lex_state = 3},
  [1764] = {.lex_state = 29, .external_lex_state = 3},
  [1765] = {.lex_state = 29, .external_lex_state = 3},
  [1766] = {.lex_state = 29, .external_lex_state = 3},
  [1767] = {.lex_state = 29, .external_lex_state = 3},
  [1768] = {.lex_state = 29, .external_lex_state = 3},
  [1769] = {.lex_state = 65, .external_lex_state = 3},
  [1770] = {.lex_state = 29, .external_lex_state = 3},
  [1771] = {.lex_state = 29, .external_lex_state = 3},
  [1772] = {.lex_state = 29, .external_lex_state = 3},
  [1773] = {.lex_state = 29, .external_lex_state = 3},
  [1774] = {.lex_state = 29, .external_lex_state = 3},
  [1775] = {.lex_state = 29, .external_lex_state = 3},
  [1776] = {.lex_state = 29, .external_lex_state = 3},
  [1777] = {.lex_state = 29, .external_lex_state = 3},
  [1778] = {.lex_state = 29, .external_lex_state = 3},
  [1779] = {.lex_state = 29, .external_lex_state = 3},
  [1780] = {.lex_state = 29, .external_lex_state = 3},
  [1781] = {.lex_state = 29, .external_lex_state = 3},
  [1782] = {.lex_state = 29, .external_lex_state = 3},
  [1783] = {.lex_state = 29, .external_lex_state = 3},
  [1784] = {.lex_state = 29, .external_lex_state = 3},
  [1785] = {.lex_state = 29, .external_lex_state = 3},
  [1786] = {.lex_state = 29, .external_lex_state = 3},
  [1787] = {.lex_state = 29, .external_lex_state = 3},
  [1788] = {.lex_state = 29, .external_lex_state = 3},
  [1789] = {.lex_state = 29, .external_lex_state = 3},
  [1790] = {.lex_state = 29, .external_lex_state = 3},
  [1791] = {.lex_state = 29, .external_lex_state = 3},
  [1792] = {.lex_state = 29, .external_lex_state = 3},
  [1793] = {.lex_state = 29, .external_lex_state = 3},
  [1794] = {.lex_state = 29, .external_lex_state = 3},
  [1795] = {.lex_state = 29, .external_lex_state = 3},
  [1796] = {.lex_state = 29, .external_lex_state = 3},
  [1797] = {.lex_state = 29, .external_lex_state = 3},
  [1798] = {.lex_state = 29, .external_lex_state = 3},
  [1799] = {.lex_state = 29, .external_lex_state = 3},
  [1800] = {.lex_state = 29, .external_lex_state = 3},
  [1801] = {.lex_state = 29, .external_lex_state = 3},
  [1802] = {.lex_state = 29, .external_lex_state = 3},
  [1803] = {.lex_state = 29, .external_lex_state = 3},
  [1804] = {.lex_state = 29, .external_lex_state = 3},
  [1805] = {.lex_state = 29, .external_lex_state = 3},
  [1806] = {.lex_state = 29, .external_lex_state = 3},
  [1807] = {.lex_state = 29, .external_lex_state = 3},
  [1808] = {.lex_state = 29, .external_lex_state = 3},
  [1809] = {.lex_state = 29, .external_lex_state = 3},
  [1810] = {.lex_state = 29, .external_lex_state = 3},
  [1811] = {.lex_state = 29, .external_lex_state = 3},
  [1812] = {.lex_state = 29, .external_lex_state = 3},
  [1813] = {.lex_state = 29, .external_lex_state = 3},
  [1814] = {.lex_state = 29, .external_lex_state = 3},
  [1815] = {.lex_state = 29, .external_lex_state = 3},
  [1816] = {.lex_state = 29, .external_lex_state = 3},
  [1817] = {.lex_state = 29, .external_lex_state = 3},
  [1818] = {.lex_state = 29, .external_lex_state = 3},
  [1819] = {.lex_state = 29, .external_lex_state = 3},
  [1820] = {.lex_state = 29, .external_lex_state = 3},
  [1821] = {.lex_state = 29, .external_lex_state = 3},
  [1822] = {.lex_state = 29, .external_lex_state = 3},
  [1823] = {.lex_state = 29, .external_lex_state = 3},
  [1824] = {.lex_state = 29, .external_lex_state = 3},
  [1825] = {.lex_state = 29, .external_lex_state = 3},
  [1826] = {.lex_state = 29, .external_lex_state = 3},
  [1827] = {.lex_state = 29, .external_lex_state = 3},
  [1828] = {.lex_state = 29, .external_lex_state = 3},
  [1829] = {.lex_state = 29, .external_lex_state = 3},
  [1830] = {.lex_state = 29, .external_lex_state = 3},
  [1831] = {.lex_state = 29, .external_lex_state = 3},
  [1832] = {.lex_state = 29, .external_lex_state = 3},
  [1833] = {.lex_state = 29, .external_lex_state = 3},
  [1834] = {.lex_state = 29, .external_lex_state = 3},
  [1835] = {.lex_state = 72, .external_lex_state = 3},
  [1836] = {.lex_state = 29, .external_lex_state = 3},
  [1837] = {.lex_state = 68, .external_lex_state = 3},
  [1838] = {.lex_state = 29, .external_lex_state = 3},
  [1839] = {.lex_state = 68, .external_lex_state = 3},
  [1840] = {.lex_state = 85, .external_lex_state = 3},
  [1841] = {.lex_state = 29, .external_lex_state = 3},
  [1842] = {.lex_state = 29, .external_lex_state = 3},
  [1843] = {.lex_state = 29, .external_lex_state = 3},
  [1844] = {.lex_state = 73, .external_lex_state = 3},
  [1845] = {.lex_state = 29, .external_lex_state = 3},
  [1846] = {.lex_state = 29, .external_lex_state = 3},
  [1847] = {.lex_state = 29, .external_lex_state = 3},
  [1848] = {.lex_state = 29, .external_lex_state = 3},
  [1849] = {.lex_state = 29, .external_lex_state = 3},
  [1850] = {.lex_state = 29, .external_lex_state = 3},
  [1851] = {.lex_state = 29, .external_lex_state = 3},
  [1852] = {.lex_state = 29, .external_lex_state = 3},
  [1853] = {.lex_state = 29, .external_lex_state = 3},
  [1854] = {.lex_state = 29, .external_lex_state = 3},
  [1855] = {.lex_state = 29, .external_lex_state = 3},
  [1856] = {.lex_state = 29, .external_lex_state = 3},
  [1857] = {.lex_state = 29, .external_lex_state = 3},
  [1858] = {.lex_state = 29, .external_lex_state = 3},
  [1859] = {.lex_state = 29, .external_lex_state = 3},
  [1860] = {.lex_state = 29, .external_lex_state = 3},
  [1861] = {.lex_state = 29, .external_lex_state = 3},
  [1862] = {.lex_state = 29, .external_lex_state = 3},
  [1863] = {.lex_state = 29, .external_lex_state = 3},
  [1864] = {.lex_state = 29, .external_lex_state = 3},
  [1865] = {.lex_state = 29, .external_lex_state = 3},
  [1866] = {.lex_state = 29, .external_lex_state = 3},
  [1867] = {.lex_state = 29, .external_lex_state = 3},
  [1868] = {.lex_state = 29, .external_lex_state = 3},
  [1869] = {.lex_state = 29, .external_lex_state = 3},
  [1870] = {.lex_state = 29, .external_lex_state = 3},
  [1871] = {.lex_state = 29, .external_lex_state = 3},
  [1872] = {.lex_state = 29, .external_lex_state = 3},
  [1873] = {.lex_state = 29, .external_lex_state = 3},
  [1874] = {.lex_state = 29, .external_lex_state = 3},
  [1875] = {.lex_state = 29, .external_lex_state = 3},
  [1876] = {.lex_state = 73, .external_lex_state = 3},
  [1877] = {.lex_state = 29, .external_lex_state = 3},
  [1878] = {.lex_state = 72, .external_lex_state = 3},
  [1879] = {.lex_state = 29, .external_lex_state = 3},
  [1880] = {.lex_state = 29, .external_lex_state = 3},
  [1881] = {.lex_state = 29, .external_lex_state = 3},
  [1882] = {.lex_state = 29, .external_lex_state = 3},
  [1883] = {.lex_state = 29, .external_lex_state = 3},
  [1884] = {.lex_state = 29, .external_lex_state = 3},
  [1885] = {.lex_state = 29, .external_lex_state = 3},
  [1886] = {.lex_state = 29, .external_lex_state = 3},
  [1887] = {.lex_state = 29, .external_lex_state = 3},
  [1888] = {.lex_state = 29, .external_lex_state = 3},
  [1889] = {.lex_state = 29, .external_lex_state = 3},
  [1890] = {.lex_state = 29, .external_lex_state = 3},
  [1891] = {.lex_state = 29, .external_lex_state = 3},
  [1892] = {.lex_state = 29, .external_lex_state = 3},
  [1893] = {.lex_state = 29, .external_lex_state = 3},
  [1894] = {.lex_state = 29, .external_lex_state = 3},
  [1895] = {.lex_state = 29, .external_lex_state = 3},
  [1896] = {.lex_state = 29, .external_lex_state = 3},
  [1897] = {.lex_state = 29, .external_lex_state = 3},
  [1898] = {.lex_state = 29, .external_lex_state = 3},
  [1899] = {.lex_state = 29, .external_lex_state = 3},
  [1900] = {.lex_state = 29, .external_lex_state = 3},
  [1901] = {.lex_state = 29, .external_lex_state = 3},
  [1902] = {.lex_state = 29, .external_lex_state = 3},
  [1903] = {.lex_state = 29, .external_lex_state = 3},
  [1904] = {.lex_state = 29, .external_lex_state = 3},
  [1905] = {.lex_state = 29, .external_lex_state = 3},
  [1906] = {.lex_state = 29, .external_lex_state = 3},
  [1907] = {.lex_state = 29, .external_lex_state = 3},
  [1908] = {.lex_state = 29, .external_lex_state = 3},
  [1909] = {.lex_state = 29, .external_lex_state = 3},
  [1910] = {.lex_state = 29, .external_lex_state = 3},
  [1911] = {.lex_state = 29, .external_lex_state = 3},
  [1912] = {.lex_state = 29, .external_lex_state = 3},
  [1913] = {.lex_state = 29, .external_lex_state = 3},
  [1914] = {.lex_state = 29, .external_lex_state = 3},
  [1915] = {.lex_state = 29, .external_lex_state = 3},
  [1916] = {.lex_state = 29, .external_lex_state = 3},
  [1917] = {.lex_state = 29, .external_lex_state = 3},
  [1918] = {.lex_state = 29, .external_lex_state = 3},
  [1919] = {.lex_state = 29, .external_lex_state = 3},
  [1920] = {.lex_state = 29, .external_lex_state = 3},
  [1921] = {.lex_state = 29, .external_lex_state = 3},
  [1922] = {.lex_state = 29, .external_lex_state = 3},
  [1923] = {.lex_state = 29, .external_lex_state = 3},
  [1924] = {.lex_state = 29, .external_lex_state = 3},
  [1925] = {.lex_state = 29, .external_lex_state = 3},
  [1926] = {.lex_state = 29, .external_lex_state = 3},
  [1927] = {.lex_state = 29, .external_lex_state = 3},
  [1928] = {.lex_state = 29, .external_lex_state = 3},
  [1929] = {.lex_state = 29, .external_lex_state = 3},
  [1930] = {.lex_state = 29, .external_lex_state = 3},
  [1931] = {.lex_state = 29, .external_lex_state = 3},
  [1932] = {.lex_state = 29, .external_lex_state = 3},
  [1933] = {.lex_state = 29, .external_lex_state = 3},
  [1934] = {.lex_state = 29, .external_lex_state = 3},
  [1935] = {.lex_state = 29, .external_lex_state = 3},
  [1936] = {.lex_state = 29, .external_lex_state = 3},
  [1937] = {.lex_state = 29, .external_lex_state = 3},
  [1938] = {.lex_state = 29, .external_lex_state = 3},
  [1939] = {.lex_state = 29, .external_lex_state = 3},
  [1940] = {.lex_state = 29, .external_lex_state = 3},
  [1941] = {.lex_state = 29, .external_lex_state = 3},
  [1942] = {.lex_state = 29, .external_lex_state = 3},
  [1943] = {.lex_state = 29, .external_lex_state = 3},
  [1944] = {.lex_state = 29, .external_lex_state = 3},
  [1945] = {.lex_state = 29, .external_lex_state = 3},
  [1946] = {.lex_state = 29, .external_lex_state = 3},
  [1947] = {.lex_state = 29, .external_lex_state = 3},
  [1948] = {.lex_state = 29, .external_lex_state = 3},
  [1949] = {.lex_state = 29, .external_lex_state = 3},
  [1950] = {.lex_state = 29, .external_lex_state = 3},
  [1951] = {.lex_state = 29, .external_lex_state = 3},
  [1952] = {.lex_state = 29, .external_lex_state = 3},
  [1953] = {.lex_state = 29, .external_lex_state = 3},
  [1954] = {.lex_state = 29, .external_lex_state = 3},
  [1955] = {.lex_state = 29, .external_lex_state = 3},
  [1956] = {.lex_state = 29, .external_lex_state = 3},
  [1957] = {.lex_state = 29, .external_lex_state = 3},
  [1958] = {.lex_state = 29, .external_lex_state = 3},
  [1959] = {.lex_state = 29, .external_lex_state = 3},
  [1960] = {.lex_state = 29, .external_lex_state = 3},
  [1961] = {.lex_state = 29, .external_lex_state = 3},
  [1962] = {.lex_state = 29, .external_lex_state = 3},
  [1963] = {.lex_state = 29, .external_lex_state = 3},
  [1964] = {.lex_state = 29, .external_lex_state = 3},
  [1965] = {.lex_state = 29, .external_lex_state = 3},
  [1966] = {.lex_state = 29, .external_lex_state = 3},
  [1967] = {.lex_state = 29, .external_lex_state = 3},
  [1968] = {.lex_state = 29, .external_lex_state = 3},
  [1969] = {.lex_state = 29, .external_lex_state = 3},
  [1970] = {.lex_state = 29, .external_lex_state = 3},
  [1971] = {.lex_state = 29, .external_lex_state = 3},
  [1972] = {.lex_state = 29, .external_lex_state = 3},
  [1973] = {.lex_state = 29, .external_lex_state = 3},
  [1974] = {.lex_state = 29, .external_lex_state = 3},
  [1975] = {.lex_state = 29, .external_lex_state = 3},
  [1976] = {.lex_state = 29, .external_lex_state = 3},
  [1977] = {.lex_state = 29, .external_lex_state = 3},
  [1978] = {.lex_state = 29, .external_lex_state = 3},
  [1979] = {.lex_state = 29, .external_lex_state = 3},
  [1980] = {.lex_state = 29, .external_lex_state = 3},
  [1981] = {.lex_state = 29, .external_lex_state = 3},
  [1982] = {.lex_state = 29, .external_lex_state = 3},
  [1983] = {.lex_state = 29, .external_lex_state = 3},
  [1984] = {.lex_state = 29, .external_lex_state = 3},
  [1985] = {.lex_state = 29, .external_lex_state = 3},
  [1986] = {.lex_state = 29, .external_lex_state = 3},
  [1987] = {.lex_state = 29, .external_lex_state = 3},
  [1988] = {.lex_state = 29, .external_lex_state = 3},
  [1989] = {.lex_state = 29, .external_lex_state = 3},
  [1990] = {.lex_state = 29, .external_lex_state = 3},
  [1991] = {.lex_state = 29, .external_lex_state = 3},
  [1992] = {.lex_state = 29, .external_lex_state = 3},
  [1993] = {.lex_state = 29, .external_lex_state = 3},
  [1994] = {.lex_state = 29, .external_lex_state = 3},
  [1995] = {.lex_state = 29, .external_lex_state = 3},
  [1996] = {.lex_state = 29, .external_lex_state = 3},
  [1997] = {.lex_state = 29, .external_lex_state = 3},
  [1998] = {.lex_state = 29, .external_lex_state = 3},
  [1999] = {.lex_state = 29, .external_lex_state = 3},
  [2000] = {.lex_state = 29, .external_lex_state = 3},
  [2001] = {.lex_state = 29, .external_lex_state = 3},
  [2002] = {.lex_state = 29, .external_lex_state = 3},
  [2003] = {.lex_state = 29, .external_lex_state = 3},
  [2004] = {.lex_state = 29, .external_lex_state = 3},
  [2005] = {.lex_state = 29, .external_lex_state = 3},
  [2006] = {.lex_state = 29, .external_lex_state = 3},
  [2007] = {.lex_state = 29, .external_lex_state = 3},
  [2008] = {.lex_state = 29, .external_lex_state = 3},
  [2009] = {.lex_state = 29, .external_lex_state = 3},
  [2010] = {.lex_state = 29, .external_lex_state = 3},
  [2011] = {.lex_state = 29, .external_lex_state = 3},
  [2012] = {.lex_state = 29, .external_lex_state = 3},
  [2013] = {.lex_state = 29, .external_lex_state = 3},
  [2014] = {.lex_state = 29, .external_lex_state = 3},
  [2015] = {.lex_state = 29, .external_lex_state = 3},
  [2016] = {.lex_state = 29, .external_lex_state = 3},
  [2017] = {.lex_state = 29, .external_lex_state = 3},
  [2018] = {.lex_state = 29, .external_lex_state = 3},
  [2019] = {.lex_state = 29, .external_lex_state = 3},
  [2020] = {.lex_state = 29, .external_lex_state = 3},
  [2021] = {.lex_state = 29, .external_lex_state = 3},
  [2022] = {.lex_state = 29, .external_lex_state = 3},
  [2023] = {.lex_state = 29, .external_lex_state = 3},
  [2024] = {.lex_state = 29, .external_lex_state = 3},
  [2025] = {.lex_state = 29, .external_lex_state = 3},
  [2026] = {.lex_state = 29, .external_lex_state = 3},
  [2027] = {.lex_state = 29, .external_lex_state = 3},
  [2028] = {.lex_state = 29, .external_lex_state = 3},
  [2029] = {.lex_state = 29, .external_lex_state = 3},
  [2030] = {.lex_state = 29, .external_lex_state = 3},
  [2031] = {.lex_state = 29, .external_lex_state = 3},
  [2032] = {.lex_state = 29, .external_lex_state = 3},
  [2033] = {.lex_state = 29, .external_lex_state = 3},
  [2034] = {.lex_state = 29, .external_lex_state = 3},
  [2035] = {.lex_state = 29, .external_lex_state = 3},
  [2036] = {.lex_state = 29, .external_lex_state = 3},
  [2037] = {.lex_state = 29, .external_lex_state = 3},
  [2038] = {.lex_state = 29, .external_lex_state = 3},
  [2039] = {.lex_state = 29, .external_lex_state = 3},
  [2040] = {.lex_state = 29, .external_lex_state = 3},
  [2041] = {.lex_state = 29, .external_lex_state = 3},
  [2042] = {.lex_state = 29, .external_lex_state = 3},
  [2043] = {.lex_state = 29, .external_lex_state = 3},
  [2044] = {.lex_state = 29, .external_lex_state = 3},
  [2045] = {.lex_state = 29, .external_lex_state = 3},
  [2046] = {.lex_state = 29, .external_lex_state = 3},
  [2047] = {.lex_state = 29, .external_lex_state = 3},
  [2048] = {.lex_state = 29, .external_lex_state = 3},
  [2049] = {.lex_state = 29, .external_lex_state = 3},
  [2050] = {.lex_state = 29, .external_lex_state = 3},
  [2051] = {.lex_state = 29, .external_lex_state = 3},
  [2052] = {.lex_state = 29, .external_lex_state = 3},
  [2053] = {.lex_state = 29, .external_lex_state = 3},
  [2054] = {.lex_state = 29, .external_lex_state = 3},
  [2055] = {.lex_state = 29, .external_lex_state = 3},
  [2056] = {.lex_state = 29, .external_lex_state = 3},
  [2057] = {.lex_state = 29, .external_lex_state = 3},
  [2058] = {.lex_state = 29, .external_lex_state = 3},
  [2059] = {.lex_state = 29, .external_lex_state = 3},
  [2060] = {.lex_state = 29, .external_lex_state = 3},
  [2061] = {.lex_state = 29, .external_lex_state = 3},
  [2062] = {.lex_state = 29, .external_lex_state = 3},
  [2063] = {.lex_state = 29, .external_lex_state = 3},
  [2064] = {.lex_state = 29, .external_lex_state = 3},
  [2065] = {.lex_state = 29, .external_lex_state = 3},
  [2066] = {.lex_state = 29, .external_lex_state = 3},
  [2067] = {.lex_state = 29, .external_lex_state = 3},
  [2068] = {.lex_state = 29, .external_lex_state = 3},
  [2069] = {.lex_state = 29, .external_lex_state = 3},
  [2070] = {.lex_state = 29, .external_lex_state = 3},
  [2071] = {.lex_state = 29, .external_lex_state = 3},
  [2072] = {.lex_state = 29, .external_lex_state = 3},
  [2073] = {.lex_state = 29, .external_lex_state = 3},
  [2074] = {.lex_state = 29, .external_lex_state = 3},
  [2075] = {.lex_state = 29, .external_lex_state = 3},
  [2076] = {.lex_state = 29, .external_lex_state = 3},
  [2077] = {.lex_state = 29, .external_lex_state = 3},
  [2078] = {.lex_state = 29, .external_lex_state = 3},
  [2079] = {.lex_state = 29, .external_lex_state = 3},
  [2080] = {.lex_state = 29, .external_lex_state = 3},
  [2081] = {.lex_state = 29, .external_lex_state = 3},
  [2082] = {.lex_state = 29, .external_lex_state = 3},
  [2083] = {.lex_state = 29, .external_lex_state = 3},
  [2084] = {.lex_state = 29, .external_lex_state = 3},
  [2085] = {.lex_state = 29, .external_lex_state = 3},
  [2086] = {.lex_state = 29, .external_lex_state = 3},
  [2087] = {.lex_state = 29, .external_lex_state = 3},
  [2088] = {.lex_state = 29, .external_lex_state = 3},
  [2089] = {.lex_state = 29, .external_lex_state = 3},
  [2090] = {.lex_state = 29, .external_lex_state = 3},
  [2091] = {.lex_state = 29, .external_lex_state = 3},
  [2092] = {.lex_state = 29, .external_lex_state = 3},
  [2093] = {.lex_state = 29, .external_lex_state = 3},
  [2094] = {.lex_state = 29, .external_lex_state = 3},
  [2095] = {.lex_state = 29, .external_lex_state = 3},
  [2096] = {.lex_state = 29, .external_lex_state = 3},
  [2097] = {.lex_state = 29, .external_lex_state = 3},
  [2098] = {.lex_state = 29, .external_lex_state = 3},
  [2099] = {.lex_state = 29, .external_lex_state = 3},
  [2100] = {.lex_state = 29, .external_lex_state = 3},
  [2101] = {.lex_state = 29, .external_lex_state = 3},
  [2102] = {.lex_state = 29, .external_lex_state = 3},
  [2103] = {.lex_state = 29, .external_lex_state = 3},
  [2104] = {.lex_state = 29, .external_lex_state = 3},
  [2105] = {.lex_state = 29, .external_lex_state = 3},
  [2106] = {.lex_state = 29, .external_lex_state = 3},
  [2107] = {.lex_state = 29, .external_lex_state = 3},
  [2108] = {.lex_state = 29, .external_lex_state = 3},
  [2109] = {.lex_state = 29, .external_lex_state = 3},
  [2110] = {.lex_state = 29, .external_lex_state = 3},
  [2111] = {.lex_state = 29, .external_lex_state = 3},
  [2112] = {.lex_state = 29, .external_lex_state = 3},
  [2113] = {.lex_state = 29, .external_lex_state = 3},
  [2114] = {.lex_state = 29, .external_lex_state = 3},
  [2115] = {.lex_state = 29, .external_lex_state = 3},
  [2116] = {.lex_state = 29, .external_lex_state = 3},
  [2117] = {.lex_state = 29, .external_lex_state = 3},
  [2118] = {.lex_state = 29, .external_lex_state = 3},
  [2119] = {.lex_state = 29, .external_lex_state = 3},
  [2120] = {.lex_state = 29, .external_lex_state = 3},
  [2121] = {.lex_state = 29, .external_lex_state = 3},
  [2122] = {.lex_state = 29, .external_lex_state = 3},
  [2123] = {.lex_state = 29, .external_lex_state = 3},
  [2124] = {.lex_state = 29, .external_lex_state = 3},
  [2125] = {.lex_state = 29, .external_lex_state = 3},
  [2126] = {.lex_state = 29, .external_lex_state = 3},
  [2127] = {.lex_state = 29, .external_lex_state = 3},
  [2128] = {.lex_state = 29, .external_lex_state = 3},
  [2129] = {.lex_state = 29, .external_lex_state = 3},
  [2130] = {.lex_state = 29, .external_lex_state = 3},
  [2131] = {.lex_state = 29, .external_lex_state = 3},
  [2132] = {.lex_state = 29, .external_lex_state = 3},
  [2133] = {.lex_state = 29, .external_lex_state = 3},
  [2134] = {.lex_state = 29, .external_lex_state = 3},
  [2135] = {.lex_state = 29, .external_lex_state = 3},
  [2136] = {.lex_state = 29, .external_lex_state = 3},
  [2137] = {.lex_state = 29, .external_lex_state = 3},
  [2138] = {.lex_state = 29, .external_lex_state = 3},
  [2139] = {.lex_state = 29, .external_lex_state = 3},
  [2140] = {.lex_state = 29, .external_lex_state = 3},
  [2141] = {.lex_state = 29, .external_lex_state = 3},
  [2142] = {.lex_state = 29, .external_lex_state = 3},
  [2143] = {.lex_state = 29, .external_lex_state = 3},
  [2144] = {.lex_state = 29, .external_lex_state = 3},
  [2145] = {.lex_state = 29, .external_lex_state = 3},
  [2146] = {.lex_state = 29, .external_lex_state = 3},
  [2147] = {.lex_state = 29, .external_lex_state = 3},
  [2148] = {.lex_state = 29, .external_lex_state = 3},
  [2149] = {.lex_state = 29, .external_lex_state = 3},
  [2150] = {.lex_state = 29, .external_lex_state = 3},
  [2151] = {.lex_state = 29, .external_lex_state = 3},
  [2152] = {.lex_state = 29, .external_lex_state = 3},
  [2153] = {.lex_state = 29, .external_lex_state = 3},
  [2154] = {.lex_state = 29, .external_lex_state = 3},
  [2155] = {.lex_state = 65, .external_lex_state = 3},
  [2156] = {.lex_state = 29, .external_lex_state = 3},
  [2157] = {.lex_state = 29, .external_lex_state = 3},
  [2158] = {.lex_state = 29, .external_lex_state = 3},
  [2159] = {.lex_state = 29, .external_lex_state = 3},
  [2160] = {.lex_state = 29, .external_lex_state = 3},
  [2161] = {.lex_state = 29, .external_lex_state = 3},
  [2162] = {.lex_state = 29, .external_lex_state = 3},
  [2163] = {.lex_state = 29, .external_lex_state = 3},
  [2164] = {.lex_state = 29, .external_lex_state = 3},
  [2165] = {.lex_state = 29, .external_lex_state = 3},
  [2166] = {.lex_state = 29, .external_lex_state = 3},
  [2167] = {.lex_state = 29, .external_lex_state = 3},
  [2168] = {.lex_state = 29, .external_lex_state = 3},
  [2169] = {.lex_state = 29, .external_lex_state = 3},
  [2170] = {.lex_state = 29, .external_lex_state = 3},
  [2171] = {.lex_state = 29, .external_lex_state = 3},
  [2172] = {.lex_state = 29, .external_lex_state = 3},
  [2173] = {.lex_state = 29, .external_lex_state = 3},
  [2174] = {.lex_state = 29, .external_lex_state = 3},
  [2175] = {.lex_state = 29, .external_lex_state = 3},
  [2176] = {.lex_state = 29, .external_lex_state = 3},
  [2177] = {.lex_state = 29, .external_lex_state = 3},
  [2178] = {.lex_state = 29, .external_lex_state = 3},
  [2179] = {.lex_state = 29, .external_lex_state = 3},
  [2180] = {.lex_state = 29, .external_lex_state = 3},
  [2181] = {.lex_state = 29, .external_lex_state = 3},
  [2182] = {.lex_state = 29, .external_lex_state = 3},
  [2183] = {.lex_state = 29, .external_lex_state = 3},
  [2184] = {.lex_state = 29, .external_lex_state = 3},
  [2185] = {.lex_state = 29, .external_lex_state = 3},
  [2186] = {.lex_state = 29, .external_lex_state = 3},
  [2187] = {.lex_state = 29, .external_lex_state = 3},
  [2188] = {.lex_state = 29, .external_lex_state = 3},
  [2189] = {.lex_state = 29, .external_lex_state = 3},
  [2190] = {.lex_state = 29, .external_lex_state = 3},
  [2191] = {.lex_state = 29, .external_lex_state = 3},
  [2192] = {.lex_state = 29, .external_lex_state = 3},
  [2193] = {.lex_state = 29, .external_lex_state = 3},
  [2194] = {.lex_state = 29, .external_lex_state = 3},
  [2195] = {.lex_state = 29, .external_lex_state = 3},
  [2196] = {.lex_state = 29, .external_lex_state = 3},
  [2197] = {.lex_state = 29, .external_lex_state = 3},
  [2198] = {.lex_state = 29, .external_lex_state = 3},
  [2199] = {.lex_state = 29, .external_lex_state = 3},
  [2200] = {.lex_state = 29, .external_lex_state = 3},
  [2201] = {.lex_state = 29, .external_lex_state = 3},
  [2202] = {.lex_state = 29, .external_lex_state = 3},
  [2203] = {.lex_state = 29, .external_lex_state = 3},
  [2204] = {.lex_state = 29, .external_lex_state = 3},
  [2205] = {.lex_state = 29, .external_lex_state = 3},
  [2206] = {.lex_state = 29, .external_lex_state = 3},
  [2207] = {.lex_state = 29, .external_lex_state = 3},
  [2208] = {.lex_state = 29, .external_lex_state = 3},
  [2209] = {.lex_state = 29, .external_lex_state = 3},
  [2210] = {.lex_state = 29, .external_lex_state = 3},
  [2211] = {.lex_state = 29, .external_lex_state = 3},
  [2212] = {.lex_state = 29, .external_lex_state = 3},
  [2213] = {.lex_state = 29, .external_lex_state = 3},
  [2214] = {.lex_state = 29, .external_lex_state = 3},
  [2215] = {.lex_state = 29, .external_lex_state = 3},
  [2216] = {.lex_state = 29, .external_lex_state = 3},
  [2217] = {.lex_state = 29, .external_lex_state = 3},
  [2218] = {.lex_state = 29, .external_lex_state = 3},
  [2219] = {.lex_state = 29, .external_lex_state = 3},
  [2220] = {.lex_state = 29, .external_lex_state = 3},
  [2221] = {.lex_state = 29, .external_lex_state = 3},
  [2222] = {.lex_state = 29, .external_lex_state = 3},
  [2223] = {.lex_state = 29, .external_lex_state = 3},
  [2224] = {.lex_state = 29, .external_lex_state = 3},
  [2225] = {.lex_state = 29, .external_lex_state = 3},
  [2226] = {.lex_state = 29, .external_lex_state = 3},
  [2227] = {.lex_state = 29, .external_lex_state = 3},
  [2228] = {.lex_state = 29, .external_lex_state = 3},
  [2229] = {.lex_state = 29, .external_lex_state = 3},
  [2230] = {.lex_state = 29, .external_lex_state = 3},
  [2231] = {.lex_state = 29, .external_lex_state = 3},
  [2232] = {.lex_state = 29, .external_lex_state = 3},
  [2233] = {.lex_state = 29, .external_lex_state = 3},
  [2234] = {.lex_state = 29, .external_lex_state = 3},
  [2235] = {.lex_state = 29, .external_lex_state = 3},
  [2236] = {.lex_state = 29, .external_lex_state = 3},
  [2237] = {.lex_state = 29, .external_lex_state = 3},
  [2238] = {.lex_state = 29, .external_lex_state = 3},
  [2239] = {.lex_state = 29, .external_lex_state = 3},
  [2240] = {.lex_state = 29, .external_lex_state = 3},
  [2241] = {.lex_state = 29, .external_lex_state = 3},
  [2242] = {.lex_state = 29, .external_lex_state = 3},
  [2243] = {.lex_state = 29, .external_lex_state = 3},
  [2244] = {.lex_state = 29, .external_lex_state = 3},
  [2245] = {.lex_state = 29, .external_lex_state = 3},
  [2246] = {.lex_state = 29, .external_lex_state = 3},
  [2247] = {.lex_state = 29, .external_lex_state = 3},
  [2248] = {.lex_state = 29, .external_lex_state = 3},
  [2249] = {.lex_state = 29, .external_lex_state = 3},
  [2250] = {.lex_state = 29, .external_lex_state = 3},
  [2251] = {.lex_state = 29, .external_lex_state = 3},
  [2252] = {.lex_state = 29, .external_lex_state = 3},
  [2253] = {.lex_state = 29, .external_lex_state = 3},
  [2254] = {.lex_state = 29, .external_lex_state = 3},
  [2255] = {.lex_state = 29, .external_lex_state = 3},
  [2256] = {.lex_state = 29, .external_lex_state = 3},
  [2257] = {.lex_state = 29, .external_lex_state = 3},
  [2258] = {.lex_state = 29, .external_lex_state = 3},
  [2259] = {.lex_state = 29, .external_lex_state = 3},
  [2260] = {.lex_state = 29, .external_lex_state = 3},
  [2261] = {.lex_state = 29, .external_lex_state = 3},
  [2262] = {.lex_state = 29, .external_lex_state = 3},
  [2263] = {.lex_state = 29, .external_lex_state = 3},
  [2264] = {.lex_state = 29, .external_lex_state = 3},
  [2265] = {.lex_state = 29, .external_lex_state = 3},
  [2266] = {.lex_state = 29, .external_lex_state = 3},
  [2267] = {.lex_state = 29, .external_lex_state = 3},
  [2268] = {.lex_state = 29, .external_lex_state = 3},
  [2269] = {.lex_state = 29, .external_lex_state = 3},
  [2270] = {.lex_state = 29, .external_lex_state = 3},
  [2271] = {.lex_state = 29, .external_lex_state = 3},
  [2272] = {.lex_state = 29, .external_lex_state = 3},
  [2273] = {.lex_state = 29, .external_lex_state = 3},
  [2274] = {.lex_state = 29, .external_lex_state = 3},
  [2275] = {.lex_state = 29, .external_lex_state = 3},
  [2276] = {.lex_state = 29, .external_lex_state = 3},
  [2277] = {.lex_state = 29, .external_lex_state = 3},
  [2278] = {.lex_state = 29, .external_lex_state = 3},
  [2279] = {.lex_state = 29, .external_lex_state = 3},
  [2280] = {.lex_state = 29, .external_lex_state = 3},
  [2281] = {.lex_state = 29, .external_lex_state = 3},
  [2282] = {.lex_state = 29, .external_lex_state = 3},
  [2283] = {.lex_state = 29, .external_lex_state = 3},
  [2284] = {.lex_state = 29, .external_lex_state = 3},
  [2285] = {.lex_state = 29, .external_lex_state = 3},
  [2286] = {.lex_state = 29, .external_lex_state = 3},
  [2287] = {.lex_state = 29, .external_lex_state = 3},
  [2288] = {.lex_state = 29, .external_lex_state = 3},
  [2289] = {.lex_state = 29, .external_lex_state = 3},
  [2290] = {.lex_state = 29, .external_lex_state = 3},
  [2291] = {.lex_state = 29, .external_lex_state = 3},
  [2292] = {.lex_state = 29, .external_lex_state = 3},
  [2293] = {.lex_state = 29, .external_lex_state = 3},
  [2294] = {.lex_state = 29, .external_lex_state = 3},
  [2295] = {.lex_state = 29, .external_lex_state = 3},
  [2296] = {.lex_state = 29, .external_lex_state = 3},
  [2297] = {.lex_state = 29, .external_lex_state = 3},
  [2298] = {.lex_state = 29, .external_lex_state = 3},
  [2299] = {.lex_state = 29, .external_lex_state = 3},
  [2300] = {.lex_state = 29, .external_lex_state = 3},
  [2301] = {.lex_state = 29, .external_lex_state = 3},
  [2302] = {.lex_state = 29, .external_lex_state = 3},
  [2303] = {.lex_state = 29, .external_lex_state = 3},
  [2304] = {.lex_state = 29, .external_lex_state = 3},
  [2305] = {.lex_state = 29, .external_lex_state = 3},
  [2306] = {.lex_state = 29, .external_lex_state = 3},
  [2307] = {.lex_state = 29, .external_lex_state = 3},
  [2308] = {.lex_state = 29, .external_lex_state = 3},
  [2309] = {.lex_state = 29, .external_lex_state = 3},
  [2310] = {.lex_state = 29, .external_lex_state = 3},
  [2311] = {.lex_state = 29, .external_lex_state = 3},
  [2312] = {.lex_state = 29, .external_lex_state = 3},
  [2313] = {.lex_state = 29, .external_lex_state = 3},
  [2314] = {.lex_state = 29, .external_lex_state = 3},
  [2315] = {.lex_state = 29, .external_lex_state = 3},
  [2316] = {.lex_state = 29, .external_lex_state = 3},
  [2317] = {.lex_state = 29, .external_lex_state = 3},
  [2318] = {.lex_state = 29, .external_lex_state = 3},
  [2319] = {.lex_state = 29, .external_lex_state = 3},
  [2320] = {.lex_state = 29, .external_lex_state = 3},
  [2321] = {.lex_state = 29, .external_lex_state = 3},
  [2322] = {.lex_state = 29, .external_lex_state = 3},
  [2323] = {.lex_state = 29, .external_lex_state = 3},
  [2324] = {.lex_state = 29, .external_lex_state = 3},
  [2325] = {.lex_state = 29, .external_lex_state = 3},
  [2326] = {.lex_state = 29, .external_lex_state = 3},
  [2327] = {.lex_state = 29, .external_lex_state = 3},
  [2328] = {.lex_state = 29, .external_lex_state = 3},
  [2329] = {.lex_state = 29, .external_lex_state = 3},
  [2330] = {.lex_state = 29, .external_lex_state = 3},
  [2331] = {.lex_state = 29, .external_lex_state = 3},
  [2332] = {.lex_state = 29, .external_lex_state = 3},
  [2333] = {.lex_state = 29, .external_lex_state = 3},
  [2334] = {.lex_state = 29, .external_lex_state = 3},
  [2335] = {.lex_state = 29, .external_lex_state = 3},
  [2336] = {.lex_state = 29, .external_lex_state = 3},
  [2337] = {.lex_state = 29, .external_lex_state = 3},
  [2338] = {.lex_state = 29, .external_lex_state = 3},
  [2339] = {.lex_state = 29, .external_lex_state = 3},
  [2340] = {.lex_state = 29, .external_lex_state = 3},
  [2341] = {.lex_state = 29, .external_lex_state = 3},
  [2342] = {.lex_state = 29, .external_lex_state = 3},
  [2343] = {.lex_state = 29, .external_lex_state = 3},
  [2344] = {.lex_state = 29, .external_lex_state = 3},
  [2345] = {.lex_state = 29, .external_lex_state = 3},
  [2346] = {.lex_state = 29, .external_lex_state = 3},
  [2347] = {.lex_state = 29, .external_lex_state = 3},
  [2348] = {.lex_state = 29, .external_lex_state = 3},
  [2349] = {.lex_state = 29, .external_lex_state = 3},
  [2350] = {.lex_state = 29, .external_lex_state = 3},
  [2351] = {.lex_state = 29, .external_lex_state = 3},
  [2352] = {.lex_state = 29, .external_lex_state = 3},
  [2353] = {.lex_state = 29, .external_lex_state = 3},
  [2354] = {.lex_state = 29, .external_lex_state = 3},
  [2355] = {.lex_state = 29, .external_lex_state = 3},
  [2356] = {.lex_state = 29, .external_lex_state = 3},
  [2357] = {.lex_state = 29, .external_lex_state = 3},
  [2358] = {.lex_state = 29, .external_lex_state = 3},
  [2359] = {.lex_state = 29, .external_lex_state = 3},
  [2360] = {.lex_state = 29, .external_lex_state = 3},
  [2361] = {.lex_state = 29, .external_lex_state = 3},
  [2362] = {.lex_state = 29, .external_lex_state = 3},
  [2363] = {.lex_state = 29, .external_lex_state = 3},
  [2364] = {.lex_state = 29, .external_lex_state = 3},
  [2365] = {.lex_state = 29, .external_lex_state = 3},
  [2366] = {.lex_state = 29, .external_lex_state = 3},
  [2367] = {.lex_state = 29, .external_lex_state = 3},
  [2368] = {.lex_state = 29, .external_lex_state = 3},
  [2369] = {.lex_state = 29, .external_lex_state = 3},
  [2370] = {.lex_state = 92, .external_lex_state = 3},
  [2371] = {.lex_state = 29, .external_lex_state = 3},
  [2372] = {.lex_state = 29, .external_lex_state = 3},
  [2373] = {.lex_state = 29, .external_lex_state = 3},
  [2374] = {.lex_state = 29, .external_lex_state = 3},
  [2375] = {.lex_state = 29, .external_lex_state = 3},
  [2376] = {.lex_state = 29, .external_lex_state = 3},
  [2377] = {.lex_state = 29, .external_lex_state = 3},
  [2378] = {.lex_state = 29, .external_lex_state = 3},
  [2379] = {.lex_state = 29, .external_lex_state = 3},
  [2380] = {.lex_state = 29, .external_lex_state = 3},
  [2381] = {.lex_state = 29, .external_lex_state = 3},
  [2382] = {.lex_state = 29, .external_lex_state = 3},
  [2383] = {.lex_state = 29, .external_lex_state = 3},
  [2384] = {.lex_state = 29, .external_lex_state = 3},
  [2385] = {.lex_state = 29, .external_lex_state = 3},
  [2386] = {.lex_state = 29, .external_lex_state = 3},
  [2387] = {.lex_state = 29, .external_lex_state = 3},
  [2388] = {.lex_state = 29, .external_lex_state = 3},
  [2389] = {.lex_state = 29, .external_lex_state = 3},
  [2390] = {.lex_state = 29, .external_lex_state = 3},
  [2391] = {.lex_state = 29, .external_lex_state = 3},
  [2392] = {.lex_state = 29, .external_lex_state = 3},
  [2393] = {.lex_state = 29, .external_lex_state = 3},
  [2394] = {.lex_state = 74, .external_lex_state = 3},
  [2395] = {.lex_state = 74, .external_lex_state = 3},
  [2396] = {.lex_state = 66, .external_lex_state = 3},
  [2397] = {.lex_state = 66, .external_lex_state = 3},
  [2398] = {.lex_state = 70, .external_lex_state = 3},
  [2399] = {.lex_state = 75, .external_lex_state = 3},
  [2400] = {.lex_state = 70, .external_lex_state = 3},
  [2401] = {.lex_state = 75, .external_lex_state = 3},
  [2402] = {.lex_state = 69, .external_lex_state = 3},
  [2403] = {.lex_state = 69, .external_lex_state = 3},
  [2404] = {.lex_state = 76, .external_lex_state = 3},
  [2405] = {.lex_state = 76, .external_lex_state = 3},
  [2406] = {.lex_state = 109, .external_lex_state = 3},
  [2407] = {.lex_state = 110, .external_lex_state = 3},
  [2408] = {.lex_state = 78, .external_lex_state = 3},
  [2409] = {.lex_state = 77, .external_lex_state = 3},
  [2410] = {.lex_state = 109, .external_lex_state = 3},
  [2411] = {.lex_state = 80, .external_lex_state = 3},
  [2412] = {.lex_state = 109, .external_lex_state = 3},
  [2413] = {.lex_state = 110, .external_lex_state = 3},
  [2414] = {.lex_state = 110, .external_lex_state = 3},
  [2415] = {.lex_state = 79, .external_lex_state = 3},
  [2416] = {.lex_state = 78, .external_lex_state = 3},
  [2417] = {.lex_state = 78, .external_lex_state = 3},
  [2418] = {.lex_state = 77, .external_lex_state = 3},
  [2419] = {.lex_state = 80, .external_lex_state = 3},
  [2420] = {.lex_state = 80, .external_lex_state = 3},
  [2421] = {.lex_state = 77, .external_lex_state = 3},
  [2422] = {.lex_state = 123, .external_lex_state = 3},
  [2423] = {.lex_state = 185, .external_lex_state = 3},
  [2424] = {.lex_state = 79, .external_lex_state = 3},
  [2425] = {.lex_state = 125, .external_lex_state = 3},
  [2426] = {.lex_state = 125, .external_lex_state = 3},
  [2427] = {.lex_state = 125, .external_lex_state = 3},
  [2428] = {.lex_state = 79, .external_lex_state = 3},
  [2429] = {.lex_state = 124, .external_lex_state = 3},
  [2430] = {.lex_state = 125, .external_lex_state = 3},
  [2431] = {.lex_state = 183, .external_lex_state = 3},
  [2432] = {.lex_state = 183, .external_lex_state = 3},
  [2433] = {.lex_state = 125, .external_lex_state = 3},
  [2434] = {.lex_state = 125, .external_lex_state = 3},
  [2435] = {.lex_state = 125, .external_lex_state = 3},
  [2436] = {.lex_state = 185, .external_lex_state = 3},
  [2437] = {.lex_state = 125, .external_lex_state = 3},
  [2438] = {.lex_state = 184, .external_lex_state = 3},
  [2439] = {.lex_state = 113, .external_lex_state = 3},
  [2440] = {.lex_state = 184, .external_lex_state = 3},
  [2441] = {.lex_state = 186, .external_lex_state = 3},
  [2442] = {.lex_state = 186, .external_lex_state = 3},
  [2443] = {.lex_state = 126, .external_lex_state = 3},
  [2444] = {.lex_state = 126, .external_lex_state = 3},
  [2445] = {.lex_state = 126, .external_lex_state = 3},
  [2446] = {.lex_state = 126, .external_lex_state = 3},
  [2447] = {.lex_state = 111, .external_lex_state = 3},
  [2448] = {.lex_state = 123, .external_lex_state = 3},
  [2449] = {.lex_state = 126, .external_lex_state = 3},
  [2450] = {.lex_state = 126, .external_lex_state = 3},
  [2451] = {.lex_state = 126, .external_lex_state = 3},
  [2452] = {.lex_state = 126, .external_lex_state = 3},
  [2453] = {.lex_state = 115, .external_lex_state = 3},
  [2454] = {.lex_state = 126, .external_lex_state = 3},
  [2455] = {.lex_state = 126, .external_lex_state = 3},
  [2456] = {.lex_state = 123, .external_lex_state = 3},
  [2457] = {.lex_state = 119, .external_lex_state = 3},
  [2458] = {.lex_state = 126, .external_lex_state = 3},
  [2459] = {.lex_state = 117, .external_lex_state = 3},
  [2460] = {.lex_state = 118, .external_lex_state = 3},
  [2461] = {.lex_state = 114, .external_lex_state = 3},
  [2462] = {.lex_state = 120, .external_lex_state = 3},
  [2463] = {.lex_state = 112, .external_lex_state = 3},
  [2464] = {.lex_state = 116, .external_lex_state = 3},
  [2465] = {.lex_state = 122, .external_lex_state = 3},
  [2466] = {.lex_state = 183, .external_lex_state = 3},
  [2467] = {.lex_state = 185, .external_lex_state = 3},
  [2468] = {.lex_state = 124, .external_lex_state = 3},
  [2469] = {.lex_state = 121, .external_lex_state = 3},
  [2470] = {.lex_state = 124, .external_lex_state = 3},
  [2471] = {.lex_state = 15, .external_lex_state = 3},
  [2472] = {.lex_state = 16, .external_lex_state = 3},
  [2473] = {.lex_state = 15, .external_lex_state = 3},
  [2474] = {.lex_state = 15, .external_lex_state = 3},
  [2475] = {.lex_state = 113, .external_lex_state = 3},
  [2476] = {.lex_state = 113, .external_lex_state = 3},
  [2477] = {.lex_state = 184, .external_lex_state = 3},
  [2478] = {.lex_state = 16, .external_lex_state = 3},
  [2479] = {.lex_state = 186, .external_lex_state = 3},
  [2480] = {.lex_state = 16, .external_lex_state = 3},
  [2481] = {.lex_state = 114, .external_lex_state = 3},
  [2482] = {.lex_state = 117, .external_lex_state = 3},
  [2483] = {.lex_state = 115, .external_lex_state = 3},
  [2484] = {.lex_state = 118, .external_lex_state = 3},
  [2485] = {.lex_state = 115, .external_lex_state = 3},
  [2486] = {.lex_state = 119, .external_lex_state = 3},
  [2487] = {.lex_state = 114, .external_lex_state = 3},
  [2488] = {.lex_state = 111, .external_lex_state = 3},
  [2489] = {.lex_state = 117, .external_lex_state = 3},
  [2490] = {.lex_state = 119, .external_lex_state = 3},
  [2491] = {.lex_state = 111, .external_lex_state = 3},
  [2492] = {.lex_state = 118, .external_lex_state = 3},
  [2493] = {.lex_state = 21, .external_lex_state = 3},
  [2494] = {.lex_state = 22, .external_lex_state = 3},
  [2495] = {.lex_state = 21, .external_lex_state = 3},
  [2496] = {.lex_state = 121, .external_lex_state = 3},
  [2497] = {.lex_state = 112, .external_lex_state = 3},
  [2498] = {.lex_state = 112, .external_lex_state = 3},
  [2499] = {.lex_state = 122, .external_lex_state = 3},
  [2500] = {.lex_state = 120, .external_lex_state = 3},
  [2501] = {.lex_state = 122, .external_lex_state = 3},
  [2502] = {.lex_state = 116, .external_lex_state = 3},
  [2503] = {.lex_state = 21, .external_lex_state = 3},
  [2504] = {.lex_state = 22, .external_lex_state = 3},
  [2505] = {.lex_state = 116, .external_lex_state = 3},
  [2506] = {.lex_state = 120, .external_lex_state = 3},
  [2507] = {.lex_state = 121, .external_lex_state = 3},
  [2508] = {.lex_state = 22, .external_lex_state = 3},
  [2509] = {.lex_state = 127, .external_lex_state = 3},
  [2510] = {.lex_state = 127, .external_lex_state = 3},
  [2511] = {.lex_state = 127, .external_lex_state = 3},
  [2512] = {.lex_state = 127, .external_lex_state = 3},
  [2513] = {.lex_state = 127, .external_lex_state = 3},
  [2514] = {.lex_state = 127, .external_lex_state = 3},
  [2515] = {.lex_state = 127, .external_lex_state = 3},
  [2516] = {.lex_state = 172, .external_lex_state = 3},
  [2517] = {.lex_state = 172, .external_lex_state = 3},
  [2518] = {.lex_state = 23, .external_lex_state = 3},
  [2519] = {.lex_state = 23, .external_lex_state = 3},
  [2520] = {.lex_state = 174, .external_lex_state = 3},
  [2521] = {.lex_state = 172, .external_lex_state = 3},
  [2522] = {.lex_state = 174, .external_lex_state = 3},
  [2523] = {.lex_state = 172, .external_lex_state = 3},
  [2524] = {.lex_state = 174, .external_lex_state = 3},
  [2525] = {.lex_state = 174, .external_lex_state = 3},
  [2526] = {.lex_state = 172, .external_lex_state = 3},
  [2527] = {.lex_state = 172, .external_lex_state = 3},
  [2528] = {.lex_state = 174, .external_lex_state = 3},
  [2529] = {.lex_state = 174, .external_lex_state = 3},
  [2530] = {.lex_state = 174, .external_lex_state = 3},
  [2531] = {.lex_state = 174, .external_lex_state = 3},
  [2532] = {.lex_state = 172, .external_lex_state = 3},
  [2533] = {.lex_state = 172, .external_lex_state = 3},
  [2534] = {.lex_state = 172, .external_lex_state = 3},
  [2535] = {.lex_state = 174, .external_lex_state = 3},
  [2536] = {.lex_state = 23, .external_lex_state = 3},
  [2537] = {.lex_state = 172, .external_lex_state = 3},
  [2538] = {.lex_state = 174, .external_lex_state = 3},
  [2539] = {.lex_state = 166, .external_lex_state = 3},
  [2540] = {.lex_state = 175, .external_lex_state = 3},
  [2541] = {.lex_state = 175, .external_lex_state = 3},
  [2542] = {.lex_state = 173, .external_lex_state = 3},
  [2543] = {.lex_state = 173, .external_lex_state = 3},
  [2544] = {.lex_state = 175, .external_lex_state = 3},
  [2545] = {.lex_state = 175, .external_lex_state = 3},
  [2546] = {.lex_state = 175, .external_lex_state = 3},
  [2547] = {.lex_state = 173, .external_lex_state = 3},
  [2548] = {.lex_state = 173, .external_lex_state = 3},
  [2549] = {.lex_state = 173, .external_lex_state = 3},
  [2550] = {.lex_state = 173, .external_lex_state = 3},
  [2551] = {.lex_state = 175, .external_lex_state = 3},
  [2552] = {.lex_state = 173, .external_lex_state = 3},
  [2553] = {.lex_state = 175, .external_lex_state = 3},
  [2554] = {.lex_state = 166, .external_lex_state = 3},
  [2555] = {.lex_state = 173, .external_lex_state = 3},
  [2556] = {.lex_state = 173, .external_lex_state = 3},
  [2557] = {.lex_state = 173, .external_lex_state = 3},
  [2558] = {.lex_state = 175, .external_lex_state = 3},
  [2559] = {.lex_state = 175, .external_lex_state = 3},
  [2560] = {.lex_state = 175, .external_lex_state = 3},
  [2561] = {.lex_state = 172, .external_lex_state = 3},
  [2562] = {.lex_state = 174, .external_lex_state = 3},
  [2563] = {.lex_state = 166, .external_lex_state = 3},
  [2564] = {.lex_state = 173, .external_lex_state = 3},
  [2565] = {.lex_state = 166, .external_lex_state = 3},
  [2566] = {.lex_state = 187, .external_lex_state = 3},
  [2567] = {.lex_state = 188, .external_lex_state = 3},
  [2568] = {.lex_state = 187, .external_lex_state = 3},
  [2569] = {.lex_state = 175, .external_lex_state = 3},
  [2570] = {.lex_state = 188, .external_lex_state = 3},
  [2571] = {.lex_state = 166, .external_lex_state = 3},
  [2572] = {.lex_state = 166, .external_lex_state = 3},
  [2573] = {.lex_state = 166, .external_lex_state = 3},
  [2574] = {.lex_state = 166, .external_lex_state = 3},
  [2575] = {.lex_state = 166, .external_lex_state = 3},
  [2576] = {.lex_state = 166, .external_lex_state = 3},
  [2577] = {.lex_state = 170, .external_lex_state = 3},
  [2578] = {.lex_state = 166, .external_lex_state = 3},
  [2579] = {.lex_state = 166, .external_lex_state = 3},
  [2580] = {.lex_state = 166, .external_lex_state = 3},
  [2581] = {.lex_state = 166, .external_lex_state = 3},
  [2582] = {.lex_state = 166, .external_lex_state = 3},
  [2583] = {.lex_state = 166, .external_lex_state = 3},
  [2584] = {.lex_state = 166, .external_lex_state = 3},
  [2585] = {.lex_state = 166, .external_lex_state = 3},
  [2586] = {.lex_state = 166, .external_lex_state = 3},
  [2587] = {.lex_state = 166, .external_lex_state = 3},
  [2588] = {.lex_state = 170, .external_lex_state = 3},
  [2589] = {.lex_state = 170, .external_lex_state = 3},
  [2590] = {.lex_state = 166, .external_lex_state = 3},
  [2591] = {.lex_state = 166, .external_lex_state = 3},
  [2592] = {.lex_state = 166, .external_lex_state = 3},
  [2593] = {.lex_state = 170, .external_lex_state = 3},
  [2594] = {.lex_state = 166, .external_lex_state = 3},
  [2595] = {.lex_state = 166, .external_lex_state = 3},
  [2596] = {.lex_state = 166, .external_lex_state = 3},
  [2597] = {.lex_state = 166, .external_lex_state = 3},
  [2598] = {.lex_state = 166, .external_lex_state = 3},
  [2599] = {.lex_state = 166, .external_lex_state = 3},
  [2600] = {.lex_state = 170, .external_lex_state = 3},
  [2601] = {.lex_state = 166, .external_lex_state = 3},
  [2602] = {.lex_state = 166, .external_lex_state = 3},
  [2603] = {.lex_state = 166, .external_lex_state = 3},
  [2604] = {.lex_state = 166, .external_lex_state = 3},
  [2605] = {.lex_state = 166, .external_lex_state = 3},
  [2606] = {.lex_state = 166, .external_lex_state = 3},
  [2607] = {.lex_state = 166, .external_lex_state = 3},
  [2608] = {.lex_state = 166, .external_lex_state = 3},
  [2609] = {.lex_state = 166, .external_lex_state = 3},
  [2610] = {.lex_state = 166, .external_lex_state = 3},
  [2611] = {.lex_state = 170, .external_lex_state = 3},
  [2612] = {.lex_state = 166, .external_lex_state = 3},
  [2613] = {.lex_state = 166, .external_lex_state = 3},
  [2614] = {.lex_state = 166, .external_lex_state = 3},
  [2615] = {.lex_state = 166, .external_lex_state = 3},
  [2616] = {.lex_state = 166, .external_lex_state = 3},
  [2617] = {.lex_state = 166, .external_lex_state = 3},
  [2618] = {.lex_state = 166, .external_lex_state = 3},
  [2619] = {.lex_state = 166, .external_lex_state = 3},
  [2620] = {.lex_state = 166, .external_lex_state = 3},
  [2621] = {.lex_state = 168, .external_lex_state = 3},
  [2622] = {.lex_state = 168, .external_lex_state = 3},
  [2623] = {.lex_state = 168, .external_lex_state = 3},
  [2624] = {.lex_state = 168, .external_lex_state = 3},
  [2625] = {.lex_state = 168, .external_lex_state = 3},
  [2626] = {.lex_state = 168, .external_lex_state = 3},
  [2627] = {.lex_state = 168, .external_lex_state = 3},
  [2628] = {.lex_state = 168, .external_lex_state = 3},
  [2629] = {.lex_state = 168, .external_lex_state = 3},
  [2630] = {.lex_state = 168, .external_lex_state = 3},
  [2631] = {.lex_state = 168, .external_lex_state = 3},
  [2632] = {.lex_state = 168, .external_lex_state = 3},
  [2633] = {.lex_state = 168, .external_lex_state = 3},
  [2634] = {.lex_state = 168, .external_lex_state = 3},
  [2635] = {.lex_state = 168, .external_lex_state = 3},
  [2636] = {.lex_state = 168, .external_lex_state = 3},
  [2637] = {.lex_state = 168, .external_lex_state = 3},
  [2638] = {.lex_state = 168, .external_lex_state = 3},
  [2639] = {.lex_state = 168, .external_lex_state = 3},
  [2640] = {.lex_state = 187, .external_lex_state = 3},
  [2641] = {.lex_state = 168, .external_lex_state = 3},
  [2642] = {.lex_state = 168, .external_lex_state = 3},
  [2643] = {.lex_state = 168, .external_lex_state = 3},
  [2644] = {.lex_state = 168, .external_lex_state = 3},
  [2645] = {.lex_state = 168, .external_lex_state = 3},
  [2646] = {.lex_state = 168, .external_lex_state = 3},
  [2647] = {.lex_state = 168, .external_lex_state = 3},
  [2648] = {.lex_state = 168, .external_lex_state = 3},
  [2649] = {.lex_state = 168, .external_lex_state = 3},
  [2650] = {.lex_state = 168, .external_lex_state = 3},
  [2651] = {.lex_state = 168, .external_lex_state = 3},
  [2652] = {.lex_state = 168, .external_lex_state = 3},
  [2653] = {.lex_state = 168, .external_lex_state = 3},
  [2654] = {.lex_state = 168, .external_lex_state = 3},
  [2655] = {.lex_state = 168, .external_lex_state = 3},
  [2656] = {.lex_state = 168, .external_lex_state = 3},
  [2657] = {.lex_state = 168, .external_lex_state = 3},
  [2658] = {.lex_state = 168, .external_lex_state = 3},
  [2659] = {.lex_state = 168, .external_lex_state = 3},
  [2660] = {.lex_state = 168, .external_lex_state = 3},
  [2661] = {.lex_state = 168, .external_lex_state = 3},
  [2662] = {.lex_state = 168, .external_lex_state = 3},
  [2663] = {.lex_state = 168, .external_lex_state = 3},
  [2664] = {.lex_state = 168, .external_lex_state = 3},
  [2665] = {.lex_state = 168, .external_lex_state = 3},
  [2666] = {.lex_state = 168, .external_lex_state = 3},
  [2667] = {.lex_state = 168, .external_lex_state = 3},
  [2668] = {.lex_state = 168, .external_lex_state = 3},
  [2669] = {.lex_state = 168, .external_lex_state = 3},
  [2670] = {.lex_state = 166, .external_lex_state = 3},
  [2671] = {.lex_state = 166, .external_lex_state = 3},
  [2672] = {.lex_state = 166, .external_lex_state = 3},
  [2673] = {.lex_state = 166, .external_lex_state = 3},
  [2674] = {.lex_state = 166, .external_lex_state = 3},
  [2675] = {.lex_state = 166, .external_lex_state = 3},
  [2676] = {.lex_state = 166, .external_lex_state = 3},
  [2677] = {.lex_state = 166, .external_lex_state = 3},
  [2678] = {.lex_state = 19, .external_lex_state = 3},
  [2679] = {.lex_state = 166, .external_lex_state = 3},
  [2680] = {.lex_state = 166, .external_lex_state = 3},
  [2681] = {.lex_state = 166, .external_lex_state = 3},
  [2682] = {.lex_state = 166, .external_lex_state = 3},
  [2683] = {.lex_state = 166, .external_lex_state = 3},
  [2684] = {.lex_state = 166, .external_lex_state = 3},
  [2685] = {.lex_state = 166, .external_lex_state = 3},
  [2686] = {.lex_state = 166, .external_lex_state = 3},
  [2687] = {.lex_state = 166, .external_lex_state = 3},
  [2688] = {.lex_state = 166, .external_lex_state = 3},
  [2689] = {.lex_state = 166, .external_lex_state = 3},
  [2690] = {.lex_state = 166, .external_lex_state = 3},
  [2691] = {.lex_state = 166, .external_lex_state = 3},
  [2692] = {.lex_state = 166, .external_lex_state = 3},
  [2693] = {.lex_state = 166, .external_lex_state = 3},
  [2694] = {.lex_state = 166, .external_lex_state = 3},
  [2695] = {.lex_state = 166, .external_lex_state = 3},
  [2696] = {.lex_state = 166, .external_lex_state = 3},
  [2697] = {.lex_state = 166, .external_lex_state = 3},
  [2698] = {.lex_state = 166, .external_lex_state = 3},
  [2699] = {.lex_state = 166, .external_lex_state = 3},
  [2700] = {.lex_state = 166, .external_lex_state = 3},
  [2701] = {.lex_state = 166, .external_lex_state = 3},
  [2702] = {.lex_state = 166, .external_lex_state = 3},
  [2703] = {.lex_state = 166, .external_lex_state = 3},
  [2704] = {.lex_state = 166, .external_lex_state = 3},
  [2705] = {.lex_state = 166, .external_lex_state = 3},
  [2706] = {.lex_state = 166, .external_lex_state = 3},
  [2707] = {.lex_state = 166, .external_lex_state = 3},
  [2708] = {.lex_state = 166, .external_lex_state = 3},
  [2709] = {.lex_state = 166, .external_lex_state = 3},
  [2710] = {.lex_state = 166, .external_lex_state = 3},
  [2711] = {.lex_state = 166, .external_lex_state = 3},
  [2712] = {.lex_state = 166, .external_lex_state = 3},
  [2713] = {.lex_state = 166, .external_lex_state = 3},
  [2714] = {.lex_state = 166, .external_lex_state = 3},
  [2715] = {.lex_state = 166, .external_lex_state = 3},
  [2716] = {.lex_state = 166, .external_lex_state = 3},
  [2717] = {.lex_state = 166, .external_lex_state = 3},
  [2718] = {.lex_state = 166, .external_lex_state = 3},
  [2719] = {.lex_state = 166, .external_lex_state = 3},
  [2720] = {.lex_state = 166, .external_lex_state = 3},
  [2721] = {.lex_state = 166, .external_lex_state = 3},
  [2722] = {.lex_state = 166, .external_lex_state = 3},
  [2723] = {.lex_state = 166, .external_lex_state = 3},
  [2724] = {.lex_state = 166, .external_lex_state = 3},
  [2725] = {.lex_state = 166, .external_lex_state = 3},
  [2726] = {.lex_state = 166, .external_lex_state = 3},
  [2727] = {.lex_state = 166, .external_lex_state = 3},
  [2728] = {.lex_state = 166, .external_lex_state = 3},
  [2729] = {.lex_state = 166, .external_lex_state = 3},
  [2730] = {.lex_state = 166, .external_lex_state = 3},
  [2731] = {.lex_state = 166, .external_lex_state = 3},
  [2732] = {.lex_state = 166, .external_lex_state = 3},
  [2733] = {.lex_state = 166, .external_lex_state = 3},
  [2734] = {.lex_state = 166, .external_lex_state = 3},
  [2735] = {.lex_state = 166, .external_lex_state = 3},
  [2736] = {.lex_state = 166, .external_lex_state = 3},
  [2737] = {.lex_state = 166, .external_lex_state = 3},
  [2738] = {.lex_state = 166, .external_lex_state = 3},
  [2739] = {.lex_state = 166, .external_lex_state = 3},
  [2740] = {.lex_state = 166, .external_lex_state = 3},
  [2741] = {.lex_state = 166, .external_lex_state = 3},
  [2742] = {.lex_state = 166, .external_lex_state = 3},
  [2743] = {.lex_state = 166, .external_lex_state = 3},
  [2744] = {.lex_state = 166, .external_lex_state = 3},
  [2745] = {.lex_state = 166, .external_lex_state = 3},
  [2746] = {.lex_state = 166, .external_lex_state = 3},
  [2747] = {.lex_state = 166, .external_lex_state = 3},
  [2748] = {.lex_state = 166, .external_lex_state = 3},
  [2749] = {.lex_state = 166, .external_lex_state = 3},
  [2750] = {.lex_state = 166, .external_lex_state = 3},
  [2751] = {.lex_state = 166, .external_lex_state = 3},
  [2752] = {.lex_state = 166, .external_lex_state = 3},
  [2753] = {.lex_state = 166, .external_lex_state = 3},
  [2754] = {.lex_state = 166, .external_lex_state = 3},
  [2755] = {.lex_state = 166, .external_lex_state = 3},
  [2756] = {.lex_state = 166, .external_lex_state = 3},
  [2757] = {.lex_state = 166, .external_lex_state = 3},
  [2758] = {.lex_state = 166, .external_lex_state = 3},
  [2759] = {.lex_state = 166, .external_lex_state = 3},
  [2760] = {.lex_state = 166, .external_lex_state = 3},
  [2761] = {.lex_state = 166, .external_lex_state = 3},
  [2762] = {.lex_state = 166, .external_lex_state = 3},
  [2763] = {.lex_state = 166, .external_lex_state = 3},
  [2764] = {.lex_state = 166, .external_lex_state = 3},
  [2765] = {.lex_state = 166, .external_lex_state = 3},
  [2766] = {.lex_state = 166, .external_lex_state = 3},
  [2767] = {.lex_state = 166, .external_lex_state = 3},
  [2768] = {.lex_state = 166, .external_lex_state = 3},
  [2769] = {.lex_state = 166, .external_lex_state = 3},
  [2770] = {.lex_state = 166, .external_lex_state = 3},
  [2771] = {.lex_state = 166, .external_lex_state = 3},
  [2772] = {.lex_state = 166, .external_lex_state = 3},
  [2773] = {.lex_state = 166, .external_lex_state = 3},
  [2774] = {.lex_state = 166, .external_lex_state = 3},
  [2775] = {.lex_state = 166, .external_lex_state = 3},
  [2776] = {.lex_state = 166, .external_lex_state = 3},
  [2777] = {.lex_state = 166, .external_lex_state = 3},
  [2778] = {.lex_state = 166, .external_lex_state = 3},
  [2779] = {.lex_state = 166, .external_lex_state = 3},
  [2780] = {.lex_state = 166, .external_lex_state = 3},
  [2781] = {.lex_state = 166, .external_lex_state = 3},
  [2782] = {.lex_state = 166, .external_lex_state = 3},
  [2783] = {.lex_state = 166, .external_lex_state = 3},
  [2784] = {.lex_state = 166, .external_lex_state = 3},
  [2785] = {.lex_state = 166, .external_lex_state = 3},
  [2786] = {.lex_state = 166, .external_lex_state = 3},
  [2787] = {.lex_state = 166, .external_lex_state = 3},
  [2788] = {.lex_state = 166, .external_lex_state = 3},
  [2789] = {.lex_state = 19, .external_lex_state = 3},
  [2790] = {.lex_state = 166, .external_lex_state = 3},
  [2791] = {.lex_state = 166, .external_lex_state = 3},
  [2792] = {.lex_state = 166, .external_lex_state = 3},
  [2793] = {.lex_state = 166, .external_lex_state = 3},
  [2794] = {.lex_state = 166, .external_lex_state = 3},
  [2795] = {.lex_state = 166, .external_lex_state = 3},
  [2796] = {.lex_state = 166, .external_lex_state = 3},
  [2797] = {.lex_state = 166, .external_lex_state = 3},
  [2798] = {.lex_state = 166, .external_lex_state = 3},
  [2799] = {.lex_state = 166, .external_lex_state = 3},
  [2800] = {.lex_state = 166, .external_lex_state = 3},
  [2801] = {.lex_state = 166, .external_lex_state = 3},
  [2802] = {.lex_state = 166, .external_lex_state = 3},
  [2803] = {.lex_state = 166, .external_lex_state = 3},
  [2804] = {.lex_state = 166, .external_lex_state = 3},
  [2805] = {.lex_state = 166, .external_lex_state = 3},
  [2806] = {.lex_state = 166, .external_lex_state = 3},
  [2807] = {.lex_state = 166, .external_lex_state = 3},
  [2808] = {.lex_state = 166, .external_lex_state = 3},
  [2809] = {.lex_state = 166, .external_lex_state = 3},
  [2810] = {.lex_state = 166, .external_lex_state = 3},
  [2811] = {.lex_state = 166, .external_lex_state = 3},
  [2812] = {.lex_state = 166, .external_lex_state = 3},
  [2813] = {.lex_state = 166, .external_lex_state = 3},
  [2814] = {.lex_state = 166, .external_lex_state = 3},
  [2815] = {.lex_state = 166, .external_lex_state = 3},
  [2816] = {.lex_state = 166, .external_lex_state = 3},
  [2817] = {.lex_state = 166, .external_lex_state = 3},
  [2818] = {.lex_state = 166, .external_lex_state = 3},
  [2819] = {.lex_state = 166, .external_lex_state = 3},
  [2820] = {.lex_state = 166, .external_lex_state = 3},
  [2821] = {.lex_state = 166, .external_lex_state = 3},
  [2822] = {.lex_state = 166, .external_lex_state = 3},
  [2823] = {.lex_state = 166, .external_lex_state = 3},
  [2824] = {.lex_state = 166, .external_lex_state = 3},
  [2825] = {.lex_state = 166, .external_lex_state = 3},
  [2826] = {.lex_state = 166, .external_lex_state = 3},
  [2827] = {.lex_state = 166, .external_lex_state = 3},
  [2828] = {.lex_state = 166, .external_lex_state = 3},
  [2829] = {.lex_state = 166, .external_lex_state = 3},
  [2830] = {.lex_state = 166, .external_lex_state = 3},
  [2831] = {.lex_state = 166, .external_lex_state = 3},
  [2832] = {.lex_state = 166, .external_lex_state = 3},
  [2833] = {.lex_state = 166, .external_lex_state = 3},
  [2834] = {.lex_state = 166, .external_lex_state = 3},
  [2835] = {.lex_state = 166, .external_lex_state = 3},
  [2836] = {.lex_state = 166, .external_lex_state = 3},
  [2837] = {.lex_state = 166, .external_lex_state = 3},
  [2838] = {.lex_state = 166, .external_lex_state = 3},
  [2839] = {.lex_state = 166, .external_lex_state = 3},
  [2840] = {.lex_state = 166, .external_lex_state = 3},
  [2841] = {.lex_state = 166, .external_lex_state = 3},
  [2842] = {.lex_state = 166, .external_lex_state = 3},
  [2843] = {.lex_state = 166, .external_lex_state = 3},
  [2844] = {.lex_state = 166, .external_lex_state = 3},
  [2845] = {.lex_state = 166, .external_lex_state = 3},
  [2846] = {.lex_state = 166, .external_lex_state = 3},
  [2847] = {.lex_state = 166, .external_lex_state = 3},
  [2848] = {.lex_state = 166, .external_lex_state = 3},
  [2849] = {.lex_state = 166, .external_lex_state = 3},
  [2850] = {.lex_state = 166, .external_lex_state = 3},
  [2851] = {.lex_state = 166, .external_lex_state = 3},
  [2852] = {.lex_state = 166, .external_lex_state = 3},
  [2853] = {.lex_state = 166, .external_lex_state = 3},
  [2854] = {.lex_state = 166, .external_lex_state = 3},
  [2855] = {.lex_state = 166, .external_lex_state = 3},
  [2856] = {.lex_state = 166, .external_lex_state = 3},
  [2857] = {.lex_state = 166, .external_lex_state = 3},
  [2858] = {.lex_state = 166, .external_lex_state = 3},
  [2859] = {.lex_state = 166, .external_lex_state = 3},
  [2860] = {.lex_state = 166, .external_lex_state = 3},
  [2861] = {.lex_state = 166, .external_lex_state = 3},
  [2862] = {.lex_state = 166, .external_lex_state = 3},
  [2863] = {.lex_state = 166, .external_lex_state = 3},
  [2864] = {.lex_state = 19, .external_lex_state = 3},
  [2865] = {.lex_state = 166, .external_lex_state = 3},
  [2866] = {.lex_state = 166, .external_lex_state = 3},
  [2867] = {.lex_state = 166, .external_lex_state = 3},
  [2868] = {.lex_state = 166, .external_lex_state = 3},
  [2869] = {.lex_state = 166, .external_lex_state = 3},
  [2870] = {.lex_state = 166, .external_lex_state = 3},
  [2871] = {.lex_state = 166, .external_lex_state = 3},
  [2872] = {.lex_state = 166, .external_lex_state = 3},
  [2873] = {.lex_state = 166, .external_lex_state = 3},
  [2874] = {.lex_state = 166, .external_lex_state = 3},
  [2875] = {.lex_state = 166, .external_lex_state = 3},
  [2876] = {.lex_state = 166, .external_lex_state = 3},
  [2877] = {.lex_state = 166, .external_lex_state = 3},
  [2878] = {.lex_state = 166, .external_lex_state = 3},
  [2879] = {.lex_state = 166, .external_lex_state = 3},
  [2880] = {.lex_state = 166, .external_lex_state = 3},
  [2881] = {.lex_state = 166, .external_lex_state = 3},
  [2882] = {.lex_state = 166, .external_lex_state = 3},
  [2883] = {.lex_state = 166, .external_lex_state = 3},
  [2884] = {.lex_state = 166, .external_lex_state = 3},
  [2885] = {.lex_state = 166, .external_lex_state = 3},
  [2886] = {.lex_state = 166, .external_lex_state = 3},
  [2887] = {.lex_state = 166, .external_lex_state = 3},
  [2888] = {.lex_state = 166, .external_lex_state = 3},
  [2889] = {.lex_state = 206, .external_lex_state = 2},
  [2890] = {.lex_state = 166, .external_lex_state = 3},
  [2891] = {.lex_state = 166, .external_lex_state = 3},
  [2892] = {.lex_state = 166, .external_lex_state = 3},
  [2893] = {.lex_state = 166, .external_lex_state = 3},
  [2894] = {.lex_state = 87, .external_lex_state = 3},
  [2895] = {.lex_state = 87, .external_lex_state = 3},
  [2896] = {.lex_state = 87, .external_lex_state = 3},
  [2897] = {.lex_state = 83, .external_lex_state = 3},
  [2898] = {.lex_state = 83, .external_lex_state = 3},
  [2899] = {.lex_state = 83, .external_lex_state = 3},
  [2900] = {.lex_state = 83, .external_lex_state = 3},
  [2901] = {.lex_state = 87, .external_lex_state = 3},
  [2902] = {.lex_state = 166, .external_lex_state = 3},
  [2903] = {.lex_state = 83, .external_lex_state = 3},
  [2904] = {.lex_state = 166, .external_lex_state = 3},
  [2905] = {.lex_state = 87, .external_lex_state = 3},
  [2906] = {.lex_state = 87, .external_lex_state = 3},
  [2907] = {.lex_state = 166, .external_lex_state = 3},
  [2908] = {.lex_state = 87, .external_lex_state = 3},
  [2909] = {.lex_state = 83, .external_lex_state = 3},
  [2910] = {.lex_state = 166, .external_lex_state = 3},
  [2911] = {.lex_state = 166, .external_lex_state = 3},
  [2912] = {.lex_state = 87, .external_lex_state = 3},
  [2913] = {.lex_state = 87, .external_lex_state = 3},
  [2914] = {.lex_state = 83, .external_lex_state = 3},
  [2915] = {.lex_state = 83, .external_lex_state = 3},
  [2916] = {.lex_state = 83, .external_lex_state = 3},
  [2917] = {.lex_state = 166, .external_lex_state = 3},
  [2918] = {.lex_state = 166, .external_lex_state = 3},
  [2919] = {.lex_state = 166, .external_lex_state = 3},
  [2920] = {.lex_state = 83, .external_lex_state = 3},
  [2921] = {.lex_state = 83, .external_lex_state = 3},
  [2922] = {.lex_state = 87, .external_lex_state = 3},
  [2923] = {.lex_state = 87, .external_lex_state = 3},
  [2924] = {.lex_state = 166, .external_lex_state = 3},
  [2925] = {.lex_state = 166, .external_lex_state = 3},
  [2926] = {.lex_state = 166, .external_lex_state = 3},
  [2927] = {.lex_state = 166, .external_lex_state = 3},
  [2928] = {.lex_state = 166, .external_lex_state = 3},
  [2929] = {.lex_state = 166, .external_lex_state = 3},
  [2930] = {.lex_state = 166, .external_lex_state = 3},
  [2931] = {.lex_state = 166, .external_lex_state = 3},
  [2932] = {.lex_state = 166, .external_lex_state = 3},
  [2933] = {.lex_state = 166, .external_lex_state = 3},
  [2934] = {.lex_state = 166, .external_lex_state = 3},
  [2935] = {.lex_state = 170, .external_lex_state = 3},
  [2936] = {.lex_state = 166, .external_lex_state = 3},
  [2937] = {.lex_state = 188, .external_lex_state = 3},
  [2938] = {.lex_state = 188, .external_lex_state = 3},
  [2939] = {.lex_state = 166, .external_lex_state = 3},
  [2940] = {.lex_state = 84, .external_lex_state = 3},
  [2941] = {.lex_state = 87, .external_lex_state = 3},
  [2942] = {.lex_state = 87, .external_lex_state = 3},
  [2943] = {.lex_state = 87, .external_lex_state = 3},
  [2944] = {.lex_state = 87, .external_lex_state = 3},
  [2945] = {.lex_state = 87, .external_lex_state = 3},
  [2946] = {.lex_state = 166, .external_lex_state = 3},
  [2947] = {.lex_state = 166, .external_lex_state = 3},
  [2948] = {.lex_state = 87, .external_lex_state = 3},
  [2949] = {.lex_state = 89, .external_lex_state = 3},
  [2950] = {.lex_state = 87, .external_lex_state = 3},
  [2951] = {.lex_state = 87, .external_lex_state = 3},
  [2952] = {.lex_state = 87, .external_lex_state = 3},
  [2953] = {.lex_state = 87, .external_lex_state = 3},
  [2954] = {.lex_state = 87, .external_lex_state = 3},
  [2955] = {.lex_state = 87, .external_lex_state = 3},
  [2956] = {.lex_state = 87, .external_lex_state = 3},
  [2957] = {.lex_state = 166, .external_lex_state = 3},
  [2958] = {.lex_state = 87, .external_lex_state = 3},
  [2959] = {.lex_state = 87, .external_lex_state = 3},
  [2960] = {.lex_state = 87, .external_lex_state = 3},
  [2961] = {.lex_state = 87, .external_lex_state = 3},
  [2962] = {.lex_state = 87, .external_lex_state = 3},
  [2963] = {.lex_state = 87, .external_lex_state = 3},
  [2964] = {.lex_state = 87, .external_lex_state = 3},
  [2965] = {.lex_state = 87, .external_lex_state = 3},
  [2966] = {.lex_state = 87, .external_lex_state = 3},
  [2967] = {.lex_state = 87, .external_lex_state = 3},
  [2968] = {.lex_state = 19, .external_lex_state = 4},
  [2969] = {.lex_state = 87, .external_lex_state = 3},
  [2970] = {.lex_state = 87, .external_lex_state = 3},
  [2971] = {.lex_state = 87, .external_lex_state = 3},
  [2972] = {.lex_state = 87, .external_lex_state = 3},
  [2973] = {.lex_state = 87, .external_lex_state = 3},
  [2974] = {.lex_state = 87, .external_lex_state = 3},
  [2975] = {.lex_state = 89, .external_lex_state = 3},
  [2976] = {.lex_state = 87, .external_lex_state = 3},
  [2977] = {.lex_state = 87, .external_lex_state = 3},
  [2978] = {.lex_state = 87, .external_lex_state = 3},
  [2979] = {.lex_state = 87, .external_lex_state = 3},
  [2980] = {.lex_state = 87, .external_lex_state = 3},
  [2981] = {.lex_state = 84, .external_lex_state = 3},
  [2982] = {.lex_state = 83, .external_lex_state = 3},
  [2983] = {.lex_state = 83, .external_lex_state = 3},
  [2984] = {.lex_state = 19, .external_lex_state = 4},
  [2985] = {.lex_state = 83, .external_lex_state = 3},
  [2986] = {.lex_state = 83, .external_lex_state = 3},
  [2987] = {.lex_state = 84, .external_lex_state = 3},
  [2988] = {.lex_state = 166, .external_lex_state = 3},
  [2989] = {.lex_state = 87, .external_lex_state = 3},
  [2990] = {.lex_state = 87, .external_lex_state = 3},
  [2991] = {.lex_state = 87, .external_lex_state = 3},
  [2992] = {.lex_state = 87, .external_lex_state = 3},
  [2993] = {.lex_state = 87, .external_lex_state = 3},
  [2994] = {.lex_state = 87, .external_lex_state = 3},
  [2995] = {.lex_state = 81, .external_lex_state = 3},
  [2996] = {.lex_state = 19, .external_lex_state = 4},
  [2997] = {.lex_state = 166, .external_lex_state = 3},
  [2998] = {.lex_state = 188, .external_lex_state = 3},
  [2999] = {.lex_state = 166, .external_lex_state = 3},
  [3000] = {.lex_state = 166, .external_lex_state = 3},
  [3001] = {.lex_state = 84, .external_lex_state = 3},
  [3002] = {.lex_state = 81, .external_lex_state = 3},
  [3003] = {.lex_state = 166, .external_lex_state = 3},
  [3004] = {.lex_state = 166, .external_lex_state = 3},
  [3005] = {.lex_state = 19, .external_lex_state = 4},
  [3006] = {.lex_state = 19, .external_lex_state = 4},
  [3007] = {.lex_state = 166, .external_lex_state = 3},
  [3008] = {.lex_state = 166, .external_lex_state = 3},
  [3009] = {.lex_state = 19, .external_lex_state = 4},
  [3010] = {.lex_state = 166, .external_lex_state = 3},
  [3011] = {.lex_state = 88, .external_lex_state = 3},
  [3012] = {.lex_state = 166, .external_lex_state = 3},
  [3013] = {.lex_state = 19, .external_lex_state = 4},
  [3014] = {.lex_state = 188, .external_lex_state = 3},
  [3015] = {.lex_state = 88, .external_lex_state = 3},
  [3016] = {.lex_state = 84, .external_lex_state = 3},
  [3017] = {.lex_state = 188, .external_lex_state = 3},
  [3018] = {.lex_state = 166, .external_lex_state = 3},
  [3019] = {.lex_state = 88, .external_lex_state = 3},
  [3020] = {.lex_state = 166, .external_lex_state = 3},
  [3021] = {.lex_state = 188, .external_lex_state = 3},
  [3022] = {.lex_state = 83, .external_lex_state = 3},
  [3023] = {.lex_state = 19, .external_lex_state = 4},
  [3024] = {.lex_state = 19, .external_lex_state = 4},
  [3025] = {.lex_state = 166, .external_lex_state = 3},
  [3026] = {.lex_state = 166, .external_lex_state = 3},
  [3027] = {.lex_state = 188, .external_lex_state = 3},
  [3028] = {.lex_state = 87, .external_lex_state = 3},
  [3029] = {.lex_state = 19, .external_lex_state = 4},
  [3030] = {.lex_state = 19, .external_lex_state = 4},
  [3031] = {.lex_state = 166, .external_lex_state = 3},
  [3032] = {.lex_state = 19, .external_lex_state = 4},
  [3033] = {.lex_state = 166, .external_lex_state = 3},
  [3034] = {.lex_state = 19, .external_lex_state = 4},
  [3035] = {.lex_state = 83, .external_lex_state = 3},
  [3036] = {.lex_state = 19, .external_lex_state = 3},
  [3037] = {.lex_state = 19, .external_lex_state = 3},
  [3038] = {.lex_state = 166, .external_lex_state = 3},
  [3039] = {.lex_state = 87, .external_lex_state = 3},
  [3040] = {.lex_state = 89, .external_lex_state = 3},
  [3041] = {.lex_state = 166, .external_lex_state = 3},
  [3042] = {.lex_state = 88, .external_lex_state = 3},
  [3043] = {.lex_state = 88, .external_lex_state = 3},
  [3044] = {.lex_state = 87, .external_lex_state = 3},
  [3045] = {.lex_state = 88, .external_lex_state = 3},
  [3046] = {.lex_state = 188, .external_lex_state = 3},
  [3047] = {.lex_state = 87, .external_lex_state = 3},
  [3048] = {.lex_state = 81, .external_lex_state = 3},
  [3049] = {.lex_state = 81, .external_lex_state = 3},
  [3050] = {.lex_state = 81, .external_lex_state = 3},
  [3051] = {.lex_state = 89, .external_lex_state = 3},
  [3052] = {.lex_state = 81, .external_lex_state = 3},
  [3053] = {.lex_state = 81, .external_lex_state = 3},
  [3054] = {.lex_state = 81, .external_lex_state = 3},
  [3055] = {.lex_state = 166, .external_lex_state = 3},
  [3056] = {.lex_state = 87, .external_lex_state = 3},
  [3057] = {.lex_state = 89, .external_lex_state = 3},
  [3058] = {.lex_state = 83, .external_lex_state = 3},
  [3059] = {.lex_state = 188, .external_lex_state = 3},
  [3060] = {.lex_state = 81, .external_lex_state = 3},
  [3061] = {.lex_state = 19, .external_lex_state = 4},
  [3062] = {.lex_state = 87, .external_lex_state = 3},
  [3063] = {.lex_state = 87, .external_lex_state = 3},
  [3064] = {.lex_state = 83, .external_lex_state = 3},
  [3065] = {.lex_state = 84, .external_lex_state = 3},
  [3066] = {.lex_state = 83, .external_lex_state = 3},
  [3067] = {.lex_state = 19, .external_lex_state = 4},
  [3068] = {.lex_state = 89, .external_lex_state = 3},
  [3069] = {.lex_state = 89, .external_lex_state = 3},
  [3070] = {.lex_state = 89, .external_lex_state = 3},
  [3071] = {.lex_state = 166, .external_lex_state = 3},
  [3072] = {.lex_state = 87, .external_lex_state = 3},
  [3073] = {.lex_state = 87, .external_lex_state = 3},
  [3074] = {.lex_state = 19, .external_lex_state = 4},
  [3075] = {.lex_state = 166, .external_lex_state = 3},
  [3076] = {.lex_state = 87, .external_lex_state = 3},
  [3077] = {.lex_state = 166, .external_lex_state = 3},
  [3078] = {.lex_state = 166, .external_lex_state = 3},
  [3079] = {.lex_state = 87, .external_lex_state = 3},
  [3080] = {.lex_state = 166, .external_lex_state = 3},
  [3081] = {.lex_state = 87, .external_lex_state = 3},
  [3082] = {.lex_state = 83, .external_lex_state = 3},
  [3083] = {.lex_state = 87, .external_lex_state = 3},
  [3084] = {.lex_state = 83, .external_lex_state = 3},
  [3085] = {.lex_state = 83, .external_lex_state = 3},
  [3086] = {.lex_state = 83, .external_lex_state = 3},
  [3087] = {.lex_state = 87, .external_lex_state = 3},
  [3088] = {.lex_state = 83, .external_lex_state = 3},
  [3089] = {.lex_state = 83, .external_lex_state = 3},
  [3090] = {.lex_state = 83, .external_lex_state = 3},
  [3091] = {.lex_state = 166, .external_lex_state = 3},
  [3092] = {.lex_state = 166, .external_lex_state = 3},
  [3093] = {.lex_state = 166, .external_lex_state = 3},
  [3094] = {.lex_state = 166, .external_lex_state = 3},
  [3095] = {.lex_state = 83, .external_lex_state = 3},
  [3096] = {.lex_state = 83, .external_lex_state = 3},
  [3097] = {.lex_state = 83, .external_lex_state = 3},
  [3098] = {.lex_state = 88, .external_lex_state = 3},
  [3099] = {.lex_state = 87, .external_lex_state = 3},
  [3100] = {.lex_state = 83, .external_lex_state = 3},
  [3101] = {.lex_state = 83, .external_lex_state = 3},
  [3102] = {.lex_state = 83, .external_lex_state = 3},
  [3103] = {.lex_state = 19, .external_lex_state = 4},
  [3104] = {.lex_state = 87, .external_lex_state = 3},
  [3105] = {.lex_state = 83, .external_lex_state = 3},
  [3106] = {.lex_state = 83, .external_lex_state = 3},
  [3107] = {.lex_state = 89, .external_lex_state = 3},
  [3108] = {.lex_state = 81, .external_lex_state = 3},
  [3109] = {.lex_state = 83, .external_lex_state = 3},
  [3110] = {.lex_state = 81, .external_lex_state = 3},
  [3111] = {.lex_state = 166, .external_lex_state = 3},
  [3112] = {.lex_state = 89, .external_lex_state = 3},
  [3113] = {.lex_state = 83, .external_lex_state = 3},
  [3114] = {.lex_state = 166, .external_lex_state = 3},
  [3115] = {.lex_state = 83, .external_lex_state = 3},
  [3116] = {.lex_state = 166, .external_lex_state = 3},
  [3117] = {.lex_state = 87, .external_lex_state = 3},
  [3118] = {.lex_state = 89, .external_lex_state = 3},
  [3119] = {.lex_state = 188, .external_lex_state = 3},
  [3120] = {.lex_state = 83, .external_lex_state = 3},
  [3121] = {.lex_state = 19, .external_lex_state = 4},
  [3122] = {.lex_state = 83, .external_lex_state = 3},
  [3123] = {.lex_state = 166, .external_lex_state = 3},
  [3124] = {.lex_state = 19, .external_lex_state = 4},
  [3125] = {.lex_state = 83, .external_lex_state = 3},
  [3126] = {.lex_state = 19, .external_lex_state = 4},
  [3127] = {.lex_state = 83, .external_lex_state = 3},
  [3128] = {.lex_state = 83, .external_lex_state = 3},
  [3129] = {.lex_state = 19, .external_lex_state = 4},
  [3130] = {.lex_state = 166, .external_lex_state = 3},
  [3131] = {.lex_state = 188, .external_lex_state = 3},
  [3132] = {.lex_state = 88, .external_lex_state = 3},
  [3133] = {.lex_state = 188, .external_lex_state = 3},
  [3134] = {.lex_state = 166, .external_lex_state = 3},
  [3135] = {.lex_state = 166, .external_lex_state = 3},
  [3136] = {.lex_state = 166, .external_lex_state = 3},
  [3137] = {.lex_state = 166, .external_lex_state = 3},
  [3138] = {.lex_state = 19, .external_lex_state = 4},
  [3139] = {.lex_state = 166, .external_lex_state = 3},
  [3140] = {.lex_state = 19, .external_lex_state = 4},
  [3141] = {.lex_state = 83, .external_lex_state = 3},
  [3142] = {.lex_state = 83, .external_lex_state = 3},
  [3143] = {.lex_state = 83, .external_lex_state = 3},
  [3144] = {.lex_state = 83, .external_lex_state = 3},
  [3145] = {.lex_state = 166, .external_lex_state = 3},
  [3146] = {.lex_state = 83, .external_lex_state = 3},
  [3147] = {.lex_state = 83, .external_lex_state = 3},
  [3148] = {.lex_state = 83, .external_lex_state = 3},
  [3149] = {.lex_state = 83, .external_lex_state = 3},
  [3150] = {.lex_state = 83, .external_lex_state = 3},
  [3151] = {.lex_state = 83, .external_lex_state = 3},
  [3152] = {.lex_state = 166, .external_lex_state = 3},
  [3153] = {.lex_state = 19, .external_lex_state = 4},
  [3154] = {.lex_state = 83, .external_lex_state = 3},
  [3155] = {.lex_state = 166, .external_lex_state = 3},
  [3156] = {.lex_state = 166, .external_lex_state = 3},
  [3157] = {.lex_state = 166, .external_lex_state = 3},
  [3158] = {.lex_state = 19, .external_lex_state = 4},
  [3159] = {.lex_state = 83, .external_lex_state = 3},
  [3160] = {.lex_state = 83, .external_lex_state = 3},
  [3161] = {.lex_state = 83, .external_lex_state = 3},
  [3162] = {.lex_state = 83, .external_lex_state = 3},
  [3163] = {.lex_state = 19, .external_lex_state = 4},
  [3164] = {.lex_state = 83, .external_lex_state = 3},
  [3165] = {.lex_state = 188, .external_lex_state = 3},
  [3166] = {.lex_state = 166, .external_lex_state = 3},
  [3167] = {.lex_state = 166, .external_lex_state = 3},
  [3168] = {.lex_state = 83, .external_lex_state = 3},
  [3169] = {.lex_state = 83, .external_lex_state = 3},
  [3170] = {.lex_state = 83, .external_lex_state = 3},
  [3171] = {.lex_state = 166, .external_lex_state = 3},
  [3172] = {.lex_state = 83, .external_lex_state = 3},
  [3173] = {.lex_state = 83, .external_lex_state = 3},
  [3174] = {.lex_state = 19, .external_lex_state = 4},
  [3175] = {.lex_state = 83, .external_lex_state = 3},
  [3176] = {.lex_state = 166, .external_lex_state = 3},
  [3177] = {.lex_state = 188, .external_lex_state = 3},
  [3178] = {.lex_state = 19, .external_lex_state = 4},
  [3179] = {.lex_state = 188, .external_lex_state = 3},
  [3180] = {.lex_state = 83, .external_lex_state = 3},
  [3181] = {.lex_state = 166, .external_lex_state = 3},
  [3182] = {.lex_state = 87, .external_lex_state = 3},
  [3183] = {.lex_state = 83, .external_lex_state = 3},
  [3184] = {.lex_state = 83, .external_lex_state = 3},
  [3185] = {.lex_state = 83, .external_lex_state = 3},
  [3186] = {.lex_state = 87, .external_lex_state = 3},
  [3187] = {.lex_state = 166, .external_lex_state = 3},
  [3188] = {.lex_state = 83, .external_lex_state = 3},
  [3189] = {.lex_state = 87, .external_lex_state = 3},
  [3190] = {.lex_state = 88, .external_lex_state = 3},
  [3191] = {.lex_state = 88, .external_lex_state = 3},
  [3192] = {.lex_state = 19, .external_lex_state = 4},
  [3193] = {.lex_state = 83, .external_lex_state = 3},
  [3194] = {.lex_state = 87, .external_lex_state = 3},
  [3195] = {.lex_state = 166, .external_lex_state = 3},
  [3196] = {.lex_state = 19, .external_lex_state = 4},
  [3197] = {.lex_state = 166, .external_lex_state = 3},
  [3198] = {.lex_state = 87, .external_lex_state = 3},
  [3199] = {.lex_state = 166, .external_lex_state = 3},
  [3200] = {.lex_state = 87, .external_lex_state = 3},
  [3201] = {.lex_state = 84, .external_lex_state = 3},
  [3202] = {.lex_state = 84, .external_lex_state = 3},
  [3203] = {.lex_state = 188, .external_lex_state = 3},
  [3204] = {.lex_state = 83, .external_lex_state = 3},
  [3205] = {.lex_state = 19, .external_lex_state = 4},
  [3206] = {.lex_state = 19, .external_lex_state = 4},
  [3207] = {.lex_state = 19, .external_lex_state = 4},
  [3208] = {.lex_state = 166, .external_lex_state = 3},
  [3209] = {.lex_state = 166, .external_lex_state = 3},
  [3210] = {.lex_state = 83, .external_lex_state = 3},
  [3211] = {.lex_state = 166, .external_lex_state = 3},
  [3212] = {.lex_state = 83, .external_lex_state = 3},
  [3213] = {.lex_state = 166, .external_lex_state = 3},
  [3214] = {.lex_state = 87, .external_lex_state = 3},
  [3215] = {.lex_state = 19, .external_lex_state = 4},
  [3216] = {.lex_state = 87, .external_lex_state = 3},
  [3217] = {.lex_state = 166, .external_lex_state = 3},
  [3218] = {.lex_state = 166, .external_lex_state = 3},
  [3219] = {.lex_state = 88, .external_lex_state = 3},
  [3220] = {.lex_state = 19, .external_lex_state = 4},
  [3221] = {.lex_state = 84, .external_lex_state = 3},
  [3222] = {.lex_state = 166, .external_lex_state = 3},
  [3223] = {.lex_state = 84, .external_lex_state = 3},
  [3224] = {.lex_state = 83, .external_lex_state = 3},
  [3225] = {.lex_state = 84, .external_lex_state = 3},
  [3226] = {.lex_state = 188, .external_lex_state = 3},
  [3227] = {.lex_state = 166, .external_lex_state = 3},
  [3228] = {.lex_state = 188, .external_lex_state = 3},
  [3229] = {.lex_state = 166, .external_lex_state = 3},
  [3230] = {.lex_state = 166, .external_lex_state = 3},
  [3231] = {.lex_state = 83, .external_lex_state = 3},
  [3232] = {.lex_state = 166, .external_lex_state = 3},
  [3233] = {.lex_state = 166, .external_lex_state = 3},
  [3234] = {.lex_state = 166, .external_lex_state = 3},
  [3235] = {.lex_state = 19, .external_lex_state = 4},
  [3236] = {.lex_state = 188, .external_lex_state = 3},
  [3237] = {.lex_state = 166, .external_lex_state = 3},
  [3238] = {.lex_state = 166, .external_lex_state = 3},
  [3239] = {.lex_state = 188, .external_lex_state = 3},
  [3240] = {.lex_state = 166, .external_lex_state = 3},
  [3241] = {.lex_state = 87, .external_lex_state = 3},
  [3242] = {.lex_state = 87, .external_lex_state = 3},
  [3243] = {.lex_state = 87, .external_lex_state = 3},
  [3244] = {.lex_state = 166, .external_lex_state = 3},
  [3245] = {.lex_state = 19, .external_lex_state = 4},
  [3246] = {.lex_state = 188, .external_lex_state = 3},
  [3247] = {.lex_state = 166, .external_lex_state = 3},
  [3248] = {.lex_state = 83, .external_lex_state = 3},
  [3249] = {.lex_state = 166, .external_lex_state = 3},
  [3250] = {.lex_state = 166, .external_lex_state = 3},
  [3251] = {.lex_state = 188, .external_lex_state = 3},
  [3252] = {.lex_state = 166, .external_lex_state = 3},
  [3253] = {.lex_state = 166, .external_lex_state = 3},
  [3254] = {.lex_state = 166, .external_lex_state = 3},
  [3255] = {.lex_state = 19, .external_lex_state = 4},
  [3256] = {.lex_state = 19, .external_lex_state = 4},
  [3257] = {.lex_state = 87, .external_lex_state = 3},
  [3258] = {.lex_state = 83, .external_lex_state = 3},
  [3259] = {.lex_state = 166, .external_lex_state = 3},
  [3260] = {.lex_state = 19, .external_lex_state = 4},
  [3261] = {.lex_state = 83, .external_lex_state = 3},
  [3262] = {.lex_state = 188, .external_lex_state = 3},
  [3263] = {.lex_state = 87, .external_lex_state = 3},
  [3264] = {.lex_state = 166, .external_lex_state = 3},
  [3265] = {.lex_state = 166, .external_lex_state = 3},
  [3266] = {.lex_state = 19, .external_lex_state = 4},
  [3267] = {.lex_state = 83, .external_lex_state = 3},
  [3268] = {.lex_state = 87, .external_lex_state = 3},
  [3269] = {.lex_state = 19, .external_lex_state = 4},
  [3270] = {.lex_state = 166, .external_lex_state = 3},
  [3271] = {.lex_state = 83, .external_lex_state = 3},
  [3272] = {.lex_state = 166, .external_lex_state = 3},
  [3273] = {.lex_state = 19, .external_lex_state = 4},
  [3274] = {.lex_state = 83, .external_lex_state = 3},
  [3275] = {.lex_state = 83, .external_lex_state = 3},
  [3276] = {.lex_state = 166, .external_lex_state = 3},
  [3277] = {.lex_state = 166, .external_lex_state = 3},
  [3278] = {.lex_state = 166, .external_lex_state = 3},
  [3279] = {.lex_state = 188, .external_lex_state = 3},
  [3280] = {.lex_state = 166, .external_lex_state = 3},
  [3281] = {.lex_state = 87, .external_lex_state = 3},
  [3282] = {.lex_state = 166, .external_lex_state = 3},
  [3283] = {.lex_state = 89, .external_lex_state = 3},
  [3284] = {.lex_state = 81, .external_lex_state = 3},
  [3285] = {.lex_state = 81, .external_lex_state = 3},
  [3286] = {.lex_state = 81, .external_lex_state = 3},
  [3287] = {.lex_state = 88, .external_lex_state = 3},
  [3288] = {.lex_state = 90, .external_lex_state = 3},
  [3289] = {.lex_state = 90, .external_lex_state = 3},
  [3290] = {.lex_state = 90, .external_lex_state = 3},
  [3291] = {.lex_state = 81, .external_lex_state = 3},
  [3292] = {.lex_state = 89, .external_lex_state = 3},
  [3293] = {.lex_state = 81, .external_lex_state = 3},
  [3294] = {.lex_state = 81, .external_lex_state = 3},
  [3295] = {.lex_state = 81, .external_lex_state = 3},
  [3296] = {.lex_state = 81, .external_lex_state = 3},
  [3297] = {.lex_state = 81, .external_lex_state = 3},
  [3298] = {.lex_state = 166, .external_lex_state = 3},
  [3299] = {.lex_state = 81, .external_lex_state = 3},
  [3300] = {.lex_state = 88, .external_lex_state = 3},
  [3301] = {.lex_state = 81, .external_lex_state = 3},
  [3302] = {.lex_state = 81, .external_lex_state = 3},
  [3303] = {.lex_state = 81, .external_lex_state = 3},
  [3304] = {.lex_state = 89, .external_lex_state = 3},
  [3305] = {.lex_state = 89, .external_lex_state = 3},
  [3306] = {.lex_state = 166, .external_lex_state = 3},
  [3307] = {.lex_state = 166, .external_lex_state = 3},
  [3308] = {.lex_state = 89, .external_lex_state = 3},
  [3309] = {.lex_state = 89, .external_lex_state = 3},
  [3310] = {.lex_state = 84, .external_lex_state = 3},
  [3311] = {.lex_state = 81, .external_lex_state = 3},
  [3312] = {.lex_state = 88, .external_lex_state = 3},
  [3313] = {.lex_state = 88, .external_lex_state = 3},
  [3314] = {.lex_state = 82, .external_lex_state = 3},
  [3315] = {.lex_state = 84, .external_lex_state = 3},
  [3316] = {.lex_state = 166, .external_lex_state = 3},
  [3317] = {.lex_state = 166, .external_lex_state = 3},
  [3318] = {.lex_state = 88, .external_lex_state = 3},
  [3319] = {.lex_state = 84, .external_lex_state = 3},
  [3320] = {.lex_state = 169, .external_lex_state = 3},
  [3321] = {.lex_state = 166, .external_lex_state = 3},
  [3322] = {.lex_state = 90, .external_lex_state = 3},
  [3323] = {.lex_state = 90, .external_lex_state = 3},
  [3324] = {.lex_state = 90, .external_lex_state = 3},
  [3325] = {.lex_state = 81, .external_lex_state = 3},
  [3326] = {.lex_state = 166, .external_lex_state = 3},
  [3327] = {.lex_state = 81, .external_lex_state = 3},
  [3328] = {.lex_state = 81, .external_lex_state = 3},
  [3329] = {.lex_state = 166, .external_lex_state = 3},
  [3330] = {.lex_state = 81, .external_lex_state = 3},
  [3331] = {.lex_state = 81, .external_lex_state = 3},
  [3332] = {.lex_state = 166, .external_lex_state = 3},
  [3333] = {.lex_state = 84, .external_lex_state = 3},
  [3334] = {.lex_state = 81, .external_lex_state = 3},
  [3335] = {.lex_state = 169, .external_lex_state = 3},
  [3336] = {.lex_state = 84, .external_lex_state = 3},
  [3337] = {.lex_state = 166, .external_lex_state = 3},
  [3338] = {.lex_state = 84, .external_lex_state = 3},
  [3339] = {.lex_state = 81, .external_lex_state = 3},
  [3340] = {.lex_state = 81, .external_lex_state = 3},
  [3341] = {.lex_state = 81, .external_lex_state = 3},
  [3342] = {.lex_state = 81, .external_lex_state = 3},
  [3343] = {.lex_state = 81, .external_lex_state = 3},
  [3344] = {.lex_state = 89, .external_lex_state = 3},
  [3345] = {.lex_state = 81, .external_lex_state = 3},
  [3346] = {.lex_state = 166, .external_lex_state = 3},
  [3347] = {.lex_state = 84, .external_lex_state = 3},
  [3348] = {.lex_state = 89, .external_lex_state = 3},
  [3349] = {.lex_state = 81, .external_lex_state = 3},
  [3350] = {.lex_state = 84, .external_lex_state = 3},
  [3351] = {.lex_state = 81, .external_lex_state = 3},
  [3352] = {.lex_state = 89, .external_lex_state = 3},
  [3353] = {.lex_state = 89, .external_lex_state = 3},
  [3354] = {.lex_state = 88, .external_lex_state = 3},
  [3355] = {.lex_state = 166, .external_lex_state = 3},
  [3356] = {.lex_state = 81, .external_lex_state = 3},
  [3357] = {.lex_state = 81, .external_lex_state = 3},
  [3358] = {.lex_state = 81, .external_lex_state = 3},
  [3359] = {.lex_state = 81, .external_lex_state = 3},
  [3360] = {.lex_state = 169, .external_lex_state = 3},
  [3361] = {.lex_state = 84, .external_lex_state = 3},
  [3362] = {.lex_state = 166, .external_lex_state = 3},
  [3363] = {.lex_state = 81, .external_lex_state = 3},
  [3364] = {.lex_state = 84, .external_lex_state = 3},
  [3365] = {.lex_state = 166, .external_lex_state = 3},
  [3366] = {.lex_state = 81, .external_lex_state = 3},
  [3367] = {.lex_state = 82, .external_lex_state = 3},
  [3368] = {.lex_state = 81, .external_lex_state = 3},
  [3369] = {.lex_state = 84, .external_lex_state = 3},
  [3370] = {.lex_state = 88, .external_lex_state = 3},
  [3371] = {.lex_state = 81, .external_lex_state = 3},
  [3372] = {.lex_state = 81, .external_lex_state = 3},
  [3373] = {.lex_state = 81, .external_lex_state = 3},
  [3374] = {.lex_state = 81, .external_lex_state = 3},
  [3375] = {.lex_state = 84, .external_lex_state = 3},
  [3376] = {.lex_state = 81, .external_lex_state = 3},
  [3377] = {.lex_state = 166, .external_lex_state = 3},
  [3378] = {.lex_state = 166, .external_lex_state = 3},
  [3379] = {.lex_state = 84, .external_lex_state = 3},
  [3380] = {.lex_state = 82, .external_lex_state = 3},
  [3381] = {.lex_state = 88, .external_lex_state = 3},
  [3382] = {.lex_state = 84, .external_lex_state = 3},
  [3383] = {.lex_state = 89, .external_lex_state = 3},
  [3384] = {.lex_state = 89, .external_lex_state = 3},
  [3385] = {.lex_state = 84, .external_lex_state = 3},
  [3386] = {.lex_state = 88, .external_lex_state = 3},
  [3387] = {.lex_state = 88, .external_lex_state = 3},
  [3388] = {.lex_state = 88, .external_lex_state = 3},
  [3389] = {.lex_state = 90, .external_lex_state = 3},
  [3390] = {.lex_state = 166, .external_lex_state = 3},
  [3391] = {.lex_state = 84, .external_lex_state = 3},
  [3392] = {.lex_state = 81, .external_lex_state = 3},
  [3393] = {.lex_state = 89, .external_lex_state = 3},
  [3394] = {.lex_state = 84, .external_lex_state = 3},
  [3395] = {.lex_state = 166, .external_lex_state = 3},
  [3396] = {.lex_state = 89, .external_lex_state = 3},
  [3397] = {.lex_state = 89, .external_lex_state = 3},
  [3398] = {.lex_state = 88, .external_lex_state = 3},
  [3399] = {.lex_state = 89, .external_lex_state = 3},
  [3400] = {.lex_state = 81, .external_lex_state = 3},
  [3401] = {.lex_state = 166, .external_lex_state = 3},
  [3402] = {.lex_state = 166, .external_lex_state = 3},
  [3403] = {.lex_state = 88, .external_lex_state = 3},
  [3404] = {.lex_state = 84, .external_lex_state = 3},
  [3405] = {.lex_state = 81, .external_lex_state = 3},
  [3406] = {.lex_state = 89, .external_lex_state = 3},
  [3407] = {.lex_state = 82, .external_lex_state = 3},
  [3408] = {.lex_state = 166, .external_lex_state = 3},
  [3409] = {.lex_state = 81, .external_lex_state = 3},
  [3410] = {.lex_state = 88, .external_lex_state = 3},
  [3411] = {.lex_state = 166, .external_lex_state = 3},
  [3412] = {.lex_state = 88, .external_lex_state = 3},
  [3413] = {.lex_state = 84, .external_lex_state = 3},
  [3414] = {.lex_state = 166, .external_lex_state = 3},
  [3415] = {.lex_state = 84, .external_lex_state = 3},
  [3416] = {.lex_state = 84, .external_lex_state = 3},
  [3417] = {.lex_state = 84, .external_lex_state = 3},
  [3418] = {.lex_state = 88, .external_lex_state = 3},
  [3419] = {.lex_state = 88, .external_lex_state = 3},
  [3420] = {.lex_state = 89, .external_lex_state = 3},
  [3421] = {.lex_state = 84, .external_lex_state = 3},
  [3422] = {.lex_state = 166, .external_lex_state = 3},
  [3423] = {.lex_state = 84, .external_lex_state = 3},
  [3424] = {.lex_state = 84, .external_lex_state = 3},
  [3425] = {.lex_state = 89, .external_lex_state = 3},
  [3426] = {.lex_state = 84, .external_lex_state = 3},
  [3427] = {.lex_state = 84, .external_lex_state = 3},
  [3428] = {.lex_state = 84, .external_lex_state = 3},
  [3429] = {.lex_state = 89, .external_lex_state = 3},
  [3430] = {.lex_state = 88, .external_lex_state = 3},
  [3431] = {.lex_state = 84, .external_lex_state = 3},
  [3432] = {.lex_state = 84, .external_lex_state = 3},
  [3433] = {.lex_state = 89, .external_lex_state = 3},
  [3434] = {.lex_state = 81, .external_lex_state = 3},
  [3435] = {.lex_state = 81, .external_lex_state = 3},
  [3436] = {.lex_state = 166, .external_lex_state = 3},
  [3437] = {.lex_state = 166, .external_lex_state = 3},
  [3438] = {.lex_state = 166, .external_lex_state = 3},
  [3439] = {.lex_state = 88, .external_lex_state = 3},
  [3440] = {.lex_state = 89, .external_lex_state = 3},
  [3441] = {.lex_state = 81, .external_lex_state = 3},
  [3442] = {.lex_state = 88, .external_lex_state = 3},
  [3443] = {.lex_state = 166, .external_lex_state = 3},
  [3444] = {.lex_state = 88, .external_lex_state = 3},
  [3445] = {.lex_state = 166, .external_lex_state = 3},
  [3446] = {.lex_state = 166, .external_lex_state = 3},
  [3447] = {.lex_state = 88, .external_lex_state = 3},
  [3448] = {.lex_state = 166, .external_lex_state = 3},
  [3449] = {.lex_state = 166, .external_lex_state = 3},
  [3450] = {.lex_state = 166, .external_lex_state = 3},
  [3451] = {.lex_state = 166, .external_lex_state = 3},
  [3452] = {.lex_state = 84, .external_lex_state = 3},
  [3453] = {.lex_state = 166, .external_lex_state = 3},
  [3454] = {.lex_state = 166, .external_lex_state = 3},
  [3455] = {.lex_state = 166, .external_lex_state = 3},
  [3456] = {.lex_state = 166, .external_lex_state = 3},
  [3457] = {.lex_state = 166, .external_lex_state = 3},
  [3458] = {.lex_state = 84, .external_lex_state = 3},
  [3459] = {.lex_state = 166, .external_lex_state = 3},
  [3460] = {.lex_state = 89, .external_lex_state = 3},
  [3461] = {.lex_state = 88, .external_lex_state = 3},
  [3462] = {.lex_state = 166, .external_lex_state = 3},
  [3463] = {.lex_state = 84, .external_lex_state = 3},
  [3464] = {.lex_state = 81, .external_lex_state = 3},
  [3465] = {.lex_state = 166, .external_lex_state = 3},
  [3466] = {.lex_state = 166, .external_lex_state = 3},
  [3467] = {.lex_state = 166, .external_lex_state = 3},
  [3468] = {.lex_state = 166, .external_lex_state = 3},
  [3469] = {.lex_state = 166, .external_lex_state = 3},
  [3470] = {.lex_state = 166, .external_lex_state = 3},
  [3471] = {.lex_state = 84, .external_lex_state = 3},
  [3472] = {.lex_state = 166, .external_lex_state = 3},
  [3473] = {.lex_state = 166, .external_lex_state = 3},
  [3474] = {.lex_state = 88, .external_lex_state = 3},
  [3475] = {.lex_state = 89, .external_lex_state = 3},
  [3476] = {.lex_state = 84, .external_lex_state = 3},
  [3477] = {.lex_state = 166, .external_lex_state = 3},
  [3478] = {.lex_state = 84, .external_lex_state = 3},
  [3479] = {.lex_state = 166, .external_lex_state = 3},
  [3480] = {.lex_state = 81, .external_lex_state = 3},
  [3481] = {.lex_state = 166, .external_lex_state = 3},
  [3482] = {.lex_state = 84, .external_lex_state = 3},
  [3483] = {.lex_state = 84, .external_lex_state = 3},
  [3484] = {.lex_state = 84, .external_lex_state = 3},
  [3485] = {.lex_state = 84, .external_lex_state = 3},
  [3486] = {.lex_state = 84, .external_lex_state = 3},
  [3487] = {.lex_state = 84, .external_lex_state = 3},
  [3488] = {.lex_state = 89, .external_lex_state = 3},
  [3489] = {.lex_state = 84, .external_lex_state = 3},
  [3490] = {.lex_state = 88, .external_lex_state = 3},
  [3491] = {.lex_state = 88, .external_lex_state = 3},
  [3492] = {.lex_state = 166, .external_lex_state = 3},
  [3493] = {.lex_state = 88, .external_lex_state = 3},
  [3494] = {.lex_state = 89, .external_lex_state = 3},
  [3495] = {.lex_state = 88, .external_lex_state = 3},
  [3496] = {.lex_state = 166, .external_lex_state = 3},
  [3497] = {.lex_state = 84, .external_lex_state = 3},
  [3498] = {.lex_state = 84, .external_lex_state = 3},
  [3499] = {.lex_state = 84, .external_lex_state = 3},
  [3500] = {.lex_state = 88, .external_lex_state = 3},
  [3501] = {.lex_state = 84, .external_lex_state = 3},
  [3502] = {.lex_state = 88, .external_lex_state = 3},
  [3503] = {.lex_state = 88, .external_lex_state = 3},
  [3504] = {.lex_state = 88, .external_lex_state = 3},
  [3505] = {.lex_state = 88, .external_lex_state = 3},
  [3506] = {.lex_state = 88, .external_lex_state = 3},
  [3507] = {.lex_state = 88, .external_lex_state = 3},
  [3508] = {.lex_state = 88, .external_lex_state = 3},
  [3509] = {.lex_state = 81, .external_lex_state = 3},
  [3510] = {.lex_state = 81, .external_lex_state = 3},
  [3511] = {.lex_state = 89, .external_lex_state = 3},
  [3512] = {.lex_state = 81, .external_lex_state = 3},
  [3513] = {.lex_state = 89, .external_lex_state = 3},
  [3514] = {.lex_state = 81, .external_lex_state = 3},
  [3515] = {.lex_state = 88, .external_lex_state = 3},
  [3516] = {.lex_state = 88, .external_lex_state = 3},
  [3517] = {.lex_state = 88, .external_lex_state = 3},
  [3518] = {.lex_state = 88, .external_lex_state = 3},
  [3519] = {.lex_state = 88, .external_lex_state = 3},
  [3520] = {.lex_state = 88, .external_lex_state = 3},
  [3521] = {.lex_state = 81, .external_lex_state = 3},
  [3522] = {.lex_state = 81, .external_lex_state = 3},
  [3523] = {.lex_state = 88, .external_lex_state = 3},
  [3524] = {.lex_state = 88, .external_lex_state = 3},
  [3525] = {.lex_state = 166, .external_lex_state = 3},
  [3526] = {.lex_state = 166, .external_lex_state = 3},
  [3527] = {.lex_state = 166, .external_lex_state = 3},
  [3528] = {.lex_state = 89, .external_lex_state = 3},
  [3529] = {.lex_state = 167, .external_lex_state = 3},
  [3530] = {.lex_state = 166, .external_lex_state = 3},
  [3531] = {.lex_state = 81, .external_lex_state = 3},
  [3532] = {.lex_state = 84, .external_lex_state = 3},
  [3533] = {.lex_state = 84, .external_lex_state = 3},
  [3534] = {.lex_state = 89, .external_lex_state = 3},
  [3535] = {.lex_state = 88, .external_lex_state = 3},
  [3536] = {.lex_state = 89, .external_lex_state = 3},
  [3537] = {.lex_state = 89, .external_lex_state = 3},
  [3538] = {.lex_state = 84, .external_lex_state = 3},
  [3539] = {.lex_state = 167, .external_lex_state = 3},
  [3540] = {.lex_state = 166, .external_lex_state = 3},
  [3541] = {.lex_state = 166, .external_lex_state = 3},
  [3542] = {.lex_state = 84, .external_lex_state = 3},
  [3543] = {.lex_state = 88, .external_lex_state = 3},
  [3544] = {.lex_state = 166, .external_lex_state = 3},
  [3545] = {.lex_state = 81, .external_lex_state = 3},
  [3546] = {.lex_state = 88, .external_lex_state = 3},
  [3547] = {.lex_state = 89, .external_lex_state = 3},
  [3548] = {.lex_state = 19, .external_lex_state = 3},
  [3549] = {.lex_state = 19, .external_lex_state = 3},
  [3550] = {.lex_state = 89, .external_lex_state = 3},
  [3551] = {.lex_state = 89, .external_lex_state = 3},
  [3552] = {.lex_state = 89, .external_lex_state = 3},
  [3553] = {.lex_state = 166, .external_lex_state = 3},
  [3554] = {.lex_state = 81, .external_lex_state = 3},
  [3555] = {.lex_state = 89, .external_lex_state = 3},
  [3556] = {.lex_state = 89, .external_lex_state = 3},
  [3557] = {.lex_state = 88, .external_lex_state = 3},
  [3558] = {.lex_state = 88, .external_lex_state = 3},
  [3559] = {.lex_state = 81, .external_lex_state = 3},
  [3560] = {.lex_state = 89, .external_lex_state = 3},
  [3561] = {.lex_state = 81, .external_lex_state = 3},
  [3562] = {.lex_state = 84, .external_lex_state = 3},
  [3563] = {.lex_state = 89, .external_lex_state = 3},
  [3564] = {.lex_state = 166, .external_lex_state = 3},
  [3565] = {.lex_state = 81, .external_lex_state = 3},
  [3566] = {.lex_state = 81, .external_lex_state = 3},
  [3567] = {.lex_state = 84, .external_lex_state = 3},
  [3568] = {.lex_state = 81, .external_lex_state = 3},
  [3569] = {.lex_state = 166, .external_lex_state = 3},
  [3570] = {.lex_state = 89, .external_lex_state = 3},
  [3571] = {.lex_state = 81, .external_lex_state = 3},
  [3572] = {.lex_state = 166, .external_lex_state = 3},
  [3573] = {.lex_state = 166, .external_lex_state = 3},
  [3574] = {.lex_state = 166, .external_lex_state = 3},
  [3575] = {.lex_state = 166, .external_lex_state = 3},
  [3576] = {.lex_state = 166, .external_lex_state = 3},
  [3577] = {.lex_state = 89, .external_lex_state = 3},
  [3578] = {.lex_state = 166, .external_lex_state = 3},
  [3579] = {.lex_state = 89, .external_lex_state = 3},
  [3580] = {.lex_state = 166, .external_lex_state = 3},
  [3581] = {.lex_state = 81, .external_lex_state = 3},
  [3582] = {.lex_state = 166, .external_lex_state = 3},
  [3583] = {.lex_state = 81, .external_lex_state = 3},
  [3584] = {.lex_state = 89, .external_lex_state = 3},
  [3585] = {.lex_state = 84, .external_lex_state = 3},
  [3586] = {.lex_state = 90, .external_lex_state = 3},
  [3587] = {.lex_state = 89, .external_lex_state = 3},
  [3588] = {.lex_state = 169, .external_lex_state = 3},
  [3589] = {.lex_state = 166, .external_lex_state = 3},
  [3590] = {.lex_state = 166, .external_lex_state = 3},
  [3591] = {.lex_state = 82, .external_lex_state = 3},
  [3592] = {.lex_state = 88, .external_lex_state = 3},
  [3593] = {.lex_state = 89, .external_lex_state = 3},
  [3594] = {.lex_state = 84, .external_lex_state = 3},
  [3595] = {.lex_state = 88, .external_lex_state = 3},
  [3596] = {.lex_state = 89, .external_lex_state = 3},
  [3597] = {.lex_state = 89, .external_lex_state = 3},
  [3598] = {.lex_state = 166, .external_lex_state = 3},
  [3599] = {.lex_state = 82, .external_lex_state = 3},
  [3600] = {.lex_state = 81, .external_lex_state = 3},
  [3601] = {.lex_state = 82, .external_lex_state = 3},
  [3602] = {.lex_state = 81, .external_lex_state = 3},
  [3603] = {.lex_state = 166, .external_lex_state = 3},
  [3604] = {.lex_state = 166, .external_lex_state = 3},
  [3605] = {.lex_state = 88, .external_lex_state = 3},
  [3606] = {.lex_state = 166, .external_lex_state = 3},
  [3607] = {.lex_state = 166, .external_lex_state = 3},
  [3608] = {.lex_state = 166, .external_lex_state = 3},
  [3609] = {.lex_state = 166, .external_lex_state = 3},
  [3610] = {.lex_state = 89, .external_lex_state = 3},
  [3611] = {.lex_state = 166, .external_lex_state = 3},
  [3612] = {.lex_state = 89, .external_lex_state = 3},
  [3613] = {.lex_state = 166, .external_lex_state = 3},
  [3614] = {.lex_state = 166, .external_lex_state = 3},
  [3615] = {.lex_state = 89, .external_lex_state = 3},
  [3616] = {.lex_state = 166, .external_lex_state = 3},
  [3617] = {.lex_state = 166, .external_lex_state = 3},
  [3618] = {.lex_state = 84, .external_lex_state = 3},
  [3619] = {.lex_state = 82, .external_lex_state = 3},
  [3620] = {.lex_state = 82, .external_lex_state = 3},
  [3621] = {.lex_state = 89, .external_lex_state = 3},
  [3622] = {.lex_state = 166, .external_lex_state = 3},
  [3623] = {.lex_state = 89, .external_lex_state = 3},
  [3624] = {.lex_state = 84, .external_lex_state = 3},
  [3625] = {.lex_state = 166, .external_lex_state = 3},
  [3626] = {.lex_state = 82, .external_lex_state = 3},
  [3627] = {.lex_state = 88, .external_lex_state = 3},
  [3628] = {.lex_state = 166, .external_lex_state = 3},
  [3629] = {.lex_state = 166, .external_lex_state = 3},
  [3630] = {.lex_state = 88, .external_lex_state = 3},
  [3631] = {.lex_state = 90, .external_lex_state = 3},
  [3632] = {.lex_state = 166, .external_lex_state = 3},
  [3633] = {.lex_state = 90, .external_lex_state = 3},
  [3634] = {.lex_state = 89, .external_lex_state = 3},
  [3635] = {.lex_state = 88, .external_lex_state = 3},
  [3636] = {.lex_state = 89, .external_lex_state = 3},
  [3637] = {.lex_state = 89, .external_lex_state = 3},
  [3638] = {.lex_state = 89, .external_lex_state = 3},
  [3639] = {.lex_state = 166, .external_lex_state = 3},
  [3640] = {.lex_state = 166, .external_lex_state = 3},
  [3641] = {.lex_state = 89, .external_lex_state = 3},
  [3642] = {.lex_state = 166, .external_lex_state = 3},
  [3643] = {.lex_state = 169, .external_lex_state = 3},
  [3644] = {.lex_state = 166, .external_lex_state = 3},
  [3645] = {.lex_state = 89, .external_lex_state = 3},
  [3646] = {.lex_state = 84, .external_lex_state = 3},
  [3647] = {.lex_state = 88, .external_lex_state = 3},
  [3648] = {.lex_state = 166, .external_lex_state = 3},
  [3649] = {.lex_state = 90, .external_lex_state = 3},
  [3650] = {.lex_state = 166, .external_lex_state = 3},
  [3651] = {.lex_state = 88, .external_lex_state = 3},
  [3652] = {.lex_state = 88, .external_lex_state = 3},
  [3653] = {.lex_state = 84, .external_lex_state = 3},
  [3654] = {.lex_state = 88, .external_lex_state = 3},
  [3655] = {.lex_state = 89, .external_lex_state = 3},
  [3656] = {.lex_state = 89, .external_lex_state = 3},
  [3657] = {.lex_state = 166, .external_lex_state = 3},
  [3658] = {.lex_state = 166, .external_lex_state = 3},
  [3659] = {.lex_state = 166, .external_lex_state = 3},
  [3660] = {.lex_state = 166, .external_lex_state = 3},
  [3661] = {.lex_state = 88, .external_lex_state = 3},
  [3662] = {.lex_state = 166, .external_lex_state = 3},
  [3663] = {.lex_state = 88, .external_lex_state = 3},
  [3664] = {.lex_state = 166, .external_lex_state = 3},
  [3665] = {.lex_state = 166, .external_lex_state = 3},
  [3666] = {.lex_state = 166, .external_lex_state = 3},
  [3667] = {.lex_state = 88, .external_lex_state = 3},
  [3668] = {.lex_state = 88, .external_lex_state = 3},
  [3669] = {.lex_state = 88, .external_lex_state = 3},
  [3670] = {.lex_state = 166, .external_lex_state = 3},
  [3671] = {.lex_state = 166, .external_lex_state = 3},
  [3672] = {.lex_state = 84, .external_lex_state = 3},
  [3673] = {.lex_state = 166, .external_lex_state = 3},
  [3674] = {.lex_state = 88, .external_lex_state = 3},
  [3675] = {.lex_state = 89, .external_lex_state = 3},
  [3676] = {.lex_state = 166, .external_lex_state = 3},
  [3677] = {.lex_state = 82, .external_lex_state = 3},
  [3678] = {.lex_state = 89, .external_lex_state = 3},
  [3679] = {.lex_state = 81, .external_lex_state = 3},
  [3680] = {.lex_state = 166, .external_lex_state = 3},
  [3681] = {.lex_state = 89, .external_lex_state = 3},
  [3682] = {.lex_state = 89, .external_lex_state = 3},
  [3683] = {.lex_state = 88, .external_lex_state = 3},
  [3684] = {.lex_state = 88, .external_lex_state = 3},
  [3685] = {.lex_state = 88, .external_lex_state = 3},
  [3686] = {.lex_state = 84, .external_lex_state = 3},
  [3687] = {.lex_state = 88, .external_lex_state = 3},
  [3688] = {.lex_state = 84, .external_lex_state = 3},
  [3689] = {.lex_state = 84, .external_lex_state = 3},
  [3690] = {.lex_state = 88, .external_lex_state = 3},
  [3691] = {.lex_state = 84, .external_lex_state = 3},
  [3692] = {.lex_state = 89, .external_lex_state = 3},
  [3693] = {.lex_state = 89, .external_lex_state = 3},
  [3694] = {.lex_state = 84, .external_lex_state = 3},
  [3695] = {.lex_state = 84, .external_lex_state = 3},
  [3696] = {.lex_state = 84, .external_lex_state = 3},
  [3697] = {.lex_state = 89, .external_lex_state = 3},
  [3698] = {.lex_state = 88, .external_lex_state = 3},
  [3699] = {.lex_state = 89, .external_lex_state = 3},
  [3700] = {.lex_state = 89, .external_lex_state = 3},
  [3701] = {.lex_state = 81, .external_lex_state = 3},
  [3702] = {.lex_state = 84, .external_lex_state = 3},
  [3703] = {.lex_state = 84, .external_lex_state = 3},
  [3704] = {.lex_state = 81, .external_lex_state = 3},
  [3705] = {.lex_state = 84, .external_lex_state = 3},
  [3706] = {.lex_state = 169, .external_lex_state = 3},
  [3707] = {.lex_state = 81, .external_lex_state = 3},
  [3708] = {.lex_state = 166, .external_lex_state = 3},
  [3709] = {.lex_state = 89, .external_lex_state = 3},
  [3710] = {.lex_state = 84, .external_lex_state = 3},
  [3711] = {.lex_state = 89, .external_lex_state = 3},
  [3712] = {.lex_state = 88, .external_lex_state = 3},
  [3713] = {.lex_state = 84, .external_lex_state = 3},
  [3714] = {.lex_state = 166, .external_lex_state = 3},
  [3715] = {.lex_state = 90, .external_lex_state = 3},
  [3716] = {.lex_state = 90, .external_lex_state = 3},
  [3717] = {.lex_state = 82, .external_lex_state = 3},
  [3718] = {.lex_state = 90, .external_lex_state = 3},
  [3719] = {.lex_state = 90, .external_lex_state = 3},
  [3720] = {.lex_state = 90, .external_lex_state = 3},
  [3721] = {.lex_state = 82, .external_lex_state = 3},
  [3722] = {.lex_state = 90, .external_lex_state = 3},
  [3723] = {.lex_state = 82, .external_lex_state = 3},
  [3724] = {.lex_state = 90, .external_lex_state = 3},
  [3725] = {.lex_state = 90, .external_lex_state = 3},
  [3726] = {.lex_state = 82, .external_lex_state = 3},
  [3727] = {.lex_state = 82, .external_lex_state = 3},
  [3728] = {.lex_state = 90, .external_lex_state = 3},
  [3729] = {.lex_state = 91, .external_lex_state = 3},
  [3730] = {.lex_state = 90, .external_lex_state = 3},
  [3731] = {.lex_state = 90, .external_lex_state = 3},
  [3732] = {.lex_state = 90, .external_lex_state = 3},
  [3733] = {.lex_state = 19, .external_lex_state = 3},
  [3734] = {.lex_state = 90, .external_lex_state = 3},
  [3735] = {.lex_state = 90, .external_lex_state = 3},
  [3736] = {.lex_state = 91, .external_lex_state = 3},
  [3737] = {.lex_state = 91, .external_lex_state = 3},
  [3738] = {.lex_state = 82, .external_lex_state = 3},
  [3739] = {.lex_state = 90, .external_lex_state = 3},
  [3740] = {.lex_state = 82, .external_lex_state = 3},
  [3741] = {.lex_state = 90, .external_lex_state = 3},
  [3742] = {.lex_state = 82, .external_lex_state = 3},
  [3743] = {.lex_state = 90, .external_lex_state = 3},
  [3744] = {.lex_state = 90, .external_lex_state = 3},
  [3745] = {.lex_state = 82, .external_lex_state = 3},
  [3746] = {.lex_state = 82, .external_lex_state = 3},
  [3747] = {.lex_state = 19, .external_lex_state = 3},
  [3748] = {.lex_state = 82, .external_lex_state = 3},
  [3749] = {.lex_state = 82, .external_lex_state = 3},
  [3750] = {.lex_state = 90, .external_lex_state = 3},
  [3751] = {.lex_state = 19, .external_lex_state = 3},
  [3752] = {.lex_state = 82, .external_lex_state = 3},
  [3753] = {.lex_state = 82, .external_lex_state = 3},
  [3754] = {.lex_state = 90, .external_lex_state = 3},
  [3755] = {.lex_state = 90, .external_lex_state = 3},
  [3756] = {.lex_state = 82, .external_lex_state = 3},
  [3757] = {.lex_state = 86, .external_lex_state = 3},
  [3758] = {.lex_state = 19, .external_lex_state = 3},
  [3759] = {.lex_state = 86, .external_lex_state = 3},
  [3760] = {.lex_state = 86, .external_lex_state = 3},
  [3761] = {.lex_state = 19, .external_lex_state = 3},
  [3762] = {.lex_state = 19, .external_lex_state = 3},
  [3763] = {.lex_state = 82, .external_lex_state = 3},
  [3764] = {.lex_state = 90, .external_lex_state = 3},
  [3765] = {.lex_state = 19, .external_lex_state = 3},
  [3766] = {.lex_state = 90, .external_lex_state = 3},
  [3767] = {.lex_state = 90, .external_lex_state = 3},
  [3768] = {.lex_state = 90, .external_lex_state = 3},
  [3769] = {.lex_state = 90, .external_lex_state = 3},
  [3770] = {.lex_state = 90, .external_lex_state = 3},
  [3771] = {.lex_state = 90, .external_lex_state = 3},
  [3772] = {.lex_state = 90, .external_lex_state = 3},
  [3773] = {.lex_state = 82, .external_lex_state = 3},
  [3774] = {.lex_state = 90, .external_lex_state = 3},
  [3775] = {.lex_state = 19, .external_lex_state = 3},
  [3776] = {.lex_state = 82, .external_lex_state = 3},
  [3777] = {.lex_state = 86, .external_lex_state = 3},
  [3778] = {.lex_state = 82, .external_lex_state = 3},
  [3779] = {.lex_state = 86, .external_lex_state = 3},
  [3780] = {.lex_state = 86, .external_lex_state = 3},
  [3781] = {.lex_state = 86, .external_lex_state = 3},
  [3782] = {.lex_state = 82, .external_lex_state = 3},
  [3783] = {.lex_state = 19, .external_lex_state = 3},
  [3784] = {.lex_state = 67, .external_lex_state = 3},
  [3785] = {.lex_state = 19, .external_lex_state = 3},
  [3786] = {.lex_state = 90, .external_lex_state = 3},
  [3787] = {.lex_state = 19, .external_lex_state = 3},
  [3788] = {.lex_state = 90, .external_lex_state = 3},
  [3789] = {.lex_state = 19, .external_lex_state = 3},
  [3790] = {.lex_state = 90, .external_lex_state = 3},
  [3791] = {.lex_state = 90, .external_lex_state = 3},
  [3792] = {.lex_state = 19, .external_lex_state = 3},
  [3793] = {.lex_state = 82, .external_lex_state = 3},
  [3794] = {.lex_state = 82, .external_lex_state = 3},
  [3795] = {.lex_state = 90, .external_lex_state = 3},
  [3796] = {.lex_state = 82, .external_lex_state = 3},
  [3797] = {.lex_state = 90, .external_lex_state = 3},
  [3798] = {.lex_state = 86, .external_lex_state = 3},
  [3799] = {.lex_state = 19, .external_lex_state = 3},
  [3800] = {.lex_state = 19, .external_lex_state = 3},
  [3801] = {.lex_state = 19, .external_lex_state = 3},
  [3802] = {.lex_state = 90, .external_lex_state = 3},
  [3803] = {.lex_state = 86, .external_lex_state = 3},
  [3804] = {.lex_state = 90, .external_lex_state = 3},
  [3805] = {.lex_state = 90, .external_lex_state = 3},
  [3806] = {.lex_state = 82, .external_lex_state = 3},
  [3807] = {.lex_state = 90, .external_lex_state = 3},
  [3808] = {.lex_state = 90, .external_lex_state = 3},
  [3809] = {.lex_state = 19, .external_lex_state = 3},
  [3810] = {.lex_state = 82, .external_lex_state = 3},
  [3811] = {.lex_state = 82, .external_lex_state = 3},
  [3812] = {.lex_state = 82, .external_lex_state = 3},
  [3813] = {.lex_state = 82, .external_lex_state = 3},
  [3814] = {.lex_state = 90, .external_lex_state = 3},
  [3815] = {.lex_state = 19, .external_lex_state = 3},
  [3816] = {.lex_state = 90, .external_lex_state = 3},
  [3817] = {.lex_state = 90, .external_lex_state = 3},
  [3818] = {.lex_state = 90, .external_lex_state = 3},
  [3819] = {.lex_state = 82, .external_lex_state = 3},
  [3820] = {.lex_state = 90, .external_lex_state = 3},
  [3821] = {.lex_state = 19, .external_lex_state = 3},
  [3822] = {.lex_state = 19, .external_lex_state = 3},
  [3823] = {.lex_state = 91, .external_lex_state = 3},
  [3824] = {.lex_state = 82, .external_lex_state = 3},
  [3825] = {.lex_state = 19, .external_lex_state = 3},
  [3826] = {.lex_state = 90, .external_lex_state = 3},
  [3827] = {.lex_state = 19, .external_lex_state = 3},
  [3828] = {.lex_state = 91, .external_lex_state = 3},
  [3829] = {.lex_state = 90, .external_lex_state = 3},
  [3830] = {.lex_state = 90, .external_lex_state = 3},
  [3831] = {.lex_state = 86, .external_lex_state = 3},
  [3832] = {.lex_state = 90, .external_lex_state = 3},
  [3833] = {.lex_state = 82, .external_lex_state = 3},
  [3834] = {.lex_state = 19, .external_lex_state = 3},
  [3835] = {.lex_state = 90, .external_lex_state = 3},
  [3836] = {.lex_state = 90, .external_lex_state = 3},
  [3837] = {.lex_state = 82, .external_lex_state = 3},
  [3838] = {.lex_state = 82, .external_lex_state = 3},
  [3839] = {.lex_state = 91, .external_lex_state = 3},
  [3840] = {.lex_state = 82, .external_lex_state = 3},
  [3841] = {.lex_state = 82, .external_lex_state = 3},
  [3842] = {.lex_state = 82, .external_lex_state = 3},
  [3843] = {.lex_state = 19, .external_lex_state = 3},
  [3844] = {.lex_state = 19, .external_lex_state = 3},
  [3845] = {.lex_state = 82, .external_lex_state = 3},
  [3846] = {.lex_state = 19, .external_lex_state = 3},
  [3847] = {.lex_state = 82, .external_lex_state = 3},
  [3848] = {.lex_state = 71, .external_lex_state = 3},
  [3849] = {.lex_state = 19, .external_lex_state = 3},
  [3850] = {.lex_state = 82, .external_lex_state = 3},
  [3851] = {.lex_state = 82, .external_lex_state = 3},
  [3852] = {.lex_state = 19, .external_lex_state = 3},
  [3853] = {.lex_state = 82, .external_lex_state = 3},
  [3854] = {.lex_state = 19, .external_lex_state = 3},
  [3855] = {.lex_state = 90, .external_lex_state = 3},
  [3856] = {.lex_state = 19, .external_lex_state = 3},
  [3857] = {.lex_state = 90, .external_lex_state = 3},
  [3858] = {.lex_state = 19, .external_lex_state = 3},
  [3859] = {.lex_state = 82, .external_lex_state = 3},
  [3860] = {.lex_state = 82, .external_lex_state = 3},
  [3861] = {.lex_state = 90, .external_lex_state = 3},
  [3862] = {.lex_state = 90, .external_lex_state = 3},
  [3863] = {.lex_state = 19, .external_lex_state = 3},
  [3864] = {.lex_state = 90, .external_lex_state = 3},
  [3865] = {.lex_state = 86, .external_lex_state = 3},
  [3866] = {.lex_state = 90, .external_lex_state = 3},
  [3867] = {.lex_state = 82, .external_lex_state = 3},
  [3868] = {.lex_state = 82, .external_lex_state = 3},
  [3869] = {.lex_state = 19, .external_lex_state = 3},
  [3870] = {.lex_state = 82, .external_lex_state = 3},
  [3871] = {.lex_state = 19, .external_lex_state = 3},
  [3872] = {.lex_state = 82, .external_lex_state = 3},
  [3873] = {.lex_state = 82, .external_lex_state = 3},
  [3874] = {.lex_state = 82, .external_lex_state = 3},
  [3875] = {.lex_state = 82, .external_lex_state = 3},
  [3876] = {.lex_state = 19, .external_lex_state = 3},
  [3877] = {.lex_state = 90, .external_lex_state = 3},
  [3878] = {.lex_state = 90, .external_lex_state = 3},
  [3879] = {.lex_state = 82, .external_lex_state = 3},
  [3880] = {.lex_state = 82, .external_lex_state = 3},
  [3881] = {.lex_state = 82, .external_lex_state = 3},
  [3882] = {.lex_state = 90, .external_lex_state = 3},
  [3883] = {.lex_state = 90, .external_lex_state = 3},
  [3884] = {.lex_state = 91, .external_lex_state = 3},
  [3885] = {.lex_state = 19, .external_lex_state = 3},
  [3886] = {.lex_state = 82, .external_lex_state = 3},
  [3887] = {.lex_state = 19, .external_lex_state = 3},
  [3888] = {.lex_state = 90, .external_lex_state = 3},
  [3889] = {.lex_state = 90, .external_lex_state = 3},
  [3890] = {.lex_state = 19, .external_lex_state = 3},
  [3891] = {.lex_state = 90, .external_lex_state = 3},
  [3892] = {.lex_state = 82, .external_lex_state = 3},
  [3893] = {.lex_state = 19, .external_lex_state = 3},
  [3894] = {.lex_state = 90, .external_lex_state = 3},
  [3895] = {.lex_state = 19, .external_lex_state = 3},
  [3896] = {.lex_state = 90, .external_lex_state = 3},
  [3897] = {.lex_state = 19, .external_lex_state = 3},
  [3898] = {.lex_state = 19, .external_lex_state = 3},
  [3899] = {.lex_state = 90, .external_lex_state = 3},
  [3900] = {.lex_state = 82, .external_lex_state = 3},
  [3901] = {.lex_state = 82, .external_lex_state = 3},
  [3902] = {.lex_state = 91, .external_lex_state = 3},
  [3903] = {.lex_state = 91, .external_lex_state = 3},
  [3904] = {.lex_state = 19, .external_lex_state = 3},
  [3905] = {.lex_state = 19, .external_lex_state = 3},
  [3906] = {.lex_state = 82, .external_lex_state = 3},
  [3907] = {.lex_state = 91, .external_lex_state = 3},
  [3908] = {.lex_state = 82, .external_lex_state = 3},
  [3909] = {.lex_state = 82, .external_lex_state = 3},
  [3910] = {.lex_state = 82, .external_lex_state = 3},
  [3911] = {.lex_state = 19, .external_lex_state = 3},
  [3912] = {.lex_state = 19, .external_lex_state = 3},
  [3913] = {.lex_state = 82, .external_lex_state = 3},
  [3914] = {.lex_state = 82, .external_lex_state = 3},
  [3915] = {.lex_state = 82, .external_lex_state = 3},
  [3916] = {.lex_state = 19, .external_lex_state = 3},
  [3917] = {.lex_state = 19, .external_lex_state = 3},
  [3918] = {.lex_state = 82, .external_lex_state = 3},
  [3919] = {.lex_state = 82, .external_lex_state = 3},
  [3920] = {.lex_state = 82, .external_lex_state = 3},
  [3921] = {.lex_state = 82, .external_lex_state = 3},
  [3922] = {.lex_state = 82, .external_lex_state = 3},
  [3923] = {.lex_state = 90, .external_lex_state = 3},
  [3924] = {.lex_state = 19, .external_lex_state = 3},
  [3925] = {.lex_state = 91, .external_lex_state = 3},
  [3926] = {.lex_state = 82, .external_lex_state = 3},
  [3927] = {.lex_state = 82, .external_lex_state = 3},
  [3928] = {.lex_state = 19, .external_lex_state = 3},
  [3929] = {.lex_state = 90, .external_lex_state = 3},
  [3930] = {.lex_state = 90, .external_lex_state = 3},
  [3931] = {.lex_state = 82, .external_lex_state = 3},
  [3932] = {.lex_state = 90, .external_lex_state = 3},
  [3933] = {.lex_state = 86, .external_lex_state = 3},
  [3934] = {.lex_state = 86, .external_lex_state = 3},
  [3935] = {.lex_state = 91, .external_lex_state = 3},
  [3936] = {.lex_state = 19, .external_lex_state = 3},
  [3937] = {.lex_state = 92, .external_lex_state = 3},
  [3938] = {.lex_state = 19, .external_lex_state = 3},
  [3939] = {.lex_state = 86, .external_lex_state = 3},
  [3940] = {.lex_state = 91, .external_lex_state = 3},
  [3941] = {.lex_state = 19, .external_lex_state = 3},
  [3942] = {.lex_state = 91, .external_lex_state = 3},
  [3943] = {.lex_state = 91, .external_lex_state = 3},
  [3944] = {.lex_state = 91, .external_lex_state = 3},
  [3945] = {.lex_state = 91, .external_lex_state = 3},
  [3946] = {.lex_state = 86, .external_lex_state = 3},
  [3947] = {.lex_state = 85, .external_lex_state = 3},
  [3948] = {.lex_state = 91, .external_lex_state = 3},
  [3949] = {.lex_state = 19, .external_lex_state = 3},
  [3950] = {.lex_state = 71, .external_lex_state = 3},
  [3951] = {.lex_state = 91, .external_lex_state = 3},
  [3952] = {.lex_state = 91, .external_lex_state = 3},
  [3953] = {.lex_state = 67, .external_lex_state = 3},
  [3954] = {.lex_state = 86, .external_lex_state = 3},
  [3955] = {.lex_state = 91, .external_lex_state = 3},
  [3956] = {.lex_state = 91, .external_lex_state = 3},
  [3957] = {.lex_state = 86, .external_lex_state = 3},
  [3958] = {.lex_state = 86, .external_lex_state = 3},
  [3959] = {.lex_state = 92, .external_lex_state = 3},
  [3960] = {.lex_state = 91, .external_lex_state = 3},
  [3961] = {.lex_state = 91, .external_lex_state = 3},
  [3962] = {.lex_state = 91, .external_lex_state = 3},
  [3963] = {.lex_state = 19, .external_lex_state = 3},
  [3964] = {.lex_state = 19, .external_lex_state = 3},
  [3965] = {.lex_state = 91, .external_lex_state = 3},
  [3966] = {.lex_state = 86, .external_lex_state = 3},
  [3967] = {.lex_state = 19, .external_lex_state = 3},
  [3968] = {.lex_state = 19, .external_lex_state = 3},
  [3969] = {.lex_state = 86, .external_lex_state = 3},
  [3970] = {.lex_state = 86, .external_lex_state = 3},
  [3971] = {.lex_state = 86, .external_lex_state = 3},
  [3972] = {.lex_state = 91, .external_lex_state = 3},
  [3973] = {.lex_state = 19, .external_lex_state = 3},
  [3974] = {.lex_state = 71, .external_lex_state = 3},
  [3975] = {.lex_state = 86, .external_lex_state = 3},
  [3976] = {.lex_state = 19, .external_lex_state = 3},
  [3977] = {.lex_state = 86, .external_lex_state = 3},
  [3978] = {.lex_state = 85, .external_lex_state = 3},
  [3979] = {.lex_state = 19, .external_lex_state = 3},
  [3980] = {.lex_state = 91, .external_lex_state = 3},
  [3981] = {.lex_state = 86, .external_lex_state = 3},
  [3982] = {.lex_state = 91, .external_lex_state = 3},
  [3983] = {.lex_state = 91, .external_lex_state = 3},
  [3984] = {.lex_state = 91, .external_lex_state = 3},
  [3985] = {.lex_state = 91, .external_lex_state = 3},
  [3986] = {.lex_state = 91, .external_lex_state = 3},
  [3987] = {.lex_state = 92, .external_lex_state = 3},
  [3988] = {.lex_state = 91, .external_lex_state = 3},
  [3989] = {.lex_state = 68, .external_lex_state = 3},
  [3990] = {.lex_state = 91, .external_lex_state = 3},
  [3991] = {.lex_state = 19, .external_lex_state = 3},
  [3992] = {.lex_state = 91, .external_lex_state = 3},
  [3993] = {.lex_state = 91, .external_lex_state = 3},
  [3994] = {.lex_state = 19, .external_lex_state = 3},
  [3995] = {.lex_state = 91, .external_lex_state = 3},
  [3996] = {.lex_state = 86, .external_lex_state = 3},
  [3997] = {.lex_state = 19, .external_lex_state = 3},
  [3998] = {.lex_state = 91, .external_lex_state = 3},
  [3999] = {.lex_state = 91, .external_lex_state = 3},
  [4000] = {.lex_state = 91, .external_lex_state = 3},
  [4001] = {.lex_state = 86, .external_lex_state = 3},
  [4002] = {.lex_state = 91, .external_lex_state = 3},
  [4003] = {.lex_state = 91, .external_lex_state = 3},
  [4004] = {.lex_state = 19, .external_lex_state = 3},
  [4005] = {.lex_state = 19, .external_lex_state = 3},
  [4006] = {.lex_state = 91, .external_lex_state = 3},
  [4007] = {.lex_state = 86, .external_lex_state = 3},
  [4008] = {.lex_state = 19, .external_lex_state = 3},
  [4009] = {.lex_state = 19, .external_lex_state = 3},
  [4010] = {.lex_state = 86, .external_lex_state = 3},
  [4011] = {.lex_state = 91, .external_lex_state = 3},
  [4012] = {.lex_state = 86, .external_lex_state = 3},
  [4013] = {.lex_state = 92, .external_lex_state = 3},
  [4014] = {.lex_state = 92, .external_lex_state = 3},
  [4015] = {.lex_state = 92, .external_lex_state = 3},
  [4016] = {.lex_state = 92, .external_lex_state = 3},
  [4017] = {.lex_state = 86, .external_lex_state = 3},
  [4018] = {.lex_state = 86, .external_lex_state = 3},
  [4019] = {.lex_state = 91, .external_lex_state = 3},
  [4020] = {.lex_state = 92, .external_lex_state = 3},
  [4021] = {.lex_state = 86, .external_lex_state = 3},
  [4022] = {.lex_state = 19, .external_lex_state = 3},
  [4023] = {.lex_state = 86, .external_lex_state = 3},
  [4024] = {.lex_state = 86, .external_lex_state = 3},
  [4025] = {.lex_state = 19, .external_lex_state = 3},
  [4026] = {.lex_state = 73, .external_lex_state = 3},
  [4027] = {.lex_state = 19, .external_lex_state = 3},
  [4028] = {.lex_state = 86, .external_lex_state = 3},
  [4029] = {.lex_state = 19, .external_lex_state = 3},
  [4030] = {.lex_state = 19, .external_lex_state = 3},
  [4031] = {.lex_state = 86, .external_lex_state = 3},
  [4032] = {.lex_state = 19, .external_lex_state = 3},
  [4033] = {.lex_state = 86, .external_lex_state = 3},
  [4034] = {.lex_state = 86, .external_lex_state = 3},
  [4035] = {.lex_state = 91, .external_lex_state = 3},
  [4036] = {.lex_state = 86, .external_lex_state = 3},
  [4037] = {.lex_state = 91, .external_lex_state = 3},
  [4038] = {.lex_state = 91, .external_lex_state = 3},
  [4039] = {.lex_state = 86, .external_lex_state = 3},
  [4040] = {.lex_state = 85, .external_lex_state = 3},
  [4041] = {.lex_state = 19, .external_lex_state = 3},
  [4042] = {.lex_state = 91, .external_lex_state = 3},
  [4043] = {.lex_state = 91, .external_lex_state = 3},
  [4044] = {.lex_state = 67, .external_lex_state = 3},
  [4045] = {.lex_state = 19, .external_lex_state = 3},
  [4046] = {.lex_state = 86, .external_lex_state = 3},
  [4047] = {.lex_state = 86, .external_lex_state = 3},
  [4048] = {.lex_state = 19, .external_lex_state = 3},
  [4049] = {.lex_state = 19, .external_lex_state = 3},
  [4050] = {.lex_state = 91, .external_lex_state = 3},
  [4051] = {.lex_state = 91, .external_lex_state = 3},
  [4052] = {.lex_state = 91, .external_lex_state = 3},
  [4053] = {.lex_state = 91, .external_lex_state = 3},
  [4054] = {.lex_state = 91, .external_lex_state = 3},
  [4055] = {.lex_state = 91, .external_lex_state = 3},
  [4056] = {.lex_state = 91, .external_lex_state = 3},
  [4057] = {.lex_state = 86, .external_lex_state = 3},
  [4058] = {.lex_state = 19, .external_lex_state = 3},
  [4059] = {.lex_state = 91, .external_lex_state = 3},
  [4060] = {.lex_state = 86, .external_lex_state = 3},
  [4061] = {.lex_state = 91, .external_lex_state = 3},
  [4062] = {.lex_state = 86, .external_lex_state = 3},
  [4063] = {.lex_state = 19, .external_lex_state = 3},
  [4064] = {.lex_state = 86, .external_lex_state = 3},
  [4065] = {.lex_state = 91, .external_lex_state = 3},
  [4066] = {.lex_state = 86, .external_lex_state = 3},
  [4067] = {.lex_state = 86, .external_lex_state = 3},
  [4068] = {.lex_state = 85, .external_lex_state = 3},
  [4069] = {.lex_state = 85, .external_lex_state = 3},
  [4070] = {.lex_state = 19, .external_lex_state = 3},
  [4071] = {.lex_state = 86, .external_lex_state = 3},
  [4072] = {.lex_state = 86, .external_lex_state = 3},
  [4073] = {.lex_state = 86, .external_lex_state = 3},
  [4074] = {.lex_state = 86, .external_lex_state = 3},
  [4075] = {.lex_state = 19, .external_lex_state = 3},
  [4076] = {.lex_state = 85, .external_lex_state = 3},
  [4077] = {.lex_state = 86, .external_lex_state = 3},
  [4078] = {.lex_state = 86, .external_lex_state = 3},
  [4079] = {.lex_state = 86, .external_lex_state = 3},
  [4080] = {.lex_state = 19, .external_lex_state = 3},
  [4081] = {.lex_state = 19, .external_lex_state = 3},
  [4082] = {.lex_state = 86, .external_lex_state = 3},
  [4083] = {.lex_state = 86, .external_lex_state = 3},
  [4084] = {.lex_state = 19, .external_lex_state = 3},
  [4085] = {.lex_state = 19, .external_lex_state = 3},
  [4086] = {.lex_state = 72, .external_lex_state = 3},
  [4087] = {.lex_state = 19, .external_lex_state = 3},
  [4088] = {.lex_state = 19, .external_lex_state = 3},
  [4089] = {.lex_state = 86, .external_lex_state = 3},
  [4090] = {.lex_state = 86, .external_lex_state = 3},
  [4091] = {.lex_state = 19, .external_lex_state = 3},
  [4092] = {.lex_state = 86, .external_lex_state = 3},
  [4093] = {.lex_state = 91, .external_lex_state = 3},
  [4094] = {.lex_state = 19, .external_lex_state = 3},
  [4095] = {.lex_state = 92, .external_lex_state = 3},
  [4096] = {.lex_state = 86, .external_lex_state = 3},
  [4097] = {.lex_state = 86, .external_lex_state = 3},
  [4098] = {.lex_state = 19, .external_lex_state = 3},
  [4099] = {.lex_state = 86, .external_lex_state = 3},
  [4100] = {.lex_state = 86, .external_lex_state = 3},
  [4101] = {.lex_state = 86, .external_lex_state = 3},
  [4102] = {.lex_state = 86, .external_lex_state = 3},
  [4103] = {.lex_state = 86, .external_lex_state = 3},
  [4104] = {.lex_state = 85, .external_lex_state = 3},
  [4105] = {.lex_state = 86, .external_lex_state = 3},
  [4106] = {.lex_state = 91, .external_lex_state = 3},
  [4107] = {.lex_state = 86, .external_lex_state = 3},
  [4108] = {.lex_state = 92, .external_lex_state = 3},
  [4109] = {.lex_state = 91, .external_lex_state = 3},
  [4110] = {.lex_state = 86, .external_lex_state = 3},
  [4111] = {.lex_state = 91, .external_lex_state = 3},
  [4112] = {.lex_state = 19, .external_lex_state = 3},
  [4113] = {.lex_state = 86, .external_lex_state = 3},
  [4114] = {.lex_state = 86, .external_lex_state = 3},
  [4115] = {.lex_state = 86, .external_lex_state = 3},
  [4116] = {.lex_state = 91, .external_lex_state = 3},
  [4117] = {.lex_state = 86, .external_lex_state = 3},
  [4118] = {.lex_state = 86, .external_lex_state = 3},
  [4119] = {.lex_state = 91, .external_lex_state = 3},
  [4120] = {.lex_state = 19, .external_lex_state = 3},
  [4121] = {.lex_state = 86, .external_lex_state = 3},
  [4122] = {.lex_state = 86, .external_lex_state = 3},
  [4123] = {.lex_state = 86, .external_lex_state = 3},
  [4124] = {.lex_state = 85, .external_lex_state = 3},
  [4125] = {.lex_state = 85, .external_lex_state = 3},
  [4126] = {.lex_state = 91, .external_lex_state = 3},
  [4127] = {.lex_state = 91, .external_lex_state = 3},
  [4128] = {.lex_state = 85, .external_lex_state = 3},
  [4129] = {.lex_state = 92, .external_lex_state = 3},
  [4130] = {.lex_state = 91, .external_lex_state = 3},
  [4131] = {.lex_state = 19, .external_lex_state = 3},
  [4132] = {.lex_state = 91, .external_lex_state = 3},
  [4133] = {.lex_state = 91, .external_lex_state = 3},
  [4134] = {.lex_state = 86, .external_lex_state = 3},
  [4135] = {.lex_state = 86, .external_lex_state = 3},
  [4136] = {.lex_state = 19, .external_lex_state = 3},
  [4137] = {.lex_state = 91, .external_lex_state = 3},
  [4138] = {.lex_state = 91, .external_lex_state = 3},
  [4139] = {.lex_state = 85, .external_lex_state = 3},
  [4140] = {.lex_state = 91, .external_lex_state = 3},
  [4141] = {.lex_state = 91, .external_lex_state = 3},
  [4142] = {.lex_state = 91, .external_lex_state = 3},
  [4143] = {.lex_state = 91, .external_lex_state = 3},
  [4144] = {.lex_state = 91, .external_lex_state = 3},
  [4145] = {.lex_state = 86, .external_lex_state = 3},
  [4146] = {.lex_state = 91, .external_lex_state = 3},
  [4147] = {.lex_state = 91, .external_lex_state = 3},
  [4148] = {.lex_state = 65, .external_lex_state = 3},
  [4149] = {.lex_state = 91, .external_lex_state = 3},
  [4150] = {.lex_state = 86, .external_lex_state = 3},
  [4151] = {.lex_state = 91, .external_lex_state = 3},
  [4152] = {.lex_state = 19, .external_lex_state = 3},
  [4153] = {.lex_state = 19, .external_lex_state = 3},
  [4154] = {.lex_state = 85, .external_lex_state = 3},
  [4155] = {.lex_state = 85, .external_lex_state = 3},
  [4156] = {.lex_state = 19, .external_lex_state = 3},
  [4157] = {.lex_state = 19, .external_lex_state = 3},
  [4158] = {.lex_state = 92, .external_lex_state = 3},
  [4159] = {.lex_state = 92, .external_lex_state = 3},
  [4160] = {.lex_state = 19, .external_lex_state = 3},
  [4161] = {.lex_state = 19, .external_lex_state = 3},
  [4162] = {.lex_state = 92, .external_lex_state = 3},
  [4163] = {.lex_state = 73, .external_lex_state = 3},
  [4164] = {.lex_state = 85, .external_lex_state = 3},
  [4165] = {.lex_state = 92, .external_lex_state = 3},
  [4166] = {.lex_state = 85, .external_lex_state = 3},
  [4167] = {.lex_state = 85, .external_lex_state = 3},
  [4168] = {.lex_state = 85, .external_lex_state = 3},
  [4169] = {.lex_state = 19, .external_lex_state = 3},
  [4170] = {.lex_state = 66, .external_lex_state = 3},
  [4171] = {.lex_state = 19, .external_lex_state = 3},
  [4172] = {.lex_state = 19, .external_lex_state = 3},
  [4173] = {.lex_state = 85, .external_lex_state = 3},
  [4174] = {.lex_state = 19, .external_lex_state = 3},
  [4175] = {.lex_state = 19, .external_lex_state = 3},
  [4176] = {.lex_state = 92, .external_lex_state = 3},
  [4177] = {.lex_state = 19, .external_lex_state = 3},
  [4178] = {.lex_state = 19, .external_lex_state = 3},
  [4179] = {.lex_state = 85, .external_lex_state = 3},
  [4180] = {.lex_state = 19, .external_lex_state = 3},
  [4181] = {.lex_state = 92, .external_lex_state = 3},
  [4182] = {.lex_state = 19, .external_lex_state = 3},
  [4183] = {.lex_state = 92, .external_lex_state = 3},
  [4184] = {.lex_state = 85, .external_lex_state = 3},
  [4185] = {.lex_state = 85, .external_lex_state = 3},
  [4186] = {.lex_state = 85, .external_lex_state = 3},
  [4187] = {.lex_state = 85, .external_lex_state = 3},
  [4188] = {.lex_state = 19, .external_lex_state = 3},
  [4189] = {.lex_state = 65, .external_lex_state = 3},
  [4190] = {.lex_state = 19, .external_lex_state = 3},
  [4191] = {.lex_state = 19, .external_lex_state = 3},
  [4192] = {.lex_state = 92, .external_lex_state = 3},
  [4193] = {.lex_state = 19, .external_lex_state = 3},
  [4194] = {.lex_state = 85, .external_lex_state = 3},
  [4195] = {.lex_state = 19, .external_lex_state = 3},
  [4196] = {.lex_state = 92, .external_lex_state = 3},
  [4197] = {.lex_state = 85, .external_lex_state = 3},
  [4198] = {.lex_state = 85, .external_lex_state = 3},
  [4199] = {.lex_state = 92, .external_lex_state = 3},
  [4200] = {.lex_state = 85, .external_lex_state = 3},
  [4201] = {.lex_state = 19, .external_lex_state = 3},
  [4202] = {.lex_state = 19, .external_lex_state = 3},
  [4203] = {.lex_state = 92, .external_lex_state = 3},
  [4204] = {.lex_state = 92, .external_lex_state = 3},
  [4205] = {.lex_state = 19, .external_lex_state = 3},
  [4206] = {.lex_state = 19, .external_lex_state = 3},
  [4207] = {.lex_state = 92, .external_lex_state = 3},
  [4208] = {.lex_state = 19, .external_lex_state = 3},
  [4209] = {.lex_state = 92, .external_lex_state = 3},
  [4210] = {.lex_state = 68, .external_lex_state = 3},
  [4211] = {.lex_state = 92, .external_lex_state = 3},
  [4212] = {.lex_state = 85, .external_lex_state = 3},
  [4213] = {.lex_state = 85, .external_lex_state = 3},
  [4214] = {.lex_state = 85, .external_lex_state = 3},
  [4215] = {.lex_state = 19, .external_lex_state = 3},
  [4216] = {.lex_state = 92, .external_lex_state = 3},
  [4217] = {.lex_state = 19, .external_lex_state = 3},
  [4218] = {.lex_state = 19, .external_lex_state = 3},
  [4219] = {.lex_state = 19, .external_lex_state = 3},
  [4220] = {.lex_state = 19, .external_lex_state = 3},
  [4221] = {.lex_state = 19, .external_lex_state = 3},
  [4222] = {.lex_state = 85, .external_lex_state = 3},
  [4223] = {.lex_state = 92, .external_lex_state = 3},
  [4224] = {.lex_state = 19, .external_lex_state = 3},
  [4225] = {.lex_state = 65, .external_lex_state = 3},
  [4226] = {.lex_state = 19, .external_lex_state = 3},
  [4227] = {.lex_state = 85, .external_lex_state = 3},
  [4228] = {.lex_state = 19, .external_lex_state = 3},
  [4229] = {.lex_state = 19, .external_lex_state = 3},
  [4230] = {.lex_state = 92, .external_lex_state = 3},
  [4231] = {.lex_state = 92, .external_lex_state = 3},
  [4232] = {.lex_state = 19, .external_lex_state = 3},
  [4233] = {.lex_state = 92, .external_lex_state = 3},
  [4234] = {.lex_state = 92, .external_lex_state = 3},
  [4235] = {.lex_state = 19, .external_lex_state = 3},
  [4236] = {.lex_state = 92, .external_lex_state = 3},
  [4237] = {.lex_state = 85, .external_lex_state = 3},
  [4238] = {.lex_state = 85, .external_lex_state = 3},
  [4239] = {.lex_state = 92, .external_lex_state = 3},
  [4240] = {.lex_state = 19, .external_lex_state = 3},
  [4241] = {.lex_state = 85, .external_lex_state = 3},
  [4242] = {.lex_state = 19, .external_lex_state = 3},
  [4243] = {.lex_state = 92, .external_lex_state = 3},
  [4244] = {.lex_state = 19, .external_lex_state = 3},
  [4245] = {.lex_state = 85, .external_lex_state = 3},
  [4246] = {.lex_state = 85, .external_lex_state = 3},
  [4247] = {.lex_state = 19, .external_lex_state = 3},
  [4248] = {.lex_state = 19, .external_lex_state = 3},
  [4249] = {.lex_state = 92, .external_lex_state = 3},
  [4250] = {.lex_state = 85, .external_lex_state = 3},
  [4251] = {.lex_state = 19, .external_lex_state = 3},
  [4252] = {.lex_state = 19, .external_lex_state = 3},
  [4253] = {.lex_state = 19, .external_lex_state = 3},
  [4254] = {.lex_state = 19, .external_lex_state = 3},
  [4255] = {.lex_state = 19, .external_lex_state = 3},
  [4256] = {.lex_state = 19, .external_lex_state = 3},
  [4257] = {.lex_state = 19, .external_lex_state = 3},
  [4258] = {.lex_state = 19, .external_lex_state = 3},
  [4259] = {.lex_state = 19, .external_lex_state = 3},
  [4260] = {.lex_state = 19, .external_lex_state = 3},
  [4261] = {.lex_state = 19, .external_lex_state = 3},
  [4262] = {.lex_state = 19, .external_lex_state = 3},
  [4263] = {.lex_state = 92, .external_lex_state = 3},
  [4264] = {.lex_state = 19, .external_lex_state = 3},
  [4265] = {.lex_state = 19, .external_lex_state = 3},
  [4266] = {.lex_state = 19, .external_lex_state = 3},
  [4267] = {.lex_state = 92, .external_lex_state = 3},
  [4268] = {.lex_state = 92, .external_lex_state = 3},
  [4269] = {.lex_state = 19, .external_lex_state = 3},
  [4270] = {.lex_state = 19, .external_lex_state = 3},
  [4271] = {.lex_state = 92, .external_lex_state = 3},
  [4272] = {.lex_state = 92, .external_lex_state = 3},
  [4273] = {.lex_state = 92, .external_lex_state = 3},
  [4274] = {.lex_state = 92, .external_lex_state = 3},
  [4275] = {.lex_state = 85, .external_lex_state = 3},
  [4276] = {.lex_state = 85, .external_lex_state = 3},
  [4277] = {.lex_state = 19, .external_lex_state = 3},
  [4278] = {.lex_state = 92, .external_lex_state = 3},
  [4279] = {.lex_state = 19, .external_lex_state = 3},
  [4280] = {.lex_state = 19, .external_lex_state = 3},
  [4281] = {.lex_state = 92, .external_lex_state = 3},
  [4282] = {.lex_state = 19, .external_lex_state = 3},
  [4283] = {.lex_state = 92, .external_lex_state = 3},
  [4284] = {.lex_state = 73, .external_lex_state = 3},
  [4285] = {.lex_state = 92, .external_lex_state = 3},
  [4286] = {.lex_state = 92, .external_lex_state = 3},
  [4287] = {.lex_state = 19, .external_lex_state = 3},
  [4288] = {.lex_state = 85, .external_lex_state = 3},
  [4289] = {.lex_state = 72, .external_lex_state = 3},
  [4290] = {.lex_state = 19, .external_lex_state = 3},
  [4291] = {.lex_state = 19, .external_lex_state = 3},
  [4292] = {.lex_state = 92, .external_lex_state = 3},
  [4293] = {.lex_state = 19, .external_lex_state = 3},
  [4294] = {.lex_state = 85, .external_lex_state = 3},
  [4295] = {.lex_state = 85, .external_lex_state = 3},
  [4296] = {.lex_state = 92, .external_lex_state = 3},
  [4297] = {.lex_state = 92, .external_lex_state = 3},
  [4298] = {.lex_state = 85, .external_lex_state = 3},
  [4299] = {.lex_state = 19, .external_lex_state = 3},
  [4300] = {.lex_state = 85, .external_lex_state = 3},
  [4301] = {.lex_state = 85, .external_lex_state = 3},
  [4302] = {.lex_state = 19, .external_lex_state = 3},
  [4303] = {.lex_state = 85, .external_lex_state = 3},
  [4304] = {.lex_state = 19, .external_lex_state = 3},
  [4305] = {.lex_state = 85, .external_lex_state = 3},
  [4306] = {.lex_state = 19, .external_lex_state = 3},
  [4307] = {.lex_state = 85, .external_lex_state = 3},
  [4308] = {.lex_state = 19, .external_lex_state = 3},
  [4309] = {.lex_state = 92, .external_lex_state = 3},
  [4310] = {.lex_state = 92, .external_lex_state = 3},
  [4311] = {.lex_state = 85, .external_lex_state = 3},
  [4312] = {.lex_state = 19, .external_lex_state = 3},
  [4313] = {.lex_state = 85, .external_lex_state = 3},
  [4314] = {.lex_state = 85, .external_lex_state = 3},
  [4315] = {.lex_state = 85, .external_lex_state = 3},
  [4316] = {.lex_state = 92, .external_lex_state = 3},
  [4317] = {.lex_state = 85, .external_lex_state = 3},
  [4318] = {.lex_state = 19, .external_lex_state = 3},
  [4319] = {.lex_state = 19, .external_lex_state = 3},
  [4320] = {.lex_state = 19, .external_lex_state = 3},
  [4321] = {.lex_state = 85, .external_lex_state = 3},
  [4322] = {.lex_state = 19, .external_lex_state = 3},
  [4323] = {.lex_state = 19, .external_lex_state = 3},
  [4324] = {.lex_state = 19, .external_lex_state = 3},
  [4325] = {.lex_state = 19, .external_lex_state = 3},
  [4326] = {.lex_state = 19, .external_lex_state = 3},
  [4327] = {.lex_state = 85, .external_lex_state = 3},
  [4328] = {.lex_state = 19, .external_lex_state = 3},
  [4329] = {.lex_state = 19, .external_lex_state = 3},
  [4330] = {.lex_state = 92, .external_lex_state = 3},
  [4331] = {.lex_state = 92, .external_lex_state = 3},
  [4332] = {.lex_state = 85, .external_lex_state = 3},
  [4333] = {.lex_state = 85, .external_lex_state = 3},
  [4334] = {.lex_state = 19, .external_lex_state = 3},
  [4335] = {.lex_state = 92, .external_lex_state = 3},
  [4336] = {.lex_state = 92, .external_lex_state = 3},
  [4337] = {.lex_state = 92, .external_lex_state = 3},
  [4338] = {.lex_state = 92, .external_lex_state = 3},
  [4339] = {.lex_state = 19, .external_lex_state = 3},
  [4340] = {.lex_state = 19, .external_lex_state = 3},
  [4341] = {.lex_state = 85, .external_lex_state = 3},
  [4342] = {.lex_state = 92, .external_lex_state = 3},
  [4343] = {.lex_state = 19, .external_lex_state = 3},
  [4344] = {.lex_state = 19, .external_lex_state = 3},
  [4345] = {.lex_state = 19, .external_lex_state = 3},
  [4346] = {.lex_state = 19, .external_lex_state = 3},
  [4347] = {.lex_state = 92, .external_lex_state = 3},
  [4348] = {.lex_state = 19, .external_lex_state = 3},
  [4349] = {.lex_state = 92, .external_lex_state = 3},
  [4350] = {.lex_state = 19, .external_lex_state = 3},
  [4351] = {.lex_state = 85, .external_lex_state = 3},
  [4352] = {.lex_state = 92, .external_lex_state = 3},
  [4353] = {.lex_state = 19, .external_lex_state = 3},
  [4354] = {.lex_state = 85, .external_lex_state = 3},
  [4355] = {.lex_state = 19, .external_lex_state = 3},
  [4356] = {.lex_state = 92, .external_lex_state = 3},
  [4357] = {.lex_state = 92, .external_lex_state = 3},
  [4358] = {.lex_state = 92, .external_lex_state = 3},
  [4359] = {.lex_state = 19, .external_lex_state = 3},
  [4360] = {.lex_state = 85, .external_lex_state = 3},
  [4361] = {.lex_state = 19, .external_lex_state = 3},
  [4362] = {.lex_state = 92, .external_lex_state = 3},
  [4363] = {.lex_state = 92, .external_lex_state = 3},
  [4364] = {.lex_state = 92, .external_lex_state = 3},
  [4365] = {.lex_state = 19, .external_lex_state = 3},
  [4366] = {.lex_state = 85, .external_lex_state = 3},
  [4367] = {.lex_state = 19, .external_lex_state = 3},
  [4368] = {.lex_state = 92, .external_lex_state = 3},
  [4369] = {.lex_state = 19, .external_lex_state = 3},
  [4370] = {.lex_state = 85, .external_lex_state = 3},
  [4371] = {.lex_state = 92, .external_lex_state = 3},
  [4372] = {.lex_state = 92, .external_lex_state = 3},
  [4373] = {.lex_state = 19, .external_lex_state = 3},
  [4374] = {.lex_state = 92, .external_lex_state = 3},
  [4375] = {.lex_state = 85, .external_lex_state = 3},
  [4376] = {.lex_state = 92, .external_lex_state = 3},
  [4377] = {.lex_state = 85, .external_lex_state = 3},
  [4378] = {.lex_state = 19, .external_lex_state = 3},
  [4379] = {.lex_state = 85, .external_lex_state = 3},
  [4380] = {.lex_state = 19, .external_lex_state = 3},
  [4381] = {.lex_state = 19, .external_lex_state = 3},
  [4382] = {.lex_state = 19, .external_lex_state = 3},
  [4383] = {.lex_state = 92, .external_lex_state = 3},
  [4384] = {.lex_state = 19, .external_lex_state = 3},
  [4385] = {.lex_state = 19, .external_lex_state = 3},
  [4386] = {.lex_state = 85, .external_lex_state = 3},
  [4387] = {.lex_state = 19, .external_lex_state = 3},
  [4388] = {.lex_state = 19, .external_lex_state = 3},
  [4389] = {.lex_state = 74, .external_lex_state = 3},
  [4390] = {.lex_state = 85, .external_lex_state = 3},
  [4391] = {.lex_state = 19, .external_lex_state = 3},
  [4392] = {.lex_state = 19, .external_lex_state = 3},
  [4393] = {.lex_state = 85, .external_lex_state = 3},
  [4394] = {.lex_state = 85, .external_lex_state = 3},
  [4395] = {.lex_state = 19, .external_lex_state = 3},
  [4396] = {.lex_state = 85, .external_lex_state = 3},
  [4397] = {.lex_state = 85, .external_lex_state = 3},
  [4398] = {.lex_state = 92, .external_lex_state = 3},
  [4399] = {.lex_state = 19, .external_lex_state = 3},
  [4400] = {.lex_state = 85, .external_lex_state = 3},
  [4401] = {.lex_state = 19, .external_lex_state = 3},
  [4402] = {.lex_state = 85, .external_lex_state = 3},
  [4403] = {.lex_state = 19, .external_lex_state = 3},
  [4404] = {.lex_state = 85, .external_lex_state = 3},
  [4405] = {.lex_state = 19, .external_lex_state = 3},
  [4406] = {.lex_state = 85, .external_lex_state = 3},
  [4407] = {.lex_state = 72, .external_lex_state = 3},
  [4408] = {.lex_state = 85, .external_lex_state = 3},
  [4409] = {.lex_state = 85, .external_lex_state = 3},
  [4410] = {.lex_state = 19, .external_lex_state = 3},
  [4411] = {.lex_state = 19, .external_lex_state = 3},
  [4412] = {.lex_state = 92, .external_lex_state = 3},
  [4413] = {.lex_state = 19, .external_lex_state = 3},
  [4414] = {.lex_state = 85, .external_lex_state = 3},
  [4415] = {.lex_state = 19, .external_lex_state = 3},
  [4416] = {.lex_state = 85, .external_lex_state = 3},
  [4417] = {.lex_state = 19, .external_lex_state = 3},
  [4418] = {.lex_state = 19, .external_lex_state = 3},
  [4419] = {.lex_state = 19, .external_lex_state = 3},
  [4420] = {.lex_state = 19, .external_lex_state = 3},
  [4421] = {.lex_state = 92, .external_lex_state = 3},
  [4422] = {.lex_state = 92, .external_lex_state = 3},
  [4423] = {.lex_state = 19, .external_lex_state = 3},
  [4424] = {.lex_state = 19, .external_lex_state = 3},
  [4425] = {.lex_state = 19, .external_lex_state = 3},
  [4426] = {.lex_state = 19, .external_lex_state = 3},
  [4427] = {.lex_state = 19, .external_lex_state = 3},
  [4428] = {.lex_state = 85, .external_lex_state = 3},
  [4429] = {.lex_state = 19, .external_lex_state = 3},
  [4430] = {.lex_state = 68, .external_lex_state = 3},
  [4431] = {.lex_state = 85, .external_lex_state = 3},
  [4432] = {.lex_state = 19, .external_lex_state = 3},
  [4433] = {.lex_state = 19, .external_lex_state = 3},
  [4434] = {.lex_state = 19, .external_lex_state = 3},
  [4435] = {.lex_state = 92, .external_lex_state = 3},
  [4436] = {.lex_state = 92, .external_lex_state = 3},
  [4437] = {.lex_state = 92, .external_lex_state = 3},
  [4438] = {.lex_state = 19, .external_lex_state = 3},
  [4439] = {.lex_state = 19, .external_lex_state = 3},
  [4440] = {.lex_state = 19, .external_lex_state = 3},
  [4441] = {.lex_state = 19, .external_lex_state = 3},
  [4442] = {.lex_state = 19, .external_lex_state = 3},
  [4443] = {.lex_state = 19, .external_lex_state = 3},
  [4444] = {.lex_state = 19, .external_lex_state = 3},
  [4445] = {.lex_state = 74, .external_lex_state = 3},
  [4446] = {.lex_state = 19, .external_lex_state = 3},
  [4447] = {.lex_state = 19, .external_lex_state = 3},
  [4448] = {.lex_state = 19, .external_lex_state = 3},
  [4449] = {.lex_state = 19, .external_lex_state = 3},
  [4450] = {.lex_state = 19, .external_lex_state = 3},
  [4451] = {.lex_state = 19, .external_lex_state = 3},
  [4452] = {.lex_state = 19, .external_lex_state = 3},
  [4453] = {.lex_state = 19, .external_lex_state = 3},
  [4454] = {.lex_state = 19, .external_lex_state = 3},
  [4455] = {.lex_state = 74, .external_lex_state = 3},
  [4456] = {.lex_state = 19, .external_lex_state = 3},
  [4457] = {.lex_state = 19, .external_lex_state = 3},
  [4458] = {.lex_state = 19, .external_lex_state = 3},
  [4459] = {.lex_state = 19, .external_lex_state = 3},
  [4460] = {.lex_state = 19, .external_lex_state = 3},
  [4461] = {.lex_state = 19, .external_lex_state = 3},
  [4462] = {.lex_state = 19, .external_lex_state = 3},
  [4463] = {.lex_state = 19, .external_lex_state = 3},
  [4464] = {.lex_state = 19, .external_lex_state = 3},
  [4465] = {.lex_state = 19, .external_lex_state = 3},
  [4466] = {.lex_state = 19, .external_lex_state = 3},
  [4467] = {.lex_state = 75, .external_lex_state = 3},
  [4468] = {.lex_state = 19, .external_lex_state = 3},
  [4469] = {.lex_state = 19, .external_lex_state = 3},
  [4470] = {.lex_state = 19, .external_lex_state = 3},
  [4471] = {.lex_state = 19, .external_lex_state = 3},
  [4472] = {.lex_state = 66, .external_lex_state = 3},
  [4473] = {.lex_state = 19, .external_lex_state = 3},
  [4474] = {.lex_state = 19, .external_lex_state = 3},
  [4475] = {.lex_state = 19, .external_lex_state = 3},
  [4476] = {.lex_state = 19, .external_lex_state = 3},
  [4477] = {.lex_state = 70, .external_lex_state = 3},
  [4478] = {.lex_state = 19, .external_lex_state = 3},
  [4479] = {.lex_state = 19, .external_lex_state = 3},
  [4480] = {.lex_state = 19, .external_lex_state = 3},
  [4481] = {.lex_state = 19, .external_lex_state = 3},
  [4482] = {.lex_state = 19, .external_lex_state = 3},
  [4483] = {.lex_state = 19, .external_lex_state = 3},
  [4484] = {.lex_state = 19, .external_lex_state = 3},
  [4485] = {.lex_state = 19, .external_lex_state = 3},
  [4486] = {.lex_state = 19, .external_lex_state = 3},
  [4487] = {.lex_state = 19, .external_lex_state = 3},
  [4488] = {.lex_state = 19, .external_lex_state = 3},
  [4489] = {.lex_state = 19, .external_lex_state = 3},
  [4490] = {.lex_state = 19, .external_lex_state = 3},
  [4491] = {.lex_state = 19, .external_lex_state = 3},
  [4492] = {.lex_state = 19, .external_lex_state = 3},
  [4493] = {.lex_state = 66, .external_lex_state = 3},
  [4494] = {.lex_state = 19, .external_lex_state = 3},
  [4495] = {.lex_state = 19, .external_lex_state = 3},
  [4496] = {.lex_state = 19, .external_lex_state = 3},
  [4497] = {.lex_state = 19, .external_lex_state = 3},
  [4498] = {.lex_state = 19, .external_lex_state = 3},
  [4499] = {.lex_state = 19, .external_lex_state = 3},
  [4500] = {.lex_state = 19, .external_lex_state = 3},
  [4501] = {.lex_state = 19, .external_lex_state = 3},
  [4502] = {.lex_state = 19, .external_lex_state = 3},
  [4503] = {.lex_state = 19, .external_lex_state = 3},
  [4504] = {.lex_state = 19, .external_lex_state = 3},
  [4505] = {.lex_state = 19, .external_lex_state = 3},
  [4506] = {.lex_state = 19, .external_lex_state = 3},
  [4507] = {.lex_state = 19, .external_lex_state = 3},
  [4508] = {.lex_state = 19, .external_lex_state = 3},
  [4509] = {.lex_state = 69, .external_lex_state = 3},
  [4510] = {.lex_state = 19, .external_lex_state = 3},
  [4511] = {.lex_state = 167, .external_lex_state = 3},
  [4512] = {.lex_state = 19, .external_lex_state = 3},
  [4513] = {.lex_state = 19, .external_lex_state = 3},
  [4514] = {.lex_state = 19, .external_lex_state = 3},
  [4515] = {.lex_state = 167, .external_lex_state = 3},
  [4516] = {.lex_state = 167, .external_lex_state = 3},
  [4517] = {.lex_state = 167, .external_lex_state = 3},
  [4518] = {.lex_state = 19, .external_lex_state = 3},
  [4519] = {.lex_state = 19, .external_lex_state = 3},
  [4520] = {.lex_state = 19, .external_lex_state = 3},
  [4521] = {.lex_state = 19, .external_lex_state = 3},
  [4522] = {.lex_state = 167, .external_lex_state = 3},
  [4523] = {.lex_state = 167, .external_lex_state = 3},
  [4524] = {.lex_state = 19, .external_lex_state = 3},
  [4525] = {.lex_state = 167, .external_lex_state = 3},
  [4526] = {.lex_state = 19, .external_lex_state = 3},
  [4527] = {.lex_state = 19, .external_lex_state = 3},
  [4528] = {.lex_state = 167, .external_lex_state = 3},
  [4529] = {.lex_state = 19, .external_lex_state = 3},
  [4530] = {.lex_state = 19, .external_lex_state = 3},
  [4531] = {.lex_state = 19, .external_lex_state = 3},
  [4532] = {.lex_state = 19, .external_lex_state = 3},
  [4533] = {.lex_state = 75, .external_lex_state = 3},
  [4534] = {.lex_state = 19, .external_lex_state = 3},
  [4535] = {.lex_state = 19, .external_lex_state = 3},
  [4536] = {.lex_state = 167, .external_lex_state = 3},
  [4537] = {.lex_state = 19, .external_lex_state = 3},
  [4538] = {.lex_state = 167, .external_lex_state = 3},
  [4539] = {.lex_state = 19, .external_lex_state = 3},
  [4540] = {.lex_state = 75, .external_lex_state = 3},
  [4541] = {.lex_state = 19, .external_lex_state = 3},
  [4542] = {.lex_state = 167, .external_lex_state = 3},
  [4543] = {.lex_state = 167, .external_lex_state = 3},
  [4544] = {.lex_state = 19, .external_lex_state = 3},
  [4545] = {.lex_state = 19, .external_lex_state = 3},
  [4546] = {.lex_state = 167, .external_lex_state = 3},
  [4547] = {.lex_state = 19, .external_lex_state = 3},
  [4548] = {.lex_state = 19, .external_lex_state = 3},
  [4549] = {.lex_state = 76, .external_lex_state = 3},
  [4550] = {.lex_state = 19, .external_lex_state = 3},
  [4551] = {.lex_state = 70, .external_lex_state = 3},
  [4552] = {.lex_state = 167, .external_lex_state = 3},
  [4553] = {.lex_state = 19, .external_lex_state = 3},
  [4554] = {.lex_state = 19, .external_lex_state = 3},
  [4555] = {.lex_state = 167, .external_lex_state = 3},
  [4556] = {.lex_state = 19, .external_lex_state = 3},
  [4557] = {.lex_state = 167, .external_lex_state = 3},
  [4558] = {.lex_state = 19, .external_lex_state = 3},
  [4559] = {.lex_state = 19, .external_lex_state = 3},
  [4560] = {.lex_state = 70, .external_lex_state = 3},
  [4561] = {.lex_state = 19, .external_lex_state = 3},
  [4562] = {.lex_state = 167, .external_lex_state = 3},
  [4563] = {.lex_state = 19, .external_lex_state = 3},
  [4564] = {.lex_state = 19, .external_lex_state = 3},
  [4565] = {.lex_state = 167, .external_lex_state = 3},
  [4566] = {.lex_state = 19, .external_lex_state = 3},
  [4567] = {.lex_state = 19, .external_lex_state = 3},
  [4568] = {.lex_state = 19, .external_lex_state = 3},
  [4569] = {.lex_state = 19, .external_lex_state = 3},
  [4570] = {.lex_state = 19, .external_lex_state = 3},
  [4571] = {.lex_state = 19, .external_lex_state = 3},
  [4572] = {.lex_state = 167, .external_lex_state = 3},
  [4573] = {.lex_state = 167, .external_lex_state = 3},
  [4574] = {.lex_state = 167, .external_lex_state = 3},
  [4575] = {.lex_state = 19, .external_lex_state = 3},
  [4576] = {.lex_state = 19, .external_lex_state = 3},
  [4577] = {.lex_state = 19, .external_lex_state = 3},
  [4578] = {.lex_state = 19, .external_lex_state = 3},
  [4579] = {.lex_state = 19, .external_lex_state = 3},
  [4580] = {.lex_state = 69, .external_lex_state = 3},
  [4581] = {.lex_state = 19, .external_lex_state = 3},
  [4582] = {.lex_state = 19, .external_lex_state = 3},
  [4583] = {.lex_state = 19, .external_lex_state = 3},
  [4584] = {.lex_state = 19, .external_lex_state = 3},
  [4585] = {.lex_state = 76, .external_lex_state = 3},
  [4586] = {.lex_state = 19, .external_lex_state = 3},
  [4587] = {.lex_state = 19, .external_lex_state = 3},
  [4588] = {.lex_state = 167, .external_lex_state = 3},
  [4589] = {.lex_state = 19, .external_lex_state = 3},
  [4590] = {.lex_state = 19, .external_lex_state = 3},
  [4591] = {.lex_state = 19, .external_lex_state = 3},
  [4592] = {.lex_state = 19, .external_lex_state = 3},
  [4593] = {.lex_state = 167, .external_lex_state = 3},
  [4594] = {.lex_state = 19, .external_lex_state = 3},
  [4595] = {.lex_state = 19, .external_lex_state = 3},
  [4596] = {.lex_state = 19, .external_lex_state = 3},
  [4597] = {.lex_state = 19, .external_lex_state = 3},
  [4598] = {.lex_state = 19, .external_lex_state = 3},
  [4599] = {.lex_state = 19, .external_lex_state = 3},
  [4600] = {.lex_state = 19, .external_lex_state = 3},
  [4601] = {.lex_state = 19, .external_lex_state = 3},
  [4602] = {.lex_state = 19, .external_lex_state = 3},
  [4603] = {.lex_state = 19, .external_lex_state = 3},
  [4604] = {.lex_state = 19, .external_lex_state = 3},
  [4605] = {.lex_state = 19, .external_lex_state = 3},
  [4606] = {.lex_state = 167, .external_lex_state = 3},
  [4607] = {.lex_state = 19, .external_lex_state = 3},
  [4608] = {.lex_state = 69, .external_lex_state = 3},
  [4609] = {.lex_state = 76, .external_lex_state = 3},
  [4610] = {.lex_state = 19, .external_lex_state = 3},
  [4611] = {.lex_state = 19, .external_lex_state = 3},
  [4612] = {.lex_state = 19, .external_lex_state = 3},
  [4613] = {.lex_state = 19, .external_lex_state = 3},
  [4614] = {.lex_state = 19, .external_lex_state = 3},
  [4615] = {.lex_state = 19, .external_lex_state = 3},
  [4616] = {.lex_state = 167, .external_lex_state = 3},
  [4617] = {.lex_state = 19, .external_lex_state = 3},
  [4618] = {.lex_state = 19, .external_lex_state = 3},
  [4619] = {.lex_state = 167, .external_lex_state = 3},
  [4620] = {.lex_state = 167, .external_lex_state = 3},
  [4621] = {.lex_state = 167, .external_lex_state = 3},
  [4622] = {.lex_state = 167, .external_lex_state = 3},
  [4623] = {.lex_state = 167, .external_lex_state = 3},
  [4624] = {.lex_state = 167, .external_lex_state = 3},
  [4625] = {.lex_state = 167, .external_lex_state = 3},
  [4626] = {.lex_state = 167, .external_lex_state = 3},
  [4627] = {.lex_state = 167, .external_lex_state = 3},
  [4628] = {.lex_state = 167, .external_lex_state = 3},
  [4629] = {.lex_state = 109, .external_lex_state = 3},
  [4630] = {.lex_state = 167, .external_lex_state = 3},
  [4631] = {.lex_state = 167, .external_lex_state = 3},
  [4632] = {.lex_state = 167, .external_lex_state = 3},
  [4633] = {.lex_state = 9, .external_lex_state = 3},
  [4634] = {.lex_state = 167, .external_lex_state = 3},
  [4635] = {.lex_state = 167, .external_lex_state = 3},
  [4636] = {.lex_state = 167, .external_lex_state = 3},
  [4637] = {.lex_state = 167, .external_lex_state = 3},
  [4638] = {.lex_state = 167, .external_lex_state = 3},
  [4639] = {.lex_state = 167, .external_lex_state = 3},
  [4640] = {.lex_state = 167, .external_lex_state = 3},
  [4641] = {.lex_state = 167, .external_lex_state = 3},
  [4642] = {.lex_state = 167, .external_lex_state = 3},
  [4643] = {.lex_state = 167, .external_lex_state = 3},
  [4644] = {.lex_state = 167, .external_lex_state = 3},
  [4645] = {.lex_state = 167, .external_lex_state = 3},
  [4646] = {.lex_state = 167, .external_lex_state = 3},
  [4647] = {.lex_state = 167, .external_lex_state = 3},
  [4648] = {.lex_state = 167, .external_lex_state = 3},
  [4649] = {.lex_state = 167, .external_lex_state = 3},
  [4650] = {.lex_state = 167, .external_lex_state = 3},
  [4651] = {.lex_state = 167, .external_lex_state = 3},
  [4652] = {.lex_state = 167, .external_lex_state = 3},
  [4653] = {.lex_state = 167, .external_lex_state = 3},
  [4654] = {.lex_state = 167, .external_lex_state = 3},
  [4655] = {.lex_state = 167, .external_lex_state = 3},
  [4656] = {.lex_state = 167, .external_lex_state = 3},
  [4657] = {.lex_state = 167, .external_lex_state = 3},
  [4658] = {.lex_state = 167, .external_lex_state = 3},
  [4659] = {.lex_state = 167, .external_lex_state = 3},
  [4660] = {.lex_state = 167, .external_lex_state = 3},
  [4661] = {.lex_state = 9, .external_lex_state = 3},
  [4662] = {.lex_state = 167, .external_lex_state = 3},
  [4663] = {.lex_state = 167, .external_lex_state = 3},
  [4664] = {.lex_state = 167, .external_lex_state = 3},
  [4665] = {.lex_state = 167, .external_lex_state = 3},
  [4666] = {.lex_state = 167, .external_lex_state = 3},
  [4667] = {.lex_state = 167, .external_lex_state = 3},
  [4668] = {.lex_state = 167, .external_lex_state = 3},
  [4669] = {.lex_state = 167, .external_lex_state = 3},
  [4670] = {.lex_state = 167, .external_lex_state = 3},
  [4671] = {.lex_state = 167, .external_lex_state = 3},
  [4672] = {.lex_state = 9, .external_lex_state = 3},
  [4673] = {.lex_state = 167, .external_lex_state = 3},
  [4674] = {.lex_state = 167, .external_lex_state = 3},
  [4675] = {.lex_state = 167, .external_lex_state = 3},
  [4676] = {.lex_state = 167, .external_lex_state = 3},
  [4677] = {.lex_state = 109, .external_lex_state = 3},
  [4678] = {.lex_state = 167, .external_lex_state = 3},
  [4679] = {.lex_state = 167, .external_lex_state = 3},
  [4680] = {.lex_state = 167, .external_lex_state = 3},
  [4681] = {.lex_state = 167, .external_lex_state = 3},
  [4682] = {.lex_state = 167, .external_lex_state = 3},
  [4683] = {.lex_state = 167, .external_lex_state = 3},
  [4684] = {.lex_state = 167, .external_lex_state = 3},
  [4685] = {.lex_state = 167, .external_lex_state = 3},
  [4686] = {.lex_state = 167, .external_lex_state = 3},
  [4687] = {.lex_state = 167, .external_lex_state = 3},
  [4688] = {.lex_state = 167, .external_lex_state = 3},
  [4689] = {.lex_state = 167, .external_lex_state = 3},
  [4690] = {.lex_state = 109, .external_lex_state = 3},
  [4691] = {.lex_state = 109, .external_lex_state = 3},
  [4692] = {.lex_state = 109, .external_lex_state = 3},
  [4693] = {.lex_state = 167, .external_lex_state = 3},
  [4694] = {.lex_state = 167, .external_lex_state = 3},
  [4695] = {.lex_state = 167, .external_lex_state = 3},
  [4696] = {.lex_state = 167, .external_lex_state = 3},
  [4697] = {.lex_state = 167, .external_lex_state = 3},
  [4698] = {.lex_state = 167, .external_lex_state = 3},
  [4699] = {.lex_state = 167, .external_lex_state = 3},
  [4700] = {.lex_state = 167, .external_lex_state = 3},
  [4701] = {.lex_state = 167, .external_lex_state = 3},
  [4702] = {.lex_state = 167, .external_lex_state = 3},
  [4703] = {.lex_state = 167, .external_lex_state = 3},
  [4704] = {.lex_state = 167, .external_lex_state = 3},
  [4705] = {.lex_state = 109, .external_lex_state = 3},
  [4706] = {.lex_state = 167, .external_lex_state = 3},
  [4707] = {.lex_state = 167, .external_lex_state = 3},
  [4708] = {.lex_state = 167, .external_lex_state = 3},
  [4709] = {.lex_state = 167, .external_lex_state = 3},
  [4710] = {.lex_state = 167, .external_lex_state = 3},
  [4711] = {.lex_state = 167, .external_lex_state = 3},
  [4712] = {.lex_state = 167, .external_lex_state = 3},
  [4713] = {.lex_state = 167, .external_lex_state = 3},
  [4714] = {.lex_state = 109, .external_lex_state = 3},
  [4715] = {.lex_state = 167, .external_lex_state = 3},
  [4716] = {.lex_state = 167, .external_lex_state = 3},
  [4717] = {.lex_state = 109, .external_lex_state = 3},
  [4718] = {.lex_state = 167, .external_lex_state = 3},
  [4719] = {.lex_state = 109, .external_lex_state = 3},
  [4720] = {.lex_state = 167, .external_lex_state = 3},
  [4721] = {.lex_state = 109, .external_lex_state = 3},
  [4722] = {.lex_state = 167, .external_lex_state = 3},
  [4723] = {.lex_state = 167, .external_lex_state = 3},
  [4724] = {.lex_state = 167, .external_lex_state = 3},
  [4725] = {.lex_state = 109, .external_lex_state = 3},
  [4726] = {.lex_state = 167, .external_lex_state = 3},
  [4727] = {.lex_state = 109, .external_lex_state = 3},
  [4728] = {.lex_state = 109, .external_lex_state = 3},
  [4729] = {.lex_state = 109, .external_lex_state = 3},
  [4730] = {.lex_state = 109, .external_lex_state = 3},
  [4731] = {.lex_state = 109, .external_lex_state = 3},
  [4732] = {.lex_state = 109, .external_lex_state = 3},
  [4733] = {.lex_state = 109, .external_lex_state = 3},
  [4734] = {.lex_state = 109, .external_lex_state = 3},
  [4735] = {.lex_state = 109, .external_lex_state = 3},
  [4736] = {.lex_state = 167, .external_lex_state = 3},
  [4737] = {.lex_state = 167, .external_lex_state = 3},
  [4738] = {.lex_state = 109, .external_lex_state = 3},
  [4739] = {.lex_state = 167, .external_lex_state = 3},
  [4740] = {.lex_state = 109, .external_lex_state = 3},
  [4741] = {.lex_state = 109, .external_lex_state = 3},
  [4742] = {.lex_state = 109, .external_lex_state = 3},
  [4743] = {.lex_state = 109, .external_lex_state = 3},
  [4744] = {.lex_state = 109, .external_lex_state = 3},
  [4745] = {.lex_state = 109, .external_lex_state = 3},
  [4746] = {.lex_state = 109, .external_lex_state = 3},
  [4747] = {.lex_state = 167, .external_lex_state = 3},
  [4748] = {.lex_state = 109, .external_lex_state = 3},
  [4749] = {.lex_state = 109, .external_lex_state = 3},
  [4750] = {.lex_state = 167, .external_lex_state = 3},
  [4751] = {.lex_state = 109, .external_lex_state = 3},
  [4752] = {.lex_state = 167, .external_lex_state = 3},
  [4753] = {.lex_state = 167, .external_lex_state = 3},
  [4754] = {.lex_state = 167, .external_lex_state = 3},
  [4755] = {.lex_state = 109, .external_lex_state = 3},
  [4756] = {.lex_state = 109, .external_lex_state = 3},
  [4757] = {.lex_state = 109, .external_lex_state = 3},
  [4758] = {.lex_state = 109, .external_lex_state = 3},
  [4759] = {.lex_state = 109, .external_lex_state = 3},
  [4760] = {.lex_state = 109, .external_lex_state = 3},
  [4761] = {.lex_state = 109, .external_lex_state = 3},
  [4762] = {.lex_state = 167, .external_lex_state = 3},
  [4763] = {.lex_state = 167, .external_lex_state = 3},
  [4764] = {.lex_state = 167, .external_lex_state = 3},
  [4765] = {.lex_state = 109, .external_lex_state = 3},
  [4766] = {.lex_state = 109, .external_lex_state = 3},
  [4767] = {.lex_state = 109, .external_lex_state = 3},
  [4768] = {.lex_state = 109, .external_lex_state = 3},
  [4769] = {.lex_state = 109, .external_lex_state = 3},
  [4770] = {.lex_state = 109, .external_lex_state = 3},
  [4771] = {.lex_state = 109, .external_lex_state = 3},
  [4772] = {.lex_state = 109, .external_lex_state = 3},
  [4773] = {.lex_state = 167, .external_lex_state = 3},
  [4774] = {.lex_state = 109, .external_lex_state = 3},
  [4775] = {.lex_state = 167, .external_lex_state = 3},
  [4776] = {.lex_state = 167, .external_lex_state = 3},
  [4777] = {.lex_state = 109, .external_lex_state = 3},
  [4778] = {.lex_state = 109, .external_lex_state = 3},
  [4779] = {.lex_state = 110, .external_lex_state = 3},
  [4780] = {.lex_state = 109, .external_lex_state = 3},
  [4781] = {.lex_state = 109, .external_lex_state = 3},
  [4782] = {.lex_state = 167, .external_lex_state = 3},
  [4783] = {.lex_state = 167, .external_lex_state = 3},
  [4784] = {.lex_state = 109, .external_lex_state = 3},
  [4785] = {.lex_state = 109, .external_lex_state = 3},
  [4786] = {.lex_state = 167, .external_lex_state = 3},
  [4787] = {.lex_state = 110, .external_lex_state = 3},
  [4788] = {.lex_state = 109, .external_lex_state = 3},
  [4789] = {.lex_state = 109, .external_lex_state = 3},
  [4790] = {.lex_state = 109, .external_lex_state = 3},
  [4791] = {.lex_state = 167, .external_lex_state = 3},
  [4792] = {.lex_state = 167, .external_lex_state = 3},
  [4793] = {.lex_state = 109, .external_lex_state = 3},
  [4794] = {.lex_state = 167, .external_lex_state = 3},
  [4795] = {.lex_state = 167, .external_lex_state = 3},
  [4796] = {.lex_state = 110, .external_lex_state = 3},
  [4797] = {.lex_state = 167, .external_lex_state = 3},
  [4798] = {.lex_state = 109, .external_lex_state = 3},
  [4799] = {.lex_state = 167, .external_lex_state = 3},
  [4800] = {.lex_state = 109, .external_lex_state = 3},
  [4801] = {.lex_state = 109, .external_lex_state = 3},
  [4802] = {.lex_state = 167, .external_lex_state = 3},
  [4803] = {.lex_state = 167, .external_lex_state = 3},
  [4804] = {.lex_state = 167, .external_lex_state = 3},
  [4805] = {.lex_state = 167, .external_lex_state = 3},
  [4806] = {.lex_state = 109, .external_lex_state = 3},
  [4807] = {.lex_state = 109, .external_lex_state = 3},
  [4808] = {.lex_state = 167, .external_lex_state = 3},
  [4809] = {.lex_state = 109, .external_lex_state = 3},
  [4810] = {.lex_state = 167, .external_lex_state = 3},
  [4811] = {.lex_state = 109, .external_lex_state = 3},
  [4812] = {.lex_state = 167, .external_lex_state = 3},
  [4813] = {.lex_state = 167, .external_lex_state = 3},
  [4814] = {.lex_state = 167, .external_lex_state = 3},
  [4815] = {.lex_state = 109, .external_lex_state = 3},
  [4816] = {.lex_state = 109, .external_lex_state = 3},
  [4817] = {.lex_state = 167, .external_lex_state = 3},
  [4818] = {.lex_state = 109, .external_lex_state = 3},
  [4819] = {.lex_state = 109, .external_lex_state = 3},
  [4820] = {.lex_state = 109, .external_lex_state = 3},
  [4821] = {.lex_state = 9, .external_lex_state = 3},
  [4822] = {.lex_state = 110, .external_lex_state = 3},
  [4823] = {.lex_state = 109, .external_lex_state = 3},
  [4824] = {.lex_state = 167, .external_lex_state = 3},
  [4825] = {.lex_state = 109, .external_lex_state = 3},
  [4826] = {.lex_state = 167, .external_lex_state = 3},
  [4827] = {.lex_state = 110, .external_lex_state = 3},
  [4828] = {.lex_state = 110, .external_lex_state = 3},
  [4829] = {.lex_state = 167, .external_lex_state = 3},
  [4830] = {.lex_state = 167, .external_lex_state = 3},
  [4831] = {.lex_state = 167, .external_lex_state = 3},
  [4832] = {.lex_state = 167, .external_lex_state = 3},
  [4833] = {.lex_state = 109, .external_lex_state = 3},
  [4834] = {.lex_state = 110, .external_lex_state = 3},
  [4835] = {.lex_state = 167, .external_lex_state = 3},
  [4836] = {.lex_state = 110, .external_lex_state = 3},
  [4837] = {.lex_state = 109, .external_lex_state = 3},
  [4838] = {.lex_state = 110, .external_lex_state = 3},
  [4839] = {.lex_state = 109, .external_lex_state = 3},
  [4840] = {.lex_state = 109, .external_lex_state = 3},
  [4841] = {.lex_state = 167, .external_lex_state = 3},
  [4842] = {.lex_state = 109, .external_lex_state = 3},
  [4843] = {.lex_state = 167, .external_lex_state = 3},
  [4844] = {.lex_state = 109, .external_lex_state = 3},
  [4845] = {.lex_state = 109, .external_lex_state = 3},
  [4846] = {.lex_state = 110, .external_lex_state = 3},
  [4847] = {.lex_state = 109, .external_lex_state = 3},
  [4848] = {.lex_state = 109, .external_lex_state = 3},
  [4849] = {.lex_state = 167, .external_lex_state = 3},
  [4850] = {.lex_state = 167, .external_lex_state = 3},
  [4851] = {.lex_state = 109, .external_lex_state = 3},
  [4852] = {.lex_state = 167, .external_lex_state = 3},
  [4853] = {.lex_state = 110, .external_lex_state = 3},
  [4854] = {.lex_state = 109, .external_lex_state = 3},
  [4855] = {.lex_state = 109, .external_lex_state = 3},
  [4856] = {.lex_state = 109, .external_lex_state = 3},
  [4857] = {.lex_state = 167, .external_lex_state = 3},
  [4858] = {.lex_state = 110, .external_lex_state = 3},
  [4859] = {.lex_state = 110, .external_lex_state = 3},
  [4860] = {.lex_state = 167, .external_lex_state = 3},
  [4861] = {.lex_state = 110, .external_lex_state = 3},
  [4862] = {.lex_state = 110, .external_lex_state = 3},
  [4863] = {.lex_state = 167, .external_lex_state = 3},
  [4864] = {.lex_state = 110, .external_lex_state = 3},
  [4865] = {.lex_state = 110, .external_lex_state = 3},
  [4866] = {.lex_state = 110, .external_lex_state = 3},
  [4867] = {.lex_state = 110, .external_lex_state = 3},
  [4868] = {.lex_state = 110, .external_lex_state = 3},
  [4869] = {.lex_state = 110, .external_lex_state = 3},
  [4870] = {.lex_state = 110, .external_lex_state = 3},
  [4871] = {.lex_state = 110, .external_lex_state = 3},
  [4872] = {.lex_state = 110, .external_lex_state = 3},
  [4873] = {.lex_state = 110, .external_lex_state = 3},
  [4874] = {.lex_state = 167, .external_lex_state = 3},
  [4875] = {.lex_state = 110, .external_lex_state = 3},
  [4876] = {.lex_state = 110, .external_lex_state = 3},
  [4877] = {.lex_state = 78, .external_lex_state = 3},
  [4878] = {.lex_state = 110, .external_lex_state = 3},
  [4879] = {.lex_state = 78, .external_lex_state = 3},
  [4880] = {.lex_state = 110, .external_lex_state = 3},
  [4881] = {.lex_state = 110, .external_lex_state = 3},
  [4882] = {.lex_state = 110, .external_lex_state = 3},
  [4883] = {.lex_state = 78, .external_lex_state = 3},
  [4884] = {.lex_state = 110, .external_lex_state = 3},
  [4885] = {.lex_state = 110, .external_lex_state = 3},
  [4886] = {.lex_state = 110, .external_lex_state = 3},
  [4887] = {.lex_state = 78, .external_lex_state = 3},
  [4888] = {.lex_state = 110, .external_lex_state = 3},
  [4889] = {.lex_state = 110, .external_lex_state = 3},
  [4890] = {.lex_state = 110, .external_lex_state = 3},
  [4891] = {.lex_state = 110, .external_lex_state = 3},
  [4892] = {.lex_state = 78, .external_lex_state = 3},
  [4893] = {.lex_state = 110, .external_lex_state = 3},
  [4894] = {.lex_state = 110, .external_lex_state = 3},
  [4895] = {.lex_state = 110, .external_lex_state = 3},
  [4896] = {.lex_state = 78, .external_lex_state = 3},
  [4897] = {.lex_state = 110, .external_lex_state = 3},
  [4898] = {.lex_state = 110, .external_lex_state = 3},
  [4899] = {.lex_state = 110, .external_lex_state = 3},
  [4900] = {.lex_state = 110, .external_lex_state = 3},
  [4901] = {.lex_state = 110, .external_lex_state = 3},
  [4902] = {.lex_state = 110, .external_lex_state = 3},
  [4903] = {.lex_state = 110, .external_lex_state = 3},
  [4904] = {.lex_state = 110, .external_lex_state = 3},
  [4905] = {.lex_state = 78, .external_lex_state = 3},
  [4906] = {.lex_state = 110, .external_lex_state = 3},
  [4907] = {.lex_state = 110, .external_lex_state = 3},
  [4908] = {.lex_state = 110, .external_lex_state = 3},
  [4909] = {.lex_state = 110, .external_lex_state = 3},
  [4910] = {.lex_state = 110, .external_lex_state = 3},
  [4911] = {.lex_state = 110, .external_lex_state = 3},
  [4912] = {.lex_state = 110, .external_lex_state = 3},
  [4913] = {.lex_state = 167, .external_lex_state = 3},
  [4914] = {.lex_state = 110, .external_lex_state = 3},
  [4915] = {.lex_state = 78, .external_lex_state = 3},
  [4916] = {.lex_state = 110, .external_lex_state = 3},
  [4917] = {.lex_state = 110, .external_lex_state = 3},
  [4918] = {.lex_state = 110, .external_lex_state = 3},
  [4919] = {.lex_state = 110, .external_lex_state = 3},
  [4920] = {.lex_state = 110, .external_lex_state = 3},
  [4921] = {.lex_state = 110, .external_lex_state = 3},
  [4922] = {.lex_state = 110, .external_lex_state = 3},
  [4923] = {.lex_state = 167, .external_lex_state = 3},
  [4924] = {.lex_state = 110, .external_lex_state = 3},
  [4925] = {.lex_state = 110, .external_lex_state = 3},
  [4926] = {.lex_state = 110, .external_lex_state = 3},
  [4927] = {.lex_state = 110, .external_lex_state = 3},
  [4928] = {.lex_state = 110, .external_lex_state = 3},
  [4929] = {.lex_state = 110, .external_lex_state = 3},
  [4930] = {.lex_state = 110, .external_lex_state = 3},
  [4931] = {.lex_state = 110, .external_lex_state = 3},
  [4932] = {.lex_state = 110, .external_lex_state = 3},
  [4933] = {.lex_state = 110, .external_lex_state = 3},
  [4934] = {.lex_state = 167, .external_lex_state = 3},
  [4935] = {.lex_state = 110, .external_lex_state = 3},
  [4936] = {.lex_state = 110, .external_lex_state = 3},
  [4937] = {.lex_state = 110, .external_lex_state = 3},
  [4938] = {.lex_state = 78, .external_lex_state = 3},
  [4939] = {.lex_state = 110, .external_lex_state = 3},
  [4940] = {.lex_state = 110, .external_lex_state = 3},
  [4941] = {.lex_state = 110, .external_lex_state = 3},
  [4942] = {.lex_state = 110, .external_lex_state = 3},
  [4943] = {.lex_state = 78, .external_lex_state = 3},
  [4944] = {.lex_state = 110, .external_lex_state = 3},
  [4945] = {.lex_state = 110, .external_lex_state = 3},
  [4946] = {.lex_state = 110, .external_lex_state = 3},
  [4947] = {.lex_state = 78, .external_lex_state = 3},
  [4948] = {.lex_state = 78, .external_lex_state = 3},
  [4949] = {.lex_state = 80, .external_lex_state = 3},
  [4950] = {.lex_state = 77, .external_lex_state = 3},
  [4951] = {.lex_state = 78, .external_lex_state = 3},
  [4952] = {.lex_state = 80, .external_lex_state = 3},
  [4953] = {.lex_state = 167, .external_lex_state = 3},
  [4954] = {.lex_state = 80, .external_lex_state = 3},
  [4955] = {.lex_state = 167, .external_lex_state = 3},
  [4956] = {.lex_state = 9, .external_lex_state = 3},
  [4957] = {.lex_state = 78, .external_lex_state = 3},
  [4958] = {.lex_state = 167, .external_lex_state = 3},
  [4959] = {.lex_state = 78, .external_lex_state = 3},
  [4960] = {.lex_state = 167, .external_lex_state = 3},
  [4961] = {.lex_state = 167, .external_lex_state = 3},
  [4962] = {.lex_state = 167, .external_lex_state = 3},
  [4963] = {.lex_state = 10, .external_lex_state = 3},
  [4964] = {.lex_state = 80, .external_lex_state = 3},
  [4965] = {.lex_state = 80, .external_lex_state = 3},
  [4966] = {.lex_state = 167, .external_lex_state = 3},
  [4967] = {.lex_state = 80, .external_lex_state = 3},
  [4968] = {.lex_state = 80, .external_lex_state = 3},
  [4969] = {.lex_state = 77, .external_lex_state = 3},
  [4970] = {.lex_state = 78, .external_lex_state = 3},
  [4971] = {.lex_state = 167, .external_lex_state = 3},
  [4972] = {.lex_state = 167, .external_lex_state = 3},
  [4973] = {.lex_state = 167, .external_lex_state = 3},
  [4974] = {.lex_state = 167, .external_lex_state = 3},
  [4975] = {.lex_state = 167, .external_lex_state = 3},
  [4976] = {.lex_state = 77, .external_lex_state = 3},
  [4977] = {.lex_state = 77, .external_lex_state = 3},
  [4978] = {.lex_state = 77, .external_lex_state = 3},
  [4979] = {.lex_state = 167, .external_lex_state = 3},
  [4980] = {.lex_state = 167, .external_lex_state = 3},
  [4981] = {.lex_state = 80, .external_lex_state = 3},
  [4982] = {.lex_state = 78, .external_lex_state = 3},
  [4983] = {.lex_state = 167, .external_lex_state = 3},
  [4984] = {.lex_state = 77, .external_lex_state = 3},
  [4985] = {.lex_state = 167, .external_lex_state = 3},
  [4986] = {.lex_state = 167, .external_lex_state = 3},
  [4987] = {.lex_state = 78, .external_lex_state = 3},
  [4988] = {.lex_state = 77, .external_lex_state = 3},
  [4989] = {.lex_state = 167, .external_lex_state = 3},
  [4990] = {.lex_state = 77, .external_lex_state = 3},
  [4991] = {.lex_state = 78, .external_lex_state = 3},
  [4992] = {.lex_state = 78, .external_lex_state = 3},
  [4993] = {.lex_state = 80, .external_lex_state = 3},
  [4994] = {.lex_state = 167, .external_lex_state = 3},
  [4995] = {.lex_state = 78, .external_lex_state = 3},
  [4996] = {.lex_state = 78, .external_lex_state = 3},
  [4997] = {.lex_state = 78, .external_lex_state = 3},
  [4998] = {.lex_state = 78, .external_lex_state = 3},
  [4999] = {.lex_state = 78, .external_lex_state = 3},
  [5000] = {.lex_state = 78, .external_lex_state = 3},
  [5001] = {.lex_state = 78, .external_lex_state = 3},
  [5002] = {.lex_state = 78, .external_lex_state = 3},
  [5003] = {.lex_state = 78, .external_lex_state = 3},
  [5004] = {.lex_state = 78, .external_lex_state = 3},
  [5005] = {.lex_state = 78, .external_lex_state = 3},
  [5006] = {.lex_state = 167, .external_lex_state = 3},
  [5007] = {.lex_state = 167, .external_lex_state = 3},
  [5008] = {.lex_state = 19, .external_lex_state = 3},
  [5009] = {.lex_state = 78, .external_lex_state = 3},
  [5010] = {.lex_state = 78, .external_lex_state = 3},
  [5011] = {.lex_state = 78, .external_lex_state = 3},
  [5012] = {.lex_state = 78, .external_lex_state = 3},
  [5013] = {.lex_state = 78, .external_lex_state = 3},
  [5014] = {.lex_state = 167, .external_lex_state = 3},
  [5015] = {.lex_state = 78, .external_lex_state = 3},
  [5016] = {.lex_state = 78, .external_lex_state = 3},
  [5017] = {.lex_state = 78, .external_lex_state = 3},
  [5018] = {.lex_state = 78, .external_lex_state = 3},
  [5019] = {.lex_state = 78, .external_lex_state = 3},
  [5020] = {.lex_state = 78, .external_lex_state = 3},
  [5021] = {.lex_state = 78, .external_lex_state = 3},
  [5022] = {.lex_state = 78, .external_lex_state = 3},
  [5023] = {.lex_state = 77, .external_lex_state = 3},
  [5024] = {.lex_state = 78, .external_lex_state = 3},
  [5025] = {.lex_state = 78, .external_lex_state = 3},
  [5026] = {.lex_state = 167, .external_lex_state = 3},
  [5027] = {.lex_state = 78, .external_lex_state = 3},
  [5028] = {.lex_state = 167, .external_lex_state = 3},
  [5029] = {.lex_state = 78, .external_lex_state = 3},
  [5030] = {.lex_state = 78, .external_lex_state = 3},
  [5031] = {.lex_state = 78, .external_lex_state = 3},
  [5032] = {.lex_state = 78, .external_lex_state = 3},
  [5033] = {.lex_state = 78, .external_lex_state = 3},
  [5034] = {.lex_state = 78, .external_lex_state = 3},
  [5035] = {.lex_state = 78, .external_lex_state = 3},
  [5036] = {.lex_state = 167, .external_lex_state = 3},
  [5037] = {.lex_state = 109, .external_lex_state = 3},
  [5038] = {.lex_state = 78, .external_lex_state = 3},
  [5039] = {.lex_state = 78, .external_lex_state = 3},
  [5040] = {.lex_state = 78, .external_lex_state = 3},
  [5041] = {.lex_state = 78, .external_lex_state = 3},
  [5042] = {.lex_state = 78, .external_lex_state = 3},
  [5043] = {.lex_state = 167, .external_lex_state = 3},
  [5044] = {.lex_state = 78, .external_lex_state = 3},
  [5045] = {.lex_state = 80, .external_lex_state = 3},
  [5046] = {.lex_state = 78, .external_lex_state = 3},
  [5047] = {.lex_state = 167, .external_lex_state = 3},
  [5048] = {.lex_state = 167, .external_lex_state = 3},
  [5049] = {.lex_state = 78, .external_lex_state = 3},
  [5050] = {.lex_state = 78, .external_lex_state = 3},
  [5051] = {.lex_state = 167, .external_lex_state = 3},
  [5052] = {.lex_state = 167, .external_lex_state = 3},
  [5053] = {.lex_state = 19, .external_lex_state = 3},
  [5054] = {.lex_state = 167, .external_lex_state = 3},
  [5055] = {.lex_state = 167, .external_lex_state = 3},
  [5056] = {.lex_state = 167, .external_lex_state = 3},
  [5057] = {.lex_state = 78, .external_lex_state = 3},
  [5058] = {.lex_state = 167, .external_lex_state = 3},
  [5059] = {.lex_state = 167, .external_lex_state = 3},
  [5060] = {.lex_state = 78, .external_lex_state = 3},
  [5061] = {.lex_state = 167, .external_lex_state = 3},
  [5062] = {.lex_state = 78, .external_lex_state = 3},
  [5063] = {.lex_state = 78, .external_lex_state = 3},
  [5064] = {.lex_state = 78, .external_lex_state = 3},
  [5065] = {.lex_state = 78, .external_lex_state = 3},
  [5066] = {.lex_state = 19, .external_lex_state = 3},
  [5067] = {.lex_state = 78, .external_lex_state = 3},
  [5068] = {.lex_state = 167, .external_lex_state = 3},
  [5069] = {.lex_state = 78, .external_lex_state = 3},
  [5070] = {.lex_state = 167, .external_lex_state = 3},
  [5071] = {.lex_state = 167, .external_lex_state = 3},
  [5072] = {.lex_state = 78, .external_lex_state = 3},
  [5073] = {.lex_state = 167, .external_lex_state = 3},
  [5074] = {.lex_state = 78, .external_lex_state = 3},
  [5075] = {.lex_state = 167, .external_lex_state = 3},
  [5076] = {.lex_state = 78, .external_lex_state = 3},
  [5077] = {.lex_state = 167, .external_lex_state = 3},
  [5078] = {.lex_state = 167, .external_lex_state = 3},
  [5079] = {.lex_state = 167, .external_lex_state = 3},
  [5080] = {.lex_state = 167, .external_lex_state = 3},
  [5081] = {.lex_state = 78, .external_lex_state = 3},
  [5082] = {.lex_state = 167, .external_lex_state = 3},
  [5083] = {.lex_state = 167, .external_lex_state = 3},
  [5084] = {.lex_state = 167, .external_lex_state = 3},
  [5085] = {.lex_state = 167, .external_lex_state = 3},
  [5086] = {.lex_state = 167, .external_lex_state = 3},
  [5087] = {.lex_state = 78, .external_lex_state = 3},
  [5088] = {.lex_state = 78, .external_lex_state = 3},
  [5089] = {.lex_state = 78, .external_lex_state = 3},
  [5090] = {.lex_state = 78, .external_lex_state = 3},
  [5091] = {.lex_state = 77, .external_lex_state = 3},
  [5092] = {.lex_state = 78, .external_lex_state = 3},
  [5093] = {.lex_state = 77, .external_lex_state = 3},
  [5094] = {.lex_state = 78, .external_lex_state = 3},
  [5095] = {.lex_state = 167, .external_lex_state = 3},
  [5096] = {.lex_state = 167, .external_lex_state = 3},
  [5097] = {.lex_state = 78, .external_lex_state = 3},
  [5098] = {.lex_state = 77, .external_lex_state = 3},
  [5099] = {.lex_state = 80, .external_lex_state = 3},
  [5100] = {.lex_state = 80, .external_lex_state = 3},
  [5101] = {.lex_state = 80, .external_lex_state = 3},
  [5102] = {.lex_state = 10, .external_lex_state = 3},
  [5103] = {.lex_state = 80, .external_lex_state = 3},
  [5104] = {.lex_state = 80, .external_lex_state = 3},
  [5105] = {.lex_state = 80, .external_lex_state = 3},
  [5106] = {.lex_state = 80, .external_lex_state = 3},
  [5107] = {.lex_state = 80, .external_lex_state = 3},
  [5108] = {.lex_state = 80, .external_lex_state = 3},
  [5109] = {.lex_state = 77, .external_lex_state = 3},
  [5110] = {.lex_state = 80, .external_lex_state = 3},
  [5111] = {.lex_state = 80, .external_lex_state = 3},
  [5112] = {.lex_state = 77, .external_lex_state = 3},
  [5113] = {.lex_state = 77, .external_lex_state = 3},
  [5114] = {.lex_state = 77, .external_lex_state = 3},
  [5115] = {.lex_state = 80, .external_lex_state = 3},
  [5116] = {.lex_state = 77, .external_lex_state = 3},
  [5117] = {.lex_state = 80, .external_lex_state = 3},
  [5118] = {.lex_state = 77, .external_lex_state = 3},
  [5119] = {.lex_state = 77, .external_lex_state = 3},
  [5120] = {.lex_state = 80, .external_lex_state = 3},
  [5121] = {.lex_state = 77, .external_lex_state = 3},
  [5122] = {.lex_state = 80, .external_lex_state = 3},
  [5123] = {.lex_state = 80, .external_lex_state = 3},
  [5124] = {.lex_state = 80, .external_lex_state = 3},
  [5125] = {.lex_state = 80, .external_lex_state = 3},
  [5126] = {.lex_state = 77, .external_lex_state = 3},
  [5127] = {.lex_state = 80, .external_lex_state = 3},
  [5128] = {.lex_state = 80, .external_lex_state = 3},
  [5129] = {.lex_state = 185, .external_lex_state = 3},
  [5130] = {.lex_state = 9, .external_lex_state = 3},
  [5131] = {.lex_state = 80, .external_lex_state = 3},
  [5132] = {.lex_state = 77, .external_lex_state = 3},
  [5133] = {.lex_state = 80, .external_lex_state = 3},
  [5134] = {.lex_state = 77, .external_lex_state = 3},
  [5135] = {.lex_state = 77, .external_lex_state = 3},
  [5136] = {.lex_state = 109, .external_lex_state = 3},
  [5137] = {.lex_state = 80, .external_lex_state = 3},
  [5138] = {.lex_state = 77, .external_lex_state = 3},
  [5139] = {.lex_state = 77, .external_lex_state = 3},
  [5140] = {.lex_state = 77, .external_lex_state = 3},
  [5141] = {.lex_state = 80, .external_lex_state = 3},
  [5142] = {.lex_state = 77, .external_lex_state = 3},
  [5143] = {.lex_state = 77, .external_lex_state = 3},
  [5144] = {.lex_state = 80, .external_lex_state = 3},
  [5145] = {.lex_state = 77, .external_lex_state = 3},
  [5146] = {.lex_state = 77, .external_lex_state = 3},
  [5147] = {.lex_state = 80, .external_lex_state = 3},
  [5148] = {.lex_state = 77, .external_lex_state = 3},
  [5149] = {.lex_state = 77, .external_lex_state = 3},
  [5150] = {.lex_state = 79, .external_lex_state = 3},
  [5151] = {.lex_state = 77, .external_lex_state = 3},
  [5152] = {.lex_state = 80, .external_lex_state = 3},
  [5153] = {.lex_state = 77, .external_lex_state = 3},
  [5154] = {.lex_state = 77, .external_lex_state = 3},
  [5155] = {.lex_state = 80, .external_lex_state = 3},
  [5156] = {.lex_state = 77, .external_lex_state = 3},
  [5157] = {.lex_state = 77, .external_lex_state = 3},
  [5158] = {.lex_state = 79, .external_lex_state = 3},
  [5159] = {.lex_state = 77, .external_lex_state = 3},
  [5160] = {.lex_state = 77, .external_lex_state = 3},
  [5161] = {.lex_state = 77, .external_lex_state = 3},
  [5162] = {.lex_state = 77, .external_lex_state = 3},
  [5163] = {.lex_state = 77, .external_lex_state = 3},
  [5164] = {.lex_state = 77, .external_lex_state = 3},
  [5165] = {.lex_state = 77, .external_lex_state = 3},
  [5166] = {.lex_state = 79, .external_lex_state = 3},
  [5167] = {.lex_state = 77, .external_lex_state = 3},
  [5168] = {.lex_state = 77, .external_lex_state = 3},
  [5169] = {.lex_state = 77, .external_lex_state = 3},
  [5170] = {.lex_state = 77, .external_lex_state = 3},
  [5171] = {.lex_state = 80, .external_lex_state = 3},
  [5172] = {.lex_state = 77, .external_lex_state = 3},
  [5173] = {.lex_state = 80, .external_lex_state = 3},
  [5174] = {.lex_state = 79, .external_lex_state = 3},
  [5175] = {.lex_state = 80, .external_lex_state = 3},
  [5176] = {.lex_state = 79, .external_lex_state = 3},
  [5177] = {.lex_state = 77, .external_lex_state = 3},
  [5178] = {.lex_state = 77, .external_lex_state = 3},
  [5179] = {.lex_state = 77, .external_lex_state = 3},
  [5180] = {.lex_state = 77, .external_lex_state = 3},
  [5181] = {.lex_state = 77, .external_lex_state = 3},
  [5182] = {.lex_state = 77, .external_lex_state = 3},
  [5183] = {.lex_state = 80, .external_lex_state = 3},
  [5184] = {.lex_state = 80, .external_lex_state = 3},
  [5185] = {.lex_state = 77, .external_lex_state = 3},
  [5186] = {.lex_state = 79, .external_lex_state = 3},
  [5187] = {.lex_state = 109, .external_lex_state = 3},
  [5188] = {.lex_state = 77, .external_lex_state = 3},
  [5189] = {.lex_state = 80, .external_lex_state = 3},
  [5190] = {.lex_state = 77, .external_lex_state = 3},
  [5191] = {.lex_state = 80, .external_lex_state = 3},
  [5192] = {.lex_state = 77, .external_lex_state = 3},
  [5193] = {.lex_state = 80, .external_lex_state = 3},
  [5194] = {.lex_state = 80, .external_lex_state = 3},
  [5195] = {.lex_state = 77, .external_lex_state = 3},
  [5196] = {.lex_state = 77, .external_lex_state = 3},
  [5197] = {.lex_state = 80, .external_lex_state = 3},
  [5198] = {.lex_state = 77, .external_lex_state = 3},
  [5199] = {.lex_state = 77, .external_lex_state = 3},
  [5200] = {.lex_state = 77, .external_lex_state = 3},
  [5201] = {.lex_state = 80, .external_lex_state = 3},
  [5202] = {.lex_state = 77, .external_lex_state = 3},
  [5203] = {.lex_state = 183, .external_lex_state = 3},
  [5204] = {.lex_state = 185, .external_lex_state = 3},
  [5205] = {.lex_state = 80, .external_lex_state = 3},
  [5206] = {.lex_state = 80, .external_lex_state = 3},
  [5207] = {.lex_state = 80, .external_lex_state = 3},
  [5208] = {.lex_state = 80, .external_lex_state = 3},
  [5209] = {.lex_state = 79, .external_lex_state = 3},
  [5210] = {.lex_state = 80, .external_lex_state = 3},
  [5211] = {.lex_state = 79, .external_lex_state = 3},
  [5212] = {.lex_state = 77, .external_lex_state = 3},
  [5213] = {.lex_state = 80, .external_lex_state = 3},
  [5214] = {.lex_state = 80, .external_lex_state = 3},
  [5215] = {.lex_state = 79, .external_lex_state = 3},
  [5216] = {.lex_state = 77, .external_lex_state = 3},
  [5217] = {.lex_state = 80, .external_lex_state = 3},
  [5218] = {.lex_state = 80, .external_lex_state = 3},
  [5219] = {.lex_state = 183, .external_lex_state = 3},
  [5220] = {.lex_state = 80, .external_lex_state = 3},
  [5221] = {.lex_state = 80, .external_lex_state = 3},
  [5222] = {.lex_state = 79, .external_lex_state = 3},
  [5223] = {.lex_state = 77, .external_lex_state = 3},
  [5224] = {.lex_state = 80, .external_lex_state = 3},
  [5225] = {.lex_state = 77, .external_lex_state = 3},
  [5226] = {.lex_state = 77, .external_lex_state = 3},
  [5227] = {.lex_state = 77, .external_lex_state = 3},
  [5228] = {.lex_state = 77, .external_lex_state = 3},
  [5229] = {.lex_state = 80, .external_lex_state = 3},
  [5230] = {.lex_state = 79, .external_lex_state = 3},
  [5231] = {.lex_state = 77, .external_lex_state = 3},
  [5232] = {.lex_state = 77, .external_lex_state = 3},
  [5233] = {.lex_state = 77, .external_lex_state = 3},
  [5234] = {.lex_state = 78, .external_lex_state = 3},
  [5235] = {.lex_state = 80, .external_lex_state = 3},
  [5236] = {.lex_state = 80, .external_lex_state = 3},
  [5237] = {.lex_state = 77, .external_lex_state = 3},
  [5238] = {.lex_state = 77, .external_lex_state = 3},
  [5239] = {.lex_state = 77, .external_lex_state = 3},
  [5240] = {.lex_state = 80, .external_lex_state = 3},
  [5241] = {.lex_state = 80, .external_lex_state = 3},
  [5242] = {.lex_state = 80, .external_lex_state = 3},
  [5243] = {.lex_state = 80, .external_lex_state = 3},
  [5244] = {.lex_state = 80, .external_lex_state = 3},
  [5245] = {.lex_state = 77, .external_lex_state = 3},
  [5246] = {.lex_state = 80, .external_lex_state = 3},
  [5247] = {.lex_state = 80, .external_lex_state = 3},
  [5248] = {.lex_state = 110, .external_lex_state = 3},
  [5249] = {.lex_state = 77, .external_lex_state = 3},
  [5250] = {.lex_state = 80, .external_lex_state = 3},
  [5251] = {.lex_state = 80, .external_lex_state = 3},
  [5252] = {.lex_state = 80, .external_lex_state = 3},
  [5253] = {.lex_state = 80, .external_lex_state = 3},
  [5254] = {.lex_state = 80, .external_lex_state = 3},
  [5255] = {.lex_state = 80, .external_lex_state = 3},
  [5256] = {.lex_state = 80, .external_lex_state = 3},
  [5257] = {.lex_state = 80, .external_lex_state = 3},
  [5258] = {.lex_state = 80, .external_lex_state = 3},
  [5259] = {.lex_state = 77, .external_lex_state = 3},
  [5260] = {.lex_state = 80, .external_lex_state = 3},
  [5261] = {.lex_state = 77, .external_lex_state = 3},
  [5262] = {.lex_state = 80, .external_lex_state = 3},
  [5263] = {.lex_state = 180, .external_lex_state = 3},
  [5264] = {.lex_state = 79, .external_lex_state = 3},
  [5265] = {.lex_state = 110, .external_lex_state = 3},
  [5266] = {.lex_state = 79, .external_lex_state = 3},
  [5267] = {.lex_state = 79, .external_lex_state = 3},
  [5268] = {.lex_state = 180, .external_lex_state = 3},
  [5269] = {.lex_state = 79, .external_lex_state = 3},
  [5270] = {.lex_state = 180, .external_lex_state = 3},
  [5271] = {.lex_state = 183, .external_lex_state = 3},
  [5272] = {.lex_state = 183, .external_lex_state = 3},
  [5273] = {.lex_state = 79, .external_lex_state = 3},
  [5274] = {.lex_state = 79, .external_lex_state = 3},
  [5275] = {.lex_state = 178, .external_lex_state = 3},
  [5276] = {.lex_state = 80, .external_lex_state = 3},
  [5277] = {.lex_state = 178, .external_lex_state = 3},
  [5278] = {.lex_state = 79, .external_lex_state = 3},
  [5279] = {.lex_state = 79, .external_lex_state = 3},
  [5280] = {.lex_state = 79, .external_lex_state = 3},
  [5281] = {.lex_state = 79, .external_lex_state = 3},
  [5282] = {.lex_state = 178, .external_lex_state = 3},
  [5283] = {.lex_state = 178, .external_lex_state = 3},
  [5284] = {.lex_state = 79, .external_lex_state = 3},
  [5285] = {.lex_state = 178, .external_lex_state = 3},
  [5286] = {.lex_state = 79, .external_lex_state = 3},
  [5287] = {.lex_state = 178, .external_lex_state = 3},
  [5288] = {.lex_state = 79, .external_lex_state = 3},
  [5289] = {.lex_state = 79, .external_lex_state = 3},
  [5290] = {.lex_state = 79, .external_lex_state = 3},
  [5291] = {.lex_state = 79, .external_lex_state = 3},
  [5292] = {.lex_state = 79, .external_lex_state = 3},
  [5293] = {.lex_state = 110, .external_lex_state = 3},
  [5294] = {.lex_state = 79, .external_lex_state = 3},
  [5295] = {.lex_state = 79, .external_lex_state = 3},
  [5296] = {.lex_state = 79, .external_lex_state = 3},
  [5297] = {.lex_state = 79, .external_lex_state = 3},
  [5298] = {.lex_state = 79, .external_lex_state = 3},
  [5299] = {.lex_state = 79, .external_lex_state = 3},
  [5300] = {.lex_state = 79, .external_lex_state = 3},
  [5301] = {.lex_state = 79, .external_lex_state = 3},
  [5302] = {.lex_state = 183, .external_lex_state = 3},
  [5303] = {.lex_state = 79, .external_lex_state = 3},
  [5304] = {.lex_state = 79, .external_lex_state = 3},
  [5305] = {.lex_state = 79, .external_lex_state = 3},
  [5306] = {.lex_state = 79, .external_lex_state = 3},
  [5307] = {.lex_state = 79, .external_lex_state = 3},
  [5308] = {.lex_state = 79, .external_lex_state = 3},
  [5309] = {.lex_state = 79, .external_lex_state = 3},
  [5310] = {.lex_state = 79, .external_lex_state = 3},
  [5311] = {.lex_state = 79, .external_lex_state = 3},
  [5312] = {.lex_state = 150, .external_lex_state = 3},
  [5313] = {.lex_state = 79, .external_lex_state = 3},
  [5314] = {.lex_state = 79, .external_lex_state = 3},
  [5315] = {.lex_state = 79, .external_lex_state = 3},
  [5316] = {.lex_state = 185, .external_lex_state = 3},
  [5317] = {.lex_state = 79, .external_lex_state = 3},
  [5318] = {.lex_state = 79, .external_lex_state = 3},
  [5319] = {.lex_state = 178, .external_lex_state = 3},
  [5320] = {.lex_state = 178, .external_lex_state = 3},
  [5321] = {.lex_state = 178, .external_lex_state = 3},
  [5322] = {.lex_state = 79, .external_lex_state = 3},
  [5323] = {.lex_state = 79, .external_lex_state = 3},
  [5324] = {.lex_state = 180, .external_lex_state = 3},
  [5325] = {.lex_state = 180, .external_lex_state = 3},
  [5326] = {.lex_state = 185, .external_lex_state = 3},
  [5327] = {.lex_state = 79, .external_lex_state = 3},
  [5328] = {.lex_state = 185, .external_lex_state = 3},
  [5329] = {.lex_state = 79, .external_lex_state = 3},
  [5330] = {.lex_state = 79, .external_lex_state = 3},
  [5331] = {.lex_state = 79, .external_lex_state = 3},
  [5332] = {.lex_state = 79, .external_lex_state = 3},
  [5333] = {.lex_state = 79, .external_lex_state = 3},
  [5334] = {.lex_state = 79, .external_lex_state = 3},
  [5335] = {.lex_state = 79, .external_lex_state = 3},
  [5336] = {.lex_state = 184, .external_lex_state = 3},
  [5337] = {.lex_state = 79, .external_lex_state = 3},
  [5338] = {.lex_state = 79, .external_lex_state = 3},
  [5339] = {.lex_state = 158, .external_lex_state = 2},
  [5340] = {.lex_state = 79, .external_lex_state = 3},
  [5341] = {.lex_state = 79, .external_lex_state = 3},
  [5342] = {.lex_state = 79, .external_lex_state = 3},
  [5343] = {.lex_state = 79, .external_lex_state = 3},
  [5344] = {.lex_state = 178, .external_lex_state = 3},
  [5345] = {.lex_state = 79, .external_lex_state = 3},
  [5346] = {.lex_state = 178, .external_lex_state = 3},
  [5347] = {.lex_state = 180, .external_lex_state = 3},
  [5348] = {.lex_state = 79, .external_lex_state = 3},
  [5349] = {.lex_state = 79, .external_lex_state = 3},
  [5350] = {.lex_state = 79, .external_lex_state = 3},
  [5351] = {.lex_state = 180, .external_lex_state = 3},
  [5352] = {.lex_state = 79, .external_lex_state = 3},
  [5353] = {.lex_state = 186, .external_lex_state = 3},
  [5354] = {.lex_state = 79, .external_lex_state = 3},
  [5355] = {.lex_state = 183, .external_lex_state = 3},
  [5356] = {.lex_state = 185, .external_lex_state = 3},
  [5357] = {.lex_state = 180, .external_lex_state = 3},
  [5358] = {.lex_state = 180, .external_lex_state = 3},
  [5359] = {.lex_state = 180, .external_lex_state = 3},
  [5360] = {.lex_state = 158, .external_lex_state = 2},
  [5361] = {.lex_state = 79, .external_lex_state = 3},
  [5362] = {.lex_state = 158, .external_lex_state = 2},
  [5363] = {.lex_state = 79, .external_lex_state = 3},
  [5364] = {.lex_state = 79, .external_lex_state = 3},
  [5365] = {.lex_state = 79, .external_lex_state = 3},
  [5366] = {.lex_state = 79, .external_lex_state = 3},
  [5367] = {.lex_state = 184, .external_lex_state = 3},
  [5368] = {.lex_state = 79, .external_lex_state = 3},
  [5369] = {.lex_state = 79, .external_lex_state = 3},
  [5370] = {.lex_state = 79, .external_lex_state = 3},
  [5371] = {.lex_state = 79, .external_lex_state = 3},
  [5372] = {.lex_state = 79, .external_lex_state = 3},
  [5373] = {.lex_state = 186, .external_lex_state = 3},
  [5374] = {.lex_state = 180, .external_lex_state = 3},
  [5375] = {.lex_state = 79, .external_lex_state = 3},
  [5376] = {.lex_state = 78, .external_lex_state = 3},
  [5377] = {.lex_state = 185, .external_lex_state = 3},
  [5378] = {.lex_state = 123, .external_lex_state = 3},
  [5379] = {.lex_state = 183, .external_lex_state = 3},
  [5380] = {.lex_state = 183, .external_lex_state = 3},
  [5381] = {.lex_state = 149, .external_lex_state = 3},
  [5382] = {.lex_state = 183, .external_lex_state = 3},
  [5383] = {.lex_state = 183, .external_lex_state = 3},
  [5384] = {.lex_state = 185, .external_lex_state = 3},
  [5385] = {.lex_state = 181, .external_lex_state = 3},
  [5386] = {.lex_state = 181, .external_lex_state = 3},
  [5387] = {.lex_state = 185, .external_lex_state = 3},
  [5388] = {.lex_state = 185, .external_lex_state = 3},
  [5389] = {.lex_state = 183, .external_lex_state = 3},
  [5390] = {.lex_state = 183, .external_lex_state = 3},
  [5391] = {.lex_state = 185, .external_lex_state = 3},
  [5392] = {.lex_state = 183, .external_lex_state = 3},
  [5393] = {.lex_state = 183, .external_lex_state = 3},
  [5394] = {.lex_state = 183, .external_lex_state = 3},
  [5395] = {.lex_state = 185, .external_lex_state = 3},
  [5396] = {.lex_state = 123, .external_lex_state = 3},
  [5397] = {.lex_state = 123, .external_lex_state = 3},
  [5398] = {.lex_state = 123, .external_lex_state = 3},
  [5399] = {.lex_state = 123, .external_lex_state = 3},
  [5400] = {.lex_state = 186, .external_lex_state = 3},
  [5401] = {.lex_state = 183, .external_lex_state = 3},
  [5402] = {.lex_state = 181, .external_lex_state = 3},
  [5403] = {.lex_state = 183, .external_lex_state = 3},
  [5404] = {.lex_state = 184, .external_lex_state = 3},
  [5405] = {.lex_state = 123, .external_lex_state = 3},
  [5406] = {.lex_state = 123, .external_lex_state = 3},
  [5407] = {.lex_state = 185, .external_lex_state = 3},
  [5408] = {.lex_state = 183, .external_lex_state = 3},
  [5409] = {.lex_state = 183, .external_lex_state = 3},
  [5410] = {.lex_state = 123, .external_lex_state = 3},
  [5411] = {.lex_state = 181, .external_lex_state = 3},
  [5412] = {.lex_state = 183, .external_lex_state = 3},
  [5413] = {.lex_state = 183, .external_lex_state = 3},
  [5414] = {.lex_state = 185, .external_lex_state = 3},
  [5415] = {.lex_state = 185, .external_lex_state = 3},
  [5416] = {.lex_state = 185, .external_lex_state = 3},
  [5417] = {.lex_state = 185, .external_lex_state = 3},
  [5418] = {.lex_state = 185, .external_lex_state = 3},
  [5419] = {.lex_state = 186, .external_lex_state = 3},
  [5420] = {.lex_state = 185, .external_lex_state = 3},
  [5421] = {.lex_state = 185, .external_lex_state = 3},
  [5422] = {.lex_state = 181, .external_lex_state = 3},
  [5423] = {.lex_state = 181, .external_lex_state = 3},
  [5424] = {.lex_state = 183, .external_lex_state = 3},
  [5425] = {.lex_state = 183, .external_lex_state = 3},
  [5426] = {.lex_state = 185, .external_lex_state = 3},
  [5427] = {.lex_state = 181, .external_lex_state = 3},
  [5428] = {.lex_state = 185, .external_lex_state = 3},
  [5429] = {.lex_state = 185, .external_lex_state = 3},
  [5430] = {.lex_state = 185, .external_lex_state = 3},
  [5431] = {.lex_state = 186, .external_lex_state = 3},
  [5432] = {.lex_state = 185, .external_lex_state = 3},
  [5433] = {.lex_state = 123, .external_lex_state = 3},
  [5434] = {.lex_state = 185, .external_lex_state = 3},
  [5435] = {.lex_state = 183, .external_lex_state = 3},
  [5436] = {.lex_state = 184, .external_lex_state = 3},
  [5437] = {.lex_state = 185, .external_lex_state = 3},
  [5438] = {.lex_state = 185, .external_lex_state = 3},
  [5439] = {.lex_state = 179, .external_lex_state = 3},
  [5440] = {.lex_state = 185, .external_lex_state = 3},
  [5441] = {.lex_state = 185, .external_lex_state = 3},
  [5442] = {.lex_state = 185, .external_lex_state = 3},
  [5443] = {.lex_state = 185, .external_lex_state = 3},
  [5444] = {.lex_state = 185, .external_lex_state = 3},
  [5445] = {.lex_state = 185, .external_lex_state = 3},
  [5446] = {.lex_state = 185, .external_lex_state = 3},
  [5447] = {.lex_state = 183, .external_lex_state = 3},
  [5448] = {.lex_state = 185, .external_lex_state = 3},
  [5449] = {.lex_state = 185, .external_lex_state = 3},
  [5450] = {.lex_state = 185, .external_lex_state = 3},
  [5451] = {.lex_state = 181, .external_lex_state = 3},
  [5452] = {.lex_state = 186, .external_lex_state = 3},
  [5453] = {.lex_state = 179, .external_lex_state = 3},
  [5454] = {.lex_state = 123, .external_lex_state = 3},
  [5455] = {.lex_state = 179, .external_lex_state = 3},
  [5456] = {.lex_state = 185, .external_lex_state = 3},
  [5457] = {.lex_state = 179, .external_lex_state = 3},
  [5458] = {.lex_state = 185, .external_lex_state = 3},
  [5459] = {.lex_state = 185, .external_lex_state = 3},
  [5460] = {.lex_state = 184, .external_lex_state = 3},
  [5461] = {.lex_state = 185, .external_lex_state = 3},
  [5462] = {.lex_state = 181, .external_lex_state = 3},
  [5463] = {.lex_state = 78, .external_lex_state = 3},
  [5464] = {.lex_state = 179, .external_lex_state = 3},
  [5465] = {.lex_state = 183, .external_lex_state = 3},
  [5466] = {.lex_state = 179, .external_lex_state = 3},
  [5467] = {.lex_state = 152, .external_lex_state = 3},
  [5468] = {.lex_state = 179, .external_lex_state = 3},
  [5469] = {.lex_state = 185, .external_lex_state = 3},
  [5470] = {.lex_state = 183, .external_lex_state = 3},
  [5471] = {.lex_state = 179, .external_lex_state = 3},
  [5472] = {.lex_state = 183, .external_lex_state = 3},
  [5473] = {.lex_state = 179, .external_lex_state = 3},
  [5474] = {.lex_state = 179, .external_lex_state = 3},
  [5475] = {.lex_state = 185, .external_lex_state = 3},
  [5476] = {.lex_state = 183, .external_lex_state = 3},
  [5477] = {.lex_state = 183, .external_lex_state = 3},
  [5478] = {.lex_state = 183, .external_lex_state = 3},
  [5479] = {.lex_state = 179, .external_lex_state = 3},
  [5480] = {.lex_state = 183, .external_lex_state = 3},
  [5481] = {.lex_state = 185, .external_lex_state = 3},
  [5482] = {.lex_state = 185, .external_lex_state = 3},
  [5483] = {.lex_state = 185, .external_lex_state = 3},
  [5484] = {.lex_state = 185, .external_lex_state = 3},
  [5485] = {.lex_state = 183, .external_lex_state = 3},
  [5486] = {.lex_state = 185, .external_lex_state = 3},
  [5487] = {.lex_state = 183, .external_lex_state = 3},
  [5488] = {.lex_state = 183, .external_lex_state = 3},
  [5489] = {.lex_state = 183, .external_lex_state = 3},
  [5490] = {.lex_state = 183, .external_lex_state = 3},
  [5491] = {.lex_state = 183, .external_lex_state = 3},
  [5492] = {.lex_state = 183, .external_lex_state = 3},
  [5493] = {.lex_state = 183, .external_lex_state = 3},
  [5494] = {.lex_state = 183, .external_lex_state = 3},
  [5495] = {.lex_state = 183, .external_lex_state = 3},
  [5496] = {.lex_state = 183, .external_lex_state = 3},
  [5497] = {.lex_state = 183, .external_lex_state = 3},
  [5498] = {.lex_state = 183, .external_lex_state = 3},
  [5499] = {.lex_state = 184, .external_lex_state = 3},
  [5500] = {.lex_state = 181, .external_lex_state = 3},
  [5501] = {.lex_state = 183, .external_lex_state = 3},
  [5502] = {.lex_state = 185, .external_lex_state = 3},
  [5503] = {.lex_state = 185, .external_lex_state = 3},
  [5504] = {.lex_state = 183, .external_lex_state = 3},
  [5505] = {.lex_state = 183, .external_lex_state = 3},
  [5506] = {.lex_state = 183, .external_lex_state = 3},
  [5507] = {.lex_state = 185, .external_lex_state = 3},
  [5508] = {.lex_state = 183, .external_lex_state = 3},
  [5509] = {.lex_state = 185, .external_lex_state = 3},
  [5510] = {.lex_state = 183, .external_lex_state = 3},
  [5511] = {.lex_state = 183, .external_lex_state = 3},
  [5512] = {.lex_state = 183, .external_lex_state = 3},
  [5513] = {.lex_state = 185, .external_lex_state = 3},
  [5514] = {.lex_state = 123, .external_lex_state = 3},
  [5515] = {.lex_state = 183, .external_lex_state = 3},
  [5516] = {.lex_state = 181, .external_lex_state = 3},
  [5517] = {.lex_state = 185, .external_lex_state = 3},
  [5518] = {.lex_state = 183, .external_lex_state = 3},
  [5519] = {.lex_state = 124, .external_lex_state = 3},
  [5520] = {.lex_state = 123, .external_lex_state = 3},
  [5521] = {.lex_state = 184, .external_lex_state = 3},
  [5522] = {.lex_state = 186, .external_lex_state = 3},
  [5523] = {.lex_state = 186, .external_lex_state = 3},
  [5524] = {.lex_state = 123, .external_lex_state = 3},
  [5525] = {.lex_state = 184, .external_lex_state = 3},
  [5526] = {.lex_state = 184, .external_lex_state = 3},
  [5527] = {.lex_state = 184, .external_lex_state = 3},
  [5528] = {.lex_state = 123, .external_lex_state = 3},
  [5529] = {.lex_state = 184, .external_lex_state = 3},
  [5530] = {.lex_state = 123, .external_lex_state = 3},
  [5531] = {.lex_state = 123, .external_lex_state = 3},
  [5532] = {.lex_state = 123, .external_lex_state = 3},
  [5533] = {.lex_state = 186, .external_lex_state = 3},
  [5534] = {.lex_state = 186, .external_lex_state = 3},
  [5535] = {.lex_state = 186, .external_lex_state = 3},
  [5536] = {.lex_state = 77, .external_lex_state = 3},
  [5537] = {.lex_state = 186, .external_lex_state = 3},
  [5538] = {.lex_state = 80, .external_lex_state = 3},
  [5539] = {.lex_state = 184, .external_lex_state = 3},
  [5540] = {.lex_state = 186, .external_lex_state = 3},
  [5541] = {.lex_state = 124, .external_lex_state = 3},
  [5542] = {.lex_state = 184, .external_lex_state = 3},
  [5543] = {.lex_state = 186, .external_lex_state = 3},
  [5544] = {.lex_state = 123, .external_lex_state = 3},
  [5545] = {.lex_state = 184, .external_lex_state = 3},
  [5546] = {.lex_state = 124, .external_lex_state = 3},
  [5547] = {.lex_state = 123, .external_lex_state = 3},
  [5548] = {.lex_state = 123, .external_lex_state = 3},
  [5549] = {.lex_state = 184, .external_lex_state = 3},
  [5550] = {.lex_state = 123, .external_lex_state = 3},
  [5551] = {.lex_state = 186, .external_lex_state = 3},
  [5552] = {.lex_state = 186, .external_lex_state = 3},
  [5553] = {.lex_state = 186, .external_lex_state = 3},
  [5554] = {.lex_state = 186, .external_lex_state = 3},
  [5555] = {.lex_state = 186, .external_lex_state = 3},
  [5556] = {.lex_state = 184, .external_lex_state = 3},
  [5557] = {.lex_state = 186, .external_lex_state = 3},
  [5558] = {.lex_state = 186, .external_lex_state = 3},
  [5559] = {.lex_state = 124, .external_lex_state = 3},
  [5560] = {.lex_state = 123, .external_lex_state = 3},
  [5561] = {.lex_state = 184, .external_lex_state = 3},
  [5562] = {.lex_state = 123, .external_lex_state = 3},
  [5563] = {.lex_state = 186, .external_lex_state = 3},
  [5564] = {.lex_state = 124, .external_lex_state = 3},
  [5565] = {.lex_state = 123, .external_lex_state = 3},
  [5566] = {.lex_state = 186, .external_lex_state = 3},
  [5567] = {.lex_state = 123, .external_lex_state = 3},
  [5568] = {.lex_state = 123, .external_lex_state = 3},
  [5569] = {.lex_state = 123, .external_lex_state = 3},
  [5570] = {.lex_state = 123, .external_lex_state = 3},
  [5571] = {.lex_state = 123, .external_lex_state = 3},
  [5572] = {.lex_state = 123, .external_lex_state = 3},
  [5573] = {.lex_state = 186, .external_lex_state = 3},
  [5574] = {.lex_state = 186, .external_lex_state = 3},
  [5575] = {.lex_state = 123, .external_lex_state = 3},
  [5576] = {.lex_state = 123, .external_lex_state = 3},
  [5577] = {.lex_state = 186, .external_lex_state = 3},
  [5578] = {.lex_state = 184, .external_lex_state = 3},
  [5579] = {.lex_state = 184, .external_lex_state = 3},
  [5580] = {.lex_state = 124, .external_lex_state = 3},
  [5581] = {.lex_state = 123, .external_lex_state = 3},
  [5582] = {.lex_state = 184, .external_lex_state = 3},
  [5583] = {.lex_state = 123, .external_lex_state = 3},
  [5584] = {.lex_state = 80, .external_lex_state = 3},
  [5585] = {.lex_state = 123, .external_lex_state = 3},
  [5586] = {.lex_state = 186, .external_lex_state = 3},
  [5587] = {.lex_state = 124, .external_lex_state = 3},
  [5588] = {.lex_state = 184, .external_lex_state = 3},
  [5589] = {.lex_state = 186, .external_lex_state = 3},
  [5590] = {.lex_state = 123, .external_lex_state = 3},
  [5591] = {.lex_state = 124, .external_lex_state = 3},
  [5592] = {.lex_state = 186, .external_lex_state = 3},
  [5593] = {.lex_state = 186, .external_lex_state = 3},
  [5594] = {.lex_state = 186, .external_lex_state = 3},
  [5595] = {.lex_state = 186, .external_lex_state = 3},
  [5596] = {.lex_state = 186, .external_lex_state = 3},
  [5597] = {.lex_state = 184, .external_lex_state = 3},
  [5598] = {.lex_state = 184, .external_lex_state = 3},
  [5599] = {.lex_state = 123, .external_lex_state = 3},
  [5600] = {.lex_state = 123, .external_lex_state = 3},
  [5601] = {.lex_state = 184, .external_lex_state = 3},
  [5602] = {.lex_state = 123, .external_lex_state = 3},
  [5603] = {.lex_state = 184, .external_lex_state = 3},
  [5604] = {.lex_state = 123, .external_lex_state = 3},
  [5605] = {.lex_state = 123, .external_lex_state = 3},
  [5606] = {.lex_state = 184, .external_lex_state = 3},
  [5607] = {.lex_state = 184, .external_lex_state = 3},
  [5608] = {.lex_state = 184, .external_lex_state = 3},
  [5609] = {.lex_state = 186, .external_lex_state = 3},
  [5610] = {.lex_state = 186, .external_lex_state = 3},
  [5611] = {.lex_state = 184, .external_lex_state = 3},
  [5612] = {.lex_state = 123, .external_lex_state = 3},
  [5613] = {.lex_state = 124, .external_lex_state = 3},
  [5614] = {.lex_state = 123, .external_lex_state = 3},
  [5615] = {.lex_state = 184, .external_lex_state = 3},
  [5616] = {.lex_state = 123, .external_lex_state = 3},
  [5617] = {.lex_state = 124, .external_lex_state = 3},
  [5618] = {.lex_state = 186, .external_lex_state = 3},
  [5619] = {.lex_state = 186, .external_lex_state = 3},
  [5620] = {.lex_state = 184, .external_lex_state = 3},
  [5621] = {.lex_state = 123, .external_lex_state = 3},
  [5622] = {.lex_state = 123, .external_lex_state = 3},
  [5623] = {.lex_state = 123, .external_lex_state = 3},
  [5624] = {.lex_state = 123, .external_lex_state = 3},
  [5625] = {.lex_state = 123, .external_lex_state = 3},
  [5626] = {.lex_state = 184, .external_lex_state = 3},
  [5627] = {.lex_state = 123, .external_lex_state = 3},
  [5628] = {.lex_state = 123, .external_lex_state = 3},
  [5629] = {.lex_state = 186, .external_lex_state = 3},
  [5630] = {.lex_state = 186, .external_lex_state = 3},
  [5631] = {.lex_state = 186, .external_lex_state = 3},
  [5632] = {.lex_state = 186, .external_lex_state = 3},
  [5633] = {.lex_state = 123, .external_lex_state = 3},
  [5634] = {.lex_state = 123, .external_lex_state = 3},
  [5635] = {.lex_state = 123, .external_lex_state = 3},
  [5636] = {.lex_state = 123, .external_lex_state = 3},
  [5637] = {.lex_state = 123, .external_lex_state = 3},
  [5638] = {.lex_state = 123, .external_lex_state = 3},
  [5639] = {.lex_state = 123, .external_lex_state = 3},
  [5640] = {.lex_state = 186, .external_lex_state = 3},
  [5641] = {.lex_state = 123, .external_lex_state = 3},
  [5642] = {.lex_state = 186, .external_lex_state = 3},
  [5643] = {.lex_state = 184, .external_lex_state = 3},
  [5644] = {.lex_state = 184, .external_lex_state = 3},
  [5645] = {.lex_state = 184, .external_lex_state = 3},
  [5646] = {.lex_state = 184, .external_lex_state = 3},
  [5647] = {.lex_state = 184, .external_lex_state = 3},
  [5648] = {.lex_state = 184, .external_lex_state = 3},
  [5649] = {.lex_state = 184, .external_lex_state = 3},
  [5650] = {.lex_state = 186, .external_lex_state = 3},
  [5651] = {.lex_state = 184, .external_lex_state = 3},
  [5652] = {.lex_state = 184, .external_lex_state = 3},
  [5653] = {.lex_state = 184, .external_lex_state = 3},
  [5654] = {.lex_state = 123, .external_lex_state = 3},
  [5655] = {.lex_state = 123, .external_lex_state = 3},
  [5656] = {.lex_state = 123, .external_lex_state = 3},
  [5657] = {.lex_state = 184, .external_lex_state = 3},
  [5658] = {.lex_state = 151, .external_lex_state = 3},
  [5659] = {.lex_state = 123, .external_lex_state = 3},
  [5660] = {.lex_state = 184, .external_lex_state = 3},
  [5661] = {.lex_state = 184, .external_lex_state = 3},
  [5662] = {.lex_state = 184, .external_lex_state = 3},
  [5663] = {.lex_state = 123, .external_lex_state = 3},
  [5664] = {.lex_state = 123, .external_lex_state = 3},
  [5665] = {.lex_state = 123, .external_lex_state = 3},
  [5666] = {.lex_state = 186, .external_lex_state = 3},
  [5667] = {.lex_state = 123, .external_lex_state = 3},
  [5668] = {.lex_state = 123, .external_lex_state = 3},
  [5669] = {.lex_state = 186, .external_lex_state = 3},
  [5670] = {.lex_state = 186, .external_lex_state = 3},
  [5671] = {.lex_state = 123, .external_lex_state = 3},
  [5672] = {.lex_state = 123, .external_lex_state = 3},
  [5673] = {.lex_state = 123, .external_lex_state = 3},
  [5674] = {.lex_state = 184, .external_lex_state = 3},
  [5675] = {.lex_state = 123, .external_lex_state = 3},
  [5676] = {.lex_state = 184, .external_lex_state = 3},
  [5677] = {.lex_state = 123, .external_lex_state = 3},
  [5678] = {.lex_state = 184, .external_lex_state = 3},
  [5679] = {.lex_state = 186, .external_lex_state = 3},
  [5680] = {.lex_state = 77, .external_lex_state = 3},
  [5681] = {.lex_state = 184, .external_lex_state = 3},
  [5682] = {.lex_state = 123, .external_lex_state = 3},
  [5683] = {.lex_state = 186, .external_lex_state = 3},
  [5684] = {.lex_state = 186, .external_lex_state = 3},
  [5685] = {.lex_state = 123, .external_lex_state = 3},
  [5686] = {.lex_state = 184, .external_lex_state = 3},
  [5687] = {.lex_state = 184, .external_lex_state = 3},
  [5688] = {.lex_state = 184, .external_lex_state = 3},
  [5689] = {.lex_state = 184, .external_lex_state = 3},
  [5690] = {.lex_state = 123, .external_lex_state = 3},
  [5691] = {.lex_state = 123, .external_lex_state = 3},
  [5692] = {.lex_state = 123, .external_lex_state = 3},
  [5693] = {.lex_state = 186, .external_lex_state = 3},
  [5694] = {.lex_state = 124, .external_lex_state = 3},
  [5695] = {.lex_state = 123, .external_lex_state = 3},
  [5696] = {.lex_state = 123, .external_lex_state = 3},
  [5697] = {.lex_state = 123, .external_lex_state = 3},
  [5698] = {.lex_state = 184, .external_lex_state = 3},
  [5699] = {.lex_state = 186, .external_lex_state = 3},
  [5700] = {.lex_state = 123, .external_lex_state = 3},
  [5701] = {.lex_state = 186, .external_lex_state = 3},
  [5702] = {.lex_state = 123, .external_lex_state = 3},
  [5703] = {.lex_state = 186, .external_lex_state = 3},
  [5704] = {.lex_state = 186, .external_lex_state = 3},
  [5705] = {.lex_state = 123, .external_lex_state = 3},
  [5706] = {.lex_state = 113, .external_lex_state = 3},
  [5707] = {.lex_state = 113, .external_lex_state = 3},
  [5708] = {.lex_state = 124, .external_lex_state = 3},
  [5709] = {.lex_state = 124, .external_lex_state = 3},
  [5710] = {.lex_state = 124, .external_lex_state = 3},
  [5711] = {.lex_state = 124, .external_lex_state = 3},
  [5712] = {.lex_state = 124, .external_lex_state = 3},
  [5713] = {.lex_state = 124, .external_lex_state = 3},
  [5714] = {.lex_state = 124, .external_lex_state = 3},
  [5715] = {.lex_state = 124, .external_lex_state = 3},
  [5716] = {.lex_state = 124, .external_lex_state = 3},
  [5717] = {.lex_state = 124, .external_lex_state = 3},
  [5718] = {.lex_state = 124, .external_lex_state = 3},
  [5719] = {.lex_state = 124, .external_lex_state = 3},
  [5720] = {.lex_state = 124, .external_lex_state = 3},
  [5721] = {.lex_state = 124, .external_lex_state = 3},
  [5722] = {.lex_state = 124, .external_lex_state = 3},
  [5723] = {.lex_state = 124, .external_lex_state = 3},
  [5724] = {.lex_state = 124, .external_lex_state = 3},
  [5725] = {.lex_state = 124, .external_lex_state = 3},
  [5726] = {.lex_state = 124, .external_lex_state = 3},
  [5727] = {.lex_state = 124, .external_lex_state = 3},
  [5728] = {.lex_state = 124, .external_lex_state = 3},
  [5729] = {.lex_state = 124, .external_lex_state = 3},
  [5730] = {.lex_state = 124, .external_lex_state = 3},
  [5731] = {.lex_state = 124, .external_lex_state = 3},
  [5732] = {.lex_state = 124, .external_lex_state = 3},
  [5733] = {.lex_state = 124, .external_lex_state = 3},
  [5734] = {.lex_state = 124, .external_lex_state = 3},
  [5735] = {.lex_state = 124, .external_lex_state = 3},
  [5736] = {.lex_state = 79, .external_lex_state = 3},
  [5737] = {.lex_state = 124, .external_lex_state = 3},
  [5738] = {.lex_state = 124, .external_lex_state = 3},
  [5739] = {.lex_state = 19, .external_lex_state = 3},
  [5740] = {.lex_state = 19, .external_lex_state = 3},
  [5741] = {.lex_state = 113, .external_lex_state = 3},
  [5742] = {.lex_state = 124, .external_lex_state = 3},
  [5743] = {.lex_state = 124, .external_lex_state = 3},
  [5744] = {.lex_state = 113, .external_lex_state = 3},
  [5745] = {.lex_state = 124, .external_lex_state = 3},
  [5746] = {.lex_state = 113, .external_lex_state = 3},
  [5747] = {.lex_state = 124, .external_lex_state = 3},
  [5748] = {.lex_state = 124, .external_lex_state = 3},
  [5749] = {.lex_state = 124, .external_lex_state = 3},
  [5750] = {.lex_state = 124, .external_lex_state = 3},
  [5751] = {.lex_state = 124, .external_lex_state = 3},
  [5752] = {.lex_state = 124, .external_lex_state = 3},
  [5753] = {.lex_state = 124, .external_lex_state = 3},
  [5754] = {.lex_state = 19, .external_lex_state = 3},
  [5755] = {.lex_state = 113, .external_lex_state = 3},
  [5756] = {.lex_state = 113, .external_lex_state = 3},
  [5757] = {.lex_state = 124, .external_lex_state = 3},
  [5758] = {.lex_state = 124, .external_lex_state = 3},
  [5759] = {.lex_state = 124, .external_lex_state = 3},
  [5760] = {.lex_state = 124, .external_lex_state = 3},
  [5761] = {.lex_state = 124, .external_lex_state = 3},
  [5762] = {.lex_state = 124, .external_lex_state = 3},
  [5763] = {.lex_state = 124, .external_lex_state = 3},
  [5764] = {.lex_state = 124, .external_lex_state = 3},
  [5765] = {.lex_state = 113, .external_lex_state = 3},
  [5766] = {.lex_state = 124, .external_lex_state = 3},
  [5767] = {.lex_state = 124, .external_lex_state = 3},
  [5768] = {.lex_state = 124, .external_lex_state = 3},
  [5769] = {.lex_state = 124, .external_lex_state = 3},
  [5770] = {.lex_state = 124, .external_lex_state = 3},
  [5771] = {.lex_state = 124, .external_lex_state = 3},
  [5772] = {.lex_state = 124, .external_lex_state = 3},
  [5773] = {.lex_state = 79, .external_lex_state = 3},
  [5774] = {.lex_state = 124, .external_lex_state = 3},
  [5775] = {.lex_state = 19, .external_lex_state = 3},
  [5776] = {.lex_state = 19, .external_lex_state = 3},
  [5777] = {.lex_state = 124, .external_lex_state = 3},
  [5778] = {.lex_state = 113, .external_lex_state = 3},
  [5779] = {.lex_state = 124, .external_lex_state = 3},
  [5780] = {.lex_state = 124, .external_lex_state = 3},
  [5781] = {.lex_state = 124, .external_lex_state = 3},
  [5782] = {.lex_state = 124, .external_lex_state = 3},
  [5783] = {.lex_state = 113, .external_lex_state = 3},
  [5784] = {.lex_state = 124, .external_lex_state = 3},
  [5785] = {.lex_state = 124, .external_lex_state = 3},
  [5786] = {.lex_state = 124, .external_lex_state = 3},
  [5787] = {.lex_state = 124, .external_lex_state = 3},
  [5788] = {.lex_state = 19, .external_lex_state = 3},
  [5789] = {.lex_state = 124, .external_lex_state = 3},
  [5790] = {.lex_state = 124, .external_lex_state = 3},
  [5791] = {.lex_state = 124, .external_lex_state = 3},
  [5792] = {.lex_state = 124, .external_lex_state = 3},
  [5793] = {.lex_state = 124, .external_lex_state = 3},
  [5794] = {.lex_state = 124, .external_lex_state = 3},
  [5795] = {.lex_state = 124, .external_lex_state = 3},
  [5796] = {.lex_state = 113, .external_lex_state = 3},
  [5797] = {.lex_state = 124, .external_lex_state = 3},
  [5798] = {.lex_state = 19, .external_lex_state = 3},
  [5799] = {.lex_state = 19, .external_lex_state = 3},
  [5800] = {.lex_state = 19, .external_lex_state = 3},
  [5801] = {.lex_state = 111, .external_lex_state = 3},
  [5802] = {.lex_state = 115, .external_lex_state = 3},
  [5803] = {.lex_state = 113, .external_lex_state = 3},
  [5804] = {.lex_state = 28, .external_lex_state = 3},
  [5805] = {.lex_state = 28, .external_lex_state = 3},
  [5806] = {.lex_state = 28, .external_lex_state = 3},
  [5807] = {.lex_state = 28, .external_lex_state = 3},
  [5808] = {.lex_state = 28, .external_lex_state = 3},
  [5809] = {.lex_state = 28, .external_lex_state = 3},
  [5810] = {.lex_state = 28, .external_lex_state = 3},
  [5811] = {.lex_state = 28, .external_lex_state = 3},
  [5812] = {.lex_state = 113, .external_lex_state = 3},
  [5813] = {.lex_state = 28, .external_lex_state = 3},
  [5814] = {.lex_state = 28, .external_lex_state = 3},
  [5815] = {.lex_state = 119, .external_lex_state = 3},
  [5816] = {.lex_state = 28, .external_lex_state = 3},
  [5817] = {.lex_state = 28, .external_lex_state = 3},
  [5818] = {.lex_state = 28, .external_lex_state = 3},
  [5819] = {.lex_state = 113, .external_lex_state = 3},
  [5820] = {.lex_state = 28, .external_lex_state = 3},
  [5821] = {.lex_state = 28, .external_lex_state = 3},
  [5822] = {.lex_state = 28, .external_lex_state = 3},
  [5823] = {.lex_state = 28, .external_lex_state = 3},
  [5824] = {.lex_state = 28, .external_lex_state = 3},
  [5825] = {.lex_state = 28, .external_lex_state = 3},
  [5826] = {.lex_state = 28, .external_lex_state = 3},
  [5827] = {.lex_state = 119, .external_lex_state = 3},
  [5828] = {.lex_state = 28, .external_lex_state = 3},
  [5829] = {.lex_state = 118, .external_lex_state = 3},
  [5830] = {.lex_state = 28, .external_lex_state = 3},
  [5831] = {.lex_state = 28, .external_lex_state = 3},
  [5832] = {.lex_state = 28, .external_lex_state = 3},
  [5833] = {.lex_state = 28, .external_lex_state = 3},
  [5834] = {.lex_state = 28, .external_lex_state = 3},
  [5835] = {.lex_state = 28, .external_lex_state = 3},
  [5836] = {.lex_state = 113, .external_lex_state = 3},
  [5837] = {.lex_state = 28, .external_lex_state = 3},
  [5838] = {.lex_state = 28, .external_lex_state = 3},
  [5839] = {.lex_state = 161, .external_lex_state = 2},
  [5840] = {.lex_state = 117, .external_lex_state = 3},
  [5841] = {.lex_state = 28, .external_lex_state = 3},
  [5842] = {.lex_state = 113, .external_lex_state = 3},
  [5843] = {.lex_state = 118, .external_lex_state = 3},
  [5844] = {.lex_state = 161, .external_lex_state = 2},
  [5845] = {.lex_state = 161, .external_lex_state = 2},
  [5846] = {.lex_state = 28, .external_lex_state = 3},
  [5847] = {.lex_state = 28, .external_lex_state = 3},
  [5848] = {.lex_state = 28, .external_lex_state = 3},
  [5849] = {.lex_state = 28, .external_lex_state = 3},
  [5850] = {.lex_state = 28, .external_lex_state = 3},
  [5851] = {.lex_state = 28, .external_lex_state = 3},
  [5852] = {.lex_state = 119, .external_lex_state = 3},
  [5853] = {.lex_state = 119, .external_lex_state = 3},
  [5854] = {.lex_state = 119, .external_lex_state = 3},
  [5855] = {.lex_state = 28, .external_lex_state = 3},
  [5856] = {.lex_state = 118, .external_lex_state = 3},
  [5857] = {.lex_state = 28, .external_lex_state = 3},
  [5858] = {.lex_state = 28, .external_lex_state = 3},
  [5859] = {.lex_state = 28, .external_lex_state = 3},
  [5860] = {.lex_state = 28, .external_lex_state = 3},
  [5861] = {.lex_state = 161, .external_lex_state = 2},
  [5862] = {.lex_state = 78, .external_lex_state = 3},
  [5863] = {.lex_state = 119, .external_lex_state = 3},
  [5864] = {.lex_state = 119, .external_lex_state = 3},
  [5865] = {.lex_state = 119, .external_lex_state = 3},
  [5866] = {.lex_state = 27, .external_lex_state = 3},
  [5867] = {.lex_state = 27, .external_lex_state = 3},
  [5868] = {.lex_state = 27, .external_lex_state = 3},
  [5869] = {.lex_state = 111, .external_lex_state = 3},
  [5870] = {.lex_state = 27, .external_lex_state = 3},
  [5871] = {.lex_state = 113, .external_lex_state = 3},
  [5872] = {.lex_state = 27, .external_lex_state = 3},
  [5873] = {.lex_state = 27, .external_lex_state = 3},
  [5874] = {.lex_state = 28, .external_lex_state = 3},
  [5875] = {.lex_state = 111, .external_lex_state = 3},
  [5876] = {.lex_state = 27, .external_lex_state = 3},
  [5877] = {.lex_state = 111, .external_lex_state = 3},
  [5878] = {.lex_state = 27, .external_lex_state = 3},
  [5879] = {.lex_state = 27, .external_lex_state = 3},
  [5880] = {.lex_state = 27, .external_lex_state = 3},
  [5881] = {.lex_state = 27, .external_lex_state = 3},
  [5882] = {.lex_state = 27, .external_lex_state = 3},
  [5883] = {.lex_state = 27, .external_lex_state = 3},
  [5884] = {.lex_state = 111, .external_lex_state = 3},
  [5885] = {.lex_state = 111, .external_lex_state = 3},
  [5886] = {.lex_state = 111, .external_lex_state = 3},
  [5887] = {.lex_state = 27, .external_lex_state = 3},
  [5888] = {.lex_state = 28, .external_lex_state = 3},
  [5889] = {.lex_state = 27, .external_lex_state = 3},
  [5890] = {.lex_state = 27, .external_lex_state = 3},
  [5891] = {.lex_state = 27, .external_lex_state = 3},
  [5892] = {.lex_state = 27, .external_lex_state = 3},
  [5893] = {.lex_state = 27, .external_lex_state = 3},
  [5894] = {.lex_state = 27, .external_lex_state = 3},
  [5895] = {.lex_state = 27, .external_lex_state = 3},
  [5896] = {.lex_state = 27, .external_lex_state = 3},
  [5897] = {.lex_state = 27, .external_lex_state = 3},
  [5898] = {.lex_state = 28, .external_lex_state = 3},
  [5899] = {.lex_state = 28, .external_lex_state = 3},
  [5900] = {.lex_state = 28, .external_lex_state = 3},
  [5901] = {.lex_state = 27, .external_lex_state = 3},
  [5902] = {.lex_state = 27, .external_lex_state = 3},
  [5903] = {.lex_state = 114, .external_lex_state = 3},
  [5904] = {.lex_state = 27, .external_lex_state = 3},
  [5905] = {.lex_state = 114, .external_lex_state = 3},
  [5906] = {.lex_state = 113, .external_lex_state = 3},
  [5907] = {.lex_state = 27, .external_lex_state = 3},
  [5908] = {.lex_state = 113, .external_lex_state = 3},
  [5909] = {.lex_state = 113, .external_lex_state = 3},
  [5910] = {.lex_state = 28, .external_lex_state = 3},
  [5911] = {.lex_state = 28, .external_lex_state = 3},
  [5912] = {.lex_state = 28, .external_lex_state = 3},
  [5913] = {.lex_state = 28, .external_lex_state = 3},
  [5914] = {.lex_state = 28, .external_lex_state = 3},
  [5915] = {.lex_state = 28, .external_lex_state = 3},
  [5916] = {.lex_state = 27, .external_lex_state = 3},
  [5917] = {.lex_state = 115, .external_lex_state = 3},
  [5918] = {.lex_state = 113, .external_lex_state = 3},
  [5919] = {.lex_state = 111, .external_lex_state = 3},
  [5920] = {.lex_state = 111, .external_lex_state = 3},
  [5921] = {.lex_state = 113, .external_lex_state = 3},
  [5922] = {.lex_state = 28, .external_lex_state = 3},
  [5923] = {.lex_state = 113, .external_lex_state = 3},
  [5924] = {.lex_state = 28, .external_lex_state = 3},
  [5925] = {.lex_state = 28, .external_lex_state = 3},
  [5926] = {.lex_state = 28, .external_lex_state = 3},
  [5927] = {.lex_state = 28, .external_lex_state = 3},
  [5928] = {.lex_state = 115, .external_lex_state = 3},
  [5929] = {.lex_state = 115, .external_lex_state = 3},
  [5930] = {.lex_state = 114, .external_lex_state = 3},
  [5931] = {.lex_state = 27, .external_lex_state = 3},
  [5932] = {.lex_state = 113, .external_lex_state = 3},
  [5933] = {.lex_state = 28, .external_lex_state = 3},
  [5934] = {.lex_state = 117, .external_lex_state = 3},
  [5935] = {.lex_state = 114, .external_lex_state = 3},
  [5936] = {.lex_state = 114, .external_lex_state = 3},
  [5937] = {.lex_state = 114, .external_lex_state = 3},
  [5938] = {.lex_state = 114, .external_lex_state = 3},
  [5939] = {.lex_state = 114, .external_lex_state = 3},
  [5940] = {.lex_state = 114, .external_lex_state = 3},
  [5941] = {.lex_state = 113, .external_lex_state = 3},
  [5942] = {.lex_state = 113, .external_lex_state = 3},
  [5943] = {.lex_state = 28, .external_lex_state = 3},
  [5944] = {.lex_state = 118, .external_lex_state = 3},
  [5945] = {.lex_state = 113, .external_lex_state = 3},
  [5946] = {.lex_state = 113, .external_lex_state = 3},
  [5947] = {.lex_state = 27, .external_lex_state = 3},
  [5948] = {.lex_state = 113, .external_lex_state = 3},
  [5949] = {.lex_state = 115, .external_lex_state = 3},
  [5950] = {.lex_state = 113, .external_lex_state = 3},
  [5951] = {.lex_state = 113, .external_lex_state = 3},
  [5952] = {.lex_state = 113, .external_lex_state = 3},
  [5953] = {.lex_state = 115, .external_lex_state = 3},
  [5954] = {.lex_state = 113, .external_lex_state = 3},
  [5955] = {.lex_state = 27, .external_lex_state = 3},
  [5956] = {.lex_state = 113, .external_lex_state = 3},
  [5957] = {.lex_state = 115, .external_lex_state = 3},
  [5958] = {.lex_state = 113, .external_lex_state = 3},
  [5959] = {.lex_state = 113, .external_lex_state = 3},
  [5960] = {.lex_state = 113, .external_lex_state = 3},
  [5961] = {.lex_state = 28, .external_lex_state = 3},
  [5962] = {.lex_state = 111, .external_lex_state = 3},
  [5963] = {.lex_state = 28, .external_lex_state = 3},
  [5964] = {.lex_state = 113, .external_lex_state = 3},
  [5965] = {.lex_state = 113, .external_lex_state = 3},
  [5966] = {.lex_state = 113, .external_lex_state = 3},
  [5967] = {.lex_state = 113, .external_lex_state = 3},
  [5968] = {.lex_state = 113, .external_lex_state = 3},
  [5969] = {.lex_state = 28, .external_lex_state = 3},
  [5970] = {.lex_state = 113, .external_lex_state = 3},
  [5971] = {.lex_state = 117, .external_lex_state = 3},
  [5972] = {.lex_state = 117, .external_lex_state = 3},
  [5973] = {.lex_state = 117, .external_lex_state = 3},
  [5974] = {.lex_state = 28, .external_lex_state = 3},
  [5975] = {.lex_state = 111, .external_lex_state = 3},
  [5976] = {.lex_state = 113, .external_lex_state = 3},
  [5977] = {.lex_state = 113, .external_lex_state = 3},
  [5978] = {.lex_state = 28, .external_lex_state = 3},
  [5979] = {.lex_state = 113, .external_lex_state = 3},
  [5980] = {.lex_state = 113, .external_lex_state = 3},
  [5981] = {.lex_state = 28, .external_lex_state = 3},
  [5982] = {.lex_state = 117, .external_lex_state = 3},
  [5983] = {.lex_state = 117, .external_lex_state = 3},
  [5984] = {.lex_state = 117, .external_lex_state = 3},
  [5985] = {.lex_state = 28, .external_lex_state = 3},
  [5986] = {.lex_state = 114, .external_lex_state = 3},
  [5987] = {.lex_state = 28, .external_lex_state = 3},
  [5988] = {.lex_state = 113, .external_lex_state = 3},
  [5989] = {.lex_state = 28, .external_lex_state = 3},
  [5990] = {.lex_state = 113, .external_lex_state = 3},
  [5991] = {.lex_state = 28, .external_lex_state = 3},
  [5992] = {.lex_state = 118, .external_lex_state = 3},
  [5993] = {.lex_state = 118, .external_lex_state = 3},
  [5994] = {.lex_state = 118, .external_lex_state = 3},
  [5995] = {.lex_state = 28, .external_lex_state = 3},
  [5996] = {.lex_state = 28, .external_lex_state = 3},
  [5997] = {.lex_state = 28, .external_lex_state = 3},
  [5998] = {.lex_state = 28, .external_lex_state = 3},
  [5999] = {.lex_state = 28, .external_lex_state = 3},
  [6000] = {.lex_state = 118, .external_lex_state = 3},
  [6001] = {.lex_state = 118, .external_lex_state = 3},
  [6002] = {.lex_state = 113, .external_lex_state = 3},
  [6003] = {.lex_state = 118, .external_lex_state = 3},
  [6004] = {.lex_state = 28, .external_lex_state = 3},
  [6005] = {.lex_state = 113, .external_lex_state = 3},
  [6006] = {.lex_state = 28, .external_lex_state = 3},
  [6007] = {.lex_state = 113, .external_lex_state = 3},
  [6008] = {.lex_state = 28, .external_lex_state = 3},
  [6009] = {.lex_state = 28, .external_lex_state = 3},
  [6010] = {.lex_state = 28, .external_lex_state = 3},
  [6011] = {.lex_state = 114, .external_lex_state = 3},
  [6012] = {.lex_state = 28, .external_lex_state = 3},
  [6013] = {.lex_state = 27, .external_lex_state = 3},
  [6014] = {.lex_state = 27, .external_lex_state = 3},
  [6015] = {.lex_state = 119, .external_lex_state = 3},
  [6016] = {.lex_state = 113, .external_lex_state = 3},
  [6017] = {.lex_state = 113, .external_lex_state = 3},
  [6018] = {.lex_state = 113, .external_lex_state = 3},
  [6019] = {.lex_state = 27, .external_lex_state = 3},
  [6020] = {.lex_state = 27, .external_lex_state = 3},
  [6021] = {.lex_state = 28, .external_lex_state = 3},
  [6022] = {.lex_state = 27, .external_lex_state = 3},
  [6023] = {.lex_state = 27, .external_lex_state = 3},
  [6024] = {.lex_state = 27, .external_lex_state = 3},
  [6025] = {.lex_state = 119, .external_lex_state = 3},
  [6026] = {.lex_state = 27, .external_lex_state = 3},
  [6027] = {.lex_state = 27, .external_lex_state = 3},
  [6028] = {.lex_state = 27, .external_lex_state = 3},
  [6029] = {.lex_state = 27, .external_lex_state = 3},
  [6030] = {.lex_state = 118, .external_lex_state = 3},
  [6031] = {.lex_state = 27, .external_lex_state = 3},
  [6032] = {.lex_state = 27, .external_lex_state = 3},
  [6033] = {.lex_state = 27, .external_lex_state = 3},
  [6034] = {.lex_state = 27, .external_lex_state = 3},
  [6035] = {.lex_state = 27, .external_lex_state = 3},
  [6036] = {.lex_state = 27, .external_lex_state = 3},
  [6037] = {.lex_state = 113, .external_lex_state = 3},
  [6038] = {.lex_state = 113, .external_lex_state = 3},
  [6039] = {.lex_state = 27, .external_lex_state = 3},
  [6040] = {.lex_state = 113, .external_lex_state = 3},
  [6041] = {.lex_state = 27, .external_lex_state = 3},
  [6042] = {.lex_state = 123, .external_lex_state = 3},
  [6043] = {.lex_state = 113, .external_lex_state = 3},
  [6044] = {.lex_state = 115, .external_lex_state = 3},
  [6045] = {.lex_state = 113, .external_lex_state = 3},
  [6046] = {.lex_state = 115, .external_lex_state = 3},
  [6047] = {.lex_state = 27, .external_lex_state = 3},
  [6048] = {.lex_state = 113, .external_lex_state = 3},
  [6049] = {.lex_state = 27, .external_lex_state = 3},
  [6050] = {.lex_state = 113, .external_lex_state = 3},
  [6051] = {.lex_state = 27, .external_lex_state = 3},
  [6052] = {.lex_state = 113, .external_lex_state = 3},
  [6053] = {.lex_state = 27, .external_lex_state = 3},
  [6054] = {.lex_state = 113, .external_lex_state = 3},
  [6055] = {.lex_state = 27, .external_lex_state = 3},
  [6056] = {.lex_state = 27, .external_lex_state = 3},
  [6057] = {.lex_state = 27, .external_lex_state = 3},
  [6058] = {.lex_state = 119, .external_lex_state = 3},
  [6059] = {.lex_state = 27, .external_lex_state = 3},
  [6060] = {.lex_state = 113, .external_lex_state = 3},
  [6061] = {.lex_state = 113, .external_lex_state = 3},
  [6062] = {.lex_state = 113, .external_lex_state = 3},
  [6063] = {.lex_state = 113, .external_lex_state = 3},
  [6064] = {.lex_state = 113, .external_lex_state = 3},
  [6065] = {.lex_state = 113, .external_lex_state = 3},
  [6066] = {.lex_state = 113, .external_lex_state = 3},
  [6067] = {.lex_state = 27, .external_lex_state = 3},
  [6068] = {.lex_state = 113, .external_lex_state = 3},
  [6069] = {.lex_state = 117, .external_lex_state = 3},
  [6070] = {.lex_state = 27, .external_lex_state = 3},
  [6071] = {.lex_state = 113, .external_lex_state = 3},
  [6072] = {.lex_state = 27, .external_lex_state = 3},
  [6073] = {.lex_state = 27, .external_lex_state = 3},
  [6074] = {.lex_state = 27, .external_lex_state = 3},
  [6075] = {.lex_state = 113, .external_lex_state = 3},
  [6076] = {.lex_state = 113, .external_lex_state = 3},
  [6077] = {.lex_state = 27, .external_lex_state = 3},
  [6078] = {.lex_state = 27, .external_lex_state = 3},
  [6079] = {.lex_state = 27, .external_lex_state = 3},
  [6080] = {.lex_state = 113, .external_lex_state = 3},
  [6081] = {.lex_state = 27, .external_lex_state = 3},
  [6082] = {.lex_state = 113, .external_lex_state = 3},
  [6083] = {.lex_state = 27, .external_lex_state = 3},
  [6084] = {.lex_state = 117, .external_lex_state = 3},
  [6085] = {.lex_state = 27, .external_lex_state = 3},
  [6086] = {.lex_state = 113, .external_lex_state = 3},
  [6087] = {.lex_state = 113, .external_lex_state = 3},
  [6088] = {.lex_state = 113, .external_lex_state = 3},
  [6089] = {.lex_state = 115, .external_lex_state = 3},
  [6090] = {.lex_state = 113, .external_lex_state = 3},
  [6091] = {.lex_state = 27, .external_lex_state = 3},
  [6092] = {.lex_state = 27, .external_lex_state = 3},
  [6093] = {.lex_state = 27, .external_lex_state = 3},
  [6094] = {.lex_state = 27, .external_lex_state = 3},
  [6095] = {.lex_state = 27, .external_lex_state = 3},
  [6096] = {.lex_state = 27, .external_lex_state = 3},
  [6097] = {.lex_state = 113, .external_lex_state = 3},
  [6098] = {.lex_state = 113, .external_lex_state = 3},
  [6099] = {.lex_state = 27, .external_lex_state = 3},
  [6100] = {.lex_state = 27, .external_lex_state = 3},
  [6101] = {.lex_state = 27, .external_lex_state = 3},
  [6102] = {.lex_state = 115, .external_lex_state = 3},
  [6103] = {.lex_state = 117, .external_lex_state = 3},
  [6104] = {.lex_state = 27, .external_lex_state = 3},
  [6105] = {.lex_state = 27, .external_lex_state = 3},
  [6106] = {.lex_state = 27, .external_lex_state = 3},
  [6107] = {.lex_state = 117, .external_lex_state = 3},
  [6108] = {.lex_state = 117, .external_lex_state = 3},
  [6109] = {.lex_state = 111, .external_lex_state = 3},
  [6110] = {.lex_state = 115, .external_lex_state = 3},
  [6111] = {.lex_state = 111, .external_lex_state = 3},
  [6112] = {.lex_state = 112, .external_lex_state = 3},
  [6113] = {.lex_state = 111, .external_lex_state = 3},
  [6114] = {.lex_state = 111, .external_lex_state = 3},
  [6115] = {.lex_state = 117, .external_lex_state = 3},
  [6116] = {.lex_state = 112, .external_lex_state = 3},
  [6117] = {.lex_state = 117, .external_lex_state = 3},
  [6118] = {.lex_state = 111, .external_lex_state = 3},
  [6119] = {.lex_state = 112, .external_lex_state = 3},
  [6120] = {.lex_state = 112, .external_lex_state = 3},
  [6121] = {.lex_state = 112, .external_lex_state = 3},
  [6122] = {.lex_state = 112, .external_lex_state = 3},
  [6123] = {.lex_state = 118, .external_lex_state = 3},
  [6124] = {.lex_state = 115, .external_lex_state = 3},
  [6125] = {.lex_state = 117, .external_lex_state = 3},
  [6126] = {.lex_state = 115, .external_lex_state = 3},
  [6127] = {.lex_state = 111, .external_lex_state = 3},
  [6128] = {.lex_state = 118, .external_lex_state = 3},
  [6129] = {.lex_state = 111, .external_lex_state = 3},
  [6130] = {.lex_state = 118, .external_lex_state = 3},
  [6131] = {.lex_state = 111, .external_lex_state = 3},
  [6132] = {.lex_state = 111, .external_lex_state = 3},
  [6133] = {.lex_state = 111, .external_lex_state = 3},
  [6134] = {.lex_state = 111, .external_lex_state = 3},
  [6135] = {.lex_state = 114, .external_lex_state = 3},
  [6136] = {.lex_state = 111, .external_lex_state = 3},
  [6137] = {.lex_state = 118, .external_lex_state = 3},
  [6138] = {.lex_state = 121, .external_lex_state = 3},
  [6139] = {.lex_state = 436, .external_lex_state = 2},
  [6140] = {.lex_state = 115, .external_lex_state = 3},
  [6141] = {.lex_state = 118, .external_lex_state = 3},
  [6142] = {.lex_state = 115, .external_lex_state = 3},
  [6143] = {.lex_state = 118, .external_lex_state = 3},
  [6144] = {.lex_state = 123, .external_lex_state = 3},
  [6145] = {.lex_state = 117, .external_lex_state = 3},
  [6146] = {.lex_state = 112, .external_lex_state = 3},
  [6147] = {.lex_state = 111, .external_lex_state = 3},
  [6148] = {.lex_state = 115, .external_lex_state = 3},
  [6149] = {.lex_state = 111, .external_lex_state = 3},
  [6150] = {.lex_state = 118, .external_lex_state = 3},
  [6151] = {.lex_state = 119, .external_lex_state = 3},
  [6152] = {.lex_state = 119, .external_lex_state = 3},
  [6153] = {.lex_state = 120, .external_lex_state = 3},
  [6154] = {.lex_state = 115, .external_lex_state = 3},
  [6155] = {.lex_state = 114, .external_lex_state = 3},
  [6156] = {.lex_state = 117, .external_lex_state = 3},
  [6157] = {.lex_state = 119, .external_lex_state = 3},
  [6158] = {.lex_state = 111, .external_lex_state = 3},
  [6159] = {.lex_state = 121, .external_lex_state = 3},
  [6160] = {.lex_state = 117, .external_lex_state = 3},
  [6161] = {.lex_state = 117, .external_lex_state = 3},
  [6162] = {.lex_state = 114, .external_lex_state = 3},
  [6163] = {.lex_state = 115, .external_lex_state = 3},
  [6164] = {.lex_state = 119, .external_lex_state = 3},
  [6165] = {.lex_state = 111, .external_lex_state = 3},
  [6166] = {.lex_state = 115, .external_lex_state = 3},
  [6167] = {.lex_state = 111, .external_lex_state = 3},
  [6168] = {.lex_state = 117, .external_lex_state = 3},
  [6169] = {.lex_state = 119, .external_lex_state = 3},
  [6170] = {.lex_state = 118, .external_lex_state = 3},
  [6171] = {.lex_state = 119, .external_lex_state = 3},
  [6172] = {.lex_state = 121, .external_lex_state = 3},
  [6173] = {.lex_state = 121, .external_lex_state = 3},
  [6174] = {.lex_state = 118, .external_lex_state = 3},
  [6175] = {.lex_state = 117, .external_lex_state = 3},
  [6176] = {.lex_state = 115, .external_lex_state = 3},
  [6177] = {.lex_state = 117, .external_lex_state = 3},
  [6178] = {.lex_state = 118, .external_lex_state = 3},
  [6179] = {.lex_state = 119, .external_lex_state = 3},
  [6180] = {.lex_state = 114, .external_lex_state = 3},
  [6181] = {.lex_state = 118, .external_lex_state = 3},
  [6182] = {.lex_state = 114, .external_lex_state = 3},
  [6183] = {.lex_state = 118, .external_lex_state = 3},
  [6184] = {.lex_state = 114, .external_lex_state = 3},
  [6185] = {.lex_state = 118, .external_lex_state = 3},
  [6186] = {.lex_state = 118, .external_lex_state = 3},
  [6187] = {.lex_state = 114, .external_lex_state = 3},
  [6188] = {.lex_state = 118, .external_lex_state = 3},
  [6189] = {.lex_state = 111, .external_lex_state = 3},
  [6190] = {.lex_state = 114, .external_lex_state = 3},
  [6191] = {.lex_state = 119, .external_lex_state = 3},
  [6192] = {.lex_state = 118, .external_lex_state = 3},
  [6193] = {.lex_state = 118, .external_lex_state = 3},
  [6194] = {.lex_state = 118, .external_lex_state = 3},
  [6195] = {.lex_state = 114, .external_lex_state = 3},
  [6196] = {.lex_state = 119, .external_lex_state = 3},
  [6197] = {.lex_state = 118, .external_lex_state = 3},
  [6198] = {.lex_state = 118, .external_lex_state = 3},
  [6199] = {.lex_state = 119, .external_lex_state = 3},
  [6200] = {.lex_state = 118, .external_lex_state = 3},
  [6201] = {.lex_state = 119, .external_lex_state = 3},
  [6202] = {.lex_state = 114, .external_lex_state = 3},
  [6203] = {.lex_state = 118, .external_lex_state = 3},
  [6204] = {.lex_state = 118, .external_lex_state = 3},
  [6205] = {.lex_state = 118, .external_lex_state = 3},
  [6206] = {.lex_state = 119, .external_lex_state = 3},
  [6207] = {.lex_state = 118, .external_lex_state = 3},
  [6208] = {.lex_state = 118, .external_lex_state = 3},
  [6209] = {.lex_state = 115, .external_lex_state = 3},
  [6210] = {.lex_state = 118, .external_lex_state = 3},
  [6211] = {.lex_state = 114, .external_lex_state = 3},
  [6212] = {.lex_state = 114, .external_lex_state = 3},
  [6213] = {.lex_state = 118, .external_lex_state = 3},
  [6214] = {.lex_state = 118, .external_lex_state = 3},
  [6215] = {.lex_state = 118, .external_lex_state = 3},
  [6216] = {.lex_state = 114, .external_lex_state = 3},
  [6217] = {.lex_state = 118, .external_lex_state = 3},
  [6218] = {.lex_state = 118, .external_lex_state = 3},
  [6219] = {.lex_state = 114, .external_lex_state = 3},
  [6220] = {.lex_state = 118, .external_lex_state = 3},
  [6221] = {.lex_state = 114, .external_lex_state = 3},
  [6222] = {.lex_state = 114, .external_lex_state = 3},
  [6223] = {.lex_state = 118, .external_lex_state = 3},
  [6224] = {.lex_state = 118, .external_lex_state = 3},
  [6225] = {.lex_state = 111, .external_lex_state = 3},
  [6226] = {.lex_state = 118, .external_lex_state = 3},
  [6227] = {.lex_state = 118, .external_lex_state = 3},
  [6228] = {.lex_state = 114, .external_lex_state = 3},
  [6229] = {.lex_state = 118, .external_lex_state = 3},
  [6230] = {.lex_state = 118, .external_lex_state = 3},
  [6231] = {.lex_state = 114, .external_lex_state = 3},
  [6232] = {.lex_state = 118, .external_lex_state = 3},
  [6233] = {.lex_state = 119, .external_lex_state = 3},
  [6234] = {.lex_state = 119, .external_lex_state = 3},
  [6235] = {.lex_state = 118, .external_lex_state = 3},
  [6236] = {.lex_state = 118, .external_lex_state = 3},
  [6237] = {.lex_state = 118, .external_lex_state = 3},
  [6238] = {.lex_state = 114, .external_lex_state = 3},
  [6239] = {.lex_state = 119, .external_lex_state = 3},
  [6240] = {.lex_state = 118, .external_lex_state = 3},
  [6241] = {.lex_state = 123, .external_lex_state = 3},
  [6242] = {.lex_state = 114, .external_lex_state = 3},
  [6243] = {.lex_state = 114, .external_lex_state = 3},
  [6244] = {.lex_state = 119, .external_lex_state = 3},
  [6245] = {.lex_state = 118, .external_lex_state = 3},
  [6246] = {.lex_state = 118, .external_lex_state = 3},
  [6247] = {.lex_state = 118, .external_lex_state = 3},
  [6248] = {.lex_state = 111, .external_lex_state = 3},
  [6249] = {.lex_state = 118, .external_lex_state = 3},
  [6250] = {.lex_state = 114, .external_lex_state = 3},
  [6251] = {.lex_state = 118, .external_lex_state = 3},
  [6252] = {.lex_state = 118, .external_lex_state = 3},
  [6253] = {.lex_state = 117, .external_lex_state = 3},
  [6254] = {.lex_state = 111, .external_lex_state = 3},
  [6255] = {.lex_state = 118, .external_lex_state = 3},
  [6256] = {.lex_state = 114, .external_lex_state = 3},
  [6257] = {.lex_state = 111, .external_lex_state = 3},
  [6258] = {.lex_state = 111, .external_lex_state = 3},
  [6259] = {.lex_state = 118, .external_lex_state = 3},
  [6260] = {.lex_state = 119, .external_lex_state = 3},
  [6261] = {.lex_state = 118, .external_lex_state = 3},
  [6262] = {.lex_state = 118, .external_lex_state = 3},
  [6263] = {.lex_state = 119, .external_lex_state = 3},
  [6264] = {.lex_state = 119, .external_lex_state = 3},
  [6265] = {.lex_state = 114, .external_lex_state = 3},
  [6266] = {.lex_state = 111, .external_lex_state = 3},
  [6267] = {.lex_state = 111, .external_lex_state = 3},
  [6268] = {.lex_state = 114, .external_lex_state = 3},
  [6269] = {.lex_state = 111, .external_lex_state = 3},
  [6270] = {.lex_state = 114, .external_lex_state = 3},
  [6271] = {.lex_state = 117, .external_lex_state = 3},
  [6272] = {.lex_state = 124, .external_lex_state = 3},
  [6273] = {.lex_state = 114, .external_lex_state = 3},
  [6274] = {.lex_state = 115, .external_lex_state = 3},
  [6275] = {.lex_state = 117, .external_lex_state = 3},
  [6276] = {.lex_state = 111, .external_lex_state = 3},
  [6277] = {.lex_state = 111, .external_lex_state = 3},
  [6278] = {.lex_state = 111, .external_lex_state = 3},
  [6279] = {.lex_state = 117, .external_lex_state = 3},
  [6280] = {.lex_state = 114, .external_lex_state = 3},
  [6281] = {.lex_state = 119, .external_lex_state = 3},
  [6282] = {.lex_state = 119, .external_lex_state = 3},
  [6283] = {.lex_state = 114, .external_lex_state = 3},
  [6284] = {.lex_state = 117, .external_lex_state = 3},
  [6285] = {.lex_state = 119, .external_lex_state = 3},
  [6286] = {.lex_state = 111, .external_lex_state = 3},
  [6287] = {.lex_state = 117, .external_lex_state = 3},
  [6288] = {.lex_state = 111, .external_lex_state = 3},
  [6289] = {.lex_state = 118, .external_lex_state = 3},
  [6290] = {.lex_state = 121, .external_lex_state = 3},
  [6291] = {.lex_state = 117, .external_lex_state = 3},
  [6292] = {.lex_state = 117, .external_lex_state = 3},
  [6293] = {.lex_state = 119, .external_lex_state = 3},
  [6294] = {.lex_state = 117, .external_lex_state = 3},
  [6295] = {.lex_state = 118, .external_lex_state = 3},
  [6296] = {.lex_state = 119, .external_lex_state = 3},
  [6297] = {.lex_state = 115, .external_lex_state = 3},
  [6298] = {.lex_state = 118, .external_lex_state = 3},
  [6299] = {.lex_state = 115, .external_lex_state = 3},
  [6300] = {.lex_state = 117, .external_lex_state = 3},
  [6301] = {.lex_state = 115, .external_lex_state = 3},
  [6302] = {.lex_state = 115, .external_lex_state = 3},
  [6303] = {.lex_state = 114, .external_lex_state = 3},
  [6304] = {.lex_state = 117, .external_lex_state = 3},
  [6305] = {.lex_state = 115, .external_lex_state = 3},
  [6306] = {.lex_state = 118, .external_lex_state = 3},
  [6307] = {.lex_state = 116, .external_lex_state = 3},
  [6308] = {.lex_state = 115, .external_lex_state = 3},
  [6309] = {.lex_state = 118, .external_lex_state = 3},
  [6310] = {.lex_state = 117, .external_lex_state = 3},
  [6311] = {.lex_state = 117, .external_lex_state = 3},
  [6312] = {.lex_state = 118, .external_lex_state = 3},
  [6313] = {.lex_state = 115, .external_lex_state = 3},
  [6314] = {.lex_state = 117, .external_lex_state = 3},
  [6315] = {.lex_state = 117, .external_lex_state = 3},
  [6316] = {.lex_state = 117, .external_lex_state = 3},
  [6317] = {.lex_state = 115, .external_lex_state = 3},
  [6318] = {.lex_state = 115, .external_lex_state = 3},
  [6319] = {.lex_state = 114, .external_lex_state = 3},
  [6320] = {.lex_state = 115, .external_lex_state = 3},
  [6321] = {.lex_state = 115, .external_lex_state = 3},
  [6322] = {.lex_state = 115, .external_lex_state = 3},
  [6323] = {.lex_state = 115, .external_lex_state = 3},
  [6324] = {.lex_state = 117, .external_lex_state = 3},
  [6325] = {.lex_state = 115, .external_lex_state = 3},
  [6326] = {.lex_state = 115, .external_lex_state = 3},
  [6327] = {.lex_state = 115, .external_lex_state = 3},
  [6328] = {.lex_state = 115, .external_lex_state = 3},
  [6329] = {.lex_state = 118, .external_lex_state = 3},
  [6330] = {.lex_state = 111, .external_lex_state = 3},
  [6331] = {.lex_state = 117, .external_lex_state = 3},
  [6332] = {.lex_state = 117, .external_lex_state = 3},
  [6333] = {.lex_state = 117, .external_lex_state = 3},
  [6334] = {.lex_state = 117, .external_lex_state = 3},
  [6335] = {.lex_state = 117, .external_lex_state = 3},
  [6336] = {.lex_state = 117, .external_lex_state = 3},
  [6337] = {.lex_state = 121, .external_lex_state = 3},
  [6338] = {.lex_state = 116, .external_lex_state = 3},
  [6339] = {.lex_state = 119, .external_lex_state = 3},
  [6340] = {.lex_state = 115, .external_lex_state = 3},
  [6341] = {.lex_state = 115, .external_lex_state = 3},
  [6342] = {.lex_state = 117, .external_lex_state = 3},
  [6343] = {.lex_state = 117, .external_lex_state = 3},
  [6344] = {.lex_state = 117, .external_lex_state = 3},
  [6345] = {.lex_state = 114, .external_lex_state = 3},
  [6346] = {.lex_state = 117, .external_lex_state = 3},
  [6347] = {.lex_state = 111, .external_lex_state = 3},
  [6348] = {.lex_state = 115, .external_lex_state = 3},
  [6349] = {.lex_state = 117, .external_lex_state = 3},
  [6350] = {.lex_state = 117, .external_lex_state = 3},
  [6351] = {.lex_state = 117, .external_lex_state = 3},
  [6352] = {.lex_state = 117, .external_lex_state = 3},
  [6353] = {.lex_state = 111, .external_lex_state = 3},
  [6354] = {.lex_state = 111, .external_lex_state = 3},
  [6355] = {.lex_state = 111, .external_lex_state = 3},
  [6356] = {.lex_state = 114, .external_lex_state = 3},
  [6357] = {.lex_state = 117, .external_lex_state = 3},
  [6358] = {.lex_state = 118, .external_lex_state = 3},
  [6359] = {.lex_state = 121, .external_lex_state = 3},
  [6360] = {.lex_state = 111, .external_lex_state = 3},
  [6361] = {.lex_state = 111, .external_lex_state = 3},
  [6362] = {.lex_state = 115, .external_lex_state = 3},
  [6363] = {.lex_state = 118, .external_lex_state = 3},
  [6364] = {.lex_state = 119, .external_lex_state = 3},
  [6365] = {.lex_state = 114, .external_lex_state = 3},
  [6366] = {.lex_state = 119, .external_lex_state = 3},
  [6367] = {.lex_state = 117, .external_lex_state = 3},
  [6368] = {.lex_state = 121, .external_lex_state = 3},
  [6369] = {.lex_state = 114, .external_lex_state = 3},
  [6370] = {.lex_state = 114, .external_lex_state = 3},
  [6371] = {.lex_state = 114, .external_lex_state = 3},
  [6372] = {.lex_state = 114, .external_lex_state = 3},
  [6373] = {.lex_state = 117, .external_lex_state = 3},
  [6374] = {.lex_state = 111, .external_lex_state = 3},
  [6375] = {.lex_state = 117, .external_lex_state = 3},
  [6376] = {.lex_state = 117, .external_lex_state = 3},
  [6377] = {.lex_state = 115, .external_lex_state = 3},
  [6378] = {.lex_state = 119, .external_lex_state = 3},
  [6379] = {.lex_state = 114, .external_lex_state = 3},
  [6380] = {.lex_state = 114, .external_lex_state = 3},
  [6381] = {.lex_state = 114, .external_lex_state = 3},
  [6382] = {.lex_state = 114, .external_lex_state = 3},
  [6383] = {.lex_state = 114, .external_lex_state = 3},
  [6384] = {.lex_state = 114, .external_lex_state = 3},
  [6385] = {.lex_state = 114, .external_lex_state = 3},
  [6386] = {.lex_state = 114, .external_lex_state = 3},
  [6387] = {.lex_state = 114, .external_lex_state = 3},
  [6388] = {.lex_state = 111, .external_lex_state = 3},
  [6389] = {.lex_state = 114, .external_lex_state = 3},
  [6390] = {.lex_state = 114, .external_lex_state = 3},
  [6391] = {.lex_state = 114, .external_lex_state = 3},
  [6392] = {.lex_state = 114, .external_lex_state = 3},
  [6393] = {.lex_state = 114, .external_lex_state = 3},
  [6394] = {.lex_state = 114, .external_lex_state = 3},
  [6395] = {.lex_state = 111, .external_lex_state = 3},
  [6396] = {.lex_state = 115, .external_lex_state = 3},
  [6397] = {.lex_state = 114, .external_lex_state = 3},
  [6398] = {.lex_state = 114, .external_lex_state = 3},
  [6399] = {.lex_state = 114, .external_lex_state = 3},
  [6400] = {.lex_state = 117, .external_lex_state = 3},
  [6401] = {.lex_state = 114, .external_lex_state = 3},
  [6402] = {.lex_state = 114, .external_lex_state = 3},
  [6403] = {.lex_state = 115, .external_lex_state = 3},
  [6404] = {.lex_state = 114, .external_lex_state = 3},
  [6405] = {.lex_state = 114, .external_lex_state = 3},
  [6406] = {.lex_state = 114, .external_lex_state = 3},
  [6407] = {.lex_state = 115, .external_lex_state = 3},
  [6408] = {.lex_state = 117, .external_lex_state = 3},
  [6409] = {.lex_state = 120, .external_lex_state = 3},
  [6410] = {.lex_state = 117, .external_lex_state = 3},
  [6411] = {.lex_state = 114, .external_lex_state = 3},
  [6412] = {.lex_state = 114, .external_lex_state = 3},
  [6413] = {.lex_state = 114, .external_lex_state = 3},
  [6414] = {.lex_state = 115, .external_lex_state = 3},
  [6415] = {.lex_state = 114, .external_lex_state = 3},
  [6416] = {.lex_state = 114, .external_lex_state = 3},
  [6417] = {.lex_state = 115, .external_lex_state = 3},
  [6418] = {.lex_state = 115, .external_lex_state = 3},
  [6419] = {.lex_state = 114, .external_lex_state = 3},
  [6420] = {.lex_state = 111, .external_lex_state = 3},
  [6421] = {.lex_state = 116, .external_lex_state = 3},
  [6422] = {.lex_state = 116, .external_lex_state = 3},
  [6423] = {.lex_state = 116, .external_lex_state = 3},
  [6424] = {.lex_state = 115, .external_lex_state = 3},
  [6425] = {.lex_state = 115, .external_lex_state = 3},
  [6426] = {.lex_state = 115, .external_lex_state = 3},
  [6427] = {.lex_state = 115, .external_lex_state = 3},
  [6428] = {.lex_state = 116, .external_lex_state = 3},
  [6429] = {.lex_state = 116, .external_lex_state = 3},
  [6430] = {.lex_state = 116, .external_lex_state = 3},
  [6431] = {.lex_state = 111, .external_lex_state = 3},
  [6432] = {.lex_state = 115, .external_lex_state = 3},
  [6433] = {.lex_state = 115, .external_lex_state = 3},
  [6434] = {.lex_state = 115, .external_lex_state = 3},
  [6435] = {.lex_state = 117, .external_lex_state = 3},
  [6436] = {.lex_state = 117, .external_lex_state = 3},
  [6437] = {.lex_state = 117, .external_lex_state = 3},
  [6438] = {.lex_state = 115, .external_lex_state = 3},
  [6439] = {.lex_state = 111, .external_lex_state = 3},
  [6440] = {.lex_state = 115, .external_lex_state = 3},
  [6441] = {.lex_state = 115, .external_lex_state = 3},
  [6442] = {.lex_state = 115, .external_lex_state = 3},
  [6443] = {.lex_state = 115, .external_lex_state = 3},
  [6444] = {.lex_state = 111, .external_lex_state = 3},
  [6445] = {.lex_state = 119, .external_lex_state = 3},
  [6446] = {.lex_state = 115, .external_lex_state = 3},
  [6447] = {.lex_state = 111, .external_lex_state = 3},
  [6448] = {.lex_state = 436, .external_lex_state = 2},
  [6449] = {.lex_state = 116, .external_lex_state = 3},
  [6450] = {.lex_state = 115, .external_lex_state = 3},
  [6451] = {.lex_state = 115, .external_lex_state = 3},
  [6452] = {.lex_state = 111, .external_lex_state = 3},
  [6453] = {.lex_state = 111, .external_lex_state = 3},
  [6454] = {.lex_state = 119, .external_lex_state = 3},
  [6455] = {.lex_state = 115, .external_lex_state = 3},
  [6456] = {.lex_state = 436, .external_lex_state = 2},
  [6457] = {.lex_state = 115, .external_lex_state = 3},
  [6458] = {.lex_state = 115, .external_lex_state = 3},
  [6459] = {.lex_state = 118, .external_lex_state = 3},
  [6460] = {.lex_state = 117, .external_lex_state = 3},
  [6461] = {.lex_state = 115, .external_lex_state = 3},
  [6462] = {.lex_state = 115, .external_lex_state = 3},
  [6463] = {.lex_state = 119, .external_lex_state = 3},
  [6464] = {.lex_state = 111, .external_lex_state = 3},
  [6465] = {.lex_state = 111, .external_lex_state = 3},
  [6466] = {.lex_state = 111, .external_lex_state = 3},
  [6467] = {.lex_state = 115, .external_lex_state = 3},
  [6468] = {.lex_state = 115, .external_lex_state = 3},
  [6469] = {.lex_state = 115, .external_lex_state = 3},
  [6470] = {.lex_state = 117, .external_lex_state = 3},
  [6471] = {.lex_state = 115, .external_lex_state = 3},
  [6472] = {.lex_state = 117, .external_lex_state = 3},
  [6473] = {.lex_state = 115, .external_lex_state = 3},
  [6474] = {.lex_state = 111, .external_lex_state = 3},
  [6475] = {.lex_state = 119, .external_lex_state = 3},
  [6476] = {.lex_state = 117, .external_lex_state = 3},
  [6477] = {.lex_state = 117, .external_lex_state = 3},
  [6478] = {.lex_state = 117, .external_lex_state = 3},
  [6479] = {.lex_state = 122, .external_lex_state = 3},
  [6480] = {.lex_state = 117, .external_lex_state = 3},
  [6481] = {.lex_state = 115, .external_lex_state = 3},
  [6482] = {.lex_state = 117, .external_lex_state = 3},
  [6483] = {.lex_state = 117, .external_lex_state = 3},
  [6484] = {.lex_state = 436, .external_lex_state = 2},
  [6485] = {.lex_state = 111, .external_lex_state = 3},
  [6486] = {.lex_state = 115, .external_lex_state = 3},
  [6487] = {.lex_state = 436, .external_lex_state = 2},
  [6488] = {.lex_state = 117, .external_lex_state = 3},
  [6489] = {.lex_state = 115, .external_lex_state = 3},
  [6490] = {.lex_state = 115, .external_lex_state = 3},
  [6491] = {.lex_state = 111, .external_lex_state = 3},
  [6492] = {.lex_state = 436, .external_lex_state = 2},
  [6493] = {.lex_state = 115, .external_lex_state = 3},
  [6494] = {.lex_state = 111, .external_lex_state = 3},
  [6495] = {.lex_state = 115, .external_lex_state = 3},
  [6496] = {.lex_state = 111, .external_lex_state = 3},
  [6497] = {.lex_state = 117, .external_lex_state = 3},
  [6498] = {.lex_state = 119, .external_lex_state = 3},
  [6499] = {.lex_state = 111, .external_lex_state = 3},
  [6500] = {.lex_state = 117, .external_lex_state = 3},
  [6501] = {.lex_state = 115, .external_lex_state = 3},
  [6502] = {.lex_state = 111, .external_lex_state = 3},
  [6503] = {.lex_state = 111, .external_lex_state = 3},
  [6504] = {.lex_state = 111, .external_lex_state = 3},
  [6505] = {.lex_state = 122, .external_lex_state = 3},
  [6506] = {.lex_state = 111, .external_lex_state = 3},
  [6507] = {.lex_state = 112, .external_lex_state = 3},
  [6508] = {.lex_state = 111, .external_lex_state = 3},
  [6509] = {.lex_state = 121, .external_lex_state = 3},
  [6510] = {.lex_state = 122, .external_lex_state = 3},
  [6511] = {.lex_state = 122, .external_lex_state = 3},
  [6512] = {.lex_state = 122, .external_lex_state = 3},
  [6513] = {.lex_state = 116, .external_lex_state = 3},
  [6514] = {.lex_state = 122, .external_lex_state = 3},
  [6515] = {.lex_state = 116, .external_lex_state = 3},
  [6516] = {.lex_state = 111, .external_lex_state = 3},
  [6517] = {.lex_state = 119, .external_lex_state = 3},
  [6518] = {.lex_state = 118, .external_lex_state = 3},
  [6519] = {.lex_state = 119, .external_lex_state = 3},
  [6520] = {.lex_state = 111, .external_lex_state = 3},
  [6521] = {.lex_state = 122, .external_lex_state = 3},
  [6522] = {.lex_state = 122, .external_lex_state = 3},
  [6523] = {.lex_state = 111, .external_lex_state = 3},
  [6524] = {.lex_state = 117, .external_lex_state = 3},
  [6525] = {.lex_state = 111, .external_lex_state = 3},
  [6526] = {.lex_state = 122, .external_lex_state = 3},
  [6527] = {.lex_state = 111, .external_lex_state = 3},
  [6528] = {.lex_state = 118, .external_lex_state = 3},
  [6529] = {.lex_state = 111, .external_lex_state = 3},
  [6530] = {.lex_state = 118, .external_lex_state = 3},
  [6531] = {.lex_state = 118, .external_lex_state = 3},
  [6532] = {.lex_state = 119, .external_lex_state = 3},
  [6533] = {.lex_state = 80, .external_lex_state = 3},
  [6534] = {.lex_state = 112, .external_lex_state = 3},
  [6535] = {.lex_state = 117, .external_lex_state = 3},
  [6536] = {.lex_state = 119, .external_lex_state = 3},
  [6537] = {.lex_state = 118, .external_lex_state = 3},
  [6538] = {.lex_state = 119, .external_lex_state = 3},
  [6539] = {.lex_state = 119, .external_lex_state = 3},
  [6540] = {.lex_state = 119, .external_lex_state = 3},
  [6541] = {.lex_state = 111, .external_lex_state = 3},
  [6542] = {.lex_state = 119, .external_lex_state = 3},
  [6543] = {.lex_state = 111, .external_lex_state = 3},
  [6544] = {.lex_state = 119, .external_lex_state = 3},
  [6545] = {.lex_state = 119, .external_lex_state = 3},
  [6546] = {.lex_state = 118, .external_lex_state = 3},
  [6547] = {.lex_state = 119, .external_lex_state = 3},
  [6548] = {.lex_state = 119, .external_lex_state = 3},
  [6549] = {.lex_state = 119, .external_lex_state = 3},
  [6550] = {.lex_state = 119, .external_lex_state = 3},
  [6551] = {.lex_state = 119, .external_lex_state = 3},
  [6552] = {.lex_state = 119, .external_lex_state = 3},
  [6553] = {.lex_state = 119, .external_lex_state = 3},
  [6554] = {.lex_state = 119, .external_lex_state = 3},
  [6555] = {.lex_state = 119, .external_lex_state = 3},
  [6556] = {.lex_state = 119, .external_lex_state = 3},
  [6557] = {.lex_state = 118, .external_lex_state = 3},
  [6558] = {.lex_state = 117, .external_lex_state = 3},
  [6559] = {.lex_state = 119, .external_lex_state = 3},
  [6560] = {.lex_state = 119, .external_lex_state = 3},
  [6561] = {.lex_state = 119, .external_lex_state = 3},
  [6562] = {.lex_state = 119, .external_lex_state = 3},
  [6563] = {.lex_state = 121, .external_lex_state = 3},
  [6564] = {.lex_state = 112, .external_lex_state = 3},
  [6565] = {.lex_state = 122, .external_lex_state = 3},
  [6566] = {.lex_state = 120, .external_lex_state = 3},
  [6567] = {.lex_state = 119, .external_lex_state = 3},
  [6568] = {.lex_state = 119, .external_lex_state = 3},
  [6569] = {.lex_state = 119, .external_lex_state = 3},
  [6570] = {.lex_state = 117, .external_lex_state = 3},
  [6571] = {.lex_state = 112, .external_lex_state = 3},
  [6572] = {.lex_state = 118, .external_lex_state = 3},
  [6573] = {.lex_state = 119, .external_lex_state = 3},
  [6574] = {.lex_state = 111, .external_lex_state = 3},
  [6575] = {.lex_state = 114, .external_lex_state = 3},
  [6576] = {.lex_state = 114, .external_lex_state = 3},
  [6577] = {.lex_state = 120, .external_lex_state = 3},
  [6578] = {.lex_state = 111, .external_lex_state = 3},
  [6579] = {.lex_state = 119, .external_lex_state = 3},
  [6580] = {.lex_state = 122, .external_lex_state = 3},
  [6581] = {.lex_state = 117, .external_lex_state = 3},
  [6582] = {.lex_state = 119, .external_lex_state = 3},
  [6583] = {.lex_state = 119, .external_lex_state = 3},
  [6584] = {.lex_state = 111, .external_lex_state = 3},
  [6585] = {.lex_state = 119, .external_lex_state = 3},
  [6586] = {.lex_state = 119, .external_lex_state = 3},
  [6587] = {.lex_state = 119, .external_lex_state = 3},
  [6588] = {.lex_state = 114, .external_lex_state = 3},
  [6589] = {.lex_state = 120, .external_lex_state = 3},
  [6590] = {.lex_state = 114, .external_lex_state = 3},
  [6591] = {.lex_state = 121, .external_lex_state = 3},
  [6592] = {.lex_state = 119, .external_lex_state = 3},
  [6593] = {.lex_state = 118, .external_lex_state = 3},
  [6594] = {.lex_state = 119, .external_lex_state = 3},
  [6595] = {.lex_state = 119, .external_lex_state = 3},
  [6596] = {.lex_state = 119, .external_lex_state = 3},
  [6597] = {.lex_state = 119, .external_lex_state = 3},
  [6598] = {.lex_state = 114, .external_lex_state = 3},
  [6599] = {.lex_state = 117, .external_lex_state = 3},
  [6600] = {.lex_state = 119, .external_lex_state = 3},
  [6601] = {.lex_state = 120, .external_lex_state = 3},
  [6602] = {.lex_state = 120, .external_lex_state = 3},
  [6603] = {.lex_state = 120, .external_lex_state = 3},
  [6604] = {.lex_state = 120, .external_lex_state = 3},
  [6605] = {.lex_state = 436, .external_lex_state = 2},
  [6606] = {.lex_state = 436, .external_lex_state = 2},
  [6607] = {.lex_state = 117, .external_lex_state = 3},
  [6608] = {.lex_state = 120, .external_lex_state = 3},
  [6609] = {.lex_state = 120, .external_lex_state = 3},
  [6610] = {.lex_state = 116, .external_lex_state = 3},
  [6611] = {.lex_state = 122, .external_lex_state = 3},
  [6612] = {.lex_state = 121, .external_lex_state = 3},
  [6613] = {.lex_state = 112, .external_lex_state = 3},
  [6614] = {.lex_state = 112, .external_lex_state = 3},
  [6615] = {.lex_state = 122, .external_lex_state = 3},
  [6616] = {.lex_state = 120, .external_lex_state = 3},
  [6617] = {.lex_state = 120, .external_lex_state = 3},
  [6618] = {.lex_state = 122, .external_lex_state = 3},
  [6619] = {.lex_state = 112, .external_lex_state = 3},
  [6620] = {.lex_state = 112, .external_lex_state = 3},
  [6621] = {.lex_state = 112, .external_lex_state = 3},
  [6622] = {.lex_state = 120, .external_lex_state = 3},
  [6623] = {.lex_state = 122, .external_lex_state = 3},
  [6624] = {.lex_state = 112, .external_lex_state = 3},
  [6625] = {.lex_state = 122, .external_lex_state = 3},
  [6626] = {.lex_state = 122, .external_lex_state = 3},
  [6627] = {.lex_state = 112, .external_lex_state = 3},
  [6628] = {.lex_state = 120, .external_lex_state = 3},
  [6629] = {.lex_state = 112, .external_lex_state = 3},
  [6630] = {.lex_state = 120, .external_lex_state = 3},
  [6631] = {.lex_state = 120, .external_lex_state = 3},
  [6632] = {.lex_state = 112, .external_lex_state = 3},
  [6633] = {.lex_state = 120, .external_lex_state = 3},
  [6634] = {.lex_state = 436, .external_lex_state = 2},
  [6635] = {.lex_state = 120, .external_lex_state = 3},
  [6636] = {.lex_state = 120, .external_lex_state = 3},
  [6637] = {.lex_state = 120, .external_lex_state = 3},
  [6638] = {.lex_state = 112, .external_lex_state = 3},
  [6639] = {.lex_state = 120, .external_lex_state = 3},
  [6640] = {.lex_state = 120, .external_lex_state = 3},
  [6641] = {.lex_state = 122, .external_lex_state = 3},
  [6642] = {.lex_state = 120, .external_lex_state = 3},
  [6643] = {.lex_state = 120, .external_lex_state = 3},
  [6644] = {.lex_state = 120, .external_lex_state = 3},
  [6645] = {.lex_state = 120, .external_lex_state = 3},
  [6646] = {.lex_state = 120, .external_lex_state = 3},
  [6647] = {.lex_state = 120, .external_lex_state = 3},
  [6648] = {.lex_state = 120, .external_lex_state = 3},
  [6649] = {.lex_state = 120, .external_lex_state = 3},
  [6650] = {.lex_state = 120, .external_lex_state = 3},
  [6651] = {.lex_state = 122, .external_lex_state = 3},
  [6652] = {.lex_state = 116, .external_lex_state = 3},
  [6653] = {.lex_state = 120, .external_lex_state = 3},
  [6654] = {.lex_state = 22, .external_lex_state = 3},
  [6655] = {.lex_state = 120, .external_lex_state = 3},
  [6656] = {.lex_state = 22, .external_lex_state = 3},
  [6657] = {.lex_state = 120, .external_lex_state = 3},
  [6658] = {.lex_state = 122, .external_lex_state = 3},
  [6659] = {.lex_state = 120, .external_lex_state = 3},
  [6660] = {.lex_state = 122, .external_lex_state = 3},
  [6661] = {.lex_state = 122, .external_lex_state = 3},
  [6662] = {.lex_state = 121, .external_lex_state = 3},
  [6663] = {.lex_state = 112, .external_lex_state = 3},
  [6664] = {.lex_state = 120, .external_lex_state = 3},
  [6665] = {.lex_state = 121, .external_lex_state = 3},
  [6666] = {.lex_state = 436, .external_lex_state = 2},
  [6667] = {.lex_state = 112, .external_lex_state = 3},
  [6668] = {.lex_state = 112, .external_lex_state = 3},
  [6669] = {.lex_state = 120, .external_lex_state = 3},
  [6670] = {.lex_state = 22, .external_lex_state = 3},
  [6671] = {.lex_state = 121, .external_lex_state = 3},
  [6672] = {.lex_state = 120, .external_lex_state = 3},
  [6673] = {.lex_state = 122, .external_lex_state = 3},
  [6674] = {.lex_state = 122, .external_lex_state = 3},
  [6675] = {.lex_state = 122, .external_lex_state = 3},
  [6676] = {.lex_state = 120, .external_lex_state = 3},
  [6677] = {.lex_state = 121, .external_lex_state = 3},
  [6678] = {.lex_state = 122, .external_lex_state = 3},
  [6679] = {.lex_state = 122, .external_lex_state = 3},
  [6680] = {.lex_state = 122, .external_lex_state = 3},
  [6681] = {.lex_state = 120, .external_lex_state = 3},
  [6682] = {.lex_state = 122, .external_lex_state = 3},
  [6683] = {.lex_state = 120, .external_lex_state = 3},
  [6684] = {.lex_state = 122, .external_lex_state = 3},
  [6685] = {.lex_state = 120, .external_lex_state = 3},
  [6686] = {.lex_state = 122, .external_lex_state = 3},
  [6687] = {.lex_state = 122, .external_lex_state = 3},
  [6688] = {.lex_state = 112, .external_lex_state = 3},
  [6689] = {.lex_state = 116, .external_lex_state = 3},
  [6690] = {.lex_state = 112, .external_lex_state = 3},
  [6691] = {.lex_state = 120, .external_lex_state = 3},
  [6692] = {.lex_state = 116, .external_lex_state = 3},
  [6693] = {.lex_state = 161, .external_lex_state = 2},
  [6694] = {.lex_state = 112, .external_lex_state = 3},
  [6695] = {.lex_state = 122, .external_lex_state = 3},
  [6696] = {.lex_state = 122, .external_lex_state = 3},
  [6697] = {.lex_state = 120, .external_lex_state = 3},
  [6698] = {.lex_state = 120, .external_lex_state = 3},
  [6699] = {.lex_state = 120, .external_lex_state = 3},
  [6700] = {.lex_state = 122, .external_lex_state = 3},
  [6701] = {.lex_state = 120, .external_lex_state = 3},
  [6702] = {.lex_state = 120, .external_lex_state = 3},
  [6703] = {.lex_state = 22, .external_lex_state = 3},
  [6704] = {.lex_state = 116, .external_lex_state = 3},
  [6705] = {.lex_state = 120, .external_lex_state = 3},
  [6706] = {.lex_state = 21, .external_lex_state = 3},
  [6707] = {.lex_state = 22, .external_lex_state = 3},
  [6708] = {.lex_state = 120, .external_lex_state = 3},
  [6709] = {.lex_state = 120, .external_lex_state = 3},
  [6710] = {.lex_state = 120, .external_lex_state = 3},
  [6711] = {.lex_state = 112, .external_lex_state = 3},
  [6712] = {.lex_state = 120, .external_lex_state = 3},
  [6713] = {.lex_state = 122, .external_lex_state = 3},
  [6714] = {.lex_state = 120, .external_lex_state = 3},
  [6715] = {.lex_state = 120, .external_lex_state = 3},
  [6716] = {.lex_state = 120, .external_lex_state = 3},
  [6717] = {.lex_state = 120, .external_lex_state = 3},
  [6718] = {.lex_state = 120, .external_lex_state = 3},
  [6719] = {.lex_state = 120, .external_lex_state = 3},
  [6720] = {.lex_state = 120, .external_lex_state = 3},
  [6721] = {.lex_state = 120, .external_lex_state = 3},
  [6722] = {.lex_state = 22, .external_lex_state = 3},
  [6723] = {.lex_state = 120, .external_lex_state = 3},
  [6724] = {.lex_state = 22, .external_lex_state = 3},
  [6725] = {.lex_state = 112, .external_lex_state = 3},
  [6726] = {.lex_state = 22, .external_lex_state = 3},
  [6727] = {.lex_state = 22, .external_lex_state = 3},
  [6728] = {.lex_state = 121, .external_lex_state = 3},
  [6729] = {.lex_state = 121, .external_lex_state = 3},
  [6730] = {.lex_state = 121, .external_lex_state = 3},
  [6731] = {.lex_state = 120, .external_lex_state = 3},
  [6732] = {.lex_state = 22, .external_lex_state = 3},
  [6733] = {.lex_state = 22, .external_lex_state = 3},
  [6734] = {.lex_state = 22, .external_lex_state = 3},
  [6735] = {.lex_state = 121, .external_lex_state = 3},
  [6736] = {.lex_state = 436, .external_lex_state = 2},
  [6737] = {.lex_state = 120, .external_lex_state = 3},
  [6738] = {.lex_state = 112, .external_lex_state = 3},
  [6739] = {.lex_state = 22, .external_lex_state = 3},
  [6740] = {.lex_state = 22, .external_lex_state = 3},
  [6741] = {.lex_state = 120, .external_lex_state = 3},
  [6742] = {.lex_state = 22, .external_lex_state = 3},
  [6743] = {.lex_state = 120, .external_lex_state = 3},
  [6744] = {.lex_state = 122, .external_lex_state = 3},
  [6745] = {.lex_state = 120, .external_lex_state = 3},
  [6746] = {.lex_state = 120, .external_lex_state = 3},
  [6747] = {.lex_state = 22, .external_lex_state = 3},
  [6748] = {.lex_state = 120, .external_lex_state = 3},
  [6749] = {.lex_state = 112, .external_lex_state = 3},
  [6750] = {.lex_state = 112, .external_lex_state = 3},
  [6751] = {.lex_state = 121, .external_lex_state = 3},
  [6752] = {.lex_state = 120, .external_lex_state = 3},
  [6753] = {.lex_state = 121, .external_lex_state = 3},
  [6754] = {.lex_state = 122, .external_lex_state = 3},
  [6755] = {.lex_state = 120, .external_lex_state = 3},
  [6756] = {.lex_state = 112, .external_lex_state = 3},
  [6757] = {.lex_state = 121, .external_lex_state = 3},
  [6758] = {.lex_state = 112, .external_lex_state = 3},
  [6759] = {.lex_state = 120, .external_lex_state = 3},
  [6760] = {.lex_state = 112, .external_lex_state = 3},
  [6761] = {.lex_state = 121, .external_lex_state = 3},
  [6762] = {.lex_state = 122, .external_lex_state = 3},
  [6763] = {.lex_state = 22, .external_lex_state = 3},
  [6764] = {.lex_state = 22, .external_lex_state = 3},
  [6765] = {.lex_state = 121, .external_lex_state = 3},
  [6766] = {.lex_state = 122, .external_lex_state = 3},
  [6767] = {.lex_state = 122, .external_lex_state = 3},
  [6768] = {.lex_state = 116, .external_lex_state = 3},
  [6769] = {.lex_state = 121, .external_lex_state = 3},
  [6770] = {.lex_state = 22, .external_lex_state = 3},
  [6771] = {.lex_state = 22, .external_lex_state = 3},
  [6772] = {.lex_state = 122, .external_lex_state = 3},
  [6773] = {.lex_state = 22, .external_lex_state = 3},
  [6774] = {.lex_state = 122, .external_lex_state = 3},
  [6775] = {.lex_state = 22, .external_lex_state = 3},
  [6776] = {.lex_state = 122, .external_lex_state = 3},
  [6777] = {.lex_state = 122, .external_lex_state = 3},
  [6778] = {.lex_state = 122, .external_lex_state = 3},
  [6779] = {.lex_state = 121, .external_lex_state = 3},
  [6780] = {.lex_state = 120, .external_lex_state = 3},
  [6781] = {.lex_state = 121, .external_lex_state = 3},
  [6782] = {.lex_state = 22, .external_lex_state = 3},
  [6783] = {.lex_state = 22, .external_lex_state = 3},
  [6784] = {.lex_state = 122, .external_lex_state = 3},
  [6785] = {.lex_state = 22, .external_lex_state = 3},
  [6786] = {.lex_state = 22, .external_lex_state = 3},
  [6787] = {.lex_state = 22, .external_lex_state = 3},
  [6788] = {.lex_state = 120, .external_lex_state = 3},
  [6789] = {.lex_state = 122, .external_lex_state = 3},
  [6790] = {.lex_state = 122, .external_lex_state = 3},
  [6791] = {.lex_state = 122, .external_lex_state = 3},
  [6792] = {.lex_state = 122, .external_lex_state = 3},
  [6793] = {.lex_state = 122, .external_lex_state = 3},
  [6794] = {.lex_state = 122, .external_lex_state = 3},
  [6795] = {.lex_state = 122, .external_lex_state = 3},
  [6796] = {.lex_state = 22, .external_lex_state = 3},
  [6797] = {.lex_state = 122, .external_lex_state = 3},
  [6798] = {.lex_state = 122, .external_lex_state = 3},
  [6799] = {.lex_state = 122, .external_lex_state = 3},
  [6800] = {.lex_state = 112, .external_lex_state = 3},
  [6801] = {.lex_state = 122, .external_lex_state = 3},
  [6802] = {.lex_state = 122, .external_lex_state = 3},
  [6803] = {.lex_state = 122, .external_lex_state = 3},
  [6804] = {.lex_state = 122, .external_lex_state = 3},
  [6805] = {.lex_state = 22, .external_lex_state = 3},
  [6806] = {.lex_state = 122, .external_lex_state = 3},
  [6807] = {.lex_state = 121, .external_lex_state = 3},
  [6808] = {.lex_state = 22, .external_lex_state = 3},
  [6809] = {.lex_state = 120, .external_lex_state = 3},
  [6810] = {.lex_state = 122, .external_lex_state = 3},
  [6811] = {.lex_state = 122, .external_lex_state = 3},
  [6812] = {.lex_state = 112, .external_lex_state = 3},
  [6813] = {.lex_state = 161, .external_lex_state = 2},
  [6814] = {.lex_state = 122, .external_lex_state = 3},
  [6815] = {.lex_state = 122, .external_lex_state = 3},
  [6816] = {.lex_state = 120, .external_lex_state = 3},
  [6817] = {.lex_state = 22, .external_lex_state = 3},
  [6818] = {.lex_state = 121, .external_lex_state = 3},
  [6819] = {.lex_state = 121, .external_lex_state = 3},
  [6820] = {.lex_state = 120, .external_lex_state = 3},
  [6821] = {.lex_state = 122, .external_lex_state = 3},
  [6822] = {.lex_state = 120, .external_lex_state = 3},
  [6823] = {.lex_state = 122, .external_lex_state = 3},
  [6824] = {.lex_state = 122, .external_lex_state = 3},
  [6825] = {.lex_state = 22, .external_lex_state = 3},
  [6826] = {.lex_state = 122, .external_lex_state = 3},
  [6827] = {.lex_state = 121, .external_lex_state = 3},
  [6828] = {.lex_state = 122, .external_lex_state = 3},
  [6829] = {.lex_state = 122, .external_lex_state = 3},
  [6830] = {.lex_state = 122, .external_lex_state = 3},
  [6831] = {.lex_state = 22, .external_lex_state = 3},
  [6832] = {.lex_state = 121, .external_lex_state = 3},
  [6833] = {.lex_state = 121, .external_lex_state = 3},
  [6834] = {.lex_state = 121, .external_lex_state = 3},
  [6835] = {.lex_state = 22, .external_lex_state = 3},
  [6836] = {.lex_state = 120, .external_lex_state = 3},
  [6837] = {.lex_state = 15, .external_lex_state = 3},
  [6838] = {.lex_state = 436, .external_lex_state = 2},
  [6839] = {.lex_state = 121, .external_lex_state = 3},
  [6840] = {.lex_state = 22, .external_lex_state = 3},
  [6841] = {.lex_state = 22, .external_lex_state = 3},
  [6842] = {.lex_state = 22, .external_lex_state = 3},
  [6843] = {.lex_state = 120, .external_lex_state = 3},
  [6844] = {.lex_state = 22, .external_lex_state = 3},
  [6845] = {.lex_state = 22, .external_lex_state = 3},
  [6846] = {.lex_state = 22, .external_lex_state = 3},
  [6847] = {.lex_state = 436, .external_lex_state = 2},
  [6848] = {.lex_state = 436, .external_lex_state = 2},
  [6849] = {.lex_state = 120, .external_lex_state = 3},
  [6850] = {.lex_state = 121, .external_lex_state = 3},
  [6851] = {.lex_state = 121, .external_lex_state = 3},
  [6852] = {.lex_state = 22, .external_lex_state = 3},
  [6853] = {.lex_state = 22, .external_lex_state = 3},
  [6854] = {.lex_state = 22, .external_lex_state = 3},
  [6855] = {.lex_state = 22, .external_lex_state = 3},
  [6856] = {.lex_state = 121, .external_lex_state = 3},
  [6857] = {.lex_state = 22, .external_lex_state = 3},
  [6858] = {.lex_state = 116, .external_lex_state = 3},
  [6859] = {.lex_state = 116, .external_lex_state = 3},
  [6860] = {.lex_state = 116, .external_lex_state = 3},
  [6861] = {.lex_state = 116, .external_lex_state = 3},
  [6862] = {.lex_state = 116, .external_lex_state = 3},
  [6863] = {.lex_state = 116, .external_lex_state = 3},
  [6864] = {.lex_state = 22, .external_lex_state = 3},
  [6865] = {.lex_state = 116, .external_lex_state = 3},
  [6866] = {.lex_state = 116, .external_lex_state = 3},
  [6867] = {.lex_state = 113, .external_lex_state = 3},
  [6868] = {.lex_state = 116, .external_lex_state = 3},
  [6869] = {.lex_state = 116, .external_lex_state = 3},
  [6870] = {.lex_state = 116, .external_lex_state = 3},
  [6871] = {.lex_state = 116, .external_lex_state = 3},
  [6872] = {.lex_state = 116, .external_lex_state = 3},
  [6873] = {.lex_state = 116, .external_lex_state = 3},
  [6874] = {.lex_state = 112, .external_lex_state = 3},
  [6875] = {.lex_state = 116, .external_lex_state = 3},
  [6876] = {.lex_state = 116, .external_lex_state = 3},
  [6877] = {.lex_state = 116, .external_lex_state = 3},
  [6878] = {.lex_state = 21, .external_lex_state = 3},
  [6879] = {.lex_state = 116, .external_lex_state = 3},
  [6880] = {.lex_state = 116, .external_lex_state = 3},
  [6881] = {.lex_state = 116, .external_lex_state = 3},
  [6882] = {.lex_state = 116, .external_lex_state = 3},
  [6883] = {.lex_state = 116, .external_lex_state = 3},
  [6884] = {.lex_state = 116, .external_lex_state = 3},
  [6885] = {.lex_state = 116, .external_lex_state = 3},
  [6886] = {.lex_state = 116, .external_lex_state = 3},
  [6887] = {.lex_state = 116, .external_lex_state = 3},
  [6888] = {.lex_state = 116, .external_lex_state = 3},
  [6889] = {.lex_state = 116, .external_lex_state = 3},
  [6890] = {.lex_state = 116, .external_lex_state = 3},
  [6891] = {.lex_state = 116, .external_lex_state = 3},
  [6892] = {.lex_state = 116, .external_lex_state = 3},
  [6893] = {.lex_state = 116, .external_lex_state = 3},
  [6894] = {.lex_state = 116, .external_lex_state = 3},
  [6895] = {.lex_state = 22, .external_lex_state = 3},
  [6896] = {.lex_state = 16, .external_lex_state = 3},
  [6897] = {.lex_state = 116, .external_lex_state = 3},
  [6898] = {.lex_state = 22, .external_lex_state = 3},
  [6899] = {.lex_state = 22, .external_lex_state = 3},
  [6900] = {.lex_state = 121, .external_lex_state = 3},
  [6901] = {.lex_state = 22, .external_lex_state = 3},
  [6902] = {.lex_state = 116, .external_lex_state = 3},
  [6903] = {.lex_state = 116, .external_lex_state = 3},
  [6904] = {.lex_state = 116, .external_lex_state = 3},
  [6905] = {.lex_state = 22, .external_lex_state = 3},
  [6906] = {.lex_state = 22, .external_lex_state = 3},
  [6907] = {.lex_state = 22, .external_lex_state = 3},
  [6908] = {.lex_state = 116, .external_lex_state = 3},
  [6909] = {.lex_state = 121, .external_lex_state = 3},
  [6910] = {.lex_state = 21, .external_lex_state = 3},
  [6911] = {.lex_state = 22, .external_lex_state = 3},
  [6912] = {.lex_state = 121, .external_lex_state = 3},
  [6913] = {.lex_state = 116, .external_lex_state = 3},
  [6914] = {.lex_state = 120, .external_lex_state = 3},
  [6915] = {.lex_state = 121, .external_lex_state = 3},
  [6916] = {.lex_state = 21, .external_lex_state = 3},
  [6917] = {.lex_state = 22, .external_lex_state = 3},
  [6918] = {.lex_state = 21, .external_lex_state = 3},
  [6919] = {.lex_state = 116, .external_lex_state = 3},
  [6920] = {.lex_state = 22, .external_lex_state = 3},
  [6921] = {.lex_state = 116, .external_lex_state = 3},
  [6922] = {.lex_state = 22, .external_lex_state = 3},
  [6923] = {.lex_state = 21, .external_lex_state = 3},
  [6924] = {.lex_state = 116, .external_lex_state = 3},
  [6925] = {.lex_state = 122, .external_lex_state = 3},
  [6926] = {.lex_state = 121, .external_lex_state = 3},
  [6927] = {.lex_state = 122, .external_lex_state = 3},
  [6928] = {.lex_state = 116, .external_lex_state = 3},
  [6929] = {.lex_state = 116, .external_lex_state = 3},
  [6930] = {.lex_state = 122, .external_lex_state = 3},
  [6931] = {.lex_state = 22, .external_lex_state = 3},
  [6932] = {.lex_state = 112, .external_lex_state = 3},
  [6933] = {.lex_state = 116, .external_lex_state = 3},
  [6934] = {.lex_state = 124, .external_lex_state = 3},
  [6935] = {.lex_state = 122, .external_lex_state = 3},
  [6936] = {.lex_state = 22, .external_lex_state = 3},
  [6937] = {.lex_state = 22, .external_lex_state = 3},
  [6938] = {.lex_state = 116, .external_lex_state = 3},
  [6939] = {.lex_state = 122, .external_lex_state = 3},
  [6940] = {.lex_state = 122, .external_lex_state = 3},
  [6941] = {.lex_state = 121, .external_lex_state = 3},
  [6942] = {.lex_state = 121, .external_lex_state = 3},
  [6943] = {.lex_state = 124, .external_lex_state = 3},
  [6944] = {.lex_state = 22, .external_lex_state = 3},
  [6945] = {.lex_state = 21, .external_lex_state = 3},
  [6946] = {.lex_state = 21, .external_lex_state = 3},
  [6947] = {.lex_state = 116, .external_lex_state = 3},
  [6948] = {.lex_state = 22, .external_lex_state = 3},
  [6949] = {.lex_state = 121, .external_lex_state = 3},
  [6950] = {.lex_state = 22, .external_lex_state = 3},
  [6951] = {.lex_state = 22, .external_lex_state = 3},
  [6952] = {.lex_state = 22, .external_lex_state = 3},
  [6953] = {.lex_state = 22, .external_lex_state = 3},
  [6954] = {.lex_state = 436, .external_lex_state = 2},
  [6955] = {.lex_state = 22, .external_lex_state = 3},
  [6956] = {.lex_state = 121, .external_lex_state = 3},
  [6957] = {.lex_state = 116, .external_lex_state = 3},
  [6958] = {.lex_state = 21, .external_lex_state = 3},
  [6959] = {.lex_state = 121, .external_lex_state = 3},
  [6960] = {.lex_state = 22, .external_lex_state = 3},
  [6961] = {.lex_state = 22, .external_lex_state = 3},
  [6962] = {.lex_state = 116, .external_lex_state = 3},
  [6963] = {.lex_state = 116, .external_lex_state = 3},
  [6964] = {.lex_state = 21, .external_lex_state = 3},
  [6965] = {.lex_state = 116, .external_lex_state = 3},
  [6966] = {.lex_state = 21, .external_lex_state = 3},
  [6967] = {.lex_state = 21, .external_lex_state = 3},
  [6968] = {.lex_state = 21, .external_lex_state = 3},
  [6969] = {.lex_state = 121, .external_lex_state = 3},
  [6970] = {.lex_state = 21, .external_lex_state = 3},
  [6971] = {.lex_state = 121, .external_lex_state = 3},
  [6972] = {.lex_state = 21, .external_lex_state = 3},
  [6973] = {.lex_state = 21, .external_lex_state = 3},
  [6974] = {.lex_state = 116, .external_lex_state = 3},
  [6975] = {.lex_state = 112, .external_lex_state = 3},
  [6976] = {.lex_state = 21, .external_lex_state = 3},
  [6977] = {.lex_state = 21, .external_lex_state = 3},
  [6978] = {.lex_state = 21, .external_lex_state = 3},
  [6979] = {.lex_state = 21, .external_lex_state = 3},
  [6980] = {.lex_state = 122, .external_lex_state = 3},
  [6981] = {.lex_state = 21, .external_lex_state = 3},
  [6982] = {.lex_state = 21, .external_lex_state = 3},
  [6983] = {.lex_state = 21, .external_lex_state = 3},
  [6984] = {.lex_state = 121, .external_lex_state = 3},
  [6985] = {.lex_state = 120, .external_lex_state = 3},
  [6986] = {.lex_state = 21, .external_lex_state = 3},
  [6987] = {.lex_state = 21, .external_lex_state = 3},
  [6988] = {.lex_state = 21, .external_lex_state = 3},
  [6989] = {.lex_state = 21, .external_lex_state = 3},
  [6990] = {.lex_state = 21, .external_lex_state = 3},
  [6991] = {.lex_state = 21, .external_lex_state = 3},
  [6992] = {.lex_state = 121, .external_lex_state = 3},
  [6993] = {.lex_state = 21, .external_lex_state = 3},
  [6994] = {.lex_state = 122, .external_lex_state = 3},
  [6995] = {.lex_state = 121, .external_lex_state = 3},
  [6996] = {.lex_state = 121, .external_lex_state = 3},
  [6997] = {.lex_state = 21, .external_lex_state = 3},
  [6998] = {.lex_state = 21, .external_lex_state = 3},
  [6999] = {.lex_state = 436, .external_lex_state = 2},
  [7000] = {.lex_state = 21, .external_lex_state = 3},
  [7001] = {.lex_state = 21, .external_lex_state = 3},
  [7002] = {.lex_state = 21, .external_lex_state = 3},
  [7003] = {.lex_state = 21, .external_lex_state = 3},
  [7004] = {.lex_state = 121, .external_lex_state = 3},
  [7005] = {.lex_state = 116, .external_lex_state = 3},
  [7006] = {.lex_state = 21, .external_lex_state = 3},
  [7007] = {.lex_state = 21, .external_lex_state = 3},
  [7008] = {.lex_state = 21, .external_lex_state = 3},
  [7009] = {.lex_state = 121, .external_lex_state = 3},
  [7010] = {.lex_state = 116, .external_lex_state = 3},
  [7011] = {.lex_state = 116, .external_lex_state = 3},
  [7012] = {.lex_state = 112, .external_lex_state = 3},
  [7013] = {.lex_state = 121, .external_lex_state = 3},
  [7014] = {.lex_state = 21, .external_lex_state = 3},
  [7015] = {.lex_state = 121, .external_lex_state = 3},
  [7016] = {.lex_state = 21, .external_lex_state = 3},
  [7017] = {.lex_state = 112, .external_lex_state = 3},
  [7018] = {.lex_state = 21, .external_lex_state = 3},
  [7019] = {.lex_state = 121, .external_lex_state = 3},
  [7020] = {.lex_state = 112, .external_lex_state = 3},
  [7021] = {.lex_state = 116, .external_lex_state = 3},
  [7022] = {.lex_state = 121, .external_lex_state = 3},
  [7023] = {.lex_state = 121, .external_lex_state = 3},
  [7024] = {.lex_state = 22, .external_lex_state = 3},
  [7025] = {.lex_state = 21, .external_lex_state = 3},
  [7026] = {.lex_state = 21, .external_lex_state = 3},
  [7027] = {.lex_state = 121, .external_lex_state = 3},
  [7028] = {.lex_state = 116, .external_lex_state = 3},
  [7029] = {.lex_state = 116, .external_lex_state = 3},
  [7030] = {.lex_state = 22, .external_lex_state = 3},
  [7031] = {.lex_state = 121, .external_lex_state = 3},
  [7032] = {.lex_state = 112, .external_lex_state = 3},
  [7033] = {.lex_state = 121, .external_lex_state = 3},
  [7034] = {.lex_state = 22, .external_lex_state = 3},
  [7035] = {.lex_state = 21, .external_lex_state = 3},
  [7036] = {.lex_state = 112, .external_lex_state = 3},
  [7037] = {.lex_state = 112, .external_lex_state = 3},
  [7038] = {.lex_state = 112, .external_lex_state = 3},
  [7039] = {.lex_state = 116, .external_lex_state = 3},
  [7040] = {.lex_state = 21, .external_lex_state = 3},
  [7041] = {.lex_state = 121, .external_lex_state = 3},
  [7042] = {.lex_state = 121, .external_lex_state = 3},
  [7043] = {.lex_state = 112, .external_lex_state = 3},
  [7044] = {.lex_state = 21, .external_lex_state = 3},
  [7045] = {.lex_state = 21, .external_lex_state = 3},
  [7046] = {.lex_state = 21, .external_lex_state = 3},
  [7047] = {.lex_state = 116, .external_lex_state = 3},
  [7048] = {.lex_state = 21, .external_lex_state = 3},
  [7049] = {.lex_state = 116, .external_lex_state = 3},
  [7050] = {.lex_state = 122, .external_lex_state = 3},
  [7051] = {.lex_state = 112, .external_lex_state = 3},
  [7052] = {.lex_state = 112, .external_lex_state = 3},
  [7053] = {.lex_state = 116, .external_lex_state = 3},
  [7054] = {.lex_state = 112, .external_lex_state = 3},
  [7055] = {.lex_state = 22, .external_lex_state = 3},
  [7056] = {.lex_state = 112, .external_lex_state = 3},
  [7057] = {.lex_state = 116, .external_lex_state = 3},
  [7058] = {.lex_state = 112, .external_lex_state = 3},
  [7059] = {.lex_state = 112, .external_lex_state = 3},
  [7060] = {.lex_state = 112, .external_lex_state = 3},
  [7061] = {.lex_state = 116, .external_lex_state = 3},
  [7062] = {.lex_state = 121, .external_lex_state = 3},
  [7063] = {.lex_state = 121, .external_lex_state = 3},
  [7064] = {.lex_state = 21, .external_lex_state = 3},
  [7065] = {.lex_state = 112, .external_lex_state = 3},
  [7066] = {.lex_state = 116, .external_lex_state = 3},
  [7067] = {.lex_state = 112, .external_lex_state = 3},
  [7068] = {.lex_state = 112, .external_lex_state = 3},
  [7069] = {.lex_state = 121, .external_lex_state = 3},
  [7070] = {.lex_state = 112, .external_lex_state = 3},
  [7071] = {.lex_state = 121, .external_lex_state = 3},
  [7072] = {.lex_state = 112, .external_lex_state = 3},
  [7073] = {.lex_state = 121, .external_lex_state = 3},
  [7074] = {.lex_state = 21, .external_lex_state = 3},
  [7075] = {.lex_state = 121, .external_lex_state = 3},
  [7076] = {.lex_state = 112, .external_lex_state = 3},
  [7077] = {.lex_state = 112, .external_lex_state = 3},
  [7078] = {.lex_state = 21, .external_lex_state = 3},
  [7079] = {.lex_state = 112, .external_lex_state = 3},
  [7080] = {.lex_state = 112, .external_lex_state = 3},
  [7081] = {.lex_state = 112, .external_lex_state = 3},
  [7082] = {.lex_state = 112, .external_lex_state = 3},
  [7083] = {.lex_state = 22, .external_lex_state = 3},
  [7084] = {.lex_state = 22, .external_lex_state = 3},
  [7085] = {.lex_state = 22, .external_lex_state = 3},
  [7086] = {.lex_state = 22, .external_lex_state = 3},
  [7087] = {.lex_state = 22, .external_lex_state = 3},
  [7088] = {.lex_state = 22, .external_lex_state = 3},
  [7089] = {.lex_state = 21, .external_lex_state = 3},
  [7090] = {.lex_state = 22, .external_lex_state = 3},
  [7091] = {.lex_state = 22, .external_lex_state = 3},
  [7092] = {.lex_state = 21, .external_lex_state = 3},
  [7093] = {.lex_state = 21, .external_lex_state = 3},
  [7094] = {.lex_state = 21, .external_lex_state = 3},
  [7095] = {.lex_state = 21, .external_lex_state = 3},
  [7096] = {.lex_state = 21, .external_lex_state = 3},
  [7097] = {.lex_state = 21, .external_lex_state = 3},
  [7098] = {.lex_state = 21, .external_lex_state = 3},
  [7099] = {.lex_state = 121, .external_lex_state = 3},
  [7100] = {.lex_state = 21, .external_lex_state = 3},
  [7101] = {.lex_state = 121, .external_lex_state = 3},
  [7102] = {.lex_state = 21, .external_lex_state = 3},
  [7103] = {.lex_state = 161, .external_lex_state = 2},
  [7104] = {.lex_state = 21, .external_lex_state = 3},
  [7105] = {.lex_state = 112, .external_lex_state = 3},
  [7106] = {.lex_state = 112, .external_lex_state = 3},
  [7107] = {.lex_state = 21, .external_lex_state = 3},
  [7108] = {.lex_state = 161, .external_lex_state = 2},
  [7109] = {.lex_state = 121, .external_lex_state = 3},
  [7110] = {.lex_state = 121, .external_lex_state = 3},
  [7111] = {.lex_state = 121, .external_lex_state = 3},
  [7112] = {.lex_state = 121, .external_lex_state = 3},
  [7113] = {.lex_state = 21, .external_lex_state = 3},
  [7114] = {.lex_state = 21, .external_lex_state = 3},
  [7115] = {.lex_state = 21, .external_lex_state = 3},
  [7116] = {.lex_state = 116, .external_lex_state = 3},
  [7117] = {.lex_state = 21, .external_lex_state = 3},
  [7118] = {.lex_state = 112, .external_lex_state = 3},
  [7119] = {.lex_state = 112, .external_lex_state = 3},
  [7120] = {.lex_state = 21, .external_lex_state = 3},
  [7121] = {.lex_state = 21, .external_lex_state = 3},
  [7122] = {.lex_state = 21, .external_lex_state = 3},
  [7123] = {.lex_state = 121, .external_lex_state = 3},
  [7124] = {.lex_state = 112, .external_lex_state = 3},
  [7125] = {.lex_state = 21, .external_lex_state = 3},
  [7126] = {.lex_state = 21, .external_lex_state = 3},
  [7127] = {.lex_state = 112, .external_lex_state = 3},
  [7128] = {.lex_state = 112, .external_lex_state = 3},
  [7129] = {.lex_state = 121, .external_lex_state = 3},
  [7130] = {.lex_state = 112, .external_lex_state = 3},
  [7131] = {.lex_state = 121, .external_lex_state = 3},
  [7132] = {.lex_state = 21, .external_lex_state = 3},
  [7133] = {.lex_state = 112, .external_lex_state = 3},
  [7134] = {.lex_state = 112, .external_lex_state = 3},
  [7135] = {.lex_state = 21, .external_lex_state = 3},
  [7136] = {.lex_state = 112, .external_lex_state = 3},
  [7137] = {.lex_state = 161, .external_lex_state = 2},
  [7138] = {.lex_state = 112, .external_lex_state = 3},
  [7139] = {.lex_state = 21, .external_lex_state = 3},
  [7140] = {.lex_state = 21, .external_lex_state = 3},
  [7141] = {.lex_state = 21, .external_lex_state = 3},
  [7142] = {.lex_state = 21, .external_lex_state = 3},
  [7143] = {.lex_state = 161, .external_lex_state = 2},
  [7144] = {.lex_state = 122, .external_lex_state = 3},
  [7145] = {.lex_state = 112, .external_lex_state = 3},
  [7146] = {.lex_state = 121, .external_lex_state = 3},
  [7147] = {.lex_state = 161, .external_lex_state = 2},
  [7148] = {.lex_state = 122, .external_lex_state = 3},
  [7149] = {.lex_state = 112, .external_lex_state = 3},
  [7150] = {.lex_state = 112, .external_lex_state = 3},
  [7151] = {.lex_state = 21, .external_lex_state = 3},
  [7152] = {.lex_state = 112, .external_lex_state = 3},
  [7153] = {.lex_state = 121, .external_lex_state = 3},
  [7154] = {.lex_state = 112, .external_lex_state = 3},
  [7155] = {.lex_state = 112, .external_lex_state = 3},
  [7156] = {.lex_state = 16, .external_lex_state = 3},
  [7157] = {.lex_state = 163, .external_lex_state = 2},
  [7158] = {.lex_state = 163, .external_lex_state = 2},
  [7159] = {.lex_state = 163, .external_lex_state = 2},
  [7160] = {.lex_state = 163, .external_lex_state = 2},
  [7161] = {.lex_state = 163, .external_lex_state = 2},
  [7162] = {.lex_state = 163, .external_lex_state = 2},
  [7163] = {.lex_state = 15, .external_lex_state = 3},
  [7164] = {.lex_state = 15, .external_lex_state = 3},
  [7165] = {.lex_state = 163, .external_lex_state = 2},
  [7166] = {.lex_state = 163, .external_lex_state = 2},
  [7167] = {.lex_state = 163, .external_lex_state = 2},
  [7168] = {.lex_state = 163, .external_lex_state = 2},
  [7169] = {.lex_state = 163, .external_lex_state = 2},
  [7170] = {.lex_state = 113, .external_lex_state = 3},
  [7171] = {.lex_state = 15, .external_lex_state = 3},
  [7172] = {.lex_state = 161, .external_lex_state = 2},
  [7173] = {.lex_state = 161, .external_lex_state = 2},
  [7174] = {.lex_state = 161, .external_lex_state = 2},
  [7175] = {.lex_state = 161, .external_lex_state = 2},
  [7176] = {.lex_state = 161, .external_lex_state = 2},
  [7177] = {.lex_state = 161, .external_lex_state = 2},
  [7178] = {.lex_state = 15, .external_lex_state = 3},
  [7179] = {.lex_state = 161, .external_lex_state = 2},
  [7180] = {.lex_state = 161, .external_lex_state = 2},
  [7181] = {.lex_state = 113, .external_lex_state = 3},
  [7182] = {.lex_state = 163, .external_lex_state = 2},
  [7183] = {.lex_state = 161, .external_lex_state = 2},
  [7184] = {.lex_state = 161, .external_lex_state = 2},
  [7185] = {.lex_state = 161, .external_lex_state = 2},
  [7186] = {.lex_state = 161, .external_lex_state = 2},
  [7187] = {.lex_state = 161, .external_lex_state = 2},
  [7188] = {.lex_state = 161, .external_lex_state = 2},
  [7189] = {.lex_state = 161, .external_lex_state = 2},
  [7190] = {.lex_state = 161, .external_lex_state = 2},
  [7191] = {.lex_state = 163, .external_lex_state = 2},
  [7192] = {.lex_state = 161, .external_lex_state = 2},
  [7193] = {.lex_state = 161, .external_lex_state = 2},
  [7194] = {.lex_state = 115, .external_lex_state = 3},
  [7195] = {.lex_state = 161, .external_lex_state = 2},
  [7196] = {.lex_state = 161, .external_lex_state = 2},
  [7197] = {.lex_state = 163, .external_lex_state = 2},
  [7198] = {.lex_state = 114, .external_lex_state = 3},
  [7199] = {.lex_state = 163, .external_lex_state = 2},
  [7200] = {.lex_state = 163, .external_lex_state = 2},
  [7201] = {.lex_state = 161, .external_lex_state = 2},
  [7202] = {.lex_state = 163, .external_lex_state = 2},
  [7203] = {.lex_state = 161, .external_lex_state = 2},
  [7204] = {.lex_state = 16, .external_lex_state = 3},
  [7205] = {.lex_state = 163, .external_lex_state = 2},
  [7206] = {.lex_state = 163, .external_lex_state = 2},
  [7207] = {.lex_state = 163, .external_lex_state = 2},
  [7208] = {.lex_state = 161, .external_lex_state = 2},
  [7209] = {.lex_state = 163, .external_lex_state = 2},
  [7210] = {.lex_state = 163, .external_lex_state = 2},
  [7211] = {.lex_state = 163, .external_lex_state = 2},
  [7212] = {.lex_state = 161, .external_lex_state = 2},
  [7213] = {.lex_state = 174, .external_lex_state = 3},
  [7214] = {.lex_state = 163, .external_lex_state = 2},
  [7215] = {.lex_state = 163, .external_lex_state = 2},
  [7216] = {.lex_state = 163, .external_lex_state = 2},
  [7217] = {.lex_state = 163, .external_lex_state = 2},
  [7218] = {.lex_state = 163, .external_lex_state = 2},
  [7219] = {.lex_state = 163, .external_lex_state = 2},
  [7220] = {.lex_state = 163, .external_lex_state = 2},
  [7221] = {.lex_state = 163, .external_lex_state = 2},
  [7222] = {.lex_state = 163, .external_lex_state = 2},
  [7223] = {.lex_state = 163, .external_lex_state = 2},
  [7224] = {.lex_state = 163, .external_lex_state = 2},
  [7225] = {.lex_state = 174, .external_lex_state = 3},
  [7226] = {.lex_state = 163, .external_lex_state = 2},
  [7227] = {.lex_state = 163, .external_lex_state = 2},
  [7228] = {.lex_state = 163, .external_lex_state = 2},
  [7229] = {.lex_state = 16, .external_lex_state = 3},
  [7230] = {.lex_state = 16, .external_lex_state = 3},
  [7231] = {.lex_state = 15, .external_lex_state = 3},
  [7232] = {.lex_state = 16, .external_lex_state = 3},
  [7233] = {.lex_state = 16, .external_lex_state = 3},
  [7234] = {.lex_state = 16, .external_lex_state = 3},
  [7235] = {.lex_state = 16, .external_lex_state = 3},
  [7236] = {.lex_state = 163, .external_lex_state = 2},
  [7237] = {.lex_state = 163, .external_lex_state = 2},
  [7238] = {.lex_state = 163, .external_lex_state = 2},
  [7239] = {.lex_state = 163, .external_lex_state = 2},
  [7240] = {.lex_state = 161, .external_lex_state = 2},
  [7241] = {.lex_state = 163, .external_lex_state = 2},
  [7242] = {.lex_state = 163, .external_lex_state = 2},
  [7243] = {.lex_state = 163, .external_lex_state = 2},
  [7244] = {.lex_state = 163, .external_lex_state = 2},
  [7245] = {.lex_state = 16, .external_lex_state = 3},
  [7246] = {.lex_state = 16, .external_lex_state = 3},
  [7247] = {.lex_state = 15, .external_lex_state = 3},
  [7248] = {.lex_state = 16, .external_lex_state = 3},
  [7249] = {.lex_state = 161, .external_lex_state = 2},
  [7250] = {.lex_state = 163, .external_lex_state = 2},
  [7251] = {.lex_state = 163, .external_lex_state = 2},
  [7252] = {.lex_state = 163, .external_lex_state = 2},
  [7253] = {.lex_state = 161, .external_lex_state = 2},
  [7254] = {.lex_state = 16, .external_lex_state = 3},
  [7255] = {.lex_state = 163, .external_lex_state = 2},
  [7256] = {.lex_state = 163, .external_lex_state = 2},
  [7257] = {.lex_state = 163, .external_lex_state = 2},
  [7258] = {.lex_state = 161, .external_lex_state = 2},
  [7259] = {.lex_state = 161, .external_lex_state = 2},
  [7260] = {.lex_state = 16, .external_lex_state = 3},
  [7261] = {.lex_state = 197, .external_lex_state = 3},
  [7262] = {.lex_state = 15, .external_lex_state = 3},
  [7263] = {.lex_state = 16, .external_lex_state = 3},
  [7264] = {.lex_state = 163, .external_lex_state = 2},
  [7265] = {.lex_state = 118, .external_lex_state = 3},
  [7266] = {.lex_state = 163, .external_lex_state = 2},
  [7267] = {.lex_state = 163, .external_lex_state = 2},
  [7268] = {.lex_state = 163, .external_lex_state = 2},
  [7269] = {.lex_state = 163, .external_lex_state = 2},
  [7270] = {.lex_state = 172, .external_lex_state = 3},
  [7271] = {.lex_state = 161, .external_lex_state = 2},
  [7272] = {.lex_state = 161, .external_lex_state = 2},
  [7273] = {.lex_state = 161, .external_lex_state = 2},
  [7274] = {.lex_state = 161, .external_lex_state = 2},
  [7275] = {.lex_state = 161, .external_lex_state = 2},
  [7276] = {.lex_state = 161, .external_lex_state = 2},
  [7277] = {.lex_state = 163, .external_lex_state = 2},
  [7278] = {.lex_state = 15, .external_lex_state = 3},
  [7279] = {.lex_state = 163, .external_lex_state = 2},
  [7280] = {.lex_state = 15, .external_lex_state = 3},
  [7281] = {.lex_state = 15, .external_lex_state = 3},
  [7282] = {.lex_state = 172, .external_lex_state = 3},
  [7283] = {.lex_state = 161, .external_lex_state = 2},
  [7284] = {.lex_state = 15, .external_lex_state = 3},
  [7285] = {.lex_state = 161, .external_lex_state = 2},
  [7286] = {.lex_state = 161, .external_lex_state = 2},
  [7287] = {.lex_state = 163, .external_lex_state = 2},
  [7288] = {.lex_state = 161, .external_lex_state = 2},
  [7289] = {.lex_state = 161, .external_lex_state = 2},
  [7290] = {.lex_state = 161, .external_lex_state = 2},
  [7291] = {.lex_state = 163, .external_lex_state = 2},
  [7292] = {.lex_state = 163, .external_lex_state = 2},
  [7293] = {.lex_state = 15, .external_lex_state = 3},
  [7294] = {.lex_state = 163, .external_lex_state = 2},
  [7295] = {.lex_state = 111, .external_lex_state = 3},
  [7296] = {.lex_state = 163, .external_lex_state = 2},
  [7297] = {.lex_state = 163, .external_lex_state = 2},
  [7298] = {.lex_state = 161, .external_lex_state = 2},
  [7299] = {.lex_state = 161, .external_lex_state = 2},
  [7300] = {.lex_state = 161, .external_lex_state = 2},
  [7301] = {.lex_state = 163, .external_lex_state = 2},
  [7302] = {.lex_state = 15, .external_lex_state = 3},
  [7303] = {.lex_state = 163, .external_lex_state = 2},
  [7304] = {.lex_state = 161, .external_lex_state = 2},
  [7305] = {.lex_state = 161, .external_lex_state = 2},
  [7306] = {.lex_state = 161, .external_lex_state = 2},
  [7307] = {.lex_state = 163, .external_lex_state = 2},
  [7308] = {.lex_state = 163, .external_lex_state = 2},
  [7309] = {.lex_state = 161, .external_lex_state = 2},
  [7310] = {.lex_state = 15, .external_lex_state = 3},
  [7311] = {.lex_state = 117, .external_lex_state = 3},
  [7312] = {.lex_state = 161, .external_lex_state = 2},
  [7313] = {.lex_state = 163, .external_lex_state = 2},
  [7314] = {.lex_state = 161, .external_lex_state = 2},
  [7315] = {.lex_state = 163, .external_lex_state = 2},
  [7316] = {.lex_state = 16, .external_lex_state = 3},
  [7317] = {.lex_state = 16, .external_lex_state = 3},
  [7318] = {.lex_state = 16, .external_lex_state = 3},
  [7319] = {.lex_state = 16, .external_lex_state = 3},
  [7320] = {.lex_state = 161, .external_lex_state = 2},
  [7321] = {.lex_state = 15, .external_lex_state = 3},
  [7322] = {.lex_state = 16, .external_lex_state = 3},
  [7323] = {.lex_state = 163, .external_lex_state = 2},
  [7324] = {.lex_state = 163, .external_lex_state = 2},
  [7325] = {.lex_state = 163, .external_lex_state = 2},
  [7326] = {.lex_state = 15, .external_lex_state = 3},
  [7327] = {.lex_state = 163, .external_lex_state = 2},
  [7328] = {.lex_state = 163, .external_lex_state = 2},
  [7329] = {.lex_state = 163, .external_lex_state = 2},
  [7330] = {.lex_state = 119, .external_lex_state = 3},
  [7331] = {.lex_state = 163, .external_lex_state = 2},
  [7332] = {.lex_state = 163, .external_lex_state = 2},
  [7333] = {.lex_state = 163, .external_lex_state = 2},
  [7334] = {.lex_state = 16, .external_lex_state = 3},
  [7335] = {.lex_state = 163, .external_lex_state = 2},
  [7336] = {.lex_state = 163, .external_lex_state = 2},
  [7337] = {.lex_state = 163, .external_lex_state = 2},
  [7338] = {.lex_state = 195, .external_lex_state = 3},
  [7339] = {.lex_state = 163, .external_lex_state = 2},
  [7340] = {.lex_state = 15, .external_lex_state = 3},
  [7341] = {.lex_state = 15, .external_lex_state = 3},
  [7342] = {.lex_state = 15, .external_lex_state = 3},
  [7343] = {.lex_state = 15, .external_lex_state = 3},
  [7344] = {.lex_state = 174, .external_lex_state = 3},
  [7345] = {.lex_state = 172, .external_lex_state = 3},
  [7346] = {.lex_state = 162, .external_lex_state = 2},
  [7347] = {.lex_state = 174, .external_lex_state = 3},
  [7348] = {.lex_state = 162, .external_lex_state = 2},
  [7349] = {.lex_state = 172, .external_lex_state = 3},
  [7350] = {.lex_state = 172, .external_lex_state = 3},
  [7351] = {.lex_state = 119, .external_lex_state = 3},
  [7352] = {.lex_state = 162, .external_lex_state = 2},
  [7353] = {.lex_state = 162, .external_lex_state = 2},
  [7354] = {.lex_state = 172, .external_lex_state = 3},
  [7355] = {.lex_state = 162, .external_lex_state = 2},
  [7356] = {.lex_state = 162, .external_lex_state = 2},
  [7357] = {.lex_state = 162, .external_lex_state = 2},
  [7358] = {.lex_state = 174, .external_lex_state = 3},
  [7359] = {.lex_state = 172, .external_lex_state = 3},
  [7360] = {.lex_state = 162, .external_lex_state = 2},
  [7361] = {.lex_state = 174, .external_lex_state = 3},
  [7362] = {.lex_state = 161, .external_lex_state = 2},
  [7363] = {.lex_state = 162, .external_lex_state = 2},
  [7364] = {.lex_state = 172, .external_lex_state = 3},
  [7365] = {.lex_state = 172, .external_lex_state = 3},
  [7366] = {.lex_state = 162, .external_lex_state = 2},
  [7367] = {.lex_state = 162, .external_lex_state = 2},
  [7368] = {.lex_state = 172, .external_lex_state = 3},
  [7369] = {.lex_state = 162, .external_lex_state = 2},
  [7370] = {.lex_state = 172, .external_lex_state = 3},
  [7371] = {.lex_state = 174, .external_lex_state = 3},
  [7372] = {.lex_state = 162, .external_lex_state = 2},
  [7373] = {.lex_state = 162, .external_lex_state = 2},
  [7374] = {.lex_state = 172, .external_lex_state = 3},
  [7375] = {.lex_state = 172, .external_lex_state = 3},
  [7376] = {.lex_state = 117, .external_lex_state = 3},
  [7377] = {.lex_state = 174, .external_lex_state = 3},
  [7378] = {.lex_state = 174, .external_lex_state = 3},
  [7379] = {.lex_state = 172, .external_lex_state = 3},
  [7380] = {.lex_state = 162, .external_lex_state = 2},
  [7381] = {.lex_state = 172, .external_lex_state = 3},
  [7382] = {.lex_state = 172, .external_lex_state = 3},
  [7383] = {.lex_state = 119, .external_lex_state = 3},
  [7384] = {.lex_state = 172, .external_lex_state = 3},
  [7385] = {.lex_state = 172, .external_lex_state = 3},
  [7386] = {.lex_state = 162, .external_lex_state = 2},
  [7387] = {.lex_state = 162, .external_lex_state = 2},
  [7388] = {.lex_state = 162, .external_lex_state = 2},
  [7389] = {.lex_state = 172, .external_lex_state = 3},
  [7390] = {.lex_state = 162, .external_lex_state = 2},
  [7391] = {.lex_state = 162, .external_lex_state = 2},
  [7392] = {.lex_state = 162, .external_lex_state = 2},
  [7393] = {.lex_state = 162, .external_lex_state = 2},
  [7394] = {.lex_state = 172, .external_lex_state = 3},
  [7395] = {.lex_state = 162, .external_lex_state = 2},
  [7396] = {.lex_state = 162, .external_lex_state = 2},
  [7397] = {.lex_state = 162, .external_lex_state = 2},
  [7398] = {.lex_state = 162, .external_lex_state = 2},
  [7399] = {.lex_state = 172, .external_lex_state = 3},
  [7400] = {.lex_state = 172, .external_lex_state = 3},
  [7401] = {.lex_state = 162, .external_lex_state = 2},
  [7402] = {.lex_state = 162, .external_lex_state = 2},
  [7403] = {.lex_state = 162, .external_lex_state = 2},
  [7404] = {.lex_state = 162, .external_lex_state = 2},
  [7405] = {.lex_state = 162, .external_lex_state = 2},
  [7406] = {.lex_state = 162, .external_lex_state = 2},
  [7407] = {.lex_state = 162, .external_lex_state = 2},
  [7408] = {.lex_state = 111, .external_lex_state = 3},
  [7409] = {.lex_state = 174, .external_lex_state = 3},
  [7410] = {.lex_state = 162, .external_lex_state = 2},
  [7411] = {.lex_state = 174, .external_lex_state = 3},
  [7412] = {.lex_state = 172, .external_lex_state = 3},
  [7413] = {.lex_state = 162, .external_lex_state = 2},
  [7414] = {.lex_state = 162, .external_lex_state = 2},
  [7415] = {.lex_state = 172, .external_lex_state = 3},
  [7416] = {.lex_state = 174, .external_lex_state = 3},
  [7417] = {.lex_state = 162, .external_lex_state = 2},
  [7418] = {.lex_state = 162, .external_lex_state = 2},
  [7419] = {.lex_state = 162, .external_lex_state = 2},
  [7420] = {.lex_state = 117, .external_lex_state = 3},
  [7421] = {.lex_state = 162, .external_lex_state = 2},
  [7422] = {.lex_state = 122, .external_lex_state = 3},
  [7423] = {.lex_state = 161, .external_lex_state = 2},
  [7424] = {.lex_state = 172, .external_lex_state = 3},
  [7425] = {.lex_state = 162, .external_lex_state = 2},
  [7426] = {.lex_state = 174, .external_lex_state = 3},
  [7427] = {.lex_state = 172, .external_lex_state = 3},
  [7428] = {.lex_state = 162, .external_lex_state = 2},
  [7429] = {.lex_state = 162, .external_lex_state = 2},
  [7430] = {.lex_state = 111, .external_lex_state = 3},
  [7431] = {.lex_state = 162, .external_lex_state = 2},
  [7432] = {.lex_state = 172, .external_lex_state = 3},
  [7433] = {.lex_state = 22, .external_lex_state = 3},
  [7434] = {.lex_state = 162, .external_lex_state = 2},
  [7435] = {.lex_state = 162, .external_lex_state = 2},
  [7436] = {.lex_state = 162, .external_lex_state = 2},
  [7437] = {.lex_state = 162, .external_lex_state = 2},
  [7438] = {.lex_state = 162, .external_lex_state = 2},
  [7439] = {.lex_state = 162, .external_lex_state = 2},
  [7440] = {.lex_state = 172, .external_lex_state = 3},
  [7441] = {.lex_state = 116, .external_lex_state = 3},
  [7442] = {.lex_state = 174, .external_lex_state = 3},
  [7443] = {.lex_state = 174, .external_lex_state = 3},
  [7444] = {.lex_state = 174, .external_lex_state = 3},
  [7445] = {.lex_state = 162, .external_lex_state = 2},
  [7446] = {.lex_state = 174, .external_lex_state = 3},
  [7447] = {.lex_state = 172, .external_lex_state = 3},
  [7448] = {.lex_state = 160, .external_lex_state = 2},
  [7449] = {.lex_state = 161, .external_lex_state = 2},
  [7450] = {.lex_state = 172, .external_lex_state = 3},
  [7451] = {.lex_state = 172, .external_lex_state = 3},
  [7452] = {.lex_state = 172, .external_lex_state = 3},
  [7453] = {.lex_state = 174, .external_lex_state = 3},
  [7454] = {.lex_state = 174, .external_lex_state = 3},
  [7455] = {.lex_state = 174, .external_lex_state = 3},
  [7456] = {.lex_state = 162, .external_lex_state = 2},
  [7457] = {.lex_state = 120, .external_lex_state = 3},
  [7458] = {.lex_state = 118, .external_lex_state = 3},
  [7459] = {.lex_state = 161, .external_lex_state = 2},
  [7460] = {.lex_state = 161, .external_lex_state = 2},
  [7461] = {.lex_state = 172, .external_lex_state = 3},
  [7462] = {.lex_state = 162, .external_lex_state = 2},
  [7463] = {.lex_state = 174, .external_lex_state = 3},
  [7464] = {.lex_state = 174, .external_lex_state = 3},
  [7465] = {.lex_state = 172, .external_lex_state = 3},
  [7466] = {.lex_state = 172, .external_lex_state = 3},
  [7467] = {.lex_state = 162, .external_lex_state = 2},
  [7468] = {.lex_state = 161, .external_lex_state = 2},
  [7469] = {.lex_state = 174, .external_lex_state = 3},
  [7470] = {.lex_state = 162, .external_lex_state = 2},
  [7471] = {.lex_state = 172, .external_lex_state = 3},
  [7472] = {.lex_state = 172, .external_lex_state = 3},
  [7473] = {.lex_state = 174, .external_lex_state = 3},
  [7474] = {.lex_state = 174, .external_lex_state = 3},
  [7475] = {.lex_state = 162, .external_lex_state = 2},
  [7476] = {.lex_state = 174, .external_lex_state = 3},
  [7477] = {.lex_state = 174, .external_lex_state = 3},
  [7478] = {.lex_state = 161, .external_lex_state = 2},
  [7479] = {.lex_state = 174, .external_lex_state = 3},
  [7480] = {.lex_state = 172, .external_lex_state = 3},
  [7481] = {.lex_state = 172, .external_lex_state = 3},
  [7482] = {.lex_state = 161, .external_lex_state = 2},
  [7483] = {.lex_state = 162, .external_lex_state = 2},
  [7484] = {.lex_state = 174, .external_lex_state = 3},
  [7485] = {.lex_state = 174, .external_lex_state = 3},
  [7486] = {.lex_state = 174, .external_lex_state = 3},
  [7487] = {.lex_state = 172, .external_lex_state = 3},
  [7488] = {.lex_state = 174, .external_lex_state = 3},
  [7489] = {.lex_state = 161, .external_lex_state = 2},
  [7490] = {.lex_state = 161, .external_lex_state = 2},
  [7491] = {.lex_state = 174, .external_lex_state = 3},
  [7492] = {.lex_state = 172, .external_lex_state = 3},
  [7493] = {.lex_state = 161, .external_lex_state = 2},
  [7494] = {.lex_state = 161, .external_lex_state = 2},
  [7495] = {.lex_state = 162, .external_lex_state = 2},
  [7496] = {.lex_state = 172, .external_lex_state = 3},
  [7497] = {.lex_state = 174, .external_lex_state = 3},
  [7498] = {.lex_state = 161, .external_lex_state = 2},
  [7499] = {.lex_state = 174, .external_lex_state = 3},
  [7500] = {.lex_state = 174, .external_lex_state = 3},
  [7501] = {.lex_state = 174, .external_lex_state = 3},
  [7502] = {.lex_state = 174, .external_lex_state = 3},
  [7503] = {.lex_state = 174, .external_lex_state = 3},
  [7504] = {.lex_state = 161, .external_lex_state = 2},
  [7505] = {.lex_state = 174, .external_lex_state = 3},
  [7506] = {.lex_state = 161, .external_lex_state = 2},
  [7507] = {.lex_state = 174, .external_lex_state = 3},
  [7508] = {.lex_state = 161, .external_lex_state = 2},
  [7509] = {.lex_state = 172, .external_lex_state = 3},
  [7510] = {.lex_state = 174, .external_lex_state = 3},
  [7511] = {.lex_state = 172, .external_lex_state = 3},
  [7512] = {.lex_state = 172, .external_lex_state = 3},
  [7513] = {.lex_state = 114, .external_lex_state = 3},
  [7514] = {.lex_state = 172, .external_lex_state = 3},
  [7515] = {.lex_state = 172, .external_lex_state = 3},
  [7516] = {.lex_state = 172, .external_lex_state = 3},
  [7517] = {.lex_state = 172, .external_lex_state = 3},
  [7518] = {.lex_state = 174, .external_lex_state = 3},
  [7519] = {.lex_state = 172, .external_lex_state = 3},
  [7520] = {.lex_state = 172, .external_lex_state = 3},
  [7521] = {.lex_state = 118, .external_lex_state = 3},
  [7522] = {.lex_state = 174, .external_lex_state = 3},
  [7523] = {.lex_state = 172, .external_lex_state = 3},
  [7524] = {.lex_state = 161, .external_lex_state = 2},
  [7525] = {.lex_state = 162, .external_lex_state = 2},
  [7526] = {.lex_state = 162, .external_lex_state = 2},
  [7527] = {.lex_state = 172, .external_lex_state = 3},
  [7528] = {.lex_state = 115, .external_lex_state = 3},
  [7529] = {.lex_state = 172, .external_lex_state = 3},
  [7530] = {.lex_state = 114, .external_lex_state = 3},
  [7531] = {.lex_state = 172, .external_lex_state = 3},
  [7532] = {.lex_state = 172, .external_lex_state = 3},
  [7533] = {.lex_state = 172, .external_lex_state = 3},
  [7534] = {.lex_state = 174, .external_lex_state = 3},
  [7535] = {.lex_state = 174, .external_lex_state = 3},
  [7536] = {.lex_state = 172, .external_lex_state = 3},
  [7537] = {.lex_state = 174, .external_lex_state = 3},
  [7538] = {.lex_state = 160, .external_lex_state = 2},
  [7539] = {.lex_state = 161, .external_lex_state = 2},
  [7540] = {.lex_state = 174, .external_lex_state = 3},
  [7541] = {.lex_state = 121, .external_lex_state = 3},
  [7542] = {.lex_state = 174, .external_lex_state = 3},
  [7543] = {.lex_state = 174, .external_lex_state = 3},
  [7544] = {.lex_state = 162, .external_lex_state = 2},
  [7545] = {.lex_state = 162, .external_lex_state = 2},
  [7546] = {.lex_state = 174, .external_lex_state = 3},
  [7547] = {.lex_state = 162, .external_lex_state = 2},
  [7548] = {.lex_state = 162, .external_lex_state = 2},
  [7549] = {.lex_state = 174, .external_lex_state = 3},
  [7550] = {.lex_state = 174, .external_lex_state = 3},
  [7551] = {.lex_state = 21, .external_lex_state = 3},
  [7552] = {.lex_state = 174, .external_lex_state = 3},
  [7553] = {.lex_state = 174, .external_lex_state = 3},
  [7554] = {.lex_state = 174, .external_lex_state = 3},
  [7555] = {.lex_state = 162, .external_lex_state = 2},
  [7556] = {.lex_state = 162, .external_lex_state = 2},
  [7557] = {.lex_state = 162, .external_lex_state = 2},
  [7558] = {.lex_state = 162, .external_lex_state = 2},
  [7559] = {.lex_state = 162, .external_lex_state = 2},
  [7560] = {.lex_state = 162, .external_lex_state = 2},
  [7561] = {.lex_state = 162, .external_lex_state = 2},
  [7562] = {.lex_state = 162, .external_lex_state = 2},
  [7563] = {.lex_state = 162, .external_lex_state = 2},
  [7564] = {.lex_state = 162, .external_lex_state = 2},
  [7565] = {.lex_state = 162, .external_lex_state = 2},
  [7566] = {.lex_state = 162, .external_lex_state = 2},
  [7567] = {.lex_state = 174, .external_lex_state = 3},
  [7568] = {.lex_state = 174, .external_lex_state = 3},
  [7569] = {.lex_state = 174, .external_lex_state = 3},
  [7570] = {.lex_state = 115, .external_lex_state = 3},
  [7571] = {.lex_state = 172, .external_lex_state = 3},
  [7572] = {.lex_state = 112, .external_lex_state = 3},
  [7573] = {.lex_state = 162, .external_lex_state = 2},
  [7574] = {.lex_state = 162, .external_lex_state = 2},
  [7575] = {.lex_state = 174, .external_lex_state = 3},
  [7576] = {.lex_state = 174, .external_lex_state = 3},
  [7577] = {.lex_state = 161, .external_lex_state = 2},
  [7578] = {.lex_state = 161, .external_lex_state = 2},
  [7579] = {.lex_state = 160, .external_lex_state = 2},
  [7580] = {.lex_state = 162, .external_lex_state = 2},
  [7581] = {.lex_state = 162, .external_lex_state = 2},
  [7582] = {.lex_state = 174, .external_lex_state = 3},
  [7583] = {.lex_state = 172, .external_lex_state = 3},
  [7584] = {.lex_state = 172, .external_lex_state = 3},
  [7585] = {.lex_state = 162, .external_lex_state = 2},
  [7586] = {.lex_state = 162, .external_lex_state = 2},
  [7587] = {.lex_state = 172, .external_lex_state = 3},
  [7588] = {.lex_state = 174, .external_lex_state = 3},
  [7589] = {.lex_state = 162, .external_lex_state = 2},
  [7590] = {.lex_state = 172, .external_lex_state = 3},
  [7591] = {.lex_state = 161, .external_lex_state = 2},
  [7592] = {.lex_state = 21, .external_lex_state = 3},
  [7593] = {.lex_state = 21, .external_lex_state = 3},
  [7594] = {.lex_state = 436, .external_lex_state = 2},
  [7595] = {.lex_state = 173, .external_lex_state = 3},
  [7596] = {.lex_state = 436, .external_lex_state = 2},
  [7597] = {.lex_state = 436, .external_lex_state = 2},
  [7598] = {.lex_state = 436, .external_lex_state = 2},
  [7599] = {.lex_state = 121, .external_lex_state = 3},
  [7600] = {.lex_state = 436, .external_lex_state = 2},
  [7601] = {.lex_state = 436, .external_lex_state = 2},
  [7602] = {.lex_state = 21, .external_lex_state = 3},
  [7603] = {.lex_state = 196, .external_lex_state = 3},
  [7604] = {.lex_state = 436, .external_lex_state = 2},
  [7605] = {.lex_state = 436, .external_lex_state = 2},
  [7606] = {.lex_state = 436, .external_lex_state = 2},
  [7607] = {.lex_state = 436, .external_lex_state = 2},
  [7608] = {.lex_state = 175, .external_lex_state = 3},
  [7609] = {.lex_state = 436, .external_lex_state = 2},
  [7610] = {.lex_state = 120, .external_lex_state = 3},
  [7611] = {.lex_state = 436, .external_lex_state = 2},
  [7612] = {.lex_state = 116, .external_lex_state = 3},
  [7613] = {.lex_state = 175, .external_lex_state = 3},
  [7614] = {.lex_state = 22, .external_lex_state = 3},
  [7615] = {.lex_state = 120, .external_lex_state = 3},
  [7616] = {.lex_state = 22, .external_lex_state = 3},
  [7617] = {.lex_state = 116, .external_lex_state = 3},
  [7618] = {.lex_state = 173, .external_lex_state = 3},
  [7619] = {.lex_state = 122, .external_lex_state = 3},
  [7620] = {.lex_state = 21, .external_lex_state = 3},
  [7621] = {.lex_state = 22, .external_lex_state = 3},
  [7622] = {.lex_state = 22, .external_lex_state = 3},
  [7623] = {.lex_state = 436, .external_lex_state = 2},
  [7624] = {.lex_state = 436, .external_lex_state = 2},
  [7625] = {.lex_state = 22, .external_lex_state = 3},
  [7626] = {.lex_state = 436, .external_lex_state = 2},
  [7627] = {.lex_state = 436, .external_lex_state = 2},
  [7628] = {.lex_state = 436, .external_lex_state = 2},
  [7629] = {.lex_state = 436, .external_lex_state = 2},
  [7630] = {.lex_state = 198, .external_lex_state = 3},
  [7631] = {.lex_state = 22, .external_lex_state = 3},
  [7632] = {.lex_state = 122, .external_lex_state = 3},
  [7633] = {.lex_state = 21, .external_lex_state = 3},
  [7634] = {.lex_state = 121, .external_lex_state = 3},
  [7635] = {.lex_state = 112, .external_lex_state = 3},
  [7636] = {.lex_state = 436, .external_lex_state = 2},
  [7637] = {.lex_state = 436, .external_lex_state = 2},
  [7638] = {.lex_state = 21, .external_lex_state = 3},
  [7639] = {.lex_state = 436, .external_lex_state = 2},
  [7640] = {.lex_state = 22, .external_lex_state = 3},
  [7641] = {.lex_state = 436, .external_lex_state = 2},
  [7642] = {.lex_state = 436, .external_lex_state = 2},
  [7643] = {.lex_state = 436, .external_lex_state = 2},
  [7644] = {.lex_state = 112, .external_lex_state = 3},
  [7645] = {.lex_state = 436, .external_lex_state = 2},
  [7646] = {.lex_state = 21, .external_lex_state = 3},
  [7647] = {.lex_state = 436, .external_lex_state = 2},
  [7648] = {.lex_state = 173, .external_lex_state = 3},
  [7649] = {.lex_state = 175, .external_lex_state = 3},
  [7650] = {.lex_state = 436, .external_lex_state = 2},
  [7651] = {.lex_state = 23, .external_lex_state = 3},
  [7652] = {.lex_state = 23, .external_lex_state = 3},
  [7653] = {.lex_state = 436, .external_lex_state = 2},
  [7654] = {.lex_state = 436, .external_lex_state = 2},
  [7655] = {.lex_state = 173, .external_lex_state = 3},
  [7656] = {.lex_state = 23, .external_lex_state = 3},
  [7657] = {.lex_state = 436, .external_lex_state = 2},
  [7658] = {.lex_state = 436, .external_lex_state = 2},
  [7659] = {.lex_state = 163, .external_lex_state = 2},
  [7660] = {.lex_state = 211, .external_lex_state = 2},
  [7661] = {.lex_state = 436, .external_lex_state = 2},
  [7662] = {.lex_state = 23, .external_lex_state = 3},
  [7663] = {.lex_state = 23, .external_lex_state = 3},
  [7664] = {.lex_state = 436, .external_lex_state = 2},
  [7665] = {.lex_state = 436, .external_lex_state = 2},
  [7666] = {.lex_state = 436, .external_lex_state = 2},
  [7667] = {.lex_state = 436, .external_lex_state = 2},
  [7668] = {.lex_state = 436, .external_lex_state = 2},
  [7669] = {.lex_state = 211, .external_lex_state = 2},
  [7670] = {.lex_state = 211, .external_lex_state = 2},
  [7671] = {.lex_state = 173, .external_lex_state = 3},
  [7672] = {.lex_state = 175, .external_lex_state = 3},
  [7673] = {.lex_state = 436, .external_lex_state = 2},
  [7674] = {.lex_state = 211, .external_lex_state = 2},
  [7675] = {.lex_state = 173, .external_lex_state = 3},
  [7676] = {.lex_state = 211, .external_lex_state = 2},
  [7677] = {.lex_state = 436, .external_lex_state = 2},
  [7678] = {.lex_state = 436, .external_lex_state = 2},
  [7679] = {.lex_state = 173, .external_lex_state = 3},
  [7680] = {.lex_state = 436, .external_lex_state = 2},
  [7681] = {.lex_state = 173, .external_lex_state = 3},
  [7682] = {.lex_state = 436, .external_lex_state = 2},
  [7683] = {.lex_state = 436, .external_lex_state = 2},
  [7684] = {.lex_state = 23, .external_lex_state = 3},
  [7685] = {.lex_state = 436, .external_lex_state = 2},
  [7686] = {.lex_state = 23, .external_lex_state = 3},
  [7687] = {.lex_state = 173, .external_lex_state = 3},
  [7688] = {.lex_state = 163, .external_lex_state = 2},
  [7689] = {.lex_state = 173, .external_lex_state = 3},
  [7690] = {.lex_state = 173, .external_lex_state = 3},
  [7691] = {.lex_state = 23, .external_lex_state = 3},
  [7692] = {.lex_state = 175, .external_lex_state = 3},
  [7693] = {.lex_state = 173, .external_lex_state = 3},
  [7694] = {.lex_state = 436, .external_lex_state = 2},
  [7695] = {.lex_state = 436, .external_lex_state = 2},
  [7696] = {.lex_state = 23, .external_lex_state = 3},
  [7697] = {.lex_state = 175, .external_lex_state = 3},
  [7698] = {.lex_state = 436, .external_lex_state = 2},
  [7699] = {.lex_state = 23, .external_lex_state = 3},
  [7700] = {.lex_state = 211, .external_lex_state = 2},
  [7701] = {.lex_state = 436, .external_lex_state = 2},
  [7702] = {.lex_state = 205, .external_lex_state = 2},
  [7703] = {.lex_state = 163, .external_lex_state = 2},
  [7704] = {.lex_state = 211, .external_lex_state = 2},
  [7705] = {.lex_state = 436, .external_lex_state = 2},
  [7706] = {.lex_state = 173, .external_lex_state = 3},
  [7707] = {.lex_state = 436, .external_lex_state = 2},
  [7708] = {.lex_state = 436, .external_lex_state = 2},
  [7709] = {.lex_state = 436, .external_lex_state = 2},
  [7710] = {.lex_state = 23, .external_lex_state = 3},
  [7711] = {.lex_state = 173, .external_lex_state = 3},
  [7712] = {.lex_state = 23, .external_lex_state = 3},
  [7713] = {.lex_state = 23, .external_lex_state = 3},
  [7714] = {.lex_state = 173, .external_lex_state = 3},
  [7715] = {.lex_state = 175, .external_lex_state = 3},
  [7716] = {.lex_state = 436, .external_lex_state = 2},
  [7717] = {.lex_state = 23, .external_lex_state = 3},
  [7718] = {.lex_state = 436, .external_lex_state = 2},
  [7719] = {.lex_state = 175, .external_lex_state = 3},
  [7720] = {.lex_state = 436, .external_lex_state = 2},
  [7721] = {.lex_state = 436, .external_lex_state = 2},
  [7722] = {.lex_state = 436, .external_lex_state = 2},
  [7723] = {.lex_state = 23, .external_lex_state = 3},
  [7724] = {.lex_state = 23, .external_lex_state = 3},
  [7725] = {.lex_state = 175, .external_lex_state = 3},
  [7726] = {.lex_state = 23, .external_lex_state = 3},
  [7727] = {.lex_state = 23, .external_lex_state = 3},
  [7728] = {.lex_state = 163, .external_lex_state = 2},
  [7729] = {.lex_state = 163, .external_lex_state = 2},
  [7730] = {.lex_state = 175, .external_lex_state = 3},
  [7731] = {.lex_state = 173, .external_lex_state = 3},
  [7732] = {.lex_state = 23, .external_lex_state = 3},
  [7733] = {.lex_state = 23, .external_lex_state = 3},
  [7734] = {.lex_state = 175, .external_lex_state = 3},
  [7735] = {.lex_state = 23, .external_lex_state = 3},
  [7736] = {.lex_state = 163, .external_lex_state = 2},
  [7737] = {.lex_state = 173, .external_lex_state = 3},
  [7738] = {.lex_state = 173, .external_lex_state = 3},
  [7739] = {.lex_state = 23, .external_lex_state = 3},
  [7740] = {.lex_state = 163, .external_lex_state = 2},
  [7741] = {.lex_state = 163, .external_lex_state = 2},
  [7742] = {.lex_state = 163, .external_lex_state = 2},
  [7743] = {.lex_state = 23, .external_lex_state = 3},
  [7744] = {.lex_state = 163, .external_lex_state = 2},
  [7745] = {.lex_state = 23, .external_lex_state = 3},
  [7746] = {.lex_state = 173, .external_lex_state = 3},
  [7747] = {.lex_state = 23, .external_lex_state = 3},
  [7748] = {.lex_state = 163, .external_lex_state = 2},
  [7749] = {.lex_state = 173, .external_lex_state = 3},
  [7750] = {.lex_state = 163, .external_lex_state = 2},
  [7751] = {.lex_state = 436, .external_lex_state = 2},
  [7752] = {.lex_state = 211, .external_lex_state = 2},
  [7753] = {.lex_state = 175, .external_lex_state = 3},
  [7754] = {.lex_state = 175, .external_lex_state = 3},
  [7755] = {.lex_state = 173, .external_lex_state = 3},
  [7756] = {.lex_state = 23, .external_lex_state = 3},
  [7757] = {.lex_state = 211, .external_lex_state = 2},
  [7758] = {.lex_state = 175, .external_lex_state = 3},
  [7759] = {.lex_state = 173, .external_lex_state = 3},
  [7760] = {.lex_state = 211, .external_lex_state = 2},
  [7761] = {.lex_state = 23, .external_lex_state = 3},
  [7762] = {.lex_state = 173, .external_lex_state = 3},
  [7763] = {.lex_state = 23, .external_lex_state = 3},
  [7764] = {.lex_state = 436, .external_lex_state = 2},
  [7765] = {.lex_state = 173, .external_lex_state = 3},
  [7766] = {.lex_state = 23, .external_lex_state = 3},
  [7767] = {.lex_state = 23, .external_lex_state = 3},
  [7768] = {.lex_state = 23, .external_lex_state = 3},
  [7769] = {.lex_state = 436, .external_lex_state = 2},
  [7770] = {.lex_state = 436, .external_lex_state = 2},
  [7771] = {.lex_state = 175, .external_lex_state = 3},
  [7772] = {.lex_state = 436, .external_lex_state = 2},
  [7773] = {.lex_state = 23, .external_lex_state = 3},
  [7774] = {.lex_state = 175, .external_lex_state = 3},
  [7775] = {.lex_state = 173, .external_lex_state = 3},
  [7776] = {.lex_state = 23, .external_lex_state = 3},
  [7777] = {.lex_state = 23, .external_lex_state = 3},
  [7778] = {.lex_state = 436, .external_lex_state = 2},
  [7779] = {.lex_state = 163, .external_lex_state = 2},
  [7780] = {.lex_state = 175, .external_lex_state = 3},
  [7781] = {.lex_state = 23, .external_lex_state = 3},
  [7782] = {.lex_state = 175, .external_lex_state = 3},
  [7783] = {.lex_state = 175, .external_lex_state = 3},
  [7784] = {.lex_state = 175, .external_lex_state = 3},
  [7785] = {.lex_state = 175, .external_lex_state = 3},
  [7786] = {.lex_state = 175, .external_lex_state = 3},
  [7787] = {.lex_state = 23, .external_lex_state = 3},
  [7788] = {.lex_state = 23, .external_lex_state = 3},
  [7789] = {.lex_state = 23, .external_lex_state = 3},
  [7790] = {.lex_state = 175, .external_lex_state = 3},
  [7791] = {.lex_state = 23, .external_lex_state = 3},
  [7792] = {.lex_state = 175, .external_lex_state = 3},
  [7793] = {.lex_state = 436, .external_lex_state = 2},
  [7794] = {.lex_state = 175, .external_lex_state = 3},
  [7795] = {.lex_state = 436, .external_lex_state = 2},
  [7796] = {.lex_state = 163, .external_lex_state = 2},
  [7797] = {.lex_state = 23, .external_lex_state = 3},
  [7798] = {.lex_state = 175, .external_lex_state = 3},
  [7799] = {.lex_state = 23, .external_lex_state = 3},
  [7800] = {.lex_state = 23, .external_lex_state = 3},
  [7801] = {.lex_state = 173, .external_lex_state = 3},
  [7802] = {.lex_state = 23, .external_lex_state = 3},
  [7803] = {.lex_state = 23, .external_lex_state = 3},
  [7804] = {.lex_state = 23, .external_lex_state = 3},
  [7805] = {.lex_state = 173, .external_lex_state = 3},
  [7806] = {.lex_state = 173, .external_lex_state = 3},
  [7807] = {.lex_state = 23, .external_lex_state = 3},
  [7808] = {.lex_state = 436, .external_lex_state = 2},
  [7809] = {.lex_state = 23, .external_lex_state = 3},
  [7810] = {.lex_state = 173, .external_lex_state = 3},
  [7811] = {.lex_state = 436, .external_lex_state = 2},
  [7812] = {.lex_state = 173, .external_lex_state = 3},
  [7813] = {.lex_state = 23, .external_lex_state = 3},
  [7814] = {.lex_state = 436, .external_lex_state = 2},
  [7815] = {.lex_state = 175, .external_lex_state = 3},
  [7816] = {.lex_state = 173, .external_lex_state = 3},
  [7817] = {.lex_state = 211, .external_lex_state = 2},
  [7818] = {.lex_state = 175, .external_lex_state = 3},
  [7819] = {.lex_state = 173, .external_lex_state = 3},
  [7820] = {.lex_state = 173, .external_lex_state = 3},
  [7821] = {.lex_state = 175, .external_lex_state = 3},
  [7822] = {.lex_state = 23, .external_lex_state = 3},
  [7823] = {.lex_state = 175, .external_lex_state = 3},
  [7824] = {.lex_state = 436, .external_lex_state = 2},
  [7825] = {.lex_state = 23, .external_lex_state = 3},
  [7826] = {.lex_state = 23, .external_lex_state = 3},
  [7827] = {.lex_state = 23, .external_lex_state = 3},
  [7828] = {.lex_state = 175, .external_lex_state = 3},
  [7829] = {.lex_state = 175, .external_lex_state = 3},
  [7830] = {.lex_state = 205, .external_lex_state = 2},
  [7831] = {.lex_state = 23, .external_lex_state = 3},
  [7832] = {.lex_state = 175, .external_lex_state = 3},
  [7833] = {.lex_state = 175, .external_lex_state = 3},
  [7834] = {.lex_state = 40, .external_lex_state = 3},
  [7835] = {.lex_state = 23, .external_lex_state = 3},
  [7836] = {.lex_state = 205, .external_lex_state = 2},
  [7837] = {.lex_state = 173, .external_lex_state = 3},
  [7838] = {.lex_state = 173, .external_lex_state = 3},
  [7839] = {.lex_state = 173, .external_lex_state = 3},
  [7840] = {.lex_state = 173, .external_lex_state = 3},
  [7841] = {.lex_state = 436, .external_lex_state = 2},
  [7842] = {.lex_state = 23, .external_lex_state = 3},
  [7843] = {.lex_state = 40, .external_lex_state = 3},
  [7844] = {.lex_state = 40, .external_lex_state = 3},
  [7845] = {.lex_state = 211, .external_lex_state = 2},
  [7846] = {.lex_state = 175, .external_lex_state = 3},
  [7847] = {.lex_state = 175, .external_lex_state = 3},
  [7848] = {.lex_state = 23, .external_lex_state = 3},
  [7849] = {.lex_state = 173, .external_lex_state = 3},
  [7850] = {.lex_state = 211, .external_lex_state = 2},
  [7851] = {.lex_state = 173, .external_lex_state = 3},
  [7852] = {.lex_state = 23, .external_lex_state = 3},
  [7853] = {.lex_state = 173, .external_lex_state = 3},
  [7854] = {.lex_state = 163, .external_lex_state = 2},
  [7855] = {.lex_state = 175, .external_lex_state = 3},
  [7856] = {.lex_state = 23, .external_lex_state = 3},
  [7857] = {.lex_state = 175, .external_lex_state = 3},
  [7858] = {.lex_state = 23, .external_lex_state = 3},
  [7859] = {.lex_state = 205, .external_lex_state = 2},
  [7860] = {.lex_state = 175, .external_lex_state = 3},
  [7861] = {.lex_state = 173, .external_lex_state = 3},
  [7862] = {.lex_state = 175, .external_lex_state = 3},
  [7863] = {.lex_state = 175, .external_lex_state = 3},
  [7864] = {.lex_state = 23, .external_lex_state = 3},
  [7865] = {.lex_state = 211, .external_lex_state = 2},
  [7866] = {.lex_state = 436, .external_lex_state = 2},
  [7867] = {.lex_state = 436, .external_lex_state = 2},
  [7868] = {.lex_state = 23, .external_lex_state = 3},
  [7869] = {.lex_state = 23, .external_lex_state = 3},
  [7870] = {.lex_state = 211, .external_lex_state = 2},
  [7871] = {.lex_state = 436, .external_lex_state = 2},
  [7872] = {.lex_state = 436, .external_lex_state = 2},
  [7873] = {.lex_state = 23, .external_lex_state = 3},
  [7874] = {.lex_state = 436, .external_lex_state = 2},
  [7875] = {.lex_state = 436, .external_lex_state = 2},
  [7876] = {.lex_state = 23, .external_lex_state = 3},
  [7877] = {.lex_state = 175, .external_lex_state = 3},
  [7878] = {.lex_state = 173, .external_lex_state = 3},
  [7879] = {.lex_state = 173, .external_lex_state = 3},
  [7880] = {.lex_state = 173, .external_lex_state = 3},
  [7881] = {.lex_state = 436, .external_lex_state = 2},
  [7882] = {.lex_state = 436, .external_lex_state = 2},
  [7883] = {.lex_state = 173, .external_lex_state = 3},
  [7884] = {.lex_state = 173, .external_lex_state = 3},
  [7885] = {.lex_state = 163, .external_lex_state = 2},
  [7886] = {.lex_state = 163, .external_lex_state = 2},
  [7887] = {.lex_state = 163, .external_lex_state = 2},
  [7888] = {.lex_state = 163, .external_lex_state = 2},
  [7889] = {.lex_state = 175, .external_lex_state = 3},
  [7890] = {.lex_state = 436, .external_lex_state = 2},
  [7891] = {.lex_state = 173, .external_lex_state = 3},
  [7892] = {.lex_state = 436, .external_lex_state = 2},
  [7893] = {.lex_state = 23, .external_lex_state = 3},
  [7894] = {.lex_state = 175, .external_lex_state = 3},
  [7895] = {.lex_state = 175, .external_lex_state = 3},
  [7896] = {.lex_state = 173, .external_lex_state = 3},
  [7897] = {.lex_state = 173, .external_lex_state = 3},
  [7898] = {.lex_state = 173, .external_lex_state = 3},
  [7899] = {.lex_state = 175, .external_lex_state = 3},
  [7900] = {.lex_state = 175, .external_lex_state = 3},
  [7901] = {.lex_state = 175, .external_lex_state = 3},
  [7902] = {.lex_state = 173, .external_lex_state = 3},
  [7903] = {.lex_state = 173, .external_lex_state = 3},
  [7904] = {.lex_state = 173, .external_lex_state = 3},
  [7905] = {.lex_state = 163, .external_lex_state = 2},
  [7906] = {.lex_state = 23, .external_lex_state = 3},
  [7907] = {.lex_state = 200, .external_lex_state = 3},
  [7908] = {.lex_state = 23, .external_lex_state = 3},
  [7909] = {.lex_state = 436, .external_lex_state = 2},
  [7910] = {.lex_state = 175, .external_lex_state = 3},
  [7911] = {.lex_state = 23, .external_lex_state = 3},
  [7912] = {.lex_state = 436, .external_lex_state = 2},
  [7913] = {.lex_state = 23, .external_lex_state = 3},
  [7914] = {.lex_state = 23, .external_lex_state = 3},
  [7915] = {.lex_state = 175, .external_lex_state = 3},
  [7916] = {.lex_state = 175, .external_lex_state = 3},
  [7917] = {.lex_state = 436, .external_lex_state = 2},
  [7918] = {.lex_state = 173, .external_lex_state = 3},
  [7919] = {.lex_state = 211, .external_lex_state = 2},
  [7920] = {.lex_state = 23, .external_lex_state = 3},
  [7921] = {.lex_state = 23, .external_lex_state = 3},
  [7922] = {.lex_state = 436, .external_lex_state = 2},
  [7923] = {.lex_state = 201, .external_lex_state = 3},
  [7924] = {.lex_state = 205, .external_lex_state = 2},
  [7925] = {.lex_state = 175, .external_lex_state = 3},
  [7926] = {.lex_state = 175, .external_lex_state = 3},
  [7927] = {.lex_state = 173, .external_lex_state = 3},
  [7928] = {.lex_state = 211, .external_lex_state = 2},
  [7929] = {.lex_state = 175, .external_lex_state = 3},
  [7930] = {.lex_state = 436, .external_lex_state = 2},
  [7931] = {.lex_state = 436, .external_lex_state = 2},
  [7932] = {.lex_state = 436, .external_lex_state = 2},
  [7933] = {.lex_state = 175, .external_lex_state = 3},
  [7934] = {.lex_state = 23, .external_lex_state = 3},
  [7935] = {.lex_state = 436, .external_lex_state = 2},
  [7936] = {.lex_state = 173, .external_lex_state = 3},
  [7937] = {.lex_state = 163, .external_lex_state = 2},
  [7938] = {.lex_state = 173, .external_lex_state = 3},
  [7939] = {.lex_state = 163, .external_lex_state = 2},
  [7940] = {.lex_state = 175, .external_lex_state = 3},
  [7941] = {.lex_state = 173, .external_lex_state = 3},
  [7942] = {.lex_state = 173, .external_lex_state = 3},
  [7943] = {.lex_state = 436, .external_lex_state = 2},
  [7944] = {.lex_state = 23, .external_lex_state = 3},
  [7945] = {.lex_state = 23, .external_lex_state = 3},
  [7946] = {.lex_state = 175, .external_lex_state = 3},
  [7947] = {.lex_state = 23, .external_lex_state = 3},
  [7948] = {.lex_state = 436, .external_lex_state = 2},
  [7949] = {.lex_state = 175, .external_lex_state = 3},
  [7950] = {.lex_state = 211, .external_lex_state = 2},
  [7951] = {.lex_state = 436, .external_lex_state = 2},
  [7952] = {.lex_state = 175, .external_lex_state = 3},
  [7953] = {.lex_state = 211, .external_lex_state = 2},
  [7954] = {.lex_state = 173, .external_lex_state = 3},
  [7955] = {.lex_state = 23, .external_lex_state = 3},
  [7956] = {.lex_state = 436, .external_lex_state = 2},
  [7957] = {.lex_state = 436, .external_lex_state = 2},
  [7958] = {.lex_state = 23, .external_lex_state = 3},
  [7959] = {.lex_state = 175, .external_lex_state = 3},
  [7960] = {.lex_state = 23, .external_lex_state = 3},
  [7961] = {.lex_state = 23, .external_lex_state = 3},
  [7962] = {.lex_state = 173, .external_lex_state = 3},
  [7963] = {.lex_state = 175, .external_lex_state = 3},
  [7964] = {.lex_state = 175, .external_lex_state = 3},
  [7965] = {.lex_state = 23, .external_lex_state = 3},
  [7966] = {.lex_state = 173, .external_lex_state = 3},
  [7967] = {.lex_state = 211, .external_lex_state = 2},
  [7968] = {.lex_state = 175, .external_lex_state = 3},
  [7969] = {.lex_state = 436, .external_lex_state = 2},
  [7970] = {.lex_state = 173, .external_lex_state = 3},
  [7971] = {.lex_state = 160, .external_lex_state = 2},
  [7972] = {.lex_state = 436, .external_lex_state = 2},
  [7973] = {.lex_state = 160, .external_lex_state = 2},
  [7974] = {.lex_state = 436, .external_lex_state = 2},
  [7975] = {.lex_state = 436, .external_lex_state = 2},
  [7976] = {.lex_state = 160, .external_lex_state = 2},
  [7977] = {.lex_state = 436, .external_lex_state = 2},
  [7978] = {.lex_state = 436, .external_lex_state = 2},
  [7979] = {.lex_state = 436, .external_lex_state = 2},
  [7980] = {.lex_state = 436, .external_lex_state = 2},
  [7981] = {.lex_state = 436, .external_lex_state = 2},
  [7982] = {.lex_state = 436, .external_lex_state = 2},
  [7983] = {.lex_state = 436, .external_lex_state = 2},
  [7984] = {.lex_state = 160, .external_lex_state = 2},
  [7985] = {.lex_state = 162, .external_lex_state = 2},
  [7986] = {.lex_state = 162, .external_lex_state = 2},
  [7987] = {.lex_state = 160, .external_lex_state = 2},
  [7988] = {.lex_state = 162, .external_lex_state = 2},
  [7989] = {.lex_state = 162, .external_lex_state = 2},
  [7990] = {.lex_state = 162, .external_lex_state = 2},
  [7991] = {.lex_state = 20, .external_lex_state = 3},
  [7992] = {.lex_state = 160, .external_lex_state = 2},
  [7993] = {.lex_state = 160, .external_lex_state = 2},
  [7994] = {.lex_state = 436, .external_lex_state = 2},
  [7995] = {.lex_state = 20, .external_lex_state = 3},
  [7996] = {.lex_state = 162, .external_lex_state = 2},
  [7997] = {.lex_state = 20, .external_lex_state = 3},
  [7998] = {.lex_state = 436, .external_lex_state = 2},
  [7999] = {.lex_state = 160, .external_lex_state = 2},
  [8000] = {.lex_state = 436, .external_lex_state = 2},
  [8001] = {.lex_state = 436, .external_lex_state = 2},
  [8002] = {.lex_state = 436, .external_lex_state = 2},
  [8003] = {.lex_state = 160, .external_lex_state = 2},
  [8004] = {.lex_state = 436, .external_lex_state = 2},
  [8005] = {.lex_state = 160, .external_lex_state = 2},
  [8006] = {.lex_state = 436, .external_lex_state = 2},
  [8007] = {.lex_state = 162, .external_lex_state = 2},
  [8008] = {.lex_state = 162, .external_lex_state = 2},
  [8009] = {.lex_state = 162, .external_lex_state = 2},
  [8010] = {.lex_state = 436, .external_lex_state = 2},
  [8011] = {.lex_state = 162, .external_lex_state = 2},
  [8012] = {.lex_state = 436, .external_lex_state = 2},
  [8013] = {.lex_state = 162, .external_lex_state = 2},
  [8014] = {.lex_state = 436, .external_lex_state = 2},
  [8015] = {.lex_state = 436, .external_lex_state = 2},
  [8016] = {.lex_state = 160, .external_lex_state = 2},
  [8017] = {.lex_state = 436, .external_lex_state = 2},
  [8018] = {.lex_state = 162, .external_lex_state = 2},
  [8019] = {.lex_state = 436, .external_lex_state = 2},
  [8020] = {.lex_state = 436, .external_lex_state = 2},
  [8021] = {.lex_state = 436, .external_lex_state = 2},
  [8022] = {.lex_state = 436, .external_lex_state = 2},
  [8023] = {.lex_state = 436, .external_lex_state = 2},
  [8024] = {.lex_state = 436, .external_lex_state = 2},
  [8025] = {.lex_state = 436, .external_lex_state = 2},
  [8026] = {.lex_state = 20, .external_lex_state = 3},
  [8027] = {.lex_state = 436, .external_lex_state = 2},
  [8028] = {.lex_state = 436, .external_lex_state = 2},
  [8029] = {.lex_state = 160, .external_lex_state = 2},
  [8030] = {.lex_state = 436, .external_lex_state = 2},
  [8031] = {.lex_state = 160, .external_lex_state = 2},
  [8032] = {.lex_state = 162, .external_lex_state = 2},
  [8033] = {.lex_state = 160, .external_lex_state = 2},
  [8034] = {.lex_state = 436, .external_lex_state = 2},
  [8035] = {.lex_state = 436, .external_lex_state = 2},
  [8036] = {.lex_state = 160, .external_lex_state = 2},
  [8037] = {.lex_state = 162, .external_lex_state = 2},
  [8038] = {.lex_state = 160, .external_lex_state = 2},
  [8039] = {.lex_state = 160, .external_lex_state = 2},
  [8040] = {.lex_state = 160, .external_lex_state = 2},
  [8041] = {.lex_state = 436, .external_lex_state = 2},
  [8042] = {.lex_state = 436, .external_lex_state = 2},
  [8043] = {.lex_state = 162, .external_lex_state = 2},
  [8044] = {.lex_state = 162, .external_lex_state = 2},
  [8045] = {.lex_state = 162, .external_lex_state = 2},
  [8046] = {.lex_state = 436, .external_lex_state = 2},
  [8047] = {.lex_state = 436, .external_lex_state = 2},
  [8048] = {.lex_state = 162, .external_lex_state = 2},
  [8049] = {.lex_state = 436, .external_lex_state = 2},
  [8050] = {.lex_state = 436, .external_lex_state = 2},
  [8051] = {.lex_state = 436, .external_lex_state = 2},
  [8052] = {.lex_state = 160, .external_lex_state = 2},
  [8053] = {.lex_state = 436, .external_lex_state = 2},
  [8054] = {.lex_state = 160, .external_lex_state = 2},
  [8055] = {.lex_state = 160, .external_lex_state = 2},
  [8056] = {.lex_state = 436, .external_lex_state = 2},
  [8057] = {.lex_state = 160, .external_lex_state = 2},
  [8058] = {.lex_state = 160, .external_lex_state = 2},
  [8059] = {.lex_state = 162, .external_lex_state = 2},
  [8060] = {.lex_state = 162, .external_lex_state = 2},
  [8061] = {.lex_state = 160, .external_lex_state = 2},
  [8062] = {.lex_state = 160, .external_lex_state = 2},
  [8063] = {.lex_state = 160, .external_lex_state = 2},
  [8064] = {.lex_state = 160, .external_lex_state = 2},
  [8065] = {.lex_state = 162, .external_lex_state = 2},
  [8066] = {.lex_state = 29, .external_lex_state = 3},
  [8067] = {.lex_state = 160, .external_lex_state = 2},
  [8068] = {.lex_state = 160, .external_lex_state = 2},
  [8069] = {.lex_state = 160, .external_lex_state = 2},
  [8070] = {.lex_state = 160, .external_lex_state = 2},
  [8071] = {.lex_state = 160, .external_lex_state = 2},
  [8072] = {.lex_state = 160, .external_lex_state = 2},
  [8073] = {.lex_state = 162, .external_lex_state = 2},
  [8074] = {.lex_state = 160, .external_lex_state = 2},
  [8075] = {.lex_state = 160, .external_lex_state = 2},
  [8076] = {.lex_state = 160, .external_lex_state = 2},
  [8077] = {.lex_state = 160, .external_lex_state = 2},
  [8078] = {.lex_state = 436, .external_lex_state = 2},
  [8079] = {.lex_state = 160, .external_lex_state = 2},
  [8080] = {.lex_state = 40, .external_lex_state = 3},
  [8081] = {.lex_state = 160, .external_lex_state = 2},
  [8082] = {.lex_state = 160, .external_lex_state = 2},
  [8083] = {.lex_state = 160, .external_lex_state = 2},
  [8084] = {.lex_state = 436, .external_lex_state = 2},
  [8085] = {.lex_state = 160, .external_lex_state = 2},
  [8086] = {.lex_state = 162, .external_lex_state = 2},
  [8087] = {.lex_state = 436, .external_lex_state = 2},
  [8088] = {.lex_state = 162, .external_lex_state = 2},
  [8089] = {.lex_state = 436, .external_lex_state = 2},
  [8090] = {.lex_state = 160, .external_lex_state = 2},
  [8091] = {.lex_state = 160, .external_lex_state = 2},
  [8092] = {.lex_state = 160, .external_lex_state = 2},
  [8093] = {.lex_state = 160, .external_lex_state = 2},
  [8094] = {.lex_state = 160, .external_lex_state = 2},
  [8095] = {.lex_state = 160, .external_lex_state = 2},
  [8096] = {.lex_state = 162, .external_lex_state = 2},
  [8097] = {.lex_state = 160, .external_lex_state = 2},
  [8098] = {.lex_state = 436, .external_lex_state = 2},
  [8099] = {.lex_state = 436, .external_lex_state = 2},
  [8100] = {.lex_state = 162, .external_lex_state = 2},
  [8101] = {.lex_state = 160, .external_lex_state = 2},
  [8102] = {.lex_state = 160, .external_lex_state = 2},
  [8103] = {.lex_state = 160, .external_lex_state = 2},
  [8104] = {.lex_state = 160, .external_lex_state = 2},
  [8105] = {.lex_state = 436, .external_lex_state = 2},
  [8106] = {.lex_state = 160, .external_lex_state = 2},
  [8107] = {.lex_state = 436, .external_lex_state = 2},
  [8108] = {.lex_state = 436, .external_lex_state = 2},
  [8109] = {.lex_state = 160, .external_lex_state = 2},
  [8110] = {.lex_state = 160, .external_lex_state = 2},
  [8111] = {.lex_state = 436, .external_lex_state = 2},
  [8112] = {.lex_state = 160, .external_lex_state = 2},
  [8113] = {.lex_state = 160, .external_lex_state = 2},
  [8114] = {.lex_state = 436, .external_lex_state = 2},
  [8115] = {.lex_state = 160, .external_lex_state = 2},
  [8116] = {.lex_state = 160, .external_lex_state = 2},
  [8117] = {.lex_state = 160, .external_lex_state = 2},
  [8118] = {.lex_state = 160, .external_lex_state = 2},
  [8119] = {.lex_state = 436, .external_lex_state = 2},
  [8120] = {.lex_state = 160, .external_lex_state = 2},
  [8121] = {.lex_state = 436, .external_lex_state = 2},
  [8122] = {.lex_state = 436, .external_lex_state = 2},
  [8123] = {.lex_state = 436, .external_lex_state = 2},
  [8124] = {.lex_state = 436, .external_lex_state = 2},
  [8125] = {.lex_state = 436, .external_lex_state = 2},
  [8126] = {.lex_state = 436, .external_lex_state = 2},
  [8127] = {.lex_state = 160, .external_lex_state = 2},
  [8128] = {.lex_state = 20, .external_lex_state = 3},
  [8129] = {.lex_state = 162, .external_lex_state = 2},
  [8130] = {.lex_state = 20, .external_lex_state = 3},
  [8131] = {.lex_state = 160, .external_lex_state = 2},
  [8132] = {.lex_state = 436, .external_lex_state = 2},
  [8133] = {.lex_state = 436, .external_lex_state = 2},
  [8134] = {.lex_state = 436, .external_lex_state = 2},
  [8135] = {.lex_state = 436, .external_lex_state = 2},
  [8136] = {.lex_state = 160, .external_lex_state = 2},
  [8137] = {.lex_state = 160, .external_lex_state = 2},
  [8138] = {.lex_state = 160, .external_lex_state = 2},
  [8139] = {.lex_state = 160, .external_lex_state = 2},
  [8140] = {.lex_state = 436, .external_lex_state = 2},
  [8141] = {.lex_state = 160, .external_lex_state = 2},
  [8142] = {.lex_state = 160, .external_lex_state = 2},
  [8143] = {.lex_state = 160, .external_lex_state = 2},
  [8144] = {.lex_state = 162, .external_lex_state = 2},
  [8145] = {.lex_state = 162, .external_lex_state = 2},
  [8146] = {.lex_state = 160, .external_lex_state = 2},
  [8147] = {.lex_state = 436, .external_lex_state = 2},
  [8148] = {.lex_state = 160, .external_lex_state = 2},
  [8149] = {.lex_state = 160, .external_lex_state = 2},
  [8150] = {.lex_state = 160, .external_lex_state = 2},
  [8151] = {.lex_state = 23, .external_lex_state = 3},
  [8152] = {.lex_state = 158, .external_lex_state = 2},
  [8153] = {.lex_state = 160, .external_lex_state = 2},
  [8154] = {.lex_state = 160, .external_lex_state = 2},
  [8155] = {.lex_state = 160, .external_lex_state = 2},
  [8156] = {.lex_state = 204, .external_lex_state = 2},
  [8157] = {.lex_state = 160, .external_lex_state = 2},
  [8158] = {.lex_state = 160, .external_lex_state = 2},
  [8159] = {.lex_state = 160, .external_lex_state = 2},
  [8160] = {.lex_state = 158, .external_lex_state = 2},
  [8161] = {.lex_state = 158, .external_lex_state = 2},
  [8162] = {.lex_state = 160, .external_lex_state = 2},
  [8163] = {.lex_state = 158, .external_lex_state = 2},
  [8164] = {.lex_state = 160, .external_lex_state = 2},
  [8165] = {.lex_state = 160, .external_lex_state = 2},
  [8166] = {.lex_state = 160, .external_lex_state = 2},
  [8167] = {.lex_state = 158, .external_lex_state = 2},
  [8168] = {.lex_state = 160, .external_lex_state = 2},
  [8169] = {.lex_state = 158, .external_lex_state = 2},
  [8170] = {.lex_state = 158, .external_lex_state = 2},
  [8171] = {.lex_state = 158, .external_lex_state = 2},
  [8172] = {.lex_state = 160, .external_lex_state = 2},
  [8173] = {.lex_state = 158, .external_lex_state = 2},
  [8174] = {.lex_state = 158, .external_lex_state = 2},
  [8175] = {.lex_state = 158, .external_lex_state = 2},
  [8176] = {.lex_state = 158, .external_lex_state = 2},
  [8177] = {.lex_state = 29, .external_lex_state = 3},
  [8178] = {.lex_state = 158, .external_lex_state = 2},
  [8179] = {.lex_state = 160, .external_lex_state = 2},
  [8180] = {.lex_state = 158, .external_lex_state = 2},
  [8181] = {.lex_state = 158, .external_lex_state = 2},
  [8182] = {.lex_state = 158, .external_lex_state = 2},
  [8183] = {.lex_state = 158, .external_lex_state = 2},
  [8184] = {.lex_state = 158, .external_lex_state = 2},
  [8185] = {.lex_state = 158, .external_lex_state = 2},
  [8186] = {.lex_state = 158, .external_lex_state = 2},
  [8187] = {.lex_state = 160, .external_lex_state = 2},
  [8188] = {.lex_state = 160, .external_lex_state = 2},
  [8189] = {.lex_state = 158, .external_lex_state = 2},
  [8190] = {.lex_state = 158, .external_lex_state = 2},
  [8191] = {.lex_state = 160, .external_lex_state = 2},
  [8192] = {.lex_state = 158, .external_lex_state = 2},
  [8193] = {.lex_state = 29, .external_lex_state = 3},
  [8194] = {.lex_state = 160, .external_lex_state = 2},
  [8195] = {.lex_state = 204, .external_lex_state = 2},
  [8196] = {.lex_state = 204, .external_lex_state = 2},
  [8197] = {.lex_state = 160, .external_lex_state = 2},
  [8198] = {.lex_state = 160, .external_lex_state = 2},
  [8199] = {.lex_state = 160, .external_lex_state = 2},
  [8200] = {.lex_state = 158, .external_lex_state = 2},
  [8201] = {.lex_state = 158, .external_lex_state = 2},
  [8202] = {.lex_state = 160, .external_lex_state = 2},
  [8203] = {.lex_state = 158, .external_lex_state = 2},
  [8204] = {.lex_state = 160, .external_lex_state = 2},
  [8205] = {.lex_state = 160, .external_lex_state = 2},
  [8206] = {.lex_state = 204, .external_lex_state = 2},
  [8207] = {.lex_state = 158, .external_lex_state = 2},
  [8208] = {.lex_state = 160, .external_lex_state = 2},
  [8209] = {.lex_state = 158, .external_lex_state = 2},
  [8210] = {.lex_state = 158, .external_lex_state = 2},
  [8211] = {.lex_state = 160, .external_lex_state = 2},
  [8212] = {.lex_state = 160, .external_lex_state = 2},
  [8213] = {.lex_state = 158, .external_lex_state = 2},
  [8214] = {.lex_state = 160, .external_lex_state = 2},
  [8215] = {.lex_state = 160, .external_lex_state = 2},
  [8216] = {.lex_state = 160, .external_lex_state = 2},
  [8217] = {.lex_state = 158, .external_lex_state = 2},
  [8218] = {.lex_state = 158, .external_lex_state = 2},
  [8219] = {.lex_state = 158, .external_lex_state = 2},
  [8220] = {.lex_state = 160, .external_lex_state = 2},
  [8221] = {.lex_state = 29, .external_lex_state = 3},
  [8222] = {.lex_state = 160, .external_lex_state = 2},
  [8223] = {.lex_state = 160, .external_lex_state = 2},
  [8224] = {.lex_state = 160, .external_lex_state = 2},
  [8225] = {.lex_state = 160, .external_lex_state = 2},
  [8226] = {.lex_state = 158, .external_lex_state = 2},
  [8227] = {.lex_state = 158, .external_lex_state = 2},
  [8228] = {.lex_state = 158, .external_lex_state = 2},
  [8229] = {.lex_state = 158, .external_lex_state = 2},
  [8230] = {.lex_state = 160, .external_lex_state = 2},
  [8231] = {.lex_state = 158, .external_lex_state = 2},
  [8232] = {.lex_state = 158, .external_lex_state = 2},
  [8233] = {.lex_state = 158, .external_lex_state = 2},
  [8234] = {.lex_state = 158, .external_lex_state = 2},
  [8235] = {.lex_state = 158, .external_lex_state = 2},
  [8236] = {.lex_state = 158, .external_lex_state = 2},
  [8237] = {.lex_state = 158, .external_lex_state = 2},
  [8238] = {.lex_state = 158, .external_lex_state = 2},
  [8239] = {.lex_state = 160, .external_lex_state = 2},
  [8240] = {.lex_state = 158, .external_lex_state = 2},
  [8241] = {.lex_state = 158, .external_lex_state = 2},
  [8242] = {.lex_state = 158, .external_lex_state = 2},
  [8243] = {.lex_state = 158, .external_lex_state = 2},
  [8244] = {.lex_state = 158, .external_lex_state = 2},
  [8245] = {.lex_state = 158, .external_lex_state = 2},
  [8246] = {.lex_state = 158, .external_lex_state = 2},
  [8247] = {.lex_state = 23, .external_lex_state = 3},
  [8248] = {.lex_state = 158, .external_lex_state = 2},
  [8249] = {.lex_state = 158, .external_lex_state = 2},
  [8250] = {.lex_state = 158, .external_lex_state = 2},
  [8251] = {.lex_state = 158, .external_lex_state = 2},
  [8252] = {.lex_state = 158, .external_lex_state = 2},
  [8253] = {.lex_state = 158, .external_lex_state = 2},
  [8254] = {.lex_state = 158, .external_lex_state = 2},
  [8255] = {.lex_state = 158, .external_lex_state = 2},
  [8256] = {.lex_state = 158, .external_lex_state = 2},
  [8257] = {.lex_state = 158, .external_lex_state = 2},
  [8258] = {.lex_state = 23, .external_lex_state = 3},
  [8259] = {.lex_state = 158, .external_lex_state = 2},
  [8260] = {.lex_state = 158, .external_lex_state = 2},
  [8261] = {.lex_state = 158, .external_lex_state = 2},
  [8262] = {.lex_state = 158, .external_lex_state = 2},
  [8263] = {.lex_state = 158, .external_lex_state = 2},
  [8264] = {.lex_state = 158, .external_lex_state = 2},
  [8265] = {.lex_state = 158, .external_lex_state = 2},
  [8266] = {.lex_state = 171, .external_lex_state = 3},
  [8267] = {.lex_state = 158, .external_lex_state = 2},
  [8268] = {.lex_state = 158, .external_lex_state = 2},
  [8269] = {.lex_state = 166, .external_lex_state = 3},
  [8270] = {.lex_state = 23, .external_lex_state = 3},
  [8271] = {.lex_state = 158, .external_lex_state = 2},
  [8272] = {.lex_state = 23, .external_lex_state = 3},
  [8273] = {.lex_state = 23, .external_lex_state = 3},
  [8274] = {.lex_state = 158, .external_lex_state = 2},
  [8275] = {.lex_state = 158, .external_lex_state = 2},
  [8276] = {.lex_state = 158, .external_lex_state = 2},
  [8277] = {.lex_state = 158, .external_lex_state = 2},
  [8278] = {.lex_state = 158, .external_lex_state = 2},
  [8279] = {.lex_state = 158, .external_lex_state = 2},
  [8280] = {.lex_state = 158, .external_lex_state = 2},
  [8281] = {.lex_state = 158, .external_lex_state = 2},
  [8282] = {.lex_state = 158, .external_lex_state = 2},
  [8283] = {.lex_state = 158, .external_lex_state = 2},
  [8284] = {.lex_state = 158, .external_lex_state = 2},
  [8285] = {.lex_state = 23, .external_lex_state = 3},
  [8286] = {.lex_state = 171, .external_lex_state = 3},
  [8287] = {.lex_state = 158, .external_lex_state = 2},
  [8288] = {.lex_state = 160, .external_lex_state = 2},
  [8289] = {.lex_state = 158, .external_lex_state = 2},
  [8290] = {.lex_state = 158, .external_lex_state = 2},
  [8291] = {.lex_state = 160, .external_lex_state = 2},
  [8292] = {.lex_state = 158, .external_lex_state = 2},
  [8293] = {.lex_state = 158, .external_lex_state = 2},
  [8294] = {.lex_state = 158, .external_lex_state = 2},
  [8295] = {.lex_state = 158, .external_lex_state = 2},
  [8296] = {.lex_state = 23, .external_lex_state = 3},
  [8297] = {.lex_state = 158, .external_lex_state = 2},
  [8298] = {.lex_state = 166, .external_lex_state = 3},
  [8299] = {.lex_state = 158, .external_lex_state = 2},
  [8300] = {.lex_state = 158, .external_lex_state = 2},
  [8301] = {.lex_state = 158, .external_lex_state = 2},
  [8302] = {.lex_state = 158, .external_lex_state = 2},
  [8303] = {.lex_state = 158, .external_lex_state = 2},
  [8304] = {.lex_state = 204, .external_lex_state = 2},
  [8305] = {.lex_state = 204, .external_lex_state = 2},
  [8306] = {.lex_state = 158, .external_lex_state = 2},
  [8307] = {.lex_state = 170, .external_lex_state = 3},
  [8308] = {.lex_state = 204, .external_lex_state = 2},
  [8309] = {.lex_state = 166, .external_lex_state = 3},
  [8310] = {.lex_state = 158, .external_lex_state = 2},
  [8311] = {.lex_state = 204, .external_lex_state = 2},
  [8312] = {.lex_state = 158, .external_lex_state = 2},
  [8313] = {.lex_state = 158, .external_lex_state = 2},
  [8314] = {.lex_state = 158, .external_lex_state = 2},
  [8315] = {.lex_state = 204, .external_lex_state = 2},
  [8316] = {.lex_state = 158, .external_lex_state = 2},
  [8317] = {.lex_state = 158, .external_lex_state = 2},
  [8318] = {.lex_state = 158, .external_lex_state = 2},
  [8319] = {.lex_state = 158, .external_lex_state = 2},
  [8320] = {.lex_state = 158, .external_lex_state = 2},
  [8321] = {.lex_state = 158, .external_lex_state = 2},
  [8322] = {.lex_state = 158, .external_lex_state = 2},
  [8323] = {.lex_state = 158, .external_lex_state = 2},
  [8324] = {.lex_state = 158, .external_lex_state = 2},
  [8325] = {.lex_state = 204, .external_lex_state = 2},
  [8326] = {.lex_state = 158, .external_lex_state = 2},
  [8327] = {.lex_state = 158, .external_lex_state = 2},
  [8328] = {.lex_state = 158, .external_lex_state = 2},
  [8329] = {.lex_state = 171, .external_lex_state = 3},
  [8330] = {.lex_state = 170, .external_lex_state = 3},
  [8331] = {.lex_state = 204, .external_lex_state = 2},
  [8332] = {.lex_state = 228, .external_lex_state = 2},
  [8333] = {.lex_state = 158, .external_lex_state = 2},
  [8334] = {.lex_state = 204, .external_lex_state = 2},
  [8335] = {.lex_state = 158, .external_lex_state = 2},
  [8336] = {.lex_state = 436, .external_lex_state = 2},
  [8337] = {.lex_state = 166, .external_lex_state = 3},
  [8338] = {.lex_state = 436, .external_lex_state = 2},
  [8339] = {.lex_state = 204, .external_lex_state = 2},
  [8340] = {.lex_state = 204, .external_lex_state = 2},
  [8341] = {.lex_state = 158, .external_lex_state = 2},
  [8342] = {.lex_state = 158, .external_lex_state = 2},
  [8343] = {.lex_state = 436, .external_lex_state = 2},
  [8344] = {.lex_state = 228, .external_lex_state = 2},
  [8345] = {.lex_state = 204, .external_lex_state = 2},
  [8346] = {.lex_state = 171, .external_lex_state = 3},
  [8347] = {.lex_state = 187, .external_lex_state = 3},
  [8348] = {.lex_state = 158, .external_lex_state = 2},
  [8349] = {.lex_state = 204, .external_lex_state = 2},
  [8350] = {.lex_state = 158, .external_lex_state = 2},
  [8351] = {.lex_state = 158, .external_lex_state = 2},
  [8352] = {.lex_state = 158, .external_lex_state = 2},
  [8353] = {.lex_state = 204, .external_lex_state = 2},
  [8354] = {.lex_state = 204, .external_lex_state = 2},
  [8355] = {.lex_state = 436, .external_lex_state = 2},
  [8356] = {.lex_state = 436, .external_lex_state = 2},
  [8357] = {.lex_state = 204, .external_lex_state = 2},
  [8358] = {.lex_state = 204, .external_lex_state = 2},
  [8359] = {.lex_state = 204, .external_lex_state = 2},
  [8360] = {.lex_state = 436, .external_lex_state = 2},
  [8361] = {.lex_state = 204, .external_lex_state = 2},
  [8362] = {.lex_state = 204, .external_lex_state = 2},
  [8363] = {.lex_state = 158, .external_lex_state = 2},
  [8364] = {.lex_state = 436, .external_lex_state = 2},
  [8365] = {.lex_state = 204, .external_lex_state = 2},
  [8366] = {.lex_state = 158, .external_lex_state = 2},
  [8367] = {.lex_state = 204, .external_lex_state = 2},
  [8368] = {.lex_state = 166, .external_lex_state = 3},
  [8369] = {.lex_state = 158, .external_lex_state = 2},
  [8370] = {.lex_state = 187, .external_lex_state = 3},
  [8371] = {.lex_state = 204, .external_lex_state = 2},
  [8372] = {.lex_state = 171, .external_lex_state = 3},
  [8373] = {.lex_state = 171, .external_lex_state = 3},
  [8374] = {.lex_state = 204, .external_lex_state = 2},
  [8375] = {.lex_state = 204, .external_lex_state = 2},
  [8376] = {.lex_state = 436, .external_lex_state = 2},
  [8377] = {.lex_state = 204, .external_lex_state = 2},
  [8378] = {.lex_state = 204, .external_lex_state = 2},
  [8379] = {.lex_state = 158, .external_lex_state = 2},
  [8380] = {.lex_state = 204, .external_lex_state = 2},
  [8381] = {.lex_state = 204, .external_lex_state = 2},
  [8382] = {.lex_state = 204, .external_lex_state = 2},
  [8383] = {.lex_state = 158, .external_lex_state = 2},
  [8384] = {.lex_state = 436, .external_lex_state = 2},
  [8385] = {.lex_state = 204, .external_lex_state = 2},
  [8386] = {.lex_state = 158, .external_lex_state = 2},
  [8387] = {.lex_state = 204, .external_lex_state = 2},
  [8388] = {.lex_state = 436, .external_lex_state = 2},
  [8389] = {.lex_state = 199, .external_lex_state = 3},
  [8390] = {.lex_state = 158, .external_lex_state = 2},
  [8391] = {.lex_state = 204, .external_lex_state = 2},
  [8392] = {.lex_state = 158, .external_lex_state = 2},
  [8393] = {.lex_state = 204, .external_lex_state = 2},
  [8394] = {.lex_state = 204, .external_lex_state = 2},
  [8395] = {.lex_state = 204, .external_lex_state = 2},
  [8396] = {.lex_state = 158, .external_lex_state = 2},
  [8397] = {.lex_state = 158, .external_lex_state = 2},
  [8398] = {.lex_state = 158, .external_lex_state = 2},
  [8399] = {.lex_state = 204, .external_lex_state = 2},
  [8400] = {.lex_state = 158, .external_lex_state = 2},
  [8401] = {.lex_state = 204, .external_lex_state = 2},
  [8402] = {.lex_state = 158, .external_lex_state = 2},
  [8403] = {.lex_state = 158, .external_lex_state = 2},
  [8404] = {.lex_state = 158, .external_lex_state = 2},
  [8405] = {.lex_state = 158, .external_lex_state = 2},
  [8406] = {.lex_state = 158, .external_lex_state = 2},
  [8407] = {.lex_state = 158, .external_lex_state = 2},
  [8408] = {.lex_state = 204, .external_lex_state = 2},
  [8409] = {.lex_state = 158, .external_lex_state = 2},
  [8410] = {.lex_state = 158, .external_lex_state = 2},
  [8411] = {.lex_state = 204, .external_lex_state = 2},
  [8412] = {.lex_state = 158, .external_lex_state = 2},
  [8413] = {.lex_state = 158, .external_lex_state = 2},
  [8414] = {.lex_state = 158, .external_lex_state = 2},
  [8415] = {.lex_state = 158, .external_lex_state = 2},
  [8416] = {.lex_state = 204, .external_lex_state = 2},
  [8417] = {.lex_state = 158, .external_lex_state = 2},
  [8418] = {.lex_state = 436, .external_lex_state = 2},
  [8419] = {.lex_state = 204, .external_lex_state = 2},
  [8420] = {.lex_state = 166, .external_lex_state = 3},
  [8421] = {.lex_state = 204, .external_lex_state = 2},
  [8422] = {.lex_state = 204, .external_lex_state = 2},
  [8423] = {.lex_state = 204, .external_lex_state = 2},
  [8424] = {.lex_state = 436, .external_lex_state = 2},
  [8425] = {.lex_state = 436, .external_lex_state = 2},
  [8426] = {.lex_state = 436, .external_lex_state = 2},
  [8427] = {.lex_state = 436, .external_lex_state = 2},
  [8428] = {.lex_state = 170, .external_lex_state = 3},
  [8429] = {.lex_state = 170, .external_lex_state = 3},
  [8430] = {.lex_state = 436, .external_lex_state = 2},
  [8431] = {.lex_state = 436, .external_lex_state = 2},
  [8432] = {.lex_state = 436, .external_lex_state = 2},
  [8433] = {.lex_state = 436, .external_lex_state = 2},
  [8434] = {.lex_state = 436, .external_lex_state = 2},
  [8435] = {.lex_state = 436, .external_lex_state = 2},
  [8436] = {.lex_state = 187, .external_lex_state = 3},
  [8437] = {.lex_state = 436, .external_lex_state = 2},
  [8438] = {.lex_state = 170, .external_lex_state = 3},
  [8439] = {.lex_state = 436, .external_lex_state = 2},
  [8440] = {.lex_state = 170, .external_lex_state = 3},
  [8441] = {.lex_state = 436, .external_lex_state = 2},
  [8442] = {.lex_state = 436, .external_lex_state = 2},
  [8443] = {.lex_state = 170, .external_lex_state = 3},
  [8444] = {.lex_state = 170, .external_lex_state = 3},
  [8445] = {.lex_state = 165, .external_lex_state = 2},
  [8446] = {.lex_state = 182, .external_lex_state = 3},
  [8447] = {.lex_state = 436, .external_lex_state = 2},
  [8448] = {.lex_state = 436, .external_lex_state = 2},
  [8449] = {.lex_state = 436, .external_lex_state = 2},
  [8450] = {.lex_state = 436, .external_lex_state = 2},
  [8451] = {.lex_state = 170, .external_lex_state = 3},
  [8452] = {.lex_state = 158, .external_lex_state = 2},
  [8453] = {.lex_state = 436, .external_lex_state = 2},
  [8454] = {.lex_state = 187, .external_lex_state = 3},
  [8455] = {.lex_state = 436, .external_lex_state = 2},
  [8456] = {.lex_state = 436, .external_lex_state = 2},
  [8457] = {.lex_state = 436, .external_lex_state = 2},
  [8458] = {.lex_state = 436, .external_lex_state = 2},
  [8459] = {.lex_state = 436, .external_lex_state = 2},
  [8460] = {.lex_state = 170, .external_lex_state = 3},
  [8461] = {.lex_state = 436, .external_lex_state = 2},
  [8462] = {.lex_state = 436, .external_lex_state = 2},
  [8463] = {.lex_state = 158, .external_lex_state = 2},
  [8464] = {.lex_state = 436, .external_lex_state = 2},
  [8465] = {.lex_state = 436, .external_lex_state = 2},
  [8466] = {.lex_state = 436, .external_lex_state = 2},
  [8467] = {.lex_state = 436, .external_lex_state = 2},
  [8468] = {.lex_state = 436, .external_lex_state = 2},
  [8469] = {.lex_state = 436, .external_lex_state = 2},
  [8470] = {.lex_state = 436, .external_lex_state = 2},
  [8471] = {.lex_state = 436, .external_lex_state = 2},
  [8472] = {.lex_state = 436, .external_lex_state = 2},
  [8473] = {.lex_state = 436, .external_lex_state = 2},
  [8474] = {.lex_state = 182, .external_lex_state = 3},
  [8475] = {.lex_state = 436, .external_lex_state = 2},
  [8476] = {.lex_state = 436, .external_lex_state = 2},
  [8477] = {.lex_state = 158, .external_lex_state = 2},
  [8478] = {.lex_state = 158, .external_lex_state = 2},
  [8479] = {.lex_state = 436, .external_lex_state = 2},
  [8480] = {.lex_state = 436, .external_lex_state = 2},
  [8481] = {.lex_state = 436, .external_lex_state = 2},
  [8482] = {.lex_state = 436, .external_lex_state = 2},
  [8483] = {.lex_state = 436, .external_lex_state = 2},
  [8484] = {.lex_state = 436, .external_lex_state = 2},
  [8485] = {.lex_state = 436, .external_lex_state = 2},
  [8486] = {.lex_state = 170, .external_lex_state = 3},
  [8487] = {.lex_state = 170, .external_lex_state = 3},
  [8488] = {.lex_state = 436, .external_lex_state = 2},
  [8489] = {.lex_state = 158, .external_lex_state = 2},
  [8490] = {.lex_state = 436, .external_lex_state = 2},
  [8491] = {.lex_state = 158, .external_lex_state = 2},
  [8492] = {.lex_state = 436, .external_lex_state = 2},
  [8493] = {.lex_state = 170, .external_lex_state = 3},
  [8494] = {.lex_state = 436, .external_lex_state = 2},
  [8495] = {.lex_state = 436, .external_lex_state = 2},
  [8496] = {.lex_state = 436, .external_lex_state = 2},
  [8497] = {.lex_state = 436, .external_lex_state = 2},
  [8498] = {.lex_state = 436, .external_lex_state = 2},
  [8499] = {.lex_state = 170, .external_lex_state = 3},
  [8500] = {.lex_state = 158, .external_lex_state = 2},
  [8501] = {.lex_state = 182, .external_lex_state = 3},
  [8502] = {.lex_state = 436, .external_lex_state = 2},
  [8503] = {.lex_state = 158, .external_lex_state = 2},
  [8504] = {.lex_state = 436, .external_lex_state = 2},
  [8505] = {.lex_state = 436, .external_lex_state = 2},
  [8506] = {.lex_state = 436, .external_lex_state = 2},
  [8507] = {.lex_state = 436, .external_lex_state = 2},
  [8508] = {.lex_state = 436, .external_lex_state = 2},
  [8509] = {.lex_state = 436, .external_lex_state = 2},
  [8510] = {.lex_state = 436, .external_lex_state = 2},
  [8511] = {.lex_state = 436, .external_lex_state = 2},
  [8512] = {.lex_state = 436, .external_lex_state = 2},
  [8513] = {.lex_state = 436, .external_lex_state = 2},
  [8514] = {.lex_state = 436, .external_lex_state = 2},
  [8515] = {.lex_state = 436, .external_lex_state = 2},
  [8516] = {.lex_state = 436, .external_lex_state = 2},
  [8517] = {.lex_state = 436, .external_lex_state = 2},
  [8518] = {.lex_state = 436, .external_lex_state = 2},
  [8519] = {.lex_state = 436, .external_lex_state = 2},
  [8520] = {.lex_state = 436, .external_lex_state = 2},
  [8521] = {.lex_state = 170, .external_lex_state = 3},
  [8522] = {.lex_state = 436, .external_lex_state = 2},
  [8523] = {.lex_state = 436, .external_lex_state = 2},
  [8524] = {.lex_state = 436, .external_lex_state = 2},
  [8525] = {.lex_state = 436, .external_lex_state = 2},
  [8526] = {.lex_state = 436, .external_lex_state = 2},
  [8527] = {.lex_state = 436, .external_lex_state = 2},
  [8528] = {.lex_state = 436, .external_lex_state = 2},
  [8529] = {.lex_state = 436, .external_lex_state = 2},
  [8530] = {.lex_state = 436, .external_lex_state = 2},
  [8531] = {.lex_state = 436, .external_lex_state = 2},
  [8532] = {.lex_state = 436, .external_lex_state = 2},
  [8533] = {.lex_state = 436, .external_lex_state = 2},
  [8534] = {.lex_state = 436, .external_lex_state = 2},
  [8535] = {.lex_state = 158, .external_lex_state = 2},
  [8536] = {.lex_state = 170, .external_lex_state = 3},
  [8537] = {.lex_state = 436, .external_lex_state = 2},
  [8538] = {.lex_state = 436, .external_lex_state = 2},
  [8539] = {.lex_state = 436, .external_lex_state = 2},
  [8540] = {.lex_state = 436, .external_lex_state = 2},
  [8541] = {.lex_state = 436, .external_lex_state = 2},
  [8542] = {.lex_state = 436, .external_lex_state = 2},
  [8543] = {.lex_state = 170, .external_lex_state = 3},
  [8544] = {.lex_state = 158, .external_lex_state = 2},
  [8545] = {.lex_state = 436, .external_lex_state = 2},
  [8546] = {.lex_state = 436, .external_lex_state = 2},
  [8547] = {.lex_state = 182, .external_lex_state = 3},
  [8548] = {.lex_state = 436, .external_lex_state = 2},
  [8549] = {.lex_state = 436, .external_lex_state = 2},
  [8550] = {.lex_state = 182, .external_lex_state = 3},
  [8551] = {.lex_state = 436, .external_lex_state = 2},
  [8552] = {.lex_state = 158, .external_lex_state = 2},
  [8553] = {.lex_state = 436, .external_lex_state = 2},
  [8554] = {.lex_state = 158, .external_lex_state = 2},
  [8555] = {.lex_state = 436, .external_lex_state = 2},
  [8556] = {.lex_state = 182, .external_lex_state = 3},
  [8557] = {.lex_state = 436, .external_lex_state = 2},
  [8558] = {.lex_state = 170, .external_lex_state = 3},
  [8559] = {.lex_state = 170, .external_lex_state = 3},
  [8560] = {.lex_state = 436, .external_lex_state = 2},
  [8561] = {.lex_state = 436, .external_lex_state = 2},
  [8562] = {.lex_state = 436, .external_lex_state = 2},
  [8563] = {.lex_state = 436, .external_lex_state = 2},
  [8564] = {.lex_state = 187, .external_lex_state = 3},
  [8565] = {.lex_state = 436, .external_lex_state = 2},
  [8566] = {.lex_state = 158, .external_lex_state = 2},
  [8567] = {.lex_state = 436, .external_lex_state = 2},
  [8568] = {.lex_state = 436, .external_lex_state = 2},
  [8569] = {.lex_state = 436, .external_lex_state = 2},
  [8570] = {.lex_state = 436, .external_lex_state = 2},
  [8571] = {.lex_state = 436, .external_lex_state = 2},
  [8572] = {.lex_state = 170, .external_lex_state = 3},
  [8573] = {.lex_state = 436, .external_lex_state = 2},
  [8574] = {.lex_state = 436, .external_lex_state = 2},
  [8575] = {.lex_state = 436, .external_lex_state = 2},
  [8576] = {.lex_state = 436, .external_lex_state = 2},
  [8577] = {.lex_state = 158, .external_lex_state = 2},
  [8578] = {.lex_state = 436, .external_lex_state = 2},
  [8579] = {.lex_state = 158, .external_lex_state = 2},
  [8580] = {.lex_state = 158, .external_lex_state = 2},
  [8581] = {.lex_state = 158, .external_lex_state = 2},
  [8582] = {.lex_state = 158, .external_lex_state = 2},
  [8583] = {.lex_state = 158, .external_lex_state = 2},
  [8584] = {.lex_state = 158, .external_lex_state = 2},
  [8585] = {.lex_state = 436, .external_lex_state = 2},
  [8586] = {.lex_state = 436, .external_lex_state = 2},
  [8587] = {.lex_state = 436, .external_lex_state = 2},
  [8588] = {.lex_state = 436, .external_lex_state = 2},
  [8589] = {.lex_state = 170, .external_lex_state = 3},
  [8590] = {.lex_state = 170, .external_lex_state = 3},
  [8591] = {.lex_state = 170, .external_lex_state = 3},
  [8592] = {.lex_state = 187, .external_lex_state = 3},
  [8593] = {.lex_state = 436, .external_lex_state = 2},
  [8594] = {.lex_state = 436, .external_lex_state = 2},
  [8595] = {.lex_state = 170, .external_lex_state = 3},
  [8596] = {.lex_state = 158, .external_lex_state = 2},
  [8597] = {.lex_state = 436, .external_lex_state = 2},
  [8598] = {.lex_state = 170, .external_lex_state = 3},
  [8599] = {.lex_state = 436, .external_lex_state = 2},
  [8600] = {.lex_state = 436, .external_lex_state = 2},
  [8601] = {.lex_state = 436, .external_lex_state = 2},
  [8602] = {.lex_state = 436, .external_lex_state = 2},
  [8603] = {.lex_state = 436, .external_lex_state = 2},
  [8604] = {.lex_state = 436, .external_lex_state = 2},
  [8605] = {.lex_state = 436, .external_lex_state = 2},
  [8606] = {.lex_state = 436, .external_lex_state = 2},
  [8607] = {.lex_state = 436, .external_lex_state = 2},
  [8608] = {.lex_state = 158, .external_lex_state = 2},
  [8609] = {.lex_state = 436, .external_lex_state = 2},
  [8610] = {.lex_state = 436, .external_lex_state = 2},
  [8611] = {.lex_state = 436, .external_lex_state = 2},
  [8612] = {.lex_state = 436, .external_lex_state = 2},
  [8613] = {.lex_state = 170, .external_lex_state = 3},
  [8614] = {.lex_state = 436, .external_lex_state = 2},
  [8615] = {.lex_state = 158, .external_lex_state = 2},
  [8616] = {.lex_state = 436, .external_lex_state = 2},
  [8617] = {.lex_state = 436, .external_lex_state = 2},
  [8618] = {.lex_state = 436, .external_lex_state = 2},
  [8619] = {.lex_state = 436, .external_lex_state = 2},
  [8620] = {.lex_state = 436, .external_lex_state = 2},
  [8621] = {.lex_state = 436, .external_lex_state = 2},
  [8622] = {.lex_state = 436, .external_lex_state = 2},
  [8623] = {.lex_state = 170, .external_lex_state = 3},
  [8624] = {.lex_state = 436, .external_lex_state = 2},
  [8625] = {.lex_state = 436, .external_lex_state = 2},
  [8626] = {.lex_state = 436, .external_lex_state = 2},
  [8627] = {.lex_state = 170, .external_lex_state = 3},
  [8628] = {.lex_state = 170, .external_lex_state = 3},
  [8629] = {.lex_state = 170, .external_lex_state = 3},
  [8630] = {.lex_state = 170, .external_lex_state = 3},
  [8631] = {.lex_state = 170, .external_lex_state = 3},
  [8632] = {.lex_state = 436, .external_lex_state = 2},
  [8633] = {.lex_state = 436, .external_lex_state = 2},
  [8634] = {.lex_state = 436, .external_lex_state = 2},
  [8635] = {.lex_state = 170, .external_lex_state = 3},
  [8636] = {.lex_state = 170, .external_lex_state = 3},
  [8637] = {.lex_state = 170, .external_lex_state = 3},
  [8638] = {.lex_state = 436, .external_lex_state = 2},
  [8639] = {.lex_state = 182, .external_lex_state = 3},
  [8640] = {.lex_state = 170, .external_lex_state = 3},
  [8641] = {.lex_state = 436, .external_lex_state = 2},
  [8642] = {.lex_state = 170, .external_lex_state = 3},
  [8643] = {.lex_state = 436, .external_lex_state = 2},
  [8644] = {.lex_state = 170, .external_lex_state = 3},
  [8645] = {.lex_state = 182, .external_lex_state = 3},
  [8646] = {.lex_state = 170, .external_lex_state = 3},
  [8647] = {.lex_state = 170, .external_lex_state = 3},
  [8648] = {.lex_state = 436, .external_lex_state = 2},
  [8649] = {.lex_state = 170, .external_lex_state = 3},
  [8650] = {.lex_state = 436, .external_lex_state = 2},
  [8651] = {.lex_state = 170, .external_lex_state = 3},
  [8652] = {.lex_state = 436, .external_lex_state = 2},
  [8653] = {.lex_state = 170, .external_lex_state = 3},
  [8654] = {.lex_state = 436, .external_lex_state = 2},
  [8655] = {.lex_state = 170, .external_lex_state = 3},
  [8656] = {.lex_state = 436, .external_lex_state = 2},
  [8657] = {.lex_state = 436, .external_lex_state = 2},
  [8658] = {.lex_state = 436, .external_lex_state = 2},
  [8659] = {.lex_state = 436, .external_lex_state = 2},
  [8660] = {.lex_state = 436, .external_lex_state = 2},
  [8661] = {.lex_state = 436, .external_lex_state = 2},
  [8662] = {.lex_state = 158, .external_lex_state = 2},
  [8663] = {.lex_state = 170, .external_lex_state = 3},
  [8664] = {.lex_state = 158, .external_lex_state = 2},
  [8665] = {.lex_state = 170, .external_lex_state = 3},
  [8666] = {.lex_state = 436, .external_lex_state = 2},
  [8667] = {.lex_state = 170, .external_lex_state = 3},
  [8668] = {.lex_state = 170, .external_lex_state = 3},
  [8669] = {.lex_state = 170, .external_lex_state = 3},
  [8670] = {.lex_state = 170, .external_lex_state = 3},
  [8671] = {.lex_state = 436, .external_lex_state = 2},
  [8672] = {.lex_state = 170, .external_lex_state = 3},
  [8673] = {.lex_state = 170, .external_lex_state = 3},
  [8674] = {.lex_state = 182, .external_lex_state = 3},
  [8675] = {.lex_state = 436, .external_lex_state = 2},
  [8676] = {.lex_state = 165, .external_lex_state = 2},
  [8677] = {.lex_state = 436, .external_lex_state = 2},
  [8678] = {.lex_state = 170, .external_lex_state = 3},
  [8679] = {.lex_state = 158, .external_lex_state = 2},
  [8680] = {.lex_state = 436, .external_lex_state = 2},
  [8681] = {.lex_state = 436, .external_lex_state = 2},
  [8682] = {.lex_state = 170, .external_lex_state = 3},
  [8683] = {.lex_state = 170, .external_lex_state = 3},
  [8684] = {.lex_state = 436, .external_lex_state = 2},
  [8685] = {.lex_state = 182, .external_lex_state = 3},
  [8686] = {.lex_state = 165, .external_lex_state = 2},
  [8687] = {.lex_state = 170, .external_lex_state = 3},
  [8688] = {.lex_state = 170, .external_lex_state = 3},
  [8689] = {.lex_state = 170, .external_lex_state = 3},
  [8690] = {.lex_state = 436, .external_lex_state = 2},
  [8691] = {.lex_state = 158, .external_lex_state = 2},
  [8692] = {.lex_state = 436, .external_lex_state = 2},
  [8693] = {.lex_state = 182, .external_lex_state = 3},
  [8694] = {.lex_state = 170, .external_lex_state = 3},
  [8695] = {.lex_state = 436, .external_lex_state = 2},
  [8696] = {.lex_state = 170, .external_lex_state = 3},
  [8697] = {.lex_state = 436, .external_lex_state = 2},
  [8698] = {.lex_state = 436, .external_lex_state = 2},
  [8699] = {.lex_state = 436, .external_lex_state = 2},
  [8700] = {.lex_state = 158, .external_lex_state = 2},
  [8701] = {.lex_state = 436, .external_lex_state = 2},
  [8702] = {.lex_state = 436, .external_lex_state = 2},
  [8703] = {.lex_state = 158, .external_lex_state = 2},
  [8704] = {.lex_state = 158, .external_lex_state = 2},
  [8705] = {.lex_state = 436, .external_lex_state = 2},
  [8706] = {.lex_state = 158, .external_lex_state = 2},
  [8707] = {.lex_state = 158, .external_lex_state = 2},
  [8708] = {.lex_state = 170, .external_lex_state = 3},
  [8709] = {.lex_state = 436, .external_lex_state = 2},
  [8710] = {.lex_state = 436, .external_lex_state = 2},
  [8711] = {.lex_state = 158, .external_lex_state = 2},
  [8712] = {.lex_state = 158, .external_lex_state = 2},
  [8713] = {.lex_state = 158, .external_lex_state = 2},
  [8714] = {.lex_state = 158, .external_lex_state = 2},
  [8715] = {.lex_state = 170, .external_lex_state = 3},
  [8716] = {.lex_state = 170, .external_lex_state = 3},
  [8717] = {.lex_state = 158, .external_lex_state = 2},
  [8718] = {.lex_state = 436, .external_lex_state = 2},
  [8719] = {.lex_state = 436, .external_lex_state = 2},
  [8720] = {.lex_state = 158, .external_lex_state = 2},
  [8721] = {.lex_state = 436, .external_lex_state = 2},
  [8722] = {.lex_state = 187, .external_lex_state = 3},
  [8723] = {.lex_state = 187, .external_lex_state = 3},
  [8724] = {.lex_state = 187, .external_lex_state = 3},
  [8725] = {.lex_state = 187, .external_lex_state = 3},
  [8726] = {.lex_state = 187, .external_lex_state = 3},
  [8727] = {.lex_state = 187, .external_lex_state = 3},
  [8728] = {.lex_state = 187, .external_lex_state = 3},
  [8729] = {.lex_state = 228, .external_lex_state = 2},
  [8730] = {.lex_state = 187, .external_lex_state = 3},
  [8731] = {.lex_state = 187, .external_lex_state = 3},
  [8732] = {.lex_state = 187, .external_lex_state = 3},
  [8733] = {.lex_state = 187, .external_lex_state = 3},
  [8734] = {.lex_state = 187, .external_lex_state = 3},
  [8735] = {.lex_state = 187, .external_lex_state = 3},
  [8736] = {.lex_state = 187, .external_lex_state = 3},
  [8737] = {.lex_state = 187, .external_lex_state = 3},
  [8738] = {.lex_state = 187, .external_lex_state = 3},
  [8739] = {.lex_state = 228, .external_lex_state = 2},
  [8740] = {.lex_state = 187, .external_lex_state = 3},
  [8741] = {.lex_state = 187, .external_lex_state = 3},
  [8742] = {.lex_state = 187, .external_lex_state = 3},
  [8743] = {.lex_state = 187, .external_lex_state = 3},
  [8744] = {.lex_state = 187, .external_lex_state = 3},
  [8745] = {.lex_state = 187, .external_lex_state = 3},
  [8746] = {.lex_state = 229, .external_lex_state = 2},
  [8747] = {.lex_state = 187, .external_lex_state = 3},
  [8748] = {.lex_state = 187, .external_lex_state = 3},
  [8749] = {.lex_state = 187, .external_lex_state = 3},
  [8750] = {.lex_state = 187, .external_lex_state = 3},
  [8751] = {.lex_state = 187, .external_lex_state = 3},
  [8752] = {.lex_state = 187, .external_lex_state = 3},
  [8753] = {.lex_state = 187, .external_lex_state = 3},
  [8754] = {.lex_state = 228, .external_lex_state = 2},
  [8755] = {.lex_state = 187, .external_lex_state = 3},
  [8756] = {.lex_state = 187, .external_lex_state = 3},
  [8757] = {.lex_state = 187, .external_lex_state = 3},
  [8758] = {.lex_state = 158, .external_lex_state = 2},
  [8759] = {.lex_state = 228, .external_lex_state = 2},
  [8760] = {.lex_state = 187, .external_lex_state = 3},
  [8761] = {.lex_state = 187, .external_lex_state = 3},
  [8762] = {.lex_state = 187, .external_lex_state = 3},
  [8763] = {.lex_state = 234, .external_lex_state = 2},
  [8764] = {.lex_state = 158, .external_lex_state = 2},
  [8765] = {.lex_state = 187, .external_lex_state = 3},
  [8766] = {.lex_state = 187, .external_lex_state = 3},
  [8767] = {.lex_state = 158, .external_lex_state = 2},
  [8768] = {.lex_state = 229, .external_lex_state = 2},
  [8769] = {.lex_state = 187, .external_lex_state = 3},
  [8770] = {.lex_state = 187, .external_lex_state = 3},
  [8771] = {.lex_state = 228, .external_lex_state = 2},
  [8772] = {.lex_state = 187, .external_lex_state = 3},
  [8773] = {.lex_state = 187, .external_lex_state = 3},
  [8774] = {.lex_state = 158, .external_lex_state = 2},
  [8775] = {.lex_state = 187, .external_lex_state = 3},
  [8776] = {.lex_state = 187, .external_lex_state = 3},
  [8777] = {.lex_state = 187, .external_lex_state = 3},
  [8778] = {.lex_state = 187, .external_lex_state = 3},
  [8779] = {.lex_state = 187, .external_lex_state = 3},
  [8780] = {.lex_state = 187, .external_lex_state = 3},
  [8781] = {.lex_state = 187, .external_lex_state = 3},
  [8782] = {.lex_state = 228, .external_lex_state = 2},
  [8783] = {.lex_state = 187, .external_lex_state = 3},
  [8784] = {.lex_state = 229, .external_lex_state = 2},
  [8785] = {.lex_state = 223, .external_lex_state = 2},
  [8786] = {.lex_state = 223, .external_lex_state = 2},
  [8787] = {.lex_state = 228, .external_lex_state = 2},
  [8788] = {.lex_state = 223, .external_lex_state = 2},
  [8789] = {.lex_state = 228, .external_lex_state = 2},
  [8790] = {.lex_state = 228, .external_lex_state = 2},
  [8791] = {.lex_state = 228, .external_lex_state = 2},
  [8792] = {.lex_state = 158, .external_lex_state = 2},
  [8793] = {.lex_state = 158, .external_lex_state = 2},
  [8794] = {.lex_state = 228, .external_lex_state = 2},
  [8795] = {.lex_state = 228, .external_lex_state = 2},
  [8796] = {.lex_state = 228, .external_lex_state = 2},
  [8797] = {.lex_state = 228, .external_lex_state = 2},
  [8798] = {.lex_state = 229, .external_lex_state = 2},
  [8799] = {.lex_state = 225, .external_lex_state = 2},
  [8800] = {.lex_state = 225, .external_lex_state = 2},
  [8801] = {.lex_state = 229, .external_lex_state = 2},
  [8802] = {.lex_state = 158, .external_lex_state = 2},
  [8803] = {.lex_state = 225, .external_lex_state = 2},
  [8804] = {.lex_state = 228, .external_lex_state = 2},
  [8805] = {.lex_state = 228, .external_lex_state = 2},
  [8806] = {.lex_state = 228, .external_lex_state = 2},
  [8807] = {.lex_state = 158, .external_lex_state = 2},
  [8808] = {.lex_state = 228, .external_lex_state = 2},
  [8809] = {.lex_state = 436, .external_lex_state = 2},
  [8810] = {.lex_state = 436, .external_lex_state = 2},
  [8811] = {.lex_state = 436, .external_lex_state = 2},
  [8812] = {.lex_state = 436, .external_lex_state = 2},
  [8813] = {.lex_state = 436, .external_lex_state = 2},
  [8814] = {.lex_state = 436, .external_lex_state = 2},
  [8815] = {.lex_state = 436, .external_lex_state = 2},
  [8816] = {.lex_state = 225, .external_lex_state = 2},
  [8817] = {.lex_state = 436, .external_lex_state = 2},
  [8818] = {.lex_state = 158, .external_lex_state = 2},
  [8819] = {.lex_state = 158, .external_lex_state = 2},
  [8820] = {.lex_state = 436, .external_lex_state = 2},
  [8821] = {.lex_state = 214, .external_lex_state = 2},
  [8822] = {.lex_state = 436, .external_lex_state = 2},
  [8823] = {.lex_state = 436, .external_lex_state = 2},
  [8824] = {.lex_state = 436, .external_lex_state = 2},
  [8825] = {.lex_state = 436, .external_lex_state = 2},
  [8826] = {.lex_state = 436, .external_lex_state = 2},
  [8827] = {.lex_state = 436, .external_lex_state = 2},
  [8828] = {.lex_state = 436, .external_lex_state = 2},
  [8829] = {.lex_state = 158, .external_lex_state = 2},
  [8830] = {.lex_state = 158, .external_lex_state = 2},
  [8831] = {.lex_state = 436, .external_lex_state = 2},
  [8832] = {.lex_state = 436, .external_lex_state = 2},
  [8833] = {.lex_state = 436, .external_lex_state = 2},
  [8834] = {.lex_state = 436, .external_lex_state = 2},
  [8835] = {.lex_state = 436, .external_lex_state = 2},
  [8836] = {.lex_state = 436, .external_lex_state = 2},
  [8837] = {.lex_state = 436, .external_lex_state = 2},
  [8838] = {.lex_state = 436, .external_lex_state = 2},
  [8839] = {.lex_state = 214, .external_lex_state = 2},
  [8840] = {.lex_state = 436, .external_lex_state = 2},
  [8841] = {.lex_state = 436, .external_lex_state = 2},
  [8842] = {.lex_state = 213, .external_lex_state = 2},
  [8843] = {.lex_state = 436, .external_lex_state = 2},
  [8844] = {.lex_state = 213, .external_lex_state = 2},
  [8845] = {.lex_state = 436, .external_lex_state = 2},
  [8846] = {.lex_state = 436, .external_lex_state = 2},
  [8847] = {.lex_state = 158, .external_lex_state = 2},
  [8848] = {.lex_state = 223, .external_lex_state = 2},
  [8849] = {.lex_state = 436, .external_lex_state = 2},
  [8850] = {.lex_state = 158, .external_lex_state = 2},
  [8851] = {.lex_state = 436, .external_lex_state = 2},
  [8852] = {.lex_state = 436, .external_lex_state = 2},
  [8853] = {.lex_state = 158, .external_lex_state = 2},
  [8854] = {.lex_state = 436, .external_lex_state = 2},
  [8855] = {.lex_state = 436, .external_lex_state = 2},
  [8856] = {.lex_state = 436, .external_lex_state = 2},
  [8857] = {.lex_state = 158, .external_lex_state = 2},
  [8858] = {.lex_state = 436, .external_lex_state = 2},
  [8859] = {.lex_state = 158, .external_lex_state = 2},
  [8860] = {.lex_state = 436, .external_lex_state = 2},
  [8861] = {.lex_state = 436, .external_lex_state = 2},
  [8862] = {.lex_state = 436, .external_lex_state = 2},
  [8863] = {.lex_state = 436, .external_lex_state = 2},
  [8864] = {.lex_state = 223, .external_lex_state = 2},
  [8865] = {.lex_state = 436, .external_lex_state = 2},
  [8866] = {.lex_state = 436, .external_lex_state = 2},
  [8867] = {.lex_state = 436, .external_lex_state = 2},
  [8868] = {.lex_state = 19, .external_lex_state = 3},
  [8869] = {.lex_state = 19, .external_lex_state = 3},
  [8870] = {.lex_state = 436, .external_lex_state = 2},
  [8871] = {.lex_state = 225, .external_lex_state = 2},
  [8872] = {.lex_state = 436, .external_lex_state = 2},
  [8873] = {.lex_state = 436, .external_lex_state = 2},
  [8874] = {.lex_state = 436, .external_lex_state = 2},
  [8875] = {.lex_state = 436, .external_lex_state = 2},
  [8876] = {.lex_state = 436, .external_lex_state = 2},
  [8877] = {.lex_state = 228, .external_lex_state = 2},
  [8878] = {.lex_state = 225, .external_lex_state = 2},
  [8879] = {.lex_state = 188, .external_lex_state = 3},
  [8880] = {.lex_state = 436, .external_lex_state = 2},
  [8881] = {.lex_state = 225, .external_lex_state = 2},
  [8882] = {.lex_state = 225, .external_lex_state = 2},
  [8883] = {.lex_state = 19, .external_lex_state = 3},
  [8884] = {.lex_state = 436, .external_lex_state = 2},
  [8885] = {.lex_state = 225, .external_lex_state = 2},
  [8886] = {.lex_state = 436, .external_lex_state = 2},
  [8887] = {.lex_state = 225, .external_lex_state = 2},
  [8888] = {.lex_state = 436, .external_lex_state = 2},
  [8889] = {.lex_state = 19, .external_lex_state = 3},
  [8890] = {.lex_state = 436, .external_lex_state = 2},
  [8891] = {.lex_state = 436, .external_lex_state = 2},
  [8892] = {.lex_state = 19, .external_lex_state = 3},
  [8893] = {.lex_state = 436, .external_lex_state = 2},
  [8894] = {.lex_state = 19, .external_lex_state = 3},
  [8895] = {.lex_state = 19, .external_lex_state = 3},
  [8896] = {.lex_state = 225, .external_lex_state = 2},
  [8897] = {.lex_state = 19, .external_lex_state = 3},
  [8898] = {.lex_state = 436, .external_lex_state = 2},
  [8899] = {.lex_state = 436, .external_lex_state = 2},
  [8900] = {.lex_state = 436, .external_lex_state = 2},
  [8901] = {.lex_state = 225, .external_lex_state = 2},
  [8902] = {.lex_state = 436, .external_lex_state = 2},
  [8903] = {.lex_state = 19, .external_lex_state = 3},
  [8904] = {.lex_state = 223, .external_lex_state = 2},
  [8905] = {.lex_state = 223, .external_lex_state = 2},
  [8906] = {.lex_state = 223, .external_lex_state = 2},
  [8907] = {.lex_state = 223, .external_lex_state = 2},
  [8908] = {.lex_state = 19, .external_lex_state = 3},
  [8909] = {.lex_state = 19, .external_lex_state = 3},
  [8910] = {.lex_state = 19, .external_lex_state = 3},
  [8911] = {.lex_state = 19, .external_lex_state = 3},
  [8912] = {.lex_state = 225, .external_lex_state = 2},
  [8913] = {.lex_state = 436, .external_lex_state = 2},
  [8914] = {.lex_state = 436, .external_lex_state = 2},
  [8915] = {.lex_state = 436, .external_lex_state = 2},
  [8916] = {.lex_state = 436, .external_lex_state = 2},
  [8917] = {.lex_state = 19, .external_lex_state = 3},
  [8918] = {.lex_state = 436, .external_lex_state = 2},
  [8919] = {.lex_state = 214, .external_lex_state = 2},
  [8920] = {.lex_state = 436, .external_lex_state = 2},
  [8921] = {.lex_state = 436, .external_lex_state = 2},
  [8922] = {.lex_state = 436, .external_lex_state = 2},
  [8923] = {.lex_state = 225, .external_lex_state = 2},
  [8924] = {.lex_state = 436, .external_lex_state = 2},
  [8925] = {.lex_state = 225, .external_lex_state = 2},
  [8926] = {.lex_state = 436, .external_lex_state = 2},
  [8927] = {.lex_state = 19, .external_lex_state = 3},
  [8928] = {.lex_state = 225, .external_lex_state = 2},
  [8929] = {.lex_state = 436, .external_lex_state = 2},
  [8930] = {.lex_state = 19, .external_lex_state = 3},
  [8931] = {.lex_state = 225, .external_lex_state = 2},
  [8932] = {.lex_state = 225, .external_lex_state = 2},
  [8933] = {.lex_state = 19, .external_lex_state = 3},
  [8934] = {.lex_state = 436, .external_lex_state = 2},
  [8935] = {.lex_state = 436, .external_lex_state = 2},
  [8936] = {.lex_state = 225, .external_lex_state = 2},
  [8937] = {.lex_state = 19, .external_lex_state = 3},
  [8938] = {.lex_state = 436, .external_lex_state = 2},
  [8939] = {.lex_state = 19, .external_lex_state = 3},
  [8940] = {.lex_state = 214, .external_lex_state = 2},
  [8941] = {.lex_state = 19, .external_lex_state = 3},
  [8942] = {.lex_state = 19, .external_lex_state = 3},
  [8943] = {.lex_state = 214, .external_lex_state = 2},
  [8944] = {.lex_state = 19, .external_lex_state = 3},
  [8945] = {.lex_state = 436, .external_lex_state = 2},
  [8946] = {.lex_state = 436, .external_lex_state = 2},
  [8947] = {.lex_state = 225, .external_lex_state = 2},
  [8948] = {.lex_state = 19, .external_lex_state = 3},
  [8949] = {.lex_state = 436, .external_lex_state = 2},
  [8950] = {.lex_state = 436, .external_lex_state = 2},
  [8951] = {.lex_state = 436, .external_lex_state = 2},
  [8952] = {.lex_state = 436, .external_lex_state = 2},
  [8953] = {.lex_state = 436, .external_lex_state = 2},
  [8954] = {.lex_state = 19, .external_lex_state = 3},
  [8955] = {.lex_state = 19, .external_lex_state = 3},
  [8956] = {.lex_state = 19, .external_lex_state = 3},
  [8957] = {.lex_state = 19, .external_lex_state = 3},
  [8958] = {.lex_state = 19, .external_lex_state = 3},
  [8959] = {.lex_state = 19, .external_lex_state = 3},
  [8960] = {.lex_state = 19, .external_lex_state = 3},
  [8961] = {.lex_state = 19, .external_lex_state = 3},
  [8962] = {.lex_state = 225, .external_lex_state = 2},
  [8963] = {.lex_state = 436, .external_lex_state = 2},
  [8964] = {.lex_state = 19, .external_lex_state = 3},
  [8965] = {.lex_state = 436, .external_lex_state = 2},
  [8966] = {.lex_state = 19, .external_lex_state = 3},
  [8967] = {.lex_state = 19, .external_lex_state = 3},
  [8968] = {.lex_state = 214, .external_lex_state = 2},
  [8969] = {.lex_state = 19, .external_lex_state = 3},
  [8970] = {.lex_state = 19, .external_lex_state = 3},
  [8971] = {.lex_state = 19, .external_lex_state = 3},
  [8972] = {.lex_state = 19, .external_lex_state = 3},
  [8973] = {.lex_state = 436, .external_lex_state = 2},
  [8974] = {.lex_state = 19, .external_lex_state = 3},
  [8975] = {.lex_state = 19, .external_lex_state = 3},
  [8976] = {.lex_state = 436, .external_lex_state = 2},
  [8977] = {.lex_state = 436, .external_lex_state = 2},
  [8978] = {.lex_state = 436, .external_lex_state = 2},
  [8979] = {.lex_state = 436, .external_lex_state = 2},
  [8980] = {.lex_state = 19, .external_lex_state = 3},
  [8981] = {.lex_state = 225, .external_lex_state = 2},
  [8982] = {.lex_state = 19, .external_lex_state = 3},
  [8983] = {.lex_state = 225, .external_lex_state = 2},
  [8984] = {.lex_state = 228, .external_lex_state = 2},
  [8985] = {.lex_state = 225, .external_lex_state = 2},
  [8986] = {.lex_state = 436, .external_lex_state = 2},
  [8987] = {.lex_state = 436, .external_lex_state = 2},
  [8988] = {.lex_state = 436, .external_lex_state = 2},
  [8989] = {.lex_state = 19, .external_lex_state = 3},
  [8990] = {.lex_state = 436, .external_lex_state = 2},
  [8991] = {.lex_state = 19, .external_lex_state = 3},
  [8992] = {.lex_state = 225, .external_lex_state = 2},
  [8993] = {.lex_state = 225, .external_lex_state = 2},
  [8994] = {.lex_state = 19, .external_lex_state = 3},
  [8995] = {.lex_state = 228, .external_lex_state = 2},
  [8996] = {.lex_state = 214, .external_lex_state = 2},
  [8997] = {.lex_state = 436, .external_lex_state = 2},
  [8998] = {.lex_state = 214, .external_lex_state = 2},
  [8999] = {.lex_state = 436, .external_lex_state = 2},
  [9000] = {.lex_state = 225, .external_lex_state = 2},
  [9001] = {.lex_state = 19, .external_lex_state = 3},
  [9002] = {.lex_state = 225, .external_lex_state = 2},
  [9003] = {.lex_state = 436, .external_lex_state = 2},
  [9004] = {.lex_state = 436, .external_lex_state = 2},
  [9005] = {.lex_state = 19, .external_lex_state = 3},
  [9006] = {.lex_state = 19, .external_lex_state = 3},
  [9007] = {.lex_state = 436, .external_lex_state = 2},
  [9008] = {.lex_state = 19, .external_lex_state = 3},
  [9009] = {.lex_state = 226, .external_lex_state = 2},
  [9010] = {.lex_state = 436, .external_lex_state = 2},
  [9011] = {.lex_state = 436, .external_lex_state = 2},
  [9012] = {.lex_state = 225, .external_lex_state = 2},
  [9013] = {.lex_state = 436, .external_lex_state = 2},
  [9014] = {.lex_state = 436, .external_lex_state = 2},
  [9015] = {.lex_state = 436, .external_lex_state = 2},
  [9016] = {.lex_state = 228, .external_lex_state = 2},
  [9017] = {.lex_state = 436, .external_lex_state = 2},
  [9018] = {.lex_state = 436, .external_lex_state = 2},
  [9019] = {.lex_state = 436, .external_lex_state = 2},
  [9020] = {.lex_state = 19, .external_lex_state = 3},
  [9021] = {.lex_state = 436, .external_lex_state = 2},
  [9022] = {.lex_state = 19, .external_lex_state = 3},
  [9023] = {.lex_state = 436, .external_lex_state = 2},
  [9024] = {.lex_state = 436, .external_lex_state = 2},
  [9025] = {.lex_state = 436, .external_lex_state = 2},
  [9026] = {.lex_state = 436, .external_lex_state = 2},
  [9027] = {.lex_state = 436, .external_lex_state = 2},
  [9028] = {.lex_state = 225, .external_lex_state = 2},
  [9029] = {.lex_state = 436, .external_lex_state = 2},
  [9030] = {.lex_state = 436, .external_lex_state = 2},
  [9031] = {.lex_state = 436, .external_lex_state = 2},
  [9032] = {.lex_state = 19, .external_lex_state = 3},
  [9033] = {.lex_state = 19, .external_lex_state = 3},
  [9034] = {.lex_state = 436, .external_lex_state = 2},
  [9035] = {.lex_state = 19, .external_lex_state = 3},
  [9036] = {.lex_state = 19, .external_lex_state = 3},
  [9037] = {.lex_state = 436, .external_lex_state = 2},
  [9038] = {.lex_state = 19, .external_lex_state = 3},
  [9039] = {.lex_state = 436, .external_lex_state = 2},
  [9040] = {.lex_state = 436, .external_lex_state = 2},
  [9041] = {.lex_state = 225, .external_lex_state = 2},
  [9042] = {.lex_state = 19, .external_lex_state = 3},
  [9043] = {.lex_state = 436, .external_lex_state = 2},
  [9044] = {.lex_state = 19, .external_lex_state = 3},
  [9045] = {.lex_state = 436, .external_lex_state = 2},
  [9046] = {.lex_state = 436, .external_lex_state = 2},
  [9047] = {.lex_state = 436, .external_lex_state = 2},
  [9048] = {.lex_state = 436, .external_lex_state = 2},
  [9049] = {.lex_state = 436, .external_lex_state = 2},
  [9050] = {.lex_state = 225, .external_lex_state = 2},
  [9051] = {.lex_state = 436, .external_lex_state = 2},
  [9052] = {.lex_state = 19, .external_lex_state = 3},
  [9053] = {.lex_state = 225, .external_lex_state = 2},
  [9054] = {.lex_state = 225, .external_lex_state = 2},
  [9055] = {.lex_state = 226, .external_lex_state = 2},
  [9056] = {.lex_state = 436, .external_lex_state = 2},
  [9057] = {.lex_state = 228, .external_lex_state = 2},
  [9058] = {.lex_state = 214, .external_lex_state = 2},
  [9059] = {.lex_state = 436, .external_lex_state = 2},
  [9060] = {.lex_state = 436, .external_lex_state = 2},
  [9061] = {.lex_state = 436, .external_lex_state = 2},
  [9062] = {.lex_state = 158, .external_lex_state = 2},
  [9063] = {.lex_state = 436, .external_lex_state = 2},
  [9064] = {.lex_state = 213, .external_lex_state = 2},
  [9065] = {.lex_state = 436, .external_lex_state = 2},
  [9066] = {.lex_state = 158, .external_lex_state = 2},
  [9067] = {.lex_state = 224, .external_lex_state = 2},
  [9068] = {.lex_state = 436, .external_lex_state = 2},
  [9069] = {.lex_state = 436, .external_lex_state = 2},
  [9070] = {.lex_state = 436, .external_lex_state = 2},
  [9071] = {.lex_state = 436, .external_lex_state = 2},
  [9072] = {.lex_state = 436, .external_lex_state = 2},
  [9073] = {.lex_state = 436, .external_lex_state = 2},
  [9074] = {.lex_state = 436, .external_lex_state = 2},
  [9075] = {.lex_state = 436, .external_lex_state = 2},
  [9076] = {.lex_state = 436, .external_lex_state = 2},
  [9077] = {.lex_state = 436, .external_lex_state = 2},
  [9078] = {.lex_state = 436, .external_lex_state = 2},
  [9079] = {.lex_state = 436, .external_lex_state = 2},
  [9080] = {.lex_state = 436, .external_lex_state = 2},
  [9081] = {.lex_state = 214, .external_lex_state = 2},
  [9082] = {.lex_state = 436, .external_lex_state = 2},
  [9083] = {.lex_state = 436, .external_lex_state = 2},
  [9084] = {.lex_state = 436, .external_lex_state = 2},
  [9085] = {.lex_state = 436, .external_lex_state = 2},
  [9086] = {.lex_state = 436, .external_lex_state = 2},
  [9087] = {.lex_state = 436, .external_lex_state = 2},
  [9088] = {.lex_state = 223, .external_lex_state = 2},
  [9089] = {.lex_state = 223, .external_lex_state = 2},
  [9090] = {.lex_state = 19, .external_lex_state = 3},
  [9091] = {.lex_state = 436, .external_lex_state = 2},
  [9092] = {.lex_state = 223, .external_lex_state = 2},
  [9093] = {.lex_state = 213, .external_lex_state = 2},
  [9094] = {.lex_state = 436, .external_lex_state = 2},
  [9095] = {.lex_state = 436, .external_lex_state = 2},
  [9096] = {.lex_state = 223, .external_lex_state = 2},
  [9097] = {.lex_state = 436, .external_lex_state = 2},
  [9098] = {.lex_state = 223, .external_lex_state = 2},
  [9099] = {.lex_state = 225, .external_lex_state = 2},
  [9100] = {.lex_state = 188, .external_lex_state = 3},
  [9101] = {.lex_state = 436, .external_lex_state = 2},
  [9102] = {.lex_state = 436, .external_lex_state = 2},
  [9103] = {.lex_state = 436, .external_lex_state = 2},
  [9104] = {.lex_state = 436, .external_lex_state = 2},
  [9105] = {.lex_state = 223, .external_lex_state = 2},
  [9106] = {.lex_state = 19, .external_lex_state = 3},
  [9107] = {.lex_state = 436, .external_lex_state = 2},
  [9108] = {.lex_state = 223, .external_lex_state = 2},
  [9109] = {.lex_state = 436, .external_lex_state = 2},
  [9110] = {.lex_state = 436, .external_lex_state = 2},
  [9111] = {.lex_state = 224, .external_lex_state = 2},
  [9112] = {.lex_state = 436, .external_lex_state = 2},
  [9113] = {.lex_state = 213, .external_lex_state = 2},
  [9114] = {.lex_state = 19, .external_lex_state = 3},
  [9115] = {.lex_state = 213, .external_lex_state = 2},
  [9116] = {.lex_state = 436, .external_lex_state = 2},
  [9117] = {.lex_state = 223, .external_lex_state = 2},
  [9118] = {.lex_state = 228, .external_lex_state = 2},
  [9119] = {.lex_state = 436, .external_lex_state = 2},
  [9120] = {.lex_state = 19, .external_lex_state = 3},
  [9121] = {.lex_state = 19, .external_lex_state = 3},
  [9122] = {.lex_state = 19, .external_lex_state = 3},
  [9123] = {.lex_state = 19, .external_lex_state = 3},
  [9124] = {.lex_state = 436, .external_lex_state = 2},
  [9125] = {.lex_state = 19, .external_lex_state = 3},
  [9126] = {.lex_state = 19, .external_lex_state = 3},
  [9127] = {.lex_state = 223, .external_lex_state = 2},
  [9128] = {.lex_state = 223, .external_lex_state = 2},
  [9129] = {.lex_state = 436, .external_lex_state = 2},
  [9130] = {.lex_state = 225, .external_lex_state = 2},
  [9131] = {.lex_state = 223, .external_lex_state = 2},
  [9132] = {.lex_state = 223, .external_lex_state = 2},
  [9133] = {.lex_state = 223, .external_lex_state = 2},
  [9134] = {.lex_state = 436, .external_lex_state = 2},
  [9135] = {.lex_state = 226, .external_lex_state = 2},
  [9136] = {.lex_state = 436, .external_lex_state = 2},
  [9137] = {.lex_state = 223, .external_lex_state = 2},
  [9138] = {.lex_state = 213, .external_lex_state = 2},
  [9139] = {.lex_state = 436, .external_lex_state = 2},
  [9140] = {.lex_state = 19, .external_lex_state = 3},
  [9141] = {.lex_state = 223, .external_lex_state = 2},
  [9142] = {.lex_state = 436, .external_lex_state = 2},
  [9143] = {.lex_state = 223, .external_lex_state = 2},
  [9144] = {.lex_state = 436, .external_lex_state = 2},
  [9145] = {.lex_state = 223, .external_lex_state = 2},
  [9146] = {.lex_state = 436, .external_lex_state = 2},
  [9147] = {.lex_state = 436, .external_lex_state = 2},
  [9148] = {.lex_state = 436, .external_lex_state = 2},
  [9149] = {.lex_state = 213, .external_lex_state = 2},
  [9150] = {.lex_state = 19, .external_lex_state = 3},
  [9151] = {.lex_state = 223, .external_lex_state = 2},
  [9152] = {.lex_state = 436, .external_lex_state = 2},
  [9153] = {.lex_state = 223, .external_lex_state = 2},
  [9154] = {.lex_state = 436, .external_lex_state = 2},
  [9155] = {.lex_state = 223, .external_lex_state = 2},
  [9156] = {.lex_state = 223, .external_lex_state = 2},
  [9157] = {.lex_state = 436, .external_lex_state = 2},
  [9158] = {.lex_state = 223, .external_lex_state = 2},
  [9159] = {.lex_state = 436, .external_lex_state = 2},
  [9160] = {.lex_state = 223, .external_lex_state = 2},
  [9161] = {.lex_state = 436, .external_lex_state = 2},
  [9162] = {.lex_state = 436, .external_lex_state = 2},
  [9163] = {.lex_state = 436, .external_lex_state = 2},
  [9164] = {.lex_state = 223, .external_lex_state = 2},
  [9165] = {.lex_state = 213, .external_lex_state = 2},
  [9166] = {.lex_state = 213, .external_lex_state = 2},
  [9167] = {.lex_state = 436, .external_lex_state = 2},
  [9168] = {.lex_state = 19, .external_lex_state = 3},
  [9169] = {.lex_state = 19, .external_lex_state = 3},
  [9170] = {.lex_state = 19, .external_lex_state = 3},
  [9171] = {.lex_state = 436, .external_lex_state = 2},
  [9172] = {.lex_state = 223, .external_lex_state = 2},
  [9173] = {.lex_state = 223, .external_lex_state = 2},
  [9174] = {.lex_state = 19, .external_lex_state = 3},
  [9175] = {.lex_state = 223, .external_lex_state = 2},
  [9176] = {.lex_state = 224, .external_lex_state = 2},
  [9177] = {.lex_state = 19, .external_lex_state = 3},
  [9178] = {.lex_state = 228, .external_lex_state = 2},
  [9179] = {.lex_state = 436, .external_lex_state = 2},
  [9180] = {.lex_state = 228, .external_lex_state = 2},
  [9181] = {.lex_state = 162, .external_lex_state = 2},
  [9182] = {.lex_state = 213, .external_lex_state = 2},
  [9183] = {.lex_state = 436, .external_lex_state = 2},
  [9184] = {.lex_state = 158, .external_lex_state = 2},
  [9185] = {.lex_state = 213, .external_lex_state = 2},
  [9186] = {.lex_state = 213, .external_lex_state = 2},
  [9187] = {.lex_state = 213, .external_lex_state = 2},
  [9188] = {.lex_state = 213, .external_lex_state = 2},
  [9189] = {.lex_state = 213, .external_lex_state = 2},
  [9190] = {.lex_state = 162, .external_lex_state = 2},
  [9191] = {.lex_state = 213, .external_lex_state = 2},
  [9192] = {.lex_state = 228, .external_lex_state = 2},
  [9193] = {.lex_state = 213, .external_lex_state = 2},
  [9194] = {.lex_state = 214, .external_lex_state = 2},
  [9195] = {.lex_state = 214, .external_lex_state = 2},
  [9196] = {.lex_state = 162, .external_lex_state = 2},
  [9197] = {.lex_state = 229, .external_lex_state = 2},
  [9198] = {.lex_state = 214, .external_lex_state = 2},
  [9199] = {.lex_state = 214, .external_lex_state = 2},
  [9200] = {.lex_state = 214, .external_lex_state = 2},
  [9201] = {.lex_state = 213, .external_lex_state = 2},
  [9202] = {.lex_state = 226, .external_lex_state = 2},
  [9203] = {.lex_state = 213, .external_lex_state = 2},
  [9204] = {.lex_state = 214, .external_lex_state = 2},
  [9205] = {.lex_state = 213, .external_lex_state = 2},
  [9206] = {.lex_state = 213, .external_lex_state = 2},
  [9207] = {.lex_state = 235, .external_lex_state = 2},
  [9208] = {.lex_state = 214, .external_lex_state = 2},
  [9209] = {.lex_state = 213, .external_lex_state = 2},
  [9210] = {.lex_state = 213, .external_lex_state = 2},
  [9211] = {.lex_state = 214, .external_lex_state = 2},
  [9212] = {.lex_state = 214, .external_lex_state = 2},
  [9213] = {.lex_state = 213, .external_lex_state = 2},
  [9214] = {.lex_state = 213, .external_lex_state = 2},
  [9215] = {.lex_state = 213, .external_lex_state = 2},
  [9216] = {.lex_state = 214, .external_lex_state = 2},
  [9217] = {.lex_state = 214, .external_lex_state = 2},
  [9218] = {.lex_state = 214, .external_lex_state = 2},
  [9219] = {.lex_state = 188, .external_lex_state = 3},
  [9220] = {.lex_state = 213, .external_lex_state = 2},
  [9221] = {.lex_state = 235, .external_lex_state = 2},
  [9222] = {.lex_state = 214, .external_lex_state = 2},
  [9223] = {.lex_state = 228, .external_lex_state = 2},
  [9224] = {.lex_state = 213, .external_lex_state = 2},
  [9225] = {.lex_state = 213, .external_lex_state = 2},
  [9226] = {.lex_state = 235, .external_lex_state = 2},
  [9227] = {.lex_state = 213, .external_lex_state = 2},
  [9228] = {.lex_state = 174, .external_lex_state = 2},
  [9229] = {.lex_state = 213, .external_lex_state = 2},
  [9230] = {.lex_state = 207, .external_lex_state = 2},
  [9231] = {.lex_state = 162, .external_lex_state = 2},
  [9232] = {.lex_state = 174, .external_lex_state = 2},
  [9233] = {.lex_state = 213, .external_lex_state = 2},
  [9234] = {.lex_state = 237, .external_lex_state = 2},
  [9235] = {.lex_state = 214, .external_lex_state = 2},
  [9236] = {.lex_state = 214, .external_lex_state = 2},
  [9237] = {.lex_state = 188, .external_lex_state = 3},
  [9238] = {.lex_state = 438, .external_lex_state = 2},
  [9239] = {.lex_state = 228, .external_lex_state = 2},
  [9240] = {.lex_state = 436, .external_lex_state = 2},
  [9241] = {.lex_state = 436, .external_lex_state = 2},
  [9242] = {.lex_state = 174, .external_lex_state = 2},
  [9243] = {.lex_state = 207, .external_lex_state = 2},
  [9244] = {.lex_state = 208, .external_lex_state = 2},
  [9245] = {.lex_state = 224, .external_lex_state = 2},
  [9246] = {.lex_state = 208, .external_lex_state = 2},
  [9247] = {.lex_state = 436, .external_lex_state = 2},
  [9248] = {.lex_state = 436, .external_lex_state = 2},
  [9249] = {.lex_state = 213, .external_lex_state = 2},
  [9250] = {.lex_state = 174, .external_lex_state = 2},
  [9251] = {.lex_state = 243, .external_lex_state = 2},
  [9252] = {.lex_state = 214, .external_lex_state = 2},
  [9253] = {.lex_state = 188, .external_lex_state = 3},
  [9254] = {.lex_state = 228, .external_lex_state = 2},
  [9255] = {.lex_state = 214, .external_lex_state = 2},
  [9256] = {.lex_state = 214, .external_lex_state = 2},
  [9257] = {.lex_state = 228, .external_lex_state = 2},
  [9258] = {.lex_state = 162, .external_lex_state = 2},
  [9259] = {.lex_state = 228, .external_lex_state = 2},
  [9260] = {.lex_state = 214, .external_lex_state = 2},
  [9261] = {.lex_state = 214, .external_lex_state = 2},
  [9262] = {.lex_state = 228, .external_lex_state = 2},
  [9263] = {.lex_state = 214, .external_lex_state = 2},
  [9264] = {.lex_state = 162, .external_lex_state = 2},
  [9265] = {.lex_state = 174, .external_lex_state = 2},
  [9266] = {.lex_state = 174, .external_lex_state = 2},
  [9267] = {.lex_state = 243, .external_lex_state = 2},
  [9268] = {.lex_state = 436, .external_lex_state = 2},
  [9269] = {.lex_state = 172, .external_lex_state = 2},
  [9270] = {.lex_state = 228, .external_lex_state = 2},
  [9271] = {.lex_state = 436, .external_lex_state = 2},
  [9272] = {.lex_state = 214, .external_lex_state = 2},
  [9273] = {.lex_state = 436, .external_lex_state = 2},
  [9274] = {.lex_state = 214, .external_lex_state = 2},
  [9275] = {.lex_state = 213, .external_lex_state = 2},
  [9276] = {.lex_state = 213, .external_lex_state = 2},
  [9277] = {.lex_state = 213, .external_lex_state = 2},
  [9278] = {.lex_state = 214, .external_lex_state = 2},
  [9279] = {.lex_state = 243, .external_lex_state = 2},
  [9280] = {.lex_state = 436, .external_lex_state = 2},
  [9281] = {.lex_state = 243, .external_lex_state = 2},
  [9282] = {.lex_state = 162, .external_lex_state = 2},
  [9283] = {.lex_state = 162, .external_lex_state = 2},
  [9284] = {.lex_state = 228, .external_lex_state = 2},
  [9285] = {.lex_state = 228, .external_lex_state = 2},
  [9286] = {.lex_state = 214, .external_lex_state = 2},
  [9287] = {.lex_state = 228, .external_lex_state = 2},
  [9288] = {.lex_state = 172, .external_lex_state = 2},
  [9289] = {.lex_state = 214, .external_lex_state = 2},
  [9290] = {.lex_state = 228, .external_lex_state = 2},
  [9291] = {.lex_state = 172, .external_lex_state = 2},
  [9292] = {.lex_state = 162, .external_lex_state = 2},
  [9293] = {.lex_state = 162, .external_lex_state = 2},
  [9294] = {.lex_state = 162, .external_lex_state = 2},
  [9295] = {.lex_state = 213, .external_lex_state = 2},
  [9296] = {.lex_state = 162, .external_lex_state = 2},
  [9297] = {.lex_state = 243, .external_lex_state = 2},
  [9298] = {.lex_state = 162, .external_lex_state = 2},
  [9299] = {.lex_state = 162, .external_lex_state = 2},
  [9300] = {.lex_state = 162, .external_lex_state = 2},
  [9301] = {.lex_state = 162, .external_lex_state = 2},
  [9302] = {.lex_state = 214, .external_lex_state = 2},
  [9303] = {.lex_state = 214, .external_lex_state = 2},
  [9304] = {.lex_state = 213, .external_lex_state = 2},
  [9305] = {.lex_state = 214, .external_lex_state = 2},
  [9306] = {.lex_state = 172, .external_lex_state = 2},
  [9307] = {.lex_state = 172, .external_lex_state = 2},
  [9308] = {.lex_state = 162, .external_lex_state = 2},
  [9309] = {.lex_state = 214, .external_lex_state = 2},
  [9310] = {.lex_state = 8, .external_lex_state = 2},
  [9311] = {.lex_state = 188, .external_lex_state = 3},
  [9312] = {.lex_state = 213, .external_lex_state = 2},
  [9313] = {.lex_state = 214, .external_lex_state = 2},
  [9314] = {.lex_state = 235, .external_lex_state = 2},
  [9315] = {.lex_state = 162, .external_lex_state = 2},
  [9316] = {.lex_state = 214, .external_lex_state = 2},
  [9317] = {.lex_state = 213, .external_lex_state = 2},
  [9318] = {.lex_state = 172, .external_lex_state = 2},
  [9319] = {.lex_state = 214, .external_lex_state = 2},
  [9320] = {.lex_state = 162, .external_lex_state = 2},
  [9321] = {.lex_state = 214, .external_lex_state = 2},
  [9322] = {.lex_state = 213, .external_lex_state = 2},
  [9323] = {.lex_state = 162, .external_lex_state = 2},
  [9324] = {.lex_state = 162, .external_lex_state = 2},
  [9325] = {.lex_state = 162, .external_lex_state = 2},
  [9326] = {.lex_state = 213, .external_lex_state = 2},
  [9327] = {.lex_state = 162, .external_lex_state = 2},
  [9328] = {.lex_state = 213, .external_lex_state = 2},
  [9329] = {.lex_state = 162, .external_lex_state = 2},
  [9330] = {.lex_state = 158, .external_lex_state = 2},
  [9331] = {.lex_state = 158, .external_lex_state = 2},
  [9332] = {.lex_state = 164, .external_lex_state = 2},
  [9333] = {.lex_state = 8, .external_lex_state = 2},
  [9334] = {.lex_state = 213, .external_lex_state = 2},
  [9335] = {.lex_state = 164, .external_lex_state = 2},
  [9336] = {.lex_state = 208, .external_lex_state = 2},
  [9337] = {.lex_state = 164, .external_lex_state = 2},
  [9338] = {.lex_state = 164, .external_lex_state = 2},
  [9339] = {.lex_state = 164, .external_lex_state = 2},
  [9340] = {.lex_state = 164, .external_lex_state = 2},
  [9341] = {.lex_state = 8, .external_lex_state = 2},
  [9342] = {.lex_state = 164, .external_lex_state = 2},
  [9343] = {.lex_state = 164, .external_lex_state = 2},
  [9344] = {.lex_state = 164, .external_lex_state = 2},
  [9345] = {.lex_state = 164, .external_lex_state = 2},
  [9346] = {.lex_state = 218, .external_lex_state = 2},
  [9347] = {.lex_state = 164, .external_lex_state = 2},
  [9348] = {.lex_state = 164, .external_lex_state = 2},
  [9349] = {.lex_state = 164, .external_lex_state = 2},
  [9350] = {.lex_state = 164, .external_lex_state = 2},
  [9351] = {.lex_state = 164, .external_lex_state = 2},
  [9352] = {.lex_state = 164, .external_lex_state = 2},
  [9353] = {.lex_state = 164, .external_lex_state = 2},
  [9354] = {.lex_state = 164, .external_lex_state = 2},
  [9355] = {.lex_state = 164, .external_lex_state = 2},
  [9356] = {.lex_state = 8, .external_lex_state = 2},
  [9357] = {.lex_state = 164, .external_lex_state = 2},
  [9358] = {.lex_state = 172, .external_lex_state = 2},
  [9359] = {.lex_state = 164, .external_lex_state = 2},
  [9360] = {.lex_state = 164, .external_lex_state = 2},
  [9361] = {.lex_state = 164, .external_lex_state = 2},
  [9362] = {.lex_state = 164, .external_lex_state = 2},
  [9363] = {.lex_state = 224, .external_lex_state = 2},
  [9364] = {.lex_state = 164, .external_lex_state = 2},
  [9365] = {.lex_state = 164, .external_lex_state = 2},
  [9366] = {.lex_state = 164, .external_lex_state = 2},
  [9367] = {.lex_state = 8, .external_lex_state = 2},
  [9368] = {.lex_state = 8, .external_lex_state = 2},
  [9369] = {.lex_state = 224, .external_lex_state = 2},
  [9370] = {.lex_state = 164, .external_lex_state = 2},
  [9371] = {.lex_state = 8, .external_lex_state = 2},
  [9372] = {.lex_state = 224, .external_lex_state = 2},
  [9373] = {.lex_state = 8, .external_lex_state = 2},
  [9374] = {.lex_state = 164, .external_lex_state = 2},
  [9375] = {.lex_state = 8, .external_lex_state = 2},
  [9376] = {.lex_state = 8, .external_lex_state = 2},
  [9377] = {.lex_state = 164, .external_lex_state = 2},
  [9378] = {.lex_state = 224, .external_lex_state = 2},
  [9379] = {.lex_state = 224, .external_lex_state = 2},
  [9380] = {.lex_state = 162, .external_lex_state = 2},
  [9381] = {.lex_state = 8, .external_lex_state = 2},
  [9382] = {.lex_state = 8, .external_lex_state = 2},
  [9383] = {.lex_state = 224, .external_lex_state = 2},
  [9384] = {.lex_state = 164, .external_lex_state = 2},
  [9385] = {.lex_state = 8, .external_lex_state = 2},
  [9386] = {.lex_state = 8, .external_lex_state = 2},
  [9387] = {.lex_state = 8, .external_lex_state = 2},
  [9388] = {.lex_state = 8, .external_lex_state = 2},
  [9389] = {.lex_state = 8, .external_lex_state = 2},
  [9390] = {.lex_state = 8, .external_lex_state = 2},
  [9391] = {.lex_state = 226, .external_lex_state = 2},
  [9392] = {.lex_state = 8, .external_lex_state = 2},
  [9393] = {.lex_state = 224, .external_lex_state = 2},
  [9394] = {.lex_state = 164, .external_lex_state = 2},
  [9395] = {.lex_state = 8, .external_lex_state = 2},
  [9396] = {.lex_state = 200, .external_lex_state = 3},
  [9397] = {.lex_state = 8, .external_lex_state = 2},
  [9398] = {.lex_state = 164, .external_lex_state = 2},
  [9399] = {.lex_state = 8, .external_lex_state = 2},
  [9400] = {.lex_state = 164, .external_lex_state = 2},
  [9401] = {.lex_state = 226, .external_lex_state = 2},
  [9402] = {.lex_state = 226, .external_lex_state = 2},
  [9403] = {.lex_state = 226, .external_lex_state = 2},
  [9404] = {.lex_state = 224, .external_lex_state = 2},
  [9405] = {.lex_state = 224, .external_lex_state = 2},
  [9406] = {.lex_state = 224, .external_lex_state = 2},
  [9407] = {.lex_state = 224, .external_lex_state = 2},
  [9408] = {.lex_state = 224, .external_lex_state = 2},
  [9409] = {.lex_state = 8, .external_lex_state = 2},
  [9410] = {.lex_state = 224, .external_lex_state = 2},
  [9411] = {.lex_state = 8, .external_lex_state = 2},
  [9412] = {.lex_state = 164, .external_lex_state = 2},
  [9413] = {.lex_state = 224, .external_lex_state = 2},
  [9414] = {.lex_state = 8, .external_lex_state = 2},
  [9415] = {.lex_state = 164, .external_lex_state = 2},
  [9416] = {.lex_state = 8, .external_lex_state = 2},
  [9417] = {.lex_state = 164, .external_lex_state = 2},
  [9418] = {.lex_state = 164, .external_lex_state = 2},
  [9419] = {.lex_state = 164, .external_lex_state = 2},
  [9420] = {.lex_state = 208, .external_lex_state = 2},
  [9421] = {.lex_state = 163, .external_lex_state = 2},
  [9422] = {.lex_state = 164, .external_lex_state = 2},
  [9423] = {.lex_state = 164, .external_lex_state = 2},
  [9424] = {.lex_state = 8, .external_lex_state = 2},
  [9425] = {.lex_state = 207, .external_lex_state = 2},
  [9426] = {.lex_state = 162, .external_lex_state = 2},
  [9427] = {.lex_state = 207, .external_lex_state = 2},
  [9428] = {.lex_state = 164, .external_lex_state = 2},
  [9429] = {.lex_state = 8, .external_lex_state = 2},
  [9430] = {.lex_state = 8, .external_lex_state = 2},
  [9431] = {.lex_state = 8, .external_lex_state = 2},
  [9432] = {.lex_state = 8, .external_lex_state = 2},
  [9433] = {.lex_state = 162, .external_lex_state = 2},
  [9434] = {.lex_state = 208, .external_lex_state = 2},
  [9435] = {.lex_state = 207, .external_lex_state = 2},
  [9436] = {.lex_state = 8, .external_lex_state = 2},
  [9437] = {.lex_state = 224, .external_lex_state = 2},
  [9438] = {.lex_state = 162, .external_lex_state = 2},
  [9439] = {.lex_state = 164, .external_lex_state = 2},
  [9440] = {.lex_state = 164, .external_lex_state = 2},
  [9441] = {.lex_state = 207, .external_lex_state = 2},
  [9442] = {.lex_state = 164, .external_lex_state = 2},
  [9443] = {.lex_state = 208, .external_lex_state = 2},
  [9444] = {.lex_state = 164, .external_lex_state = 2},
  [9445] = {.lex_state = 207, .external_lex_state = 2},
  [9446] = {.lex_state = 164, .external_lex_state = 2},
  [9447] = {.lex_state = 162, .external_lex_state = 2},
  [9448] = {.lex_state = 164, .external_lex_state = 2},
  [9449] = {.lex_state = 164, .external_lex_state = 2},
  [9450] = {.lex_state = 8, .external_lex_state = 2},
  [9451] = {.lex_state = 163, .external_lex_state = 2},
  [9452] = {.lex_state = 164, .external_lex_state = 2},
  [9453] = {.lex_state = 226, .external_lex_state = 2},
  [9454] = {.lex_state = 162, .external_lex_state = 2},
  [9455] = {.lex_state = 163, .external_lex_state = 2},
  [9456] = {.lex_state = 162, .external_lex_state = 2},
  [9457] = {.lex_state = 162, .external_lex_state = 2},
  [9458] = {.lex_state = 162, .external_lex_state = 2},
  [9459] = {.lex_state = 162, .external_lex_state = 2},
  [9460] = {.lex_state = 162, .external_lex_state = 2},
  [9461] = {.lex_state = 438, .external_lex_state = 2},
  [9462] = {.lex_state = 162, .external_lex_state = 2},
  [9463] = {.lex_state = 164, .external_lex_state = 2},
  [9464] = {.lex_state = 163, .external_lex_state = 2},
  [9465] = {.lex_state = 438, .external_lex_state = 2},
  [9466] = {.lex_state = 228, .external_lex_state = 2},
  [9467] = {.lex_state = 8, .external_lex_state = 2},
  [9468] = {.lex_state = 163, .external_lex_state = 2},
  [9469] = {.lex_state = 163, .external_lex_state = 2},
  [9470] = {.lex_state = 162, .external_lex_state = 2},
  [9471] = {.lex_state = 207, .external_lex_state = 2},
  [9472] = {.lex_state = 207, .external_lex_state = 2},
  [9473] = {.lex_state = 228, .external_lex_state = 2},
  [9474] = {.lex_state = 163, .external_lex_state = 2},
  [9475] = {.lex_state = 163, .external_lex_state = 2},
  [9476] = {.lex_state = 164, .external_lex_state = 2},
  [9477] = {.lex_state = 8, .external_lex_state = 2},
  [9478] = {.lex_state = 162, .external_lex_state = 2},
  [9479] = {.lex_state = 208, .external_lex_state = 2},
  [9480] = {.lex_state = 163, .external_lex_state = 2},
  [9481] = {.lex_state = 163, .external_lex_state = 2},
  [9482] = {.lex_state = 163, .external_lex_state = 2},
  [9483] = {.lex_state = 164, .external_lex_state = 2},
  [9484] = {.lex_state = 163, .external_lex_state = 2},
  [9485] = {.lex_state = 8, .external_lex_state = 2},
  [9486] = {.lex_state = 163, .external_lex_state = 2},
  [9487] = {.lex_state = 8, .external_lex_state = 2},
  [9488] = {.lex_state = 162, .external_lex_state = 2},
  [9489] = {.lex_state = 163, .external_lex_state = 2},
  [9490] = {.lex_state = 8, .external_lex_state = 2},
  [9491] = {.lex_state = 163, .external_lex_state = 2},
  [9492] = {.lex_state = 163, .external_lex_state = 2},
  [9493] = {.lex_state = 163, .external_lex_state = 2},
  [9494] = {.lex_state = 162, .external_lex_state = 2},
  [9495] = {.lex_state = 8, .external_lex_state = 2},
  [9496] = {.lex_state = 162, .external_lex_state = 2},
  [9497] = {.lex_state = 162, .external_lex_state = 2},
  [9498] = {.lex_state = 8, .external_lex_state = 2},
  [9499] = {.lex_state = 228, .external_lex_state = 2},
  [9500] = {.lex_state = 162, .external_lex_state = 2},
  [9501] = {.lex_state = 8, .external_lex_state = 2},
  [9502] = {.lex_state = 164, .external_lex_state = 2},
  [9503] = {.lex_state = 228, .external_lex_state = 2},
  [9504] = {.lex_state = 224, .external_lex_state = 2},
  [9505] = {.lex_state = 226, .external_lex_state = 2},
  [9506] = {.lex_state = 164, .external_lex_state = 2},
  [9507] = {.lex_state = 226, .external_lex_state = 2},
  [9508] = {.lex_state = 231, .external_lex_state = 2},
  [9509] = {.lex_state = 226, .external_lex_state = 2},
  [9510] = {.lex_state = 228, .external_lex_state = 2},
  [9511] = {.lex_state = 224, .external_lex_state = 2},
  [9512] = {.lex_state = 226, .external_lex_state = 2},
  [9513] = {.lex_state = 226, .external_lex_state = 2},
  [9514] = {.lex_state = 228, .external_lex_state = 2},
  [9515] = {.lex_state = 174, .external_lex_state = 2},
  [9516] = {.lex_state = 226, .external_lex_state = 2},
  [9517] = {.lex_state = 164, .external_lex_state = 2},
  [9518] = {.lex_state = 174, .external_lex_state = 2},
  [9519] = {.lex_state = 164, .external_lex_state = 2},
  [9520] = {.lex_state = 8, .external_lex_state = 2},
  [9521] = {.lex_state = 208, .external_lex_state = 2},
  [9522] = {.lex_state = 8, .external_lex_state = 2},
  [9523] = {.lex_state = 164, .external_lex_state = 2},
  [9524] = {.lex_state = 164, .external_lex_state = 2},
  [9525] = {.lex_state = 8, .external_lex_state = 2},
  [9526] = {.lex_state = 164, .external_lex_state = 2},
  [9527] = {.lex_state = 226, .external_lex_state = 2},
  [9528] = {.lex_state = 164, .external_lex_state = 2},
  [9529] = {.lex_state = 164, .external_lex_state = 2},
  [9530] = {.lex_state = 226, .external_lex_state = 2},
  [9531] = {.lex_state = 218, .external_lex_state = 2},
  [9532] = {.lex_state = 208, .external_lex_state = 2},
  [9533] = {.lex_state = 8, .external_lex_state = 2},
  [9534] = {.lex_state = 226, .external_lex_state = 2},
  [9535] = {.lex_state = 8, .external_lex_state = 2},
  [9536] = {.lex_state = 164, .external_lex_state = 2},
  [9537] = {.lex_state = 224, .external_lex_state = 2},
  [9538] = {.lex_state = 8, .external_lex_state = 2},
  [9539] = {.lex_state = 164, .external_lex_state = 2},
  [9540] = {.lex_state = 226, .external_lex_state = 2},
  [9541] = {.lex_state = 8, .external_lex_state = 2},
  [9542] = {.lex_state = 226, .external_lex_state = 2},
  [9543] = {.lex_state = 226, .external_lex_state = 2},
  [9544] = {.lex_state = 39, .external_lex_state = 3},
  [9545] = {.lex_state = 226, .external_lex_state = 2},
  [9546] = {.lex_state = 8, .external_lex_state = 2},
  [9547] = {.lex_state = 224, .external_lex_state = 2},
  [9548] = {.lex_state = 8, .external_lex_state = 2},
  [9549] = {.lex_state = 208, .external_lex_state = 2},
  [9550] = {.lex_state = 164, .external_lex_state = 2},
  [9551] = {.lex_state = 8, .external_lex_state = 2},
  [9552] = {.lex_state = 164, .external_lex_state = 2},
  [9553] = {.lex_state = 228, .external_lex_state = 2},
  [9554] = {.lex_state = 220, .external_lex_state = 2},
  [9555] = {.lex_state = 164, .external_lex_state = 2},
  [9556] = {.lex_state = 228, .external_lex_state = 2},
  [9557] = {.lex_state = 164, .external_lex_state = 2},
  [9558] = {.lex_state = 8, .external_lex_state = 2},
  [9559] = {.lex_state = 8, .external_lex_state = 2},
  [9560] = {.lex_state = 164, .external_lex_state = 2},
  [9561] = {.lex_state = 8, .external_lex_state = 2},
  [9562] = {.lex_state = 226, .external_lex_state = 2},
  [9563] = {.lex_state = 164, .external_lex_state = 2},
  [9564] = {.lex_state = 8, .external_lex_state = 2},
  [9565] = {.lex_state = 8, .external_lex_state = 2},
  [9566] = {.lex_state = 8, .external_lex_state = 2},
  [9567] = {.lex_state = 226, .external_lex_state = 2},
  [9568] = {.lex_state = 8, .external_lex_state = 2},
  [9569] = {.lex_state = 8, .external_lex_state = 2},
  [9570] = {.lex_state = 224, .external_lex_state = 2},
  [9571] = {.lex_state = 164, .external_lex_state = 2},
  [9572] = {.lex_state = 164, .external_lex_state = 2},
  [9573] = {.lex_state = 164, .external_lex_state = 2},
  [9574] = {.lex_state = 226, .external_lex_state = 2},
  [9575] = {.lex_state = 8, .external_lex_state = 2},
  [9576] = {.lex_state = 8, .external_lex_state = 2},
  [9577] = {.lex_state = 164, .external_lex_state = 2},
  [9578] = {.lex_state = 226, .external_lex_state = 2},
  [9579] = {.lex_state = 164, .external_lex_state = 2},
  [9580] = {.lex_state = 226, .external_lex_state = 2},
  [9581] = {.lex_state = 164, .external_lex_state = 2},
  [9582] = {.lex_state = 163, .external_lex_state = 2},
  [9583] = {.lex_state = 8, .external_lex_state = 2},
  [9584] = {.lex_state = 8, .external_lex_state = 2},
  [9585] = {.lex_state = 8, .external_lex_state = 2},
  [9586] = {.lex_state = 8, .external_lex_state = 2},
  [9587] = {.lex_state = 226, .external_lex_state = 2},
  [9588] = {.lex_state = 8, .external_lex_state = 2},
  [9589] = {.lex_state = 8, .external_lex_state = 2},
  [9590] = {.lex_state = 163, .external_lex_state = 2},
  [9591] = {.lex_state = 8, .external_lex_state = 2},
  [9592] = {.lex_state = 214, .external_lex_state = 2},
  [9593] = {.lex_state = 224, .external_lex_state = 2},
  [9594] = {.lex_state = 226, .external_lex_state = 2},
  [9595] = {.lex_state = 237, .external_lex_state = 2},
  [9596] = {.lex_state = 164, .external_lex_state = 2},
  [9597] = {.lex_state = 226, .external_lex_state = 2},
  [9598] = {.lex_state = 226, .external_lex_state = 2},
  [9599] = {.lex_state = 164, .external_lex_state = 2},
  [9600] = {.lex_state = 207, .external_lex_state = 2},
  [9601] = {.lex_state = 224, .external_lex_state = 2},
  [9602] = {.lex_state = 224, .external_lex_state = 2},
  [9603] = {.lex_state = 164, .external_lex_state = 2},
  [9604] = {.lex_state = 224, .external_lex_state = 2},
  [9605] = {.lex_state = 8, .external_lex_state = 2},
  [9606] = {.lex_state = 8, .external_lex_state = 2},
  [9607] = {.lex_state = 8, .external_lex_state = 2},
  [9608] = {.lex_state = 8, .external_lex_state = 2},
  [9609] = {.lex_state = 226, .external_lex_state = 2},
  [9610] = {.lex_state = 436, .external_lex_state = 2},
  [9611] = {.lex_state = 226, .external_lex_state = 2},
  [9612] = {.lex_state = 172, .external_lex_state = 2},
  [9613] = {.lex_state = 8, .external_lex_state = 2},
  [9614] = {.lex_state = 8, .external_lex_state = 2},
  [9615] = {.lex_state = 8, .external_lex_state = 2},
  [9616] = {.lex_state = 8, .external_lex_state = 2},
  [9617] = {.lex_state = 8, .external_lex_state = 2},
  [9618] = {.lex_state = 8, .external_lex_state = 2},
  [9619] = {.lex_state = 226, .external_lex_state = 2},
  [9620] = {.lex_state = 224, .external_lex_state = 2},
  [9621] = {.lex_state = 224, .external_lex_state = 2},
  [9622] = {.lex_state = 201, .external_lex_state = 3},
  [9623] = {.lex_state = 224, .external_lex_state = 2},
  [9624] = {.lex_state = 226, .external_lex_state = 2},
  [9625] = {.lex_state = 224, .external_lex_state = 2},
  [9626] = {.lex_state = 8, .external_lex_state = 2},
  [9627] = {.lex_state = 164, .external_lex_state = 2},
  [9628] = {.lex_state = 164, .external_lex_state = 2},
  [9629] = {.lex_state = 164, .external_lex_state = 2},
  [9630] = {.lex_state = 226, .external_lex_state = 2},
  [9631] = {.lex_state = 8, .external_lex_state = 2},
  [9632] = {.lex_state = 224, .external_lex_state = 2},
  [9633] = {.lex_state = 8, .external_lex_state = 2},
  [9634] = {.lex_state = 230, .external_lex_state = 2},
  [9635] = {.lex_state = 224, .external_lex_state = 2},
  [9636] = {.lex_state = 224, .external_lex_state = 2},
  [9637] = {.lex_state = 224, .external_lex_state = 2},
  [9638] = {.lex_state = 228, .external_lex_state = 2},
  [9639] = {.lex_state = 8, .external_lex_state = 2},
  [9640] = {.lex_state = 8, .external_lex_state = 2},
  [9641] = {.lex_state = 237, .external_lex_state = 2},
  [9642] = {.lex_state = 164, .external_lex_state = 2},
  [9643] = {.lex_state = 8, .external_lex_state = 2},
  [9644] = {.lex_state = 8, .external_lex_state = 2},
  [9645] = {.lex_state = 220, .external_lex_state = 2},
  [9646] = {.lex_state = 8, .external_lex_state = 2},
  [9647] = {.lex_state = 208, .external_lex_state = 2},
  [9648] = {.lex_state = 19, .external_lex_state = 3},
  [9649] = {.lex_state = 436, .external_lex_state = 2},
  [9650] = {.lex_state = 436, .external_lex_state = 2},
  [9651] = {.lex_state = 436, .external_lex_state = 2},
  [9652] = {.lex_state = 228, .external_lex_state = 2},
  [9653] = {.lex_state = 436, .external_lex_state = 2},
  [9654] = {.lex_state = 436, .external_lex_state = 2},
  [9655] = {.lex_state = 207, .external_lex_state = 2},
  [9656] = {.lex_state = 207, .external_lex_state = 2},
  [9657] = {.lex_state = 207, .external_lex_state = 2},
  [9658] = {.lex_state = 436, .external_lex_state = 2},
  [9659] = {.lex_state = 436, .external_lex_state = 2},
  [9660] = {.lex_state = 207, .external_lex_state = 2},
  [9661] = {.lex_state = 22, .external_lex_state = 2},
  [9662] = {.lex_state = 207, .external_lex_state = 2},
  [9663] = {.lex_state = 436, .external_lex_state = 2},
  [9664] = {.lex_state = 436, .external_lex_state = 2},
  [9665] = {.lex_state = 19, .external_lex_state = 3},
  [9666] = {.lex_state = 436, .external_lex_state = 2},
  [9667] = {.lex_state = 22, .external_lex_state = 2},
  [9668] = {.lex_state = 436, .external_lex_state = 2},
  [9669] = {.lex_state = 436, .external_lex_state = 2},
  [9670] = {.lex_state = 207, .external_lex_state = 2},
  [9671] = {.lex_state = 207, .external_lex_state = 2},
  [9672] = {.lex_state = 436, .external_lex_state = 2},
  [9673] = {.lex_state = 207, .external_lex_state = 2},
  [9674] = {.lex_state = 22, .external_lex_state = 2},
  [9675] = {.lex_state = 436, .external_lex_state = 2},
  [9676] = {.lex_state = 436, .external_lex_state = 2},
  [9677] = {.lex_state = 436, .external_lex_state = 2},
  [9678] = {.lex_state = 436, .external_lex_state = 2},
  [9679] = {.lex_state = 436, .external_lex_state = 2},
  [9680] = {.lex_state = 436, .external_lex_state = 2},
  [9681] = {.lex_state = 236, .external_lex_state = 2},
  [9682] = {.lex_state = 207, .external_lex_state = 2},
  [9683] = {.lex_state = 174, .external_lex_state = 2},
  [9684] = {.lex_state = 436, .external_lex_state = 2},
  [9685] = {.lex_state = 177, .external_lex_state = 3},
  [9686] = {.lex_state = 228, .external_lex_state = 2},
  [9687] = {.lex_state = 436, .external_lex_state = 2},
  [9688] = {.lex_state = 174, .external_lex_state = 2},
  [9689] = {.lex_state = 22, .external_lex_state = 2},
  [9690] = {.lex_state = 436, .external_lex_state = 2},
  [9691] = {.lex_state = 436, .external_lex_state = 2},
  [9692] = {.lex_state = 436, .external_lex_state = 2},
  [9693] = {.lex_state = 436, .external_lex_state = 2},
  [9694] = {.lex_state = 228, .external_lex_state = 2},
  [9695] = {.lex_state = 208, .external_lex_state = 2},
  [9696] = {.lex_state = 221, .external_lex_state = 2},
  [9697] = {.lex_state = 207, .external_lex_state = 2},
  [9698] = {.lex_state = 221, .external_lex_state = 2},
  [9699] = {.lex_state = 436, .external_lex_state = 2},
  [9700] = {.lex_state = 436, .external_lex_state = 2},
  [9701] = {.lex_state = 208, .external_lex_state = 2},
  [9702] = {.lex_state = 436, .external_lex_state = 2},
  [9703] = {.lex_state = 208, .external_lex_state = 2},
  [9704] = {.lex_state = 207, .external_lex_state = 2},
  [9705] = {.lex_state = 207, .external_lex_state = 2},
  [9706] = {.lex_state = 207, .external_lex_state = 2},
  [9707] = {.lex_state = 207, .external_lex_state = 2},
  [9708] = {.lex_state = 207, .external_lex_state = 2},
  [9709] = {.lex_state = 221, .external_lex_state = 2},
  [9710] = {.lex_state = 436, .external_lex_state = 2},
  [9711] = {.lex_state = 233, .external_lex_state = 2},
  [9712] = {.lex_state = 228, .external_lex_state = 2},
  [9713] = {.lex_state = 174, .external_lex_state = 2},
  [9714] = {.lex_state = 214, .external_lex_state = 2},
  [9715] = {.lex_state = 19, .external_lex_state = 3},
  [9716] = {.lex_state = 436, .external_lex_state = 2},
  [9717] = {.lex_state = 228, .external_lex_state = 2},
  [9718] = {.lex_state = 436, .external_lex_state = 2},
  [9719] = {.lex_state = 207, .external_lex_state = 2},
  [9720] = {.lex_state = 207, .external_lex_state = 2},
  [9721] = {.lex_state = 208, .external_lex_state = 2},
  [9722] = {.lex_state = 228, .external_lex_state = 2},
  [9723] = {.lex_state = 436, .external_lex_state = 2},
  [9724] = {.lex_state = 208, .external_lex_state = 2},
  [9725] = {.lex_state = 207, .external_lex_state = 2},
  [9726] = {.lex_state = 436, .external_lex_state = 2},
  [9727] = {.lex_state = 214, .external_lex_state = 2},
  [9728] = {.lex_state = 172, .external_lex_state = 2},
  [9729] = {.lex_state = 436, .external_lex_state = 2},
  [9730] = {.lex_state = 214, .external_lex_state = 2},
  [9731] = {.lex_state = 208, .external_lex_state = 2},
  [9732] = {.lex_state = 436, .external_lex_state = 2},
  [9733] = {.lex_state = 436, .external_lex_state = 2},
  [9734] = {.lex_state = 207, .external_lex_state = 2},
  [9735] = {.lex_state = 436, .external_lex_state = 2},
  [9736] = {.lex_state = 207, .external_lex_state = 2},
  [9737] = {.lex_state = 221, .external_lex_state = 2},
  [9738] = {.lex_state = 207, .external_lex_state = 2},
  [9739] = {.lex_state = 208, .external_lex_state = 2},
  [9740] = {.lex_state = 436, .external_lex_state = 2},
  [9741] = {.lex_state = 228, .external_lex_state = 2},
  [9742] = {.lex_state = 221, .external_lex_state = 2},
  [9743] = {.lex_state = 436, .external_lex_state = 2},
  [9744] = {.lex_state = 174, .external_lex_state = 2},
  [9745] = {.lex_state = 228, .external_lex_state = 2},
  [9746] = {.lex_state = 436, .external_lex_state = 2},
  [9747] = {.lex_state = 228, .external_lex_state = 2},
  [9748] = {.lex_state = 208, .external_lex_state = 2},
  [9749] = {.lex_state = 221, .external_lex_state = 2},
  [9750] = {.lex_state = 207, .external_lex_state = 2},
  [9751] = {.lex_state = 214, .external_lex_state = 2},
  [9752] = {.lex_state = 436, .external_lex_state = 2},
  [9753] = {.lex_state = 158, .external_lex_state = 2},
  [9754] = {.lex_state = 436, .external_lex_state = 2},
  [9755] = {.lex_state = 436, .external_lex_state = 2},
  [9756] = {.lex_state = 436, .external_lex_state = 2},
  [9757] = {.lex_state = 172, .external_lex_state = 2},
  [9758] = {.lex_state = 219, .external_lex_state = 2},
  [9759] = {.lex_state = 208, .external_lex_state = 2},
  [9760] = {.lex_state = 228, .external_lex_state = 2},
  [9761] = {.lex_state = 172, .external_lex_state = 2},
  [9762] = {.lex_state = 228, .external_lex_state = 2},
  [9763] = {.lex_state = 436, .external_lex_state = 2},
  [9764] = {.lex_state = 207, .external_lex_state = 2},
  [9765] = {.lex_state = 21, .external_lex_state = 2},
  [9766] = {.lex_state = 208, .external_lex_state = 2},
  [9767] = {.lex_state = 207, .external_lex_state = 2},
  [9768] = {.lex_state = 436, .external_lex_state = 2},
  [9769] = {.lex_state = 436, .external_lex_state = 2},
  [9770] = {.lex_state = 436, .external_lex_state = 2},
  [9771] = {.lex_state = 436, .external_lex_state = 2},
  [9772] = {.lex_state = 228, .external_lex_state = 2},
  [9773] = {.lex_state = 436, .external_lex_state = 2},
  [9774] = {.lex_state = 436, .external_lex_state = 2},
  [9775] = {.lex_state = 208, .external_lex_state = 2},
  [9776] = {.lex_state = 436, .external_lex_state = 2},
  [9777] = {.lex_state = 228, .external_lex_state = 2},
  [9778] = {.lex_state = 207, .external_lex_state = 2},
  [9779] = {.lex_state = 436, .external_lex_state = 2},
  [9780] = {.lex_state = 436, .external_lex_state = 2},
  [9781] = {.lex_state = 436, .external_lex_state = 2},
  [9782] = {.lex_state = 214, .external_lex_state = 2},
  [9783] = {.lex_state = 208, .external_lex_state = 2},
  [9784] = {.lex_state = 21, .external_lex_state = 2},
  [9785] = {.lex_state = 208, .external_lex_state = 2},
  [9786] = {.lex_state = 207, .external_lex_state = 2},
  [9787] = {.lex_state = 207, .external_lex_state = 2},
  [9788] = {.lex_state = 214, .external_lex_state = 2},
  [9789] = {.lex_state = 22, .external_lex_state = 2},
  [9790] = {.lex_state = 207, .external_lex_state = 2},
  [9791] = {.lex_state = 21, .external_lex_state = 2},
  [9792] = {.lex_state = 228, .external_lex_state = 2},
  [9793] = {.lex_state = 208, .external_lex_state = 2},
  [9794] = {.lex_state = 163, .external_lex_state = 2},
  [9795] = {.lex_state = 436, .external_lex_state = 2},
  [9796] = {.lex_state = 436, .external_lex_state = 2},
  [9797] = {.lex_state = 208, .external_lex_state = 2},
  [9798] = {.lex_state = 208, .external_lex_state = 2},
  [9799] = {.lex_state = 208, .external_lex_state = 2},
  [9800] = {.lex_state = 436, .external_lex_state = 2},
  [9801] = {.lex_state = 228, .external_lex_state = 2},
  [9802] = {.lex_state = 172, .external_lex_state = 2},
  [9803] = {.lex_state = 172, .external_lex_state = 2},
  [9804] = {.lex_state = 436, .external_lex_state = 2},
  [9805] = {.lex_state = 207, .external_lex_state = 2},
  [9806] = {.lex_state = 228, .external_lex_state = 2},
  [9807] = {.lex_state = 163, .external_lex_state = 2},
  [9808] = {.lex_state = 174, .external_lex_state = 2},
  [9809] = {.lex_state = 219, .external_lex_state = 2},
  [9810] = {.lex_state = 436, .external_lex_state = 2},
  [9811] = {.lex_state = 19, .external_lex_state = 3},
  [9812] = {.lex_state = 436, .external_lex_state = 2},
  [9813] = {.lex_state = 436, .external_lex_state = 2},
  [9814] = {.lex_state = 22, .external_lex_state = 2},
  [9815] = {.lex_state = 436, .external_lex_state = 2},
  [9816] = {.lex_state = 436, .external_lex_state = 2},
  [9817] = {.lex_state = 163, .external_lex_state = 2},
  [9818] = {.lex_state = 163, .external_lex_state = 2},
  [9819] = {.lex_state = 436, .external_lex_state = 2},
  [9820] = {.lex_state = 436, .external_lex_state = 2},
  [9821] = {.lex_state = 228, .external_lex_state = 2},
  [9822] = {.lex_state = 229, .external_lex_state = 2},
  [9823] = {.lex_state = 208, .external_lex_state = 2},
  [9824] = {.lex_state = 436, .external_lex_state = 2},
  [9825] = {.lex_state = 436, .external_lex_state = 2},
  [9826] = {.lex_state = 436, .external_lex_state = 2},
  [9827] = {.lex_state = 207, .external_lex_state = 2},
  [9828] = {.lex_state = 436, .external_lex_state = 2},
  [9829] = {.lex_state = 232, .external_lex_state = 2},
  [9830] = {.lex_state = 436, .external_lex_state = 2},
  [9831] = {.lex_state = 207, .external_lex_state = 2},
  [9832] = {.lex_state = 436, .external_lex_state = 2},
  [9833] = {.lex_state = 436, .external_lex_state = 2},
  [9834] = {.lex_state = 436, .external_lex_state = 2},
  [9835] = {.lex_state = 228, .external_lex_state = 2},
  [9836] = {.lex_state = 228, .external_lex_state = 2},
  [9837] = {.lex_state = 213, .external_lex_state = 2},
  [9838] = {.lex_state = 208, .external_lex_state = 2},
  [9839] = {.lex_state = 208, .external_lex_state = 2},
  [9840] = {.lex_state = 208, .external_lex_state = 2},
  [9841] = {.lex_state = 436, .external_lex_state = 2},
  [9842] = {.lex_state = 208, .external_lex_state = 2},
  [9843] = {.lex_state = 219, .external_lex_state = 2},
  [9844] = {.lex_state = 19, .external_lex_state = 3},
  [9845] = {.lex_state = 207, .external_lex_state = 2},
  [9846] = {.lex_state = 19, .external_lex_state = 3},
  [9847] = {.lex_state = 208, .external_lex_state = 2},
  [9848] = {.lex_state = 208, .external_lex_state = 2},
  [9849] = {.lex_state = 228, .external_lex_state = 2},
  [9850] = {.lex_state = 436, .external_lex_state = 2},
  [9851] = {.lex_state = 436, .external_lex_state = 2},
  [9852] = {.lex_state = 208, .external_lex_state = 2},
  [9853] = {.lex_state = 436, .external_lex_state = 2},
  [9854] = {.lex_state = 238, .external_lex_state = 2},
  [9855] = {.lex_state = 213, .external_lex_state = 2},
  [9856] = {.lex_state = 228, .external_lex_state = 2},
  [9857] = {.lex_state = 436, .external_lex_state = 2},
  [9858] = {.lex_state = 436, .external_lex_state = 2},
  [9859] = {.lex_state = 436, .external_lex_state = 2},
  [9860] = {.lex_state = 172, .external_lex_state = 2},
  [9861] = {.lex_state = 436, .external_lex_state = 2},
  [9862] = {.lex_state = 436, .external_lex_state = 2},
  [9863] = {.lex_state = 228, .external_lex_state = 2},
  [9864] = {.lex_state = 219, .external_lex_state = 2},
  [9865] = {.lex_state = 208, .external_lex_state = 2},
  [9866] = {.lex_state = 436, .external_lex_state = 2},
  [9867] = {.lex_state = 228, .external_lex_state = 2},
  [9868] = {.lex_state = 228, .external_lex_state = 2},
  [9869] = {.lex_state = 228, .external_lex_state = 2},
  [9870] = {.lex_state = 436, .external_lex_state = 2},
  [9871] = {.lex_state = 228, .external_lex_state = 2},
  [9872] = {.lex_state = 213, .external_lex_state = 2},
  [9873] = {.lex_state = 436, .external_lex_state = 2},
  [9874] = {.lex_state = 436, .external_lex_state = 2},
  [9875] = {.lex_state = 436, .external_lex_state = 2},
  [9876] = {.lex_state = 207, .external_lex_state = 2},
  [9877] = {.lex_state = 436, .external_lex_state = 2},
  [9878] = {.lex_state = 436, .external_lex_state = 2},
  [9879] = {.lex_state = 436, .external_lex_state = 2},
  [9880] = {.lex_state = 174, .external_lex_state = 2},
  [9881] = {.lex_state = 436, .external_lex_state = 2},
  [9882] = {.lex_state = 436, .external_lex_state = 2},
  [9883] = {.lex_state = 213, .external_lex_state = 2},
  [9884] = {.lex_state = 213, .external_lex_state = 2},
  [9885] = {.lex_state = 208, .external_lex_state = 2},
  [9886] = {.lex_state = 208, .external_lex_state = 2},
  [9887] = {.lex_state = 208, .external_lex_state = 2},
  [9888] = {.lex_state = 208, .external_lex_state = 2},
  [9889] = {.lex_state = 436, .external_lex_state = 2},
  [9890] = {.lex_state = 228, .external_lex_state = 2},
  [9891] = {.lex_state = 436, .external_lex_state = 2},
  [9892] = {.lex_state = 436, .external_lex_state = 2},
  [9893] = {.lex_state = 208, .external_lex_state = 2},
  [9894] = {.lex_state = 228, .external_lex_state = 2},
  [9895] = {.lex_state = 436, .external_lex_state = 2},
  [9896] = {.lex_state = 436, .external_lex_state = 2},
  [9897] = {.lex_state = 208, .external_lex_state = 2},
  [9898] = {.lex_state = 21, .external_lex_state = 2},
  [9899] = {.lex_state = 436, .external_lex_state = 2},
  [9900] = {.lex_state = 436, .external_lex_state = 2},
  [9901] = {.lex_state = 436, .external_lex_state = 2},
  [9902] = {.lex_state = 436, .external_lex_state = 2},
  [9903] = {.lex_state = 207, .external_lex_state = 2},
  [9904] = {.lex_state = 21, .external_lex_state = 2},
  [9905] = {.lex_state = 163, .external_lex_state = 2},
  [9906] = {.lex_state = 163, .external_lex_state = 2},
  [9907] = {.lex_state = 436, .external_lex_state = 2},
  [9908] = {.lex_state = 163, .external_lex_state = 2},
  [9909] = {.lex_state = 213, .external_lex_state = 2},
  [9910] = {.lex_state = 21, .external_lex_state = 2},
  [9911] = {.lex_state = 163, .external_lex_state = 2},
  [9912] = {.lex_state = 436, .external_lex_state = 2},
  [9913] = {.lex_state = 436, .external_lex_state = 2},
  [9914] = {.lex_state = 436, .external_lex_state = 2},
  [9915] = {.lex_state = 219, .external_lex_state = 2},
  [9916] = {.lex_state = 163, .external_lex_state = 2},
  [9917] = {.lex_state = 163, .external_lex_state = 2},
  [9918] = {.lex_state = 163, .external_lex_state = 2},
  [9919] = {.lex_state = 163, .external_lex_state = 2},
  [9920] = {.lex_state = 436, .external_lex_state = 2},
  [9921] = {.lex_state = 163, .external_lex_state = 2},
  [9922] = {.lex_state = 163, .external_lex_state = 2},
  [9923] = {.lex_state = 436, .external_lex_state = 2},
  [9924] = {.lex_state = 163, .external_lex_state = 2},
  [9925] = {.lex_state = 19, .external_lex_state = 3},
  [9926] = {.lex_state = 208, .external_lex_state = 2},
  [9927] = {.lex_state = 219, .external_lex_state = 2},
  [9928] = {.lex_state = 228, .external_lex_state = 2},
  [9929] = {.lex_state = 167, .external_lex_state = 3},
  [9930] = {.lex_state = 219, .external_lex_state = 2},
  [9931] = {.lex_state = 204, .external_lex_state = 2},
  [9932] = {.lex_state = 174, .external_lex_state = 2},
  [9933] = {.lex_state = 228, .external_lex_state = 2},
  [9934] = {.lex_state = 162, .external_lex_state = 2},
  [9935] = {.lex_state = 204, .external_lex_state = 2},
  [9936] = {.lex_state = 162, .external_lex_state = 2},
  [9937] = {.lex_state = 228, .external_lex_state = 2},
  [9938] = {.lex_state = 174, .external_lex_state = 2},
  [9939] = {.lex_state = 167, .external_lex_state = 3},
  [9940] = {.lex_state = 162, .external_lex_state = 2},
  [9941] = {.lex_state = 174, .external_lex_state = 2},
  [9942] = {.lex_state = 167, .external_lex_state = 3},
  [9943] = {.lex_state = 172, .external_lex_state = 2},
  [9944] = {.lex_state = 204, .external_lex_state = 2},
  [9945] = {.lex_state = 167, .external_lex_state = 3},
  [9946] = {.lex_state = 162, .external_lex_state = 2},
  [9947] = {.lex_state = 228, .external_lex_state = 2},
  [9948] = {.lex_state = 167, .external_lex_state = 3},
  [9949] = {.lex_state = 236, .external_lex_state = 2},
  [9950] = {.lex_state = 162, .external_lex_state = 2},
  [9951] = {.lex_state = 167, .external_lex_state = 3},
  [9952] = {.lex_state = 167, .external_lex_state = 3},
  [9953] = {.lex_state = 167, .external_lex_state = 3},
  [9954] = {.lex_state = 204, .external_lex_state = 2},
  [9955] = {.lex_state = 228, .external_lex_state = 2},
  [9956] = {.lex_state = 204, .external_lex_state = 2},
  [9957] = {.lex_state = 172, .external_lex_state = 2},
  [9958] = {.lex_state = 174, .external_lex_state = 2},
  [9959] = {.lex_state = 238, .external_lex_state = 2},
  [9960] = {.lex_state = 172, .external_lex_state = 2},
  [9961] = {.lex_state = 174, .external_lex_state = 2},
  [9962] = {.lex_state = 174, .external_lex_state = 2},
  [9963] = {.lex_state = 162, .external_lex_state = 2},
  [9964] = {.lex_state = 172, .external_lex_state = 2},
  [9965] = {.lex_state = 167, .external_lex_state = 3},
  [9966] = {.lex_state = 167, .external_lex_state = 3},
  [9967] = {.lex_state = 172, .external_lex_state = 2},
  [9968] = {.lex_state = 204, .external_lex_state = 2},
  [9969] = {.lex_state = 172, .external_lex_state = 2},
  [9970] = {.lex_state = 162, .external_lex_state = 2},
  [9971] = {.lex_state = 204, .external_lex_state = 2},
  [9972] = {.lex_state = 174, .external_lex_state = 2},
  [9973] = {.lex_state = 167, .external_lex_state = 3},
  [9974] = {.lex_state = 174, .external_lex_state = 2},
  [9975] = {.lex_state = 162, .external_lex_state = 2},
  [9976] = {.lex_state = 162, .external_lex_state = 2},
  [9977] = {.lex_state = 219, .external_lex_state = 2},
  [9978] = {.lex_state = 204, .external_lex_state = 2},
  [9979] = {.lex_state = 162, .external_lex_state = 2},
  [9980] = {.lex_state = 162, .external_lex_state = 2},
  [9981] = {.lex_state = 167, .external_lex_state = 3},
  [9982] = {.lex_state = 162, .external_lex_state = 2},
  [9983] = {.lex_state = 162, .external_lex_state = 2},
  [9984] = {.lex_state = 174, .external_lex_state = 2},
  [9985] = {.lex_state = 228, .external_lex_state = 2},
  [9986] = {.lex_state = 236, .external_lex_state = 2},
  [9987] = {.lex_state = 174, .external_lex_state = 2},
  [9988] = {.lex_state = 167, .external_lex_state = 3},
  [9989] = {.lex_state = 204, .external_lex_state = 2},
  [9990] = {.lex_state = 162, .external_lex_state = 2},
  [9991] = {.lex_state = 162, .external_lex_state = 2},
  [9992] = {.lex_state = 219, .external_lex_state = 2},
  [9993] = {.lex_state = 174, .external_lex_state = 2},
  [9994] = {.lex_state = 204, .external_lex_state = 2},
  [9995] = {.lex_state = 174, .external_lex_state = 2},
  [9996] = {.lex_state = 174, .external_lex_state = 2},
  [9997] = {.lex_state = 204, .external_lex_state = 2},
  [9998] = {.lex_state = 174, .external_lex_state = 2},
  [9999] = {.lex_state = 228, .external_lex_state = 2},
  [10000] = {.lex_state = 167, .external_lex_state = 3},
  [10001] = {.lex_state = 174, .external_lex_state = 2},
  [10002] = {.lex_state = 204, .external_lex_state = 2},
  [10003] = {.lex_state = 167, .external_lex_state = 3},
  [10004] = {.lex_state = 167, .external_lex_state = 3},
  [10005] = {.lex_state = 436, .external_lex_state = 2},
  [10006] = {.lex_state = 207, .external_lex_state = 2},
  [10007] = {.lex_state = 22, .external_lex_state = 2},
  [10008] = {.lex_state = 167, .external_lex_state = 3},
  [10009] = {.lex_state = 167, .external_lex_state = 3},
  [10010] = {.lex_state = 189, .external_lex_state = 3},
  [10011] = {.lex_state = 167, .external_lex_state = 3},
  [10012] = {.lex_state = 238, .external_lex_state = 2},
  [10013] = {.lex_state = 160, .external_lex_state = 2},
  [10014] = {.lex_state = 174, .external_lex_state = 2},
  [10015] = {.lex_state = 167, .external_lex_state = 3},
  [10016] = {.lex_state = 167, .external_lex_state = 3},
  [10017] = {.lex_state = 174, .external_lex_state = 2},
  [10018] = {.lex_state = 167, .external_lex_state = 3},
  [10019] = {.lex_state = 172, .external_lex_state = 2},
  [10020] = {.lex_state = 174, .external_lex_state = 2},
  [10021] = {.lex_state = 174, .external_lex_state = 2},
  [10022] = {.lex_state = 189, .external_lex_state = 3},
  [10023] = {.lex_state = 208, .external_lex_state = 2},
  [10024] = {.lex_state = 172, .external_lex_state = 2},
  [10025] = {.lex_state = 21, .external_lex_state = 2},
  [10026] = {.lex_state = 236, .external_lex_state = 2},
  [10027] = {.lex_state = 174, .external_lex_state = 2},
  [10028] = {.lex_state = 172, .external_lex_state = 2},
  [10029] = {.lex_state = 228, .external_lex_state = 2},
  [10030] = {.lex_state = 204, .external_lex_state = 2},
  [10031] = {.lex_state = 174, .external_lex_state = 2},
  [10032] = {.lex_state = 158, .external_lex_state = 3},
  [10033] = {.lex_state = 167, .external_lex_state = 3},
  [10034] = {.lex_state = 172, .external_lex_state = 2},
  [10035] = {.lex_state = 167, .external_lex_state = 3},
  [10036] = {.lex_state = 167, .external_lex_state = 3},
  [10037] = {.lex_state = 174, .external_lex_state = 2},
  [10038] = {.lex_state = 189, .external_lex_state = 3},
  [10039] = {.lex_state = 204, .external_lex_state = 2},
  [10040] = {.lex_state = 167, .external_lex_state = 3},
  [10041] = {.lex_state = 204, .external_lex_state = 2},
  [10042] = {.lex_state = 172, .external_lex_state = 2},
  [10043] = {.lex_state = 167, .external_lex_state = 3},
  [10044] = {.lex_state = 207, .external_lex_state = 2},
  [10045] = {.lex_state = 174, .external_lex_state = 2},
  [10046] = {.lex_state = 167, .external_lex_state = 3},
  [10047] = {.lex_state = 162, .external_lex_state = 2},
  [10048] = {.lex_state = 174, .external_lex_state = 2},
  [10049] = {.lex_state = 174, .external_lex_state = 2},
  [10050] = {.lex_state = 167, .external_lex_state = 3},
  [10051] = {.lex_state = 204, .external_lex_state = 2},
  [10052] = {.lex_state = 167, .external_lex_state = 3},
  [10053] = {.lex_state = 236, .external_lex_state = 2},
  [10054] = {.lex_state = 172, .external_lex_state = 2},
  [10055] = {.lex_state = 167, .external_lex_state = 3},
  [10056] = {.lex_state = 174, .external_lex_state = 2},
  [10057] = {.lex_state = 172, .external_lex_state = 2},
  [10058] = {.lex_state = 172, .external_lex_state = 2},
  [10059] = {.lex_state = 167, .external_lex_state = 3},
  [10060] = {.lex_state = 172, .external_lex_state = 2},
  [10061] = {.lex_state = 172, .external_lex_state = 2},
  [10062] = {.lex_state = 172, .external_lex_state = 2},
  [10063] = {.lex_state = 167, .external_lex_state = 3},
  [10064] = {.lex_state = 209, .external_lex_state = 2},
  [10065] = {.lex_state = 167, .external_lex_state = 3},
  [10066] = {.lex_state = 174, .external_lex_state = 2},
  [10067] = {.lex_state = 167, .external_lex_state = 3},
  [10068] = {.lex_state = 167, .external_lex_state = 3},
  [10069] = {.lex_state = 167, .external_lex_state = 3},
  [10070] = {.lex_state = 167, .external_lex_state = 3},
  [10071] = {.lex_state = 172, .external_lex_state = 2},
  [10072] = {.lex_state = 162, .external_lex_state = 2},
  [10073] = {.lex_state = 204, .external_lex_state = 2},
  [10074] = {.lex_state = 167, .external_lex_state = 3},
  [10075] = {.lex_state = 167, .external_lex_state = 3},
  [10076] = {.lex_state = 204, .external_lex_state = 2},
  [10077] = {.lex_state = 172, .external_lex_state = 2},
  [10078] = {.lex_state = 172, .external_lex_state = 2},
  [10079] = {.lex_state = 174, .external_lex_state = 2},
  [10080] = {.lex_state = 162, .external_lex_state = 2},
  [10081] = {.lex_state = 167, .external_lex_state = 3},
  [10082] = {.lex_state = 167, .external_lex_state = 3},
  [10083] = {.lex_state = 172, .external_lex_state = 2},
  [10084] = {.lex_state = 209, .external_lex_state = 2},
  [10085] = {.lex_state = 204, .external_lex_state = 2},
  [10086] = {.lex_state = 167, .external_lex_state = 3},
  [10087] = {.lex_state = 172, .external_lex_state = 2},
  [10088] = {.lex_state = 172, .external_lex_state = 2},
  [10089] = {.lex_state = 167, .external_lex_state = 3},
  [10090] = {.lex_state = 228, .external_lex_state = 2},
  [10091] = {.lex_state = 172, .external_lex_state = 2},
  [10092] = {.lex_state = 204, .external_lex_state = 2},
  [10093] = {.lex_state = 167, .external_lex_state = 3},
  [10094] = {.lex_state = 167, .external_lex_state = 3},
  [10095] = {.lex_state = 162, .external_lex_state = 2},
  [10096] = {.lex_state = 174, .external_lex_state = 2},
  [10097] = {.lex_state = 167, .external_lex_state = 3},
  [10098] = {.lex_state = 174, .external_lex_state = 2},
  [10099] = {.lex_state = 228, .external_lex_state = 2},
  [10100] = {.lex_state = 172, .external_lex_state = 2},
  [10101] = {.lex_state = 167, .external_lex_state = 3},
  [10102] = {.lex_state = 167, .external_lex_state = 3},
  [10103] = {.lex_state = 172, .external_lex_state = 2},
  [10104] = {.lex_state = 174, .external_lex_state = 2},
  [10105] = {.lex_state = 238, .external_lex_state = 2},
  [10106] = {.lex_state = 172, .external_lex_state = 2},
  [10107] = {.lex_state = 210, .external_lex_state = 2},
  [10108] = {.lex_state = 174, .external_lex_state = 2},
  [10109] = {.lex_state = 221, .external_lex_state = 2},
  [10110] = {.lex_state = 22, .external_lex_state = 2},
  [10111] = {.lex_state = 219, .external_lex_state = 2},
  [10112] = {.lex_state = 167, .external_lex_state = 3},
  [10113] = {.lex_state = 174, .external_lex_state = 2},
  [10114] = {.lex_state = 228, .external_lex_state = 2},
  [10115] = {.lex_state = 167, .external_lex_state = 3},
  [10116] = {.lex_state = 204, .external_lex_state = 2},
  [10117] = {.lex_state = 172, .external_lex_state = 2},
  [10118] = {.lex_state = 162, .external_lex_state = 2},
  [10119] = {.lex_state = 436, .external_lex_state = 2},
  [10120] = {.lex_state = 167, .external_lex_state = 3},
  [10121] = {.lex_state = 167, .external_lex_state = 3},
  [10122] = {.lex_state = 158, .external_lex_state = 3},
  [10123] = {.lex_state = 221, .external_lex_state = 2},
  [10124] = {.lex_state = 167, .external_lex_state = 3},
  [10125] = {.lex_state = 167, .external_lex_state = 3},
  [10126] = {.lex_state = 172, .external_lex_state = 2},
  [10127] = {.lex_state = 172, .external_lex_state = 2},
  [10128] = {.lex_state = 167, .external_lex_state = 3},
  [10129] = {.lex_state = 204, .external_lex_state = 2},
  [10130] = {.lex_state = 172, .external_lex_state = 2},
  [10131] = {.lex_state = 167, .external_lex_state = 3},
  [10132] = {.lex_state = 167, .external_lex_state = 3},
  [10133] = {.lex_state = 221, .external_lex_state = 2},
  [10134] = {.lex_state = 172, .external_lex_state = 2},
  [10135] = {.lex_state = 228, .external_lex_state = 2},
  [10136] = {.lex_state = 172, .external_lex_state = 2},
  [10137] = {.lex_state = 172, .external_lex_state = 2},
  [10138] = {.lex_state = 167, .external_lex_state = 3},
  [10139] = {.lex_state = 436, .external_lex_state = 2},
  [10140] = {.lex_state = 21, .external_lex_state = 2},
  [10141] = {.lex_state = 162, .external_lex_state = 2},
  [10142] = {.lex_state = 204, .external_lex_state = 2},
  [10143] = {.lex_state = 238, .external_lex_state = 2},
  [10144] = {.lex_state = 221, .external_lex_state = 2},
  [10145] = {.lex_state = 162, .external_lex_state = 2},
  [10146] = {.lex_state = 436, .external_lex_state = 2},
  [10147] = {.lex_state = 162, .external_lex_state = 2},
  [10148] = {.lex_state = 210, .external_lex_state = 2},
  [10149] = {.lex_state = 208, .external_lex_state = 2},
  [10150] = {.lex_state = 174, .external_lex_state = 2},
  [10151] = {.lex_state = 162, .external_lex_state = 2},
  [10152] = {.lex_state = 204, .external_lex_state = 2},
  [10153] = {.lex_state = 204, .external_lex_state = 2},
  [10154] = {.lex_state = 167, .external_lex_state = 3},
  [10155] = {.lex_state = 204, .external_lex_state = 2},
  [10156] = {.lex_state = 172, .external_lex_state = 2},
  [10157] = {.lex_state = 174, .external_lex_state = 2},
  [10158] = {.lex_state = 160, .external_lex_state = 2},
  [10159] = {.lex_state = 162, .external_lex_state = 2},
  [10160] = {.lex_state = 39, .external_lex_state = 3},
  [10161] = {.lex_state = 215, .external_lex_state = 2},
  [10162] = {.lex_state = 39, .external_lex_state = 3},
  [10163] = {.lex_state = 164, .external_lex_state = 2},
  [10164] = {.lex_state = 200, .external_lex_state = 2},
  [10165] = {.lex_state = 160, .external_lex_state = 2},
  [10166] = {.lex_state = 228, .external_lex_state = 2},
  [10167] = {.lex_state = 228, .external_lex_state = 2},
  [10168] = {.lex_state = 228, .external_lex_state = 2},
  [10169] = {.lex_state = 215, .external_lex_state = 2},
  [10170] = {.lex_state = 228, .external_lex_state = 2},
  [10171] = {.lex_state = 228, .external_lex_state = 2},
  [10172] = {.lex_state = 39, .external_lex_state = 3},
  [10173] = {.lex_state = 228, .external_lex_state = 2},
  [10174] = {.lex_state = 207, .external_lex_state = 2},
  [10175] = {.lex_state = 228, .external_lex_state = 2},
  [10176] = {.lex_state = 228, .external_lex_state = 2},
  [10177] = {.lex_state = 207, .external_lex_state = 2},
  [10178] = {.lex_state = 207, .external_lex_state = 2},
  [10179] = {.lex_state = 207, .external_lex_state = 2},
  [10180] = {.lex_state = 228, .external_lex_state = 2},
  [10181] = {.lex_state = 206, .external_lex_state = 2},
  [10182] = {.lex_state = 228, .external_lex_state = 2},
  [10183] = {.lex_state = 207, .external_lex_state = 2},
  [10184] = {.lex_state = 160, .external_lex_state = 2},
  [10185] = {.lex_state = 228, .external_lex_state = 2},
  [10186] = {.lex_state = 207, .external_lex_state = 2},
  [10187] = {.lex_state = 228, .external_lex_state = 2},
  [10188] = {.lex_state = 221, .external_lex_state = 2},
  [10189] = {.lex_state = 160, .external_lex_state = 2},
  [10190] = {.lex_state = 228, .external_lex_state = 2},
  [10191] = {.lex_state = 228, .external_lex_state = 2},
  [10192] = {.lex_state = 228, .external_lex_state = 2},
  [10193] = {.lex_state = 167, .external_lex_state = 3},
  [10194] = {.lex_state = 228, .external_lex_state = 2},
  [10195] = {.lex_state = 160, .external_lex_state = 2},
  [10196] = {.lex_state = 228, .external_lex_state = 2},
  [10197] = {.lex_state = 210, .external_lex_state = 2},
  [10198] = {.lex_state = 228, .external_lex_state = 2},
  [10199] = {.lex_state = 228, .external_lex_state = 2},
  [10200] = {.lex_state = 228, .external_lex_state = 2},
  [10201] = {.lex_state = 162, .external_lex_state = 2},
  [10202] = {.lex_state = 228, .external_lex_state = 2},
  [10203] = {.lex_state = 206, .external_lex_state = 2},
  [10204] = {.lex_state = 228, .external_lex_state = 2},
  [10205] = {.lex_state = 164, .external_lex_state = 2},
  [10206] = {.lex_state = 228, .external_lex_state = 2},
  [10207] = {.lex_state = 164, .external_lex_state = 2},
  [10208] = {.lex_state = 228, .external_lex_state = 2},
  [10209] = {.lex_state = 228, .external_lex_state = 2},
  [10210] = {.lex_state = 228, .external_lex_state = 2},
  [10211] = {.lex_state = 164, .external_lex_state = 2},
  [10212] = {.lex_state = 160, .external_lex_state = 2},
  [10213] = {.lex_state = 189, .external_lex_state = 3},
  [10214] = {.lex_state = 231, .external_lex_state = 2},
  [10215] = {.lex_state = 200, .external_lex_state = 2},
  [10216] = {.lex_state = 230, .external_lex_state = 2},
  [10217] = {.lex_state = 224, .external_lex_state = 2},
  [10218] = {.lex_state = 228, .external_lex_state = 2},
  [10219] = {.lex_state = 228, .external_lex_state = 2},
  [10220] = {.lex_state = 228, .external_lex_state = 2},
  [10221] = {.lex_state = 228, .external_lex_state = 2},
  [10222] = {.lex_state = 164, .external_lex_state = 2},
  [10223] = {.lex_state = 228, .external_lex_state = 2},
  [10224] = {.lex_state = 228, .external_lex_state = 2},
  [10225] = {.lex_state = 22, .external_lex_state = 2},
  [10226] = {.lex_state = 228, .external_lex_state = 2},
  [10227] = {.lex_state = 164, .external_lex_state = 2},
  [10228] = {.lex_state = 228, .external_lex_state = 2},
  [10229] = {.lex_state = 231, .external_lex_state = 2},
  [10230] = {.lex_state = 164, .external_lex_state = 2},
  [10231] = {.lex_state = 164, .external_lex_state = 2},
  [10232] = {.lex_state = 164, .external_lex_state = 2},
  [10233] = {.lex_state = 228, .external_lex_state = 2},
  [10234] = {.lex_state = 228, .external_lex_state = 2},
  [10235] = {.lex_state = 21, .external_lex_state = 2},
  [10236] = {.lex_state = 162, .external_lex_state = 2},
  [10237] = {.lex_state = 228, .external_lex_state = 2},
  [10238] = {.lex_state = 231, .external_lex_state = 2},
  [10239] = {.lex_state = 228, .external_lex_state = 2},
  [10240] = {.lex_state = 215, .external_lex_state = 2},
  [10241] = {.lex_state = 436, .external_lex_state = 2},
  [10242] = {.lex_state = 228, .external_lex_state = 2},
  [10243] = {.lex_state = 215, .external_lex_state = 2},
  [10244] = {.lex_state = 215, .external_lex_state = 2},
  [10245] = {.lex_state = 228, .external_lex_state = 2},
  [10246] = {.lex_state = 228, .external_lex_state = 2},
  [10247] = {.lex_state = 228, .external_lex_state = 2},
  [10248] = {.lex_state = 164, .external_lex_state = 2},
  [10249] = {.lex_state = 208, .external_lex_state = 2},
  [10250] = {.lex_state = 164, .external_lex_state = 2},
  [10251] = {.lex_state = 228, .external_lex_state = 2},
  [10252] = {.lex_state = 164, .external_lex_state = 2},
  [10253] = {.lex_state = 206, .external_lex_state = 2},
  [10254] = {.lex_state = 228, .external_lex_state = 2},
  [10255] = {.lex_state = 209, .external_lex_state = 2},
  [10256] = {.lex_state = 228, .external_lex_state = 2},
  [10257] = {.lex_state = 164, .external_lex_state = 2},
  [10258] = {.lex_state = 164, .external_lex_state = 2},
  [10259] = {.lex_state = 164, .external_lex_state = 2},
  [10260] = {.lex_state = 228, .external_lex_state = 2},
  [10261] = {.lex_state = 215, .external_lex_state = 2},
  [10262] = {.lex_state = 162, .external_lex_state = 2},
  [10263] = {.lex_state = 162, .external_lex_state = 2},
  [10264] = {.lex_state = 164, .external_lex_state = 2},
  [10265] = {.lex_state = 164, .external_lex_state = 2},
  [10266] = {.lex_state = 162, .external_lex_state = 2},
  [10267] = {.lex_state = 228, .external_lex_state = 2},
  [10268] = {.lex_state = 162, .external_lex_state = 2},
  [10269] = {.lex_state = 162, .external_lex_state = 2},
  [10270] = {.lex_state = 231, .external_lex_state = 2},
  [10271] = {.lex_state = 162, .external_lex_state = 2},
  [10272] = {.lex_state = 162, .external_lex_state = 2},
  [10273] = {.lex_state = 219, .external_lex_state = 2},
  [10274] = {.lex_state = 208, .external_lex_state = 2},
  [10275] = {.lex_state = 162, .external_lex_state = 2},
  [10276] = {.lex_state = 228, .external_lex_state = 2},
  [10277] = {.lex_state = 228, .external_lex_state = 2},
  [10278] = {.lex_state = 162, .external_lex_state = 2},
  [10279] = {.lex_state = 162, .external_lex_state = 2},
  [10280] = {.lex_state = 162, .external_lex_state = 2},
  [10281] = {.lex_state = 215, .external_lex_state = 2},
  [10282] = {.lex_state = 228, .external_lex_state = 2},
  [10283] = {.lex_state = 206, .external_lex_state = 2},
  [10284] = {.lex_state = 160, .external_lex_state = 2},
  [10285] = {.lex_state = 228, .external_lex_state = 2},
  [10286] = {.lex_state = 228, .external_lex_state = 2},
  [10287] = {.lex_state = 162, .external_lex_state = 2},
  [10288] = {.lex_state = 228, .external_lex_state = 2},
  [10289] = {.lex_state = 162, .external_lex_state = 2},
  [10290] = {.lex_state = 208, .external_lex_state = 2},
  [10291] = {.lex_state = 208, .external_lex_state = 2},
  [10292] = {.lex_state = 208, .external_lex_state = 2},
  [10293] = {.lex_state = 208, .external_lex_state = 2},
  [10294] = {.lex_state = 164, .external_lex_state = 2},
  [10295] = {.lex_state = 164, .external_lex_state = 2},
  [10296] = {.lex_state = 228, .external_lex_state = 2},
  [10297] = {.lex_state = 163, .external_lex_state = 2},
  [10298] = {.lex_state = 228, .external_lex_state = 2},
  [10299] = {.lex_state = 164, .external_lex_state = 2},
  [10300] = {.lex_state = 228, .external_lex_state = 2},
  [10301] = {.lex_state = 164, .external_lex_state = 2},
  [10302] = {.lex_state = 163, .external_lex_state = 2},
  [10303] = {.lex_state = 164, .external_lex_state = 2},
  [10304] = {.lex_state = 228, .external_lex_state = 2},
  [10305] = {.lex_state = 228, .external_lex_state = 2},
  [10306] = {.lex_state = 164, .external_lex_state = 2},
  [10307] = {.lex_state = 228, .external_lex_state = 2},
  [10308] = {.lex_state = 162, .external_lex_state = 2},
  [10309] = {.lex_state = 228, .external_lex_state = 2},
  [10310] = {.lex_state = 163, .external_lex_state = 2},
  [10311] = {.lex_state = 228, .external_lex_state = 2},
  [10312] = {.lex_state = 226, .external_lex_state = 2},
  [10313] = {.lex_state = 163, .external_lex_state = 2},
  [10314] = {.lex_state = 215, .external_lex_state = 2},
  [10315] = {.lex_state = 228, .external_lex_state = 2},
  [10316] = {.lex_state = 215, .external_lex_state = 2},
  [10317] = {.lex_state = 228, .external_lex_state = 2},
  [10318] = {.lex_state = 164, .external_lex_state = 2},
  [10319] = {.lex_state = 206, .external_lex_state = 2},
  [10320] = {.lex_state = 173, .external_lex_state = 2},
  [10321] = {.lex_state = 206, .external_lex_state = 2},
  [10322] = {.lex_state = 215, .external_lex_state = 2},
  [10323] = {.lex_state = 164, .external_lex_state = 2},
  [10324] = {.lex_state = 228, .external_lex_state = 2},
  [10325] = {.lex_state = 228, .external_lex_state = 2},
  [10326] = {.lex_state = 206, .external_lex_state = 2},
  [10327] = {.lex_state = 206, .external_lex_state = 2},
  [10328] = {.lex_state = 228, .external_lex_state = 2},
  [10329] = {.lex_state = 175, .external_lex_state = 2},
  [10330] = {.lex_state = 160, .external_lex_state = 2},
  [10331] = {.lex_state = 228, .external_lex_state = 2},
  [10332] = {.lex_state = 228, .external_lex_state = 2},
  [10333] = {.lex_state = 228, .external_lex_state = 2},
  [10334] = {.lex_state = 215, .external_lex_state = 2},
  [10335] = {.lex_state = 163, .external_lex_state = 2},
  [10336] = {.lex_state = 228, .external_lex_state = 2},
  [10337] = {.lex_state = 228, .external_lex_state = 2},
  [10338] = {.lex_state = 228, .external_lex_state = 2},
  [10339] = {.lex_state = 164, .external_lex_state = 2},
  [10340] = {.lex_state = 228, .external_lex_state = 2},
  [10341] = {.lex_state = 163, .external_lex_state = 2},
  [10342] = {.lex_state = 170, .external_lex_state = 2},
  [10343] = {.lex_state = 230, .external_lex_state = 2},
  [10344] = {.lex_state = 206, .external_lex_state = 2},
  [10345] = {.lex_state = 164, .external_lex_state = 2},
  [10346] = {.lex_state = 228, .external_lex_state = 2},
  [10347] = {.lex_state = 163, .external_lex_state = 2},
  [10348] = {.lex_state = 164, .external_lex_state = 2},
  [10349] = {.lex_state = 163, .external_lex_state = 2},
  [10350] = {.lex_state = 228, .external_lex_state = 2},
  [10351] = {.lex_state = 163, .external_lex_state = 2},
  [10352] = {.lex_state = 160, .external_lex_state = 2},
  [10353] = {.lex_state = 160, .external_lex_state = 2},
  [10354] = {.lex_state = 228, .external_lex_state = 2},
  [10355] = {.lex_state = 228, .external_lex_state = 2},
  [10356] = {.lex_state = 228, .external_lex_state = 2},
  [10357] = {.lex_state = 228, .external_lex_state = 2},
  [10358] = {.lex_state = 206, .external_lex_state = 2},
  [10359] = {.lex_state = 163, .external_lex_state = 2},
  [10360] = {.lex_state = 163, .external_lex_state = 2},
  [10361] = {.lex_state = 21, .external_lex_state = 2},
  [10362] = {.lex_state = 228, .external_lex_state = 2},
  [10363] = {.lex_state = 230, .external_lex_state = 2},
  [10364] = {.lex_state = 230, .external_lex_state = 2},
  [10365] = {.lex_state = 162, .external_lex_state = 2},
  [10366] = {.lex_state = 163, .external_lex_state = 2},
  [10367] = {.lex_state = 228, .external_lex_state = 2},
  [10368] = {.lex_state = 163, .external_lex_state = 2},
  [10369] = {.lex_state = 228, .external_lex_state = 2},
  [10370] = {.lex_state = 163, .external_lex_state = 2},
  [10371] = {.lex_state = 163, .external_lex_state = 2},
  [10372] = {.lex_state = 163, .external_lex_state = 2},
  [10373] = {.lex_state = 163, .external_lex_state = 2},
  [10374] = {.lex_state = 163, .external_lex_state = 2},
  [10375] = {.lex_state = 163, .external_lex_state = 2},
  [10376] = {.lex_state = 228, .external_lex_state = 2},
  [10377] = {.lex_state = 228, .external_lex_state = 2},
  [10378] = {.lex_state = 228, .external_lex_state = 2},
  [10379] = {.lex_state = 228, .external_lex_state = 2},
  [10380] = {.lex_state = 21, .external_lex_state = 2},
  [10381] = {.lex_state = 228, .external_lex_state = 2},
  [10382] = {.lex_state = 21, .external_lex_state = 2},
  [10383] = {.lex_state = 228, .external_lex_state = 2},
  [10384] = {.lex_state = 228, .external_lex_state = 2},
  [10385] = {.lex_state = 228, .external_lex_state = 2},
  [10386] = {.lex_state = 162, .external_lex_state = 2},
  [10387] = {.lex_state = 228, .external_lex_state = 2},
  [10388] = {.lex_state = 22, .external_lex_state = 2},
  [10389] = {.lex_state = 164, .external_lex_state = 2},
  [10390] = {.lex_state = 228, .external_lex_state = 2},
  [10391] = {.lex_state = 21, .external_lex_state = 2},
  [10392] = {.lex_state = 228, .external_lex_state = 2},
  [10393] = {.lex_state = 206, .external_lex_state = 2},
  [10394] = {.lex_state = 228, .external_lex_state = 2},
  [10395] = {.lex_state = 22, .external_lex_state = 2},
  [10396] = {.lex_state = 22, .external_lex_state = 2},
  [10397] = {.lex_state = 160, .external_lex_state = 2},
  [10398] = {.lex_state = 22, .external_lex_state = 2},
  [10399] = {.lex_state = 228, .external_lex_state = 2},
  [10400] = {.lex_state = 228, .external_lex_state = 2},
  [10401] = {.lex_state = 219, .external_lex_state = 2},
  [10402] = {.lex_state = 21, .external_lex_state = 2},
  [10403] = {.lex_state = 22, .external_lex_state = 2},
  [10404] = {.lex_state = 22, .external_lex_state = 2},
  [10405] = {.lex_state = 228, .external_lex_state = 2},
  [10406] = {.lex_state = 221, .external_lex_state = 2},
  [10407] = {.lex_state = 21, .external_lex_state = 2},
  [10408] = {.lex_state = 228, .external_lex_state = 2},
  [10409] = {.lex_state = 22, .external_lex_state = 2},
  [10410] = {.lex_state = 21, .external_lex_state = 2},
  [10411] = {.lex_state = 219, .external_lex_state = 2},
  [10412] = {.lex_state = 204, .external_lex_state = 2},
  [10413] = {.lex_state = 21, .external_lex_state = 2},
  [10414] = {.lex_state = 228, .external_lex_state = 2},
  [10415] = {.lex_state = 21, .external_lex_state = 2},
  [10416] = {.lex_state = 22, .external_lex_state = 2},
  [10417] = {.lex_state = 21, .external_lex_state = 2},
  [10418] = {.lex_state = 21, .external_lex_state = 2},
  [10419] = {.lex_state = 22, .external_lex_state = 2},
  [10420] = {.lex_state = 21, .external_lex_state = 2},
  [10421] = {.lex_state = 228, .external_lex_state = 2},
  [10422] = {.lex_state = 163, .external_lex_state = 2},
  [10423] = {.lex_state = 226, .external_lex_state = 2},
  [10424] = {.lex_state = 204, .external_lex_state = 2},
  [10425] = {.lex_state = 219, .external_lex_state = 2},
  [10426] = {.lex_state = 21, .external_lex_state = 2},
  [10427] = {.lex_state = 204, .external_lex_state = 2},
  [10428] = {.lex_state = 221, .external_lex_state = 2},
  [10429] = {.lex_state = 21, .external_lex_state = 2},
  [10430] = {.lex_state = 204, .external_lex_state = 2},
  [10431] = {.lex_state = 21, .external_lex_state = 2},
  [10432] = {.lex_state = 21, .external_lex_state = 2},
  [10433] = {.lex_state = 221, .external_lex_state = 2},
  [10434] = {.lex_state = 221, .external_lex_state = 2},
  [10435] = {.lex_state = 204, .external_lex_state = 2},
  [10436] = {.lex_state = 219, .external_lex_state = 2},
  [10437] = {.lex_state = 21, .external_lex_state = 2},
  [10438] = {.lex_state = 221, .external_lex_state = 2},
  [10439] = {.lex_state = 163, .external_lex_state = 2},
  [10440] = {.lex_state = 163, .external_lex_state = 2},
  [10441] = {.lex_state = 163, .external_lex_state = 2},
  [10442] = {.lex_state = 21, .external_lex_state = 2},
  [10443] = {.lex_state = 163, .external_lex_state = 2},
  [10444] = {.lex_state = 228, .external_lex_state = 2},
  [10445] = {.lex_state = 204, .external_lex_state = 2},
  [10446] = {.lex_state = 228, .external_lex_state = 2},
  [10447] = {.lex_state = 163, .external_lex_state = 2},
  [10448] = {.lex_state = 204, .external_lex_state = 2},
  [10449] = {.lex_state = 163, .external_lex_state = 2},
  [10450] = {.lex_state = 204, .external_lex_state = 2},
  [10451] = {.lex_state = 163, .external_lex_state = 2},
  [10452] = {.lex_state = 228, .external_lex_state = 2},
  [10453] = {.lex_state = 228, .external_lex_state = 2},
  [10454] = {.lex_state = 163, .external_lex_state = 2},
  [10455] = {.lex_state = 219, .external_lex_state = 2},
  [10456] = {.lex_state = 204, .external_lex_state = 2},
  [10457] = {.lex_state = 226, .external_lex_state = 2},
  [10458] = {.lex_state = 231, .external_lex_state = 2},
  [10459] = {.lex_state = 219, .external_lex_state = 2},
  [10460] = {.lex_state = 163, .external_lex_state = 2},
  [10461] = {.lex_state = 219, .external_lex_state = 2},
  [10462] = {.lex_state = 230, .external_lex_state = 2},
  [10463] = {.lex_state = 228, .external_lex_state = 2},
  [10464] = {.lex_state = 163, .external_lex_state = 2},
  [10465] = {.lex_state = 204, .external_lex_state = 2},
  [10466] = {.lex_state = 204, .external_lex_state = 2},
  [10467] = {.lex_state = 233, .external_lex_state = 2},
  [10468] = {.lex_state = 228, .external_lex_state = 2},
  [10469] = {.lex_state = 228, .external_lex_state = 2},
  [10470] = {.lex_state = 204, .external_lex_state = 2},
  [10471] = {.lex_state = 228, .external_lex_state = 2},
  [10472] = {.lex_state = 204, .external_lex_state = 2},
  [10473] = {.lex_state = 231, .external_lex_state = 2},
  [10474] = {.lex_state = 219, .external_lex_state = 2},
  [10475] = {.lex_state = 204, .external_lex_state = 2},
  [10476] = {.lex_state = 228, .external_lex_state = 2},
  [10477] = {.lex_state = 228, .external_lex_state = 2},
  [10478] = {.lex_state = 226, .external_lex_state = 2},
  [10479] = {.lex_state = 219, .external_lex_state = 2},
  [10480] = {.lex_state = 221, .external_lex_state = 2},
  [10481] = {.lex_state = 219, .external_lex_state = 2},
  [10482] = {.lex_state = 204, .external_lex_state = 2},
  [10483] = {.lex_state = 228, .external_lex_state = 2},
  [10484] = {.lex_state = 219, .external_lex_state = 2},
  [10485] = {.lex_state = 204, .external_lex_state = 2},
  [10486] = {.lex_state = 221, .external_lex_state = 2},
  [10487] = {.lex_state = 230, .external_lex_state = 2},
  [10488] = {.lex_state = 221, .external_lex_state = 2},
  [10489] = {.lex_state = 221, .external_lex_state = 2},
  [10490] = {.lex_state = 204, .external_lex_state = 2},
  [10491] = {.lex_state = 228, .external_lex_state = 2},
  [10492] = {.lex_state = 228, .external_lex_state = 2},
  [10493] = {.lex_state = 163, .external_lex_state = 2},
  [10494] = {.lex_state = 228, .external_lex_state = 2},
  [10495] = {.lex_state = 21, .external_lex_state = 2},
  [10496] = {.lex_state = 21, .external_lex_state = 2},
  [10497] = {.lex_state = 226, .external_lex_state = 2},
  [10498] = {.lex_state = 228, .external_lex_state = 2},
  [10499] = {.lex_state = 21, .external_lex_state = 2},
  [10500] = {.lex_state = 221, .external_lex_state = 2},
  [10501] = {.lex_state = 219, .external_lex_state = 2},
  [10502] = {.lex_state = 228, .external_lex_state = 2},
  [10503] = {.lex_state = 228, .external_lex_state = 2},
  [10504] = {.lex_state = 204, .external_lex_state = 2},
  [10505] = {.lex_state = 21, .external_lex_state = 2},
  [10506] = {.lex_state = 21, .external_lex_state = 2},
  [10507] = {.lex_state = 204, .external_lex_state = 2},
  [10508] = {.lex_state = 21, .external_lex_state = 2},
  [10509] = {.lex_state = 204, .external_lex_state = 2},
  [10510] = {.lex_state = 228, .external_lex_state = 2},
  [10511] = {.lex_state = 204, .external_lex_state = 2},
  [10512] = {.lex_state = 239, .external_lex_state = 2},
  [10513] = {.lex_state = 219, .external_lex_state = 2},
  [10514] = {.lex_state = 228, .external_lex_state = 2},
  [10515] = {.lex_state = 219, .external_lex_state = 2},
  [10516] = {.lex_state = 21, .external_lex_state = 2},
  [10517] = {.lex_state = 21, .external_lex_state = 2},
  [10518] = {.lex_state = 22, .external_lex_state = 2},
  [10519] = {.lex_state = 228, .external_lex_state = 2},
  [10520] = {.lex_state = 21, .external_lex_state = 2},
  [10521] = {.lex_state = 228, .external_lex_state = 2},
  [10522] = {.lex_state = 22, .external_lex_state = 2},
  [10523] = {.lex_state = 219, .external_lex_state = 2},
  [10524] = {.lex_state = 22, .external_lex_state = 2},
  [10525] = {.lex_state = 22, .external_lex_state = 2},
  [10526] = {.lex_state = 221, .external_lex_state = 2},
  [10527] = {.lex_state = 221, .external_lex_state = 2},
  [10528] = {.lex_state = 22, .external_lex_state = 2},
  [10529] = {.lex_state = 221, .external_lex_state = 2},
  [10530] = {.lex_state = 228, .external_lex_state = 2},
  [10531] = {.lex_state = 228, .external_lex_state = 2},
  [10532] = {.lex_state = 206, .external_lex_state = 2},
  [10533] = {.lex_state = 22, .external_lex_state = 2},
  [10534] = {.lex_state = 204, .external_lex_state = 2},
  [10535] = {.lex_state = 21, .external_lex_state = 2},
  [10536] = {.lex_state = 22, .external_lex_state = 2},
  [10537] = {.lex_state = 204, .external_lex_state = 2},
  [10538] = {.lex_state = 204, .external_lex_state = 2},
  [10539] = {.lex_state = 219, .external_lex_state = 2},
  [10540] = {.lex_state = 228, .external_lex_state = 2},
  [10541] = {.lex_state = 22, .external_lex_state = 2},
  [10542] = {.lex_state = 219, .external_lex_state = 2},
  [10543] = {.lex_state = 21, .external_lex_state = 2},
  [10544] = {.lex_state = 22, .external_lex_state = 2},
  [10545] = {.lex_state = 228, .external_lex_state = 2},
  [10546] = {.lex_state = 21, .external_lex_state = 2},
  [10547] = {.lex_state = 221, .external_lex_state = 2},
  [10548] = {.lex_state = 158, .external_lex_state = 2},
  [10549] = {.lex_state = 228, .external_lex_state = 2},
  [10550] = {.lex_state = 228, .external_lex_state = 2},
  [10551] = {.lex_state = 22, .external_lex_state = 2},
  [10552] = {.lex_state = 228, .external_lex_state = 2},
  [10553] = {.lex_state = 22, .external_lex_state = 2},
  [10554] = {.lex_state = 204, .external_lex_state = 2},
  [10555] = {.lex_state = 204, .external_lex_state = 2},
  [10556] = {.lex_state = 22, .external_lex_state = 2},
  [10557] = {.lex_state = 219, .external_lex_state = 2},
  [10558] = {.lex_state = 219, .external_lex_state = 2},
  [10559] = {.lex_state = 204, .external_lex_state = 2},
  [10560] = {.lex_state = 204, .external_lex_state = 2},
  [10561] = {.lex_state = 166, .external_lex_state = 3},
  [10562] = {.lex_state = 22, .external_lex_state = 2},
  [10563] = {.lex_state = 228, .external_lex_state = 2},
  [10564] = {.lex_state = 204, .external_lex_state = 2},
  [10565] = {.lex_state = 221, .external_lex_state = 2},
  [10566] = {.lex_state = 22, .external_lex_state = 2},
  [10567] = {.lex_state = 228, .external_lex_state = 2},
  [10568] = {.lex_state = 221, .external_lex_state = 2},
  [10569] = {.lex_state = 221, .external_lex_state = 2},
  [10570] = {.lex_state = 22, .external_lex_state = 2},
  [10571] = {.lex_state = 228, .external_lex_state = 2},
  [10572] = {.lex_state = 219, .external_lex_state = 2},
  [10573] = {.lex_state = 22, .external_lex_state = 2},
  [10574] = {.lex_state = 228, .external_lex_state = 2},
  [10575] = {.lex_state = 228, .external_lex_state = 2},
  [10576] = {.lex_state = 22, .external_lex_state = 2},
  [10577] = {.lex_state = 221, .external_lex_state = 2},
  [10578] = {.lex_state = 228, .external_lex_state = 2},
  [10579] = {.lex_state = 228, .external_lex_state = 2},
  [10580] = {.lex_state = 167, .external_lex_state = 3},
  [10581] = {.lex_state = 221, .external_lex_state = 2},
  [10582] = {.lex_state = 21, .external_lex_state = 2},
  [10583] = {.lex_state = 204, .external_lex_state = 2},
  [10584] = {.lex_state = 221, .external_lex_state = 2},
  [10585] = {.lex_state = 228, .external_lex_state = 2},
  [10586] = {.lex_state = 204, .external_lex_state = 2},
  [10587] = {.lex_state = 221, .external_lex_state = 2},
  [10588] = {.lex_state = 228, .external_lex_state = 2},
  [10589] = {.lex_state = 228, .external_lex_state = 2},
  [10590] = {.lex_state = 204, .external_lex_state = 2},
  [10591] = {.lex_state = 163, .external_lex_state = 2},
  [10592] = {.lex_state = 228, .external_lex_state = 2},
  [10593] = {.lex_state = 204, .external_lex_state = 2},
  [10594] = {.lex_state = 21, .external_lex_state = 2},
  [10595] = {.lex_state = 219, .external_lex_state = 2},
  [10596] = {.lex_state = 228, .external_lex_state = 2},
  [10597] = {.lex_state = 221, .external_lex_state = 2},
  [10598] = {.lex_state = 221, .external_lex_state = 2},
  [10599] = {.lex_state = 228, .external_lex_state = 2},
  [10600] = {.lex_state = 219, .external_lex_state = 2},
  [10601] = {.lex_state = 219, .external_lex_state = 2},
  [10602] = {.lex_state = 228, .external_lex_state = 2},
  [10603] = {.lex_state = 228, .external_lex_state = 2},
  [10604] = {.lex_state = 204, .external_lex_state = 2},
  [10605] = {.lex_state = 204, .external_lex_state = 2},
  [10606] = {.lex_state = 228, .external_lex_state = 2},
  [10607] = {.lex_state = 204, .external_lex_state = 2},
  [10608] = {.lex_state = 204, .external_lex_state = 2},
  [10609] = {.lex_state = 221, .external_lex_state = 2},
  [10610] = {.lex_state = 221, .external_lex_state = 2},
  [10611] = {.lex_state = 221, .external_lex_state = 2},
  [10612] = {.lex_state = 22, .external_lex_state = 2},
  [10613] = {.lex_state = 215, .external_lex_state = 2},
  [10614] = {.lex_state = 204, .external_lex_state = 2},
  [10615] = {.lex_state = 204, .external_lex_state = 2},
  [10616] = {.lex_state = 22, .external_lex_state = 2},
  [10617] = {.lex_state = 221, .external_lex_state = 2},
  [10618] = {.lex_state = 228, .external_lex_state = 2},
  [10619] = {.lex_state = 22, .external_lex_state = 2},
  [10620] = {.lex_state = 206, .external_lex_state = 2},
  [10621] = {.lex_state = 160, .external_lex_state = 2},
  [10622] = {.lex_state = 228, .external_lex_state = 2},
  [10623] = {.lex_state = 22, .external_lex_state = 2},
  [10624] = {.lex_state = 22, .external_lex_state = 2},
  [10625] = {.lex_state = 219, .external_lex_state = 2},
  [10626] = {.lex_state = 239, .external_lex_state = 2},
  [10627] = {.lex_state = 219, .external_lex_state = 2},
  [10628] = {.lex_state = 219, .external_lex_state = 2},
  [10629] = {.lex_state = 22, .external_lex_state = 2},
  [10630] = {.lex_state = 22, .external_lex_state = 2},
  [10631] = {.lex_state = 160, .external_lex_state = 2},
  [10632] = {.lex_state = 204, .external_lex_state = 2},
  [10633] = {.lex_state = 221, .external_lex_state = 2},
  [10634] = {.lex_state = 219, .external_lex_state = 2},
  [10635] = {.lex_state = 22, .external_lex_state = 2},
  [10636] = {.lex_state = 215, .external_lex_state = 2},
  [10637] = {.lex_state = 22, .external_lex_state = 2},
  [10638] = {.lex_state = 219, .external_lex_state = 2},
  [10639] = {.lex_state = 21, .external_lex_state = 2},
  [10640] = {.lex_state = 219, .external_lex_state = 2},
  [10641] = {.lex_state = 221, .external_lex_state = 2},
  [10642] = {.lex_state = 22, .external_lex_state = 2},
  [10643] = {.lex_state = 228, .external_lex_state = 2},
  [10644] = {.lex_state = 228, .external_lex_state = 2},
  [10645] = {.lex_state = 228, .external_lex_state = 2},
  [10646] = {.lex_state = 22, .external_lex_state = 2},
  [10647] = {.lex_state = 204, .external_lex_state = 2},
  [10648] = {.lex_state = 228, .external_lex_state = 2},
  [10649] = {.lex_state = 204, .external_lex_state = 2},
  [10650] = {.lex_state = 232, .external_lex_state = 2},
  [10651] = {.lex_state = 204, .external_lex_state = 2},
  [10652] = {.lex_state = 228, .external_lex_state = 2},
  [10653] = {.lex_state = 22, .external_lex_state = 2},
  [10654] = {.lex_state = 158, .external_lex_state = 2},
  [10655] = {.lex_state = 228, .external_lex_state = 2},
  [10656] = {.lex_state = 204, .external_lex_state = 2},
  [10657] = {.lex_state = 204, .external_lex_state = 2},
  [10658] = {.lex_state = 228, .external_lex_state = 2},
  [10659] = {.lex_state = 204, .external_lex_state = 2},
  [10660] = {.lex_state = 230, .external_lex_state = 2},
  [10661] = {.lex_state = 228, .external_lex_state = 2},
  [10662] = {.lex_state = 160, .external_lex_state = 2},
  [10663] = {.lex_state = 224, .external_lex_state = 2},
  [10664] = {.lex_state = 221, .external_lex_state = 2},
  [10665] = {.lex_state = 228, .external_lex_state = 2},
  [10666] = {.lex_state = 221, .external_lex_state = 2},
  [10667] = {.lex_state = 221, .external_lex_state = 2},
  [10668] = {.lex_state = 221, .external_lex_state = 2},
  [10669] = {.lex_state = 221, .external_lex_state = 2},
  [10670] = {.lex_state = 221, .external_lex_state = 2},
  [10671] = {.lex_state = 228, .external_lex_state = 2},
  [10672] = {.lex_state = 204, .external_lex_state = 2},
  [10673] = {.lex_state = 21, .external_lex_state = 2},
  [10674] = {.lex_state = 228, .external_lex_state = 2},
  [10675] = {.lex_state = 231, .external_lex_state = 2},
  [10676] = {.lex_state = 228, .external_lex_state = 2},
  [10677] = {.lex_state = 228, .external_lex_state = 2},
  [10678] = {.lex_state = 228, .external_lex_state = 2},
  [10679] = {.lex_state = 228, .external_lex_state = 2},
  [10680] = {.lex_state = 204, .external_lex_state = 2},
  [10681] = {.lex_state = 228, .external_lex_state = 2},
  [10682] = {.lex_state = 228, .external_lex_state = 2},
  [10683] = {.lex_state = 22, .external_lex_state = 2},
  [10684] = {.lex_state = 228, .external_lex_state = 2},
  [10685] = {.lex_state = 21, .external_lex_state = 2},
  [10686] = {.lex_state = 21, .external_lex_state = 2},
  [10687] = {.lex_state = 228, .external_lex_state = 2},
  [10688] = {.lex_state = 232, .external_lex_state = 2},
  [10689] = {.lex_state = 228, .external_lex_state = 2},
  [10690] = {.lex_state = 204, .external_lex_state = 2},
  [10691] = {.lex_state = 224, .external_lex_state = 2},
  [10692] = {.lex_state = 204, .external_lex_state = 2},
  [10693] = {.lex_state = 228, .external_lex_state = 2},
  [10694] = {.lex_state = 204, .external_lex_state = 2},
  [10695] = {.lex_state = 232, .external_lex_state = 2},
  [10696] = {.lex_state = 228, .external_lex_state = 2},
  [10697] = {.lex_state = 228, .external_lex_state = 2},
  [10698] = {.lex_state = 228, .external_lex_state = 2},
  [10699] = {.lex_state = 21, .external_lex_state = 2},
  [10700] = {.lex_state = 228, .external_lex_state = 2},
  [10701] = {.lex_state = 21, .external_lex_state = 2},
  [10702] = {.lex_state = 21, .external_lex_state = 2},
  [10703] = {.lex_state = 228, .external_lex_state = 2},
  [10704] = {.lex_state = 228, .external_lex_state = 2},
  [10705] = {.lex_state = 219, .external_lex_state = 2},
  [10706] = {.lex_state = 228, .external_lex_state = 2},
  [10707] = {.lex_state = 228, .external_lex_state = 2},
  [10708] = {.lex_state = 228, .external_lex_state = 2},
  [10709] = {.lex_state = 228, .external_lex_state = 2},
  [10710] = {.lex_state = 204, .external_lex_state = 2},
  [10711] = {.lex_state = 204, .external_lex_state = 2},
  [10712] = {.lex_state = 228, .external_lex_state = 2},
  [10713] = {.lex_state = 204, .external_lex_state = 2},
  [10714] = {.lex_state = 204, .external_lex_state = 2},
  [10715] = {.lex_state = 163, .external_lex_state = 2},
  [10716] = {.lex_state = 228, .external_lex_state = 2},
  [10717] = {.lex_state = 228, .external_lex_state = 2},
  [10718] = {.lex_state = 219, .external_lex_state = 2},
  [10719] = {.lex_state = 219, .external_lex_state = 2},
  [10720] = {.lex_state = 228, .external_lex_state = 2},
  [10721] = {.lex_state = 204, .external_lex_state = 2},
  [10722] = {.lex_state = 228, .external_lex_state = 2},
  [10723] = {.lex_state = 228, .external_lex_state = 2},
  [10724] = {.lex_state = 204, .external_lex_state = 2},
  [10725] = {.lex_state = 228, .external_lex_state = 2},
  [10726] = {.lex_state = 221, .external_lex_state = 2},
  [10727] = {.lex_state = 228, .external_lex_state = 2},
  [10728] = {.lex_state = 228, .external_lex_state = 2},
  [10729] = {.lex_state = 158, .external_lex_state = 3},
  [10730] = {.lex_state = 436, .external_lex_state = 2},
  [10731] = {.lex_state = 228, .external_lex_state = 2},
  [10732] = {.lex_state = 228, .external_lex_state = 2},
  [10733] = {.lex_state = 219, .external_lex_state = 2},
  [10734] = {.lex_state = 224, .external_lex_state = 2},
  [10735] = {.lex_state = 233, .external_lex_state = 2},
  [10736] = {.lex_state = 228, .external_lex_state = 2},
  [10737] = {.lex_state = 204, .external_lex_state = 2},
  [10738] = {.lex_state = 228, .external_lex_state = 2},
  [10739] = {.lex_state = 219, .external_lex_state = 2},
  [10740] = {.lex_state = 228, .external_lex_state = 2},
  [10741] = {.lex_state = 228, .external_lex_state = 2},
  [10742] = {.lex_state = 204, .external_lex_state = 2},
  [10743] = {.lex_state = 219, .external_lex_state = 2},
  [10744] = {.lex_state = 204, .external_lex_state = 2},
  [10745] = {.lex_state = 228, .external_lex_state = 2},
  [10746] = {.lex_state = 228, .external_lex_state = 2},
  [10747] = {.lex_state = 228, .external_lex_state = 2},
  [10748] = {.lex_state = 219, .external_lex_state = 2},
  [10749] = {.lex_state = 233, .external_lex_state = 2},
  [10750] = {.lex_state = 228, .external_lex_state = 2},
  [10751] = {.lex_state = 239, .external_lex_state = 2},
  [10752] = {.lex_state = 228, .external_lex_state = 2},
  [10753] = {.lex_state = 204, .external_lex_state = 2},
  [10754] = {.lex_state = 228, .external_lex_state = 2},
  [10755] = {.lex_state = 228, .external_lex_state = 2},
  [10756] = {.lex_state = 239, .external_lex_state = 2},
  [10757] = {.lex_state = 204, .external_lex_state = 2},
  [10758] = {.lex_state = 228, .external_lex_state = 2},
  [10759] = {.lex_state = 228, .external_lex_state = 2},
  [10760] = {.lex_state = 219, .external_lex_state = 2},
  [10761] = {.lex_state = 204, .external_lex_state = 2},
  [10762] = {.lex_state = 228, .external_lex_state = 2},
  [10763] = {.lex_state = 221, .external_lex_state = 2},
  [10764] = {.lex_state = 204, .external_lex_state = 2},
  [10765] = {.lex_state = 228, .external_lex_state = 2},
  [10766] = {.lex_state = 228, .external_lex_state = 2},
  [10767] = {.lex_state = 204, .external_lex_state = 2},
  [10768] = {.lex_state = 228, .external_lex_state = 2},
  [10769] = {.lex_state = 228, .external_lex_state = 2},
  [10770] = {.lex_state = 224, .external_lex_state = 2},
  [10771] = {.lex_state = 228, .external_lex_state = 2},
  [10772] = {.lex_state = 228, .external_lex_state = 2},
  [10773] = {.lex_state = 39, .external_lex_state = 3},
  [10774] = {.lex_state = 204, .external_lex_state = 2},
  [10775] = {.lex_state = 228, .external_lex_state = 2},
  [10776] = {.lex_state = 158, .external_lex_state = 2},
  [10777] = {.lex_state = 215, .external_lex_state = 2},
  [10778] = {.lex_state = 215, .external_lex_state = 2},
  [10779] = {.lex_state = 228, .external_lex_state = 2},
  [10780] = {.lex_state = 215, .external_lex_state = 2},
  [10781] = {.lex_state = 228, .external_lex_state = 2},
  [10782] = {.lex_state = 228, .external_lex_state = 2},
  [10783] = {.lex_state = 228, .external_lex_state = 2},
  [10784] = {.lex_state = 228, .external_lex_state = 2},
  [10785] = {.lex_state = 228, .external_lex_state = 2},
  [10786] = {.lex_state = 436, .external_lex_state = 2},
  [10787] = {.lex_state = 215, .external_lex_state = 2},
  [10788] = {.lex_state = 228, .external_lex_state = 2},
  [10789] = {.lex_state = 215, .external_lex_state = 2},
  [10790] = {.lex_state = 215, .external_lex_state = 2},
  [10791] = {.lex_state = 228, .external_lex_state = 2},
  [10792] = {.lex_state = 228, .external_lex_state = 2},
  [10793] = {.lex_state = 215, .external_lex_state = 2},
  [10794] = {.lex_state = 215, .external_lex_state = 2},
  [10795] = {.lex_state = 228, .external_lex_state = 2},
  [10796] = {.lex_state = 215, .external_lex_state = 2},
  [10797] = {.lex_state = 215, .external_lex_state = 2},
  [10798] = {.lex_state = 215, .external_lex_state = 2},
  [10799] = {.lex_state = 158, .external_lex_state = 2},
  [10800] = {.lex_state = 158, .external_lex_state = 2},
  [10801] = {.lex_state = 164, .external_lex_state = 2},
  [10802] = {.lex_state = 228, .external_lex_state = 2},
  [10803] = {.lex_state = 158, .external_lex_state = 2},
  [10804] = {.lex_state = 215, .external_lex_state = 2},
  [10805] = {.lex_state = 215, .external_lex_state = 2},
  [10806] = {.lex_state = 215, .external_lex_state = 2},
  [10807] = {.lex_state = 215, .external_lex_state = 2},
  [10808] = {.lex_state = 215, .external_lex_state = 2},
  [10809] = {.lex_state = 158, .external_lex_state = 2},
  [10810] = {.lex_state = 215, .external_lex_state = 2},
  [10811] = {.lex_state = 158, .external_lex_state = 2},
  [10812] = {.lex_state = 207, .external_lex_state = 2},
  [10813] = {.lex_state = 215, .external_lex_state = 2},
  [10814] = {.lex_state = 215, .external_lex_state = 2},
  [10815] = {.lex_state = 207, .external_lex_state = 2},
  [10816] = {.lex_state = 158, .external_lex_state = 2},
  [10817] = {.lex_state = 215, .external_lex_state = 2},
  [10818] = {.lex_state = 215, .external_lex_state = 2},
  [10819] = {.lex_state = 207, .external_lex_state = 2},
  [10820] = {.lex_state = 215, .external_lex_state = 2},
  [10821] = {.lex_state = 158, .external_lex_state = 2},
  [10822] = {.lex_state = 215, .external_lex_state = 2},
  [10823] = {.lex_state = 215, .external_lex_state = 2},
  [10824] = {.lex_state = 206, .external_lex_state = 2},
  [10825] = {.lex_state = 158, .external_lex_state = 2},
  [10826] = {.lex_state = 158, .external_lex_state = 2},
  [10827] = {.lex_state = 206, .external_lex_state = 2},
  [10828] = {.lex_state = 158, .external_lex_state = 2},
  [10829] = {.lex_state = 206, .external_lex_state = 2},
  [10830] = {.lex_state = 164, .external_lex_state = 2},
  [10831] = {.lex_state = 164, .external_lex_state = 2},
  [10832] = {.lex_state = 164, .external_lex_state = 2},
  [10833] = {.lex_state = 164, .external_lex_state = 2},
  [10834] = {.lex_state = 206, .external_lex_state = 2},
  [10835] = {.lex_state = 164, .external_lex_state = 2},
  [10836] = {.lex_state = 207, .external_lex_state = 2},
  [10837] = {.lex_state = 206, .external_lex_state = 2},
  [10838] = {.lex_state = 228, .external_lex_state = 2},
  [10839] = {.lex_state = 158, .external_lex_state = 2},
  [10840] = {.lex_state = 215, .external_lex_state = 2},
  [10841] = {.lex_state = 228, .external_lex_state = 2},
  [10842] = {.lex_state = 158, .external_lex_state = 2},
  [10843] = {.lex_state = 158, .external_lex_state = 2},
  [10844] = {.lex_state = 206, .external_lex_state = 2},
  [10845] = {.lex_state = 19, .external_lex_state = 3},
  [10846] = {.lex_state = 228, .external_lex_state = 2},
  [10847] = {.lex_state = 158, .external_lex_state = 2},
  [10848] = {.lex_state = 228, .external_lex_state = 2},
  [10849] = {.lex_state = 228, .external_lex_state = 2},
  [10850] = {.lex_state = 158, .external_lex_state = 2},
  [10851] = {.lex_state = 228, .external_lex_state = 2},
  [10852] = {.lex_state = 228, .external_lex_state = 2},
  [10853] = {.lex_state = 23, .external_lex_state = 2},
  [10854] = {.lex_state = 217, .external_lex_state = 2},
  [10855] = {.lex_state = 158, .external_lex_state = 2},
  [10856] = {.lex_state = 206, .external_lex_state = 2},
  [10857] = {.lex_state = 158, .external_lex_state = 2},
  [10858] = {.lex_state = 228, .external_lex_state = 2},
  [10859] = {.lex_state = 228, .external_lex_state = 2},
  [10860] = {.lex_state = 228, .external_lex_state = 2},
  [10861] = {.lex_state = 228, .external_lex_state = 2},
  [10862] = {.lex_state = 206, .external_lex_state = 2},
  [10863] = {.lex_state = 158, .external_lex_state = 2},
  [10864] = {.lex_state = 206, .external_lex_state = 2},
  [10865] = {.lex_state = 206, .external_lex_state = 2},
  [10866] = {.lex_state = 206, .external_lex_state = 2},
  [10867] = {.lex_state = 158, .external_lex_state = 2},
  [10868] = {.lex_state = 206, .external_lex_state = 2},
  [10869] = {.lex_state = 228, .external_lex_state = 2},
  [10870] = {.lex_state = 228, .external_lex_state = 2},
  [10871] = {.lex_state = 206, .external_lex_state = 2},
  [10872] = {.lex_state = 206, .external_lex_state = 2},
  [10873] = {.lex_state = 228, .external_lex_state = 2},
  [10874] = {.lex_state = 206, .external_lex_state = 2},
  [10875] = {.lex_state = 206, .external_lex_state = 2},
  [10876] = {.lex_state = 206, .external_lex_state = 2},
  [10877] = {.lex_state = 158, .external_lex_state = 2},
  [10878] = {.lex_state = 206, .external_lex_state = 2},
  [10879] = {.lex_state = 228, .external_lex_state = 2},
  [10880] = {.lex_state = 158, .external_lex_state = 2},
  [10881] = {.lex_state = 158, .external_lex_state = 2},
  [10882] = {.lex_state = 158, .external_lex_state = 2},
  [10883] = {.lex_state = 206, .external_lex_state = 2},
  [10884] = {.lex_state = 158, .external_lex_state = 2},
  [10885] = {.lex_state = 206, .external_lex_state = 2},
  [10886] = {.lex_state = 206, .external_lex_state = 2},
  [10887] = {.lex_state = 158, .external_lex_state = 2},
  [10888] = {.lex_state = 206, .external_lex_state = 2},
  [10889] = {.lex_state = 206, .external_lex_state = 2},
  [10890] = {.lex_state = 206, .external_lex_state = 2},
  [10891] = {.lex_state = 206, .external_lex_state = 2},
  [10892] = {.lex_state = 158, .external_lex_state = 2},
  [10893] = {.lex_state = 158, .external_lex_state = 2},
  [10894] = {.lex_state = 158, .external_lex_state = 2},
  [10895] = {.lex_state = 206, .external_lex_state = 2},
  [10896] = {.lex_state = 206, .external_lex_state = 2},
  [10897] = {.lex_state = 206, .external_lex_state = 2},
  [10898] = {.lex_state = 158, .external_lex_state = 2},
  [10899] = {.lex_state = 206, .external_lex_state = 2},
  [10900] = {.lex_state = 206, .external_lex_state = 2},
  [10901] = {.lex_state = 158, .external_lex_state = 2},
  [10902] = {.lex_state = 206, .external_lex_state = 2},
  [10903] = {.lex_state = 228, .external_lex_state = 2},
  [10904] = {.lex_state = 215, .external_lex_state = 2},
  [10905] = {.lex_state = 228, .external_lex_state = 2},
  [10906] = {.lex_state = 215, .external_lex_state = 2},
  [10907] = {.lex_state = 215, .external_lex_state = 2},
  [10908] = {.lex_state = 215, .external_lex_state = 2},
  [10909] = {.lex_state = 231, .external_lex_state = 2},
  [10910] = {.lex_state = 158, .external_lex_state = 2},
  [10911] = {.lex_state = 228, .external_lex_state = 2},
  [10912] = {.lex_state = 164, .external_lex_state = 2},
  [10913] = {.lex_state = 215, .external_lex_state = 2},
  [10914] = {.lex_state = 164, .external_lex_state = 2},
  [10915] = {.lex_state = 158, .external_lex_state = 2},
  [10916] = {.lex_state = 228, .external_lex_state = 2},
  [10917] = {.lex_state = 228, .external_lex_state = 2},
  [10918] = {.lex_state = 228, .external_lex_state = 2},
  [10919] = {.lex_state = 228, .external_lex_state = 2},
  [10920] = {.lex_state = 215, .external_lex_state = 2},
  [10921] = {.lex_state = 228, .external_lex_state = 2},
  [10922] = {.lex_state = 228, .external_lex_state = 2},
  [10923] = {.lex_state = 164, .external_lex_state = 2},
  [10924] = {.lex_state = 228, .external_lex_state = 2},
  [10925] = {.lex_state = 228, .external_lex_state = 2},
  [10926] = {.lex_state = 228, .external_lex_state = 2},
  [10927] = {.lex_state = 164, .external_lex_state = 2},
  [10928] = {.lex_state = 158, .external_lex_state = 2},
  [10929] = {.lex_state = 158, .external_lex_state = 2},
  [10930] = {.lex_state = 208, .external_lex_state = 2},
  [10931] = {.lex_state = 208, .external_lex_state = 2},
  [10932] = {.lex_state = 158, .external_lex_state = 2},
  [10933] = {.lex_state = 23, .external_lex_state = 2},
  [10934] = {.lex_state = 228, .external_lex_state = 2},
  [10935] = {.lex_state = 228, .external_lex_state = 2},
  [10936] = {.lex_state = 228, .external_lex_state = 2},
  [10937] = {.lex_state = 228, .external_lex_state = 2},
  [10938] = {.lex_state = 228, .external_lex_state = 2},
  [10939] = {.lex_state = 208, .external_lex_state = 2},
  [10940] = {.lex_state = 228, .external_lex_state = 2},
  [10941] = {.lex_state = 158, .external_lex_state = 2},
  [10942] = {.lex_state = 158, .external_lex_state = 2},
  [10943] = {.lex_state = 228, .external_lex_state = 2},
  [10944] = {.lex_state = 23, .external_lex_state = 2},
  [10945] = {.lex_state = 158, .external_lex_state = 2},
  [10946] = {.lex_state = 228, .external_lex_state = 2},
  [10947] = {.lex_state = 215, .external_lex_state = 2},
  [10948] = {.lex_state = 228, .external_lex_state = 2},
  [10949] = {.lex_state = 228, .external_lex_state = 2},
  [10950] = {.lex_state = 228, .external_lex_state = 2},
  [10951] = {.lex_state = 228, .external_lex_state = 2},
  [10952] = {.lex_state = 158, .external_lex_state = 2},
  [10953] = {.lex_state = 166, .external_lex_state = 3},
  [10954] = {.lex_state = 158, .external_lex_state = 2},
  [10955] = {.lex_state = 228, .external_lex_state = 2},
  [10956] = {.lex_state = 206, .external_lex_state = 2},
  [10957] = {.lex_state = 158, .external_lex_state = 2},
  [10958] = {.lex_state = 164, .external_lex_state = 2},
  [10959] = {.lex_state = 228, .external_lex_state = 2},
  [10960] = {.lex_state = 158, .external_lex_state = 2},
  [10961] = {.lex_state = 228, .external_lex_state = 2},
  [10962] = {.lex_state = 228, .external_lex_state = 2},
  [10963] = {.lex_state = 228, .external_lex_state = 2},
  [10964] = {.lex_state = 228, .external_lex_state = 2},
  [10965] = {.lex_state = 228, .external_lex_state = 2},
  [10966] = {.lex_state = 158, .external_lex_state = 2},
  [10967] = {.lex_state = 228, .external_lex_state = 2},
  [10968] = {.lex_state = 158, .external_lex_state = 2},
  [10969] = {.lex_state = 228, .external_lex_state = 2},
  [10970] = {.lex_state = 228, .external_lex_state = 2},
  [10971] = {.lex_state = 158, .external_lex_state = 2},
  [10972] = {.lex_state = 228, .external_lex_state = 2},
  [10973] = {.lex_state = 158, .external_lex_state = 2},
  [10974] = {.lex_state = 228, .external_lex_state = 2},
  [10975] = {.lex_state = 228, .external_lex_state = 2},
  [10976] = {.lex_state = 228, .external_lex_state = 2},
  [10977] = {.lex_state = 228, .external_lex_state = 2},
  [10978] = {.lex_state = 208, .external_lex_state = 2},
  [10979] = {.lex_state = 158, .external_lex_state = 2},
  [10980] = {.lex_state = 228, .external_lex_state = 2},
  [10981] = {.lex_state = 436, .external_lex_state = 2},
  [10982] = {.lex_state = 228, .external_lex_state = 2},
  [10983] = {.lex_state = 158, .external_lex_state = 2},
  [10984] = {.lex_state = 164, .external_lex_state = 2},
  [10985] = {.lex_state = 158, .external_lex_state = 2},
  [10986] = {.lex_state = 164, .external_lex_state = 2},
  [10987] = {.lex_state = 164, .external_lex_state = 2},
  [10988] = {.lex_state = 164, .external_lex_state = 2},
  [10989] = {.lex_state = 164, .external_lex_state = 2},
  [10990] = {.lex_state = 436, .external_lex_state = 2},
  [10991] = {.lex_state = 164, .external_lex_state = 2},
  [10992] = {.lex_state = 228, .external_lex_state = 2},
  [10993] = {.lex_state = 164, .external_lex_state = 2},
  [10994] = {.lex_state = 164, .external_lex_state = 2},
  [10995] = {.lex_state = 164, .external_lex_state = 2},
  [10996] = {.lex_state = 164, .external_lex_state = 2},
  [10997] = {.lex_state = 164, .external_lex_state = 2},
  [10998] = {.lex_state = 158, .external_lex_state = 2},
  [10999] = {.lex_state = 164, .external_lex_state = 2},
  [11000] = {.lex_state = 164, .external_lex_state = 2},
  [11001] = {.lex_state = 228, .external_lex_state = 2},
  [11002] = {.lex_state = 228, .external_lex_state = 2},
  [11003] = {.lex_state = 228, .external_lex_state = 2},
  [11004] = {.lex_state = 228, .external_lex_state = 2},
  [11005] = {.lex_state = 158, .external_lex_state = 2},
  [11006] = {.lex_state = 228, .external_lex_state = 2},
  [11007] = {.lex_state = 230, .external_lex_state = 2},
  [11008] = {.lex_state = 228, .external_lex_state = 2},
  [11009] = {.lex_state = 158, .external_lex_state = 2},
  [11010] = {.lex_state = 228, .external_lex_state = 2},
  [11011] = {.lex_state = 158, .external_lex_state = 2},
  [11012] = {.lex_state = 158, .external_lex_state = 2},
  [11013] = {.lex_state = 228, .external_lex_state = 2},
  [11014] = {.lex_state = 228, .external_lex_state = 2},
  [11015] = {.lex_state = 158, .external_lex_state = 2},
  [11016] = {.lex_state = 228, .external_lex_state = 2},
  [11017] = {.lex_state = 228, .external_lex_state = 2},
  [11018] = {.lex_state = 228, .external_lex_state = 2},
  [11019] = {.lex_state = 158, .external_lex_state = 2},
  [11020] = {.lex_state = 158, .external_lex_state = 2},
  [11021] = {.lex_state = 158, .external_lex_state = 2},
  [11022] = {.lex_state = 158, .external_lex_state = 2},
  [11023] = {.lex_state = 158, .external_lex_state = 2},
  [11024] = {.lex_state = 158, .external_lex_state = 2},
  [11025] = {.lex_state = 158, .external_lex_state = 2},
  [11026] = {.lex_state = 158, .external_lex_state = 2},
  [11027] = {.lex_state = 228, .external_lex_state = 2},
  [11028] = {.lex_state = 158, .external_lex_state = 2},
  [11029] = {.lex_state = 158, .external_lex_state = 2},
  [11030] = {.lex_state = 436, .external_lex_state = 2},
  [11031] = {.lex_state = 158, .external_lex_state = 2},
  [11032] = {.lex_state = 164, .external_lex_state = 2},
  [11033] = {.lex_state = 206, .external_lex_state = 2},
  [11034] = {.lex_state = 158, .external_lex_state = 2},
  [11035] = {.lex_state = 164, .external_lex_state = 2},
  [11036] = {.lex_state = 164, .external_lex_state = 2},
  [11037] = {.lex_state = 164, .external_lex_state = 2},
  [11038] = {.lex_state = 158, .external_lex_state = 2},
  [11039] = {.lex_state = 160, .external_lex_state = 2},
  [11040] = {.lex_state = 158, .external_lex_state = 2},
  [11041] = {.lex_state = 158, .external_lex_state = 2},
  [11042] = {.lex_state = 158, .external_lex_state = 2},
  [11043] = {.lex_state = 158, .external_lex_state = 2},
  [11044] = {.lex_state = 164, .external_lex_state = 2},
  [11045] = {.lex_state = 158, .external_lex_state = 2},
  [11046] = {.lex_state = 158, .external_lex_state = 2},
  [11047] = {.lex_state = 158, .external_lex_state = 2},
  [11048] = {.lex_state = 160, .external_lex_state = 2},
  [11049] = {.lex_state = 158, .external_lex_state = 2},
  [11050] = {.lex_state = 165, .external_lex_state = 2},
  [11051] = {.lex_state = 158, .external_lex_state = 2},
  [11052] = {.lex_state = 158, .external_lex_state = 2},
  [11053] = {.lex_state = 158, .external_lex_state = 2},
  [11054] = {.lex_state = 206, .external_lex_state = 2},
  [11055] = {.lex_state = 158, .external_lex_state = 2},
  [11056] = {.lex_state = 242, .external_lex_state = 2},
  [11057] = {.lex_state = 160, .external_lex_state = 2},
  [11058] = {.lex_state = 160, .external_lex_state = 2},
  [11059] = {.lex_state = 206, .external_lex_state = 2},
  [11060] = {.lex_state = 158, .external_lex_state = 2},
  [11061] = {.lex_state = 206, .external_lex_state = 2},
  [11062] = {.lex_state = 158, .external_lex_state = 2},
  [11063] = {.lex_state = 206, .external_lex_state = 2},
  [11064] = {.lex_state = 158, .external_lex_state = 2},
  [11065] = {.lex_state = 158, .external_lex_state = 2},
  [11066] = {.lex_state = 158, .external_lex_state = 2},
  [11067] = {.lex_state = 158, .external_lex_state = 2},
  [11068] = {.lex_state = 160, .external_lex_state = 2},
  [11069] = {.lex_state = 437, .external_lex_state = 2},
  [11070] = {.lex_state = 158, .external_lex_state = 2},
  [11071] = {.lex_state = 158, .external_lex_state = 2},
  [11072] = {.lex_state = 158, .external_lex_state = 2},
  [11073] = {.lex_state = 158, .external_lex_state = 2},
  [11074] = {.lex_state = 173, .external_lex_state = 2},
  [11075] = {.lex_state = 158, .external_lex_state = 2},
  [11076] = {.lex_state = 158, .external_lex_state = 2},
  [11077] = {.lex_state = 158, .external_lex_state = 2},
  [11078] = {.lex_state = 158, .external_lex_state = 2},
  [11079] = {.lex_state = 436, .external_lex_state = 2},
  [11080] = {.lex_state = 158, .external_lex_state = 2},
  [11081] = {.lex_state = 436, .external_lex_state = 2},
  [11082] = {.lex_state = 158, .external_lex_state = 2},
  [11083] = {.lex_state = 158, .external_lex_state = 2},
  [11084] = {.lex_state = 158, .external_lex_state = 2},
  [11085] = {.lex_state = 158, .external_lex_state = 2},
  [11086] = {.lex_state = 158, .external_lex_state = 2},
  [11087] = {.lex_state = 158, .external_lex_state = 2},
  [11088] = {.lex_state = 158, .external_lex_state = 2},
  [11089] = {.lex_state = 436, .external_lex_state = 2},
  [11090] = {.lex_state = 158, .external_lex_state = 2},
  [11091] = {.lex_state = 158, .external_lex_state = 2},
  [11092] = {.lex_state = 158, .external_lex_state = 2},
  [11093] = {.lex_state = 158, .external_lex_state = 2},
  [11094] = {.lex_state = 436, .external_lex_state = 2},
  [11095] = {.lex_state = 158, .external_lex_state = 2},
  [11096] = {.lex_state = 158, .external_lex_state = 2},
  [11097] = {.lex_state = 158, .external_lex_state = 2},
  [11098] = {.lex_state = 158, .external_lex_state = 2},
  [11099] = {.lex_state = 158, .external_lex_state = 2},
  [11100] = {.lex_state = 158, .external_lex_state = 2},
  [11101] = {.lex_state = 158, .external_lex_state = 2},
  [11102] = {.lex_state = 158, .external_lex_state = 2},
  [11103] = {.lex_state = 158, .external_lex_state = 2},
  [11104] = {.lex_state = 158, .external_lex_state = 2},
  [11105] = {.lex_state = 158, .external_lex_state = 2},
  [11106] = {.lex_state = 436, .external_lex_state = 2},
  [11107] = {.lex_state = 158, .external_lex_state = 2},
  [11108] = {.lex_state = 158, .external_lex_state = 2},
  [11109] = {.lex_state = 158, .external_lex_state = 2},
  [11110] = {.lex_state = 158, .external_lex_state = 2},
  [11111] = {.lex_state = 228, .external_lex_state = 2},
  [11112] = {.lex_state = 228, .external_lex_state = 2},
  [11113] = {.lex_state = 158, .external_lex_state = 2},
  [11114] = {.lex_state = 164, .external_lex_state = 2},
  [11115] = {.lex_state = 164, .external_lex_state = 2},
  [11116] = {.lex_state = 228, .external_lex_state = 2},
  [11117] = {.lex_state = 160, .external_lex_state = 2},
  [11118] = {.lex_state = 158, .external_lex_state = 2},
  [11119] = {.lex_state = 158, .external_lex_state = 2},
  [11120] = {.lex_state = 158, .external_lex_state = 2},
  [11121] = {.lex_state = 158, .external_lex_state = 2},
  [11122] = {.lex_state = 158, .external_lex_state = 2},
  [11123] = {.lex_state = 164, .external_lex_state = 2},
  [11124] = {.lex_state = 158, .external_lex_state = 2},
  [11125] = {.lex_state = 158, .external_lex_state = 2},
  [11126] = {.lex_state = 160, .external_lex_state = 2},
  [11127] = {.lex_state = 158, .external_lex_state = 2},
  [11128] = {.lex_state = 158, .external_lex_state = 2},
  [11129] = {.lex_state = 158, .external_lex_state = 2},
  [11130] = {.lex_state = 436, .external_lex_state = 2},
  [11131] = {.lex_state = 158, .external_lex_state = 2},
  [11132] = {.lex_state = 158, .external_lex_state = 2},
  [11133] = {.lex_state = 158, .external_lex_state = 2},
  [11134] = {.lex_state = 158, .external_lex_state = 2},
  [11135] = {.lex_state = 164, .external_lex_state = 2},
  [11136] = {.lex_state = 158, .external_lex_state = 2},
  [11137] = {.lex_state = 164, .external_lex_state = 2},
  [11138] = {.lex_state = 158, .external_lex_state = 2},
  [11139] = {.lex_state = 158, .external_lex_state = 2},
  [11140] = {.lex_state = 158, .external_lex_state = 2},
  [11141] = {.lex_state = 158, .external_lex_state = 2},
  [11142] = {.lex_state = 158, .external_lex_state = 2},
  [11143] = {.lex_state = 158, .external_lex_state = 2},
  [11144] = {.lex_state = 158, .external_lex_state = 2},
  [11145] = {.lex_state = 158, .external_lex_state = 2},
  [11146] = {.lex_state = 165, .external_lex_state = 2},
  [11147] = {.lex_state = 158, .external_lex_state = 2},
  [11148] = {.lex_state = 164, .external_lex_state = 2},
  [11149] = {.lex_state = 164, .external_lex_state = 2},
  [11150] = {.lex_state = 158, .external_lex_state = 2},
  [11151] = {.lex_state = 158, .external_lex_state = 2},
  [11152] = {.lex_state = 164, .external_lex_state = 2},
  [11153] = {.lex_state = 158, .external_lex_state = 2},
  [11154] = {.lex_state = 158, .external_lex_state = 2},
  [11155] = {.lex_state = 158, .external_lex_state = 2},
  [11156] = {.lex_state = 158, .external_lex_state = 2},
  [11157] = {.lex_state = 158, .external_lex_state = 2},
  [11158] = {.lex_state = 158, .external_lex_state = 2},
  [11159] = {.lex_state = 206, .external_lex_state = 2},
  [11160] = {.lex_state = 158, .external_lex_state = 2},
  [11161] = {.lex_state = 158, .external_lex_state = 2},
  [11162] = {.lex_state = 158, .external_lex_state = 2},
  [11163] = {.lex_state = 164, .external_lex_state = 2},
  [11164] = {.lex_state = 164, .external_lex_state = 2},
  [11165] = {.lex_state = 164, .external_lex_state = 2},
  [11166] = {.lex_state = 158, .external_lex_state = 2},
  [11167] = {.lex_state = 158, .external_lex_state = 2},
  [11168] = {.lex_state = 158, .external_lex_state = 2},
  [11169] = {.lex_state = 436, .external_lex_state = 2},
  [11170] = {.lex_state = 158, .external_lex_state = 2},
  [11171] = {.lex_state = 158, .external_lex_state = 2},
  [11172] = {.lex_state = 160, .external_lex_state = 2},
  [11173] = {.lex_state = 158, .external_lex_state = 2},
  [11174] = {.lex_state = 158, .external_lex_state = 2},
  [11175] = {.lex_state = 158, .external_lex_state = 2},
  [11176] = {.lex_state = 158, .external_lex_state = 2},
  [11177] = {.lex_state = 158, .external_lex_state = 2},
  [11178] = {.lex_state = 164, .external_lex_state = 2},
  [11179] = {.lex_state = 158, .external_lex_state = 2},
  [11180] = {.lex_state = 158, .external_lex_state = 2},
  [11181] = {.lex_state = 158, .external_lex_state = 2},
  [11182] = {.lex_state = 158, .external_lex_state = 2},
  [11183] = {.lex_state = 158, .external_lex_state = 2},
  [11184] = {.lex_state = 436, .external_lex_state = 2},
  [11185] = {.lex_state = 200, .external_lex_state = 2},
  [11186] = {.lex_state = 158, .external_lex_state = 2},
  [11187] = {.lex_state = 158, .external_lex_state = 2},
  [11188] = {.lex_state = 158, .external_lex_state = 2},
  [11189] = {.lex_state = 158, .external_lex_state = 2},
  [11190] = {.lex_state = 158, .external_lex_state = 2},
  [11191] = {.lex_state = 436, .external_lex_state = 2},
  [11192] = {.lex_state = 158, .external_lex_state = 2},
  [11193] = {.lex_state = 158, .external_lex_state = 2},
  [11194] = {.lex_state = 436, .external_lex_state = 2},
  [11195] = {.lex_state = 158, .external_lex_state = 2},
  [11196] = {.lex_state = 158, .external_lex_state = 2},
  [11197] = {.lex_state = 158, .external_lex_state = 2},
  [11198] = {.lex_state = 158, .external_lex_state = 2},
  [11199] = {.lex_state = 158, .external_lex_state = 2},
  [11200] = {.lex_state = 175, .external_lex_state = 2},
  [11201] = {.lex_state = 158, .external_lex_state = 2},
  [11202] = {.lex_state = 228, .external_lex_state = 2},
  [11203] = {.lex_state = 158, .external_lex_state = 2},
  [11204] = {.lex_state = 165, .external_lex_state = 2},
  [11205] = {.lex_state = 165, .external_lex_state = 2},
  [11206] = {.lex_state = 158, .external_lex_state = 2},
  [11207] = {.lex_state = 158, .external_lex_state = 2},
  [11208] = {.lex_state = 228, .external_lex_state = 2},
  [11209] = {.lex_state = 158, .external_lex_state = 2},
  [11210] = {.lex_state = 158, .external_lex_state = 2},
  [11211] = {.lex_state = 158, .external_lex_state = 2},
  [11212] = {.lex_state = 158, .external_lex_state = 2},
  [11213] = {.lex_state = 436, .external_lex_state = 2},
  [11214] = {.lex_state = 228, .external_lex_state = 2},
  [11215] = {.lex_state = 158, .external_lex_state = 2},
  [11216] = {.lex_state = 436, .external_lex_state = 2},
  [11217] = {.lex_state = 158, .external_lex_state = 2},
  [11218] = {.lex_state = 158, .external_lex_state = 2},
  [11219] = {.lex_state = 158, .external_lex_state = 2},
  [11220] = {.lex_state = 158, .external_lex_state = 2},
  [11221] = {.lex_state = 158, .external_lex_state = 2},
  [11222] = {.lex_state = 158, .external_lex_state = 2},
  [11223] = {.lex_state = 158, .external_lex_state = 2},
  [11224] = {.lex_state = 158, .external_lex_state = 2},
  [11225] = {.lex_state = 228, .external_lex_state = 2},
  [11226] = {.lex_state = 158, .external_lex_state = 2},
  [11227] = {.lex_state = 158, .external_lex_state = 2},
  [11228] = {.lex_state = 158, .external_lex_state = 2},
  [11229] = {.lex_state = 158, .external_lex_state = 2},
  [11230] = {.lex_state = 175, .external_lex_state = 2},
  [11231] = {.lex_state = 158, .external_lex_state = 2},
  [11232] = {.lex_state = 175, .external_lex_state = 2},
  [11233] = {.lex_state = 158, .external_lex_state = 2},
  [11234] = {.lex_state = 436, .external_lex_state = 2},
  [11235] = {.lex_state = 158, .external_lex_state = 2},
  [11236] = {.lex_state = 158, .external_lex_state = 2},
  [11237] = {.lex_state = 158, .external_lex_state = 2},
  [11238] = {.lex_state = 158, .external_lex_state = 2},
  [11239] = {.lex_state = 158, .external_lex_state = 2},
  [11240] = {.lex_state = 436, .external_lex_state = 2},
  [11241] = {.lex_state = 436, .external_lex_state = 2},
  [11242] = {.lex_state = 436, .external_lex_state = 2},
  [11243] = {.lex_state = 158, .external_lex_state = 2},
  [11244] = {.lex_state = 158, .external_lex_state = 2},
  [11245] = {.lex_state = 436, .external_lex_state = 2},
  [11246] = {.lex_state = 436, .external_lex_state = 2},
  [11247] = {.lex_state = 158, .external_lex_state = 2},
  [11248] = {.lex_state = 158, .external_lex_state = 2},
  [11249] = {.lex_state = 158, .external_lex_state = 2},
  [11250] = {.lex_state = 158, .external_lex_state = 2},
  [11251] = {.lex_state = 158, .external_lex_state = 2},
  [11252] = {.lex_state = 436, .external_lex_state = 2},
  [11253] = {.lex_state = 158, .external_lex_state = 2},
  [11254] = {.lex_state = 158, .external_lex_state = 2},
  [11255] = {.lex_state = 436, .external_lex_state = 2},
  [11256] = {.lex_state = 158, .external_lex_state = 2},
  [11257] = {.lex_state = 201, .external_lex_state = 2},
  [11258] = {.lex_state = 158, .external_lex_state = 2},
  [11259] = {.lex_state = 165, .external_lex_state = 2},
  [11260] = {.lex_state = 158, .external_lex_state = 2},
  [11261] = {.lex_state = 158, .external_lex_state = 2},
  [11262] = {.lex_state = 158, .external_lex_state = 2},
  [11263] = {.lex_state = 158, .external_lex_state = 2},
  [11264] = {.lex_state = 228, .external_lex_state = 2},
  [11265] = {.lex_state = 208, .external_lex_state = 2},
  [11266] = {.lex_state = 158, .external_lex_state = 2},
  [11267] = {.lex_state = 158, .external_lex_state = 2},
  [11268] = {.lex_state = 158, .external_lex_state = 2},
  [11269] = {.lex_state = 158, .external_lex_state = 2},
  [11270] = {.lex_state = 158, .external_lex_state = 2},
  [11271] = {.lex_state = 158, .external_lex_state = 2},
  [11272] = {.lex_state = 228, .external_lex_state = 2},
  [11273] = {.lex_state = 158, .external_lex_state = 2},
  [11274] = {.lex_state = 158, .external_lex_state = 2},
  [11275] = {.lex_state = 158, .external_lex_state = 2},
  [11276] = {.lex_state = 158, .external_lex_state = 2},
  [11277] = {.lex_state = 158, .external_lex_state = 2},
  [11278] = {.lex_state = 158, .external_lex_state = 2},
  [11279] = {.lex_state = 158, .external_lex_state = 2},
  [11280] = {.lex_state = 158, .external_lex_state = 2},
  [11281] = {.lex_state = 158, .external_lex_state = 2},
  [11282] = {.lex_state = 158, .external_lex_state = 2},
  [11283] = {.lex_state = 158, .external_lex_state = 2},
  [11284] = {.lex_state = 158, .external_lex_state = 2},
  [11285] = {.lex_state = 158, .external_lex_state = 2},
  [11286] = {.lex_state = 158, .external_lex_state = 2},
  [11287] = {.lex_state = 158, .external_lex_state = 2},
  [11288] = {.lex_state = 158, .external_lex_state = 2},
  [11289] = {.lex_state = 158, .external_lex_state = 2},
  [11290] = {.lex_state = 158, .external_lex_state = 2},
  [11291] = {.lex_state = 158, .external_lex_state = 2},
  [11292] = {.lex_state = 158, .external_lex_state = 2},
  [11293] = {.lex_state = 158, .external_lex_state = 3},
  [11294] = {.lex_state = 158, .external_lex_state = 2},
  [11295] = {.lex_state = 158, .external_lex_state = 2},
  [11296] = {.lex_state = 436, .external_lex_state = 2},
  [11297] = {.lex_state = 158, .external_lex_state = 2},
  [11298] = {.lex_state = 158, .external_lex_state = 2},
  [11299] = {.lex_state = 158, .external_lex_state = 2},
  [11300] = {.lex_state = 158, .external_lex_state = 2},
  [11301] = {.lex_state = 158, .external_lex_state = 2},
  [11302] = {.lex_state = 158, .external_lex_state = 2},
  [11303] = {.lex_state = 158, .external_lex_state = 2},
  [11304] = {.lex_state = 158, .external_lex_state = 2},
  [11305] = {.lex_state = 157, .external_lex_state = 2},
  [11306] = {.lex_state = 158, .external_lex_state = 2},
  [11307] = {.lex_state = 158, .external_lex_state = 2},
  [11308] = {.lex_state = 158, .external_lex_state = 2},
  [11309] = {.lex_state = 436, .external_lex_state = 2},
  [11310] = {.lex_state = 158, .external_lex_state = 2},
  [11311] = {.lex_state = 158, .external_lex_state = 2},
  [11312] = {.lex_state = 158, .external_lex_state = 2},
  [11313] = {.lex_state = 158, .external_lex_state = 2},
  [11314] = {.lex_state = 158, .external_lex_state = 2},
  [11315] = {.lex_state = 158, .external_lex_state = 2},
  [11316] = {.lex_state = 158, .external_lex_state = 2},
  [11317] = {.lex_state = 158, .external_lex_state = 2},
  [11318] = {.lex_state = 228, .external_lex_state = 2},
  [11319] = {.lex_state = 158, .external_lex_state = 2},
  [11320] = {.lex_state = 158, .external_lex_state = 2},
  [11321] = {.lex_state = 158, .external_lex_state = 2},
  [11322] = {.lex_state = 158, .external_lex_state = 2},
  [11323] = {.lex_state = 436, .external_lex_state = 2},
  [11324] = {.lex_state = 158, .external_lex_state = 2},
  [11325] = {.lex_state = 158, .external_lex_state = 2},
  [11326] = {.lex_state = 158, .external_lex_state = 2},
  [11327] = {.lex_state = 158, .external_lex_state = 2},
  [11328] = {.lex_state = 158, .external_lex_state = 2},
  [11329] = {.lex_state = 228, .external_lex_state = 2},
  [11330] = {.lex_state = 158, .external_lex_state = 2},
  [11331] = {.lex_state = 158, .external_lex_state = 2},
  [11332] = {.lex_state = 158, .external_lex_state = 2},
  [11333] = {.lex_state = 158, .external_lex_state = 2},
  [11334] = {.lex_state = 173, .external_lex_state = 2},
  [11335] = {.lex_state = 436, .external_lex_state = 2},
  [11336] = {.lex_state = 228, .external_lex_state = 2},
  [11337] = {.lex_state = 158, .external_lex_state = 2},
  [11338] = {.lex_state = 436, .external_lex_state = 2},
  [11339] = {.lex_state = 158, .external_lex_state = 2},
  [11340] = {.lex_state = 158, .external_lex_state = 2},
  [11341] = {.lex_state = 158, .external_lex_state = 2},
  [11342] = {.lex_state = 158, .external_lex_state = 2},
  [11343] = {.lex_state = 158, .external_lex_state = 2},
  [11344] = {.lex_state = 158, .external_lex_state = 2},
  [11345] = {.lex_state = 158, .external_lex_state = 2},
  [11346] = {.lex_state = 158, .external_lex_state = 3},
  [11347] = {.lex_state = 163, .external_lex_state = 2},
  [11348] = {.lex_state = 158, .external_lex_state = 3},
  [11349] = {.lex_state = 158, .external_lex_state = 2},
  [11350] = {.lex_state = 158, .external_lex_state = 2},
  [11351] = {.lex_state = 158, .external_lex_state = 2},
  [11352] = {.lex_state = 215, .external_lex_state = 2},
  [11353] = {.lex_state = 173, .external_lex_state = 2},
  [11354] = {.lex_state = 158, .external_lex_state = 2},
  [11355] = {.lex_state = 436, .external_lex_state = 2},
  [11356] = {.lex_state = 160, .external_lex_state = 2},
  [11357] = {.lex_state = 158, .external_lex_state = 2},
  [11358] = {.lex_state = 215, .external_lex_state = 2},
  [11359] = {.lex_state = 436, .external_lex_state = 2},
  [11360] = {.lex_state = 158, .external_lex_state = 2},
  [11361] = {.lex_state = 158, .external_lex_state = 2},
  [11362] = {.lex_state = 436, .external_lex_state = 2},
  [11363] = {.lex_state = 158, .external_lex_state = 2},
  [11364] = {.lex_state = 158, .external_lex_state = 2},
  [11365] = {.lex_state = 158, .external_lex_state = 2},
  [11366] = {.lex_state = 208, .external_lex_state = 2},
  [11367] = {.lex_state = 158, .external_lex_state = 2},
  [11368] = {.lex_state = 158, .external_lex_state = 2},
  [11369] = {.lex_state = 158, .external_lex_state = 2},
  [11370] = {.lex_state = 158, .external_lex_state = 2},
  [11371] = {.lex_state = 228, .external_lex_state = 2},
  [11372] = {.lex_state = 158, .external_lex_state = 2},
  [11373] = {.lex_state = 201, .external_lex_state = 2},
  [11374] = {.lex_state = 207, .external_lex_state = 2},
  [11375] = {.lex_state = 158, .external_lex_state = 2},
  [11376] = {.lex_state = 228, .external_lex_state = 2},
  [11377] = {.lex_state = 201, .external_lex_state = 2},
  [11378] = {.lex_state = 215, .external_lex_state = 2},
  [11379] = {.lex_state = 436, .external_lex_state = 2},
  [11380] = {.lex_state = 158, .external_lex_state = 2},
  [11381] = {.lex_state = 436, .external_lex_state = 2},
  [11382] = {.lex_state = 158, .external_lex_state = 2},
  [11383] = {.lex_state = 215, .external_lex_state = 2},
  [11384] = {.lex_state = 215, .external_lex_state = 2},
  [11385] = {.lex_state = 158, .external_lex_state = 2},
  [11386] = {.lex_state = 158, .external_lex_state = 2},
  [11387] = {.lex_state = 158, .external_lex_state = 2},
  [11388] = {.lex_state = 215, .external_lex_state = 2},
  [11389] = {.lex_state = 158, .external_lex_state = 2},
  [11390] = {.lex_state = 208, .external_lex_state = 2},
  [11391] = {.lex_state = 170, .external_lex_state = 2},
  [11392] = {.lex_state = 158, .external_lex_state = 2},
  [11393] = {.lex_state = 158, .external_lex_state = 2},
  [11394] = {.lex_state = 158, .external_lex_state = 2},
  [11395] = {.lex_state = 158, .external_lex_state = 2},
  [11396] = {.lex_state = 158, .external_lex_state = 2},
  [11397] = {.lex_state = 436, .external_lex_state = 2},
  [11398] = {.lex_state = 228, .external_lex_state = 2},
  [11399] = {.lex_state = 158, .external_lex_state = 2},
  [11400] = {.lex_state = 158, .external_lex_state = 2},
  [11401] = {.lex_state = 158, .external_lex_state = 2},
  [11402] = {.lex_state = 158, .external_lex_state = 2},
  [11403] = {.lex_state = 200, .external_lex_state = 2},
  [11404] = {.lex_state = 158, .external_lex_state = 2},
  [11405] = {.lex_state = 436, .external_lex_state = 2},
  [11406] = {.lex_state = 228, .external_lex_state = 2},
  [11407] = {.lex_state = 158, .external_lex_state = 2},
  [11408] = {.lex_state = 164, .external_lex_state = 2},
  [11409] = {.lex_state = 158, .external_lex_state = 2},
  [11410] = {.lex_state = 200, .external_lex_state = 2},
  [11411] = {.lex_state = 436, .external_lex_state = 2},
  [11412] = {.lex_state = 158, .external_lex_state = 2},
  [11413] = {.lex_state = 436, .external_lex_state = 2},
  [11414] = {.lex_state = 228, .external_lex_state = 2},
  [11415] = {.lex_state = 158, .external_lex_state = 2},
  [11416] = {.lex_state = 436, .external_lex_state = 2},
  [11417] = {.lex_state = 160, .external_lex_state = 2},
  [11418] = {.lex_state = 158, .external_lex_state = 2},
  [11419] = {.lex_state = 158, .external_lex_state = 2},
  [11420] = {.lex_state = 436, .external_lex_state = 2},
  [11421] = {.lex_state = 158, .external_lex_state = 2},
  [11422] = {.lex_state = 160, .external_lex_state = 2},
  [11423] = {.lex_state = 158, .external_lex_state = 2},
  [11424] = {.lex_state = 158, .external_lex_state = 2},
  [11425] = {.lex_state = 158, .external_lex_state = 2},
  [11426] = {.lex_state = 158, .external_lex_state = 2},
  [11427] = {.lex_state = 158, .external_lex_state = 2},
  [11428] = {.lex_state = 158, .external_lex_state = 2},
  [11429] = {.lex_state = 158, .external_lex_state = 2},
  [11430] = {.lex_state = 158, .external_lex_state = 2},
  [11431] = {.lex_state = 158, .external_lex_state = 2},
  [11432] = {.lex_state = 158, .external_lex_state = 2},
  [11433] = {.lex_state = 158, .external_lex_state = 2},
  [11434] = {.lex_state = 228, .external_lex_state = 2},
  [11435] = {.lex_state = 436, .external_lex_state = 2},
  [11436] = {.lex_state = 158, .external_lex_state = 2},
  [11437] = {.lex_state = 158, .external_lex_state = 2},
  [11438] = {.lex_state = 158, .external_lex_state = 2},
  [11439] = {.lex_state = 158, .external_lex_state = 2},
  [11440] = {.lex_state = 158, .external_lex_state = 2},
  [11441] = {.lex_state = 158, .external_lex_state = 2},
  [11442] = {.lex_state = 158, .external_lex_state = 2},
  [11443] = {.lex_state = 160, .external_lex_state = 2},
  [11444] = {.lex_state = 436, .external_lex_state = 2},
  [11445] = {.lex_state = 158, .external_lex_state = 2},
  [11446] = {.lex_state = 158, .external_lex_state = 2},
  [11447] = {.lex_state = 255, .external_lex_state = 2},
  [11448] = {.lex_state = 158, .external_lex_state = 2},
  [11449] = {.lex_state = 158, .external_lex_state = 2},
  [11450] = {.lex_state = 158, .external_lex_state = 2},
  [11451] = {.lex_state = 158, .external_lex_state = 2},
  [11452] = {.lex_state = 228, .external_lex_state = 2},
  [11453] = {.lex_state = 228, .external_lex_state = 2},
  [11454] = {.lex_state = 217, .external_lex_state = 2},
  [11455] = {.lex_state = 158, .external_lex_state = 2},
  [11456] = {.lex_state = 158, .external_lex_state = 2},
  [11457] = {.lex_state = 158, .external_lex_state = 2},
  [11458] = {.lex_state = 228, .external_lex_state = 2},
  [11459] = {.lex_state = 436, .external_lex_state = 2},
  [11460] = {.lex_state = 158, .external_lex_state = 2},
  [11461] = {.lex_state = 436, .external_lex_state = 2},
  [11462] = {.lex_state = 158, .external_lex_state = 2},
  [11463] = {.lex_state = 158, .external_lex_state = 2},
  [11464] = {.lex_state = 436, .external_lex_state = 2},
  [11465] = {.lex_state = 158, .external_lex_state = 2},
  [11466] = {.lex_state = 158, .external_lex_state = 2},
  [11467] = {.lex_state = 158, .external_lex_state = 2},
  [11468] = {.lex_state = 158, .external_lex_state = 2},
  [11469] = {.lex_state = 158, .external_lex_state = 2},
  [11470] = {.lex_state = 158, .external_lex_state = 2},
  [11471] = {.lex_state = 436, .external_lex_state = 2},
  [11472] = {.lex_state = 158, .external_lex_state = 2},
  [11473] = {.lex_state = 436, .external_lex_state = 2},
  [11474] = {.lex_state = 228, .external_lex_state = 2},
  [11475] = {.lex_state = 158, .external_lex_state = 2},
  [11476] = {.lex_state = 158, .external_lex_state = 2},
  [11477] = {.lex_state = 436, .external_lex_state = 2},
  [11478] = {.lex_state = 228, .external_lex_state = 2},
  [11479] = {.lex_state = 158, .external_lex_state = 2},
  [11480] = {.lex_state = 158, .external_lex_state = 2},
  [11481] = {.lex_state = 207, .external_lex_state = 2},
  [11482] = {.lex_state = 158, .external_lex_state = 2},
  [11483] = {.lex_state = 158, .external_lex_state = 2},
  [11484] = {.lex_state = 158, .external_lex_state = 2},
  [11485] = {.lex_state = 436, .external_lex_state = 2},
  [11486] = {.lex_state = 158, .external_lex_state = 2},
  [11487] = {.lex_state = 158, .external_lex_state = 2},
  [11488] = {.lex_state = 158, .external_lex_state = 2},
  [11489] = {.lex_state = 160, .external_lex_state = 2},
  [11490] = {.lex_state = 165, .external_lex_state = 2},
  [11491] = {.lex_state = 228, .external_lex_state = 2},
  [11492] = {.lex_state = 165, .external_lex_state = 2},
  [11493] = {.lex_state = 165, .external_lex_state = 2},
  [11494] = {.lex_state = 158, .external_lex_state = 2},
  [11495] = {.lex_state = 228, .external_lex_state = 2},
  [11496] = {.lex_state = 158, .external_lex_state = 2},
  [11497] = {.lex_state = 165, .external_lex_state = 2},
  [11498] = {.lex_state = 160, .external_lex_state = 2},
  [11499] = {.lex_state = 158, .external_lex_state = 2},
  [11500] = {.lex_state = 158, .external_lex_state = 2},
  [11501] = {.lex_state = 165, .external_lex_state = 2},
  [11502] = {.lex_state = 165, .external_lex_state = 2},
  [11503] = {.lex_state = 165, .external_lex_state = 2},
  [11504] = {.lex_state = 165, .external_lex_state = 2},
  [11505] = {.lex_state = 165, .external_lex_state = 2},
  [11506] = {.lex_state = 165, .external_lex_state = 2},
  [11507] = {.lex_state = 165, .external_lex_state = 2},
  [11508] = {.lex_state = 165, .external_lex_state = 2},
  [11509] = {.lex_state = 165, .external_lex_state = 2},
  [11510] = {.lex_state = 160, .external_lex_state = 2},
  [11511] = {.lex_state = 158, .external_lex_state = 2},
  [11512] = {.lex_state = 228, .external_lex_state = 2},
  [11513] = {.lex_state = 436, .external_lex_state = 2},
  [11514] = {.lex_state = 158, .external_lex_state = 2},
  [11515] = {.lex_state = 436, .external_lex_state = 2},
  [11516] = {.lex_state = 158, .external_lex_state = 2},
  [11517] = {.lex_state = 158, .external_lex_state = 2},
  [11518] = {.lex_state = 158, .external_lex_state = 2},
  [11519] = {.lex_state = 158, .external_lex_state = 2},
  [11520] = {.lex_state = 158, .external_lex_state = 2},
  [11521] = {.lex_state = 158, .external_lex_state = 2},
  [11522] = {.lex_state = 158, .external_lex_state = 2},
  [11523] = {.lex_state = 158, .external_lex_state = 2},
  [11524] = {.lex_state = 207, .external_lex_state = 2},
  [11525] = {.lex_state = 164, .external_lex_state = 2},
  [11526] = {.lex_state = 158, .external_lex_state = 2},
  [11527] = {.lex_state = 158, .external_lex_state = 2},
  [11528] = {.lex_state = 158, .external_lex_state = 2},
  [11529] = {.lex_state = 158, .external_lex_state = 2},
  [11530] = {.lex_state = 165, .external_lex_state = 2},
  [11531] = {.lex_state = 158, .external_lex_state = 2},
  [11532] = {.lex_state = 158, .external_lex_state = 2},
  [11533] = {.lex_state = 158, .external_lex_state = 2},
  [11534] = {.lex_state = 158, .external_lex_state = 2},
  [11535] = {.lex_state = 158, .external_lex_state = 2},
  [11536] = {.lex_state = 158, .external_lex_state = 2},
  [11537] = {.lex_state = 158, .external_lex_state = 2},
  [11538] = {.lex_state = 158, .external_lex_state = 2},
  [11539] = {.lex_state = 158, .external_lex_state = 2},
  [11540] = {.lex_state = 158, .external_lex_state = 2},
  [11541] = {.lex_state = 228, .external_lex_state = 2},
  [11542] = {.lex_state = 255, .external_lex_state = 2},
  [11543] = {.lex_state = 158, .external_lex_state = 2},
  [11544] = {.lex_state = 158, .external_lex_state = 2},
  [11545] = {.lex_state = 436, .external_lex_state = 2},
  [11546] = {.lex_state = 158, .external_lex_state = 2},
  [11547] = {.lex_state = 158, .external_lex_state = 2},
  [11548] = {.lex_state = 158, .external_lex_state = 2},
  [11549] = {.lex_state = 158, .external_lex_state = 2},
  [11550] = {.lex_state = 158, .external_lex_state = 2},
  [11551] = {.lex_state = 158, .external_lex_state = 2},
  [11552] = {.lex_state = 158, .external_lex_state = 2},
  [11553] = {.lex_state = 158, .external_lex_state = 2},
  [11554] = {.lex_state = 158, .external_lex_state = 2},
  [11555] = {.lex_state = 158, .external_lex_state = 2},
  [11556] = {.lex_state = 164, .external_lex_state = 2},
  [11557] = {.lex_state = 164, .external_lex_state = 2},
  [11558] = {.lex_state = 23, .external_lex_state = 2},
  [11559] = {.lex_state = 228, .external_lex_state = 2},
  [11560] = {.lex_state = 23, .external_lex_state = 2},
  [11561] = {.lex_state = 165, .external_lex_state = 2},
  [11562] = {.lex_state = 23, .external_lex_state = 2},
  [11563] = {.lex_state = 228, .external_lex_state = 2},
  [11564] = {.lex_state = 23, .external_lex_state = 2},
  [11565] = {.lex_state = 23, .external_lex_state = 2},
  [11566] = {.lex_state = 228, .external_lex_state = 2},
  [11567] = {.lex_state = 23, .external_lex_state = 2},
  [11568] = {.lex_state = 165, .external_lex_state = 2},
  [11569] = {.lex_state = 228, .external_lex_state = 2},
  [11570] = {.lex_state = 228, .external_lex_state = 2},
  [11571] = {.lex_state = 23, .external_lex_state = 2},
  [11572] = {.lex_state = 164, .external_lex_state = 2},
  [11573] = {.lex_state = 228, .external_lex_state = 2},
  [11574] = {.lex_state = 164, .external_lex_state = 2},
  [11575] = {.lex_state = 23, .external_lex_state = 2},
  [11576] = {.lex_state = 228, .external_lex_state = 2},
  [11577] = {.lex_state = 158, .external_lex_state = 2},
  [11578] = {.lex_state = 158, .external_lex_state = 2},
  [11579] = {.lex_state = 158, .external_lex_state = 2},
  [11580] = {.lex_state = 158, .external_lex_state = 2},
  [11581] = {.lex_state = 158, .external_lex_state = 2},
  [11582] = {.lex_state = 23, .external_lex_state = 2},
  [11583] = {.lex_state = 158, .external_lex_state = 2},
  [11584] = {.lex_state = 158, .external_lex_state = 2},
  [11585] = {.lex_state = 157, .external_lex_state = 2},
  [11586] = {.lex_state = 157, .external_lex_state = 2},
  [11587] = {.lex_state = 158, .external_lex_state = 2},
  [11588] = {.lex_state = 228, .external_lex_state = 2},
  [11589] = {.lex_state = 228, .external_lex_state = 2},
  [11590] = {.lex_state = 157, .external_lex_state = 2},
  [11591] = {.lex_state = 228, .external_lex_state = 2},
  [11592] = {.lex_state = 23, .external_lex_state = 2},
  [11593] = {.lex_state = 208, .external_lex_state = 2},
  [11594] = {.lex_state = 228, .external_lex_state = 2},
  [11595] = {.lex_state = 228, .external_lex_state = 2},
  [11596] = {.lex_state = 23, .external_lex_state = 2},
  [11597] = {.lex_state = 23, .external_lex_state = 2},
  [11598] = {.lex_state = 228, .external_lex_state = 2},
  [11599] = {.lex_state = 23, .external_lex_state = 2},
  [11600] = {.lex_state = 436, .external_lex_state = 2},
  [11601] = {.lex_state = 23, .external_lex_state = 2},
  [11602] = {.lex_state = 228, .external_lex_state = 2},
  [11603] = {.lex_state = 23, .external_lex_state = 2},
  [11604] = {.lex_state = 228, .external_lex_state = 2},
  [11605] = {.lex_state = 228, .external_lex_state = 2},
  [11606] = {.lex_state = 228, .external_lex_state = 2},
  [11607] = {.lex_state = 23, .external_lex_state = 2},
  [11608] = {.lex_state = 228, .external_lex_state = 2},
  [11609] = {.lex_state = 228, .external_lex_state = 2},
  [11610] = {.lex_state = 228, .external_lex_state = 2},
  [11611] = {.lex_state = 228, .external_lex_state = 2},
  [11612] = {.lex_state = 228, .external_lex_state = 2},
  [11613] = {.lex_state = 228, .external_lex_state = 2},
  [11614] = {.lex_state = 228, .external_lex_state = 2},
  [11615] = {.lex_state = 23, .external_lex_state = 2},
  [11616] = {.lex_state = 228, .external_lex_state = 2},
  [11617] = {.lex_state = 228, .external_lex_state = 2},
  [11618] = {.lex_state = 157, .external_lex_state = 2},
  [11619] = {.lex_state = 19, .external_lex_state = 3},
  [11620] = {.lex_state = 19, .external_lex_state = 3},
  [11621] = {.lex_state = 157, .external_lex_state = 2},
  [11622] = {.lex_state = 23, .external_lex_state = 2},
  [11623] = {.lex_state = 228, .external_lex_state = 2},
  [11624] = {.lex_state = 228, .external_lex_state = 2},
  [11625] = {.lex_state = 23, .external_lex_state = 2},
  [11626] = {.lex_state = 23, .external_lex_state = 2},
  [11627] = {.lex_state = 158, .external_lex_state = 2},
  [11628] = {.lex_state = 228, .external_lex_state = 2},
  [11629] = {.lex_state = 164, .external_lex_state = 2},
  [11630] = {.lex_state = 164, .external_lex_state = 2},
  [11631] = {.lex_state = 228, .external_lex_state = 2},
  [11632] = {.lex_state = 228, .external_lex_state = 2},
  [11633] = {.lex_state = 164, .external_lex_state = 2},
  [11634] = {.lex_state = 228, .external_lex_state = 2},
  [11635] = {.lex_state = 228, .external_lex_state = 2},
  [11636] = {.lex_state = 23, .external_lex_state = 2},
  [11637] = {.lex_state = 158, .external_lex_state = 2},
  [11638] = {.lex_state = 23, .external_lex_state = 2},
  [11639] = {.lex_state = 164, .external_lex_state = 2},
  [11640] = {.lex_state = 164, .external_lex_state = 2},
  [11641] = {.lex_state = 164, .external_lex_state = 2},
  [11642] = {.lex_state = 164, .external_lex_state = 2},
  [11643] = {.lex_state = 228, .external_lex_state = 2},
  [11644] = {.lex_state = 228, .external_lex_state = 2},
  [11645] = {.lex_state = 228, .external_lex_state = 2},
  [11646] = {.lex_state = 164, .external_lex_state = 2},
  [11647] = {.lex_state = 228, .external_lex_state = 2},
  [11648] = {.lex_state = 164, .external_lex_state = 2},
  [11649] = {.lex_state = 228, .external_lex_state = 2},
  [11650] = {.lex_state = 207, .external_lex_state = 2},
  [11651] = {.lex_state = 164, .external_lex_state = 2},
  [11652] = {.lex_state = 228, .external_lex_state = 2},
  [11653] = {.lex_state = 164, .external_lex_state = 2},
  [11654] = {.lex_state = 228, .external_lex_state = 2},
  [11655] = {.lex_state = 164, .external_lex_state = 2},
  [11656] = {.lex_state = 23, .external_lex_state = 2},
  [11657] = {.lex_state = 23, .external_lex_state = 2},
  [11658] = {.lex_state = 23, .external_lex_state = 2},
  [11659] = {.lex_state = 228, .external_lex_state = 2},
  [11660] = {.lex_state = 158, .external_lex_state = 2},
  [11661] = {.lex_state = 228, .external_lex_state = 2},
  [11662] = {.lex_state = 228, .external_lex_state = 2},
  [11663] = {.lex_state = 19, .external_lex_state = 3},
  [11664] = {.lex_state = 255, .external_lex_state = 2},
  [11665] = {.lex_state = 164, .external_lex_state = 2},
  [11666] = {.lex_state = 228, .external_lex_state = 2},
  [11667] = {.lex_state = 23, .external_lex_state = 2},
  [11668] = {.lex_state = 164, .external_lex_state = 2},
  [11669] = {.lex_state = 164, .external_lex_state = 2},
  [11670] = {.lex_state = 255, .external_lex_state = 2},
  [11671] = {.lex_state = 164, .external_lex_state = 2},
  [11672] = {.lex_state = 158, .external_lex_state = 2},
  [11673] = {.lex_state = 228, .external_lex_state = 2},
  [11674] = {.lex_state = 228, .external_lex_state = 2},
  [11675] = {.lex_state = 164, .external_lex_state = 2},
  [11676] = {.lex_state = 164, .external_lex_state = 2},
  [11677] = {.lex_state = 228, .external_lex_state = 2},
  [11678] = {.lex_state = 23, .external_lex_state = 2},
  [11679] = {.lex_state = 19, .external_lex_state = 3},
  [11680] = {.lex_state = 228, .external_lex_state = 2},
  [11681] = {.lex_state = 19, .external_lex_state = 3},
  [11682] = {.lex_state = 157, .external_lex_state = 2},
  [11683] = {.lex_state = 23, .external_lex_state = 2},
  [11684] = {.lex_state = 165, .external_lex_state = 2},
  [11685] = {.lex_state = 228, .external_lex_state = 2},
  [11686] = {.lex_state = 228, .external_lex_state = 2},
  [11687] = {.lex_state = 228, .external_lex_state = 2},
  [11688] = {.lex_state = 23, .external_lex_state = 2},
  [11689] = {.lex_state = 23, .external_lex_state = 2},
  [11690] = {.lex_state = 158, .external_lex_state = 2},
  [11691] = {.lex_state = 228, .external_lex_state = 2},
  [11692] = {.lex_state = 19, .external_lex_state = 3},
  [11693] = {.lex_state = 157, .external_lex_state = 2},
  [11694] = {.lex_state = 158, .external_lex_state = 2},
  [11695] = {.lex_state = 19, .external_lex_state = 3},
  [11696] = {.lex_state = 228, .external_lex_state = 2},
  [11697] = {.lex_state = 23, .external_lex_state = 2},
  [11698] = {.lex_state = 228, .external_lex_state = 2},
  [11699] = {.lex_state = 165, .external_lex_state = 2},
  [11700] = {.lex_state = 165, .external_lex_state = 2},
  [11701] = {.lex_state = 157, .external_lex_state = 2},
  [11702] = {.lex_state = 165, .external_lex_state = 2},
  [11703] = {.lex_state = 165, .external_lex_state = 2},
  [11704] = {.lex_state = 165, .external_lex_state = 2},
  [11705] = {.lex_state = 228, .external_lex_state = 2},
  [11706] = {.lex_state = 165, .external_lex_state = 2},
  [11707] = {.lex_state = 228, .external_lex_state = 2},
  [11708] = {.lex_state = 165, .external_lex_state = 2},
  [11709] = {.lex_state = 164, .external_lex_state = 2},
  [11710] = {.lex_state = 165, .external_lex_state = 2},
  [11711] = {.lex_state = 165, .external_lex_state = 2},
  [11712] = {.lex_state = 165, .external_lex_state = 2},
  [11713] = {.lex_state = 165, .external_lex_state = 2},
  [11714] = {.lex_state = 164, .external_lex_state = 2},
  [11715] = {.lex_state = 165, .external_lex_state = 2},
  [11716] = {.lex_state = 158, .external_lex_state = 2},
  [11717] = {.lex_state = 162, .external_lex_state = 2},
  [11718] = {.lex_state = 241, .external_lex_state = 2},
  [11719] = {.lex_state = 436, .external_lex_state = 2},
  [11720] = {.lex_state = 215, .external_lex_state = 2},
  [11721] = {.lex_state = 436, .external_lex_state = 2},
  [11722] = {.lex_state = 436, .external_lex_state = 2},
  [11723] = {.lex_state = 206, .external_lex_state = 2},
  [11724] = {.lex_state = 162, .external_lex_state = 2},
  [11725] = {.lex_state = 228, .external_lex_state = 2},
  [11726] = {.lex_state = 436, .external_lex_state = 2},
  [11727] = {.lex_state = 216, .external_lex_state = 2},
  [11728] = {.lex_state = 215, .external_lex_state = 2},
  [11729] = {.lex_state = 436, .external_lex_state = 2},
  [11730] = {.lex_state = 228, .external_lex_state = 2},
  [11731] = {.lex_state = 256, .external_lex_state = 2},
  [11732] = {.lex_state = 6, .external_lex_state = 2},
  [11733] = {.lex_state = 228, .external_lex_state = 2},
  [11734] = {.lex_state = 162, .external_lex_state = 2},
  [11735] = {.lex_state = 436, .external_lex_state = 2},
  [11736] = {.lex_state = 436, .external_lex_state = 2},
  [11737] = {.lex_state = 436, .external_lex_state = 2},
  [11738] = {.lex_state = 164, .external_lex_state = 2},
  [11739] = {.lex_state = 436, .external_lex_state = 2},
  [11740] = {.lex_state = 228, .external_lex_state = 2},
  [11741] = {.lex_state = 436, .external_lex_state = 2},
  [11742] = {.lex_state = 216, .external_lex_state = 2},
  [11743] = {.lex_state = 436, .external_lex_state = 2},
  [11744] = {.lex_state = 162, .external_lex_state = 2},
  [11745] = {.lex_state = 162, .external_lex_state = 2},
  [11746] = {.lex_state = 436, .external_lex_state = 2},
  [11747] = {.lex_state = 162, .external_lex_state = 2},
  [11748] = {.lex_state = 206, .external_lex_state = 2},
  [11749] = {.lex_state = 436, .external_lex_state = 2},
  [11750] = {.lex_state = 206, .external_lex_state = 2},
  [11751] = {.lex_state = 228, .external_lex_state = 2},
  [11752] = {.lex_state = 228, .external_lex_state = 2},
  [11753] = {.lex_state = 215, .external_lex_state = 2},
  [11754] = {.lex_state = 241, .external_lex_state = 2},
  [11755] = {.lex_state = 228, .external_lex_state = 2},
  [11756] = {.lex_state = 436, .external_lex_state = 2},
  [11757] = {.lex_state = 158, .external_lex_state = 2},
  [11758] = {.lex_state = 228, .external_lex_state = 2},
  [11759] = {.lex_state = 436, .external_lex_state = 2},
  [11760] = {.lex_state = 436, .external_lex_state = 2},
  [11761] = {.lex_state = 158, .external_lex_state = 2},
  [11762] = {.lex_state = 6, .external_lex_state = 2},
  [11763] = {.lex_state = 228, .external_lex_state = 2},
  [11764] = {.lex_state = 436, .external_lex_state = 2},
  [11765] = {.lex_state = 436, .external_lex_state = 2},
  [11766] = {.lex_state = 162, .external_lex_state = 2},
  [11767] = {.lex_state = 162, .external_lex_state = 2},
  [11768] = {.lex_state = 436, .external_lex_state = 2},
  [11769] = {.lex_state = 228, .external_lex_state = 2},
  [11770] = {.lex_state = 206, .external_lex_state = 2},
  [11771] = {.lex_state = 228, .external_lex_state = 2},
  [11772] = {.lex_state = 436, .external_lex_state = 2},
  [11773] = {.lex_state = 162, .external_lex_state = 2},
  [11774] = {.lex_state = 163, .external_lex_state = 2},
  [11775] = {.lex_state = 162, .external_lex_state = 2},
  [11776] = {.lex_state = 162, .external_lex_state = 2},
  [11777] = {.lex_state = 228, .external_lex_state = 2},
  [11778] = {.lex_state = 163, .external_lex_state = 2},
  [11779] = {.lex_state = 163, .external_lex_state = 2},
  [11780] = {.lex_state = 164, .external_lex_state = 2},
  [11781] = {.lex_state = 436, .external_lex_state = 2},
  [11782] = {.lex_state = 163, .external_lex_state = 2},
  [11783] = {.lex_state = 158, .external_lex_state = 2},
  [11784] = {.lex_state = 164, .external_lex_state = 2},
  [11785] = {.lex_state = 436, .external_lex_state = 2},
  [11786] = {.lex_state = 162, .external_lex_state = 2},
  [11787] = {.lex_state = 436, .external_lex_state = 2},
  [11788] = {.lex_state = 162, .external_lex_state = 2},
  [11789] = {.lex_state = 436, .external_lex_state = 2},
  [11790] = {.lex_state = 162, .external_lex_state = 2},
  [11791] = {.lex_state = 162, .external_lex_state = 2},
  [11792] = {.lex_state = 228, .external_lex_state = 2},
  [11793] = {.lex_state = 436, .external_lex_state = 2},
  [11794] = {.lex_state = 162, .external_lex_state = 2},
  [11795] = {.lex_state = 162, .external_lex_state = 2},
  [11796] = {.lex_state = 228, .external_lex_state = 2},
  [11797] = {.lex_state = 241, .external_lex_state = 2},
  [11798] = {.lex_state = 436, .external_lex_state = 2},
  [11799] = {.lex_state = 164, .external_lex_state = 2},
  [11800] = {.lex_state = 164, .external_lex_state = 2},
  [11801] = {.lex_state = 436, .external_lex_state = 2},
  [11802] = {.lex_state = 158, .external_lex_state = 2},
  [11803] = {.lex_state = 228, .external_lex_state = 2},
  [11804] = {.lex_state = 241, .external_lex_state = 2},
  [11805] = {.lex_state = 164, .external_lex_state = 2},
  [11806] = {.lex_state = 436, .external_lex_state = 2},
  [11807] = {.lex_state = 164, .external_lex_state = 2},
  [11808] = {.lex_state = 164, .external_lex_state = 2},
  [11809] = {.lex_state = 436, .external_lex_state = 2},
  [11810] = {.lex_state = 436, .external_lex_state = 2},
  [11811] = {.lex_state = 164, .external_lex_state = 2},
  [11812] = {.lex_state = 436, .external_lex_state = 2},
  [11813] = {.lex_state = 163, .external_lex_state = 2},
  [11814] = {.lex_state = 162, .external_lex_state = 2},
  [11815] = {.lex_state = 436, .external_lex_state = 2},
  [11816] = {.lex_state = 436, .external_lex_state = 2},
  [11817] = {.lex_state = 436, .external_lex_state = 2},
  [11818] = {.lex_state = 228, .external_lex_state = 2},
  [11819] = {.lex_state = 436, .external_lex_state = 2},
  [11820] = {.lex_state = 436, .external_lex_state = 2},
  [11821] = {.lex_state = 228, .external_lex_state = 2},
  [11822] = {.lex_state = 228, .external_lex_state = 2},
  [11823] = {.lex_state = 228, .external_lex_state = 2},
  [11824] = {.lex_state = 228, .external_lex_state = 2},
  [11825] = {.lex_state = 228, .external_lex_state = 2},
  [11826] = {.lex_state = 436, .external_lex_state = 2},
  [11827] = {.lex_state = 436, .external_lex_state = 2},
  [11828] = {.lex_state = 162, .external_lex_state = 2},
  [11829] = {.lex_state = 436, .external_lex_state = 2},
  [11830] = {.lex_state = 162, .external_lex_state = 2},
  [11831] = {.lex_state = 162, .external_lex_state = 2},
  [11832] = {.lex_state = 162, .external_lex_state = 2},
  [11833] = {.lex_state = 162, .external_lex_state = 2},
  [11834] = {.lex_state = 162, .external_lex_state = 2},
  [11835] = {.lex_state = 162, .external_lex_state = 2},
  [11836] = {.lex_state = 162, .external_lex_state = 2},
  [11837] = {.lex_state = 162, .external_lex_state = 2},
  [11838] = {.lex_state = 162, .external_lex_state = 2},
  [11839] = {.lex_state = 162, .external_lex_state = 2},
  [11840] = {.lex_state = 162, .external_lex_state = 2},
  [11841] = {.lex_state = 162, .external_lex_state = 2},
  [11842] = {.lex_state = 162, .external_lex_state = 2},
  [11843] = {.lex_state = 436, .external_lex_state = 2},
  [11844] = {.lex_state = 436, .external_lex_state = 2},
  [11845] = {.lex_state = 216, .external_lex_state = 2},
  [11846] = {.lex_state = 228, .external_lex_state = 2},
  [11847] = {.lex_state = 436, .external_lex_state = 2},
  [11848] = {.lex_state = 158, .external_lex_state = 2},
  [11849] = {.lex_state = 436, .external_lex_state = 2},
  [11850] = {.lex_state = 158, .external_lex_state = 2},
  [11851] = {.lex_state = 158, .external_lex_state = 2},
  [11852] = {.lex_state = 162, .external_lex_state = 2},
  [11853] = {.lex_state = 436, .external_lex_state = 2},
  [11854] = {.lex_state = 228, .external_lex_state = 2},
  [11855] = {.lex_state = 162, .external_lex_state = 2},
  [11856] = {.lex_state = 436, .external_lex_state = 2},
  [11857] = {.lex_state = 436, .external_lex_state = 2},
  [11858] = {.lex_state = 228, .external_lex_state = 2},
  [11859] = {.lex_state = 228, .external_lex_state = 2},
  [11860] = {.lex_state = 162, .external_lex_state = 2},
  [11861] = {.lex_state = 241, .external_lex_state = 2},
  [11862] = {.lex_state = 436, .external_lex_state = 2},
  [11863] = {.lex_state = 436, .external_lex_state = 2},
  [11864] = {.lex_state = 241, .external_lex_state = 2},
  [11865] = {.lex_state = 436, .external_lex_state = 2},
  [11866] = {.lex_state = 162, .external_lex_state = 2},
  [11867] = {.lex_state = 256, .external_lex_state = 2},
  [11868] = {.lex_state = 436, .external_lex_state = 2},
  [11869] = {.lex_state = 164, .external_lex_state = 2},
  [11870] = {.lex_state = 162, .external_lex_state = 2},
  [11871] = {.lex_state = 162, .external_lex_state = 2},
  [11872] = {.lex_state = 162, .external_lex_state = 2},
  [11873] = {.lex_state = 162, .external_lex_state = 2},
  [11874] = {.lex_state = 436, .external_lex_state = 2},
  [11875] = {.lex_state = 164, .external_lex_state = 2},
  [11876] = {.lex_state = 162, .external_lex_state = 2},
  [11877] = {.lex_state = 164, .external_lex_state = 2},
  [11878] = {.lex_state = 164, .external_lex_state = 2},
  [11879] = {.lex_state = 164, .external_lex_state = 2},
  [11880] = {.lex_state = 164, .external_lex_state = 2},
  [11881] = {.lex_state = 164, .external_lex_state = 2},
  [11882] = {.lex_state = 164, .external_lex_state = 2},
  [11883] = {.lex_state = 164, .external_lex_state = 2},
  [11884] = {.lex_state = 228, .external_lex_state = 2},
  [11885] = {.lex_state = 164, .external_lex_state = 2},
  [11886] = {.lex_state = 164, .external_lex_state = 2},
  [11887] = {.lex_state = 228, .external_lex_state = 2},
  [11888] = {.lex_state = 228, .external_lex_state = 2},
  [11889] = {.lex_state = 228, .external_lex_state = 2},
  [11890] = {.lex_state = 228, .external_lex_state = 2},
  [11891] = {.lex_state = 256, .external_lex_state = 2},
  [11892] = {.lex_state = 228, .external_lex_state = 2},
  [11893] = {.lex_state = 436, .external_lex_state = 2},
  [11894] = {.lex_state = 228, .external_lex_state = 2},
  [11895] = {.lex_state = 162, .external_lex_state = 2},
  [11896] = {.lex_state = 162, .external_lex_state = 2},
  [11897] = {.lex_state = 436, .external_lex_state = 2},
  [11898] = {.lex_state = 163, .external_lex_state = 2},
  [11899] = {.lex_state = 228, .external_lex_state = 2},
  [11900] = {.lex_state = 163, .external_lex_state = 2},
  [11901] = {.lex_state = 162, .external_lex_state = 2},
  [11902] = {.lex_state = 162, .external_lex_state = 2},
  [11903] = {.lex_state = 162, .external_lex_state = 2},
  [11904] = {.lex_state = 164, .external_lex_state = 2},
  [11905] = {.lex_state = 162, .external_lex_state = 2},
  [11906] = {.lex_state = 163, .external_lex_state = 2},
  [11907] = {.lex_state = 216, .external_lex_state = 2},
  [11908] = {.lex_state = 162, .external_lex_state = 2},
  [11909] = {.lex_state = 163, .external_lex_state = 2},
  [11910] = {.lex_state = 162, .external_lex_state = 2},
  [11911] = {.lex_state = 164, .external_lex_state = 2},
  [11912] = {.lex_state = 436, .external_lex_state = 2},
  [11913] = {.lex_state = 163, .external_lex_state = 2},
  [11914] = {.lex_state = 163, .external_lex_state = 2},
  [11915] = {.lex_state = 163, .external_lex_state = 2},
  [11916] = {.lex_state = 163, .external_lex_state = 2},
  [11917] = {.lex_state = 436, .external_lex_state = 2},
  [11918] = {.lex_state = 436, .external_lex_state = 2},
  [11919] = {.lex_state = 158, .external_lex_state = 2},
  [11920] = {.lex_state = 228, .external_lex_state = 2},
  [11921] = {.lex_state = 162, .external_lex_state = 2},
  [11922] = {.lex_state = 436, .external_lex_state = 2},
  [11923] = {.lex_state = 228, .external_lex_state = 2},
  [11924] = {.lex_state = 228, .external_lex_state = 2},
  [11925] = {.lex_state = 164, .external_lex_state = 2},
  [11926] = {.lex_state = 228, .external_lex_state = 2},
  [11927] = {.lex_state = 228, .external_lex_state = 2},
  [11928] = {.lex_state = 158, .external_lex_state = 2},
  [11929] = {.lex_state = 436, .external_lex_state = 2},
  [11930] = {.lex_state = 164, .external_lex_state = 2},
  [11931] = {.lex_state = 436, .external_lex_state = 2},
  [11932] = {.lex_state = 436, .external_lex_state = 2},
  [11933] = {.lex_state = 228, .external_lex_state = 2},
  [11934] = {.lex_state = 228, .external_lex_state = 2},
  [11935] = {.lex_state = 228, .external_lex_state = 2},
  [11936] = {.lex_state = 162, .external_lex_state = 2},
  [11937] = {.lex_state = 162, .external_lex_state = 2},
  [11938] = {.lex_state = 162, .external_lex_state = 2},
  [11939] = {.lex_state = 436, .external_lex_state = 2},
  [11940] = {.lex_state = 436, .external_lex_state = 2},
  [11941] = {.lex_state = 163, .external_lex_state = 2},
  [11942] = {.lex_state = 163, .external_lex_state = 2},
  [11943] = {.lex_state = 163, .external_lex_state = 2},
  [11944] = {.lex_state = 163, .external_lex_state = 2},
  [11945] = {.lex_state = 163, .external_lex_state = 2},
  [11946] = {.lex_state = 163, .external_lex_state = 2},
  [11947] = {.lex_state = 162, .external_lex_state = 2},
  [11948] = {.lex_state = 162, .external_lex_state = 2},
  [11949] = {.lex_state = 158, .external_lex_state = 2},
  [11950] = {.lex_state = 436, .external_lex_state = 2},
  [11951] = {.lex_state = 6, .external_lex_state = 2},
  [11952] = {.lex_state = 436, .external_lex_state = 2},
  [11953] = {.lex_state = 436, .external_lex_state = 2},
  [11954] = {.lex_state = 436, .external_lex_state = 2},
  [11955] = {.lex_state = 436, .external_lex_state = 2},
  [11956] = {.lex_state = 436, .external_lex_state = 2},
  [11957] = {.lex_state = 436, .external_lex_state = 2},
  [11958] = {.lex_state = 164, .external_lex_state = 2},
  [11959] = {.lex_state = 241, .external_lex_state = 2},
  [11960] = {.lex_state = 436, .external_lex_state = 2},
  [11961] = {.lex_state = 228, .external_lex_state = 2},
  [11962] = {.lex_state = 436, .external_lex_state = 2},
  [11963] = {.lex_state = 164, .external_lex_state = 2},
  [11964] = {.lex_state = 436, .external_lex_state = 2},
  [11965] = {.lex_state = 162, .external_lex_state = 2},
  [11966] = {.lex_state = 162, .external_lex_state = 2},
  [11967] = {.lex_state = 162, .external_lex_state = 2},
  [11968] = {.lex_state = 436, .external_lex_state = 2},
  [11969] = {.lex_state = 162, .external_lex_state = 2},
  [11970] = {.lex_state = 162, .external_lex_state = 2},
  [11971] = {.lex_state = 163, .external_lex_state = 2},
  [11972] = {.lex_state = 162, .external_lex_state = 2},
  [11973] = {.lex_state = 162, .external_lex_state = 2},
  [11974] = {.lex_state = 162, .external_lex_state = 2},
  [11975] = {.lex_state = 162, .external_lex_state = 2},
  [11976] = {.lex_state = 162, .external_lex_state = 2},
  [11977] = {.lex_state = 228, .external_lex_state = 2},
  [11978] = {.lex_state = 436, .external_lex_state = 2},
  [11979] = {.lex_state = 164, .external_lex_state = 2},
  [11980] = {.lex_state = 228, .external_lex_state = 2},
  [11981] = {.lex_state = 228, .external_lex_state = 2},
  [11982] = {.lex_state = 436, .external_lex_state = 2},
  [11983] = {.lex_state = 162, .external_lex_state = 2},
  [11984] = {.lex_state = 162, .external_lex_state = 2},
  [11985] = {.lex_state = 436, .external_lex_state = 2},
  [11986] = {.lex_state = 162, .external_lex_state = 2},
  [11987] = {.lex_state = 162, .external_lex_state = 2},
  [11988] = {.lex_state = 162, .external_lex_state = 2},
  [11989] = {.lex_state = 436, .external_lex_state = 2},
  [11990] = {.lex_state = 436, .external_lex_state = 2},
  [11991] = {.lex_state = 162, .external_lex_state = 2},
  [11992] = {.lex_state = 164, .external_lex_state = 2},
  [11993] = {.lex_state = 164, .external_lex_state = 2},
  [11994] = {.lex_state = 164, .external_lex_state = 2},
  [11995] = {.lex_state = 164, .external_lex_state = 2},
  [11996] = {.lex_state = 216, .external_lex_state = 2},
  [11997] = {.lex_state = 162, .external_lex_state = 2},
  [11998] = {.lex_state = 162, .external_lex_state = 2},
  [11999] = {.lex_state = 162, .external_lex_state = 2},
  [12000] = {.lex_state = 162, .external_lex_state = 2},
  [12001] = {.lex_state = 164, .external_lex_state = 2},
  [12002] = {.lex_state = 162, .external_lex_state = 2},
  [12003] = {.lex_state = 162, .external_lex_state = 2},
  [12004] = {.lex_state = 162, .external_lex_state = 2},
  [12005] = {.lex_state = 164, .external_lex_state = 2},
  [12006] = {.lex_state = 436, .external_lex_state = 2},
  [12007] = {.lex_state = 162, .external_lex_state = 2},
  [12008] = {.lex_state = 162, .external_lex_state = 2},
  [12009] = {.lex_state = 162, .external_lex_state = 2},
  [12010] = {.lex_state = 162, .external_lex_state = 2},
  [12011] = {.lex_state = 162, .external_lex_state = 2},
  [12012] = {.lex_state = 162, .external_lex_state = 2},
  [12013] = {.lex_state = 162, .external_lex_state = 2},
  [12014] = {.lex_state = 162, .external_lex_state = 2},
  [12015] = {.lex_state = 162, .external_lex_state = 2},
  [12016] = {.lex_state = 162, .external_lex_state = 2},
  [12017] = {.lex_state = 162, .external_lex_state = 2},
  [12018] = {.lex_state = 164, .external_lex_state = 2},
  [12019] = {.lex_state = 164, .external_lex_state = 2},
  [12020] = {.lex_state = 164, .external_lex_state = 2},
  [12021] = {.lex_state = 436, .external_lex_state = 2},
  [12022] = {.lex_state = 228, .external_lex_state = 2},
  [12023] = {.lex_state = 164, .external_lex_state = 2},
  [12024] = {.lex_state = 164, .external_lex_state = 2},
  [12025] = {.lex_state = 436, .external_lex_state = 2},
  [12026] = {.lex_state = 164, .external_lex_state = 2},
  [12027] = {.lex_state = 436, .external_lex_state = 2},
  [12028] = {.lex_state = 164, .external_lex_state = 2},
  [12029] = {.lex_state = 228, .external_lex_state = 2},
  [12030] = {.lex_state = 228, .external_lex_state = 2},
  [12031] = {.lex_state = 436, .external_lex_state = 2},
  [12032] = {.lex_state = 436, .external_lex_state = 2},
  [12033] = {.lex_state = 164, .external_lex_state = 2},
  [12034] = {.lex_state = 164, .external_lex_state = 2},
  [12035] = {.lex_state = 164, .external_lex_state = 2},
  [12036] = {.lex_state = 241, .external_lex_state = 2},
  [12037] = {.lex_state = 436, .external_lex_state = 2},
  [12038] = {.lex_state = 163, .external_lex_state = 2},
  [12039] = {.lex_state = 163, .external_lex_state = 2},
  [12040] = {.lex_state = 162, .external_lex_state = 2},
  [12041] = {.lex_state = 162, .external_lex_state = 2},
  [12042] = {.lex_state = 436, .external_lex_state = 2},
  [12043] = {.lex_state = 436, .external_lex_state = 2},
  [12044] = {.lex_state = 215, .external_lex_state = 2},
  [12045] = {.lex_state = 162, .external_lex_state = 2},
  [12046] = {.lex_state = 163, .external_lex_state = 2},
  [12047] = {.lex_state = 163, .external_lex_state = 2},
  [12048] = {.lex_state = 162, .external_lex_state = 2},
  [12049] = {.lex_state = 162, .external_lex_state = 2},
  [12050] = {.lex_state = 6, .external_lex_state = 2},
  [12051] = {.lex_state = 163, .external_lex_state = 2},
  [12052] = {.lex_state = 158, .external_lex_state = 2},
  [12053] = {.lex_state = 436, .external_lex_state = 2},
  [12054] = {.lex_state = 163, .external_lex_state = 2},
  [12055] = {.lex_state = 162, .external_lex_state = 2},
  [12056] = {.lex_state = 162, .external_lex_state = 2},
  [12057] = {.lex_state = 162, .external_lex_state = 2},
  [12058] = {.lex_state = 162, .external_lex_state = 2},
  [12059] = {.lex_state = 163, .external_lex_state = 2},
  [12060] = {.lex_state = 163, .external_lex_state = 2},
  [12061] = {.lex_state = 215, .external_lex_state = 2},
  [12062] = {.lex_state = 162, .external_lex_state = 2},
  [12063] = {.lex_state = 162, .external_lex_state = 2},
  [12064] = {.lex_state = 215, .external_lex_state = 2},
  [12065] = {.lex_state = 164, .external_lex_state = 2},
  [12066] = {.lex_state = 162, .external_lex_state = 2},
  [12067] = {.lex_state = 163, .external_lex_state = 2},
  [12068] = {.lex_state = 163, .external_lex_state = 2},
  [12069] = {.lex_state = 163, .external_lex_state = 2},
  [12070] = {.lex_state = 163, .external_lex_state = 2},
  [12071] = {.lex_state = 163, .external_lex_state = 2},
  [12072] = {.lex_state = 163, .external_lex_state = 2},
  [12073] = {.lex_state = 163, .external_lex_state = 2},
  [12074] = {.lex_state = 163, .external_lex_state = 2},
  [12075] = {.lex_state = 163, .external_lex_state = 2},
  [12076] = {.lex_state = 163, .external_lex_state = 2},
  [12077] = {.lex_state = 163, .external_lex_state = 2},
  [12078] = {.lex_state = 163, .external_lex_state = 2},
  [12079] = {.lex_state = 163, .external_lex_state = 2},
  [12080] = {.lex_state = 162, .external_lex_state = 2},
  [12081] = {.lex_state = 162, .external_lex_state = 2},
  [12082] = {.lex_state = 163, .external_lex_state = 2},
  [12083] = {.lex_state = 163, .external_lex_state = 2},
  [12084] = {.lex_state = 163, .external_lex_state = 2},
  [12085] = {.lex_state = 163, .external_lex_state = 2},
  [12086] = {.lex_state = 163, .external_lex_state = 2},
  [12087] = {.lex_state = 162, .external_lex_state = 2},
  [12088] = {.lex_state = 163, .external_lex_state = 2},
  [12089] = {.lex_state = 163, .external_lex_state = 2},
  [12090] = {.lex_state = 163, .external_lex_state = 2},
  [12091] = {.lex_state = 163, .external_lex_state = 2},
  [12092] = {.lex_state = 163, .external_lex_state = 2},
  [12093] = {.lex_state = 163, .external_lex_state = 2},
  [12094] = {.lex_state = 163, .external_lex_state = 2},
  [12095] = {.lex_state = 163, .external_lex_state = 2},
  [12096] = {.lex_state = 228, .external_lex_state = 2},
  [12097] = {.lex_state = 162, .external_lex_state = 2},
  [12098] = {.lex_state = 162, .external_lex_state = 2},
  [12099] = {.lex_state = 202, .external_lex_state = 5},
  [12100] = {.lex_state = 162, .external_lex_state = 2},
  [12101] = {.lex_state = 162, .external_lex_state = 2},
  [12102] = {.lex_state = 163, .external_lex_state = 2},
  [12103] = {.lex_state = 163, .external_lex_state = 2},
  [12104] = {.lex_state = 228, .external_lex_state = 2},
  [12105] = {.lex_state = 163, .external_lex_state = 2},
  [12106] = {.lex_state = 202, .external_lex_state = 5},
  [12107] = {.lex_state = 162, .external_lex_state = 2},
  [12108] = {.lex_state = 162, .external_lex_state = 2},
  [12109] = {.lex_state = 202, .external_lex_state = 5},
  [12110] = {.lex_state = 163, .external_lex_state = 2},
  [12111] = {.lex_state = 215, .external_lex_state = 2},
  [12112] = {.lex_state = 162, .external_lex_state = 2},
  [12113] = {.lex_state = 162, .external_lex_state = 2},
  [12114] = {.lex_state = 202, .external_lex_state = 5},
  [12115] = {.lex_state = 163, .external_lex_state = 2},
  [12116] = {.lex_state = 163, .external_lex_state = 2},
  [12117] = {.lex_state = 162, .external_lex_state = 2},
  [12118] = {.lex_state = 162, .external_lex_state = 2},
  [12119] = {.lex_state = 163, .external_lex_state = 2},
  [12120] = {.lex_state = 162, .external_lex_state = 2},
  [12121] = {.lex_state = 216, .external_lex_state = 2},
  [12122] = {.lex_state = 162, .external_lex_state = 2},
  [12123] = {.lex_state = 164, .external_lex_state = 2},
  [12124] = {.lex_state = 164, .external_lex_state = 2},
  [12125] = {.lex_state = 163, .external_lex_state = 2},
  [12126] = {.lex_state = 164, .external_lex_state = 2},
  [12127] = {.lex_state = 163, .external_lex_state = 2},
  [12128] = {.lex_state = 163, .external_lex_state = 2},
  [12129] = {.lex_state = 206, .external_lex_state = 2},
  [12130] = {.lex_state = 202, .external_lex_state = 5},
  [12131] = {.lex_state = 202, .external_lex_state = 5},
  [12132] = {.lex_state = 202, .external_lex_state = 5},
  [12133] = {.lex_state = 163, .external_lex_state = 2},
  [12134] = {.lex_state = 163, .external_lex_state = 2},
  [12135] = {.lex_state = 163, .external_lex_state = 2},
  [12136] = {.lex_state = 158, .external_lex_state = 2},
  [12137] = {.lex_state = 163, .external_lex_state = 2},
  [12138] = {.lex_state = 163, .external_lex_state = 2},
  [12139] = {.lex_state = 162, .external_lex_state = 2},
  [12140] = {.lex_state = 163, .external_lex_state = 2},
  [12141] = {.lex_state = 163, .external_lex_state = 2},
  [12142] = {.lex_state = 162, .external_lex_state = 2},
  [12143] = {.lex_state = 162, .external_lex_state = 2},
  [12144] = {.lex_state = 202, .external_lex_state = 5},
  [12145] = {.lex_state = 228, .external_lex_state = 2},
  [12146] = {.lex_state = 163, .external_lex_state = 2},
  [12147] = {.lex_state = 164, .external_lex_state = 2},
  [12148] = {.lex_state = 202, .external_lex_state = 5},
  [12149] = {.lex_state = 164, .external_lex_state = 2},
  [12150] = {.lex_state = 202, .external_lex_state = 5},
  [12151] = {.lex_state = 164, .external_lex_state = 2},
  [12152] = {.lex_state = 215, .external_lex_state = 2},
  [12153] = {.lex_state = 164, .external_lex_state = 2},
  [12154] = {.lex_state = 164, .external_lex_state = 2},
  [12155] = {.lex_state = 164, .external_lex_state = 2},
  [12156] = {.lex_state = 163, .external_lex_state = 2},
  [12157] = {.lex_state = 163, .external_lex_state = 2},
  [12158] = {.lex_state = 162, .external_lex_state = 2},
  [12159] = {.lex_state = 163, .external_lex_state = 2},
  [12160] = {.lex_state = 162, .external_lex_state = 2},
  [12161] = {.lex_state = 162, .external_lex_state = 2},
  [12162] = {.lex_state = 163, .external_lex_state = 2},
  [12163] = {.lex_state = 163, .external_lex_state = 2},
  [12164] = {.lex_state = 228, .external_lex_state = 2},
  [12165] = {.lex_state = 164, .external_lex_state = 2},
  [12166] = {.lex_state = 164, .external_lex_state = 2},
  [12167] = {.lex_state = 164, .external_lex_state = 2},
  [12168] = {.lex_state = 164, .external_lex_state = 2},
  [12169] = {.lex_state = 158, .external_lex_state = 2},
  [12170] = {.lex_state = 164, .external_lex_state = 2},
  [12171] = {.lex_state = 228, .external_lex_state = 2},
  [12172] = {.lex_state = 228, .external_lex_state = 2},
  [12173] = {.lex_state = 202, .external_lex_state = 5},
  [12174] = {.lex_state = 163, .external_lex_state = 2},
  [12175] = {.lex_state = 164, .external_lex_state = 2},
  [12176] = {.lex_state = 163, .external_lex_state = 2},
  [12177] = {.lex_state = 162, .external_lex_state = 2},
  [12178] = {.lex_state = 163, .external_lex_state = 2},
  [12179] = {.lex_state = 163, .external_lex_state = 2},
  [12180] = {.lex_state = 164, .external_lex_state = 2},
  [12181] = {.lex_state = 163, .external_lex_state = 2},
  [12182] = {.lex_state = 162, .external_lex_state = 2},
  [12183] = {.lex_state = 162, .external_lex_state = 2},
  [12184] = {.lex_state = 164, .external_lex_state = 2},
  [12185] = {.lex_state = 202, .external_lex_state = 5},
  [12186] = {.lex_state = 163, .external_lex_state = 2},
  [12187] = {.lex_state = 163, .external_lex_state = 2},
  [12188] = {.lex_state = 163, .external_lex_state = 2},
  [12189] = {.lex_state = 158, .external_lex_state = 2},
  [12190] = {.lex_state = 163, .external_lex_state = 2},
  [12191] = {.lex_state = 163, .external_lex_state = 2},
  [12192] = {.lex_state = 163, .external_lex_state = 2},
  [12193] = {.lex_state = 202, .external_lex_state = 5},
  [12194] = {.lex_state = 162, .external_lex_state = 2},
  [12195] = {.lex_state = 163, .external_lex_state = 2},
  [12196] = {.lex_state = 163, .external_lex_state = 2},
  [12197] = {.lex_state = 202, .external_lex_state = 5},
  [12198] = {.lex_state = 163, .external_lex_state = 2},
  [12199] = {.lex_state = 163, .external_lex_state = 2},
  [12200] = {.lex_state = 163, .external_lex_state = 2},
  [12201] = {.lex_state = 163, .external_lex_state = 2},
  [12202] = {.lex_state = 163, .external_lex_state = 2},
  [12203] = {.lex_state = 163, .external_lex_state = 2},
  [12204] = {.lex_state = 163, .external_lex_state = 2},
  [12205] = {.lex_state = 163, .external_lex_state = 2},
  [12206] = {.lex_state = 202, .external_lex_state = 5},
  [12207] = {.lex_state = 202, .external_lex_state = 5},
  [12208] = {.lex_state = 163, .external_lex_state = 2},
  [12209] = {.lex_state = 163, .external_lex_state = 2},
  [12210] = {.lex_state = 202, .external_lex_state = 5},
  [12211] = {.lex_state = 162, .external_lex_state = 2},
  [12212] = {.lex_state = 163, .external_lex_state = 2},
  [12213] = {.lex_state = 202, .external_lex_state = 5},
  [12214] = {.lex_state = 163, .external_lex_state = 2},
  [12215] = {.lex_state = 202, .external_lex_state = 5},
  [12216] = {.lex_state = 163, .external_lex_state = 2},
  [12217] = {.lex_state = 162, .external_lex_state = 2},
  [12218] = {.lex_state = 163, .external_lex_state = 2},
  [12219] = {.lex_state = 163, .external_lex_state = 2},
  [12220] = {.lex_state = 163, .external_lex_state = 2},
  [12221] = {.lex_state = 162, .external_lex_state = 2},
  [12222] = {.lex_state = 202, .external_lex_state = 5},
  [12223] = {.lex_state = 206, .external_lex_state = 2},
  [12224] = {.lex_state = 163, .external_lex_state = 2},
  [12225] = {.lex_state = 163, .external_lex_state = 2},
  [12226] = {.lex_state = 163, .external_lex_state = 2},
  [12227] = {.lex_state = 160, .external_lex_state = 2},
  [12228] = {.lex_state = 202, .external_lex_state = 5},
  [12229] = {.lex_state = 162, .external_lex_state = 2},
  [12230] = {.lex_state = 163, .external_lex_state = 2},
  [12231] = {.lex_state = 163, .external_lex_state = 2},
  [12232] = {.lex_state = 163, .external_lex_state = 2},
  [12233] = {.lex_state = 202, .external_lex_state = 5},
  [12234] = {.lex_state = 163, .external_lex_state = 2},
  [12235] = {.lex_state = 163, .external_lex_state = 2},
  [12236] = {.lex_state = 163, .external_lex_state = 2},
  [12237] = {.lex_state = 163, .external_lex_state = 2},
  [12238] = {.lex_state = 163, .external_lex_state = 2},
  [12239] = {.lex_state = 163, .external_lex_state = 2},
  [12240] = {.lex_state = 163, .external_lex_state = 2},
  [12241] = {.lex_state = 162, .external_lex_state = 2},
  [12242] = {.lex_state = 202, .external_lex_state = 5},
  [12243] = {.lex_state = 163, .external_lex_state = 2},
  [12244] = {.lex_state = 158, .external_lex_state = 2},
  [12245] = {.lex_state = 162, .external_lex_state = 2},
  [12246] = {.lex_state = 163, .external_lex_state = 2},
  [12247] = {.lex_state = 163, .external_lex_state = 2},
  [12248] = {.lex_state = 163, .external_lex_state = 2},
  [12249] = {.lex_state = 163, .external_lex_state = 2},
  [12250] = {.lex_state = 163, .external_lex_state = 2},
  [12251] = {.lex_state = 163, .external_lex_state = 2},
  [12252] = {.lex_state = 162, .external_lex_state = 2},
  [12253] = {.lex_state = 162, .external_lex_state = 2},
  [12254] = {.lex_state = 162, .external_lex_state = 2},
  [12255] = {.lex_state = 163, .external_lex_state = 2},
  [12256] = {.lex_state = 162, .external_lex_state = 2},
  [12257] = {.lex_state = 163, .external_lex_state = 2},
  [12258] = {.lex_state = 163, .external_lex_state = 2},
  [12259] = {.lex_state = 163, .external_lex_state = 2},
  [12260] = {.lex_state = 202, .external_lex_state = 5},
  [12261] = {.lex_state = 202, .external_lex_state = 5},
  [12262] = {.lex_state = 202, .external_lex_state = 5},
  [12263] = {.lex_state = 202, .external_lex_state = 5},
  [12264] = {.lex_state = 162, .external_lex_state = 2},
  [12265] = {.lex_state = 158, .external_lex_state = 2},
  [12266] = {.lex_state = 202, .external_lex_state = 5},
  [12267] = {.lex_state = 163, .external_lex_state = 2},
  [12268] = {.lex_state = 163, .external_lex_state = 2},
  [12269] = {.lex_state = 163, .external_lex_state = 2},
  [12270] = {.lex_state = 228, .external_lex_state = 2},
  [12271] = {.lex_state = 163, .external_lex_state = 2},
  [12272] = {.lex_state = 163, .external_lex_state = 2},
  [12273] = {.lex_state = 163, .external_lex_state = 2},
  [12274] = {.lex_state = 163, .external_lex_state = 2},
  [12275] = {.lex_state = 202, .external_lex_state = 5},
  [12276] = {.lex_state = 164, .external_lex_state = 2},
  [12277] = {.lex_state = 164, .external_lex_state = 2},
  [12278] = {.lex_state = 162, .external_lex_state = 2},
  [12279] = {.lex_state = 162, .external_lex_state = 2},
  [12280] = {.lex_state = 202, .external_lex_state = 5},
  [12281] = {.lex_state = 162, .external_lex_state = 2},
  [12282] = {.lex_state = 162, .external_lex_state = 2},
  [12283] = {.lex_state = 162, .external_lex_state = 2},
  [12284] = {.lex_state = 162, .external_lex_state = 2},
  [12285] = {.lex_state = 162, .external_lex_state = 2},
  [12286] = {.lex_state = 162, .external_lex_state = 2},
  [12287] = {.lex_state = 162, .external_lex_state = 2},
  [12288] = {.lex_state = 163, .external_lex_state = 2},
  [12289] = {.lex_state = 163, .external_lex_state = 2},
  [12290] = {.lex_state = 163, .external_lex_state = 2},
  [12291] = {.lex_state = 163, .external_lex_state = 2},
  [12292] = {.lex_state = 163, .external_lex_state = 2},
  [12293] = {.lex_state = 163, .external_lex_state = 2},
  [12294] = {.lex_state = 163, .external_lex_state = 2},
  [12295] = {.lex_state = 162, .external_lex_state = 2},
  [12296] = {.lex_state = 162, .external_lex_state = 2},
  [12297] = {.lex_state = 163, .external_lex_state = 2},
  [12298] = {.lex_state = 162, .external_lex_state = 2},
  [12299] = {.lex_state = 162, .external_lex_state = 2},
  [12300] = {.lex_state = 162, .external_lex_state = 2},
  [12301] = {.lex_state = 202, .external_lex_state = 5},
  [12302] = {.lex_state = 202, .external_lex_state = 5},
  [12303] = {.lex_state = 162, .external_lex_state = 2},
  [12304] = {.lex_state = 202, .external_lex_state = 5},
  [12305] = {.lex_state = 162, .external_lex_state = 2},
  [12306] = {.lex_state = 256, .external_lex_state = 2},
  [12307] = {.lex_state = 163, .external_lex_state = 2},
  [12308] = {.lex_state = 202, .external_lex_state = 5},
  [12309] = {.lex_state = 163, .external_lex_state = 2},
  [12310] = {.lex_state = 163, .external_lex_state = 2},
  [12311] = {.lex_state = 163, .external_lex_state = 2},
  [12312] = {.lex_state = 163, .external_lex_state = 2},
  [12313] = {.lex_state = 158, .external_lex_state = 2},
  [12314] = {.lex_state = 163, .external_lex_state = 2},
  [12315] = {.lex_state = 162, .external_lex_state = 2},
  [12316] = {.lex_state = 163, .external_lex_state = 2},
  [12317] = {.lex_state = 162, .external_lex_state = 2},
  [12318] = {.lex_state = 163, .external_lex_state = 2},
  [12319] = {.lex_state = 162, .external_lex_state = 2},
  [12320] = {.lex_state = 163, .external_lex_state = 2},
  [12321] = {.lex_state = 163, .external_lex_state = 2},
  [12322] = {.lex_state = 163, .external_lex_state = 2},
  [12323] = {.lex_state = 163, .external_lex_state = 2},
  [12324] = {.lex_state = 163, .external_lex_state = 2},
  [12325] = {.lex_state = 163, .external_lex_state = 2},
  [12326] = {.lex_state = 163, .external_lex_state = 2},
  [12327] = {.lex_state = 162, .external_lex_state = 2},
  [12328] = {.lex_state = 162, .external_lex_state = 2},
  [12329] = {.lex_state = 162, .external_lex_state = 2},
  [12330] = {.lex_state = 163, .external_lex_state = 2},
  [12331] = {.lex_state = 202, .external_lex_state = 5},
  [12332] = {.lex_state = 163, .external_lex_state = 2},
  [12333] = {.lex_state = 163, .external_lex_state = 2},
  [12334] = {.lex_state = 162, .external_lex_state = 2},
  [12335] = {.lex_state = 162, .external_lex_state = 2},
  [12336] = {.lex_state = 162, .external_lex_state = 2},
  [12337] = {.lex_state = 163, .external_lex_state = 2},
  [12338] = {.lex_state = 162, .external_lex_state = 2},
  [12339] = {.lex_state = 163, .external_lex_state = 2},
  [12340] = {.lex_state = 162, .external_lex_state = 2},
  [12341] = {.lex_state = 163, .external_lex_state = 2},
  [12342] = {.lex_state = 158, .external_lex_state = 2},
  [12343] = {.lex_state = 202, .external_lex_state = 5},
  [12344] = {.lex_state = 202, .external_lex_state = 5},
  [12345] = {.lex_state = 163, .external_lex_state = 2},
  [12346] = {.lex_state = 163, .external_lex_state = 2},
  [12347] = {.lex_state = 162, .external_lex_state = 2},
  [12348] = {.lex_state = 163, .external_lex_state = 2},
  [12349] = {.lex_state = 162, .external_lex_state = 2},
  [12350] = {.lex_state = 202, .external_lex_state = 5},
  [12351] = {.lex_state = 202, .external_lex_state = 5},
  [12352] = {.lex_state = 158, .external_lex_state = 2},
  [12353] = {.lex_state = 202, .external_lex_state = 5},
  [12354] = {.lex_state = 162, .external_lex_state = 2},
  [12355] = {.lex_state = 163, .external_lex_state = 2},
  [12356] = {.lex_state = 163, .external_lex_state = 2},
  [12357] = {.lex_state = 202, .external_lex_state = 5},
  [12358] = {.lex_state = 202, .external_lex_state = 5},
  [12359] = {.lex_state = 202, .external_lex_state = 5},
  [12360] = {.lex_state = 163, .external_lex_state = 2},
  [12361] = {.lex_state = 163, .external_lex_state = 2},
  [12362] = {.lex_state = 163, .external_lex_state = 2},
  [12363] = {.lex_state = 163, .external_lex_state = 2},
  [12364] = {.lex_state = 202, .external_lex_state = 5},
  [12365] = {.lex_state = 163, .external_lex_state = 2},
  [12366] = {.lex_state = 163, .external_lex_state = 2},
  [12367] = {.lex_state = 163, .external_lex_state = 2},
  [12368] = {.lex_state = 202, .external_lex_state = 5},
  [12369] = {.lex_state = 202, .external_lex_state = 5},
  [12370] = {.lex_state = 163, .external_lex_state = 2},
  [12371] = {.lex_state = 202, .external_lex_state = 5},
  [12372] = {.lex_state = 163, .external_lex_state = 2},
  [12373] = {.lex_state = 163, .external_lex_state = 2},
  [12374] = {.lex_state = 163, .external_lex_state = 2},
  [12375] = {.lex_state = 202, .external_lex_state = 5},
  [12376] = {.lex_state = 163, .external_lex_state = 2},
  [12377] = {.lex_state = 202, .external_lex_state = 5},
  [12378] = {.lex_state = 202, .external_lex_state = 5},
  [12379] = {.lex_state = 202, .external_lex_state = 5},
  [12380] = {.lex_state = 202, .external_lex_state = 5},
  [12381] = {.lex_state = 163, .external_lex_state = 2},
  [12382] = {.lex_state = 163, .external_lex_state = 2},
  [12383] = {.lex_state = 163, .external_lex_state = 2},
  [12384] = {.lex_state = 163, .external_lex_state = 2},
  [12385] = {.lex_state = 163, .external_lex_state = 2},
  [12386] = {.lex_state = 240, .external_lex_state = 2},
  [12387] = {.lex_state = 163, .external_lex_state = 2},
  [12388] = {.lex_state = 202, .external_lex_state = 5},
  [12389] = {.lex_state = 206, .external_lex_state = 2},
  [12390] = {.lex_state = 206, .external_lex_state = 2},
  [12391] = {.lex_state = 162, .external_lex_state = 2},
  [12392] = {.lex_state = 162, .external_lex_state = 2},
  [12393] = {.lex_state = 162, .external_lex_state = 2},
  [12394] = {.lex_state = 162, .external_lex_state = 2},
  [12395] = {.lex_state = 163, .external_lex_state = 2},
  [12396] = {.lex_state = 162, .external_lex_state = 2},
  [12397] = {.lex_state = 163, .external_lex_state = 2},
  [12398] = {.lex_state = 202, .external_lex_state = 5},
  [12399] = {.lex_state = 163, .external_lex_state = 2},
  [12400] = {.lex_state = 163, .external_lex_state = 2},
  [12401] = {.lex_state = 163, .external_lex_state = 2},
  [12402] = {.lex_state = 163, .external_lex_state = 2},
  [12403] = {.lex_state = 163, .external_lex_state = 2},
  [12404] = {.lex_state = 163, .external_lex_state = 2},
  [12405] = {.lex_state = 160, .external_lex_state = 2},
  [12406] = {.lex_state = 202, .external_lex_state = 5},
  [12407] = {.lex_state = 158, .external_lex_state = 2},
  [12408] = {.lex_state = 163, .external_lex_state = 2},
  [12409] = {.lex_state = 163, .external_lex_state = 2},
  [12410] = {.lex_state = 163, .external_lex_state = 2},
  [12411] = {.lex_state = 163, .external_lex_state = 2},
  [12412] = {.lex_state = 240, .external_lex_state = 2},
  [12413] = {.lex_state = 158, .external_lex_state = 2},
  [12414] = {.lex_state = 163, .external_lex_state = 2},
  [12415] = {.lex_state = 158, .external_lex_state = 2},
  [12416] = {.lex_state = 163, .external_lex_state = 2},
  [12417] = {.lex_state = 158, .external_lex_state = 2},
  [12418] = {.lex_state = 158, .external_lex_state = 2},
  [12419] = {.lex_state = 202, .external_lex_state = 5},
  [12420] = {.lex_state = 163, .external_lex_state = 2},
  [12421] = {.lex_state = 163, .external_lex_state = 2},
  [12422] = {.lex_state = 163, .external_lex_state = 2},
  [12423] = {.lex_state = 158, .external_lex_state = 2},
  [12424] = {.lex_state = 163, .external_lex_state = 2},
  [12425] = {.lex_state = 158, .external_lex_state = 2},
  [12426] = {.lex_state = 158, .external_lex_state = 2},
  [12427] = {.lex_state = 158, .external_lex_state = 2},
  [12428] = {.lex_state = 158, .external_lex_state = 2},
  [12429] = {.lex_state = 163, .external_lex_state = 2},
  [12430] = {.lex_state = 163, .external_lex_state = 2},
  [12431] = {.lex_state = 202, .external_lex_state = 5},
  [12432] = {.lex_state = 158, .external_lex_state = 2},
  [12433] = {.lex_state = 19, .external_lex_state = 2},
  [12434] = {.lex_state = 163, .external_lex_state = 2},
  [12435] = {.lex_state = 163, .external_lex_state = 2},
  [12436] = {.lex_state = 19, .external_lex_state = 2},
  [12437] = {.lex_state = 227, .external_lex_state = 2},
  [12438] = {.lex_state = 19, .external_lex_state = 2},
  [12439] = {.lex_state = 163, .external_lex_state = 2},
  [12440] = {.lex_state = 19, .external_lex_state = 2},
  [12441] = {.lex_state = 19, .external_lex_state = 2},
  [12442] = {.lex_state = 19, .external_lex_state = 2},
  [12443] = {.lex_state = 283, .external_lex_state = 2},
  [12444] = {.lex_state = 228, .external_lex_state = 2},
  [12445] = {.lex_state = 19, .external_lex_state = 2},
  [12446] = {.lex_state = 23, .external_lex_state = 2},
  [12447] = {.lex_state = 19, .external_lex_state = 2},
  [12448] = {.lex_state = 283, .external_lex_state = 2},
  [12449] = {.lex_state = 227, .external_lex_state = 2},
  [12450] = {.lex_state = 163, .external_lex_state = 2},
  [12451] = {.lex_state = 228, .external_lex_state = 2},
  [12452] = {.lex_state = 228, .external_lex_state = 2},
  [12453] = {.lex_state = 163, .external_lex_state = 2},
  [12454] = {.lex_state = 163, .external_lex_state = 2},
  [12455] = {.lex_state = 163, .external_lex_state = 2},
  [12456] = {.lex_state = 257, .external_lex_state = 2},
  [12457] = {.lex_state = 257, .external_lex_state = 2},
  [12458] = {.lex_state = 163, .external_lex_state = 2},
  [12459] = {.lex_state = 163, .external_lex_state = 2},
  [12460] = {.lex_state = 163, .external_lex_state = 2},
  [12461] = {.lex_state = 19, .external_lex_state = 2},
  [12462] = {.lex_state = 19, .external_lex_state = 2},
  [12463] = {.lex_state = 228, .external_lex_state = 2},
  [12464] = {.lex_state = 163, .external_lex_state = 2},
  [12465] = {.lex_state = 23, .external_lex_state = 2},
  [12466] = {.lex_state = 163, .external_lex_state = 2},
  [12467] = {.lex_state = 216, .external_lex_state = 2},
  [12468] = {.lex_state = 19, .external_lex_state = 2},
  [12469] = {.lex_state = 283, .external_lex_state = 2},
  [12470] = {.lex_state = 19, .external_lex_state = 2},
  [12471] = {.lex_state = 23, .external_lex_state = 2},
  [12472] = {.lex_state = 163, .external_lex_state = 2},
  [12473] = {.lex_state = 19, .external_lex_state = 2},
  [12474] = {.lex_state = 283, .external_lex_state = 2},
  [12475] = {.lex_state = 163, .external_lex_state = 2},
  [12476] = {.lex_state = 228, .external_lex_state = 2},
  [12477] = {.lex_state = 216, .external_lex_state = 2},
  [12478] = {.lex_state = 163, .external_lex_state = 2},
  [12479] = {.lex_state = 216, .external_lex_state = 2},
  [12480] = {.lex_state = 163, .external_lex_state = 2},
  [12481] = {.lex_state = 6, .external_lex_state = 2},
  [12482] = {.lex_state = 19, .external_lex_state = 2},
  [12483] = {.lex_state = 256, .external_lex_state = 2},
  [12484] = {.lex_state = 228, .external_lex_state = 2},
  [12485] = {.lex_state = 19, .external_lex_state = 2},
  [12486] = {.lex_state = 228, .external_lex_state = 2},
  [12487] = {.lex_state = 19, .external_lex_state = 2},
  [12488] = {.lex_state = 19, .external_lex_state = 2},
  [12489] = {.lex_state = 228, .external_lex_state = 2},
  [12490] = {.lex_state = 19, .external_lex_state = 2},
  [12491] = {.lex_state = 228, .external_lex_state = 2},
  [12492] = {.lex_state = 228, .external_lex_state = 2},
  [12493] = {.lex_state = 216, .external_lex_state = 2},
  [12494] = {.lex_state = 19, .external_lex_state = 2},
  [12495] = {.lex_state = 158, .external_lex_state = 2},
  [12496] = {.lex_state = 23, .external_lex_state = 2},
  [12497] = {.lex_state = 216, .external_lex_state = 2},
  [12498] = {.lex_state = 19, .external_lex_state = 2},
  [12499] = {.lex_state = 216, .external_lex_state = 2},
  [12500] = {.lex_state = 216, .external_lex_state = 2},
  [12501] = {.lex_state = 216, .external_lex_state = 2},
  [12502] = {.lex_state = 228, .external_lex_state = 2},
  [12503] = {.lex_state = 163, .external_lex_state = 2},
  [12504] = {.lex_state = 216, .external_lex_state = 2},
  [12505] = {.lex_state = 163, .external_lex_state = 2},
  [12506] = {.lex_state = 19, .external_lex_state = 2},
  [12507] = {.lex_state = 163, .external_lex_state = 2},
  [12508] = {.lex_state = 163, .external_lex_state = 2},
  [12509] = {.lex_state = 216, .external_lex_state = 2},
  [12510] = {.lex_state = 216, .external_lex_state = 2},
  [12511] = {.lex_state = 216, .external_lex_state = 2},
  [12512] = {.lex_state = 163, .external_lex_state = 2},
  [12513] = {.lex_state = 19, .external_lex_state = 2},
  [12514] = {.lex_state = 19, .external_lex_state = 2},
  [12515] = {.lex_state = 216, .external_lex_state = 2},
  [12516] = {.lex_state = 163, .external_lex_state = 2},
  [12517] = {.lex_state = 216, .external_lex_state = 2},
  [12518] = {.lex_state = 19, .external_lex_state = 2},
  [12519] = {.lex_state = 163, .external_lex_state = 2},
  [12520] = {.lex_state = 216, .external_lex_state = 2},
  [12521] = {.lex_state = 163, .external_lex_state = 2},
  [12522] = {.lex_state = 163, .external_lex_state = 2},
  [12523] = {.lex_state = 216, .external_lex_state = 2},
  [12524] = {.lex_state = 163, .external_lex_state = 2},
  [12525] = {.lex_state = 163, .external_lex_state = 2},
  [12526] = {.lex_state = 228, .external_lex_state = 2},
  [12527] = {.lex_state = 216, .external_lex_state = 2},
  [12528] = {.lex_state = 216, .external_lex_state = 2},
  [12529] = {.lex_state = 216, .external_lex_state = 2},
  [12530] = {.lex_state = 163, .external_lex_state = 2},
  [12531] = {.lex_state = 216, .external_lex_state = 2},
  [12532] = {.lex_state = 216, .external_lex_state = 2},
  [12533] = {.lex_state = 216, .external_lex_state = 2},
  [12534] = {.lex_state = 216, .external_lex_state = 2},
  [12535] = {.lex_state = 228, .external_lex_state = 2},
  [12536] = {.lex_state = 164, .external_lex_state = 2},
  [12537] = {.lex_state = 158, .external_lex_state = 2},
  [12538] = {.lex_state = 228, .external_lex_state = 2},
  [12539] = {.lex_state = 228, .external_lex_state = 2},
  [12540] = {.lex_state = 216, .external_lex_state = 2},
  [12541] = {.lex_state = 23, .external_lex_state = 2},
  [12542] = {.lex_state = 216, .external_lex_state = 2},
  [12543] = {.lex_state = 228, .external_lex_state = 2},
  [12544] = {.lex_state = 228, .external_lex_state = 2},
  [12545] = {.lex_state = 6, .external_lex_state = 2},
  [12546] = {.lex_state = 163, .external_lex_state = 2},
  [12547] = {.lex_state = 19, .external_lex_state = 2},
  [12548] = {.lex_state = 163, .external_lex_state = 2},
  [12549] = {.lex_state = 228, .external_lex_state = 2},
  [12550] = {.lex_state = 228, .external_lex_state = 2},
  [12551] = {.lex_state = 228, .external_lex_state = 2},
  [12552] = {.lex_state = 202, .external_lex_state = 5},
  [12553] = {.lex_state = 216, .external_lex_state = 2},
  [12554] = {.lex_state = 19, .external_lex_state = 2},
  [12555] = {.lex_state = 228, .external_lex_state = 2},
  [12556] = {.lex_state = 19, .external_lex_state = 2},
  [12557] = {.lex_state = 202, .external_lex_state = 5},
  [12558] = {.lex_state = 216, .external_lex_state = 2},
  [12559] = {.lex_state = 6, .external_lex_state = 2},
  [12560] = {.lex_state = 228, .external_lex_state = 2},
  [12561] = {.lex_state = 19, .external_lex_state = 2},
  [12562] = {.lex_state = 19, .external_lex_state = 2},
  [12563] = {.lex_state = 19, .external_lex_state = 2},
  [12564] = {.lex_state = 216, .external_lex_state = 2},
  [12565] = {.lex_state = 228, .external_lex_state = 2},
  [12566] = {.lex_state = 216, .external_lex_state = 2},
  [12567] = {.lex_state = 216, .external_lex_state = 2},
  [12568] = {.lex_state = 283, .external_lex_state = 2},
  [12569] = {.lex_state = 163, .external_lex_state = 2},
  [12570] = {.lex_state = 228, .external_lex_state = 2},
  [12571] = {.lex_state = 163, .external_lex_state = 2},
  [12572] = {.lex_state = 228, .external_lex_state = 2},
  [12573] = {.lex_state = 163, .external_lex_state = 2},
  [12574] = {.lex_state = 216, .external_lex_state = 2},
  [12575] = {.lex_state = 163, .external_lex_state = 2},
  [12576] = {.lex_state = 19, .external_lex_state = 2},
  [12577] = {.lex_state = 19, .external_lex_state = 2},
  [12578] = {.lex_state = 163, .external_lex_state = 2},
  [12579] = {.lex_state = 283, .external_lex_state = 2},
  [12580] = {.lex_state = 163, .external_lex_state = 2},
  [12581] = {.lex_state = 228, .external_lex_state = 2},
  [12582] = {.lex_state = 163, .external_lex_state = 2},
  [12583] = {.lex_state = 228, .external_lex_state = 2},
  [12584] = {.lex_state = 6, .external_lex_state = 2},
  [12585] = {.lex_state = 19, .external_lex_state = 2},
  [12586] = {.lex_state = 19, .external_lex_state = 2},
  [12587] = {.lex_state = 19, .external_lex_state = 2},
  [12588] = {.lex_state = 163, .external_lex_state = 2},
  [12589] = {.lex_state = 19, .external_lex_state = 2},
  [12590] = {.lex_state = 227, .external_lex_state = 2},
  [12591] = {.lex_state = 283, .external_lex_state = 2},
  [12592] = {.lex_state = 163, .external_lex_state = 2},
  [12593] = {.lex_state = 19, .external_lex_state = 2},
  [12594] = {.lex_state = 163, .external_lex_state = 2},
  [12595] = {.lex_state = 270, .external_lex_state = 2},
  [12596] = {.lex_state = 163, .external_lex_state = 2},
  [12597] = {.lex_state = 163, .external_lex_state = 2},
  [12598] = {.lex_state = 163, .external_lex_state = 2},
  [12599] = {.lex_state = 163, .external_lex_state = 2},
  [12600] = {.lex_state = 283, .external_lex_state = 2},
  [12601] = {.lex_state = 163, .external_lex_state = 2},
  [12602] = {.lex_state = 163, .external_lex_state = 2},
  [12603] = {.lex_state = 163, .external_lex_state = 2},
  [12604] = {.lex_state = 163, .external_lex_state = 2},
  [12605] = {.lex_state = 163, .external_lex_state = 2},
  [12606] = {.lex_state = 163, .external_lex_state = 2},
  [12607] = {.lex_state = 19, .external_lex_state = 2},
  [12608] = {.lex_state = 163, .external_lex_state = 2},
  [12609] = {.lex_state = 228, .external_lex_state = 2},
  [12610] = {.lex_state = 228, .external_lex_state = 2},
  [12611] = {.lex_state = 283, .external_lex_state = 2},
  [12612] = {.lex_state = 228, .external_lex_state = 2},
  [12613] = {.lex_state = 228, .external_lex_state = 2},
  [12614] = {.lex_state = 228, .external_lex_state = 2},
  [12615] = {.lex_state = 228, .external_lex_state = 2},
  [12616] = {.lex_state = 19, .external_lex_state = 2},
  [12617] = {.lex_state = 163, .external_lex_state = 2},
  [12618] = {.lex_state = 19, .external_lex_state = 2},
  [12619] = {.lex_state = 19, .external_lex_state = 2},
  [12620] = {.lex_state = 163, .external_lex_state = 2},
  [12621] = {.lex_state = 23, .external_lex_state = 2},
  [12622] = {.lex_state = 163, .external_lex_state = 2},
  [12623] = {.lex_state = 19, .external_lex_state = 2},
  [12624] = {.lex_state = 163, .external_lex_state = 2},
  [12625] = {.lex_state = 163, .external_lex_state = 2},
  [12626] = {.lex_state = 158, .external_lex_state = 2},
  [12627] = {.lex_state = 163, .external_lex_state = 2},
  [12628] = {.lex_state = 163, .external_lex_state = 2},
  [12629] = {.lex_state = 228, .external_lex_state = 2},
  [12630] = {.lex_state = 228, .external_lex_state = 2},
  [12631] = {.lex_state = 23, .external_lex_state = 2},
  [12632] = {.lex_state = 163, .external_lex_state = 2},
  [12633] = {.lex_state = 228, .external_lex_state = 2},
  [12634] = {.lex_state = 163, .external_lex_state = 2},
  [12635] = {.lex_state = 163, .external_lex_state = 2},
  [12636] = {.lex_state = 163, .external_lex_state = 2},
  [12637] = {.lex_state = 228, .external_lex_state = 2},
  [12638] = {.lex_state = 19, .external_lex_state = 2},
  [12639] = {.lex_state = 163, .external_lex_state = 2},
  [12640] = {.lex_state = 163, .external_lex_state = 2},
  [12641] = {.lex_state = 163, .external_lex_state = 2},
  [12642] = {.lex_state = 163, .external_lex_state = 2},
  [12643] = {.lex_state = 19, .external_lex_state = 2},
  [12644] = {.lex_state = 228, .external_lex_state = 2},
  [12645] = {.lex_state = 23, .external_lex_state = 2},
  [12646] = {.lex_state = 436, .external_lex_state = 2},
  [12647] = {.lex_state = 6, .external_lex_state = 2},
  [12648] = {.lex_state = 6, .external_lex_state = 2},
  [12649] = {.lex_state = 6, .external_lex_state = 2},
  [12650] = {.lex_state = 6, .external_lex_state = 2},
  [12651] = {.lex_state = 6, .external_lex_state = 2},
  [12652] = {.lex_state = 6, .external_lex_state = 2},
  [12653] = {.lex_state = 23, .external_lex_state = 2},
  [12654] = {.lex_state = 6, .external_lex_state = 2},
  [12655] = {.lex_state = 228, .external_lex_state = 2},
  [12656] = {.lex_state = 6, .external_lex_state = 2},
  [12657] = {.lex_state = 228, .external_lex_state = 2},
  [12658] = {.lex_state = 228, .external_lex_state = 2},
  [12659] = {.lex_state = 6, .external_lex_state = 2},
  [12660] = {.lex_state = 240, .external_lex_state = 2},
  [12661] = {.lex_state = 228, .external_lex_state = 2},
  [12662] = {.lex_state = 240, .external_lex_state = 2},
  [12663] = {.lex_state = 240, .external_lex_state = 2},
  [12664] = {.lex_state = 6, .external_lex_state = 2},
  [12665] = {.lex_state = 227, .external_lex_state = 2},
  [12666] = {.lex_state = 158, .external_lex_state = 2},
  [12667] = {.lex_state = 158, .external_lex_state = 2},
  [12668] = {.lex_state = 228, .external_lex_state = 2},
  [12669] = {.lex_state = 158, .external_lex_state = 2},
  [12670] = {.lex_state = 6, .external_lex_state = 2},
  [12671] = {.lex_state = 23, .external_lex_state = 2},
  [12672] = {.lex_state = 6, .external_lex_state = 2},
  [12673] = {.lex_state = 158, .external_lex_state = 2},
  [12674] = {.lex_state = 227, .external_lex_state = 2},
  [12675] = {.lex_state = 227, .external_lex_state = 2},
  [12676] = {.lex_state = 165, .external_lex_state = 2},
  [12677] = {.lex_state = 6, .external_lex_state = 2},
  [12678] = {.lex_state = 227, .external_lex_state = 2},
  [12679] = {.lex_state = 227, .external_lex_state = 2},
  [12680] = {.lex_state = 227, .external_lex_state = 2},
  [12681] = {.lex_state = 227, .external_lex_state = 2},
  [12682] = {.lex_state = 227, .external_lex_state = 2},
  [12683] = {.lex_state = 436, .external_lex_state = 2},
  [12684] = {.lex_state = 227, .external_lex_state = 2},
  [12685] = {.lex_state = 6, .external_lex_state = 2},
  [12686] = {.lex_state = 6, .external_lex_state = 2},
  [12687] = {.lex_state = 227, .external_lex_state = 2},
  [12688] = {.lex_state = 227, .external_lex_state = 2},
  [12689] = {.lex_state = 227, .external_lex_state = 2},
  [12690] = {.lex_state = 227, .external_lex_state = 2},
  [12691] = {.lex_state = 227, .external_lex_state = 2},
  [12692] = {.lex_state = 6, .external_lex_state = 2},
  [12693] = {.lex_state = 212, .external_lex_state = 2},
  [12694] = {.lex_state = 202, .external_lex_state = 5},
  [12695] = {.lex_state = 227, .external_lex_state = 2},
  [12696] = {.lex_state = 6, .external_lex_state = 2},
  [12697] = {.lex_state = 227, .external_lex_state = 2},
  [12698] = {.lex_state = 227, .external_lex_state = 2},
  [12699] = {.lex_state = 227, .external_lex_state = 2},
  [12700] = {.lex_state = 436, .external_lex_state = 2},
  [12701] = {.lex_state = 6, .external_lex_state = 2},
  [12702] = {.lex_state = 216, .external_lex_state = 2},
  [12703] = {.lex_state = 227, .external_lex_state = 2},
  [12704] = {.lex_state = 6, .external_lex_state = 2},
  [12705] = {.lex_state = 6, .external_lex_state = 2},
  [12706] = {.lex_state = 227, .external_lex_state = 2},
  [12707] = {.lex_state = 227, .external_lex_state = 2},
  [12708] = {.lex_state = 227, .external_lex_state = 2},
  [12709] = {.lex_state = 227, .external_lex_state = 2},
  [12710] = {.lex_state = 436, .external_lex_state = 2},
  [12711] = {.lex_state = 227, .external_lex_state = 2},
  [12712] = {.lex_state = 227, .external_lex_state = 2},
  [12713] = {.lex_state = 227, .external_lex_state = 2},
  [12714] = {.lex_state = 436, .external_lex_state = 2},
  [12715] = {.lex_state = 227, .external_lex_state = 2},
  [12716] = {.lex_state = 227, .external_lex_state = 2},
  [12717] = {.lex_state = 227, .external_lex_state = 2},
  [12718] = {.lex_state = 227, .external_lex_state = 2},
  [12719] = {.lex_state = 23, .external_lex_state = 2},
  [12720] = {.lex_state = 7, .external_lex_state = 2},
  [12721] = {.lex_state = 228, .external_lex_state = 2},
  [12722] = {.lex_state = 227, .external_lex_state = 2},
  [12723] = {.lex_state = 165, .external_lex_state = 2},
  [12724] = {.lex_state = 222, .external_lex_state = 2},
  [12725] = {.lex_state = 202, .external_lex_state = 5},
  [12726] = {.lex_state = 23, .external_lex_state = 2},
  [12727] = {.lex_state = 228, .external_lex_state = 2},
  [12728] = {.lex_state = 228, .external_lex_state = 2},
  [12729] = {.lex_state = 228, .external_lex_state = 2},
  [12730] = {.lex_state = 23, .external_lex_state = 2},
  [12731] = {.lex_state = 228, .external_lex_state = 2},
  [12732] = {.lex_state = 7, .external_lex_state = 2},
  [12733] = {.lex_state = 6, .external_lex_state = 2},
  [12734] = {.lex_state = 6, .external_lex_state = 2},
  [12735] = {.lex_state = 7, .external_lex_state = 2},
  [12736] = {.lex_state = 6, .external_lex_state = 2},
  [12737] = {.lex_state = 6, .external_lex_state = 2},
  [12738] = {.lex_state = 227, .external_lex_state = 2},
  [12739] = {.lex_state = 6, .external_lex_state = 2},
  [12740] = {.lex_state = 23, .external_lex_state = 2},
  [12741] = {.lex_state = 227, .external_lex_state = 2},
  [12742] = {.lex_state = 228, .external_lex_state = 2},
  [12743] = {.lex_state = 212, .external_lex_state = 2},
  [12744] = {.lex_state = 23, .external_lex_state = 2},
  [12745] = {.lex_state = 222, .external_lex_state = 2},
  [12746] = {.lex_state = 437, .external_lex_state = 2},
  [12747] = {.lex_state = 222, .external_lex_state = 2},
  [12748] = {.lex_state = 6, .external_lex_state = 2},
  [12749] = {.lex_state = 165, .external_lex_state = 2},
  [12750] = {.lex_state = 436, .external_lex_state = 2},
  [12751] = {.lex_state = 436, .external_lex_state = 2},
  [12752] = {.lex_state = 158, .external_lex_state = 2},
  [12753] = {.lex_state = 158, .external_lex_state = 2},
  [12754] = {.lex_state = 436, .external_lex_state = 2},
  [12755] = {.lex_state = 158, .external_lex_state = 2},
  [12756] = {.lex_state = 436, .external_lex_state = 2},
  [12757] = {.lex_state = 158, .external_lex_state = 2},
  [12758] = {.lex_state = 436, .external_lex_state = 2},
  [12759] = {.lex_state = 436, .external_lex_state = 2},
  [12760] = {.lex_state = 436, .external_lex_state = 2},
  [12761] = {.lex_state = 436, .external_lex_state = 2},
  [12762] = {.lex_state = 158, .external_lex_state = 2},
  [12763] = {.lex_state = 158, .external_lex_state = 2},
  [12764] = {.lex_state = 436, .external_lex_state = 2},
  [12765] = {.lex_state = 158, .external_lex_state = 2},
  [12766] = {.lex_state = 436, .external_lex_state = 2},
  [12767] = {.lex_state = 436, .external_lex_state = 2},
  [12768] = {.lex_state = 158, .external_lex_state = 2},
  [12769] = {.lex_state = 436, .external_lex_state = 2},
  [12770] = {.lex_state = 158, .external_lex_state = 2},
  [12771] = {.lex_state = 436, .external_lex_state = 2},
  [12772] = {.lex_state = 436, .external_lex_state = 2},
  [12773] = {.lex_state = 158, .external_lex_state = 2},
  [12774] = {.lex_state = 436, .external_lex_state = 2},
  [12775] = {.lex_state = 158, .external_lex_state = 2},
  [12776] = {.lex_state = 436, .external_lex_state = 2},
  [12777] = {.lex_state = 436, .external_lex_state = 2},
  [12778] = {.lex_state = 436, .external_lex_state = 2},
  [12779] = {.lex_state = 436, .external_lex_state = 2},
  [12780] = {.lex_state = 158, .external_lex_state = 2},
  [12781] = {.lex_state = 436, .external_lex_state = 2},
  [12782] = {.lex_state = 158, .external_lex_state = 2},
  [12783] = {.lex_state = 158, .external_lex_state = 2},
  [12784] = {.lex_state = 436, .external_lex_state = 2},
  [12785] = {.lex_state = 436, .external_lex_state = 2},
  [12786] = {.lex_state = 158, .external_lex_state = 2},
  [12787] = {.lex_state = 436, .external_lex_state = 2},
  [12788] = {.lex_state = 436, .external_lex_state = 2},
  [12789] = {.lex_state = 436, .external_lex_state = 2},
  [12790] = {.lex_state = 6, .external_lex_state = 2},
  [12791] = {.lex_state = 436, .external_lex_state = 2},
  [12792] = {.lex_state = 436, .external_lex_state = 2},
  [12793] = {.lex_state = 436, .external_lex_state = 2},
  [12794] = {.lex_state = 436, .external_lex_state = 2},
  [12795] = {.lex_state = 158, .external_lex_state = 2},
  [12796] = {.lex_state = 436, .external_lex_state = 2},
  [12797] = {.lex_state = 436, .external_lex_state = 2},
  [12798] = {.lex_state = 436, .external_lex_state = 2},
  [12799] = {.lex_state = 6, .external_lex_state = 2},
  [12800] = {.lex_state = 436, .external_lex_state = 2},
  [12801] = {.lex_state = 436, .external_lex_state = 2},
  [12802] = {.lex_state = 436, .external_lex_state = 2},
  [12803] = {.lex_state = 436, .external_lex_state = 2},
  [12804] = {.lex_state = 436, .external_lex_state = 2},
  [12805] = {.lex_state = 436, .external_lex_state = 2},
  [12806] = {.lex_state = 158, .external_lex_state = 2},
  [12807] = {.lex_state = 436, .external_lex_state = 2},
  [12808] = {.lex_state = 436, .external_lex_state = 2},
  [12809] = {.lex_state = 158, .external_lex_state = 2},
  [12810] = {.lex_state = 436, .external_lex_state = 2},
  [12811] = {.lex_state = 436, .external_lex_state = 2},
  [12812] = {.lex_state = 158, .external_lex_state = 2},
  [12813] = {.lex_state = 158, .external_lex_state = 2},
  [12814] = {.lex_state = 436, .external_lex_state = 2},
  [12815] = {.lex_state = 436, .external_lex_state = 2},
  [12816] = {.lex_state = 158, .external_lex_state = 2},
  [12817] = {.lex_state = 436, .external_lex_state = 2},
  [12818] = {.lex_state = 6, .external_lex_state = 2},
  [12819] = {.lex_state = 158, .external_lex_state = 2},
  [12820] = {.lex_state = 158, .external_lex_state = 2},
  [12821] = {.lex_state = 436, .external_lex_state = 2},
  [12822] = {.lex_state = 158, .external_lex_state = 2},
  [12823] = {.lex_state = 158, .external_lex_state = 2},
  [12824] = {.lex_state = 158, .external_lex_state = 2},
  [12825] = {.lex_state = 158, .external_lex_state = 2},
  [12826] = {.lex_state = 158, .external_lex_state = 2},
  [12827] = {.lex_state = 158, .external_lex_state = 2},
  [12828] = {.lex_state = 158, .external_lex_state = 2},
  [12829] = {.lex_state = 436, .external_lex_state = 2},
  [12830] = {.lex_state = 158, .external_lex_state = 2},
  [12831] = {.lex_state = 158, .external_lex_state = 2},
  [12832] = {.lex_state = 158, .external_lex_state = 2},
  [12833] = {.lex_state = 436, .external_lex_state = 2},
  [12834] = {.lex_state = 158, .external_lex_state = 2},
  [12835] = {.lex_state = 158, .external_lex_state = 2},
  [12836] = {.lex_state = 436, .external_lex_state = 2},
  [12837] = {.lex_state = 158, .external_lex_state = 2},
  [12838] = {.lex_state = 436, .external_lex_state = 2},
  [12839] = {.lex_state = 158, .external_lex_state = 2},
  [12840] = {.lex_state = 436, .external_lex_state = 2},
  [12841] = {.lex_state = 158, .external_lex_state = 2},
  [12842] = {.lex_state = 158, .external_lex_state = 2},
  [12843] = {.lex_state = 436, .external_lex_state = 2},
  [12844] = {.lex_state = 158, .external_lex_state = 2},
  [12845] = {.lex_state = 158, .external_lex_state = 2},
  [12846] = {.lex_state = 436, .external_lex_state = 2},
  [12847] = {.lex_state = 436, .external_lex_state = 2},
  [12848] = {.lex_state = 158, .external_lex_state = 2},
  [12849] = {.lex_state = 436, .external_lex_state = 2},
  [12850] = {.lex_state = 158, .external_lex_state = 2},
  [12851] = {.lex_state = 158, .external_lex_state = 2},
  [12852] = {.lex_state = 436, .external_lex_state = 2},
  [12853] = {.lex_state = 158, .external_lex_state = 2},
  [12854] = {.lex_state = 158, .external_lex_state = 2},
  [12855] = {.lex_state = 436, .external_lex_state = 2},
  [12856] = {.lex_state = 158, .external_lex_state = 2},
  [12857] = {.lex_state = 436, .external_lex_state = 2},
  [12858] = {.lex_state = 436, .external_lex_state = 2},
  [12859] = {.lex_state = 257, .external_lex_state = 2},
  [12860] = {.lex_state = 158, .external_lex_state = 2},
  [12861] = {.lex_state = 158, .external_lex_state = 2},
  [12862] = {.lex_state = 158, .external_lex_state = 2},
  [12863] = {.lex_state = 436, .external_lex_state = 2},
  [12864] = {.lex_state = 436, .external_lex_state = 2},
  [12865] = {.lex_state = 436, .external_lex_state = 2},
  [12866] = {.lex_state = 436, .external_lex_state = 2},
  [12867] = {.lex_state = 158, .external_lex_state = 2},
  [12868] = {.lex_state = 158, .external_lex_state = 2},
  [12869] = {.lex_state = 261, .external_lex_state = 2},
  [12870] = {.lex_state = 436, .external_lex_state = 2},
  [12871] = {.lex_state = 158, .external_lex_state = 2},
  [12872] = {.lex_state = 158, .external_lex_state = 2},
  [12873] = {.lex_state = 158, .external_lex_state = 2},
  [12874] = {.lex_state = 436, .external_lex_state = 2},
  [12875] = {.lex_state = 158, .external_lex_state = 2},
  [12876] = {.lex_state = 6, .external_lex_state = 2},
  [12877] = {.lex_state = 436, .external_lex_state = 2},
  [12878] = {.lex_state = 436, .external_lex_state = 2},
  [12879] = {.lex_state = 158, .external_lex_state = 2},
  [12880] = {.lex_state = 158, .external_lex_state = 2},
  [12881] = {.lex_state = 436, .external_lex_state = 2},
  [12882] = {.lex_state = 436, .external_lex_state = 2},
  [12883] = {.lex_state = 436, .external_lex_state = 2},
  [12884] = {.lex_state = 158, .external_lex_state = 2},
  [12885] = {.lex_state = 436, .external_lex_state = 2},
  [12886] = {.lex_state = 436, .external_lex_state = 2},
  [12887] = {.lex_state = 436, .external_lex_state = 2},
  [12888] = {.lex_state = 436, .external_lex_state = 2},
  [12889] = {.lex_state = 158, .external_lex_state = 2},
  [12890] = {.lex_state = 436, .external_lex_state = 2},
  [12891] = {.lex_state = 436, .external_lex_state = 2},
  [12892] = {.lex_state = 6, .external_lex_state = 2},
  [12893] = {.lex_state = 158, .external_lex_state = 2},
  [12894] = {.lex_state = 436, .external_lex_state = 2},
  [12895] = {.lex_state = 158, .external_lex_state = 2},
  [12896] = {.lex_state = 7, .external_lex_state = 2},
  [12897] = {.lex_state = 436, .external_lex_state = 2},
  [12898] = {.lex_state = 158, .external_lex_state = 2},
  [12899] = {.lex_state = 436, .external_lex_state = 2},
  [12900] = {.lex_state = 436, .external_lex_state = 2},
  [12901] = {.lex_state = 436, .external_lex_state = 2},
  [12902] = {.lex_state = 436, .external_lex_state = 2},
  [12903] = {.lex_state = 436, .external_lex_state = 2},
  [12904] = {.lex_state = 158, .external_lex_state = 2},
  [12905] = {.lex_state = 436, .external_lex_state = 2},
  [12906] = {.lex_state = 158, .external_lex_state = 2},
  [12907] = {.lex_state = 158, .external_lex_state = 2},
  [12908] = {.lex_state = 436, .external_lex_state = 2},
  [12909] = {.lex_state = 436, .external_lex_state = 2},
  [12910] = {.lex_state = 436, .external_lex_state = 2},
  [12911] = {.lex_state = 222, .external_lex_state = 2},
  [12912] = {.lex_state = 436, .external_lex_state = 2},
  [12913] = {.lex_state = 436, .external_lex_state = 2},
  [12914] = {.lex_state = 6, .external_lex_state = 2},
  [12915] = {.lex_state = 257, .external_lex_state = 2},
  [12916] = {.lex_state = 436, .external_lex_state = 2},
  [12917] = {.lex_state = 436, .external_lex_state = 2},
  [12918] = {.lex_state = 436, .external_lex_state = 2},
  [12919] = {.lex_state = 436, .external_lex_state = 2},
  [12920] = {.lex_state = 158, .external_lex_state = 2},
  [12921] = {.lex_state = 436, .external_lex_state = 2},
  [12922] = {.lex_state = 158, .external_lex_state = 2},
  [12923] = {.lex_state = 436, .external_lex_state = 2},
  [12924] = {.lex_state = 436, .external_lex_state = 2},
  [12925] = {.lex_state = 436, .external_lex_state = 2},
  [12926] = {.lex_state = 257, .external_lex_state = 2},
  [12927] = {.lex_state = 436, .external_lex_state = 2},
  [12928] = {.lex_state = 436, .external_lex_state = 2},
  [12929] = {.lex_state = 436, .external_lex_state = 2},
  [12930] = {.lex_state = 436, .external_lex_state = 2},
  [12931] = {.lex_state = 436, .external_lex_state = 2},
  [12932] = {.lex_state = 158, .external_lex_state = 2},
  [12933] = {.lex_state = 436, .external_lex_state = 2},
  [12934] = {.lex_state = 436, .external_lex_state = 2},
  [12935] = {.lex_state = 436, .external_lex_state = 2},
  [12936] = {.lex_state = 158, .external_lex_state = 2},
  [12937] = {.lex_state = 158, .external_lex_state = 2},
  [12938] = {.lex_state = 158, .external_lex_state = 2},
  [12939] = {.lex_state = 436, .external_lex_state = 2},
  [12940] = {.lex_state = 158, .external_lex_state = 2},
  [12941] = {.lex_state = 6, .external_lex_state = 2},
  [12942] = {.lex_state = 216, .external_lex_state = 2},
  [12943] = {.lex_state = 158, .external_lex_state = 2},
  [12944] = {.lex_state = 158, .external_lex_state = 2},
  [12945] = {.lex_state = 158, .external_lex_state = 2},
  [12946] = {.lex_state = 158, .external_lex_state = 2},
  [12947] = {.lex_state = 158, .external_lex_state = 2},
  [12948] = {.lex_state = 158, .external_lex_state = 2},
  [12949] = {.lex_state = 436, .external_lex_state = 2},
  [12950] = {.lex_state = 436, .external_lex_state = 2},
  [12951] = {.lex_state = 240, .external_lex_state = 2},
  [12952] = {.lex_state = 158, .external_lex_state = 2},
  [12953] = {.lex_state = 436, .external_lex_state = 2},
  [12954] = {.lex_state = 436, .external_lex_state = 2},
  [12955] = {.lex_state = 436, .external_lex_state = 2},
  [12956] = {.lex_state = 436, .external_lex_state = 2},
  [12957] = {.lex_state = 436, .external_lex_state = 2},
  [12958] = {.lex_state = 436, .external_lex_state = 2},
  [12959] = {.lex_state = 436, .external_lex_state = 2},
  [12960] = {.lex_state = 436, .external_lex_state = 2},
  [12961] = {.lex_state = 436, .external_lex_state = 2},
  [12962] = {.lex_state = 436, .external_lex_state = 2},
  [12963] = {.lex_state = 240, .external_lex_state = 2},
  [12964] = {.lex_state = 436, .external_lex_state = 2},
  [12965] = {.lex_state = 6, .external_lex_state = 2},
  [12966] = {.lex_state = 436, .external_lex_state = 2},
  [12967] = {.lex_state = 222, .external_lex_state = 2},
  [12968] = {.lex_state = 222, .external_lex_state = 2},
  [12969] = {.lex_state = 216, .external_lex_state = 2},
  [12970] = {.lex_state = 158, .external_lex_state = 2},
  [12971] = {.lex_state = 158, .external_lex_state = 2},
  [12972] = {.lex_state = 222, .external_lex_state = 2},
  [12973] = {.lex_state = 240, .external_lex_state = 2},
  [12974] = {.lex_state = 216, .external_lex_state = 2},
  [12975] = {.lex_state = 216, .external_lex_state = 2},
  [12976] = {.lex_state = 6, .external_lex_state = 2},
  [12977] = {.lex_state = 216, .external_lex_state = 2},
  [12978] = {.lex_state = 240, .external_lex_state = 2},
  [12979] = {.lex_state = 158, .external_lex_state = 2},
  [12980] = {.lex_state = 222, .external_lex_state = 2},
  [12981] = {.lex_state = 222, .external_lex_state = 2},
  [12982] = {.lex_state = 222, .external_lex_state = 2},
  [12983] = {.lex_state = 158, .external_lex_state = 2},
  [12984] = {.lex_state = 222, .external_lex_state = 2},
  [12985] = {.lex_state = 222, .external_lex_state = 2},
  [12986] = {.lex_state = 158, .external_lex_state = 2},
  [12987] = {.lex_state = 222, .external_lex_state = 2},
  [12988] = {.lex_state = 222, .external_lex_state = 2},
  [12989] = {.lex_state = 158, .external_lex_state = 2},
  [12990] = {.lex_state = 257, .external_lex_state = 2},
  [12991] = {.lex_state = 158, .external_lex_state = 2},
  [12992] = {.lex_state = 222, .external_lex_state = 2},
  [12993] = {.lex_state = 222, .external_lex_state = 2},
  [12994] = {.lex_state = 222, .external_lex_state = 2},
  [12995] = {.lex_state = 436, .external_lex_state = 2},
  [12996] = {.lex_state = 158, .external_lex_state = 2},
  [12997] = {.lex_state = 158, .external_lex_state = 2},
  [12998] = {.lex_state = 222, .external_lex_state = 2},
  [12999] = {.lex_state = 222, .external_lex_state = 2},
  [13000] = {.lex_state = 222, .external_lex_state = 2},
  [13001] = {.lex_state = 240, .external_lex_state = 2},
  [13002] = {.lex_state = 222, .external_lex_state = 2},
  [13003] = {.lex_state = 222, .external_lex_state = 2},
  [13004] = {.lex_state = 222, .external_lex_state = 2},
  [13005] = {.lex_state = 222, .external_lex_state = 2},
  [13006] = {.lex_state = 222, .external_lex_state = 2},
  [13007] = {.lex_state = 222, .external_lex_state = 2},
  [13008] = {.lex_state = 222, .external_lex_state = 2},
  [13009] = {.lex_state = 216, .external_lex_state = 2},
  [13010] = {.lex_state = 158, .external_lex_state = 2},
  [13011] = {.lex_state = 222, .external_lex_state = 2},
  [13012] = {.lex_state = 222, .external_lex_state = 2},
  [13013] = {.lex_state = 222, .external_lex_state = 2},
  [13014] = {.lex_state = 222, .external_lex_state = 2},
  [13015] = {.lex_state = 222, .external_lex_state = 2},
  [13016] = {.lex_state = 222, .external_lex_state = 2},
  [13017] = {.lex_state = 222, .external_lex_state = 2},
  [13018] = {.lex_state = 222, .external_lex_state = 2},
  [13019] = {.lex_state = 222, .external_lex_state = 2},
  [13020] = {.lex_state = 261, .external_lex_state = 2},
  [13021] = {.lex_state = 240, .external_lex_state = 2},
  [13022] = {.lex_state = 240, .external_lex_state = 2},
  [13023] = {.lex_state = 212, .external_lex_state = 2},
  [13024] = {.lex_state = 261, .external_lex_state = 2},
  [13025] = {.lex_state = 240, .external_lex_state = 2},
  [13026] = {.lex_state = 212, .external_lex_state = 2},
  [13027] = {.lex_state = 240, .external_lex_state = 2},
  [13028] = {.lex_state = 437, .external_lex_state = 2},
  [13029] = {.lex_state = 240, .external_lex_state = 2},
  [13030] = {.lex_state = 240, .external_lex_state = 2},
  [13031] = {.lex_state = 240, .external_lex_state = 2},
  [13032] = {.lex_state = 212, .external_lex_state = 2},
  [13033] = {.lex_state = 240, .external_lex_state = 2},
  [13034] = {.lex_state = 212, .external_lex_state = 2},
  [13035] = {.lex_state = 240, .external_lex_state = 2},
  [13036] = {.lex_state = 240, .external_lex_state = 2},
  [13037] = {.lex_state = 240, .external_lex_state = 2},
  [13038] = {.lex_state = 240, .external_lex_state = 2},
  [13039] = {.lex_state = 437, .external_lex_state = 2},
  [13040] = {.lex_state = 240, .external_lex_state = 2},
  [13041] = {.lex_state = 437, .external_lex_state = 2},
  [13042] = {.lex_state = 227, .external_lex_state = 2},
  [13043] = {.lex_state = 212, .external_lex_state = 2},
  [13044] = {.lex_state = 227, .external_lex_state = 2},
  [13045] = {.lex_state = 212, .external_lex_state = 2},
  [13046] = {.lex_state = 240, .external_lex_state = 2},
  [13047] = {.lex_state = 436, .external_lex_state = 2},
  [13048] = {.lex_state = 436, .external_lex_state = 2},
  [13049] = {.lex_state = 436, .external_lex_state = 2},
  [13050] = {.lex_state = 436, .external_lex_state = 2},
  [13051] = {.lex_state = 437, .external_lex_state = 2},
  [13052] = {.lex_state = 436, .external_lex_state = 2},
  [13053] = {.lex_state = 437, .external_lex_state = 2},
  [13054] = {.lex_state = 240, .external_lex_state = 2},
  [13055] = {.lex_state = 437, .external_lex_state = 2},
  [13056] = {.lex_state = 240, .external_lex_state = 2},
  [13057] = {.lex_state = 437, .external_lex_state = 2},
  [13058] = {.lex_state = 436, .external_lex_state = 2},
  [13059] = {.lex_state = 158, .external_lex_state = 2},
  [13060] = {.lex_state = 437, .external_lex_state = 2},
  [13061] = {.lex_state = 240, .external_lex_state = 2},
  [13062] = {.lex_state = 227, .external_lex_state = 2},
  [13063] = {.lex_state = 4, .external_lex_state = 6},
  [13064] = {.lex_state = 4, .external_lex_state = 6},
  [13065] = {.lex_state = 437, .external_lex_state = 2},
  [13066] = {.lex_state = 258, .external_lex_state = 2},
  [13067] = {.lex_state = 4, .external_lex_state = 6},
  [13068] = {.lex_state = 258, .external_lex_state = 2},
  [13069] = {.lex_state = 437, .external_lex_state = 2},
  [13070] = {.lex_state = 258, .external_lex_state = 2},
  [13071] = {.lex_state = 4, .external_lex_state = 6},
  [13072] = {.lex_state = 4, .external_lex_state = 6},
  [13073] = {.lex_state = 240, .external_lex_state = 2},
  [13074] = {.lex_state = 4, .external_lex_state = 6},
  [13075] = {.lex_state = 258, .external_lex_state = 2},
  [13076] = {.lex_state = 227, .external_lex_state = 2},
  [13077] = {.lex_state = 240, .external_lex_state = 2},
  [13078] = {.lex_state = 258, .external_lex_state = 2},
  [13079] = {.lex_state = 4, .external_lex_state = 6},
  [13080] = {.lex_state = 4, .external_lex_state = 6},
  [13081] = {.lex_state = 9, .external_lex_state = 2},
  [13082] = {.lex_state = 240, .external_lex_state = 2},
  [13083] = {.lex_state = 258, .external_lex_state = 2},
  [13084] = {.lex_state = 258, .external_lex_state = 2},
  [13085] = {.lex_state = 4, .external_lex_state = 6},
  [13086] = {.lex_state = 258, .external_lex_state = 2},
  [13087] = {.lex_state = 212, .external_lex_state = 2},
  [13088] = {.lex_state = 258, .external_lex_state = 2},
  [13089] = {.lex_state = 436, .external_lex_state = 2},
  [13090] = {.lex_state = 436, .external_lex_state = 2},
  [13091] = {.lex_state = 4, .external_lex_state = 6},
  [13092] = {.lex_state = 258, .external_lex_state = 2},
  [13093] = {.lex_state = 436, .external_lex_state = 2},
  [13094] = {.lex_state = 436, .external_lex_state = 2},
  [13095] = {.lex_state = 437, .external_lex_state = 2},
  [13096] = {.lex_state = 258, .external_lex_state = 2},
  [13097] = {.lex_state = 4, .external_lex_state = 6},
  [13098] = {.lex_state = 258, .external_lex_state = 2},
  [13099] = {.lex_state = 9, .external_lex_state = 2},
  [13100] = {.lex_state = 240, .external_lex_state = 2},
  [13101] = {.lex_state = 240, .external_lex_state = 2},
  [13102] = {.lex_state = 9, .external_lex_state = 2},
  [13103] = {.lex_state = 4, .external_lex_state = 6},
  [13104] = {.lex_state = 436, .external_lex_state = 2},
  [13105] = {.lex_state = 258, .external_lex_state = 2},
  [13106] = {.lex_state = 258, .external_lex_state = 2},
  [13107] = {.lex_state = 4, .external_lex_state = 6},
  [13108] = {.lex_state = 436, .external_lex_state = 2},
  [13109] = {.lex_state = 436, .external_lex_state = 2},
  [13110] = {.lex_state = 4, .external_lex_state = 6},
  [13111] = {.lex_state = 436, .external_lex_state = 2},
  [13112] = {.lex_state = 240, .external_lex_state = 2},
  [13113] = {.lex_state = 258, .external_lex_state = 2},
  [13114] = {.lex_state = 9, .external_lex_state = 2},
  [13115] = {.lex_state = 437, .external_lex_state = 2},
  [13116] = {.lex_state = 4, .external_lex_state = 6},
  [13117] = {.lex_state = 9, .external_lex_state = 2},
  [13118] = {.lex_state = 4, .external_lex_state = 6},
  [13119] = {.lex_state = 212, .external_lex_state = 2},
  [13120] = {.lex_state = 4, .external_lex_state = 6},
  [13121] = {.lex_state = 9, .external_lex_state = 2},
  [13122] = {.lex_state = 258, .external_lex_state = 2},
  [13123] = {.lex_state = 258, .external_lex_state = 2},
  [13124] = {.lex_state = 9, .external_lex_state = 2},
  [13125] = {.lex_state = 9, .external_lex_state = 2},
  [13126] = {.lex_state = 437, .external_lex_state = 2},
  [13127] = {.lex_state = 4, .external_lex_state = 6},
  [13128] = {.lex_state = 258, .external_lex_state = 2},
  [13129] = {.lex_state = 4, .external_lex_state = 6},
  [13130] = {.lex_state = 4, .external_lex_state = 6},
  [13131] = {.lex_state = 227, .external_lex_state = 2},
  [13132] = {.lex_state = 436, .external_lex_state = 2},
  [13133] = {.lex_state = 436, .external_lex_state = 2},
  [13134] = {.lex_state = 4, .external_lex_state = 6},
  [13135] = {.lex_state = 4, .external_lex_state = 6},
  [13136] = {.lex_state = 436, .external_lex_state = 2},
  [13137] = {.lex_state = 436, .external_lex_state = 2},
  [13138] = {.lex_state = 436, .external_lex_state = 2},
  [13139] = {.lex_state = 4, .external_lex_state = 6},
  [13140] = {.lex_state = 4, .external_lex_state = 6},
  [13141] = {.lex_state = 9, .external_lex_state = 2},
  [13142] = {.lex_state = 9, .external_lex_state = 2},
  [13143] = {.lex_state = 436, .external_lex_state = 2},
  [13144] = {.lex_state = 258, .external_lex_state = 2},
  [13145] = {.lex_state = 436, .external_lex_state = 2},
  [13146] = {.lex_state = 4, .external_lex_state = 6},
  [13147] = {.lex_state = 258, .external_lex_state = 2},
  [13148] = {.lex_state = 437, .external_lex_state = 2},
  [13149] = {.lex_state = 4, .external_lex_state = 6},
  [13150] = {.lex_state = 4, .external_lex_state = 6},
  [13151] = {.lex_state = 4, .external_lex_state = 6},
  [13152] = {.lex_state = 258, .external_lex_state = 2},
  [13153] = {.lex_state = 258, .external_lex_state = 2},
  [13154] = {.lex_state = 258, .external_lex_state = 2},
  [13155] = {.lex_state = 9, .external_lex_state = 2},
  [13156] = {.lex_state = 437, .external_lex_state = 2},
  [13157] = {.lex_state = 4, .external_lex_state = 6},
  [13158] = {.lex_state = 436, .external_lex_state = 2},
  [13159] = {.lex_state = 437, .external_lex_state = 2},
  [13160] = {.lex_state = 212, .external_lex_state = 2},
  [13161] = {.lex_state = 258, .external_lex_state = 2},
  [13162] = {.lex_state = 4, .external_lex_state = 6},
  [13163] = {.lex_state = 436, .external_lex_state = 2},
  [13164] = {.lex_state = 4, .external_lex_state = 6},
  [13165] = {.lex_state = 4, .external_lex_state = 6},
  [13166] = {.lex_state = 437, .external_lex_state = 2},
  [13167] = {.lex_state = 4, .external_lex_state = 6},
  [13168] = {.lex_state = 258, .external_lex_state = 2},
  [13169] = {.lex_state = 4, .external_lex_state = 6},
  [13170] = {.lex_state = 258, .external_lex_state = 2},
  [13171] = {.lex_state = 158, .external_lex_state = 2},
  [13172] = {.lex_state = 258, .external_lex_state = 2},
  [13173] = {.lex_state = 4, .external_lex_state = 6},
  [13174] = {.lex_state = 436, .external_lex_state = 2},
  [13175] = {.lex_state = 436, .external_lex_state = 2},
  [13176] = {.lex_state = 4, .external_lex_state = 6},
  [13177] = {.lex_state = 227, .external_lex_state = 2},
  [13178] = {.lex_state = 9, .external_lex_state = 2},
  [13179] = {.lex_state = 258, .external_lex_state = 2},
  [13180] = {.lex_state = 4, .external_lex_state = 6},
  [13181] = {.lex_state = 436, .external_lex_state = 2},
  [13182] = {.lex_state = 4, .external_lex_state = 6},
  [13183] = {.lex_state = 4, .external_lex_state = 6},
  [13184] = {.lex_state = 227, .external_lex_state = 2},
  [13185] = {.lex_state = 9, .external_lex_state = 2},
  [13186] = {.lex_state = 4, .external_lex_state = 6},
  [13187] = {.lex_state = 437, .external_lex_state = 2},
  [13188] = {.lex_state = 4, .external_lex_state = 6},
  [13189] = {.lex_state = 436, .external_lex_state = 2},
  [13190] = {.lex_state = 258, .external_lex_state = 2},
  [13191] = {.lex_state = 258, .external_lex_state = 2},
  [13192] = {.lex_state = 4, .external_lex_state = 6},
  [13193] = {.lex_state = 436, .external_lex_state = 2},
  [13194] = {.lex_state = 436, .external_lex_state = 2},
  [13195] = {.lex_state = 436, .external_lex_state = 2},
  [13196] = {.lex_state = 4, .external_lex_state = 6},
  [13197] = {.lex_state = 9, .external_lex_state = 2},
  [13198] = {.lex_state = 4, .external_lex_state = 6},
  [13199] = {.lex_state = 437, .external_lex_state = 2},
  [13200] = {.lex_state = 4, .external_lex_state = 6},
  [13201] = {.lex_state = 258, .external_lex_state = 2},
  [13202] = {.lex_state = 4, .external_lex_state = 6},
  [13203] = {.lex_state = 9, .external_lex_state = 2},
  [13204] = {.lex_state = 240, .external_lex_state = 2},
  [13205] = {.lex_state = 9, .external_lex_state = 2},
  [13206] = {.lex_state = 436, .external_lex_state = 2},
  [13207] = {.lex_state = 436, .external_lex_state = 2},
  [13208] = {.lex_state = 258, .external_lex_state = 2},
  [13209] = {.lex_state = 9, .external_lex_state = 2},
  [13210] = {.lex_state = 261, .external_lex_state = 2},
  [13211] = {.lex_state = 4, .external_lex_state = 6},
  [13212] = {.lex_state = 258, .external_lex_state = 2},
  [13213] = {.lex_state = 261, .external_lex_state = 2},
  [13214] = {.lex_state = 436, .external_lex_state = 2},
  [13215] = {.lex_state = 258, .external_lex_state = 2},
  [13216] = {.lex_state = 258, .external_lex_state = 2},
  [13217] = {.lex_state = 158, .external_lex_state = 2},
  [13218] = {.lex_state = 258, .external_lex_state = 2},
  [13219] = {.lex_state = 258, .external_lex_state = 2},
  [13220] = {.lex_state = 4, .external_lex_state = 6},
  [13221] = {.lex_state = 4, .external_lex_state = 6},
  [13222] = {.lex_state = 4, .external_lex_state = 6},
  [13223] = {.lex_state = 258, .external_lex_state = 2},
  [13224] = {.lex_state = 227, .external_lex_state = 2},
  [13225] = {.lex_state = 437, .external_lex_state = 2},
  [13226] = {.lex_state = 4, .external_lex_state = 6},
  [13227] = {.lex_state = 258, .external_lex_state = 2},
  [13228] = {.lex_state = 227, .external_lex_state = 2},
  [13229] = {.lex_state = 252, .external_lex_state = 7},
  [13230] = {.lex_state = 4, .external_lex_state = 6},
  [13231] = {.lex_state = 4, .external_lex_state = 6},
  [13232] = {.lex_state = 9, .external_lex_state = 2},
  [13233] = {.lex_state = 258, .external_lex_state = 2},
  [13234] = {.lex_state = 4, .external_lex_state = 6},
  [13235] = {.lex_state = 258, .external_lex_state = 2},
  [13236] = {.lex_state = 437, .external_lex_state = 2},
  [13237] = {.lex_state = 258, .external_lex_state = 2},
  [13238] = {.lex_state = 212, .external_lex_state = 2},
  [13239] = {.lex_state = 4, .external_lex_state = 6},
  [13240] = {.lex_state = 4, .external_lex_state = 6},
  [13241] = {.lex_state = 258, .external_lex_state = 2},
  [13242] = {.lex_state = 436, .external_lex_state = 2},
  [13243] = {.lex_state = 436, .external_lex_state = 2},
  [13244] = {.lex_state = 436, .external_lex_state = 2},
  [13245] = {.lex_state = 436, .external_lex_state = 2},
  [13246] = {.lex_state = 158, .external_lex_state = 2},
  [13247] = {.lex_state = 158, .external_lex_state = 2},
  [13248] = {.lex_state = 436, .external_lex_state = 2},
  [13249] = {.lex_state = 436, .external_lex_state = 2},
  [13250] = {.lex_state = 436, .external_lex_state = 2},
  [13251] = {.lex_state = 436, .external_lex_state = 2},
  [13252] = {.lex_state = 436, .external_lex_state = 2},
  [13253] = {.lex_state = 436, .external_lex_state = 2},
  [13254] = {.lex_state = 436, .external_lex_state = 2},
  [13255] = {.lex_state = 436, .external_lex_state = 2},
  [13256] = {.lex_state = 228, .external_lex_state = 2},
  [13257] = {.lex_state = 436, .external_lex_state = 2},
  [13258] = {.lex_state = 436, .external_lex_state = 2},
  [13259] = {.lex_state = 436, .external_lex_state = 2},
  [13260] = {.lex_state = 240, .external_lex_state = 2},
  [13261] = {.lex_state = 436, .external_lex_state = 2},
  [13262] = {.lex_state = 436, .external_lex_state = 2},
  [13263] = {.lex_state = 436, .external_lex_state = 2},
  [13264] = {.lex_state = 436, .external_lex_state = 2},
  [13265] = {.lex_state = 252, .external_lex_state = 7},
  [13266] = {.lex_state = 228, .external_lex_state = 2},
  [13267] = {.lex_state = 240, .external_lex_state = 2},
  [13268] = {.lex_state = 240, .external_lex_state = 2},
  [13269] = {.lex_state = 436, .external_lex_state = 2},
  [13270] = {.lex_state = 436, .external_lex_state = 2},
  [13271] = {.lex_state = 436, .external_lex_state = 2},
  [13272] = {.lex_state = 252, .external_lex_state = 7},
  [13273] = {.lex_state = 436, .external_lex_state = 2},
  [13274] = {.lex_state = 436, .external_lex_state = 2},
  [13275] = {.lex_state = 436, .external_lex_state = 2},
  [13276] = {.lex_state = 436, .external_lex_state = 2},
  [13277] = {.lex_state = 436, .external_lex_state = 2},
  [13278] = {.lex_state = 436, .external_lex_state = 2},
  [13279] = {.lex_state = 436, .external_lex_state = 2},
  [13280] = {.lex_state = 436, .external_lex_state = 2},
  [13281] = {.lex_state = 436, .external_lex_state = 2},
  [13282] = {.lex_state = 240, .external_lex_state = 2},
  [13283] = {.lex_state = 240, .external_lex_state = 2},
  [13284] = {.lex_state = 436, .external_lex_state = 2},
  [13285] = {.lex_state = 436, .external_lex_state = 2},
  [13286] = {.lex_state = 436, .external_lex_state = 2},
  [13287] = {.lex_state = 436, .external_lex_state = 2},
  [13288] = {.lex_state = 436, .external_lex_state = 2},
  [13289] = {.lex_state = 436, .external_lex_state = 2},
  [13290] = {.lex_state = 436, .external_lex_state = 2},
  [13291] = {.lex_state = 228, .external_lex_state = 2},
  [13292] = {.lex_state = 436, .external_lex_state = 2},
  [13293] = {.lex_state = 228, .external_lex_state = 2},
  [13294] = {.lex_state = 436, .external_lex_state = 2},
  [13295] = {.lex_state = 436, .external_lex_state = 2},
  [13296] = {.lex_state = 436, .external_lex_state = 2},
  [13297] = {.lex_state = 240, .external_lex_state = 2},
  [13298] = {.lex_state = 436, .external_lex_state = 2},
  [13299] = {.lex_state = 436, .external_lex_state = 2},
  [13300] = {.lex_state = 436, .external_lex_state = 2},
  [13301] = {.lex_state = 222, .external_lex_state = 2},
  [13302] = {.lex_state = 436, .external_lex_state = 2},
  [13303] = {.lex_state = 436, .external_lex_state = 2},
  [13304] = {.lex_state = 436, .external_lex_state = 2},
  [13305] = {.lex_state = 436, .external_lex_state = 2},
  [13306] = {.lex_state = 436, .external_lex_state = 2},
  [13307] = {.lex_state = 228, .external_lex_state = 2},
  [13308] = {.lex_state = 240, .external_lex_state = 2},
  [13309] = {.lex_state = 212, .external_lex_state = 2},
  [13310] = {.lex_state = 436, .external_lex_state = 2},
  [13311] = {.lex_state = 436, .external_lex_state = 2},
  [13312] = {.lex_state = 240, .external_lex_state = 2},
  [13313] = {.lex_state = 436, .external_lex_state = 2},
  [13314] = {.lex_state = 436, .external_lex_state = 2},
  [13315] = {.lex_state = 436, .external_lex_state = 2},
  [13316] = {.lex_state = 436, .external_lex_state = 2},
  [13317] = {.lex_state = 436, .external_lex_state = 2},
  [13318] = {.lex_state = 437, .external_lex_state = 2},
  [13319] = {.lex_state = 436, .external_lex_state = 2},
  [13320] = {.lex_state = 6, .external_lex_state = 2},
  [13321] = {.lex_state = 6, .external_lex_state = 2},
  [13322] = {.lex_state = 212, .external_lex_state = 2},
  [13323] = {.lex_state = 436, .external_lex_state = 2},
  [13324] = {.lex_state = 436, .external_lex_state = 2},
  [13325] = {.lex_state = 177, .external_lex_state = 2},
  [13326] = {.lex_state = 436, .external_lex_state = 2},
  [13327] = {.lex_state = 436, .external_lex_state = 2},
  [13328] = {.lex_state = 177, .external_lex_state = 2},
  [13329] = {.lex_state = 212, .external_lex_state = 2},
  [13330] = {.lex_state = 436, .external_lex_state = 2},
  [13331] = {.lex_state = 436, .external_lex_state = 2},
  [13332] = {.lex_state = 436, .external_lex_state = 2},
  [13333] = {.lex_state = 212, .external_lex_state = 2},
  [13334] = {.lex_state = 436, .external_lex_state = 2},
  [13335] = {.lex_state = 436, .external_lex_state = 2},
  [13336] = {.lex_state = 436, .external_lex_state = 2},
  [13337] = {.lex_state = 436, .external_lex_state = 2},
  [13338] = {.lex_state = 212, .external_lex_state = 2},
  [13339] = {.lex_state = 436, .external_lex_state = 2},
  [13340] = {.lex_state = 436, .external_lex_state = 2},
  [13341] = {.lex_state = 436, .external_lex_state = 2},
  [13342] = {.lex_state = 436, .external_lex_state = 2},
  [13343] = {.lex_state = 436, .external_lex_state = 2},
  [13344] = {.lex_state = 436, .external_lex_state = 2},
  [13345] = {.lex_state = 436, .external_lex_state = 2},
  [13346] = {.lex_state = 436, .external_lex_state = 2},
  [13347] = {.lex_state = 436, .external_lex_state = 2},
  [13348] = {.lex_state = 436, .external_lex_state = 2},
  [13349] = {.lex_state = 436, .external_lex_state = 2},
  [13350] = {.lex_state = 177, .external_lex_state = 2},
  [13351] = {.lex_state = 212, .external_lex_state = 2},
  [13352] = {.lex_state = 167, .external_lex_state = 2},
  [13353] = {.lex_state = 212, .external_lex_state = 2},
  [13354] = {.lex_state = 436, .external_lex_state = 2},
  [13355] = {.lex_state = 436, .external_lex_state = 2},
  [13356] = {.lex_state = 436, .external_lex_state = 2},
  [13357] = {.lex_state = 436, .external_lex_state = 2},
  [13358] = {.lex_state = 167, .external_lex_state = 2},
  [13359] = {.lex_state = 177, .external_lex_state = 2},
  [13360] = {.lex_state = 212, .external_lex_state = 2},
  [13361] = {.lex_state = 436, .external_lex_state = 2},
  [13362] = {.lex_state = 436, .external_lex_state = 2},
  [13363] = {.lex_state = 436, .external_lex_state = 2},
  [13364] = {.lex_state = 436, .external_lex_state = 2},
  [13365] = {.lex_state = 6, .external_lex_state = 2},
  [13366] = {.lex_state = 436, .external_lex_state = 2},
  [13367] = {.lex_state = 212, .external_lex_state = 2},
  [13368] = {.lex_state = 436, .external_lex_state = 2},
  [13369] = {.lex_state = 436, .external_lex_state = 2},
  [13370] = {.lex_state = 437, .external_lex_state = 2},
  [13371] = {.lex_state = 436, .external_lex_state = 2},
  [13372] = {.lex_state = 436, .external_lex_state = 2},
  [13373] = {.lex_state = 436, .external_lex_state = 2},
  [13374] = {.lex_state = 436, .external_lex_state = 2},
  [13375] = {.lex_state = 436, .external_lex_state = 2},
  [13376] = {.lex_state = 436, .external_lex_state = 2},
  [13377] = {.lex_state = 436, .external_lex_state = 2},
  [13378] = {.lex_state = 436, .external_lex_state = 2},
  [13379] = {.lex_state = 436, .external_lex_state = 2},
  [13380] = {.lex_state = 436, .external_lex_state = 2},
  [13381] = {.lex_state = 436, .external_lex_state = 2},
  [13382] = {.lex_state = 167, .external_lex_state = 2},
  [13383] = {.lex_state = 436, .external_lex_state = 2},
  [13384] = {.lex_state = 436, .external_lex_state = 2},
  [13385] = {.lex_state = 436, .external_lex_state = 2},
  [13386] = {.lex_state = 167, .external_lex_state = 2},
  [13387] = {.lex_state = 436, .external_lex_state = 2},
  [13388] = {.lex_state = 436, .external_lex_state = 2},
  [13389] = {.lex_state = 436, .external_lex_state = 2},
  [13390] = {.lex_state = 436, .external_lex_state = 2},
  [13391] = {.lex_state = 436, .external_lex_state = 2},
  [13392] = {.lex_state = 177, .external_lex_state = 2},
  [13393] = {.lex_state = 436, .external_lex_state = 2},
  [13394] = {.lex_state = 436, .external_lex_state = 2},
  [13395] = {.lex_state = 436, .external_lex_state = 2},
  [13396] = {.lex_state = 436, .external_lex_state = 2},
  [13397] = {.lex_state = 436, .external_lex_state = 2},
  [13398] = {.lex_state = 212, .external_lex_state = 2},
  [13399] = {.lex_state = 436, .external_lex_state = 2},
  [13400] = {.lex_state = 436, .external_lex_state = 2},
  [13401] = {.lex_state = 437, .external_lex_state = 2},
  [13402] = {.lex_state = 177, .external_lex_state = 2},
  [13403] = {.lex_state = 436, .external_lex_state = 8},
  [13404] = {.lex_state = 177, .external_lex_state = 2},
  [13405] = {.lex_state = 177, .external_lex_state = 2},
  [13406] = {.lex_state = 436, .external_lex_state = 8},
  [13407] = {.lex_state = 212, .external_lex_state = 2},
  [13408] = {.lex_state = 436, .external_lex_state = 2},
  [13409] = {.lex_state = 436, .external_lex_state = 2},
  [13410] = {.lex_state = 212, .external_lex_state = 2},
  [13411] = {.lex_state = 436, .external_lex_state = 2},
  [13412] = {.lex_state = 436, .external_lex_state = 2},
  [13413] = {.lex_state = 436, .external_lex_state = 2},
  [13414] = {.lex_state = 436, .external_lex_state = 2},
  [13415] = {.lex_state = 436, .external_lex_state = 2},
  [13416] = {.lex_state = 436, .external_lex_state = 2},
  [13417] = {.lex_state = 436, .external_lex_state = 2},
  [13418] = {.lex_state = 436, .external_lex_state = 2},
  [13419] = {.lex_state = 436, .external_lex_state = 2},
  [13420] = {.lex_state = 177, .external_lex_state = 2},
  [13421] = {.lex_state = 436, .external_lex_state = 8},
  [13422] = {.lex_state = 212, .external_lex_state = 2},
  [13423] = {.lex_state = 436, .external_lex_state = 2},
  [13424] = {.lex_state = 167, .external_lex_state = 2},
  [13425] = {.lex_state = 167, .external_lex_state = 2},
  [13426] = {.lex_state = 436, .external_lex_state = 2},
  [13427] = {.lex_state = 436, .external_lex_state = 2},
  [13428] = {.lex_state = 244, .external_lex_state = 2},
  [13429] = {.lex_state = 436, .external_lex_state = 2},
  [13430] = {.lex_state = 6, .external_lex_state = 2},
  [13431] = {.lex_state = 167, .external_lex_state = 2},
  [13432] = {.lex_state = 436, .external_lex_state = 2},
  [13433] = {.lex_state = 436, .external_lex_state = 2},
  [13434] = {.lex_state = 436, .external_lex_state = 2},
  [13435] = {.lex_state = 436, .external_lex_state = 2},
  [13436] = {.lex_state = 436, .external_lex_state = 2},
  [13437] = {.lex_state = 212, .external_lex_state = 2},
  [13438] = {.lex_state = 436, .external_lex_state = 2},
  [13439] = {.lex_state = 436, .external_lex_state = 2},
  [13440] = {.lex_state = 436, .external_lex_state = 2},
  [13441] = {.lex_state = 436, .external_lex_state = 2},
  [13442] = {.lex_state = 6, .external_lex_state = 2},
  [13443] = {.lex_state = 212, .external_lex_state = 2},
  [13444] = {.lex_state = 436, .external_lex_state = 2},
  [13445] = {.lex_state = 436, .external_lex_state = 2},
  [13446] = {.lex_state = 437, .external_lex_state = 2},
  [13447] = {.lex_state = 436, .external_lex_state = 2},
  [13448] = {.lex_state = 436, .external_lex_state = 8},
  [13449] = {.lex_state = 436, .external_lex_state = 8},
  [13450] = {.lex_state = 212, .external_lex_state = 2},
  [13451] = {.lex_state = 436, .external_lex_state = 2},
  [13452] = {.lex_state = 436, .external_lex_state = 2},
  [13453] = {.lex_state = 212, .external_lex_state = 2},
  [13454] = {.lex_state = 212, .external_lex_state = 2},
  [13455] = {.lex_state = 212, .external_lex_state = 2},
  [13456] = {.lex_state = 212, .external_lex_state = 2},
  [13457] = {.lex_state = 436, .external_lex_state = 2},
  [13458] = {.lex_state = 436, .external_lex_state = 2},
  [13459] = {.lex_state = 436, .external_lex_state = 2},
  [13460] = {.lex_state = 212, .external_lex_state = 2},
  [13461] = {.lex_state = 212, .external_lex_state = 2},
  [13462] = {.lex_state = 212, .external_lex_state = 2},
  [13463] = {.lex_state = 436, .external_lex_state = 2},
  [13464] = {.lex_state = 177, .external_lex_state = 2},
  [13465] = {.lex_state = 436, .external_lex_state = 2},
  [13466] = {.lex_state = 436, .external_lex_state = 2},
  [13467] = {.lex_state = 436, .external_lex_state = 8},
  [13468] = {.lex_state = 436, .external_lex_state = 8},
  [13469] = {.lex_state = 436, .external_lex_state = 2},
  [13470] = {.lex_state = 222, .external_lex_state = 2},
  [13471] = {.lex_state = 212, .external_lex_state = 2},
  [13472] = {.lex_state = 436, .external_lex_state = 2},
  [13473] = {.lex_state = 212, .external_lex_state = 2},
  [13474] = {.lex_state = 436, .external_lex_state = 2},
  [13475] = {.lex_state = 222, .external_lex_state = 2},
  [13476] = {.lex_state = 212, .external_lex_state = 2},
  [13477] = {.lex_state = 212, .external_lex_state = 2},
  [13478] = {.lex_state = 20, .external_lex_state = 2},
  [13479] = {.lex_state = 436, .external_lex_state = 2},
  [13480] = {.lex_state = 436, .external_lex_state = 2},
  [13481] = {.lex_state = 20, .external_lex_state = 2},
  [13482] = {.lex_state = 240, .external_lex_state = 2},
  [13483] = {.lex_state = 177, .external_lex_state = 2},
  [13484] = {.lex_state = 436, .external_lex_state = 2},
  [13485] = {.lex_state = 436, .external_lex_state = 2},
  [13486] = {.lex_state = 222, .external_lex_state = 2},
  [13487] = {.lex_state = 212, .external_lex_state = 2},
  [13488] = {.lex_state = 436, .external_lex_state = 2},
  [13489] = {.lex_state = 228, .external_lex_state = 2},
  [13490] = {.lex_state = 437, .external_lex_state = 2},
  [13491] = {.lex_state = 436, .external_lex_state = 2},
  [13492] = {.lex_state = 436, .external_lex_state = 2},
  [13493] = {.lex_state = 436, .external_lex_state = 2},
  [13494] = {.lex_state = 212, .external_lex_state = 2},
  [13495] = {.lex_state = 436, .external_lex_state = 2},
  [13496] = {.lex_state = 167, .external_lex_state = 2},
  [13497] = {.lex_state = 436, .external_lex_state = 2},
  [13498] = {.lex_state = 212, .external_lex_state = 2},
  [13499] = {.lex_state = 212, .external_lex_state = 2},
  [13500] = {.lex_state = 436, .external_lex_state = 2},
  [13501] = {.lex_state = 436, .external_lex_state = 2},
  [13502] = {.lex_state = 436, .external_lex_state = 2},
  [13503] = {.lex_state = 436, .external_lex_state = 2},
  [13504] = {.lex_state = 437, .external_lex_state = 2},
  [13505] = {.lex_state = 436, .external_lex_state = 8},
  [13506] = {.lex_state = 436, .external_lex_state = 8},
  [13507] = {.lex_state = 436, .external_lex_state = 2},
  [13508] = {.lex_state = 167, .external_lex_state = 2},
  [13509] = {.lex_state = 436, .external_lex_state = 2},
  [13510] = {.lex_state = 436, .external_lex_state = 2},
  [13511] = {.lex_state = 252, .external_lex_state = 7},
  [13512] = {.lex_state = 436, .external_lex_state = 2},
  [13513] = {.lex_state = 436, .external_lex_state = 2},
  [13514] = {.lex_state = 240, .external_lex_state = 2},
  [13515] = {.lex_state = 6, .external_lex_state = 2},
  [13516] = {.lex_state = 436, .external_lex_state = 2},
  [13517] = {.lex_state = 436, .external_lex_state = 2},
  [13518] = {.lex_state = 212, .external_lex_state = 2},
  [13519] = {.lex_state = 436, .external_lex_state = 2},
  [13520] = {.lex_state = 436, .external_lex_state = 2},
  [13521] = {.lex_state = 436, .external_lex_state = 2},
  [13522] = {.lex_state = 222, .external_lex_state = 2},
  [13523] = {.lex_state = 436, .external_lex_state = 2},
  [13524] = {.lex_state = 6, .external_lex_state = 2},
  [13525] = {.lex_state = 436, .external_lex_state = 2},
  [13526] = {.lex_state = 436, .external_lex_state = 2},
  [13527] = {.lex_state = 436, .external_lex_state = 2},
  [13528] = {.lex_state = 436, .external_lex_state = 2},
  [13529] = {.lex_state = 436, .external_lex_state = 2},
  [13530] = {.lex_state = 436, .external_lex_state = 2},
  [13531] = {.lex_state = 240, .external_lex_state = 2},
  [13532] = {.lex_state = 436, .external_lex_state = 2},
  [13533] = {.lex_state = 240, .external_lex_state = 2},
  [13534] = {.lex_state = 436, .external_lex_state = 2},
  [13535] = {.lex_state = 436, .external_lex_state = 2},
  [13536] = {.lex_state = 167, .external_lex_state = 2},
  [13537] = {.lex_state = 240, .external_lex_state = 2},
  [13538] = {.lex_state = 437, .external_lex_state = 2},
  [13539] = {.lex_state = 240, .external_lex_state = 2},
  [13540] = {.lex_state = 436, .external_lex_state = 2},
  [13541] = {.lex_state = 437, .external_lex_state = 2},
  [13542] = {.lex_state = 244, .external_lex_state = 2},
  [13543] = {.lex_state = 436, .external_lex_state = 2},
  [13544] = {.lex_state = 244, .external_lex_state = 2},
  [13545] = {.lex_state = 436, .external_lex_state = 2},
  [13546] = {.lex_state = 436, .external_lex_state = 2},
  [13547] = {.lex_state = 205, .external_lex_state = 2},
  [13548] = {.lex_state = 436, .external_lex_state = 2},
  [13549] = {.lex_state = 437, .external_lex_state = 2},
  [13550] = {.lex_state = 436, .external_lex_state = 8},
  [13551] = {.lex_state = 436, .external_lex_state = 2},
  [13552] = {.lex_state = 436, .external_lex_state = 2},
  [13553] = {.lex_state = 436, .external_lex_state = 8},
  [13554] = {.lex_state = 436, .external_lex_state = 2},
  [13555] = {.lex_state = 436, .external_lex_state = 2},
  [13556] = {.lex_state = 436, .external_lex_state = 2},
  [13557] = {.lex_state = 436, .external_lex_state = 2},
  [13558] = {.lex_state = 436, .external_lex_state = 2},
  [13559] = {.lex_state = 436, .external_lex_state = 2},
  [13560] = {.lex_state = 436, .external_lex_state = 2},
  [13561] = {.lex_state = 167, .external_lex_state = 2},
  [13562] = {.lex_state = 6, .external_lex_state = 2},
  [13563] = {.lex_state = 436, .external_lex_state = 2},
  [13564] = {.lex_state = 436, .external_lex_state = 2},
  [13565] = {.lex_state = 436, .external_lex_state = 2},
  [13566] = {.lex_state = 436, .external_lex_state = 2},
  [13567] = {.lex_state = 436, .external_lex_state = 2},
  [13568] = {.lex_state = 436, .external_lex_state = 2},
  [13569] = {.lex_state = 240, .external_lex_state = 2},
  [13570] = {.lex_state = 436, .external_lex_state = 2},
  [13571] = {.lex_state = 436, .external_lex_state = 2},
  [13572] = {.lex_state = 240, .external_lex_state = 2},
  [13573] = {.lex_state = 240, .external_lex_state = 2},
  [13574] = {.lex_state = 436, .external_lex_state = 2},
  [13575] = {.lex_state = 240, .external_lex_state = 2},
  [13576] = {.lex_state = 436, .external_lex_state = 8},
  [13577] = {.lex_state = 436, .external_lex_state = 2},
  [13578] = {.lex_state = 436, .external_lex_state = 8},
  [13579] = {.lex_state = 436, .external_lex_state = 2},
  [13580] = {.lex_state = 436, .external_lex_state = 2},
  [13581] = {.lex_state = 167, .external_lex_state = 2},
  [13582] = {.lex_state = 436, .external_lex_state = 2},
  [13583] = {.lex_state = 436, .external_lex_state = 2},
  [13584] = {.lex_state = 436, .external_lex_state = 2},
  [13585] = {.lex_state = 436, .external_lex_state = 2},
  [13586] = {.lex_state = 436, .external_lex_state = 2},
  [13587] = {.lex_state = 436, .external_lex_state = 2},
  [13588] = {.lex_state = 167, .external_lex_state = 2},
  [13589] = {.lex_state = 436, .external_lex_state = 2},
  [13590] = {.lex_state = 436, .external_lex_state = 2},
  [13591] = {.lex_state = 240, .external_lex_state = 2},
  [13592] = {.lex_state = 437, .external_lex_state = 2},
  [13593] = {.lex_state = 6, .external_lex_state = 2},
  [13594] = {.lex_state = 167, .external_lex_state = 2},
  [13595] = {.lex_state = 436, .external_lex_state = 2},
  [13596] = {.lex_state = 437, .external_lex_state = 2},
  [13597] = {.lex_state = 436, .external_lex_state = 8},
  [13598] = {.lex_state = 436, .external_lex_state = 2},
  [13599] = {.lex_state = 436, .external_lex_state = 8},
  [13600] = {.lex_state = 436, .external_lex_state = 2},
  [13601] = {.lex_state = 436, .external_lex_state = 2},
  [13602] = {.lex_state = 436, .external_lex_state = 2},
  [13603] = {.lex_state = 436, .external_lex_state = 2},
  [13604] = {.lex_state = 6, .external_lex_state = 2},
  [13605] = {.lex_state = 436, .external_lex_state = 2},
  [13606] = {.lex_state = 240, .external_lex_state = 2},
  [13607] = {.lex_state = 436, .external_lex_state = 2},
  [13608] = {.lex_state = 436, .external_lex_state = 2},
  [13609] = {.lex_state = 436, .external_lex_state = 2},
  [13610] = {.lex_state = 436, .external_lex_state = 2},
  [13611] = {.lex_state = 240, .external_lex_state = 2},
  [13612] = {.lex_state = 240, .external_lex_state = 2},
  [13613] = {.lex_state = 240, .external_lex_state = 2},
  [13614] = {.lex_state = 437, .external_lex_state = 2},
  [13615] = {.lex_state = 436, .external_lex_state = 2},
  [13616] = {.lex_state = 436, .external_lex_state = 2},
  [13617] = {.lex_state = 436, .external_lex_state = 2},
  [13618] = {.lex_state = 177, .external_lex_state = 2},
  [13619] = {.lex_state = 436, .external_lex_state = 2},
  [13620] = {.lex_state = 436, .external_lex_state = 2},
  [13621] = {.lex_state = 436, .external_lex_state = 2},
  [13622] = {.lex_state = 436, .external_lex_state = 2},
  [13623] = {.lex_state = 436, .external_lex_state = 2},
  [13624] = {.lex_state = 205, .external_lex_state = 2},
  [13625] = {.lex_state = 167, .external_lex_state = 2},
  [13626] = {.lex_state = 436, .external_lex_state = 2},
  [13627] = {.lex_state = 436, .external_lex_state = 2},
  [13628] = {.lex_state = 436, .external_lex_state = 2},
  [13629] = {.lex_state = 436, .external_lex_state = 2},
  [13630] = {.lex_state = 436, .external_lex_state = 2},
  [13631] = {.lex_state = 436, .external_lex_state = 2},
  [13632] = {.lex_state = 240, .external_lex_state = 2},
  [13633] = {.lex_state = 240, .external_lex_state = 2},
  [13634] = {.lex_state = 205, .external_lex_state = 2},
  [13635] = {.lex_state = 6, .external_lex_state = 2},
  [13636] = {.lex_state = 212, .external_lex_state = 2},
  [13637] = {.lex_state = 436, .external_lex_state = 2},
  [13638] = {.lex_state = 437, .external_lex_state = 2},
  [13639] = {.lex_state = 436, .external_lex_state = 2},
  [13640] = {.lex_state = 205, .external_lex_state = 2},
  [13641] = {.lex_state = 244, .external_lex_state = 2},
  [13642] = {.lex_state = 436, .external_lex_state = 2},
  [13643] = {.lex_state = 436, .external_lex_state = 2},
  [13644] = {.lex_state = 436, .external_lex_state = 2},
  [13645] = {.lex_state = 436, .external_lex_state = 2},
  [13646] = {.lex_state = 436, .external_lex_state = 2},
  [13647] = {.lex_state = 212, .external_lex_state = 2},
  [13648] = {.lex_state = 6, .external_lex_state = 2},
  [13649] = {.lex_state = 212, .external_lex_state = 2},
  [13650] = {.lex_state = 436, .external_lex_state = 2},
  [13651] = {.lex_state = 212, .external_lex_state = 2},
  [13652] = {.lex_state = 436, .external_lex_state = 2},
  [13653] = {.lex_state = 167, .external_lex_state = 2},
  [13654] = {.lex_state = 436, .external_lex_state = 2},
  [13655] = {.lex_state = 436, .external_lex_state = 2},
  [13656] = {.lex_state = 436, .external_lex_state = 2},
  [13657] = {.lex_state = 436, .external_lex_state = 2},
  [13658] = {.lex_state = 436, .external_lex_state = 2},
  [13659] = {.lex_state = 436, .external_lex_state = 2},
  [13660] = {.lex_state = 436, .external_lex_state = 2},
  [13661] = {.lex_state = 436, .external_lex_state = 2},
  [13662] = {.lex_state = 436, .external_lex_state = 2},
  [13663] = {.lex_state = 436, .external_lex_state = 2},
  [13664] = {.lex_state = 436, .external_lex_state = 2},
  [13665] = {.lex_state = 436, .external_lex_state = 2},
  [13666] = {.lex_state = 436, .external_lex_state = 2},
  [13667] = {.lex_state = 436, .external_lex_state = 2},
  [13668] = {.lex_state = 436, .external_lex_state = 2},
  [13669] = {.lex_state = 436, .external_lex_state = 2},
  [13670] = {.lex_state = 436, .external_lex_state = 2},
  [13671] = {.lex_state = 436, .external_lex_state = 2},
  [13672] = {.lex_state = 436, .external_lex_state = 2},
  [13673] = {.lex_state = 436, .external_lex_state = 2},
  [13674] = {.lex_state = 436, .external_lex_state = 2},
  [13675] = {.lex_state = 436, .external_lex_state = 2},
  [13676] = {.lex_state = 436, .external_lex_state = 2},
  [13677] = {.lex_state = 436, .external_lex_state = 2},
  [13678] = {.lex_state = 436, .external_lex_state = 2},
  [13679] = {.lex_state = 436, .external_lex_state = 2},
  [13680] = {.lex_state = 436, .external_lex_state = 2},
  [13681] = {.lex_state = 436, .external_lex_state = 2},
  [13682] = {.lex_state = 436, .external_lex_state = 2},
  [13683] = {.lex_state = 436, .external_lex_state = 2},
  [13684] = {.lex_state = 436, .external_lex_state = 2},
  [13685] = {.lex_state = 436, .external_lex_state = 2},
  [13686] = {.lex_state = 436, .external_lex_state = 2},
  [13687] = {.lex_state = 436, .external_lex_state = 2},
  [13688] = {.lex_state = 436, .external_lex_state = 2},
  [13689] = {.lex_state = 436, .external_lex_state = 2},
  [13690] = {.lex_state = 436, .external_lex_state = 2},
  [13691] = {.lex_state = 436, .external_lex_state = 2},
  [13692] = {.lex_state = 436, .external_lex_state = 2},
  [13693] = {.lex_state = 436, .external_lex_state = 2},
  [13694] = {.lex_state = 436, .external_lex_state = 2},
  [13695] = {.lex_state = 436, .external_lex_state = 2},
  [13696] = {.lex_state = 436, .external_lex_state = 2},
  [13697] = {.lex_state = 436, .external_lex_state = 2},
  [13698] = {.lex_state = 436, .external_lex_state = 2},
  [13699] = {.lex_state = 436, .external_lex_state = 2},
  [13700] = {.lex_state = 436, .external_lex_state = 2},
  [13701] = {.lex_state = 436, .external_lex_state = 2},
  [13702] = {.lex_state = 436, .external_lex_state = 2},
  [13703] = {.lex_state = 436, .external_lex_state = 2},
  [13704] = {.lex_state = 436, .external_lex_state = 2},
  [13705] = {.lex_state = 436, .external_lex_state = 2},
  [13706] = {.lex_state = 436, .external_lex_state = 2},
  [13707] = {.lex_state = 436, .external_lex_state = 2},
  [13708] = {.lex_state = 436, .external_lex_state = 2},
  [13709] = {.lex_state = 436, .external_lex_state = 2},
  [13710] = {.lex_state = 436, .external_lex_state = 2},
  [13711] = {.lex_state = 436, .external_lex_state = 2},
  [13712] = {.lex_state = 436, .external_lex_state = 2},
  [13713] = {.lex_state = 436, .external_lex_state = 2},
  [13714] = {.lex_state = 436, .external_lex_state = 2},
  [13715] = {.lex_state = 436, .external_lex_state = 2},
  [13716] = {.lex_state = 436, .external_lex_state = 2},
  [13717] = {.lex_state = 436, .external_lex_state = 2},
  [13718] = {.lex_state = 437, .external_lex_state = 2},
  [13719] = {.lex_state = 436, .external_lex_state = 2},
  [13720] = {.lex_state = 436, .external_lex_state = 2},
  [13721] = {.lex_state = 436, .external_lex_state = 2},
  [13722] = {.lex_state = 436, .external_lex_state = 2},
  [13723] = {.lex_state = 436, .external_lex_state = 2},
  [13724] = {.lex_state = 436, .external_lex_state = 2},
  [13725] = {.lex_state = 436, .external_lex_state = 2},
  [13726] = {.lex_state = 436, .external_lex_state = 2},
  [13727] = {.lex_state = 436, .external_lex_state = 2},
  [13728] = {.lex_state = 436, .external_lex_state = 2},
  [13729] = {.lex_state = 436, .external_lex_state = 2},
  [13730] = {.lex_state = 436, .external_lex_state = 2},
  [13731] = {.lex_state = 436, .external_lex_state = 2},
  [13732] = {.lex_state = 436, .external_lex_state = 2},
  [13733] = {.lex_state = 436, .external_lex_state = 2},
  [13734] = {.lex_state = 436, .external_lex_state = 2},
  [13735] = {.lex_state = 436, .external_lex_state = 2},
  [13736] = {.lex_state = 436, .external_lex_state = 2},
  [13737] = {.lex_state = 436, .external_lex_state = 2},
  [13738] = {.lex_state = 436, .external_lex_state = 2},
  [13739] = {.lex_state = 436, .external_lex_state = 2},
  [13740] = {.lex_state = 436, .external_lex_state = 2},
  [13741] = {.lex_state = 436, .external_lex_state = 2},
  [13742] = {.lex_state = 436, .external_lex_state = 2},
  [13743] = {.lex_state = 436, .external_lex_state = 2},
  [13744] = {.lex_state = 436, .external_lex_state = 2},
  [13745] = {.lex_state = 436, .external_lex_state = 2},
  [13746] = {.lex_state = 436, .external_lex_state = 2},
  [13747] = {.lex_state = 436, .external_lex_state = 2},
  [13748] = {.lex_state = 436, .external_lex_state = 2},
  [13749] = {.lex_state = 436, .external_lex_state = 2},
  [13750] = {.lex_state = 167, .external_lex_state = 2},
  [13751] = {.lex_state = 167, .external_lex_state = 2},
  [13752] = {.lex_state = 436, .external_lex_state = 2},
  [13753] = {.lex_state = 436, .external_lex_state = 2},
  [13754] = {.lex_state = 436, .external_lex_state = 2},
  [13755] = {.lex_state = 436, .external_lex_state = 2},
  [13756] = {.lex_state = 436, .external_lex_state = 2},
  [13757] = {.lex_state = 167, .external_lex_state = 2},
  [13758] = {.lex_state = 436, .external_lex_state = 2},
  [13759] = {.lex_state = 436, .external_lex_state = 2},
  [13760] = {.lex_state = 436, .external_lex_state = 2},
  [13761] = {.lex_state = 167, .external_lex_state = 2},
  [13762] = {.lex_state = 436, .external_lex_state = 2},
  [13763] = {.lex_state = 167, .external_lex_state = 2},
  [13764] = {.lex_state = 167, .external_lex_state = 2},
  [13765] = {.lex_state = 436, .external_lex_state = 2},
  [13766] = {.lex_state = 436, .external_lex_state = 2},
  [13767] = {.lex_state = 167, .external_lex_state = 2},
  [13768] = {.lex_state = 436, .external_lex_state = 2},
  [13769] = {.lex_state = 436, .external_lex_state = 2},
  [13770] = {.lex_state = 167, .external_lex_state = 2},
  [13771] = {.lex_state = 436, .external_lex_state = 2},
  [13772] = {.lex_state = 436, .external_lex_state = 2},
  [13773] = {.lex_state = 436, .external_lex_state = 2},
  [13774] = {.lex_state = 436, .external_lex_state = 2},
  [13775] = {.lex_state = 167, .external_lex_state = 2},
  [13776] = {.lex_state = 436, .external_lex_state = 2},
  [13777] = {.lex_state = 436, .external_lex_state = 2},
  [13778] = {.lex_state = 436, .external_lex_state = 2},
  [13779] = {.lex_state = 436, .external_lex_state = 2},
  [13780] = {.lex_state = 167, .external_lex_state = 2},
  [13781] = {.lex_state = 167, .external_lex_state = 2},
  [13782] = {.lex_state = 436, .external_lex_state = 2},
  [13783] = {.lex_state = 436, .external_lex_state = 2},
  [13784] = {.lex_state = 436, .external_lex_state = 2},
  [13785] = {.lex_state = 436, .external_lex_state = 2},
  [13786] = {.lex_state = 436, .external_lex_state = 2},
  [13787] = {.lex_state = 436, .external_lex_state = 2},
  [13788] = {.lex_state = 436, .external_lex_state = 2},
  [13789] = {.lex_state = 436, .external_lex_state = 2},
  [13790] = {.lex_state = 436, .external_lex_state = 2},
  [13791] = {.lex_state = 436, .external_lex_state = 2},
  [13792] = {.lex_state = 167, .external_lex_state = 2},
  [13793] = {.lex_state = 228, .external_lex_state = 2},
  [13794] = {.lex_state = 436, .external_lex_state = 2},
  [13795] = {.lex_state = 436, .external_lex_state = 2},
  [13796] = {.lex_state = 167, .external_lex_state = 2},
  [13797] = {.lex_state = 436, .external_lex_state = 2},
  [13798] = {.lex_state = 167, .external_lex_state = 2},
  [13799] = {.lex_state = 436, .external_lex_state = 2},
  [13800] = {.lex_state = 436, .external_lex_state = 2},
  [13801] = {.lex_state = 436, .external_lex_state = 2},
  [13802] = {.lex_state = 436, .external_lex_state = 2},
  [13803] = {.lex_state = 436, .external_lex_state = 2},
  [13804] = {.lex_state = 436, .external_lex_state = 2},
  [13805] = {.lex_state = 436, .external_lex_state = 2},
  [13806] = {.lex_state = 165, .external_lex_state = 2},
  [13807] = {.lex_state = 167, .external_lex_state = 2},
  [13808] = {.lex_state = 436, .external_lex_state = 2},
  [13809] = {.lex_state = 436, .external_lex_state = 2},
  [13810] = {.lex_state = 167, .external_lex_state = 2},
  [13811] = {.lex_state = 436, .external_lex_state = 2},
  [13812] = {.lex_state = 436, .external_lex_state = 2},
  [13813] = {.lex_state = 436, .external_lex_state = 2},
  [13814] = {.lex_state = 167, .external_lex_state = 2},
  [13815] = {.lex_state = 436, .external_lex_state = 2},
  [13816] = {.lex_state = 436, .external_lex_state = 2},
  [13817] = {.lex_state = 436, .external_lex_state = 2},
  [13818] = {.lex_state = 436, .external_lex_state = 2},
  [13819] = {.lex_state = 167, .external_lex_state = 2},
  [13820] = {.lex_state = 436, .external_lex_state = 2},
  [13821] = {.lex_state = 167, .external_lex_state = 2},
  [13822] = {.lex_state = 436, .external_lex_state = 2},
  [13823] = {.lex_state = 167, .external_lex_state = 2},
  [13824] = {.lex_state = 436, .external_lex_state = 2},
  [13825] = {.lex_state = 436, .external_lex_state = 2},
  [13826] = {.lex_state = 436, .external_lex_state = 2},
  [13827] = {.lex_state = 167, .external_lex_state = 2},
  [13828] = {.lex_state = 167, .external_lex_state = 2},
  [13829] = {.lex_state = 167, .external_lex_state = 2},
  [13830] = {.lex_state = 436, .external_lex_state = 2},
  [13831] = {.lex_state = 167, .external_lex_state = 2},
  [13832] = {.lex_state = 167, .external_lex_state = 2},
  [13833] = {.lex_state = 436, .external_lex_state = 2},
  [13834] = {.lex_state = 436, .external_lex_state = 2},
  [13835] = {.lex_state = 436, .external_lex_state = 2},
  [13836] = {.lex_state = 436, .external_lex_state = 2},
  [13837] = {.lex_state = 436, .external_lex_state = 2},
  [13838] = {.lex_state = 436, .external_lex_state = 2},
  [13839] = {.lex_state = 436, .external_lex_state = 2},
  [13840] = {.lex_state = 436, .external_lex_state = 2},
  [13841] = {.lex_state = 436, .external_lex_state = 2},
  [13842] = {.lex_state = 436, .external_lex_state = 2},
  [13843] = {.lex_state = 167, .external_lex_state = 2},
  [13844] = {.lex_state = 167, .external_lex_state = 2},
  [13845] = {.lex_state = 228, .external_lex_state = 2},
  [13846] = {.lex_state = 167, .external_lex_state = 2},
  [13847] = {.lex_state = 436, .external_lex_state = 2},
  [13848] = {.lex_state = 167, .external_lex_state = 2},
  [13849] = {.lex_state = 436, .external_lex_state = 2},
  [13850] = {.lex_state = 167, .external_lex_state = 2},
  [13851] = {.lex_state = 436, .external_lex_state = 2},
  [13852] = {.lex_state = 167, .external_lex_state = 2},
  [13853] = {.lex_state = 436, .external_lex_state = 2},
  [13854] = {.lex_state = 436, .external_lex_state = 2},
  [13855] = {.lex_state = 436, .external_lex_state = 2},
  [13856] = {.lex_state = 167, .external_lex_state = 2},
  [13857] = {.lex_state = 436, .external_lex_state = 2},
  [13858] = {.lex_state = 436, .external_lex_state = 2},
  [13859] = {.lex_state = 436, .external_lex_state = 2},
  [13860] = {.lex_state = 436, .external_lex_state = 2},
  [13861] = {.lex_state = 167, .external_lex_state = 2},
  [13862] = {.lex_state = 436, .external_lex_state = 2},
  [13863] = {.lex_state = 436, .external_lex_state = 2},
  [13864] = {.lex_state = 436, .external_lex_state = 2},
  [13865] = {.lex_state = 167, .external_lex_state = 2},
  [13866] = {.lex_state = 167, .external_lex_state = 2},
  [13867] = {.lex_state = 436, .external_lex_state = 2},
  [13868] = {.lex_state = 436, .external_lex_state = 2},
  [13869] = {.lex_state = 436, .external_lex_state = 2},
  [13870] = {.lex_state = 167, .external_lex_state = 2},
  [13871] = {.lex_state = 167, .external_lex_state = 2},
  [13872] = {.lex_state = 436, .external_lex_state = 2},
  [13873] = {.lex_state = 436, .external_lex_state = 2},
  [13874] = {.lex_state = 436, .external_lex_state = 2},
  [13875] = {.lex_state = 436, .external_lex_state = 2},
  [13876] = {.lex_state = 228, .external_lex_state = 2},
  [13877] = {.lex_state = 436, .external_lex_state = 2},
  [13878] = {.lex_state = 167, .external_lex_state = 2},
  [13879] = {.lex_state = 436, .external_lex_state = 2},
  [13880] = {.lex_state = 436, .external_lex_state = 2},
  [13881] = {.lex_state = 436, .external_lex_state = 2},
  [13882] = {.lex_state = 436, .external_lex_state = 2},
  [13883] = {.lex_state = 436, .external_lex_state = 2},
  [13884] = {.lex_state = 167, .external_lex_state = 2},
  [13885] = {.lex_state = 167, .external_lex_state = 2},
  [13886] = {.lex_state = 436, .external_lex_state = 2},
  [13887] = {.lex_state = 167, .external_lex_state = 2},
  [13888] = {.lex_state = 436, .external_lex_state = 2},
  [13889] = {.lex_state = 167, .external_lex_state = 2},
  [13890] = {.lex_state = 436, .external_lex_state = 2},
  [13891] = {.lex_state = 436, .external_lex_state = 2},
  [13892] = {.lex_state = 167, .external_lex_state = 2},
  [13893] = {.lex_state = 167, .external_lex_state = 2},
  [13894] = {.lex_state = 436, .external_lex_state = 2},
  [13895] = {.lex_state = 167, .external_lex_state = 2},
  [13896] = {.lex_state = 436, .external_lex_state = 2},
  [13897] = {.lex_state = 167, .external_lex_state = 2},
  [13898] = {.lex_state = 436, .external_lex_state = 2},
  [13899] = {.lex_state = 167, .external_lex_state = 2},
  [13900] = {.lex_state = 436, .external_lex_state = 2},
  [13901] = {.lex_state = 167, .external_lex_state = 2},
  [13902] = {.lex_state = 436, .external_lex_state = 2},
  [13903] = {.lex_state = 167, .external_lex_state = 2},
  [13904] = {.lex_state = 436, .external_lex_state = 2},
  [13905] = {.lex_state = 436, .external_lex_state = 2},
  [13906] = {.lex_state = 436, .external_lex_state = 2},
  [13907] = {.lex_state = 436, .external_lex_state = 2},
  [13908] = {.lex_state = 167, .external_lex_state = 2},
  [13909] = {.lex_state = 167, .external_lex_state = 2},
  [13910] = {.lex_state = 167, .external_lex_state = 2},
  [13911] = {.lex_state = 167, .external_lex_state = 2},
  [13912] = {.lex_state = 436, .external_lex_state = 2},
  [13913] = {.lex_state = 167, .external_lex_state = 2},
  [13914] = {.lex_state = 167, .external_lex_state = 2},
  [13915] = {.lex_state = 436, .external_lex_state = 2},
  [13916] = {.lex_state = 167, .external_lex_state = 2},
  [13917] = {.lex_state = 436, .external_lex_state = 2},
  [13918] = {.lex_state = 436, .external_lex_state = 2},
  [13919] = {.lex_state = 436, .external_lex_state = 2},
  [13920] = {.lex_state = 436, .external_lex_state = 2},
  [13921] = {.lex_state = 436, .external_lex_state = 2},
  [13922] = {.lex_state = 436, .external_lex_state = 2},
  [13923] = {.lex_state = 167, .external_lex_state = 2},
  [13924] = {.lex_state = 436, .external_lex_state = 2},
  [13925] = {.lex_state = 436, .external_lex_state = 2},
  [13926] = {.lex_state = 165, .external_lex_state = 2},
  [13927] = {.lex_state = 167, .external_lex_state = 2},
  [13928] = {.lex_state = 167, .external_lex_state = 2},
  [13929] = {.lex_state = 167, .external_lex_state = 2},
  [13930] = {.lex_state = 167, .external_lex_state = 2},
  [13931] = {.lex_state = 167, .external_lex_state = 2},
  [13932] = {.lex_state = 167, .external_lex_state = 2},
  [13933] = {.lex_state = 436, .external_lex_state = 2},
  [13934] = {.lex_state = 167, .external_lex_state = 2},
  [13935] = {.lex_state = 436, .external_lex_state = 2},
  [13936] = {.lex_state = 436, .external_lex_state = 2},
  [13937] = {.lex_state = 436, .external_lex_state = 2},
  [13938] = {.lex_state = 167, .external_lex_state = 2},
  [13939] = {.lex_state = 436, .external_lex_state = 2},
  [13940] = {.lex_state = 167, .external_lex_state = 2},
  [13941] = {.lex_state = 436, .external_lex_state = 2},
  [13942] = {.lex_state = 436, .external_lex_state = 2},
  [13943] = {.lex_state = 436, .external_lex_state = 2},
  [13944] = {.lex_state = 167, .external_lex_state = 2},
  [13945] = {.lex_state = 165, .external_lex_state = 2},
  [13946] = {.lex_state = 436, .external_lex_state = 2},
  [13947] = {.lex_state = 436, .external_lex_state = 2},
  [13948] = {.lex_state = 436, .external_lex_state = 2},
  [13949] = {.lex_state = 436, .external_lex_state = 2},
  [13950] = {.lex_state = 167, .external_lex_state = 2},
  [13951] = {.lex_state = 167, .external_lex_state = 2},
  [13952] = {.lex_state = 167, .external_lex_state = 2},
  [13953] = {.lex_state = 167, .external_lex_state = 2},
  [13954] = {.lex_state = 436, .external_lex_state = 2},
  [13955] = {.lex_state = 167, .external_lex_state = 2},
  [13956] = {.lex_state = 167, .external_lex_state = 2},
  [13957] = {.lex_state = 167, .external_lex_state = 2},
  [13958] = {.lex_state = 436, .external_lex_state = 2},
  [13959] = {.lex_state = 167, .external_lex_state = 2},
  [13960] = {.lex_state = 167, .external_lex_state = 2},
  [13961] = {.lex_state = 436, .external_lex_state = 2},
  [13962] = {.lex_state = 436, .external_lex_state = 2},
  [13963] = {.lex_state = 436, .external_lex_state = 2},
  [13964] = {.lex_state = 436, .external_lex_state = 2},
  [13965] = {.lex_state = 167, .external_lex_state = 2},
  [13966] = {.lex_state = 165, .external_lex_state = 2},
  [13967] = {.lex_state = 165, .external_lex_state = 2},
  [13968] = {.lex_state = 167, .external_lex_state = 2},
  [13969] = {.lex_state = 167, .external_lex_state = 2},
  [13970] = {.lex_state = 436, .external_lex_state = 2},
  [13971] = {.lex_state = 167, .external_lex_state = 2},
  [13972] = {.lex_state = 167, .external_lex_state = 2},
  [13973] = {.lex_state = 167, .external_lex_state = 2},
  [13974] = {.lex_state = 165, .external_lex_state = 2},
  [13975] = {.lex_state = 436, .external_lex_state = 2},
  [13976] = {.lex_state = 165, .external_lex_state = 2},
  [13977] = {.lex_state = 165, .external_lex_state = 2},
  [13978] = {.lex_state = 436, .external_lex_state = 2},
  [13979] = {.lex_state = 436, .external_lex_state = 2},
  [13980] = {.lex_state = 165, .external_lex_state = 2},
  [13981] = {.lex_state = 165, .external_lex_state = 2},
  [13982] = {.lex_state = 165, .external_lex_state = 2},
  [13983] = {.lex_state = 165, .external_lex_state = 2},
  [13984] = {.lex_state = 436, .external_lex_state = 2},
  [13985] = {.lex_state = 436, .external_lex_state = 2},
  [13986] = {.lex_state = 436, .external_lex_state = 2},
  [13987] = {.lex_state = 436, .external_lex_state = 2},
  [13988] = {.lex_state = 240, .external_lex_state = 2},
  [13989] = {.lex_state = 240, .external_lex_state = 2},
  [13990] = {.lex_state = 240, .external_lex_state = 2},
  [13991] = {.lex_state = 436, .external_lex_state = 2},
  [13992] = {.lex_state = 240, .external_lex_state = 2},
  [13993] = {.lex_state = 19, .external_lex_state = 2},
  [13994] = {.lex_state = 436, .external_lex_state = 2},
  [13995] = {.lex_state = 436, .external_lex_state = 2},
  [13996] = {.lex_state = 158, .external_lex_state = 2},
  [13997] = {.lex_state = 240, .external_lex_state = 2},
  [13998] = {.lex_state = 436, .external_lex_state = 2},
  [13999] = {.lex_state = 19, .external_lex_state = 2},
  [14000] = {.lex_state = 436, .external_lex_state = 2},
  [14001] = {.lex_state = 19, .external_lex_state = 2},
  [14002] = {.lex_state = 436, .external_lex_state = 2},
  [14003] = {.lex_state = 240, .external_lex_state = 2},
  [14004] = {.lex_state = 436, .external_lex_state = 2},
  [14005] = {.lex_state = 240, .external_lex_state = 2},
  [14006] = {.lex_state = 19, .external_lex_state = 2},
  [14007] = {.lex_state = 436, .external_lex_state = 2},
  [14008] = {.lex_state = 212, .external_lex_state = 2},
  [14009] = {.lex_state = 436, .external_lex_state = 2},
  [14010] = {.lex_state = 436, .external_lex_state = 2},
  [14011] = {.lex_state = 436, .external_lex_state = 2},
  [14012] = {.lex_state = 436, .external_lex_state = 2},
  [14013] = {.lex_state = 436, .external_lex_state = 2},
  [14014] = {.lex_state = 436, .external_lex_state = 2},
  [14015] = {.lex_state = 19, .external_lex_state = 2},
  [14016] = {.lex_state = 19, .external_lex_state = 2},
  [14017] = {.lex_state = 212, .external_lex_state = 2},
  [14018] = {.lex_state = 212, .external_lex_state = 2},
  [14019] = {.lex_state = 212, .external_lex_state = 2},
  [14020] = {.lex_state = 436, .external_lex_state = 2},
  [14021] = {.lex_state = 158, .external_lex_state = 2},
  [14022] = {.lex_state = 436, .external_lex_state = 2},
  [14023] = {.lex_state = 436, .external_lex_state = 2},
  [14024] = {.lex_state = 19, .external_lex_state = 2},
  [14025] = {.lex_state = 19, .external_lex_state = 2},
  [14026] = {.lex_state = 436, .external_lex_state = 2},
  [14027] = {.lex_state = 436, .external_lex_state = 2},
  [14028] = {.lex_state = 19, .external_lex_state = 2},
  [14029] = {.lex_state = 19, .external_lex_state = 2},
  [14030] = {.lex_state = 436, .external_lex_state = 2},
  [14031] = {.lex_state = 158, .external_lex_state = 2},
  [14032] = {.lex_state = 436, .external_lex_state = 2},
  [14033] = {.lex_state = 436, .external_lex_state = 2},
  [14034] = {.lex_state = 158, .external_lex_state = 2},
  [14035] = {.lex_state = 436, .external_lex_state = 2},
  [14036] = {.lex_state = 436, .external_lex_state = 2},
  [14037] = {.lex_state = 436, .external_lex_state = 2},
  [14038] = {.lex_state = 436, .external_lex_state = 2},
  [14039] = {.lex_state = 436, .external_lex_state = 2},
  [14040] = {.lex_state = 436, .external_lex_state = 2},
  [14041] = {.lex_state = 19, .external_lex_state = 2},
  [14042] = {.lex_state = 436, .external_lex_state = 2},
  [14043] = {.lex_state = 436, .external_lex_state = 2},
  [14044] = {.lex_state = 436, .external_lex_state = 2},
  [14045] = {.lex_state = 436, .external_lex_state = 2},
  [14046] = {.lex_state = 436, .external_lex_state = 2},
  [14047] = {.lex_state = 436, .external_lex_state = 2},
  [14048] = {.lex_state = 436, .external_lex_state = 2},
  [14049] = {.lex_state = 19, .external_lex_state = 2},
  [14050] = {.lex_state = 436, .external_lex_state = 2},
  [14051] = {.lex_state = 436, .external_lex_state = 2},
  [14052] = {.lex_state = 436, .external_lex_state = 2},
  [14053] = {.lex_state = 436, .external_lex_state = 2},
  [14054] = {.lex_state = 436, .external_lex_state = 2},
  [14055] = {.lex_state = 158, .external_lex_state = 2},
  [14056] = {.lex_state = 19, .external_lex_state = 2},
  [14057] = {.lex_state = 228, .external_lex_state = 2},
  [14058] = {.lex_state = 436, .external_lex_state = 2},
  [14059] = {.lex_state = 436, .external_lex_state = 2},
  [14060] = {.lex_state = 436, .external_lex_state = 2},
  [14061] = {.lex_state = 19, .external_lex_state = 2},
  [14062] = {.lex_state = 436, .external_lex_state = 2},
  [14063] = {.lex_state = 19, .external_lex_state = 2},
  [14064] = {.lex_state = 436, .external_lex_state = 2},
  [14065] = {.lex_state = 19, .external_lex_state = 2},
  [14066] = {.lex_state = 436, .external_lex_state = 2},
  [14067] = {.lex_state = 436, .external_lex_state = 2},
  [14068] = {.lex_state = 436, .external_lex_state = 2},
  [14069] = {.lex_state = 436, .external_lex_state = 2},
  [14070] = {.lex_state = 436, .external_lex_state = 2},
  [14071] = {.lex_state = 436, .external_lex_state = 2},
  [14072] = {.lex_state = 436, .external_lex_state = 2},
  [14073] = {.lex_state = 436, .external_lex_state = 2},
  [14074] = {.lex_state = 436, .external_lex_state = 2},
  [14075] = {.lex_state = 436, .external_lex_state = 2},
  [14076] = {.lex_state = 436, .external_lex_state = 2},
  [14077] = {.lex_state = 436, .external_lex_state = 2},
  [14078] = {.lex_state = 19, .external_lex_state = 2},
  [14079] = {.lex_state = 436, .external_lex_state = 2},
  [14080] = {.lex_state = 436, .external_lex_state = 2},
  [14081] = {.lex_state = 436, .external_lex_state = 2},
  [14082] = {.lex_state = 436, .external_lex_state = 2},
  [14083] = {.lex_state = 19, .external_lex_state = 2},
  [14084] = {.lex_state = 436, .external_lex_state = 2},
  [14085] = {.lex_state = 436, .external_lex_state = 2},
  [14086] = {.lex_state = 436, .external_lex_state = 2},
  [14087] = {.lex_state = 19, .external_lex_state = 2},
  [14088] = {.lex_state = 436, .external_lex_state = 2},
  [14089] = {.lex_state = 19, .external_lex_state = 2},
  [14090] = {.lex_state = 228, .external_lex_state = 2},
  [14091] = {.lex_state = 436, .external_lex_state = 2},
  [14092] = {.lex_state = 436, .external_lex_state = 2},
  [14093] = {.lex_state = 436, .external_lex_state = 2},
  [14094] = {.lex_state = 436, .external_lex_state = 2},
  [14095] = {.lex_state = 19, .external_lex_state = 2},
  [14096] = {.lex_state = 436, .external_lex_state = 2},
  [14097] = {.lex_state = 436, .external_lex_state = 2},
  [14098] = {.lex_state = 436, .external_lex_state = 2},
  [14099] = {.lex_state = 436, .external_lex_state = 2},
  [14100] = {.lex_state = 436, .external_lex_state = 2},
  [14101] = {.lex_state = 436, .external_lex_state = 2},
  [14102] = {.lex_state = 436, .external_lex_state = 2},
  [14103] = {.lex_state = 436, .external_lex_state = 2},
  [14104] = {.lex_state = 436, .external_lex_state = 2},
  [14105] = {.lex_state = 436, .external_lex_state = 2},
  [14106] = {.lex_state = 19, .external_lex_state = 2},
  [14107] = {.lex_state = 19, .external_lex_state = 2},
  [14108] = {.lex_state = 436, .external_lex_state = 2},
  [14109] = {.lex_state = 436, .external_lex_state = 2},
  [14110] = {.lex_state = 19, .external_lex_state = 2},
  [14111] = {.lex_state = 19, .external_lex_state = 2},
  [14112] = {.lex_state = 436, .external_lex_state = 2},
  [14113] = {.lex_state = 436, .external_lex_state = 2},
  [14114] = {.lex_state = 436, .external_lex_state = 2},
  [14115] = {.lex_state = 436, .external_lex_state = 2},
  [14116] = {.lex_state = 436, .external_lex_state = 2},
  [14117] = {.lex_state = 436, .external_lex_state = 2},
  [14118] = {.lex_state = 19, .external_lex_state = 2},
  [14119] = {.lex_state = 436, .external_lex_state = 2},
  [14120] = {.lex_state = 19, .external_lex_state = 2},
  [14121] = {.lex_state = 436, .external_lex_state = 2},
  [14122] = {.lex_state = 436, .external_lex_state = 2},
  [14123] = {.lex_state = 436, .external_lex_state = 2},
  [14124] = {.lex_state = 436, .external_lex_state = 2},
  [14125] = {.lex_state = 436, .external_lex_state = 2},
  [14126] = {.lex_state = 436, .external_lex_state = 2},
  [14127] = {.lex_state = 436, .external_lex_state = 2},
  [14128] = {.lex_state = 436, .external_lex_state = 2},
  [14129] = {.lex_state = 158, .external_lex_state = 2},
  [14130] = {.lex_state = 436, .external_lex_state = 2},
  [14131] = {.lex_state = 19, .external_lex_state = 2},
  [14132] = {.lex_state = 158, .external_lex_state = 2},
  [14133] = {.lex_state = 228, .external_lex_state = 2},
  [14134] = {.lex_state = 436, .external_lex_state = 2},
  [14135] = {.lex_state = 436, .external_lex_state = 2},
  [14136] = {.lex_state = 436, .external_lex_state = 2},
  [14137] = {.lex_state = 436, .external_lex_state = 2},
  [14138] = {.lex_state = 436, .external_lex_state = 2},
  [14139] = {.lex_state = 436, .external_lex_state = 2},
  [14140] = {.lex_state = 436, .external_lex_state = 2},
  [14141] = {.lex_state = 436, .external_lex_state = 2},
  [14142] = {.lex_state = 436, .external_lex_state = 2},
  [14143] = {.lex_state = 436, .external_lex_state = 2},
  [14144] = {.lex_state = 436, .external_lex_state = 2},
  [14145] = {.lex_state = 158, .external_lex_state = 2},
  [14146] = {.lex_state = 436, .external_lex_state = 2},
  [14147] = {.lex_state = 19, .external_lex_state = 2},
  [14148] = {.lex_state = 436, .external_lex_state = 2},
  [14149] = {.lex_state = 158, .external_lex_state = 2},
  [14150] = {.lex_state = 158, .external_lex_state = 2},
  [14151] = {.lex_state = 436, .external_lex_state = 2},
  [14152] = {.lex_state = 158, .external_lex_state = 2},
  [14153] = {.lex_state = 436, .external_lex_state = 2},
  [14154] = {.lex_state = 436, .external_lex_state = 2},
  [14155] = {.lex_state = 436, .external_lex_state = 2},
  [14156] = {.lex_state = 436, .external_lex_state = 2},
  [14157] = {.lex_state = 158, .external_lex_state = 2},
  [14158] = {.lex_state = 436, .external_lex_state = 2},
  [14159] = {.lex_state = 436, .external_lex_state = 2},
  [14160] = {.lex_state = 436, .external_lex_state = 2},
  [14161] = {.lex_state = 19, .external_lex_state = 2},
  [14162] = {.lex_state = 436, .external_lex_state = 2},
  [14163] = {.lex_state = 436, .external_lex_state = 2},
  [14164] = {.lex_state = 436, .external_lex_state = 2},
  [14165] = {.lex_state = 436, .external_lex_state = 2},
  [14166] = {.lex_state = 436, .external_lex_state = 2},
  [14167] = {.lex_state = 436, .external_lex_state = 2},
  [14168] = {.lex_state = 436, .external_lex_state = 2},
  [14169] = {.lex_state = 436, .external_lex_state = 2},
  [14170] = {.lex_state = 436, .external_lex_state = 2},
  [14171] = {.lex_state = 6, .external_lex_state = 2},
  [14172] = {.lex_state = 436, .external_lex_state = 2},
  [14173] = {.lex_state = 436, .external_lex_state = 2},
  [14174] = {.lex_state = 19, .external_lex_state = 2},
  [14175] = {.lex_state = 436, .external_lex_state = 2},
  [14176] = {.lex_state = 436, .external_lex_state = 2},
  [14177] = {.lex_state = 436, .external_lex_state = 2},
  [14178] = {.lex_state = 19, .external_lex_state = 2},
  [14179] = {.lex_state = 19, .external_lex_state = 2},
  [14180] = {.lex_state = 436, .external_lex_state = 2},
  [14181] = {.lex_state = 19, .external_lex_state = 2},
  [14182] = {.lex_state = 19, .external_lex_state = 2},
  [14183] = {.lex_state = 436, .external_lex_state = 2},
  [14184] = {.lex_state = 19, .external_lex_state = 2},
  [14185] = {.lex_state = 436, .external_lex_state = 2},
  [14186] = {.lex_state = 436, .external_lex_state = 2},
  [14187] = {.lex_state = 436, .external_lex_state = 2},
  [14188] = {.lex_state = 19, .external_lex_state = 2},
  [14189] = {.lex_state = 19, .external_lex_state = 2},
  [14190] = {.lex_state = 19, .external_lex_state = 2},
  [14191] = {.lex_state = 436, .external_lex_state = 2},
  [14192] = {.lex_state = 436, .external_lex_state = 2},
  [14193] = {.lex_state = 19, .external_lex_state = 2},
  [14194] = {.lex_state = 436, .external_lex_state = 2},
  [14195] = {.lex_state = 436, .external_lex_state = 2},
  [14196] = {.lex_state = 436, .external_lex_state = 2},
  [14197] = {.lex_state = 436, .external_lex_state = 2},
  [14198] = {.lex_state = 436, .external_lex_state = 2},
  [14199] = {.lex_state = 436, .external_lex_state = 2},
  [14200] = {.lex_state = 436, .external_lex_state = 2},
  [14201] = {.lex_state = 436, .external_lex_state = 2},
  [14202] = {.lex_state = 436, .external_lex_state = 2},
  [14203] = {.lex_state = 436, .external_lex_state = 2},
  [14204] = {.lex_state = 436, .external_lex_state = 2},
  [14205] = {.lex_state = 436, .external_lex_state = 2},
  [14206] = {.lex_state = 436, .external_lex_state = 2},
  [14207] = {.lex_state = 19, .external_lex_state = 2},
  [14208] = {.lex_state = 436, .external_lex_state = 2},
  [14209] = {.lex_state = 19, .external_lex_state = 2},
  [14210] = {.lex_state = 436, .external_lex_state = 2},
  [14211] = {.lex_state = 436, .external_lex_state = 2},
  [14212] = {.lex_state = 436, .external_lex_state = 2},
  [14213] = {.lex_state = 19, .external_lex_state = 2},
  [14214] = {.lex_state = 436, .external_lex_state = 2},
  [14215] = {.lex_state = 436, .external_lex_state = 2},
  [14216] = {.lex_state = 436, .external_lex_state = 2},
  [14217] = {.lex_state = 436, .external_lex_state = 2},
  [14218] = {.lex_state = 436, .external_lex_state = 2},
  [14219] = {.lex_state = 436, .external_lex_state = 2},
  [14220] = {.lex_state = 436, .external_lex_state = 2},
  [14221] = {.lex_state = 206, .external_lex_state = 2},
  [14222] = {.lex_state = 19, .external_lex_state = 2},
  [14223] = {.lex_state = 436, .external_lex_state = 2},
  [14224] = {.lex_state = 436, .external_lex_state = 2},
  [14225] = {.lex_state = 436, .external_lex_state = 2},
  [14226] = {.lex_state = 19, .external_lex_state = 2},
  [14227] = {.lex_state = 436, .external_lex_state = 2},
  [14228] = {.lex_state = 436, .external_lex_state = 2},
  [14229] = {.lex_state = 436, .external_lex_state = 2},
  [14230] = {.lex_state = 436, .external_lex_state = 2},
  [14231] = {.lex_state = 436, .external_lex_state = 2},
  [14232] = {.lex_state = 436, .external_lex_state = 2},
  [14233] = {.lex_state = 436, .external_lex_state = 2},
  [14234] = {.lex_state = 436, .external_lex_state = 2},
  [14235] = {.lex_state = 436, .external_lex_state = 2},
  [14236] = {.lex_state = 436, .external_lex_state = 2},
  [14237] = {.lex_state = 436, .external_lex_state = 2},
  [14238] = {.lex_state = 436, .external_lex_state = 2},
  [14239] = {.lex_state = 436, .external_lex_state = 2},
  [14240] = {.lex_state = 436, .external_lex_state = 2},
  [14241] = {.lex_state = 436, .external_lex_state = 2},
  [14242] = {.lex_state = 436, .external_lex_state = 2},
  [14243] = {.lex_state = 436, .external_lex_state = 2},
  [14244] = {.lex_state = 436, .external_lex_state = 2},
  [14245] = {.lex_state = 436, .external_lex_state = 2},
  [14246] = {.lex_state = 436, .external_lex_state = 2},
  [14247] = {.lex_state = 206, .external_lex_state = 2},
  [14248] = {.lex_state = 436, .external_lex_state = 2},
  [14249] = {.lex_state = 436, .external_lex_state = 2},
  [14250] = {.lex_state = 19, .external_lex_state = 2},
  [14251] = {.lex_state = 436, .external_lex_state = 2},
  [14252] = {.lex_state = 436, .external_lex_state = 2},
  [14253] = {.lex_state = 436, .external_lex_state = 2},
  [14254] = {.lex_state = 436, .external_lex_state = 2},
  [14255] = {.lex_state = 436, .external_lex_state = 2},
  [14256] = {.lex_state = 436, .external_lex_state = 2},
  [14257] = {.lex_state = 436, .external_lex_state = 2},
  [14258] = {.lex_state = 19, .external_lex_state = 2},
  [14259] = {.lex_state = 19, .external_lex_state = 2},
  [14260] = {.lex_state = 436, .external_lex_state = 2},
  [14261] = {.lex_state = 19, .external_lex_state = 2},
  [14262] = {.lex_state = 436, .external_lex_state = 2},
  [14263] = {.lex_state = 436, .external_lex_state = 2},
  [14264] = {.lex_state = 436, .external_lex_state = 2},
  [14265] = {.lex_state = 436, .external_lex_state = 2},
  [14266] = {.lex_state = 436, .external_lex_state = 2},
  [14267] = {.lex_state = 19, .external_lex_state = 2},
  [14268] = {.lex_state = 436, .external_lex_state = 2},
  [14269] = {.lex_state = 19, .external_lex_state = 2},
  [14270] = {.lex_state = 436, .external_lex_state = 2},
  [14271] = {.lex_state = 436, .external_lex_state = 2},
  [14272] = {.lex_state = 436, .external_lex_state = 2},
  [14273] = {.lex_state = 436, .external_lex_state = 2},
  [14274] = {.lex_state = 436, .external_lex_state = 2},
  [14275] = {.lex_state = 436, .external_lex_state = 2},
  [14276] = {.lex_state = 436, .external_lex_state = 2},
  [14277] = {.lex_state = 436, .external_lex_state = 2},
  [14278] = {.lex_state = 19, .external_lex_state = 2},
  [14279] = {.lex_state = 436, .external_lex_state = 2},
  [14280] = {.lex_state = 436, .external_lex_state = 2},
  [14281] = {.lex_state = 206, .external_lex_state = 2},
  [14282] = {.lex_state = 436, .external_lex_state = 2},
  [14283] = {.lex_state = 19, .external_lex_state = 2},
  [14284] = {.lex_state = 436, .external_lex_state = 2},
  [14285] = {.lex_state = 19, .external_lex_state = 2},
  [14286] = {.lex_state = 436, .external_lex_state = 2},
  [14287] = {.lex_state = 436, .external_lex_state = 2},
  [14288] = {.lex_state = 436, .external_lex_state = 2},
  [14289] = {.lex_state = 436, .external_lex_state = 2},
  [14290] = {.lex_state = 436, .external_lex_state = 2},
  [14291] = {.lex_state = 436, .external_lex_state = 2},
  [14292] = {.lex_state = 436, .external_lex_state = 2},
  [14293] = {.lex_state = 436, .external_lex_state = 2},
  [14294] = {.lex_state = 436, .external_lex_state = 2},
  [14295] = {.lex_state = 206, .external_lex_state = 2},
  [14296] = {.lex_state = 19, .external_lex_state = 2},
  [14297] = {.lex_state = 19, .external_lex_state = 2},
  [14298] = {.lex_state = 436, .external_lex_state = 2},
  [14299] = {.lex_state = 436, .external_lex_state = 2},
  [14300] = {.lex_state = 436, .external_lex_state = 2},
  [14301] = {.lex_state = 436, .external_lex_state = 2},
  [14302] = {.lex_state = 436, .external_lex_state = 2},
  [14303] = {.lex_state = 436, .external_lex_state = 2},
  [14304] = {.lex_state = 436, .external_lex_state = 2},
  [14305] = {.lex_state = 19, .external_lex_state = 2},
  [14306] = {.lex_state = 436, .external_lex_state = 2},
  [14307] = {.lex_state = 436, .external_lex_state = 2},
  [14308] = {.lex_state = 436, .external_lex_state = 2},
  [14309] = {.lex_state = 436, .external_lex_state = 2},
  [14310] = {.lex_state = 436, .external_lex_state = 2},
  [14311] = {.lex_state = 436, .external_lex_state = 2},
  [14312] = {.lex_state = 19, .external_lex_state = 2},
  [14313] = {.lex_state = 436, .external_lex_state = 2},
  [14314] = {.lex_state = 436, .external_lex_state = 2},
  [14315] = {.lex_state = 161, .external_lex_state = 2},
  [14316] = {.lex_state = 436, .external_lex_state = 2},
  [14317] = {.lex_state = 436, .external_lex_state = 2},
  [14318] = {.lex_state = 436, .external_lex_state = 2},
  [14319] = {.lex_state = 436, .external_lex_state = 2},
  [14320] = {.lex_state = 165, .external_lex_state = 2},
  [14321] = {.lex_state = 436, .external_lex_state = 2},
  [14322] = {.lex_state = 436, .external_lex_state = 2},
  [14323] = {.lex_state = 436, .external_lex_state = 2},
  [14324] = {.lex_state = 436, .external_lex_state = 2},
  [14325] = {.lex_state = 436, .external_lex_state = 2},
  [14326] = {.lex_state = 165, .external_lex_state = 2},
  [14327] = {.lex_state = 436, .external_lex_state = 2},
  [14328] = {.lex_state = 436, .external_lex_state = 2},
  [14329] = {.lex_state = 437, .external_lex_state = 2},
  [14330] = {.lex_state = 437, .external_lex_state = 2},
  [14331] = {.lex_state = 436, .external_lex_state = 2},
  [14332] = {.lex_state = 436, .external_lex_state = 2},
  [14333] = {.lex_state = 436, .external_lex_state = 2},
  [14334] = {.lex_state = 436, .external_lex_state = 2},
  [14335] = {.lex_state = 206, .external_lex_state = 2},
  [14336] = {.lex_state = 436, .external_lex_state = 2},
  [14337] = {.lex_state = 436, .external_lex_state = 2},
  [14338] = {.lex_state = 206, .external_lex_state = 2},
  [14339] = {.lex_state = 206, .external_lex_state = 2},
  [14340] = {.lex_state = 436, .external_lex_state = 2},
  [14341] = {.lex_state = 436, .external_lex_state = 2},
  [14342] = {.lex_state = 436, .external_lex_state = 2},
  [14343] = {.lex_state = 436, .external_lex_state = 2},
  [14344] = {.lex_state = 165, .external_lex_state = 2},
  [14345] = {.lex_state = 19, .external_lex_state = 2},
  [14346] = {.lex_state = 206, .external_lex_state = 2},
  [14347] = {.lex_state = 206, .external_lex_state = 2},
  [14348] = {.lex_state = 206, .external_lex_state = 2},
  [14349] = {.lex_state = 19, .external_lex_state = 2},
  [14350] = {.lex_state = 436, .external_lex_state = 2},
  [14351] = {.lex_state = 436, .external_lex_state = 2},
  [14352] = {.lex_state = 436, .external_lex_state = 2},
  [14353] = {.lex_state = 436, .external_lex_state = 2},
  [14354] = {.lex_state = 436, .external_lex_state = 2},
  [14355] = {.lex_state = 436, .external_lex_state = 2},
  [14356] = {.lex_state = 436, .external_lex_state = 2},
  [14357] = {.lex_state = 19, .external_lex_state = 2},
  [14358] = {.lex_state = 436, .external_lex_state = 2},
  [14359] = {.lex_state = 240, .external_lex_state = 2},
  [14360] = {.lex_state = 19, .external_lex_state = 2},
  [14361] = {.lex_state = 436, .external_lex_state = 2},
  [14362] = {.lex_state = 240, .external_lex_state = 2},
  [14363] = {.lex_state = 436, .external_lex_state = 2},
  [14364] = {.lex_state = 206, .external_lex_state = 2},
  [14365] = {.lex_state = 206, .external_lex_state = 2},
  [14366] = {.lex_state = 206, .external_lex_state = 2},
  [14367] = {.lex_state = 228, .external_lex_state = 2},
  [14368] = {.lex_state = 436, .external_lex_state = 2},
  [14369] = {.lex_state = 436, .external_lex_state = 2},
  [14370] = {.lex_state = 436, .external_lex_state = 2},
  [14371] = {.lex_state = 19, .external_lex_state = 2},
  [14372] = {.lex_state = 436, .external_lex_state = 2},
  [14373] = {.lex_state = 436, .external_lex_state = 2},
  [14374] = {.lex_state = 436, .external_lex_state = 2},
  [14375] = {.lex_state = 436, .external_lex_state = 2},
  [14376] = {.lex_state = 436, .external_lex_state = 2},
  [14377] = {.lex_state = 436, .external_lex_state = 2},
  [14378] = {.lex_state = 436, .external_lex_state = 2},
  [14379] = {.lex_state = 436, .external_lex_state = 2},
  [14380] = {.lex_state = 436, .external_lex_state = 2},
  [14381] = {.lex_state = 436, .external_lex_state = 2},
  [14382] = {.lex_state = 436, .external_lex_state = 2},
  [14383] = {.lex_state = 436, .external_lex_state = 2},
  [14384] = {.lex_state = 436, .external_lex_state = 2},
  [14385] = {.lex_state = 436, .external_lex_state = 2},
  [14386] = {.lex_state = 436, .external_lex_state = 2},
  [14387] = {.lex_state = 19, .external_lex_state = 2},
  [14388] = {.lex_state = 436, .external_lex_state = 2},
  [14389] = {.lex_state = 436, .external_lex_state = 2},
  [14390] = {.lex_state = 206, .external_lex_state = 2},
  [14391] = {.lex_state = 206, .external_lex_state = 2},
  [14392] = {.lex_state = 206, .external_lex_state = 2},
  [14393] = {.lex_state = 436, .external_lex_state = 2},
  [14394] = {.lex_state = 161, .external_lex_state = 2},
  [14395] = {.lex_state = 436, .external_lex_state = 2},
  [14396] = {.lex_state = 437, .external_lex_state = 2},
  [14397] = {.lex_state = 436, .external_lex_state = 2},
  [14398] = {.lex_state = 436, .external_lex_state = 2},
  [14399] = {.lex_state = 436, .external_lex_state = 2},
  [14400] = {.lex_state = 19, .external_lex_state = 2},
  [14401] = {.lex_state = 436, .external_lex_state = 2},
  [14402] = {.lex_state = 206, .external_lex_state = 2},
  [14403] = {.lex_state = 436, .external_lex_state = 2},
  [14404] = {.lex_state = 206, .external_lex_state = 2},
  [14405] = {.lex_state = 436, .external_lex_state = 2},
  [14406] = {.lex_state = 206, .external_lex_state = 2},
  [14407] = {.lex_state = 436, .external_lex_state = 2},
  [14408] = {.lex_state = 436, .external_lex_state = 2},
  [14409] = {.lex_state = 437, .external_lex_state = 2},
  [14410] = {.lex_state = 436, .external_lex_state = 2},
  [14411] = {.lex_state = 436, .external_lex_state = 2},
  [14412] = {.lex_state = 436, .external_lex_state = 2},
  [14413] = {.lex_state = 436, .external_lex_state = 2},
  [14414] = {.lex_state = 436, .external_lex_state = 2},
  [14415] = {.lex_state = 19, .external_lex_state = 2},
  [14416] = {.lex_state = 436, .external_lex_state = 2},
  [14417] = {.lex_state = 436, .external_lex_state = 2},
  [14418] = {.lex_state = 161, .external_lex_state = 2},
  [14419] = {.lex_state = 165, .external_lex_state = 2},
  [14420] = {.lex_state = 436, .external_lex_state = 2},
  [14421] = {.lex_state = 436, .external_lex_state = 2},
  [14422] = {.lex_state = 165, .external_lex_state = 2},
  [14423] = {.lex_state = 19, .external_lex_state = 2},
  [14424] = {.lex_state = 436, .external_lex_state = 2},
  [14425] = {.lex_state = 19, .external_lex_state = 2},
  [14426] = {.lex_state = 436, .external_lex_state = 2},
  [14427] = {.lex_state = 165, .external_lex_state = 2},
  [14428] = {.lex_state = 436, .external_lex_state = 2},
  [14429] = {.lex_state = 436, .external_lex_state = 2},
  [14430] = {.lex_state = 436, .external_lex_state = 2},
  [14431] = {.lex_state = 436, .external_lex_state = 2},
  [14432] = {.lex_state = 436, .external_lex_state = 2},
  [14433] = {.lex_state = 436, .external_lex_state = 2},
  [14434] = {.lex_state = 436, .external_lex_state = 2},
  [14435] = {.lex_state = 165, .external_lex_state = 2},
  [14436] = {.lex_state = 19, .external_lex_state = 2},
  [14437] = {.lex_state = 206, .external_lex_state = 2},
  [14438] = {.lex_state = 436, .external_lex_state = 2},
  [14439] = {.lex_state = 165, .external_lex_state = 2},
  [14440] = {.lex_state = 206, .external_lex_state = 2},
  [14441] = {.lex_state = 206, .external_lex_state = 2},
  [14442] = {.lex_state = 436, .external_lex_state = 2},
  [14443] = {.lex_state = 436, .external_lex_state = 2},
  [14444] = {.lex_state = 165, .external_lex_state = 2},
  [14445] = {.lex_state = 436, .external_lex_state = 2},
  [14446] = {.lex_state = 436, .external_lex_state = 2},
  [14447] = {.lex_state = 436, .external_lex_state = 2},
  [14448] = {.lex_state = 436, .external_lex_state = 2},
  [14449] = {.lex_state = 436, .external_lex_state = 2},
  [14450] = {.lex_state = 436, .external_lex_state = 2},
  [14451] = {.lex_state = 165, .external_lex_state = 2},
  [14452] = {.lex_state = 19, .external_lex_state = 2},
  [14453] = {.lex_state = 436, .external_lex_state = 2},
  [14454] = {.lex_state = 436, .external_lex_state = 2},
  [14455] = {.lex_state = 437, .external_lex_state = 2},
  [14456] = {.lex_state = 206, .external_lex_state = 2},
  [14457] = {.lex_state = 165, .external_lex_state = 2},
  [14458] = {.lex_state = 19, .external_lex_state = 2},
  [14459] = {.lex_state = 206, .external_lex_state = 2},
  [14460] = {.lex_state = 206, .external_lex_state = 2},
  [14461] = {.lex_state = 161, .external_lex_state = 2},
  [14462] = {.lex_state = 436, .external_lex_state = 2},
  [14463] = {.lex_state = 436, .external_lex_state = 2},
  [14464] = {.lex_state = 165, .external_lex_state = 2},
  [14465] = {.lex_state = 165, .external_lex_state = 2},
  [14466] = {.lex_state = 436, .external_lex_state = 2},
  [14467] = {.lex_state = 436, .external_lex_state = 2},
  [14468] = {.lex_state = 436, .external_lex_state = 2},
  [14469] = {.lex_state = 165, .external_lex_state = 2},
  [14470] = {.lex_state = 436, .external_lex_state = 2},
  [14471] = {.lex_state = 436, .external_lex_state = 2},
  [14472] = {.lex_state = 19, .external_lex_state = 2},
  [14473] = {.lex_state = 436, .external_lex_state = 2},
  [14474] = {.lex_state = 436, .external_lex_state = 2},
  [14475] = {.lex_state = 165, .external_lex_state = 2},
  [14476] = {.lex_state = 19, .external_lex_state = 2},
  [14477] = {.lex_state = 436, .external_lex_state = 2},
  [14478] = {.lex_state = 436, .external_lex_state = 2},
  [14479] = {.lex_state = 436, .external_lex_state = 2},
  [14480] = {.lex_state = 437, .external_lex_state = 2},
  [14481] = {.lex_state = 436, .external_lex_state = 2},
  [14482] = {.lex_state = 436, .external_lex_state = 2},
  [14483] = {.lex_state = 436, .external_lex_state = 2},
  [14484] = {.lex_state = 436, .external_lex_state = 2},
  [14485] = {.lex_state = 436, .external_lex_state = 2},
  [14486] = {.lex_state = 436, .external_lex_state = 2},
  [14487] = {.lex_state = 436, .external_lex_state = 2},
  [14488] = {.lex_state = 19, .external_lex_state = 2},
  [14489] = {.lex_state = 436, .external_lex_state = 2},
  [14490] = {.lex_state = 165, .external_lex_state = 2},
  [14491] = {.lex_state = 206, .external_lex_state = 2},
  [14492] = {.lex_state = 19, .external_lex_state = 2},
  [14493] = {.lex_state = 436, .external_lex_state = 2},
  [14494] = {.lex_state = 206, .external_lex_state = 2},
  [14495] = {.lex_state = 206, .external_lex_state = 2},
  [14496] = {.lex_state = 436, .external_lex_state = 2},
  [14497] = {.lex_state = 161, .external_lex_state = 2},
  [14498] = {.lex_state = 165, .external_lex_state = 2},
  [14499] = {.lex_state = 436, .external_lex_state = 2},
  [14500] = {.lex_state = 436, .external_lex_state = 2},
  [14501] = {.lex_state = 436, .external_lex_state = 2},
  [14502] = {.lex_state = 19, .external_lex_state = 2},
  [14503] = {.lex_state = 436, .external_lex_state = 2},
  [14504] = {.lex_state = 264, .external_lex_state = 8},
  [14505] = {.lex_state = 264, .external_lex_state = 8},
  [14506] = {.lex_state = 436, .external_lex_state = 2},
  [14507] = {.lex_state = 436, .external_lex_state = 2},
  [14508] = {.lex_state = 436, .external_lex_state = 2},
  [14509] = {.lex_state = 436, .external_lex_state = 2},
  [14510] = {.lex_state = 19, .external_lex_state = 2},
  [14511] = {.lex_state = 436, .external_lex_state = 2},
  [14512] = {.lex_state = 436, .external_lex_state = 2},
  [14513] = {.lex_state = 436, .external_lex_state = 2},
  [14514] = {.lex_state = 264, .external_lex_state = 8},
  [14515] = {.lex_state = 436, .external_lex_state = 2},
  [14516] = {.lex_state = 436, .external_lex_state = 2},
  [14517] = {.lex_state = 436, .external_lex_state = 2},
  [14518] = {.lex_state = 436, .external_lex_state = 2},
  [14519] = {.lex_state = 436, .external_lex_state = 2},
  [14520] = {.lex_state = 161, .external_lex_state = 2},
  [14521] = {.lex_state = 436, .external_lex_state = 2},
  [14522] = {.lex_state = 436, .external_lex_state = 2},
  [14523] = {.lex_state = 436, .external_lex_state = 2},
  [14524] = {.lex_state = 436, .external_lex_state = 2},
  [14525] = {.lex_state = 436, .external_lex_state = 2},
  [14526] = {.lex_state = 436, .external_lex_state = 2},
  [14527] = {.lex_state = 436, .external_lex_state = 2},
  [14528] = {.lex_state = 436, .external_lex_state = 2},
  [14529] = {.lex_state = 206, .external_lex_state = 2},
  [14530] = {.lex_state = 436, .external_lex_state = 2},
  [14531] = {.lex_state = 206, .external_lex_state = 2},
  [14532] = {.lex_state = 206, .external_lex_state = 2},
  [14533] = {.lex_state = 19, .external_lex_state = 2},
  [14534] = {.lex_state = 436, .external_lex_state = 2},
  [14535] = {.lex_state = 161, .external_lex_state = 2},
  [14536] = {.lex_state = 436, .external_lex_state = 2},
  [14537] = {.lex_state = 436, .external_lex_state = 2},
  [14538] = {.lex_state = 436, .external_lex_state = 2},
  [14539] = {.lex_state = 19, .external_lex_state = 2},
  [14540] = {.lex_state = 436, .external_lex_state = 2},
  [14541] = {.lex_state = 436, .external_lex_state = 2},
  [14542] = {.lex_state = 436, .external_lex_state = 2},
  [14543] = {.lex_state = 436, .external_lex_state = 2},
  [14544] = {.lex_state = 161, .external_lex_state = 2},
  [14545] = {.lex_state = 436, .external_lex_state = 2},
  [14546] = {.lex_state = 436, .external_lex_state = 2},
  [14547] = {.lex_state = 436, .external_lex_state = 2},
  [14548] = {.lex_state = 436, .external_lex_state = 2},
  [14549] = {.lex_state = 436, .external_lex_state = 2},
  [14550] = {.lex_state = 436, .external_lex_state = 2},
  [14551] = {.lex_state = 436, .external_lex_state = 2},
  [14552] = {.lex_state = 161, .external_lex_state = 2},
  [14553] = {.lex_state = 436, .external_lex_state = 2},
  [14554] = {.lex_state = 436, .external_lex_state = 2},
  [14555] = {.lex_state = 436, .external_lex_state = 2},
  [14556] = {.lex_state = 436, .external_lex_state = 2},
  [14557] = {.lex_state = 436, .external_lex_state = 2},
  [14558] = {.lex_state = 436, .external_lex_state = 2},
  [14559] = {.lex_state = 436, .external_lex_state = 2},
  [14560] = {.lex_state = 436, .external_lex_state = 2},
  [14561] = {.lex_state = 206, .external_lex_state = 2},
  [14562] = {.lex_state = 161, .external_lex_state = 2},
  [14563] = {.lex_state = 19, .external_lex_state = 2},
  [14564] = {.lex_state = 436, .external_lex_state = 2},
  [14565] = {.lex_state = 19, .external_lex_state = 2},
  [14566] = {.lex_state = 19, .external_lex_state = 2},
  [14567] = {.lex_state = 436, .external_lex_state = 2},
  [14568] = {.lex_state = 206, .external_lex_state = 2},
  [14569] = {.lex_state = 436, .external_lex_state = 2},
  [14570] = {.lex_state = 19, .external_lex_state = 2},
  [14571] = {.lex_state = 161, .external_lex_state = 2},
  [14572] = {.lex_state = 206, .external_lex_state = 2},
  [14573] = {.lex_state = 206, .external_lex_state = 2},
  [14574] = {.lex_state = 436, .external_lex_state = 2},
  [14575] = {.lex_state = 161, .external_lex_state = 2},
  [14576] = {.lex_state = 161, .external_lex_state = 2},
  [14577] = {.lex_state = 436, .external_lex_state = 2},
  [14578] = {.lex_state = 436, .external_lex_state = 2},
  [14579] = {.lex_state = 436, .external_lex_state = 2},
  [14580] = {.lex_state = 161, .external_lex_state = 2},
  [14581] = {.lex_state = 436, .external_lex_state = 2},
  [14582] = {.lex_state = 436, .external_lex_state = 2},
  [14583] = {.lex_state = 19, .external_lex_state = 2},
  [14584] = {.lex_state = 436, .external_lex_state = 2},
  [14585] = {.lex_state = 436, .external_lex_state = 2},
  [14586] = {.lex_state = 19, .external_lex_state = 2},
  [14587] = {.lex_state = 436, .external_lex_state = 2},
  [14588] = {.lex_state = 19, .external_lex_state = 2},
  [14589] = {.lex_state = 436, .external_lex_state = 2},
  [14590] = {.lex_state = 436, .external_lex_state = 2},
  [14591] = {.lex_state = 436, .external_lex_state = 2},
  [14592] = {.lex_state = 436, .external_lex_state = 2},
  [14593] = {.lex_state = 436, .external_lex_state = 2},
  [14594] = {.lex_state = 161, .external_lex_state = 2},
  [14595] = {.lex_state = 436, .external_lex_state = 2},
  [14596] = {.lex_state = 436, .external_lex_state = 2},
  [14597] = {.lex_state = 436, .external_lex_state = 2},
  [14598] = {.lex_state = 19, .external_lex_state = 2},
  [14599] = {.lex_state = 19, .external_lex_state = 2},
  [14600] = {.lex_state = 436, .external_lex_state = 2},
  [14601] = {.lex_state = 436, .external_lex_state = 2},
  [14602] = {.lex_state = 19, .external_lex_state = 2},
  [14603] = {.lex_state = 436, .external_lex_state = 2},
  [14604] = {.lex_state = 161, .external_lex_state = 2},
  [14605] = {.lex_state = 161, .external_lex_state = 2},
  [14606] = {.lex_state = 19, .external_lex_state = 2},
  [14607] = {.lex_state = 436, .external_lex_state = 2},
  [14608] = {.lex_state = 436, .external_lex_state = 2},
  [14609] = {.lex_state = 436, .external_lex_state = 2},
  [14610] = {.lex_state = 436, .external_lex_state = 2},
  [14611] = {.lex_state = 436, .external_lex_state = 2},
  [14612] = {.lex_state = 436, .external_lex_state = 2},
  [14613] = {.lex_state = 436, .external_lex_state = 2},
  [14614] = {.lex_state = 436, .external_lex_state = 2},
  [14615] = {.lex_state = 436, .external_lex_state = 2},
  [14616] = {.lex_state = 436, .external_lex_state = 2},
  [14617] = {.lex_state = 161, .external_lex_state = 2},
  [14618] = {.lex_state = 436, .external_lex_state = 2},
  [14619] = {.lex_state = 436, .external_lex_state = 2},
  [14620] = {.lex_state = 436, .external_lex_state = 2},
  [14621] = {.lex_state = 436, .external_lex_state = 2},
  [14622] = {.lex_state = 436, .external_lex_state = 2},
  [14623] = {.lex_state = 161, .external_lex_state = 2},
  [14624] = {.lex_state = 436, .external_lex_state = 2},
  [14625] = {.lex_state = 436, .external_lex_state = 2},
  [14626] = {.lex_state = 206, .external_lex_state = 2},
  [14627] = {.lex_state = 436, .external_lex_state = 2},
  [14628] = {.lex_state = 436, .external_lex_state = 2},
  [14629] = {.lex_state = 437, .external_lex_state = 2},
  [14630] = {.lex_state = 206, .external_lex_state = 2},
  [14631] = {.lex_state = 206, .external_lex_state = 2},
  [14632] = {.lex_state = 436, .external_lex_state = 2},
  [14633] = {.lex_state = 436, .external_lex_state = 2},
  [14634] = {.lex_state = 436, .external_lex_state = 2},
  [14635] = {.lex_state = 436, .external_lex_state = 2},
  [14636] = {.lex_state = 206, .external_lex_state = 2},
  [14637] = {.lex_state = 19, .external_lex_state = 2},
  [14638] = {.lex_state = 436, .external_lex_state = 2},
  [14639] = {.lex_state = 19, .external_lex_state = 2},
  [14640] = {.lex_state = 436, .external_lex_state = 2},
  [14641] = {.lex_state = 161, .external_lex_state = 2},
  [14642] = {.lex_state = 436, .external_lex_state = 2},
  [14643] = {.lex_state = 206, .external_lex_state = 2},
  [14644] = {.lex_state = 19, .external_lex_state = 2},
  [14645] = {.lex_state = 436, .external_lex_state = 2},
  [14646] = {.lex_state = 161, .external_lex_state = 2},
  [14647] = {.lex_state = 161, .external_lex_state = 2},
  [14648] = {.lex_state = 436, .external_lex_state = 2},
  [14649] = {.lex_state = 436, .external_lex_state = 2},
  [14650] = {.lex_state = 436, .external_lex_state = 2},
  [14651] = {.lex_state = 436, .external_lex_state = 2},
  [14652] = {.lex_state = 436, .external_lex_state = 2},
  [14653] = {.lex_state = 161, .external_lex_state = 2},
  [14654] = {.lex_state = 436, .external_lex_state = 2},
  [14655] = {.lex_state = 436, .external_lex_state = 2},
  [14656] = {.lex_state = 19, .external_lex_state = 2},
  [14657] = {.lex_state = 161, .external_lex_state = 2},
  [14658] = {.lex_state = 161, .external_lex_state = 2},
  [14659] = {.lex_state = 161, .external_lex_state = 2},
  [14660] = {.lex_state = 206, .external_lex_state = 2},
  [14661] = {.lex_state = 436, .external_lex_state = 2},
  [14662] = {.lex_state = 436, .external_lex_state = 2},
  [14663] = {.lex_state = 436, .external_lex_state = 2},
  [14664] = {.lex_state = 436, .external_lex_state = 2},
  [14665] = {.lex_state = 436, .external_lex_state = 2},
  [14666] = {.lex_state = 436, .external_lex_state = 2},
  [14667] = {.lex_state = 19, .external_lex_state = 2},
  [14668] = {.lex_state = 19, .external_lex_state = 2},
  [14669] = {.lex_state = 19, .external_lex_state = 2},
  [14670] = {.lex_state = 436, .external_lex_state = 2},
  [14671] = {.lex_state = 161, .external_lex_state = 2},
  [14672] = {.lex_state = 19, .external_lex_state = 2},
  [14673] = {.lex_state = 436, .external_lex_state = 2},
  [14674] = {.lex_state = 436, .external_lex_state = 2},
  [14675] = {.lex_state = 436, .external_lex_state = 2},
  [14676] = {.lex_state = 436, .external_lex_state = 2},
  [14677] = {.lex_state = 161, .external_lex_state = 2},
  [14678] = {.lex_state = 161, .external_lex_state = 2},
  [14679] = {.lex_state = 436, .external_lex_state = 2},
  [14680] = {.lex_state = 436, .external_lex_state = 2},
  [14681] = {.lex_state = 436, .external_lex_state = 2},
  [14682] = {.lex_state = 436, .external_lex_state = 2},
  [14683] = {.lex_state = 436, .external_lex_state = 2},
  [14684] = {.lex_state = 19, .external_lex_state = 2},
  [14685] = {.lex_state = 436, .external_lex_state = 2},
  [14686] = {.lex_state = 161, .external_lex_state = 2},
  [14687] = {.lex_state = 436, .external_lex_state = 2},
  [14688] = {.lex_state = 19, .external_lex_state = 2},
  [14689] = {.lex_state = 161, .external_lex_state = 2},
  [14690] = {.lex_state = 436, .external_lex_state = 2},
  [14691] = {.lex_state = 436, .external_lex_state = 2},
  [14692] = {.lex_state = 436, .external_lex_state = 2},
  [14693] = {.lex_state = 436, .external_lex_state = 2},
  [14694] = {.lex_state = 436, .external_lex_state = 2},
  [14695] = {.lex_state = 436, .external_lex_state = 2},
  [14696] = {.lex_state = 436, .external_lex_state = 2},
  [14697] = {.lex_state = 436, .external_lex_state = 2},
  [14698] = {.lex_state = 161, .external_lex_state = 2},
  [14699] = {.lex_state = 19, .external_lex_state = 2},
  [14700] = {.lex_state = 436, .external_lex_state = 2},
  [14701] = {.lex_state = 436, .external_lex_state = 2},
  [14702] = {.lex_state = 161, .external_lex_state = 2},
  [14703] = {.lex_state = 437, .external_lex_state = 2},
  [14704] = {.lex_state = 437, .external_lex_state = 2},
  [14705] = {.lex_state = 436, .external_lex_state = 2},
  [14706] = {.lex_state = 436, .external_lex_state = 2},
  [14707] = {.lex_state = 436, .external_lex_state = 2},
  [14708] = {.lex_state = 19, .external_lex_state = 2},
  [14709] = {.lex_state = 436, .external_lex_state = 2},
  [14710] = {.lex_state = 436, .external_lex_state = 2},
  [14711] = {.lex_state = 436, .external_lex_state = 2},
  [14712] = {.lex_state = 161, .external_lex_state = 2},
  [14713] = {.lex_state = 436, .external_lex_state = 2},
  [14714] = {.lex_state = 436, .external_lex_state = 2},
  [14715] = {.lex_state = 161, .external_lex_state = 2},
  [14716] = {.lex_state = 436, .external_lex_state = 2},
  [14717] = {.lex_state = 161, .external_lex_state = 2},
  [14718] = {.lex_state = 161, .external_lex_state = 2},
  [14719] = {.lex_state = 436, .external_lex_state = 2},
  [14720] = {.lex_state = 436, .external_lex_state = 2},
  [14721] = {.lex_state = 436, .external_lex_state = 2},
  [14722] = {.lex_state = 436, .external_lex_state = 2},
  [14723] = {.lex_state = 19, .external_lex_state = 2},
  [14724] = {.lex_state = 206, .external_lex_state = 2},
  [14725] = {.lex_state = 436, .external_lex_state = 2},
  [14726] = {.lex_state = 436, .external_lex_state = 2},
  [14727] = {.lex_state = 436, .external_lex_state = 2},
  [14728] = {.lex_state = 436, .external_lex_state = 2},
  [14729] = {.lex_state = 436, .external_lex_state = 2},
  [14730] = {.lex_state = 19, .external_lex_state = 2},
  [14731] = {.lex_state = 206, .external_lex_state = 2},
  [14732] = {.lex_state = 436, .external_lex_state = 2},
  [14733] = {.lex_state = 19, .external_lex_state = 2},
  [14734] = {.lex_state = 206, .external_lex_state = 2},
  [14735] = {.lex_state = 19, .external_lex_state = 2},
  [14736] = {.lex_state = 436, .external_lex_state = 2},
  [14737] = {.lex_state = 436, .external_lex_state = 2},
  [14738] = {.lex_state = 161, .external_lex_state = 2},
  [14739] = {.lex_state = 19, .external_lex_state = 2},
  [14740] = {.lex_state = 436, .external_lex_state = 2},
  [14741] = {.lex_state = 436, .external_lex_state = 2},
  [14742] = {.lex_state = 436, .external_lex_state = 2},
  [14743] = {.lex_state = 436, .external_lex_state = 2},
  [14744] = {.lex_state = 161, .external_lex_state = 2},
  [14745] = {.lex_state = 161, .external_lex_state = 2},
  [14746] = {.lex_state = 436, .external_lex_state = 2},
  [14747] = {.lex_state = 436, .external_lex_state = 2},
  [14748] = {.lex_state = 436, .external_lex_state = 2},
  [14749] = {.lex_state = 206, .external_lex_state = 2},
  [14750] = {.lex_state = 436, .external_lex_state = 2},
  [14751] = {.lex_state = 436, .external_lex_state = 2},
  [14752] = {.lex_state = 436, .external_lex_state = 2},
  [14753] = {.lex_state = 436, .external_lex_state = 2},
  [14754] = {.lex_state = 436, .external_lex_state = 2},
  [14755] = {.lex_state = 436, .external_lex_state = 2},
  [14756] = {.lex_state = 19, .external_lex_state = 2},
  [14757] = {.lex_state = 161, .external_lex_state = 2},
  [14758] = {.lex_state = 436, .external_lex_state = 2},
  [14759] = {.lex_state = 436, .external_lex_state = 2},
  [14760] = {.lex_state = 436, .external_lex_state = 2},
  [14761] = {.lex_state = 436, .external_lex_state = 2},
  [14762] = {.lex_state = 436, .external_lex_state = 2},
  [14763] = {.lex_state = 436, .external_lex_state = 2},
  [14764] = {.lex_state = 436, .external_lex_state = 2},
  [14765] = {.lex_state = 436, .external_lex_state = 2},
  [14766] = {.lex_state = 19, .external_lex_state = 2},
  [14767] = {.lex_state = 19, .external_lex_state = 2},
  [14768] = {.lex_state = 436, .external_lex_state = 2},
  [14769] = {.lex_state = 436, .external_lex_state = 2},
  [14770] = {.lex_state = 19, .external_lex_state = 2},
  [14771] = {.lex_state = 436, .external_lex_state = 2},
  [14772] = {.lex_state = 161, .external_lex_state = 2},
  [14773] = {.lex_state = 436, .external_lex_state = 2},
  [14774] = {.lex_state = 436, .external_lex_state = 2},
  [14775] = {.lex_state = 436, .external_lex_state = 2},
  [14776] = {.lex_state = 436, .external_lex_state = 2},
  [14777] = {.lex_state = 436, .external_lex_state = 2},
  [14778] = {.lex_state = 436, .external_lex_state = 2},
  [14779] = {.lex_state = 436, .external_lex_state = 2},
  [14780] = {.lex_state = 436, .external_lex_state = 2},
  [14781] = {.lex_state = 436, .external_lex_state = 2},
  [14782] = {.lex_state = 19, .external_lex_state = 2},
  [14783] = {.lex_state = 161, .external_lex_state = 2},
  [14784] = {.lex_state = 436, .external_lex_state = 2},
  [14785] = {.lex_state = 436, .external_lex_state = 2},
  [14786] = {.lex_state = 436, .external_lex_state = 2},
  [14787] = {.lex_state = 436, .external_lex_state = 2},
  [14788] = {.lex_state = 436, .external_lex_state = 2},
  [14789] = {.lex_state = 436, .external_lex_state = 2},
  [14790] = {.lex_state = 19, .external_lex_state = 2},
  [14791] = {.lex_state = 436, .external_lex_state = 2},
  [14792] = {.lex_state = 436, .external_lex_state = 2},
  [14793] = {.lex_state = 436, .external_lex_state = 2},
  [14794] = {.lex_state = 19, .external_lex_state = 2},
  [14795] = {.lex_state = 436, .external_lex_state = 2},
  [14796] = {.lex_state = 436, .external_lex_state = 2},
  [14797] = {.lex_state = 436, .external_lex_state = 2},
  [14798] = {.lex_state = 437, .external_lex_state = 2},
  [14799] = {.lex_state = 436, .external_lex_state = 2},
  [14800] = {.lex_state = 436, .external_lex_state = 2},
  [14801] = {.lex_state = 19, .external_lex_state = 2},
  [14802] = {.lex_state = 436, .external_lex_state = 2},
  [14803] = {.lex_state = 436, .external_lex_state = 2},
  [14804] = {.lex_state = 436, .external_lex_state = 2},
  [14805] = {.lex_state = 436, .external_lex_state = 2},
  [14806] = {.lex_state = 436, .external_lex_state = 2},
  [14807] = {.lex_state = 19, .external_lex_state = 2},
  [14808] = {.lex_state = 436, .external_lex_state = 2},
  [14809] = {.lex_state = 436, .external_lex_state = 2},
  [14810] = {.lex_state = 19, .external_lex_state = 2},
  [14811] = {.lex_state = 436, .external_lex_state = 2},
  [14812] = {.lex_state = 436, .external_lex_state = 2},
  [14813] = {.lex_state = 436, .external_lex_state = 2},
  [14814] = {.lex_state = 436, .external_lex_state = 2},
  [14815] = {.lex_state = 19, .external_lex_state = 2},
  [14816] = {.lex_state = 436, .external_lex_state = 2},
  [14817] = {.lex_state = 436, .external_lex_state = 2},
  [14818] = {.lex_state = 436, .external_lex_state = 2},
  [14819] = {.lex_state = 436, .external_lex_state = 2},
  [14820] = {.lex_state = 436, .external_lex_state = 2},
  [14821] = {.lex_state = 436, .external_lex_state = 2},
  [14822] = {.lex_state = 436, .external_lex_state = 2},
  [14823] = {.lex_state = 436, .external_lex_state = 2},
  [14824] = {.lex_state = 436, .external_lex_state = 2},
  [14825] = {.lex_state = 436, .external_lex_state = 2},
  [14826] = {.lex_state = 436, .external_lex_state = 2},
  [14827] = {.lex_state = 436, .external_lex_state = 2},
  [14828] = {.lex_state = 436, .external_lex_state = 2},
  [14829] = {.lex_state = 436, .external_lex_state = 2},
  [14830] = {.lex_state = 436, .external_lex_state = 2},
  [14831] = {.lex_state = 436, .external_lex_state = 2},
  [14832] = {.lex_state = 436, .external_lex_state = 2},
  [14833] = {.lex_state = 436, .external_lex_state = 2},
  [14834] = {.lex_state = 436, .external_lex_state = 2},
  [14835] = {.lex_state = 436, .external_lex_state = 2},
  [14836] = {.lex_state = 19, .external_lex_state = 2},
  [14837] = {.lex_state = 436, .external_lex_state = 2},
  [14838] = {.lex_state = 436, .external_lex_state = 2},
  [14839] = {.lex_state = 436, .external_lex_state = 2},
  [14840] = {.lex_state = 19, .external_lex_state = 2},
  [14841] = {.lex_state = 436, .external_lex_state = 2},
  [14842] = {.lex_state = 436, .external_lex_state = 2},
  [14843] = {.lex_state = 436, .external_lex_state = 2},
  [14844] = {.lex_state = 436, .external_lex_state = 2},
  [14845] = {.lex_state = 436, .external_lex_state = 2},
  [14846] = {.lex_state = 436, .external_lex_state = 2},
  [14847] = {.lex_state = 436, .external_lex_state = 2},
  [14848] = {.lex_state = 436, .external_lex_state = 2},
  [14849] = {.lex_state = 436, .external_lex_state = 2},
  [14850] = {.lex_state = 436, .external_lex_state = 2},
  [14851] = {.lex_state = 436, .external_lex_state = 2},
  [14852] = {.lex_state = 436, .external_lex_state = 2},
  [14853] = {.lex_state = 436, .external_lex_state = 2},
  [14854] = {.lex_state = 19, .external_lex_state = 2},
  [14855] = {.lex_state = 436, .external_lex_state = 2},
  [14856] = {.lex_state = 19, .external_lex_state = 2},
  [14857] = {.lex_state = 19, .external_lex_state = 2},
  [14858] = {.lex_state = 436, .external_lex_state = 2},
  [14859] = {.lex_state = 436, .external_lex_state = 2},
  [14860] = {.lex_state = 436, .external_lex_state = 2},
  [14861] = {.lex_state = 19, .external_lex_state = 2},
  [14862] = {.lex_state = 19, .external_lex_state = 2},
  [14863] = {.lex_state = 19, .external_lex_state = 2},
  [14864] = {.lex_state = 436, .external_lex_state = 2},
  [14865] = {.lex_state = 436, .external_lex_state = 2},
  [14866] = {.lex_state = 436, .external_lex_state = 2},
  [14867] = {.lex_state = 436, .external_lex_state = 2},
  [14868] = {.lex_state = 436, .external_lex_state = 2},
  [14869] = {.lex_state = 436, .external_lex_state = 2},
  [14870] = {.lex_state = 19, .external_lex_state = 2},
  [14871] = {.lex_state = 436, .external_lex_state = 2},
  [14872] = {.lex_state = 436, .external_lex_state = 2},
  [14873] = {.lex_state = 436, .external_lex_state = 2},
  [14874] = {.lex_state = 436, .external_lex_state = 2},
  [14875] = {.lex_state = 436, .external_lex_state = 2},
  [14876] = {.lex_state = 436, .external_lex_state = 2},
  [14877] = {.lex_state = 436, .external_lex_state = 2},
  [14878] = {.lex_state = 436, .external_lex_state = 2},
  [14879] = {.lex_state = 19, .external_lex_state = 2},
  [14880] = {.lex_state = 436, .external_lex_state = 2},
  [14881] = {.lex_state = 264, .external_lex_state = 8},
  [14882] = {.lex_state = 436, .external_lex_state = 2},
  [14883] = {.lex_state = 436, .external_lex_state = 2},
  [14884] = {.lex_state = 436, .external_lex_state = 2},
  [14885] = {.lex_state = 436, .external_lex_state = 2},
  [14886] = {.lex_state = 436, .external_lex_state = 2},
  [14887] = {.lex_state = 436, .external_lex_state = 2},
  [14888] = {.lex_state = 436, .external_lex_state = 2},
  [14889] = {.lex_state = 436, .external_lex_state = 2},
  [14890] = {.lex_state = 128, .external_lex_state = 2},
  [14891] = {.lex_state = 436, .external_lex_state = 2},
  [14892] = {.lex_state = 436, .external_lex_state = 2},
  [14893] = {.lex_state = 436, .external_lex_state = 2},
  [14894] = {.lex_state = 258, .external_lex_state = 2},
  [14895] = {.lex_state = 436, .external_lex_state = 2},
  [14896] = {.lex_state = 436, .external_lex_state = 2},
  [14897] = {.lex_state = 131, .external_lex_state = 2},
  [14898] = {.lex_state = 436, .external_lex_state = 2},
  [14899] = {.lex_state = 436, .external_lex_state = 2},
  [14900] = {.lex_state = 436, .external_lex_state = 2},
  [14901] = {.lex_state = 436, .external_lex_state = 2},
  [14902] = {.lex_state = 436, .external_lex_state = 2},
  [14903] = {.lex_state = 436, .external_lex_state = 2},
  [14904] = {.lex_state = 264, .external_lex_state = 8},
  [14905] = {.lex_state = 436, .external_lex_state = 2},
  [14906] = {.lex_state = 436, .external_lex_state = 2},
  [14907] = {.lex_state = 436, .external_lex_state = 2},
  [14908] = {.lex_state = 436, .external_lex_state = 2},
  [14909] = {.lex_state = 436, .external_lex_state = 2},
  [14910] = {.lex_state = 258, .external_lex_state = 2},
  [14911] = {.lex_state = 158, .external_lex_state = 2},
  [14912] = {.lex_state = 436, .external_lex_state = 2},
  [14913] = {.lex_state = 436, .external_lex_state = 2},
  [14914] = {.lex_state = 436, .external_lex_state = 2},
  [14915] = {.lex_state = 436, .external_lex_state = 2},
  [14916] = {.lex_state = 436, .external_lex_state = 2},
  [14917] = {.lex_state = 158, .external_lex_state = 2},
  [14918] = {.lex_state = 436, .external_lex_state = 2},
  [14919] = {.lex_state = 436, .external_lex_state = 2},
  [14920] = {.lex_state = 436, .external_lex_state = 2},
  [14921] = {.lex_state = 228, .external_lex_state = 2},
  [14922] = {.lex_state = 158, .external_lex_state = 2},
  [14923] = {.lex_state = 436, .external_lex_state = 2},
  [14924] = {.lex_state = 436, .external_lex_state = 2},
  [14925] = {.lex_state = 436, .external_lex_state = 2},
  [14926] = {.lex_state = 436, .external_lex_state = 2},
  [14927] = {.lex_state = 436, .external_lex_state = 2},
  [14928] = {.lex_state = 436, .external_lex_state = 2},
  [14929] = {.lex_state = 436, .external_lex_state = 2},
  [14930] = {.lex_state = 158, .external_lex_state = 2},
  [14931] = {.lex_state = 258, .external_lex_state = 2},
  [14932] = {.lex_state = 41, .external_lex_state = 2},
  [14933] = {.lex_state = 436, .external_lex_state = 2},
  [14934] = {.lex_state = 436, .external_lex_state = 2},
  [14935] = {.lex_state = 436, .external_lex_state = 2},
  [14936] = {.lex_state = 131, .external_lex_state = 2},
  [14937] = {.lex_state = 436, .external_lex_state = 2},
  [14938] = {.lex_state = 436, .external_lex_state = 2},
  [14939] = {.lex_state = 131, .external_lex_state = 2},
  [14940] = {.lex_state = 436, .external_lex_state = 2},
  [14941] = {.lex_state = 436, .external_lex_state = 2},
  [14942] = {.lex_state = 436, .external_lex_state = 2},
  [14943] = {.lex_state = 436, .external_lex_state = 2},
  [14944] = {.lex_state = 131, .external_lex_state = 2},
  [14945] = {.lex_state = 436, .external_lex_state = 2},
  [14946] = {.lex_state = 436, .external_lex_state = 2},
  [14947] = {.lex_state = 436, .external_lex_state = 2},
  [14948] = {.lex_state = 436, .external_lex_state = 2},
  [14949] = {.lex_state = 436, .external_lex_state = 2},
  [14950] = {.lex_state = 436, .external_lex_state = 2},
  [14951] = {.lex_state = 436, .external_lex_state = 2},
  [14952] = {.lex_state = 131, .external_lex_state = 2},
  [14953] = {.lex_state = 30, .external_lex_state = 2},
  [14954] = {.lex_state = 128, .external_lex_state = 2},
  [14955] = {.lex_state = 264, .external_lex_state = 8},
  [14956] = {.lex_state = 436, .external_lex_state = 2},
  [14957] = {.lex_state = 436, .external_lex_state = 2},
  [14958] = {.lex_state = 436, .external_lex_state = 2},
  [14959] = {.lex_state = 128, .external_lex_state = 2},
  [14960] = {.lex_state = 131, .external_lex_state = 2},
  [14961] = {.lex_state = 436, .external_lex_state = 2},
  [14962] = {.lex_state = 436, .external_lex_state = 2},
  [14963] = {.lex_state = 131, .external_lex_state = 2},
  [14964] = {.lex_state = 436, .external_lex_state = 2},
  [14965] = {.lex_state = 436, .external_lex_state = 2},
  [14966] = {.lex_state = 436, .external_lex_state = 2},
  [14967] = {.lex_state = 436, .external_lex_state = 2},
  [14968] = {.lex_state = 436, .external_lex_state = 2},
  [14969] = {.lex_state = 436, .external_lex_state = 2},
  [14970] = {.lex_state = 436, .external_lex_state = 2},
  [14971] = {.lex_state = 436, .external_lex_state = 2},
  [14972] = {.lex_state = 436, .external_lex_state = 2},
  [14973] = {.lex_state = 128, .external_lex_state = 2},
  [14974] = {.lex_state = 436, .external_lex_state = 2},
  [14975] = {.lex_state = 436, .external_lex_state = 2},
  [14976] = {.lex_state = 436, .external_lex_state = 2},
  [14977] = {.lex_state = 436, .external_lex_state = 2},
  [14978] = {.lex_state = 436, .external_lex_state = 2},
  [14979] = {.lex_state = 258, .external_lex_state = 2},
  [14980] = {.lex_state = 436, .external_lex_state = 2},
  [14981] = {.lex_state = 436, .external_lex_state = 2},
  [14982] = {.lex_state = 436, .external_lex_state = 2},
  [14983] = {.lex_state = 436, .external_lex_state = 2},
  [14984] = {.lex_state = 436, .external_lex_state = 2},
  [14985] = {.lex_state = 436, .external_lex_state = 2},
  [14986] = {.lex_state = 436, .external_lex_state = 2},
  [14987] = {.lex_state = 436, .external_lex_state = 2},
  [14988] = {.lex_state = 436, .external_lex_state = 2},
  [14989] = {.lex_state = 436, .external_lex_state = 2},
  [14990] = {.lex_state = 436, .external_lex_state = 2},
  [14991] = {.lex_state = 436, .external_lex_state = 2},
  [14992] = {.lex_state = 436, .external_lex_state = 2},
  [14993] = {.lex_state = 131, .external_lex_state = 2},
  [14994] = {.lex_state = 436, .external_lex_state = 2},
  [14995] = {.lex_state = 436, .external_lex_state = 2},
  [14996] = {.lex_state = 436, .external_lex_state = 2},
  [14997] = {.lex_state = 436, .external_lex_state = 2},
  [14998] = {.lex_state = 158, .external_lex_state = 2},
  [14999] = {.lex_state = 436, .external_lex_state = 2},
  [15000] = {.lex_state = 158, .external_lex_state = 2},
  [15001] = {.lex_state = 436, .external_lex_state = 2},
  [15002] = {.lex_state = 158, .external_lex_state = 2},
  [15003] = {.lex_state = 436, .external_lex_state = 2},
  [15004] = {.lex_state = 436, .external_lex_state = 2},
  [15005] = {.lex_state = 228, .external_lex_state = 2},
  [15006] = {.lex_state = 436, .external_lex_state = 2},
  [15007] = {.lex_state = 228, .external_lex_state = 2},
  [15008] = {.lex_state = 158, .external_lex_state = 2},
  [15009] = {.lex_state = 436, .external_lex_state = 2},
  [15010] = {.lex_state = 158, .external_lex_state = 2},
  [15011] = {.lex_state = 436, .external_lex_state = 2},
  [15012] = {.lex_state = 158, .external_lex_state = 2},
  [15013] = {.lex_state = 436, .external_lex_state = 2},
  [15014] = {.lex_state = 158, .external_lex_state = 2},
  [15015] = {.lex_state = 436, .external_lex_state = 2},
  [15016] = {.lex_state = 158, .external_lex_state = 2},
  [15017] = {.lex_state = 436, .external_lex_state = 2},
  [15018] = {.lex_state = 158, .external_lex_state = 2},
  [15019] = {.lex_state = 436, .external_lex_state = 2},
  [15020] = {.lex_state = 158, .external_lex_state = 2},
  [15021] = {.lex_state = 436, .external_lex_state = 2},
  [15022] = {.lex_state = 436, .external_lex_state = 2},
  [15023] = {.lex_state = 158, .external_lex_state = 2},
  [15024] = {.lex_state = 436, .external_lex_state = 2},
  [15025] = {.lex_state = 436, .external_lex_state = 2},
  [15026] = {.lex_state = 158, .external_lex_state = 2},
  [15027] = {.lex_state = 436, .external_lex_state = 2},
  [15028] = {.lex_state = 158, .external_lex_state = 2},
  [15029] = {.lex_state = 436, .external_lex_state = 2},
  [15030] = {.lex_state = 131, .external_lex_state = 2},
  [15031] = {.lex_state = 436, .external_lex_state = 2},
  [15032] = {.lex_state = 158, .external_lex_state = 2},
  [15033] = {.lex_state = 228, .external_lex_state = 2},
  [15034] = {.lex_state = 436, .external_lex_state = 2},
  [15035] = {.lex_state = 436, .external_lex_state = 2},
  [15036] = {.lex_state = 436, .external_lex_state = 2},
  [15037] = {.lex_state = 158, .external_lex_state = 2},
  [15038] = {.lex_state = 128, .external_lex_state = 2},
  [15039] = {.lex_state = 158, .external_lex_state = 2},
  [15040] = {.lex_state = 228, .external_lex_state = 2},
  [15041] = {.lex_state = 436, .external_lex_state = 2},
  [15042] = {.lex_state = 436, .external_lex_state = 2},
  [15043] = {.lex_state = 436, .external_lex_state = 2},
  [15044] = {.lex_state = 158, .external_lex_state = 2},
  [15045] = {.lex_state = 436, .external_lex_state = 2},
  [15046] = {.lex_state = 158, .external_lex_state = 2},
  [15047] = {.lex_state = 436, .external_lex_state = 2},
  [15048] = {.lex_state = 128, .external_lex_state = 2},
  [15049] = {.lex_state = 131, .external_lex_state = 2},
  [15050] = {.lex_state = 436, .external_lex_state = 2},
  [15051] = {.lex_state = 436, .external_lex_state = 2},
  [15052] = {.lex_state = 158, .external_lex_state = 2},
  [15053] = {.lex_state = 158, .external_lex_state = 2},
  [15054] = {.lex_state = 131, .external_lex_state = 2},
  [15055] = {.lex_state = 436, .external_lex_state = 2},
  [15056] = {.lex_state = 436, .external_lex_state = 2},
  [15057] = {.lex_state = 158, .external_lex_state = 2},
  [15058] = {.lex_state = 158, .external_lex_state = 2},
  [15059] = {.lex_state = 436, .external_lex_state = 2},
  [15060] = {.lex_state = 436, .external_lex_state = 2},
  [15061] = {.lex_state = 436, .external_lex_state = 2},
  [15062] = {.lex_state = 436, .external_lex_state = 2},
  [15063] = {.lex_state = 436, .external_lex_state = 2},
  [15064] = {.lex_state = 131, .external_lex_state = 2},
  [15065] = {.lex_state = 436, .external_lex_state = 2},
  [15066] = {.lex_state = 158, .external_lex_state = 2},
  [15067] = {.lex_state = 436, .external_lex_state = 2},
  [15068] = {.lex_state = 436, .external_lex_state = 2},
  [15069] = {.lex_state = 436, .external_lex_state = 2},
  [15070] = {.lex_state = 436, .external_lex_state = 2},
  [15071] = {.lex_state = 158, .external_lex_state = 2},
  [15072] = {.lex_state = 436, .external_lex_state = 2},
  [15073] = {.lex_state = 258, .external_lex_state = 2},
  [15074] = {.lex_state = 436, .external_lex_state = 2},
  [15075] = {.lex_state = 436, .external_lex_state = 2},
  [15076] = {.lex_state = 158, .external_lex_state = 2},
  [15077] = {.lex_state = 436, .external_lex_state = 2},
  [15078] = {.lex_state = 436, .external_lex_state = 2},
  [15079] = {.lex_state = 436, .external_lex_state = 2},
  [15080] = {.lex_state = 436, .external_lex_state = 2},
  [15081] = {.lex_state = 228, .external_lex_state = 2},
  [15082] = {.lex_state = 158, .external_lex_state = 2},
  [15083] = {.lex_state = 158, .external_lex_state = 2},
  [15084] = {.lex_state = 436, .external_lex_state = 2},
  [15085] = {.lex_state = 436, .external_lex_state = 2},
  [15086] = {.lex_state = 436, .external_lex_state = 2},
  [15087] = {.lex_state = 158, .external_lex_state = 2},
  [15088] = {.lex_state = 436, .external_lex_state = 2},
  [15089] = {.lex_state = 158, .external_lex_state = 2},
  [15090] = {.lex_state = 436, .external_lex_state = 2},
  [15091] = {.lex_state = 436, .external_lex_state = 2},
  [15092] = {.lex_state = 258, .external_lex_state = 2},
  [15093] = {.lex_state = 436, .external_lex_state = 2},
  [15094] = {.lex_state = 436, .external_lex_state = 2},
  [15095] = {.lex_state = 436, .external_lex_state = 2},
  [15096] = {.lex_state = 436, .external_lex_state = 2},
  [15097] = {.lex_state = 158, .external_lex_state = 2},
  [15098] = {.lex_state = 158, .external_lex_state = 2},
  [15099] = {.lex_state = 436, .external_lex_state = 2},
  [15100] = {.lex_state = 436, .external_lex_state = 2},
  [15101] = {.lex_state = 436, .external_lex_state = 2},
  [15102] = {.lex_state = 436, .external_lex_state = 2},
  [15103] = {.lex_state = 436, .external_lex_state = 2},
  [15104] = {.lex_state = 158, .external_lex_state = 2},
  [15105] = {.lex_state = 158, .external_lex_state = 2},
  [15106] = {.lex_state = 436, .external_lex_state = 2},
  [15107] = {.lex_state = 436, .external_lex_state = 2},
  [15108] = {.lex_state = 436, .external_lex_state = 2},
  [15109] = {.lex_state = 158, .external_lex_state = 2},
  [15110] = {.lex_state = 158, .external_lex_state = 2},
  [15111] = {.lex_state = 436, .external_lex_state = 2},
  [15112] = {.lex_state = 436, .external_lex_state = 2},
  [15113] = {.lex_state = 436, .external_lex_state = 2},
  [15114] = {.lex_state = 158, .external_lex_state = 2},
  [15115] = {.lex_state = 158, .external_lex_state = 2},
  [15116] = {.lex_state = 436, .external_lex_state = 2},
  [15117] = {.lex_state = 436, .external_lex_state = 2},
  [15118] = {.lex_state = 436, .external_lex_state = 2},
  [15119] = {.lex_state = 158, .external_lex_state = 2},
  [15120] = {.lex_state = 436, .external_lex_state = 2},
  [15121] = {.lex_state = 158, .external_lex_state = 2},
  [15122] = {.lex_state = 128, .external_lex_state = 2},
  [15123] = {.lex_state = 436, .external_lex_state = 2},
  [15124] = {.lex_state = 131, .external_lex_state = 2},
  [15125] = {.lex_state = 436, .external_lex_state = 2},
  [15126] = {.lex_state = 436, .external_lex_state = 2},
  [15127] = {.lex_state = 158, .external_lex_state = 2},
  [15128] = {.lex_state = 158, .external_lex_state = 2},
  [15129] = {.lex_state = 131, .external_lex_state = 2},
  [15130] = {.lex_state = 436, .external_lex_state = 2},
  [15131] = {.lex_state = 436, .external_lex_state = 2},
  [15132] = {.lex_state = 158, .external_lex_state = 2},
  [15133] = {.lex_state = 158, .external_lex_state = 2},
  [15134] = {.lex_state = 158, .external_lex_state = 2},
  [15135] = {.lex_state = 436, .external_lex_state = 2},
  [15136] = {.lex_state = 158, .external_lex_state = 2},
  [15137] = {.lex_state = 436, .external_lex_state = 2},
  [15138] = {.lex_state = 436, .external_lex_state = 2},
  [15139] = {.lex_state = 158, .external_lex_state = 2},
  [15140] = {.lex_state = 158, .external_lex_state = 2},
  [15141] = {.lex_state = 436, .external_lex_state = 2},
  [15142] = {.lex_state = 128, .external_lex_state = 2},
  [15143] = {.lex_state = 158, .external_lex_state = 2},
  [15144] = {.lex_state = 258, .external_lex_state = 2},
  [15145] = {.lex_state = 436, .external_lex_state = 2},
  [15146] = {.lex_state = 436, .external_lex_state = 2},
  [15147] = {.lex_state = 436, .external_lex_state = 2},
  [15148] = {.lex_state = 131, .external_lex_state = 2},
  [15149] = {.lex_state = 158, .external_lex_state = 2},
  [15150] = {.lex_state = 158, .external_lex_state = 2},
  [15151] = {.lex_state = 436, .external_lex_state = 2},
  [15152] = {.lex_state = 19, .external_lex_state = 2},
  [15153] = {.lex_state = 436, .external_lex_state = 2},
  [15154] = {.lex_state = 436, .external_lex_state = 2},
  [15155] = {.lex_state = 158, .external_lex_state = 2},
  [15156] = {.lex_state = 436, .external_lex_state = 2},
  [15157] = {.lex_state = 158, .external_lex_state = 2},
  [15158] = {.lex_state = 258, .external_lex_state = 2},
  [15159] = {.lex_state = 436, .external_lex_state = 2},
  [15160] = {.lex_state = 436, .external_lex_state = 2},
  [15161] = {.lex_state = 436, .external_lex_state = 2},
  [15162] = {.lex_state = 436, .external_lex_state = 2},
  [15163] = {.lex_state = 158, .external_lex_state = 2},
  [15164] = {.lex_state = 158, .external_lex_state = 2},
  [15165] = {.lex_state = 436, .external_lex_state = 2},
  [15166] = {.lex_state = 128, .external_lex_state = 2},
  [15167] = {.lex_state = 258, .external_lex_state = 2},
  [15168] = {.lex_state = 436, .external_lex_state = 2},
  [15169] = {.lex_state = 158, .external_lex_state = 2},
  [15170] = {.lex_state = 158, .external_lex_state = 2},
  [15171] = {.lex_state = 436, .external_lex_state = 2},
  [15172] = {.lex_state = 436, .external_lex_state = 2},
  [15173] = {.lex_state = 436, .external_lex_state = 2},
  [15174] = {.lex_state = 436, .external_lex_state = 2},
  [15175] = {.lex_state = 436, .external_lex_state = 2},
  [15176] = {.lex_state = 436, .external_lex_state = 2},
  [15177] = {.lex_state = 436, .external_lex_state = 2},
  [15178] = {.lex_state = 158, .external_lex_state = 2},
  [15179] = {.lex_state = 158, .external_lex_state = 2},
  [15180] = {.lex_state = 436, .external_lex_state = 2},
  [15181] = {.lex_state = 436, .external_lex_state = 2},
  [15182] = {.lex_state = 436, .external_lex_state = 2},
  [15183] = {.lex_state = 436, .external_lex_state = 3},
  [15184] = {.lex_state = 436, .external_lex_state = 2},
  [15185] = {.lex_state = 158, .external_lex_state = 2},
  [15186] = {.lex_state = 158, .external_lex_state = 2},
  [15187] = {.lex_state = 436, .external_lex_state = 2},
  [15188] = {.lex_state = 436, .external_lex_state = 2},
  [15189] = {.lex_state = 131, .external_lex_state = 2},
  [15190] = {.lex_state = 436, .external_lex_state = 2},
  [15191] = {.lex_state = 131, .external_lex_state = 2},
  [15192] = {.lex_state = 436, .external_lex_state = 2},
  [15193] = {.lex_state = 436, .external_lex_state = 2},
  [15194] = {.lex_state = 436, .external_lex_state = 2},
  [15195] = {.lex_state = 436, .external_lex_state = 2},
  [15196] = {.lex_state = 436, .external_lex_state = 2},
  [15197] = {.lex_state = 158, .external_lex_state = 2},
  [15198] = {.lex_state = 158, .external_lex_state = 2},
  [15199] = {.lex_state = 436, .external_lex_state = 2},
  [15200] = {.lex_state = 436, .external_lex_state = 2},
  [15201] = {.lex_state = 436, .external_lex_state = 2},
  [15202] = {.lex_state = 436, .external_lex_state = 2},
  [15203] = {.lex_state = 158, .external_lex_state = 2},
  [15204] = {.lex_state = 158, .external_lex_state = 2},
  [15205] = {.lex_state = 131, .external_lex_state = 2},
  [15206] = {.lex_state = 128, .external_lex_state = 2},
  [15207] = {.lex_state = 131, .external_lex_state = 2},
  [15208] = {.lex_state = 128, .external_lex_state = 2},
  [15209] = {.lex_state = 436, .external_lex_state = 2},
  [15210] = {.lex_state = 436, .external_lex_state = 2},
  [15211] = {.lex_state = 436, .external_lex_state = 2},
  [15212] = {.lex_state = 436, .external_lex_state = 2},
  [15213] = {.lex_state = 158, .external_lex_state = 2},
  [15214] = {.lex_state = 436, .external_lex_state = 2},
  [15215] = {.lex_state = 158, .external_lex_state = 2},
  [15216] = {.lex_state = 436, .external_lex_state = 2},
  [15217] = {.lex_state = 436, .external_lex_state = 2},
  [15218] = {.lex_state = 131, .external_lex_state = 2},
  [15219] = {.lex_state = 436, .external_lex_state = 2},
  [15220] = {.lex_state = 436, .external_lex_state = 2},
  [15221] = {.lex_state = 158, .external_lex_state = 2},
  [15222] = {.lex_state = 158, .external_lex_state = 2},
  [15223] = {.lex_state = 436, .external_lex_state = 2},
  [15224] = {.lex_state = 436, .external_lex_state = 2},
  [15225] = {.lex_state = 158, .external_lex_state = 2},
  [15226] = {.lex_state = 158, .external_lex_state = 2},
  [15227] = {.lex_state = 128, .external_lex_state = 2},
  [15228] = {.lex_state = 436, .external_lex_state = 2},
  [15229] = {.lex_state = 436, .external_lex_state = 2},
  [15230] = {.lex_state = 436, .external_lex_state = 2},
  [15231] = {.lex_state = 436, .external_lex_state = 2},
  [15232] = {.lex_state = 436, .external_lex_state = 2},
  [15233] = {.lex_state = 436, .external_lex_state = 2},
  [15234] = {.lex_state = 158, .external_lex_state = 2},
  [15235] = {.lex_state = 228, .external_lex_state = 2},
  [15236] = {.lex_state = 128, .external_lex_state = 2},
  [15237] = {.lex_state = 158, .external_lex_state = 2},
  [15238] = {.lex_state = 436, .external_lex_state = 2},
  [15239] = {.lex_state = 131, .external_lex_state = 2},
  [15240] = {.lex_state = 436, .external_lex_state = 2},
  [15241] = {.lex_state = 131, .external_lex_state = 2},
  [15242] = {.lex_state = 158, .external_lex_state = 2},
  [15243] = {.lex_state = 158, .external_lex_state = 2},
  [15244] = {.lex_state = 258, .external_lex_state = 2},
  [15245] = {.lex_state = 436, .external_lex_state = 2},
  [15246] = {.lex_state = 436, .external_lex_state = 2},
  [15247] = {.lex_state = 436, .external_lex_state = 2},
  [15248] = {.lex_state = 158, .external_lex_state = 2},
  [15249] = {.lex_state = 436, .external_lex_state = 2},
  [15250] = {.lex_state = 131, .external_lex_state = 2},
  [15251] = {.lex_state = 128, .external_lex_state = 2},
  [15252] = {.lex_state = 158, .external_lex_state = 2},
  [15253] = {.lex_state = 436, .external_lex_state = 2},
  [15254] = {.lex_state = 10, .external_lex_state = 2},
  [15255] = {.lex_state = 436, .external_lex_state = 2},
  [15256] = {.lex_state = 436, .external_lex_state = 2},
  [15257] = {.lex_state = 436, .external_lex_state = 2},
  [15258] = {.lex_state = 436, .external_lex_state = 2},
  [15259] = {.lex_state = 158, .external_lex_state = 2},
  [15260] = {.lex_state = 258, .external_lex_state = 2},
  [15261] = {.lex_state = 158, .external_lex_state = 2},
  [15262] = {.lex_state = 131, .external_lex_state = 2},
  [15263] = {.lex_state = 436, .external_lex_state = 2},
  [15264] = {.lex_state = 436, .external_lex_state = 2},
  [15265] = {.lex_state = 436, .external_lex_state = 2},
  [15266] = {.lex_state = 436, .external_lex_state = 2},
  [15267] = {.lex_state = 436, .external_lex_state = 2},
  [15268] = {.lex_state = 158, .external_lex_state = 2},
  [15269] = {.lex_state = 436, .external_lex_state = 2},
  [15270] = {.lex_state = 158, .external_lex_state = 2},
  [15271] = {.lex_state = 436, .external_lex_state = 2},
  [15272] = {.lex_state = 436, .external_lex_state = 2},
  [15273] = {.lex_state = 436, .external_lex_state = 2},
  [15274] = {.lex_state = 436, .external_lex_state = 2},
  [15275] = {.lex_state = 436, .external_lex_state = 2},
  [15276] = {.lex_state = 158, .external_lex_state = 2},
  [15277] = {.lex_state = 436, .external_lex_state = 2},
  [15278] = {.lex_state = 158, .external_lex_state = 2},
  [15279] = {.lex_state = 436, .external_lex_state = 2},
  [15280] = {.lex_state = 131, .external_lex_state = 2},
  [15281] = {.lex_state = 436, .external_lex_state = 2},
  [15282] = {.lex_state = 158, .external_lex_state = 2},
  [15283] = {.lex_state = 158, .external_lex_state = 2},
  [15284] = {.lex_state = 436, .external_lex_state = 2},
  [15285] = {.lex_state = 436, .external_lex_state = 3},
  [15286] = {.lex_state = 436, .external_lex_state = 2},
  [15287] = {.lex_state = 436, .external_lex_state = 2},
  [15288] = {.lex_state = 158, .external_lex_state = 2},
  [15289] = {.lex_state = 436, .external_lex_state = 2},
  [15290] = {.lex_state = 158, .external_lex_state = 2},
  [15291] = {.lex_state = 436, .external_lex_state = 2},
  [15292] = {.lex_state = 436, .external_lex_state = 2},
  [15293] = {.lex_state = 436, .external_lex_state = 2},
  [15294] = {.lex_state = 436, .external_lex_state = 2},
  [15295] = {.lex_state = 436, .external_lex_state = 2},
  [15296] = {.lex_state = 436, .external_lex_state = 2},
  [15297] = {.lex_state = 258, .external_lex_state = 2},
  [15298] = {.lex_state = 436, .external_lex_state = 2},
  [15299] = {.lex_state = 436, .external_lex_state = 2},
  [15300] = {.lex_state = 436, .external_lex_state = 2},
  [15301] = {.lex_state = 436, .external_lex_state = 2},
  [15302] = {.lex_state = 158, .external_lex_state = 2},
  [15303] = {.lex_state = 228, .external_lex_state = 2},
  [15304] = {.lex_state = 158, .external_lex_state = 2},
  [15305] = {.lex_state = 436, .external_lex_state = 2},
  [15306] = {.lex_state = 436, .external_lex_state = 2},
  [15307] = {.lex_state = 436, .external_lex_state = 2},
  [15308] = {.lex_state = 436, .external_lex_state = 2},
  [15309] = {.lex_state = 436, .external_lex_state = 2},
  [15310] = {.lex_state = 436, .external_lex_state = 2},
  [15311] = {.lex_state = 158, .external_lex_state = 2},
  [15312] = {.lex_state = 158, .external_lex_state = 2},
  [15313] = {.lex_state = 436, .external_lex_state = 2},
  [15314] = {.lex_state = 436, .external_lex_state = 2},
  [15315] = {.lex_state = 158, .external_lex_state = 2},
  [15316] = {.lex_state = 436, .external_lex_state = 2},
  [15317] = {.lex_state = 258, .external_lex_state = 2},
  [15318] = {.lex_state = 436, .external_lex_state = 2},
  [15319] = {.lex_state = 158, .external_lex_state = 2},
  [15320] = {.lex_state = 158, .external_lex_state = 2},
  [15321] = {.lex_state = 436, .external_lex_state = 2},
  [15322] = {.lex_state = 228, .external_lex_state = 2},
  [15323] = {.lex_state = 436, .external_lex_state = 2},
  [15324] = {.lex_state = 436, .external_lex_state = 2},
  [15325] = {.lex_state = 436, .external_lex_state = 2},
  [15326] = {.lex_state = 436, .external_lex_state = 2},
  [15327] = {.lex_state = 158, .external_lex_state = 2},
  [15328] = {.lex_state = 436, .external_lex_state = 2},
  [15329] = {.lex_state = 158, .external_lex_state = 2},
  [15330] = {.lex_state = 436, .external_lex_state = 2},
  [15331] = {.lex_state = 436, .external_lex_state = 2},
  [15332] = {.lex_state = 436, .external_lex_state = 2},
  [15333] = {.lex_state = 228, .external_lex_state = 2},
  [15334] = {.lex_state = 258, .external_lex_state = 2},
  [15335] = {.lex_state = 436, .external_lex_state = 2},
  [15336] = {.lex_state = 436, .external_lex_state = 2},
  [15337] = {.lex_state = 240, .external_lex_state = 2},
  [15338] = {.lex_state = 240, .external_lex_state = 2},
  [15339] = {.lex_state = 436, .external_lex_state = 2},
  [15340] = {.lex_state = 158, .external_lex_state = 2},
  [15341] = {.lex_state = 264, .external_lex_state = 8},
  [15342] = {.lex_state = 436, .external_lex_state = 2},
  [15343] = {.lex_state = 131, .external_lex_state = 2},
  [15344] = {.lex_state = 158, .external_lex_state = 2},
  [15345] = {.lex_state = 436, .external_lex_state = 2},
  [15346] = {.lex_state = 240, .external_lex_state = 2},
  [15347] = {.lex_state = 436, .external_lex_state = 2},
  [15348] = {.lex_state = 240, .external_lex_state = 2},
  [15349] = {.lex_state = 436, .external_lex_state = 2},
  [15350] = {.lex_state = 436, .external_lex_state = 2},
  [15351] = {.lex_state = 436, .external_lex_state = 2},
  [15352] = {.lex_state = 436, .external_lex_state = 2},
  [15353] = {.lex_state = 436, .external_lex_state = 2},
  [15354] = {.lex_state = 258, .external_lex_state = 2},
  [15355] = {.lex_state = 436, .external_lex_state = 2},
  [15356] = {.lex_state = 436, .external_lex_state = 2},
  [15357] = {.lex_state = 165, .external_lex_state = 2},
  [15358] = {.lex_state = 128, .external_lex_state = 2},
  [15359] = {.lex_state = 131, .external_lex_state = 2},
  [15360] = {.lex_state = 131, .external_lex_state = 2},
  [15361] = {.lex_state = 228, .external_lex_state = 2},
  [15362] = {.lex_state = 436, .external_lex_state = 2},
  [15363] = {.lex_state = 240, .external_lex_state = 2},
  [15364] = {.lex_state = 258, .external_lex_state = 2},
  [15365] = {.lex_state = 436, .external_lex_state = 2},
  [15366] = {.lex_state = 240, .external_lex_state = 2},
  [15367] = {.lex_state = 436, .external_lex_state = 2},
  [15368] = {.lex_state = 436, .external_lex_state = 2},
  [15369] = {.lex_state = 240, .external_lex_state = 2},
  [15370] = {.lex_state = 240, .external_lex_state = 2},
  [15371] = {.lex_state = 436, .external_lex_state = 2},
  [15372] = {.lex_state = 258, .external_lex_state = 2},
  [15373] = {.lex_state = 158, .external_lex_state = 2},
  [15374] = {.lex_state = 240, .external_lex_state = 2},
  [15375] = {.lex_state = 240, .external_lex_state = 2},
  [15376] = {.lex_state = 436, .external_lex_state = 2},
  [15377] = {.lex_state = 436, .external_lex_state = 2},
  [15378] = {.lex_state = 436, .external_lex_state = 2},
  [15379] = {.lex_state = 158, .external_lex_state = 2},
  [15380] = {.lex_state = 128, .external_lex_state = 2},
  [15381] = {.lex_state = 436, .external_lex_state = 2},
  [15382] = {.lex_state = 436, .external_lex_state = 2},
  [15383] = {.lex_state = 131, .external_lex_state = 2},
  [15384] = {.lex_state = 436, .external_lex_state = 2},
  [15385] = {.lex_state = 436, .external_lex_state = 2},
  [15386] = {.lex_state = 131, .external_lex_state = 2},
  [15387] = {.lex_state = 436, .external_lex_state = 2},
  [15388] = {.lex_state = 436, .external_lex_state = 2},
  [15389] = {.lex_state = 131, .external_lex_state = 2},
  [15390] = {.lex_state = 128, .external_lex_state = 2},
  [15391] = {.lex_state = 436, .external_lex_state = 2},
  [15392] = {.lex_state = 436, .external_lex_state = 2},
  [15393] = {.lex_state = 128, .external_lex_state = 2},
  [15394] = {.lex_state = 131, .external_lex_state = 2},
  [15395] = {.lex_state = 436, .external_lex_state = 2},
  [15396] = {.lex_state = 158, .external_lex_state = 2},
  [15397] = {.lex_state = 436, .external_lex_state = 2},
  [15398] = {.lex_state = 436, .external_lex_state = 2},
  [15399] = {.lex_state = 258, .external_lex_state = 2},
  [15400] = {.lex_state = 436, .external_lex_state = 2},
  [15401] = {.lex_state = 158, .external_lex_state = 2},
  [15402] = {.lex_state = 436, .external_lex_state = 2},
  [15403] = {.lex_state = 436, .external_lex_state = 2},
  [15404] = {.lex_state = 264, .external_lex_state = 8},
  [15405] = {.lex_state = 436, .external_lex_state = 2},
  [15406] = {.lex_state = 258, .external_lex_state = 2},
  [15407] = {.lex_state = 436, .external_lex_state = 2},
  [15408] = {.lex_state = 436, .external_lex_state = 2},
  [15409] = {.lex_state = 436, .external_lex_state = 2},
  [15410] = {.lex_state = 264, .external_lex_state = 8},
  [15411] = {.lex_state = 436, .external_lex_state = 2},
  [15412] = {.lex_state = 436, .external_lex_state = 2},
  [15413] = {.lex_state = 436, .external_lex_state = 2},
  [15414] = {.lex_state = 264, .external_lex_state = 8},
  [15415] = {.lex_state = 436, .external_lex_state = 2},
  [15416] = {.lex_state = 264, .external_lex_state = 8},
  [15417] = {.lex_state = 436, .external_lex_state = 2},
  [15418] = {.lex_state = 264, .external_lex_state = 8},
  [15419] = {.lex_state = 436, .external_lex_state = 2},
  [15420] = {.lex_state = 264, .external_lex_state = 8},
  [15421] = {.lex_state = 436, .external_lex_state = 2},
  [15422] = {.lex_state = 264, .external_lex_state = 8},
  [15423] = {.lex_state = 436, .external_lex_state = 2},
  [15424] = {.lex_state = 264, .external_lex_state = 8},
  [15425] = {.lex_state = 436, .external_lex_state = 2},
  [15426] = {.lex_state = 264, .external_lex_state = 8},
  [15427] = {.lex_state = 436, .external_lex_state = 2},
  [15428] = {.lex_state = 264, .external_lex_state = 8},
  [15429] = {.lex_state = 436, .external_lex_state = 2},
  [15430] = {.lex_state = 264, .external_lex_state = 8},
  [15431] = {.lex_state = 436, .external_lex_state = 2},
  [15432] = {.lex_state = 264, .external_lex_state = 8},
  [15433] = {.lex_state = 436, .external_lex_state = 2},
  [15434] = {.lex_state = 264, .external_lex_state = 8},
  [15435] = {.lex_state = 436, .external_lex_state = 2},
  [15436] = {.lex_state = 264, .external_lex_state = 8},
  [15437] = {.lex_state = 436, .external_lex_state = 2},
  [15438] = {.lex_state = 264, .external_lex_state = 8},
  [15439] = {.lex_state = 436, .external_lex_state = 2},
  [15440] = {.lex_state = 264, .external_lex_state = 8},
  [15441] = {.lex_state = 436, .external_lex_state = 2},
  [15442] = {.lex_state = 436, .external_lex_state = 2},
  [15443] = {.lex_state = 436, .external_lex_state = 2},
  [15444] = {.lex_state = 264, .external_lex_state = 8},
  [15445] = {.lex_state = 436, .external_lex_state = 2},
  [15446] = {.lex_state = 264, .external_lex_state = 8},
  [15447] = {.lex_state = 436, .external_lex_state = 2},
  [15448] = {.lex_state = 264, .external_lex_state = 8},
  [15449] = {.lex_state = 436, .external_lex_state = 2},
  [15450] = {.lex_state = 264, .external_lex_state = 8},
  [15451] = {.lex_state = 436, .external_lex_state = 2},
  [15452] = {.lex_state = 264, .external_lex_state = 8},
  [15453] = {.lex_state = 436, .external_lex_state = 2},
  [15454] = {.lex_state = 264, .external_lex_state = 8},
  [15455] = {.lex_state = 436, .external_lex_state = 2},
  [15456] = {.lex_state = 264, .external_lex_state = 8},
  [15457] = {.lex_state = 436, .external_lex_state = 2},
  [15458] = {.lex_state = 131, .external_lex_state = 2},
  [15459] = {.lex_state = 264, .external_lex_state = 8},
  [15460] = {.lex_state = 436, .external_lex_state = 2},
  [15461] = {.lex_state = 436, .external_lex_state = 2},
  [15462] = {.lex_state = 264, .external_lex_state = 8},
  [15463] = {.lex_state = 436, .external_lex_state = 2},
  [15464] = {.lex_state = 264, .external_lex_state = 8},
  [15465] = {.lex_state = 436, .external_lex_state = 2},
  [15466] = {.lex_state = 264, .external_lex_state = 8},
  [15467] = {.lex_state = 436, .external_lex_state = 2},
  [15468] = {.lex_state = 436, .external_lex_state = 2},
  [15469] = {.lex_state = 264, .external_lex_state = 8},
  [15470] = {.lex_state = 436, .external_lex_state = 2},
  [15471] = {.lex_state = 436, .external_lex_state = 2},
  [15472] = {.lex_state = 264, .external_lex_state = 8},
  [15473] = {.lex_state = 436, .external_lex_state = 2},
  [15474] = {.lex_state = 264, .external_lex_state = 8},
  [15475] = {.lex_state = 436, .external_lex_state = 2},
  [15476] = {.lex_state = 264, .external_lex_state = 8},
  [15477] = {.lex_state = 436, .external_lex_state = 2},
  [15478] = {.lex_state = 264, .external_lex_state = 8},
  [15479] = {.lex_state = 436, .external_lex_state = 2},
  [15480] = {.lex_state = 264, .external_lex_state = 8},
  [15481] = {.lex_state = 436, .external_lex_state = 2},
  [15482] = {.lex_state = 264, .external_lex_state = 8},
  [15483] = {.lex_state = 436, .external_lex_state = 2},
  [15484] = {.lex_state = 436, .external_lex_state = 2},
  [15485] = {.lex_state = 228, .external_lex_state = 2},
  [15486] = {.lex_state = 264, .external_lex_state = 8},
  [15487] = {.lex_state = 436, .external_lex_state = 2},
  [15488] = {.lex_state = 436, .external_lex_state = 2},
  [15489] = {.lex_state = 436, .external_lex_state = 2},
  [15490] = {.lex_state = 264, .external_lex_state = 8},
  [15491] = {.lex_state = 436, .external_lex_state = 2},
  [15492] = {.lex_state = 436, .external_lex_state = 2},
  [15493] = {.lex_state = 436, .external_lex_state = 2},
  [15494] = {.lex_state = 264, .external_lex_state = 8},
  [15495] = {.lex_state = 436, .external_lex_state = 2},
  [15496] = {.lex_state = 41, .external_lex_state = 2},
  [15497] = {.lex_state = 264, .external_lex_state = 8},
  [15498] = {.lex_state = 436, .external_lex_state = 2},
  [15499] = {.lex_state = 436, .external_lex_state = 2},
  [15500] = {.lex_state = 436, .external_lex_state = 2},
  [15501] = {.lex_state = 436, .external_lex_state = 2},
  [15502] = {.lex_state = 128, .external_lex_state = 2},
  [15503] = {.lex_state = 131, .external_lex_state = 2},
  [15504] = {.lex_state = 264, .external_lex_state = 8},
  [15505] = {.lex_state = 436, .external_lex_state = 2},
  [15506] = {.lex_state = 228, .external_lex_state = 2},
  [15507] = {.lex_state = 436, .external_lex_state = 2},
  [15508] = {.lex_state = 228, .external_lex_state = 2},
  [15509] = {.lex_state = 436, .external_lex_state = 2},
  [15510] = {.lex_state = 436, .external_lex_state = 2},
  [15511] = {.lex_state = 128, .external_lex_state = 2},
  [15512] = {.lex_state = 436, .external_lex_state = 2},
  [15513] = {.lex_state = 436, .external_lex_state = 2},
  [15514] = {.lex_state = 436, .external_lex_state = 2},
  [15515] = {.lex_state = 264, .external_lex_state = 8},
  [15516] = {.lex_state = 436, .external_lex_state = 2},
  [15517] = {.lex_state = 436, .external_lex_state = 2},
  [15518] = {.lex_state = 436, .external_lex_state = 2},
  [15519] = {.lex_state = 436, .external_lex_state = 2},
  [15520] = {.lex_state = 131, .external_lex_state = 2},
  [15521] = {.lex_state = 128, .external_lex_state = 2},
  [15522] = {.lex_state = 131, .external_lex_state = 2},
  [15523] = {.lex_state = 436, .external_lex_state = 2},
  [15524] = {.lex_state = 436, .external_lex_state = 2},
  [15525] = {.lex_state = 131, .external_lex_state = 2},
  [15526] = {.lex_state = 436, .external_lex_state = 2},
  [15527] = {.lex_state = 436, .external_lex_state = 2},
  [15528] = {.lex_state = 128, .external_lex_state = 2},
  [15529] = {.lex_state = 436, .external_lex_state = 2},
  [15530] = {.lex_state = 436, .external_lex_state = 2},
  [15531] = {.lex_state = 436, .external_lex_state = 2},
  [15532] = {.lex_state = 436, .external_lex_state = 2},
  [15533] = {.lex_state = 128, .external_lex_state = 2},
  [15534] = {.lex_state = 436, .external_lex_state = 2},
  [15535] = {.lex_state = 264, .external_lex_state = 8},
  [15536] = {.lex_state = 436, .external_lex_state = 2},
  [15537] = {.lex_state = 436, .external_lex_state = 2},
  [15538] = {.lex_state = 436, .external_lex_state = 2},
  [15539] = {.lex_state = 436, .external_lex_state = 2},
  [15540] = {.lex_state = 258, .external_lex_state = 2},
  [15541] = {.lex_state = 436, .external_lex_state = 2},
  [15542] = {.lex_state = 10, .external_lex_state = 2},
  [15543] = {.lex_state = 264, .external_lex_state = 8},
  [15544] = {.lex_state = 436, .external_lex_state = 2},
  [15545] = {.lex_state = 436, .external_lex_state = 2},
  [15546] = {.lex_state = 436, .external_lex_state = 2},
  [15547] = {.lex_state = 436, .external_lex_state = 2},
  [15548] = {.lex_state = 128, .external_lex_state = 2},
  [15549] = {.lex_state = 128, .external_lex_state = 2},
  [15550] = {.lex_state = 436, .external_lex_state = 2},
  [15551] = {.lex_state = 436, .external_lex_state = 2},
  [15552] = {.lex_state = 128, .external_lex_state = 2},
  [15553] = {.lex_state = 436, .external_lex_state = 2},
  [15554] = {.lex_state = 436, .external_lex_state = 2},
  [15555] = {.lex_state = 264, .external_lex_state = 8},
  [15556] = {.lex_state = 436, .external_lex_state = 2},
  [15557] = {.lex_state = 436, .external_lex_state = 2},
  [15558] = {.lex_state = 436, .external_lex_state = 2},
  [15559] = {.lex_state = 436, .external_lex_state = 2},
  [15560] = {.lex_state = 264, .external_lex_state = 8},
  [15561] = {.lex_state = 436, .external_lex_state = 2},
  [15562] = {.lex_state = 228, .external_lex_state = 2},
  [15563] = {.lex_state = 436, .external_lex_state = 2},
  [15564] = {.lex_state = 131, .external_lex_state = 2},
  [15565] = {.lex_state = 131, .external_lex_state = 2},
  [15566] = {.lex_state = 228, .external_lex_state = 2},
  [15567] = {.lex_state = 436, .external_lex_state = 2},
  [15568] = {.lex_state = 264, .external_lex_state = 8},
  [15569] = {.lex_state = 436, .external_lex_state = 2},
  [15570] = {.lex_state = 436, .external_lex_state = 2},
  [15571] = {.lex_state = 436, .external_lex_state = 2},
  [15572] = {.lex_state = 436, .external_lex_state = 2},
  [15573] = {.lex_state = 436, .external_lex_state = 2},
  [15574] = {.lex_state = 436, .external_lex_state = 2},
  [15575] = {.lex_state = 228, .external_lex_state = 2},
  [15576] = {.lex_state = 436, .external_lex_state = 2},
  [15577] = {.lex_state = 264, .external_lex_state = 8},
  [15578] = {.lex_state = 436, .external_lex_state = 2},
  [15579] = {.lex_state = 436, .external_lex_state = 2},
  [15580] = {.lex_state = 228, .external_lex_state = 2},
  [15581] = {.lex_state = 436, .external_lex_state = 2},
  [15582] = {.lex_state = 436, .external_lex_state = 2},
  [15583] = {.lex_state = 436, .external_lex_state = 2},
  [15584] = {.lex_state = 436, .external_lex_state = 2},
  [15585] = {.lex_state = 258, .external_lex_state = 2},
  [15586] = {.lex_state = 264, .external_lex_state = 8},
  [15587] = {.lex_state = 436, .external_lex_state = 2},
  [15588] = {.lex_state = 436, .external_lex_state = 2},
  [15589] = {.lex_state = 436, .external_lex_state = 2},
  [15590] = {.lex_state = 436, .external_lex_state = 2},
  [15591] = {.lex_state = 131, .external_lex_state = 2},
  [15592] = {.lex_state = 228, .external_lex_state = 2},
  [15593] = {.lex_state = 436, .external_lex_state = 2},
  [15594] = {.lex_state = 436, .external_lex_state = 2},
  [15595] = {.lex_state = 264, .external_lex_state = 8},
  [15596] = {.lex_state = 436, .external_lex_state = 2},
  [15597] = {.lex_state = 436, .external_lex_state = 2},
  [15598] = {.lex_state = 436, .external_lex_state = 2},
  [15599] = {.lex_state = 131, .external_lex_state = 2},
  [15600] = {.lex_state = 436, .external_lex_state = 2},
  [15601] = {.lex_state = 436, .external_lex_state = 2},
  [15602] = {.lex_state = 436, .external_lex_state = 2},
  [15603] = {.lex_state = 436, .external_lex_state = 2},
  [15604] = {.lex_state = 128, .external_lex_state = 2},
  [15605] = {.lex_state = 264, .external_lex_state = 8},
  [15606] = {.lex_state = 436, .external_lex_state = 2},
  [15607] = {.lex_state = 131, .external_lex_state = 2},
  [15608] = {.lex_state = 436, .external_lex_state = 2},
  [15609] = {.lex_state = 436, .external_lex_state = 2},
  [15610] = {.lex_state = 436, .external_lex_state = 2},
  [15611] = {.lex_state = 436, .external_lex_state = 2},
  [15612] = {.lex_state = 128, .external_lex_state = 2},
  [15613] = {.lex_state = 436, .external_lex_state = 2},
  [15614] = {.lex_state = 436, .external_lex_state = 2},
  [15615] = {.lex_state = 436, .external_lex_state = 2},
  [15616] = {.lex_state = 264, .external_lex_state = 8},
  [15617] = {.lex_state = 436, .external_lex_state = 2},
  [15618] = {.lex_state = 128, .external_lex_state = 2},
  [15619] = {.lex_state = 128, .external_lex_state = 2},
  [15620] = {.lex_state = 436, .external_lex_state = 2},
  [15621] = {.lex_state = 436, .external_lex_state = 2},
  [15622] = {.lex_state = 436, .external_lex_state = 2},
  [15623] = {.lex_state = 258, .external_lex_state = 2},
  [15624] = {.lex_state = 264, .external_lex_state = 8},
  [15625] = {.lex_state = 436, .external_lex_state = 2},
  [15626] = {.lex_state = 436, .external_lex_state = 2},
  [15627] = {.lex_state = 436, .external_lex_state = 2},
  [15628] = {.lex_state = 436, .external_lex_state = 2},
  [15629] = {.lex_state = 436, .external_lex_state = 2},
  [15630] = {.lex_state = 264, .external_lex_state = 8},
  [15631] = {.lex_state = 436, .external_lex_state = 2},
  [15632] = {.lex_state = 264, .external_lex_state = 8},
  [15633] = {.lex_state = 436, .external_lex_state = 2},
  [15634] = {.lex_state = 436, .external_lex_state = 2},
  [15635] = {.lex_state = 436, .external_lex_state = 2},
  [15636] = {.lex_state = 436, .external_lex_state = 2},
  [15637] = {.lex_state = 436, .external_lex_state = 2},
  [15638] = {.lex_state = 264, .external_lex_state = 8},
  [15639] = {.lex_state = 436, .external_lex_state = 2},
  [15640] = {.lex_state = 436, .external_lex_state = 2},
  [15641] = {.lex_state = 436, .external_lex_state = 2},
  [15642] = {.lex_state = 228, .external_lex_state = 2},
  [15643] = {.lex_state = 436, .external_lex_state = 2},
  [15644] = {.lex_state = 436, .external_lex_state = 2},
  [15645] = {.lex_state = 436, .external_lex_state = 2},
  [15646] = {.lex_state = 436, .external_lex_state = 2},
  [15647] = {.lex_state = 436, .external_lex_state = 2},
  [15648] = {.lex_state = 436, .external_lex_state = 2},
  [15649] = {.lex_state = 131, .external_lex_state = 2},
  [15650] = {.lex_state = 436, .external_lex_state = 2},
  [15651] = {.lex_state = 264, .external_lex_state = 8},
  [15652] = {.lex_state = 264, .external_lex_state = 8},
  [15653] = {.lex_state = 436, .external_lex_state = 2},
  [15654] = {.lex_state = 436, .external_lex_state = 2},
  [15655] = {.lex_state = 436, .external_lex_state = 2},
  [15656] = {.lex_state = 436, .external_lex_state = 2},
  [15657] = {.lex_state = 436, .external_lex_state = 2},
  [15658] = {.lex_state = 436, .external_lex_state = 2},
  [15659] = {.lex_state = 436, .external_lex_state = 2},
  [15660] = {.lex_state = 228, .external_lex_state = 2},
  [15661] = {.lex_state = 131, .external_lex_state = 2},
  [15662] = {.lex_state = 228, .external_lex_state = 2},
  [15663] = {.lex_state = 436, .external_lex_state = 2},
  [15664] = {.lex_state = 436, .external_lex_state = 2},
  [15665] = {.lex_state = 264, .external_lex_state = 8},
  [15666] = {.lex_state = 436, .external_lex_state = 2},
  [15667] = {.lex_state = 436, .external_lex_state = 2},
  [15668] = {.lex_state = 436, .external_lex_state = 2},
  [15669] = {.lex_state = 128, .external_lex_state = 2},
  [15670] = {.lex_state = 436, .external_lex_state = 2},
  [15671] = {.lex_state = 436, .external_lex_state = 2},
  [15672] = {.lex_state = 436, .external_lex_state = 2},
  [15673] = {.lex_state = 436, .external_lex_state = 2},
  [15674] = {.lex_state = 436, .external_lex_state = 2},
  [15675] = {.lex_state = 436, .external_lex_state = 2},
  [15676] = {.lex_state = 258, .external_lex_state = 2},
  [15677] = {.lex_state = 436, .external_lex_state = 2},
  [15678] = {.lex_state = 436, .external_lex_state = 2},
  [15679] = {.lex_state = 128, .external_lex_state = 2},
  [15680] = {.lex_state = 264, .external_lex_state = 8},
  [15681] = {.lex_state = 436, .external_lex_state = 2},
  [15682] = {.lex_state = 436, .external_lex_state = 2},
  [15683] = {.lex_state = 131, .external_lex_state = 2},
  [15684] = {.lex_state = 436, .external_lex_state = 2},
  [15685] = {.lex_state = 436, .external_lex_state = 2},
  [15686] = {.lex_state = 436, .external_lex_state = 2},
  [15687] = {.lex_state = 436, .external_lex_state = 2},
  [15688] = {.lex_state = 436, .external_lex_state = 2},
  [15689] = {.lex_state = 436, .external_lex_state = 2},
  [15690] = {.lex_state = 436, .external_lex_state = 2},
  [15691] = {.lex_state = 128, .external_lex_state = 2},
  [15692] = {.lex_state = 436, .external_lex_state = 2},
  [15693] = {.lex_state = 436, .external_lex_state = 2},
  [15694] = {.lex_state = 436, .external_lex_state = 2},
  [15695] = {.lex_state = 128, .external_lex_state = 2},
  [15696] = {.lex_state = 436, .external_lex_state = 2},
  [15697] = {.lex_state = 436, .external_lex_state = 2},
  [15698] = {.lex_state = 436, .external_lex_state = 2},
  [15699] = {.lex_state = 436, .external_lex_state = 2},
  [15700] = {.lex_state = 436, .external_lex_state = 2},
  [15701] = {.lex_state = 264, .external_lex_state = 8},
  [15702] = {.lex_state = 436, .external_lex_state = 2},
  [15703] = {.lex_state = 436, .external_lex_state = 2},
  [15704] = {.lex_state = 436, .external_lex_state = 2},
  [15705] = {.lex_state = 436, .external_lex_state = 2},
  [15706] = {.lex_state = 258, .external_lex_state = 2},
  [15707] = {.lex_state = 436, .external_lex_state = 2},
  [15708] = {.lex_state = 436, .external_lex_state = 2},
  [15709] = {.lex_state = 436, .external_lex_state = 2},
  [15710] = {.lex_state = 128, .external_lex_state = 2},
  [15711] = {.lex_state = 131, .external_lex_state = 2},
  [15712] = {.lex_state = 436, .external_lex_state = 2},
  [15713] = {.lex_state = 436, .external_lex_state = 2},
  [15714] = {.lex_state = 258, .external_lex_state = 2},
  [15715] = {.lex_state = 436, .external_lex_state = 2},
  [15716] = {.lex_state = 436, .external_lex_state = 2},
  [15717] = {.lex_state = 436, .external_lex_state = 2},
  [15718] = {.lex_state = 436, .external_lex_state = 2},
  [15719] = {.lex_state = 436, .external_lex_state = 2},
  [15720] = {.lex_state = 264, .external_lex_state = 8},
  [15721] = {.lex_state = 436, .external_lex_state = 2},
  [15722] = {.lex_state = 436, .external_lex_state = 2},
  [15723] = {.lex_state = 436, .external_lex_state = 2},
  [15724] = {.lex_state = 131, .external_lex_state = 2},
  [15725] = {.lex_state = 436, .external_lex_state = 2},
  [15726] = {.lex_state = 128, .external_lex_state = 2},
  [15727] = {.lex_state = 436, .external_lex_state = 2},
  [15728] = {.lex_state = 264, .external_lex_state = 8},
  [15729] = {.lex_state = 436, .external_lex_state = 2},
  [15730] = {.lex_state = 436, .external_lex_state = 2},
  [15731] = {.lex_state = 436, .external_lex_state = 2},
  [15732] = {.lex_state = 436, .external_lex_state = 2},
  [15733] = {.lex_state = 436, .external_lex_state = 2},
  [15734] = {.lex_state = 436, .external_lex_state = 2},
  [15735] = {.lex_state = 158, .external_lex_state = 2},
  [15736] = {.lex_state = 436, .external_lex_state = 2},
  [15737] = {.lex_state = 436, .external_lex_state = 2},
  [15738] = {.lex_state = 436, .external_lex_state = 2},
  [15739] = {.lex_state = 436, .external_lex_state = 2},
  [15740] = {.lex_state = 436, .external_lex_state = 2},
  [15741] = {.lex_state = 131, .external_lex_state = 2},
  [15742] = {.lex_state = 436, .external_lex_state = 2},
  [15743] = {.lex_state = 228, .external_lex_state = 2},
  [15744] = {.lex_state = 436, .external_lex_state = 2},
  [15745] = {.lex_state = 436, .external_lex_state = 2},
  [15746] = {.lex_state = 131, .external_lex_state = 2},
  [15747] = {.lex_state = 436, .external_lex_state = 2},
  [15748] = {.lex_state = 436, .external_lex_state = 2},
  [15749] = {.lex_state = 436, .external_lex_state = 2},
  [15750] = {.lex_state = 436, .external_lex_state = 2},
  [15751] = {.lex_state = 436, .external_lex_state = 2},
  [15752] = {.lex_state = 436, .external_lex_state = 2},
  [15753] = {.lex_state = 436, .external_lex_state = 2},
  [15754] = {.lex_state = 258, .external_lex_state = 2},
  [15755] = {.lex_state = 264, .external_lex_state = 8},
  [15756] = {.lex_state = 436, .external_lex_state = 2},
  [15757] = {.lex_state = 436, .external_lex_state = 2},
  [15758] = {.lex_state = 436, .external_lex_state = 2},
  [15759] = {.lex_state = 436, .external_lex_state = 2},
  [15760] = {.lex_state = 131, .external_lex_state = 2},
  [15761] = {.lex_state = 436, .external_lex_state = 2},
  [15762] = {.lex_state = 436, .external_lex_state = 2},
  [15763] = {.lex_state = 436, .external_lex_state = 2},
  [15764] = {.lex_state = 228, .external_lex_state = 2},
  [15765] = {.lex_state = 436, .external_lex_state = 2},
  [15766] = {.lex_state = 436, .external_lex_state = 2},
  [15767] = {.lex_state = 436, .external_lex_state = 2},
  [15768] = {.lex_state = 436, .external_lex_state = 2},
  [15769] = {.lex_state = 436, .external_lex_state = 2},
  [15770] = {.lex_state = 131, .external_lex_state = 2},
  [15771] = {.lex_state = 436, .external_lex_state = 2},
  [15772] = {.lex_state = 264, .external_lex_state = 8},
  [15773] = {.lex_state = 436, .external_lex_state = 2},
  [15774] = {.lex_state = 436, .external_lex_state = 2},
  [15775] = {.lex_state = 436, .external_lex_state = 2},
  [15776] = {.lex_state = 436, .external_lex_state = 2},
  [15777] = {.lex_state = 436, .external_lex_state = 2},
  [15778] = {.lex_state = 436, .external_lex_state = 2},
  [15779] = {.lex_state = 436, .external_lex_state = 2},
  [15780] = {.lex_state = 436, .external_lex_state = 2},
  [15781] = {.lex_state = 436, .external_lex_state = 2},
  [15782] = {.lex_state = 436, .external_lex_state = 2},
  [15783] = {.lex_state = 128, .external_lex_state = 2},
  [15784] = {.lex_state = 436, .external_lex_state = 2},
  [15785] = {.lex_state = 131, .external_lex_state = 2},
  [15786] = {.lex_state = 436, .external_lex_state = 2},
  [15787] = {.lex_state = 436, .external_lex_state = 2},
  [15788] = {.lex_state = 228, .external_lex_state = 2},
  [15789] = {.lex_state = 436, .external_lex_state = 2},
  [15790] = {.lex_state = 436, .external_lex_state = 2},
  [15791] = {.lex_state = 436, .external_lex_state = 2},
  [15792] = {.lex_state = 436, .external_lex_state = 2},
  [15793] = {.lex_state = 436, .external_lex_state = 2},
  [15794] = {.lex_state = 436, .external_lex_state = 2},
  [15795] = {.lex_state = 436, .external_lex_state = 2},
  [15796] = {.lex_state = 436, .external_lex_state = 2},
  [15797] = {.lex_state = 436, .external_lex_state = 2},
  [15798] = {.lex_state = 436, .external_lex_state = 2},
  [15799] = {.lex_state = 128, .external_lex_state = 2},
  [15800] = {.lex_state = 436, .external_lex_state = 2},
  [15801] = {.lex_state = 436, .external_lex_state = 2},
  [15802] = {.lex_state = 264, .external_lex_state = 8},
  [15803] = {.lex_state = 128, .external_lex_state = 2},
  [15804] = {.lex_state = 131, .external_lex_state = 2},
  [15805] = {.lex_state = 436, .external_lex_state = 2},
  [15806] = {.lex_state = 436, .external_lex_state = 2},
  [15807] = {.lex_state = 436, .external_lex_state = 2},
  [15808] = {.lex_state = 128, .external_lex_state = 2},
  [15809] = {.lex_state = 436, .external_lex_state = 2},
  [15810] = {.lex_state = 436, .external_lex_state = 2},
  [15811] = {.lex_state = 436, .external_lex_state = 2},
  [15812] = {.lex_state = 258, .external_lex_state = 2},
  [15813] = {.lex_state = 436, .external_lex_state = 2},
  [15814] = {.lex_state = 436, .external_lex_state = 2},
  [15815] = {.lex_state = 436, .external_lex_state = 2},
  [15816] = {.lex_state = 436, .external_lex_state = 2},
  [15817] = {.lex_state = 436, .external_lex_state = 2},
  [15818] = {.lex_state = 436, .external_lex_state = 2},
  [15819] = {.lex_state = 436, .external_lex_state = 2},
  [15820] = {.lex_state = 436, .external_lex_state = 2},
  [15821] = {.lex_state = 436, .external_lex_state = 2},
  [15822] = {.lex_state = 436, .external_lex_state = 2},
  [15823] = {.lex_state = 436, .external_lex_state = 2},
  [15824] = {.lex_state = 436, .external_lex_state = 2},
  [15825] = {.lex_state = 436, .external_lex_state = 2},
  [15826] = {.lex_state = 436, .external_lex_state = 2},
  [15827] = {.lex_state = 228, .external_lex_state = 2},
  [15828] = {.lex_state = 264, .external_lex_state = 8},
  [15829] = {.lex_state = 436, .external_lex_state = 2},
  [15830] = {.lex_state = 436, .external_lex_state = 2},
  [15831] = {.lex_state = 436, .external_lex_state = 2},
  [15832] = {.lex_state = 436, .external_lex_state = 2},
  [15833] = {.lex_state = 436, .external_lex_state = 2},
  [15834] = {.lex_state = 436, .external_lex_state = 2},
  [15835] = {.lex_state = 436, .external_lex_state = 2},
  [15836] = {.lex_state = 436, .external_lex_state = 2},
  [15837] = {.lex_state = 436, .external_lex_state = 2},
  [15838] = {.lex_state = 436, .external_lex_state = 2},
  [15839] = {.lex_state = 436, .external_lex_state = 2},
  [15840] = {.lex_state = 228, .external_lex_state = 2},
  [15841] = {.lex_state = 264, .external_lex_state = 8},
  [15842] = {.lex_state = 436, .external_lex_state = 2},
  [15843] = {.lex_state = 436, .external_lex_state = 2},
  [15844] = {.lex_state = 436, .external_lex_state = 2},
  [15845] = {.lex_state = 436, .external_lex_state = 2},
  [15846] = {.lex_state = 436, .external_lex_state = 2},
  [15847] = {.lex_state = 228, .external_lex_state = 2},
  [15848] = {.lex_state = 436, .external_lex_state = 2},
  [15849] = {.lex_state = 436, .external_lex_state = 2},
  [15850] = {.lex_state = 436, .external_lex_state = 2},
  [15851] = {.lex_state = 436, .external_lex_state = 2},
  [15852] = {.lex_state = 436, .external_lex_state = 2},
  [15853] = {.lex_state = 436, .external_lex_state = 2},
  [15854] = {.lex_state = 436, .external_lex_state = 2},
  [15855] = {.lex_state = 436, .external_lex_state = 2},
  [15856] = {.lex_state = 264, .external_lex_state = 8},
  [15857] = {.lex_state = 436, .external_lex_state = 2},
  [15858] = {.lex_state = 436, .external_lex_state = 2},
  [15859] = {.lex_state = 436, .external_lex_state = 2},
  [15860] = {.lex_state = 258, .external_lex_state = 2},
  [15861] = {.lex_state = 436, .external_lex_state = 2},
  [15862] = {.lex_state = 436, .external_lex_state = 2},
  [15863] = {.lex_state = 131, .external_lex_state = 2},
  [15864] = {.lex_state = 131, .external_lex_state = 2},
  [15865] = {.lex_state = 436, .external_lex_state = 2},
  [15866] = {.lex_state = 228, .external_lex_state = 2},
  [15867] = {.lex_state = 436, .external_lex_state = 2},
  [15868] = {.lex_state = 436, .external_lex_state = 2},
  [15869] = {.lex_state = 436, .external_lex_state = 2},
  [15870] = {.lex_state = 436, .external_lex_state = 2},
  [15871] = {.lex_state = 436, .external_lex_state = 2},
  [15872] = {.lex_state = 436, .external_lex_state = 2},
  [15873] = {.lex_state = 436, .external_lex_state = 2},
  [15874] = {.lex_state = 131, .external_lex_state = 2},
  [15875] = {.lex_state = 436, .external_lex_state = 2},
  [15876] = {.lex_state = 264, .external_lex_state = 8},
  [15877] = {.lex_state = 436, .external_lex_state = 2},
  [15878] = {.lex_state = 436, .external_lex_state = 2},
  [15879] = {.lex_state = 128, .external_lex_state = 2},
  [15880] = {.lex_state = 436, .external_lex_state = 2},
  [15881] = {.lex_state = 436, .external_lex_state = 2},
  [15882] = {.lex_state = 258, .external_lex_state = 2},
  [15883] = {.lex_state = 436, .external_lex_state = 2},
  [15884] = {.lex_state = 436, .external_lex_state = 2},
  [15885] = {.lex_state = 436, .external_lex_state = 2},
  [15886] = {.lex_state = 128, .external_lex_state = 2},
  [15887] = {.lex_state = 131, .external_lex_state = 2},
  [15888] = {.lex_state = 131, .external_lex_state = 2},
  [15889] = {.lex_state = 436, .external_lex_state = 2},
  [15890] = {.lex_state = 436, .external_lex_state = 2},
  [15891] = {.lex_state = 436, .external_lex_state = 2},
  [15892] = {.lex_state = 228, .external_lex_state = 2},
  [15893] = {.lex_state = 436, .external_lex_state = 2},
  [15894] = {.lex_state = 436, .external_lex_state = 2},
  [15895] = {.lex_state = 436, .external_lex_state = 2},
  [15896] = {.lex_state = 436, .external_lex_state = 2},
  [15897] = {.lex_state = 436, .external_lex_state = 2},
  [15898] = {.lex_state = 131, .external_lex_state = 2},
  [15899] = {.lex_state = 128, .external_lex_state = 2},
  [15900] = {.lex_state = 436, .external_lex_state = 2},
  [15901] = {.lex_state = 436, .external_lex_state = 2},
  [15902] = {.lex_state = 436, .external_lex_state = 2},
  [15903] = {.lex_state = 436, .external_lex_state = 2},
  [15904] = {.lex_state = 436, .external_lex_state = 2},
  [15905] = {.lex_state = 436, .external_lex_state = 2},
  [15906] = {.lex_state = 436, .external_lex_state = 2},
  [15907] = {.lex_state = 436, .external_lex_state = 2},
  [15908] = {.lex_state = 436, .external_lex_state = 2},
  [15909] = {.lex_state = 258, .external_lex_state = 2},
  [15910] = {.lex_state = 436, .external_lex_state = 2},
  [15911] = {.lex_state = 264, .external_lex_state = 8},
  [15912] = {.lex_state = 436, .external_lex_state = 2},
  [15913] = {.lex_state = 436, .external_lex_state = 2},
  [15914] = {.lex_state = 436, .external_lex_state = 2},
  [15915] = {.lex_state = 436, .external_lex_state = 2},
  [15916] = {.lex_state = 436, .external_lex_state = 2},
  [15917] = {.lex_state = 436, .external_lex_state = 2},
  [15918] = {.lex_state = 436, .external_lex_state = 2},
  [15919] = {.lex_state = 436, .external_lex_state = 2},
  [15920] = {.lex_state = 228, .external_lex_state = 2},
  [15921] = {.lex_state = 436, .external_lex_state = 2},
  [15922] = {.lex_state = 436, .external_lex_state = 2},
  [15923] = {.lex_state = 128, .external_lex_state = 2},
  [15924] = {.lex_state = 436, .external_lex_state = 2},
  [15925] = {.lex_state = 436, .external_lex_state = 2},
  [15926] = {.lex_state = 258, .external_lex_state = 2},
  [15927] = {.lex_state = 436, .external_lex_state = 2},
  [15928] = {.lex_state = 131, .external_lex_state = 2},
  [15929] = {.lex_state = 436, .external_lex_state = 2},
  [15930] = {.lex_state = 128, .external_lex_state = 2},
  [15931] = {.lex_state = 436, .external_lex_state = 2},
  [15932] = {.lex_state = 436, .external_lex_state = 2},
  [15933] = {.lex_state = 436, .external_lex_state = 2},
  [15934] = {.lex_state = 436, .external_lex_state = 2},
  [15935] = {.lex_state = 264, .external_lex_state = 8},
  [15936] = {.lex_state = 436, .external_lex_state = 2},
  [15937] = {.lex_state = 436, .external_lex_state = 2},
  [15938] = {.lex_state = 436, .external_lex_state = 2},
  [15939] = {.lex_state = 436, .external_lex_state = 2},
  [15940] = {.lex_state = 436, .external_lex_state = 2},
  [15941] = {.lex_state = 436, .external_lex_state = 2},
  [15942] = {.lex_state = 436, .external_lex_state = 2},
  [15943] = {.lex_state = 228, .external_lex_state = 2},
  [15944] = {.lex_state = 436, .external_lex_state = 2},
  [15945] = {.lex_state = 436, .external_lex_state = 2},
  [15946] = {.lex_state = 436, .external_lex_state = 2},
  [15947] = {.lex_state = 436, .external_lex_state = 2},
  [15948] = {.lex_state = 436, .external_lex_state = 2},
  [15949] = {.lex_state = 436, .external_lex_state = 2},
  [15950] = {.lex_state = 436, .external_lex_state = 2},
  [15951] = {.lex_state = 258, .external_lex_state = 2},
  [15952] = {.lex_state = 436, .external_lex_state = 2},
  [15953] = {.lex_state = 436, .external_lex_state = 2},
  [15954] = {.lex_state = 258, .external_lex_state = 2},
  [15955] = {.lex_state = 436, .external_lex_state = 2},
  [15956] = {.lex_state = 436, .external_lex_state = 2},
  [15957] = {.lex_state = 436, .external_lex_state = 2},
  [15958] = {.lex_state = 436, .external_lex_state = 2},
  [15959] = {.lex_state = 436, .external_lex_state = 2},
  [15960] = {.lex_state = 131, .external_lex_state = 2},
  [15961] = {.lex_state = 436, .external_lex_state = 2},
  [15962] = {.lex_state = 436, .external_lex_state = 2},
  [15963] = {.lex_state = 228, .external_lex_state = 2},
  [15964] = {.lex_state = 436, .external_lex_state = 2},
  [15965] = {.lex_state = 436, .external_lex_state = 2},
  [15966] = {.lex_state = 436, .external_lex_state = 2},
  [15967] = {.lex_state = 436, .external_lex_state = 2},
  [15968] = {.lex_state = 131, .external_lex_state = 2},
  [15969] = {.lex_state = 436, .external_lex_state = 2},
  [15970] = {.lex_state = 228, .external_lex_state = 2},
  [15971] = {.lex_state = 436, .external_lex_state = 2},
  [15972] = {.lex_state = 436, .external_lex_state = 2},
  [15973] = {.lex_state = 128, .external_lex_state = 2},
  [15974] = {.lex_state = 436, .external_lex_state = 2},
  [15975] = {.lex_state = 436, .external_lex_state = 2},
  [15976] = {.lex_state = 131, .external_lex_state = 2},
  [15977] = {.lex_state = 436, .external_lex_state = 2},
  [15978] = {.lex_state = 264, .external_lex_state = 8},
  [15979] = {.lex_state = 436, .external_lex_state = 2},
  [15980] = {.lex_state = 436, .external_lex_state = 2},
  [15981] = {.lex_state = 436, .external_lex_state = 2},
  [15982] = {.lex_state = 436, .external_lex_state = 2},
  [15983] = {.lex_state = 128, .external_lex_state = 2},
  [15984] = {.lex_state = 131, .external_lex_state = 2},
  [15985] = {.lex_state = 436, .external_lex_state = 2},
  [15986] = {.lex_state = 436, .external_lex_state = 2},
  [15987] = {.lex_state = 436, .external_lex_state = 2},
  [15988] = {.lex_state = 436, .external_lex_state = 2},
  [15989] = {.lex_state = 436, .external_lex_state = 2},
  [15990] = {.lex_state = 128, .external_lex_state = 2},
  [15991] = {.lex_state = 436, .external_lex_state = 2},
  [15992] = {.lex_state = 436, .external_lex_state = 2},
  [15993] = {.lex_state = 228, .external_lex_state = 2},
  [15994] = {.lex_state = 436, .external_lex_state = 2},
  [15995] = {.lex_state = 436, .external_lex_state = 2},
  [15996] = {.lex_state = 436, .external_lex_state = 2},
  [15997] = {.lex_state = 128, .external_lex_state = 2},
  [15998] = {.lex_state = 436, .external_lex_state = 2},
  [15999] = {.lex_state = 131, .external_lex_state = 2},
  [16000] = {.lex_state = 436, .external_lex_state = 2},
  [16001] = {.lex_state = 436, .external_lex_state = 2},
  [16002] = {.lex_state = 436, .external_lex_state = 2},
  [16003] = {.lex_state = 436, .external_lex_state = 2},
  [16004] = {.lex_state = 436, .external_lex_state = 2},
  [16005] = {.lex_state = 258, .external_lex_state = 2},
  [16006] = {.lex_state = 436, .external_lex_state = 2},
  [16007] = {.lex_state = 436, .external_lex_state = 2},
  [16008] = {.lex_state = 436, .external_lex_state = 2},
  [16009] = {.lex_state = 264, .external_lex_state = 8},
  [16010] = {.lex_state = 436, .external_lex_state = 2},
  [16011] = {.lex_state = 436, .external_lex_state = 2},
  [16012] = {.lex_state = 436, .external_lex_state = 2},
  [16013] = {.lex_state = 436, .external_lex_state = 2},
  [16014] = {.lex_state = 436, .external_lex_state = 2},
  [16015] = {.lex_state = 436, .external_lex_state = 2},
  [16016] = {.lex_state = 228, .external_lex_state = 2},
  [16017] = {.lex_state = 128, .external_lex_state = 2},
  [16018] = {.lex_state = 436, .external_lex_state = 2},
  [16019] = {.lex_state = 436, .external_lex_state = 2},
  [16020] = {.lex_state = 436, .external_lex_state = 2},
  [16021] = {.lex_state = 436, .external_lex_state = 2},
  [16022] = {.lex_state = 228, .external_lex_state = 2},
  [16023] = {.lex_state = 436, .external_lex_state = 2},
  [16024] = {.lex_state = 436, .external_lex_state = 2},
  [16025] = {.lex_state = 436, .external_lex_state = 2},
  [16026] = {.lex_state = 436, .external_lex_state = 2},
  [16027] = {.lex_state = 436, .external_lex_state = 2},
  [16028] = {.lex_state = 436, .external_lex_state = 2},
  [16029] = {.lex_state = 436, .external_lex_state = 2},
  [16030] = {.lex_state = 436, .external_lex_state = 2},
  [16031] = {.lex_state = 131, .external_lex_state = 2},
  [16032] = {.lex_state = 436, .external_lex_state = 2},
  [16033] = {.lex_state = 436, .external_lex_state = 2},
  [16034] = {.lex_state = 131, .external_lex_state = 2},
  [16035] = {.lex_state = 436, .external_lex_state = 2},
  [16036] = {.lex_state = 264, .external_lex_state = 8},
  [16037] = {.lex_state = 228, .external_lex_state = 2},
  [16038] = {.lex_state = 436, .external_lex_state = 2},
  [16039] = {.lex_state = 436, .external_lex_state = 2},
  [16040] = {.lex_state = 436, .external_lex_state = 2},
  [16041] = {.lex_state = 436, .external_lex_state = 2},
  [16042] = {.lex_state = 436, .external_lex_state = 2},
  [16043] = {.lex_state = 436, .external_lex_state = 2},
  [16044] = {.lex_state = 436, .external_lex_state = 2},
  [16045] = {.lex_state = 436, .external_lex_state = 2},
  [16046] = {.lex_state = 128, .external_lex_state = 2},
  [16047] = {.lex_state = 131, .external_lex_state = 2},
  [16048] = {.lex_state = 436, .external_lex_state = 2},
  [16049] = {.lex_state = 436, .external_lex_state = 2},
  [16050] = {.lex_state = 436, .external_lex_state = 2},
  [16051] = {.lex_state = 436, .external_lex_state = 2},
  [16052] = {.lex_state = 436, .external_lex_state = 2},
  [16053] = {.lex_state = 128, .external_lex_state = 2},
  [16054] = {.lex_state = 436, .external_lex_state = 2},
  [16055] = {.lex_state = 436, .external_lex_state = 2},
  [16056] = {.lex_state = 436, .external_lex_state = 2},
  [16057] = {.lex_state = 436, .external_lex_state = 2},
  [16058] = {.lex_state = 436, .external_lex_state = 2},
  [16059] = {.lex_state = 436, .external_lex_state = 2},
  [16060] = {.lex_state = 258, .external_lex_state = 2},
  [16061] = {.lex_state = 436, .external_lex_state = 2},
  [16062] = {.lex_state = 258, .external_lex_state = 2},
  [16063] = {.lex_state = 128, .external_lex_state = 2},
  [16064] = {.lex_state = 436, .external_lex_state = 2},
  [16065] = {.lex_state = 436, .external_lex_state = 2},
  [16066] = {.lex_state = 436, .external_lex_state = 2},
  [16067] = {.lex_state = 436, .external_lex_state = 2},
  [16068] = {.lex_state = 436, .external_lex_state = 2},
  [16069] = {.lex_state = 436, .external_lex_state = 2},
  [16070] = {.lex_state = 264, .external_lex_state = 8},
  [16071] = {.lex_state = 264, .external_lex_state = 8},
  [16072] = {.lex_state = 436, .external_lex_state = 2},
  [16073] = {.lex_state = 131, .external_lex_state = 2},
  [16074] = {.lex_state = 436, .external_lex_state = 2},
  [16075] = {.lex_state = 436, .external_lex_state = 2},
  [16076] = {.lex_state = 436, .external_lex_state = 2},
  [16077] = {.lex_state = 436, .external_lex_state = 2},
  [16078] = {.lex_state = 436, .external_lex_state = 2},
  [16079] = {.lex_state = 436, .external_lex_state = 2},
  [16080] = {.lex_state = 258, .external_lex_state = 2},
  [16081] = {.lex_state = 436, .external_lex_state = 2},
  [16082] = {.lex_state = 436, .external_lex_state = 2},
  [16083] = {.lex_state = 436, .external_lex_state = 2},
  [16084] = {.lex_state = 436, .external_lex_state = 2},
  [16085] = {.lex_state = 228, .external_lex_state = 2},
  [16086] = {.lex_state = 436, .external_lex_state = 2},
  [16087] = {.lex_state = 436, .external_lex_state = 2},
  [16088] = {.lex_state = 436, .external_lex_state = 2},
  [16089] = {.lex_state = 436, .external_lex_state = 2},
  [16090] = {.lex_state = 131, .external_lex_state = 2},
  [16091] = {.lex_state = 436, .external_lex_state = 2},
  [16092] = {.lex_state = 436, .external_lex_state = 2},
  [16093] = {.lex_state = 436, .external_lex_state = 2},
  [16094] = {.lex_state = 436, .external_lex_state = 2},
  [16095] = {.lex_state = 436, .external_lex_state = 2},
  [16096] = {.lex_state = 131, .external_lex_state = 2},
  [16097] = {.lex_state = 228, .external_lex_state = 2},
  [16098] = {.lex_state = 436, .external_lex_state = 2},
  [16099] = {.lex_state = 436, .external_lex_state = 2},
  [16100] = {.lex_state = 436, .external_lex_state = 2},
  [16101] = {.lex_state = 436, .external_lex_state = 2},
  [16102] = {.lex_state = 131, .external_lex_state = 2},
  [16103] = {.lex_state = 436, .external_lex_state = 2},
  [16104] = {.lex_state = 436, .external_lex_state = 2},
  [16105] = {.lex_state = 436, .external_lex_state = 2},
  [16106] = {.lex_state = 258, .external_lex_state = 2},
  [16107] = {.lex_state = 436, .external_lex_state = 2},
  [16108] = {.lex_state = 128, .external_lex_state = 2},
  [16109] = {.lex_state = 436, .external_lex_state = 2},
  [16110] = {.lex_state = 436, .external_lex_state = 2},
  [16111] = {.lex_state = 436, .external_lex_state = 2},
  [16112] = {.lex_state = 131, .external_lex_state = 2},
  [16113] = {.lex_state = 436, .external_lex_state = 2},
  [16114] = {.lex_state = 128, .external_lex_state = 2},
  [16115] = {.lex_state = 436, .external_lex_state = 2},
  [16116] = {.lex_state = 436, .external_lex_state = 2},
  [16117] = {.lex_state = 436, .external_lex_state = 2},
  [16118] = {.lex_state = 436, .external_lex_state = 2},
  [16119] = {.lex_state = 436, .external_lex_state = 2},
  [16120] = {.lex_state = 436, .external_lex_state = 2},
  [16121] = {.lex_state = 436, .external_lex_state = 2},
  [16122] = {.lex_state = 436, .external_lex_state = 2},
  [16123] = {.lex_state = 436, .external_lex_state = 2},
  [16124] = {.lex_state = 436, .external_lex_state = 2},
  [16125] = {.lex_state = 436, .external_lex_state = 2},
  [16126] = {.lex_state = 258, .external_lex_state = 2},
  [16127] = {.lex_state = 436, .external_lex_state = 2},
  [16128] = {.lex_state = 436, .external_lex_state = 2},
  [16129] = {.lex_state = 436, .external_lex_state = 2},
  [16130] = {.lex_state = 436, .external_lex_state = 2},
  [16131] = {.lex_state = 436, .external_lex_state = 2},
  [16132] = {.lex_state = 436, .external_lex_state = 2},
  [16133] = {.lex_state = 436, .external_lex_state = 2},
  [16134] = {.lex_state = 436, .external_lex_state = 2},
  [16135] = {.lex_state = 436, .external_lex_state = 2},
  [16136] = {.lex_state = 264, .external_lex_state = 8},
  [16137] = {.lex_state = 436, .external_lex_state = 2},
  [16138] = {.lex_state = 436, .external_lex_state = 2},
  [16139] = {.lex_state = 131, .external_lex_state = 2},
  [16140] = {.lex_state = 436, .external_lex_state = 2},
  [16141] = {.lex_state = 228, .external_lex_state = 2},
  [16142] = {.lex_state = 436, .external_lex_state = 2},
  [16143] = {.lex_state = 128, .external_lex_state = 2},
  [16144] = {.lex_state = 228, .external_lex_state = 2},
  [16145] = {.lex_state = 436, .external_lex_state = 2},
  [16146] = {.lex_state = 436, .external_lex_state = 2},
  [16147] = {.lex_state = 436, .external_lex_state = 2},
  [16148] = {.lex_state = 436, .external_lex_state = 2},
  [16149] = {.lex_state = 436, .external_lex_state = 2},
  [16150] = {.lex_state = 436, .external_lex_state = 2},
  [16151] = {.lex_state = 436, .external_lex_state = 2},
  [16152] = {.lex_state = 436, .external_lex_state = 2},
  [16153] = {.lex_state = 436, .external_lex_state = 2},
  [16154] = {.lex_state = 436, .external_lex_state = 2},
  [16155] = {.lex_state = 436, .external_lex_state = 2},
  [16156] = {.lex_state = 131, .external_lex_state = 2},
  [16157] = {.lex_state = 436, .external_lex_state = 2},
  [16158] = {.lex_state = 131, .external_lex_state = 2},
  [16159] = {.lex_state = 228, .external_lex_state = 2},
  [16160] = {.lex_state = 436, .external_lex_state = 2},
  [16161] = {.lex_state = 436, .external_lex_state = 2},
  [16162] = {.lex_state = 436, .external_lex_state = 2},
  [16163] = {.lex_state = 436, .external_lex_state = 2},
  [16164] = {.lex_state = 436, .external_lex_state = 2},
  [16165] = {.lex_state = 436, .external_lex_state = 2},
  [16166] = {.lex_state = 436, .external_lex_state = 2},
  [16167] = {.lex_state = 436, .external_lex_state = 2},
  [16168] = {.lex_state = 436, .external_lex_state = 2},
  [16169] = {.lex_state = 436, .external_lex_state = 2},
  [16170] = {.lex_state = 436, .external_lex_state = 2},
  [16171] = {.lex_state = 436, .external_lex_state = 2},
  [16172] = {.lex_state = 436, .external_lex_state = 2},
  [16173] = {.lex_state = 436, .external_lex_state = 2},
  [16174] = {.lex_state = 128, .external_lex_state = 2},
  [16175] = {.lex_state = 436, .external_lex_state = 2},
  [16176] = {.lex_state = 436, .external_lex_state = 2},
  [16177] = {.lex_state = 436, .external_lex_state = 2},
  [16178] = {.lex_state = 436, .external_lex_state = 2},
  [16179] = {.lex_state = 436, .external_lex_state = 2},
  [16180] = {.lex_state = 436, .external_lex_state = 2},
  [16181] = {.lex_state = 436, .external_lex_state = 2},
  [16182] = {.lex_state = 131, .external_lex_state = 2},
  [16183] = {.lex_state = 436, .external_lex_state = 2},
  [16184] = {.lex_state = 436, .external_lex_state = 2},
  [16185] = {.lex_state = 436, .external_lex_state = 2},
  [16186] = {.lex_state = 436, .external_lex_state = 2},
  [16187] = {.lex_state = 436, .external_lex_state = 2},
  [16188] = {.lex_state = 436, .external_lex_state = 2},
  [16189] = {.lex_state = 258, .external_lex_state = 2},
  [16190] = {.lex_state = 436, .external_lex_state = 2},
  [16191] = {.lex_state = 436, .external_lex_state = 2},
  [16192] = {.lex_state = 436, .external_lex_state = 2},
  [16193] = {.lex_state = 436, .external_lex_state = 2},
  [16194] = {.lex_state = 436, .external_lex_state = 2},
  [16195] = {.lex_state = 228, .external_lex_state = 2},
  [16196] = {.lex_state = 436, .external_lex_state = 2},
  [16197] = {.lex_state = 436, .external_lex_state = 2},
  [16198] = {.lex_state = 436, .external_lex_state = 2},
  [16199] = {.lex_state = 436, .external_lex_state = 2},
  [16200] = {.lex_state = 228, .external_lex_state = 2},
  [16201] = {.lex_state = 264, .external_lex_state = 8},
  [16202] = {.lex_state = 436, .external_lex_state = 2},
  [16203] = {.lex_state = 436, .external_lex_state = 2},
  [16204] = {.lex_state = 436, .external_lex_state = 2},
  [16205] = {.lex_state = 131, .external_lex_state = 2},
  [16206] = {.lex_state = 436, .external_lex_state = 2},
  [16207] = {.lex_state = 436, .external_lex_state = 2},
  [16208] = {.lex_state = 436, .external_lex_state = 2},
  [16209] = {.lex_state = 228, .external_lex_state = 2},
  [16210] = {.lex_state = 436, .external_lex_state = 2},
  [16211] = {.lex_state = 436, .external_lex_state = 2},
  [16212] = {.lex_state = 436, .external_lex_state = 2},
  [16213] = {.lex_state = 228, .external_lex_state = 2},
  [16214] = {.lex_state = 436, .external_lex_state = 2},
  [16215] = {.lex_state = 436, .external_lex_state = 2},
  [16216] = {.lex_state = 436, .external_lex_state = 2},
  [16217] = {.lex_state = 436, .external_lex_state = 2},
  [16218] = {.lex_state = 436, .external_lex_state = 2},
  [16219] = {.lex_state = 436, .external_lex_state = 2},
  [16220] = {.lex_state = 131, .external_lex_state = 2},
  [16221] = {.lex_state = 131, .external_lex_state = 2},
  [16222] = {.lex_state = 228, .external_lex_state = 2},
  [16223] = {.lex_state = 436, .external_lex_state = 2},
  [16224] = {.lex_state = 436, .external_lex_state = 2},
  [16225] = {.lex_state = 436, .external_lex_state = 2},
  [16226] = {.lex_state = 436, .external_lex_state = 2},
  [16227] = {.lex_state = 436, .external_lex_state = 2},
  [16228] = {.lex_state = 436, .external_lex_state = 2},
  [16229] = {.lex_state = 131, .external_lex_state = 2},
  [16230] = {.lex_state = 436, .external_lex_state = 2},
  [16231] = {.lex_state = 436, .external_lex_state = 2},
  [16232] = {.lex_state = 128, .external_lex_state = 2},
  [16233] = {.lex_state = 436, .external_lex_state = 2},
  [16234] = {.lex_state = 131, .external_lex_state = 2},
  [16235] = {.lex_state = 436, .external_lex_state = 2},
  [16236] = {.lex_state = 128, .external_lex_state = 2},
  [16237] = {.lex_state = 258, .external_lex_state = 2},
  [16238] = {.lex_state = 436, .external_lex_state = 2},
  [16239] = {.lex_state = 436, .external_lex_state = 2},
  [16240] = {.lex_state = 436, .external_lex_state = 2},
  [16241] = {.lex_state = 436, .external_lex_state = 2},
  [16242] = {.lex_state = 436, .external_lex_state = 2},
  [16243] = {.lex_state = 258, .external_lex_state = 2},
  [16244] = {.lex_state = 436, .external_lex_state = 2},
  [16245] = {.lex_state = 436, .external_lex_state = 2},
  [16246] = {.lex_state = 436, .external_lex_state = 2},
  [16247] = {.lex_state = 436, .external_lex_state = 2},
  [16248] = {.lex_state = 436, .external_lex_state = 2},
  [16249] = {.lex_state = 436, .external_lex_state = 2},
  [16250] = {.lex_state = 436, .external_lex_state = 2},
  [16251] = {.lex_state = 436, .external_lex_state = 2},
  [16252] = {.lex_state = 131, .external_lex_state = 2},
  [16253] = {.lex_state = 436, .external_lex_state = 2},
  [16254] = {.lex_state = 436, .external_lex_state = 2},
  [16255] = {.lex_state = 131, .external_lex_state = 2},
  [16256] = {.lex_state = 436, .external_lex_state = 2},
  [16257] = {.lex_state = 128, .external_lex_state = 2},
  [16258] = {.lex_state = 436, .external_lex_state = 2},
  [16259] = {.lex_state = 436, .external_lex_state = 2},
  [16260] = {.lex_state = 436, .external_lex_state = 2},
  [16261] = {.lex_state = 436, .external_lex_state = 2},
  [16262] = {.lex_state = 436, .external_lex_state = 2},
  [16263] = {.lex_state = 436, .external_lex_state = 2},
  [16264] = {.lex_state = 436, .external_lex_state = 2},
  [16265] = {.lex_state = 436, .external_lex_state = 2},
  [16266] = {.lex_state = 436, .external_lex_state = 2},
  [16267] = {.lex_state = 436, .external_lex_state = 2},
  [16268] = {.lex_state = 436, .external_lex_state = 2},
  [16269] = {.lex_state = 436, .external_lex_state = 2},
  [16270] = {.lex_state = 228, .external_lex_state = 2},
  [16271] = {.lex_state = 436, .external_lex_state = 2},
  [16272] = {.lex_state = 436, .external_lex_state = 2},
  [16273] = {.lex_state = 436, .external_lex_state = 2},
  [16274] = {.lex_state = 436, .external_lex_state = 2},
  [16275] = {.lex_state = 436, .external_lex_state = 2},
  [16276] = {.lex_state = 131, .external_lex_state = 2},
  [16277] = {.lex_state = 436, .external_lex_state = 2},
  [16278] = {.lex_state = 228, .external_lex_state = 2},
  [16279] = {.lex_state = 436, .external_lex_state = 2},
  [16280] = {.lex_state = 436, .external_lex_state = 2},
  [16281] = {.lex_state = 436, .external_lex_state = 2},
  [16282] = {.lex_state = 436, .external_lex_state = 2},
  [16283] = {.lex_state = 436, .external_lex_state = 2},
  [16284] = {.lex_state = 436, .external_lex_state = 2},
  [16285] = {.lex_state = 258, .external_lex_state = 2},
  [16286] = {.lex_state = 436, .external_lex_state = 2},
  [16287] = {.lex_state = 264, .external_lex_state = 8},
  [16288] = {.lex_state = 9, .external_lex_state = 2},
  [16289] = {.lex_state = 158, .external_lex_state = 2},
  [16290] = {.lex_state = 436, .external_lex_state = 2},
  [16291] = {.lex_state = 436, .external_lex_state = 2},
  [16292] = {.lex_state = 436, .external_lex_state = 2},
  [16293] = {.lex_state = 436, .external_lex_state = 2},
  [16294] = {.lex_state = 436, .external_lex_state = 2},
  [16295] = {.lex_state = 436, .external_lex_state = 2},
  [16296] = {.lex_state = 158, .external_lex_state = 2},
  [16297] = {.lex_state = 41, .external_lex_state = 2},
  [16298] = {.lex_state = 436, .external_lex_state = 2},
  [16299] = {.lex_state = 436, .external_lex_state = 8},
  [16300] = {.lex_state = 436, .external_lex_state = 2},
  [16301] = {.lex_state = 436, .external_lex_state = 2},
  [16302] = {.lex_state = 9, .external_lex_state = 2},
  [16303] = {.lex_state = 436, .external_lex_state = 2},
  [16304] = {.lex_state = 41, .external_lex_state = 2},
  [16305] = {.lex_state = 436, .external_lex_state = 2},
  [16306] = {.lex_state = 41, .external_lex_state = 2},
  [16307] = {.lex_state = 9, .external_lex_state = 2},
  [16308] = {.lex_state = 9, .external_lex_state = 2},
  [16309] = {.lex_state = 41, .external_lex_state = 2},
  [16310] = {.lex_state = 9, .external_lex_state = 2},
  [16311] = {.lex_state = 41, .external_lex_state = 2},
  [16312] = {.lex_state = 41, .external_lex_state = 2},
  [16313] = {.lex_state = 158, .external_lex_state = 2},
  [16314] = {.lex_state = 158, .external_lex_state = 2},
  [16315] = {.lex_state = 436, .external_lex_state = 2},
  [16316] = {.lex_state = 436, .external_lex_state = 2},
  [16317] = {.lex_state = 436, .external_lex_state = 2},
  [16318] = {.lex_state = 436, .external_lex_state = 2},
  [16319] = {.lex_state = 436, .external_lex_state = 2},
  [16320] = {.lex_state = 9, .external_lex_state = 2},
  [16321] = {.lex_state = 436, .external_lex_state = 2},
  [16322] = {.lex_state = 436, .external_lex_state = 2},
  [16323] = {.lex_state = 158, .external_lex_state = 2},
  [16324] = {.lex_state = 436, .external_lex_state = 8},
  [16325] = {.lex_state = 9, .external_lex_state = 2},
  [16326] = {.lex_state = 41, .external_lex_state = 2},
  [16327] = {.lex_state = 436, .external_lex_state = 2},
  [16328] = {.lex_state = 9, .external_lex_state = 2},
  [16329] = {.lex_state = 436, .external_lex_state = 2},
  [16330] = {.lex_state = 436, .external_lex_state = 2},
  [16331] = {.lex_state = 436, .external_lex_state = 2},
  [16332] = {.lex_state = 436, .external_lex_state = 2},
  [16333] = {.lex_state = 436, .external_lex_state = 2},
  [16334] = {.lex_state = 436, .external_lex_state = 2},
  [16335] = {.lex_state = 436, .external_lex_state = 2},
  [16336] = {.lex_state = 436, .external_lex_state = 2},
  [16337] = {.lex_state = 436, .external_lex_state = 8},
  [16338] = {.lex_state = 436, .external_lex_state = 2},
  [16339] = {.lex_state = 436, .external_lex_state = 2},
  [16340] = {.lex_state = 158, .external_lex_state = 2},
  [16341] = {.lex_state = 436, .external_lex_state = 2},
  [16342] = {.lex_state = 436, .external_lex_state = 2},
  [16343] = {.lex_state = 158, .external_lex_state = 2},
  [16344] = {.lex_state = 436, .external_lex_state = 2},
  [16345] = {.lex_state = 436, .external_lex_state = 2},
  [16346] = {.lex_state = 158, .external_lex_state = 2},
  [16347] = {.lex_state = 436, .external_lex_state = 2},
  [16348] = {.lex_state = 158, .external_lex_state = 2},
  [16349] = {.lex_state = 436, .external_lex_state = 2},
  [16350] = {.lex_state = 436, .external_lex_state = 2},
  [16351] = {.lex_state = 436, .external_lex_state = 2},
  [16352] = {.lex_state = 436, .external_lex_state = 2},
  [16353] = {.lex_state = 436, .external_lex_state = 2},
  [16354] = {.lex_state = 436, .external_lex_state = 2},
  [16355] = {.lex_state = 436, .external_lex_state = 2},
  [16356] = {.lex_state = 9, .external_lex_state = 2},
  [16357] = {.lex_state = 436, .external_lex_state = 2},
  [16358] = {.lex_state = 437, .external_lex_state = 2},
  [16359] = {.lex_state = 436, .external_lex_state = 2},
  [16360] = {.lex_state = 158, .external_lex_state = 2},
  [16361] = {.lex_state = 158, .external_lex_state = 2},
  [16362] = {.lex_state = 436, .external_lex_state = 2},
  [16363] = {.lex_state = 158, .external_lex_state = 2},
  [16364] = {.lex_state = 436, .external_lex_state = 2},
  [16365] = {.lex_state = 158, .external_lex_state = 2},
  [16366] = {.lex_state = 436, .external_lex_state = 2},
  [16367] = {.lex_state = 436, .external_lex_state = 2},
  [16368] = {.lex_state = 158, .external_lex_state = 2},
  [16369] = {.lex_state = 9, .external_lex_state = 2},
  [16370] = {.lex_state = 41, .external_lex_state = 2},
  [16371] = {.lex_state = 436, .external_lex_state = 2},
  [16372] = {.lex_state = 436, .external_lex_state = 2},
  [16373] = {.lex_state = 9, .external_lex_state = 2},
  [16374] = {.lex_state = 436, .external_lex_state = 2},
  [16375] = {.lex_state = 436, .external_lex_state = 2},
  [16376] = {.lex_state = 158, .external_lex_state = 2},
  [16377] = {.lex_state = 436, .external_lex_state = 2},
  [16378] = {.lex_state = 436, .external_lex_state = 2},
  [16379] = {.lex_state = 436, .external_lex_state = 2},
  [16380] = {.lex_state = 9, .external_lex_state = 2},
  [16381] = {.lex_state = 436, .external_lex_state = 2},
  [16382] = {.lex_state = 158, .external_lex_state = 2},
  [16383] = {.lex_state = 436, .external_lex_state = 2},
  [16384] = {.lex_state = 436, .external_lex_state = 2},
  [16385] = {.lex_state = 436, .external_lex_state = 2},
  [16386] = {.lex_state = 436, .external_lex_state = 2},
  [16387] = {.lex_state = 436, .external_lex_state = 2},
  [16388] = {.lex_state = 436, .external_lex_state = 2},
  [16389] = {.lex_state = 436, .external_lex_state = 2},
  [16390] = {.lex_state = 158, .external_lex_state = 2},
  [16391] = {.lex_state = 436, .external_lex_state = 2},
  [16392] = {.lex_state = 436, .external_lex_state = 8},
  [16393] = {.lex_state = 436, .external_lex_state = 2},
  [16394] = {.lex_state = 436, .external_lex_state = 2},
  [16395] = {.lex_state = 436, .external_lex_state = 2},
  [16396] = {.lex_state = 436, .external_lex_state = 2},
  [16397] = {.lex_state = 436, .external_lex_state = 2},
  [16398] = {.lex_state = 436, .external_lex_state = 2},
  [16399] = {.lex_state = 436, .external_lex_state = 2},
  [16400] = {.lex_state = 436, .external_lex_state = 2},
  [16401] = {.lex_state = 436, .external_lex_state = 2},
  [16402] = {.lex_state = 9, .external_lex_state = 2},
  [16403] = {.lex_state = 436, .external_lex_state = 2},
  [16404] = {.lex_state = 436, .external_lex_state = 2},
  [16405] = {.lex_state = 9, .external_lex_state = 2},
  [16406] = {.lex_state = 158, .external_lex_state = 2},
  [16407] = {.lex_state = 436, .external_lex_state = 2},
  [16408] = {.lex_state = 9, .external_lex_state = 2},
  [16409] = {.lex_state = 436, .external_lex_state = 2},
  [16410] = {.lex_state = 436, .external_lex_state = 2},
  [16411] = {.lex_state = 436, .external_lex_state = 2},
  [16412] = {.lex_state = 436, .external_lex_state = 2},
  [16413] = {.lex_state = 9, .external_lex_state = 2},
  [16414] = {.lex_state = 436, .external_lex_state = 2},
  [16415] = {.lex_state = 437, .external_lex_state = 2},
  [16416] = {.lex_state = 436, .external_lex_state = 2},
  [16417] = {.lex_state = 436, .external_lex_state = 2},
  [16418] = {.lex_state = 436, .external_lex_state = 2},
  [16419] = {.lex_state = 158, .external_lex_state = 2},
  [16420] = {.lex_state = 436, .external_lex_state = 2},
  [16421] = {.lex_state = 436, .external_lex_state = 2},
  [16422] = {.lex_state = 9, .external_lex_state = 2},
  [16423] = {.lex_state = 158, .external_lex_state = 2},
  [16424] = {.lex_state = 436, .external_lex_state = 2},
  [16425] = {.lex_state = 436, .external_lex_state = 2},
  [16426] = {.lex_state = 436, .external_lex_state = 2},
  [16427] = {.lex_state = 9, .external_lex_state = 2},
  [16428] = {.lex_state = 436, .external_lex_state = 2},
  [16429] = {.lex_state = 436, .external_lex_state = 2},
  [16430] = {.lex_state = 9, .external_lex_state = 2},
  [16431] = {.lex_state = 158, .external_lex_state = 2},
  [16432] = {.lex_state = 436, .external_lex_state = 2},
  [16433] = {.lex_state = 436, .external_lex_state = 2},
  [16434] = {.lex_state = 436, .external_lex_state = 2},
  [16435] = {.lex_state = 436, .external_lex_state = 2},
  [16436] = {.lex_state = 436, .external_lex_state = 8},
  [16437] = {.lex_state = 9, .external_lex_state = 2},
  [16438] = {.lex_state = 158, .external_lex_state = 2},
  [16439] = {.lex_state = 436, .external_lex_state = 2},
  [16440] = {.lex_state = 9, .external_lex_state = 2},
  [16441] = {.lex_state = 158, .external_lex_state = 2},
  [16442] = {.lex_state = 436, .external_lex_state = 2},
  [16443] = {.lex_state = 9, .external_lex_state = 2},
  [16444] = {.lex_state = 206, .external_lex_state = 2},
  [16445] = {.lex_state = 436, .external_lex_state = 2},
  [16446] = {.lex_state = 436, .external_lex_state = 2},
  [16447] = {.lex_state = 158, .external_lex_state = 2},
  [16448] = {.lex_state = 436, .external_lex_state = 2},
  [16449] = {.lex_state = 9, .external_lex_state = 2},
  [16450] = {.lex_state = 436, .external_lex_state = 2},
  [16451] = {.lex_state = 436, .external_lex_state = 2},
  [16452] = {.lex_state = 436, .external_lex_state = 2},
  [16453] = {.lex_state = 436, .external_lex_state = 2},
  [16454] = {.lex_state = 436, .external_lex_state = 2},
  [16455] = {.lex_state = 9, .external_lex_state = 2},
  [16456] = {.lex_state = 436, .external_lex_state = 2},
  [16457] = {.lex_state = 436, .external_lex_state = 2},
  [16458] = {.lex_state = 436, .external_lex_state = 2},
  [16459] = {.lex_state = 436, .external_lex_state = 2},
  [16460] = {.lex_state = 9, .external_lex_state = 2},
  [16461] = {.lex_state = 436, .external_lex_state = 2},
  [16462] = {.lex_state = 436, .external_lex_state = 2},
  [16463] = {.lex_state = 436, .external_lex_state = 2},
  [16464] = {.lex_state = 436, .external_lex_state = 2},
  [16465] = {.lex_state = 436, .external_lex_state = 2},
  [16466] = {.lex_state = 158, .external_lex_state = 2},
  [16467] = {.lex_state = 436, .external_lex_state = 2},
  [16468] = {.lex_state = 436, .external_lex_state = 2},
  [16469] = {.lex_state = 158, .external_lex_state = 2},
  [16470] = {.lex_state = 436, .external_lex_state = 2},
  [16471] = {.lex_state = 436, .external_lex_state = 2},
  [16472] = {.lex_state = 436, .external_lex_state = 2},
  [16473] = {.lex_state = 436, .external_lex_state = 2},
  [16474] = {.lex_state = 158, .external_lex_state = 2},
  [16475] = {.lex_state = 436, .external_lex_state = 2},
  [16476] = {.lex_state = 436, .external_lex_state = 2},
  [16477] = {.lex_state = 41, .external_lex_state = 2},
  [16478] = {.lex_state = 436, .external_lex_state = 2},
  [16479] = {.lex_state = 436, .external_lex_state = 2},
  [16480] = {.lex_state = 436, .external_lex_state = 2},
  [16481] = {.lex_state = 158, .external_lex_state = 2},
  [16482] = {.lex_state = 158, .external_lex_state = 2},
  [16483] = {.lex_state = 436, .external_lex_state = 2},
  [16484] = {.lex_state = 436, .external_lex_state = 2},
  [16485] = {.lex_state = 9, .external_lex_state = 2},
  [16486] = {.lex_state = 161, .external_lex_state = 2},
  [16487] = {.lex_state = 41, .external_lex_state = 2},
  [16488] = {.lex_state = 131, .external_lex_state = 2},
  [16489] = {.lex_state = 436, .external_lex_state = 2},
  [16490] = {.lex_state = 436, .external_lex_state = 2},
  [16491] = {.lex_state = 41, .external_lex_state = 2},
  [16492] = {.lex_state = 158, .external_lex_state = 2},
  [16493] = {.lex_state = 41, .external_lex_state = 2},
  [16494] = {.lex_state = 158, .external_lex_state = 2},
  [16495] = {.lex_state = 436, .external_lex_state = 2},
  [16496] = {.lex_state = 436, .external_lex_state = 2},
  [16497] = {.lex_state = 9, .external_lex_state = 2},
  [16498] = {.lex_state = 436, .external_lex_state = 2},
  [16499] = {.lex_state = 436, .external_lex_state = 2},
  [16500] = {.lex_state = 436, .external_lex_state = 2},
  [16501] = {.lex_state = 436, .external_lex_state = 2},
  [16502] = {.lex_state = 436, .external_lex_state = 2},
  [16503] = {.lex_state = 436, .external_lex_state = 8},
  [16504] = {.lex_state = 9, .external_lex_state = 2},
  [16505] = {.lex_state = 9, .external_lex_state = 2},
  [16506] = {.lex_state = 9, .external_lex_state = 2},
  [16507] = {.lex_state = 436, .external_lex_state = 2},
  [16508] = {.lex_state = 436, .external_lex_state = 2},
  [16509] = {.lex_state = 436, .external_lex_state = 2},
  [16510] = {.lex_state = 436, .external_lex_state = 2},
  [16511] = {.lex_state = 9, .external_lex_state = 2},
  [16512] = {.lex_state = 436, .external_lex_state = 2},
  [16513] = {.lex_state = 436, .external_lex_state = 2},
  [16514] = {.lex_state = 158, .external_lex_state = 2},
  [16515] = {.lex_state = 436, .external_lex_state = 2},
  [16516] = {.lex_state = 158, .external_lex_state = 2},
  [16517] = {.lex_state = 436, .external_lex_state = 2},
  [16518] = {.lex_state = 436, .external_lex_state = 2},
  [16519] = {.lex_state = 436, .external_lex_state = 2},
  [16520] = {.lex_state = 436, .external_lex_state = 2},
  [16521] = {.lex_state = 436, .external_lex_state = 2},
  [16522] = {.lex_state = 436, .external_lex_state = 8},
  [16523] = {.lex_state = 9, .external_lex_state = 2},
  [16524] = {.lex_state = 436, .external_lex_state = 2},
  [16525] = {.lex_state = 436, .external_lex_state = 2},
  [16526] = {.lex_state = 436, .external_lex_state = 2},
  [16527] = {.lex_state = 161, .external_lex_state = 2},
  [16528] = {.lex_state = 436, .external_lex_state = 2},
  [16529] = {.lex_state = 436, .external_lex_state = 2},
  [16530] = {.lex_state = 436, .external_lex_state = 2},
  [16531] = {.lex_state = 436, .external_lex_state = 2},
  [16532] = {.lex_state = 436, .external_lex_state = 2},
  [16533] = {.lex_state = 9, .external_lex_state = 2},
  [16534] = {.lex_state = 436, .external_lex_state = 2},
  [16535] = {.lex_state = 436, .external_lex_state = 2},
  [16536] = {.lex_state = 436, .external_lex_state = 2},
  [16537] = {.lex_state = 436, .external_lex_state = 2},
  [16538] = {.lex_state = 436, .external_lex_state = 2},
  [16539] = {.lex_state = 436, .external_lex_state = 2},
  [16540] = {.lex_state = 436, .external_lex_state = 2},
  [16541] = {.lex_state = 436, .external_lex_state = 2},
  [16542] = {.lex_state = 9, .external_lex_state = 2},
  [16543] = {.lex_state = 436, .external_lex_state = 2},
  [16544] = {.lex_state = 9, .external_lex_state = 2},
  [16545] = {.lex_state = 436, .external_lex_state = 2},
  [16546] = {.lex_state = 436, .external_lex_state = 2},
  [16547] = {.lex_state = 436, .external_lex_state = 2},
  [16548] = {.lex_state = 436, .external_lex_state = 2},
  [16549] = {.lex_state = 436, .external_lex_state = 2},
  [16550] = {.lex_state = 436, .external_lex_state = 2},
  [16551] = {.lex_state = 436, .external_lex_state = 2},
  [16552] = {.lex_state = 436, .external_lex_state = 2},
  [16553] = {.lex_state = 436, .external_lex_state = 2},
  [16554] = {.lex_state = 436, .external_lex_state = 2},
  [16555] = {.lex_state = 41, .external_lex_state = 2},
  [16556] = {.lex_state = 436, .external_lex_state = 2},
  [16557] = {.lex_state = 158, .external_lex_state = 2},
  [16558] = {.lex_state = 436, .external_lex_state = 2},
  [16559] = {.lex_state = 436, .external_lex_state = 2},
  [16560] = {.lex_state = 9, .external_lex_state = 2},
  [16561] = {.lex_state = 436, .external_lex_state = 2},
  [16562] = {.lex_state = 158, .external_lex_state = 2},
  [16563] = {.lex_state = 436, .external_lex_state = 2},
  [16564] = {.lex_state = 436, .external_lex_state = 2},
  [16565] = {.lex_state = 436, .external_lex_state = 2},
  [16566] = {.lex_state = 436, .external_lex_state = 2},
  [16567] = {.lex_state = 436, .external_lex_state = 2},
  [16568] = {.lex_state = 436, .external_lex_state = 2},
  [16569] = {.lex_state = 436, .external_lex_state = 2},
  [16570] = {.lex_state = 158, .external_lex_state = 2},
  [16571] = {.lex_state = 161, .external_lex_state = 2},
  [16572] = {.lex_state = 436, .external_lex_state = 2},
  [16573] = {.lex_state = 436, .external_lex_state = 2},
  [16574] = {.lex_state = 161, .external_lex_state = 2},
  [16575] = {.lex_state = 9, .external_lex_state = 2},
  [16576] = {.lex_state = 9, .external_lex_state = 2},
  [16577] = {.lex_state = 436, .external_lex_state = 2},
  [16578] = {.lex_state = 436, .external_lex_state = 2},
  [16579] = {.lex_state = 436, .external_lex_state = 2},
  [16580] = {.lex_state = 436, .external_lex_state = 2},
  [16581] = {.lex_state = 436, .external_lex_state = 2},
  [16582] = {.lex_state = 9, .external_lex_state = 2},
  [16583] = {.lex_state = 436, .external_lex_state = 2},
  [16584] = {.lex_state = 436, .external_lex_state = 2},
  [16585] = {.lex_state = 9, .external_lex_state = 2},
  [16586] = {.lex_state = 9, .external_lex_state = 2},
  [16587] = {.lex_state = 158, .external_lex_state = 2},
  [16588] = {.lex_state = 158, .external_lex_state = 2},
  [16589] = {.lex_state = 436, .external_lex_state = 2},
  [16590] = {.lex_state = 161, .external_lex_state = 2},
  [16591] = {.lex_state = 165, .external_lex_state = 2},
  [16592] = {.lex_state = 436, .external_lex_state = 2},
  [16593] = {.lex_state = 165, .external_lex_state = 2},
  [16594] = {.lex_state = 9, .external_lex_state = 2},
  [16595] = {.lex_state = 165, .external_lex_state = 2},
  [16596] = {.lex_state = 436, .external_lex_state = 2},
  [16597] = {.lex_state = 240, .external_lex_state = 2},
  [16598] = {.lex_state = 158, .external_lex_state = 2},
  [16599] = {.lex_state = 161, .external_lex_state = 2},
  [16600] = {.lex_state = 9, .external_lex_state = 2},
  [16601] = {.lex_state = 165, .external_lex_state = 2},
  [16602] = {.lex_state = 9, .external_lex_state = 2},
  [16603] = {.lex_state = 436, .external_lex_state = 2},
  [16604] = {.lex_state = 9, .external_lex_state = 2},
  [16605] = {.lex_state = 165, .external_lex_state = 2},
  [16606] = {.lex_state = 9, .external_lex_state = 2},
  [16607] = {.lex_state = 436, .external_lex_state = 2},
  [16608] = {.lex_state = 165, .external_lex_state = 2},
  [16609] = {.lex_state = 436, .external_lex_state = 2},
  [16610] = {.lex_state = 158, .external_lex_state = 2},
  [16611] = {.lex_state = 436, .external_lex_state = 2},
  [16612] = {.lex_state = 436, .external_lex_state = 2},
  [16613] = {.lex_state = 9, .external_lex_state = 2},
  [16614] = {.lex_state = 436, .external_lex_state = 2},
  [16615] = {.lex_state = 41, .external_lex_state = 2},
  [16616] = {.lex_state = 436, .external_lex_state = 2},
  [16617] = {.lex_state = 158, .external_lex_state = 2},
  [16618] = {.lex_state = 158, .external_lex_state = 2},
  [16619] = {.lex_state = 436, .external_lex_state = 2},
  [16620] = {.lex_state = 436, .external_lex_state = 2},
  [16621] = {.lex_state = 165, .external_lex_state = 2},
  [16622] = {.lex_state = 436, .external_lex_state = 2},
  [16623] = {.lex_state = 158, .external_lex_state = 2},
  [16624] = {.lex_state = 161, .external_lex_state = 2},
  [16625] = {.lex_state = 436, .external_lex_state = 2},
  [16626] = {.lex_state = 436, .external_lex_state = 2},
  [16627] = {.lex_state = 158, .external_lex_state = 2},
  [16628] = {.lex_state = 161, .external_lex_state = 2},
  [16629] = {.lex_state = 436, .external_lex_state = 2},
  [16630] = {.lex_state = 436, .external_lex_state = 2},
  [16631] = {.lex_state = 436, .external_lex_state = 2},
  [16632] = {.lex_state = 436, .external_lex_state = 2},
  [16633] = {.lex_state = 436, .external_lex_state = 2},
  [16634] = {.lex_state = 436, .external_lex_state = 2},
  [16635] = {.lex_state = 436, .external_lex_state = 2},
  [16636] = {.lex_state = 9, .external_lex_state = 2},
  [16637] = {.lex_state = 9, .external_lex_state = 2},
  [16638] = {.lex_state = 436, .external_lex_state = 2},
  [16639] = {.lex_state = 158, .external_lex_state = 2},
  [16640] = {.lex_state = 9, .external_lex_state = 2},
  [16641] = {.lex_state = 158, .external_lex_state = 2},
  [16642] = {.lex_state = 9, .external_lex_state = 2},
  [16643] = {.lex_state = 436, .external_lex_state = 2},
  [16644] = {.lex_state = 41, .external_lex_state = 2},
  [16645] = {.lex_state = 436, .external_lex_state = 2},
  [16646] = {.lex_state = 436, .external_lex_state = 2},
  [16647] = {.lex_state = 436, .external_lex_state = 2},
  [16648] = {.lex_state = 41, .external_lex_state = 2},
  [16649] = {.lex_state = 436, .external_lex_state = 2},
  [16650] = {.lex_state = 41, .external_lex_state = 2},
  [16651] = {.lex_state = 9, .external_lex_state = 2},
  [16652] = {.lex_state = 436, .external_lex_state = 2},
  [16653] = {.lex_state = 436, .external_lex_state = 8},
  [16654] = {.lex_state = 9, .external_lex_state = 2},
  [16655] = {.lex_state = 9, .external_lex_state = 2},
  [16656] = {.lex_state = 436, .external_lex_state = 2},
  [16657] = {.lex_state = 436, .external_lex_state = 2},
  [16658] = {.lex_state = 9, .external_lex_state = 2},
  [16659] = {.lex_state = 436, .external_lex_state = 2},
  [16660] = {.lex_state = 436, .external_lex_state = 8},
  [16661] = {.lex_state = 9, .external_lex_state = 2},
  [16662] = {.lex_state = 9, .external_lex_state = 2},
  [16663] = {.lex_state = 436, .external_lex_state = 2},
  [16664] = {.lex_state = 436, .external_lex_state = 2},
  [16665] = {.lex_state = 436, .external_lex_state = 2},
  [16666] = {.lex_state = 436, .external_lex_state = 8},
  [16667] = {.lex_state = 436, .external_lex_state = 2},
  [16668] = {.lex_state = 436, .external_lex_state = 8},
  [16669] = {.lex_state = 436, .external_lex_state = 8},
  [16670] = {.lex_state = 436, .external_lex_state = 8},
  [16671] = {.lex_state = 158, .external_lex_state = 2},
  [16672] = {.lex_state = 436, .external_lex_state = 8},
  [16673] = {.lex_state = 9, .external_lex_state = 2},
  [16674] = {.lex_state = 436, .external_lex_state = 8},
  [16675] = {.lex_state = 9, .external_lex_state = 2},
  [16676] = {.lex_state = 436, .external_lex_state = 8},
  [16677] = {.lex_state = 436, .external_lex_state = 2},
  [16678] = {.lex_state = 436, .external_lex_state = 8},
  [16679] = {.lex_state = 436, .external_lex_state = 8},
  [16680] = {.lex_state = 436, .external_lex_state = 8},
  [16681] = {.lex_state = 436, .external_lex_state = 8},
  [16682] = {.lex_state = 436, .external_lex_state = 8},
  [16683] = {.lex_state = 436, .external_lex_state = 2},
  [16684] = {.lex_state = 436, .external_lex_state = 2},
  [16685] = {.lex_state = 436, .external_lex_state = 8},
  [16686] = {.lex_state = 436, .external_lex_state = 8},
  [16687] = {.lex_state = 9, .external_lex_state = 2},
  [16688] = {.lex_state = 436, .external_lex_state = 8},
  [16689] = {.lex_state = 436, .external_lex_state = 2},
  [16690] = {.lex_state = 9, .external_lex_state = 2},
  [16691] = {.lex_state = 436, .external_lex_state = 8},
  [16692] = {.lex_state = 436, .external_lex_state = 2},
  [16693] = {.lex_state = 436, .external_lex_state = 2},
  [16694] = {.lex_state = 436, .external_lex_state = 8},
  [16695] = {.lex_state = 436, .external_lex_state = 8},
  [16696] = {.lex_state = 436, .external_lex_state = 8},
  [16697] = {.lex_state = 436, .external_lex_state = 8},
  [16698] = {.lex_state = 436, .external_lex_state = 2},
  [16699] = {.lex_state = 436, .external_lex_state = 2},
  [16700] = {.lex_state = 436, .external_lex_state = 2},
  [16701] = {.lex_state = 436, .external_lex_state = 2},
  [16702] = {.lex_state = 158, .external_lex_state = 2},
  [16703] = {.lex_state = 9, .external_lex_state = 2},
  [16704] = {.lex_state = 436, .external_lex_state = 8},
  [16705] = {.lex_state = 436, .external_lex_state = 2},
  [16706] = {.lex_state = 9, .external_lex_state = 2},
  [16707] = {.lex_state = 436, .external_lex_state = 8},
  [16708] = {.lex_state = 436, .external_lex_state = 2},
  [16709] = {.lex_state = 436, .external_lex_state = 8},
  [16710] = {.lex_state = 9, .external_lex_state = 2},
  [16711] = {.lex_state = 436, .external_lex_state = 8},
  [16712] = {.lex_state = 436, .external_lex_state = 2},
  [16713] = {.lex_state = 436, .external_lex_state = 2},
  [16714] = {.lex_state = 436, .external_lex_state = 2},
  [16715] = {.lex_state = 158, .external_lex_state = 2},
  [16716] = {.lex_state = 436, .external_lex_state = 2},
  [16717] = {.lex_state = 436, .external_lex_state = 2},
  [16718] = {.lex_state = 436, .external_lex_state = 8},
  [16719] = {.lex_state = 436, .external_lex_state = 2},
  [16720] = {.lex_state = 436, .external_lex_state = 2},
  [16721] = {.lex_state = 436, .external_lex_state = 8},
  [16722] = {.lex_state = 436, .external_lex_state = 2},
  [16723] = {.lex_state = 436, .external_lex_state = 2},
  [16724] = {.lex_state = 436, .external_lex_state = 2},
  [16725] = {.lex_state = 436, .external_lex_state = 8},
  [16726] = {.lex_state = 436, .external_lex_state = 2},
  [16727] = {.lex_state = 436, .external_lex_state = 2},
  [16728] = {.lex_state = 436, .external_lex_state = 2},
  [16729] = {.lex_state = 436, .external_lex_state = 8},
  [16730] = {.lex_state = 9, .external_lex_state = 2},
  [16731] = {.lex_state = 436, .external_lex_state = 2},
  [16732] = {.lex_state = 436, .external_lex_state = 2},
  [16733] = {.lex_state = 436, .external_lex_state = 2},
  [16734] = {.lex_state = 436, .external_lex_state = 2},
  [16735] = {.lex_state = 436, .external_lex_state = 2},
  [16736] = {.lex_state = 436, .external_lex_state = 8},
  [16737] = {.lex_state = 9, .external_lex_state = 2},
  [16738] = {.lex_state = 436, .external_lex_state = 2},
  [16739] = {.lex_state = 158, .external_lex_state = 2},
  [16740] = {.lex_state = 436, .external_lex_state = 2},
  [16741] = {.lex_state = 436, .external_lex_state = 2},
  [16742] = {.lex_state = 436, .external_lex_state = 2},
  [16743] = {.lex_state = 436, .external_lex_state = 2},
  [16744] = {.lex_state = 436, .external_lex_state = 8},
  [16745] = {.lex_state = 436, .external_lex_state = 2},
  [16746] = {.lex_state = 436, .external_lex_state = 2},
  [16747] = {.lex_state = 158, .external_lex_state = 2},
  [16748] = {.lex_state = 436, .external_lex_state = 2},
  [16749] = {.lex_state = 436, .external_lex_state = 2},
  [16750] = {.lex_state = 436, .external_lex_state = 8},
  [16751] = {.lex_state = 436, .external_lex_state = 2},
  [16752] = {.lex_state = 436, .external_lex_state = 2},
  [16753] = {.lex_state = 436, .external_lex_state = 2},
  [16754] = {.lex_state = 436, .external_lex_state = 2},
  [16755] = {.lex_state = 436, .external_lex_state = 8},
  [16756] = {.lex_state = 436, .external_lex_state = 2},
  [16757] = {.lex_state = 436, .external_lex_state = 2},
  [16758] = {.lex_state = 436, .external_lex_state = 2},
  [16759] = {.lex_state = 436, .external_lex_state = 8},
  [16760] = {.lex_state = 436, .external_lex_state = 2},
  [16761] = {.lex_state = 436, .external_lex_state = 2},
  [16762] = {.lex_state = 436, .external_lex_state = 2},
  [16763] = {.lex_state = 436, .external_lex_state = 2},
  [16764] = {.lex_state = 436, .external_lex_state = 2},
  [16765] = {.lex_state = 436, .external_lex_state = 8},
  [16766] = {.lex_state = 436, .external_lex_state = 2},
  [16767] = {.lex_state = 9, .external_lex_state = 2},
  [16768] = {.lex_state = 436, .external_lex_state = 2},
  [16769] = {.lex_state = 436, .external_lex_state = 2},
  [16770] = {.lex_state = 436, .external_lex_state = 2},
  [16771] = {.lex_state = 436, .external_lex_state = 8},
  [16772] = {.lex_state = 9, .external_lex_state = 2},
  [16773] = {.lex_state = 436, .external_lex_state = 2},
  [16774] = {.lex_state = 436, .external_lex_state = 2},
  [16775] = {.lex_state = 436, .external_lex_state = 2},
  [16776] = {.lex_state = 436, .external_lex_state = 2},
  [16777] = {.lex_state = 436, .external_lex_state = 8},
  [16778] = {.lex_state = 436, .external_lex_state = 8},
  [16779] = {.lex_state = 436, .external_lex_state = 2},
  [16780] = {.lex_state = 436, .external_lex_state = 2},
  [16781] = {.lex_state = 436, .external_lex_state = 2},
  [16782] = {.lex_state = 158, .external_lex_state = 2},
  [16783] = {.lex_state = 158, .external_lex_state = 2},
  [16784] = {.lex_state = 436, .external_lex_state = 2},
  [16785] = {.lex_state = 436, .external_lex_state = 2},
  [16786] = {.lex_state = 436, .external_lex_state = 2},
  [16787] = {.lex_state = 41, .external_lex_state = 2},
  [16788] = {.lex_state = 436, .external_lex_state = 8},
  [16789] = {.lex_state = 436, .external_lex_state = 2},
  [16790] = {.lex_state = 9, .external_lex_state = 2},
  [16791] = {.lex_state = 41, .external_lex_state = 2},
  [16792] = {.lex_state = 436, .external_lex_state = 2},
  [16793] = {.lex_state = 41, .external_lex_state = 2},
  [16794] = {.lex_state = 436, .external_lex_state = 2},
  [16795] = {.lex_state = 436, .external_lex_state = 2},
  [16796] = {.lex_state = 436, .external_lex_state = 2},
  [16797] = {.lex_state = 9, .external_lex_state = 2},
  [16798] = {.lex_state = 436, .external_lex_state = 8},
  [16799] = {.lex_state = 436, .external_lex_state = 2},
  [16800] = {.lex_state = 9, .external_lex_state = 2},
  [16801] = {.lex_state = 436, .external_lex_state = 2},
  [16802] = {.lex_state = 41, .external_lex_state = 2},
  [16803] = {.lex_state = 436, .external_lex_state = 8},
  [16804] = {.lex_state = 436, .external_lex_state = 2},
  [16805] = {.lex_state = 436, .external_lex_state = 2},
  [16806] = {.lex_state = 436, .external_lex_state = 2},
  [16807] = {.lex_state = 436, .external_lex_state = 2},
  [16808] = {.lex_state = 436, .external_lex_state = 8},
  [16809] = {.lex_state = 436, .external_lex_state = 2},
  [16810] = {.lex_state = 436, .external_lex_state = 2},
  [16811] = {.lex_state = 436, .external_lex_state = 2},
  [16812] = {.lex_state = 436, .external_lex_state = 2},
  [16813] = {.lex_state = 41, .external_lex_state = 2},
  [16814] = {.lex_state = 158, .external_lex_state = 2},
  [16815] = {.lex_state = 158, .external_lex_state = 2},
  [16816] = {.lex_state = 436, .external_lex_state = 2},
  [16817] = {.lex_state = 436, .external_lex_state = 2},
  [16818] = {.lex_state = 436, .external_lex_state = 2},
  [16819] = {.lex_state = 437, .external_lex_state = 2},
  [16820] = {.lex_state = 436, .external_lex_state = 2},
  [16821] = {.lex_state = 9, .external_lex_state = 2},
  [16822] = {.lex_state = 436, .external_lex_state = 8},
  [16823] = {.lex_state = 158, .external_lex_state = 2},
  [16824] = {.lex_state = 41, .external_lex_state = 2},
  [16825] = {.lex_state = 436, .external_lex_state = 8},
  [16826] = {.lex_state = 436, .external_lex_state = 2},
  [16827] = {.lex_state = 436, .external_lex_state = 2},
  [16828] = {.lex_state = 436, .external_lex_state = 2},
  [16829] = {.lex_state = 436, .external_lex_state = 2},
  [16830] = {.lex_state = 436, .external_lex_state = 2},
  [16831] = {.lex_state = 436, .external_lex_state = 2},
  [16832] = {.lex_state = 158, .external_lex_state = 2},
  [16833] = {.lex_state = 9, .external_lex_state = 2},
  [16834] = {.lex_state = 436, .external_lex_state = 8},
  [16835] = {.lex_state = 9, .external_lex_state = 2},
  [16836] = {.lex_state = 436, .external_lex_state = 2},
  [16837] = {.lex_state = 158, .external_lex_state = 2},
  [16838] = {.lex_state = 436, .external_lex_state = 2},
  [16839] = {.lex_state = 436, .external_lex_state = 2},
  [16840] = {.lex_state = 436, .external_lex_state = 2},
  [16841] = {.lex_state = 436, .external_lex_state = 2},
  [16842] = {.lex_state = 436, .external_lex_state = 2},
  [16843] = {.lex_state = 436, .external_lex_state = 2},
  [16844] = {.lex_state = 436, .external_lex_state = 2},
  [16845] = {.lex_state = 158, .external_lex_state = 2},
  [16846] = {.lex_state = 436, .external_lex_state = 2},
  [16847] = {.lex_state = 158, .external_lex_state = 2},
  [16848] = {.lex_state = 158, .external_lex_state = 2},
  [16849] = {.lex_state = 158, .external_lex_state = 2},
  [16850] = {.lex_state = 436, .external_lex_state = 2},
  [16851] = {.lex_state = 9, .external_lex_state = 2},
  [16852] = {.lex_state = 436, .external_lex_state = 8},
  [16853] = {.lex_state = 436, .external_lex_state = 2},
  [16854] = {.lex_state = 436, .external_lex_state = 2},
  [16855] = {.lex_state = 9, .external_lex_state = 2},
  [16856] = {.lex_state = 436, .external_lex_state = 2},
  [16857] = {.lex_state = 9, .external_lex_state = 2},
  [16858] = {.lex_state = 436, .external_lex_state = 2},
  [16859] = {.lex_state = 436, .external_lex_state = 2},
  [16860] = {.lex_state = 436, .external_lex_state = 2},
  [16861] = {.lex_state = 158, .external_lex_state = 2},
  [16862] = {.lex_state = 9, .external_lex_state = 2},
  [16863] = {.lex_state = 436, .external_lex_state = 2},
  [16864] = {.lex_state = 158, .external_lex_state = 2},
  [16865] = {.lex_state = 436, .external_lex_state = 2},
  [16866] = {.lex_state = 436, .external_lex_state = 8},
  [16867] = {.lex_state = 436, .external_lex_state = 2},
  [16868] = {.lex_state = 436, .external_lex_state = 2},
  [16869] = {.lex_state = 436, .external_lex_state = 2},
  [16870] = {.lex_state = 436, .external_lex_state = 2},
  [16871] = {.lex_state = 436, .external_lex_state = 2},
  [16872] = {.lex_state = 436, .external_lex_state = 2},
  [16873] = {.lex_state = 436, .external_lex_state = 2},
  [16874] = {.lex_state = 436, .external_lex_state = 8},
  [16875] = {.lex_state = 9, .external_lex_state = 2},
  [16876] = {.lex_state = 9, .external_lex_state = 2},
  [16877] = {.lex_state = 436, .external_lex_state = 2},
  [16878] = {.lex_state = 436, .external_lex_state = 2},
  [16879] = {.lex_state = 436, .external_lex_state = 2},
  [16880] = {.lex_state = 158, .external_lex_state = 2},
  [16881] = {.lex_state = 436, .external_lex_state = 2},
  [16882] = {.lex_state = 436, .external_lex_state = 2},
  [16883] = {.lex_state = 436, .external_lex_state = 2},
  [16884] = {.lex_state = 436, .external_lex_state = 2},
  [16885] = {.lex_state = 9, .external_lex_state = 2},
  [16886] = {.lex_state = 436, .external_lex_state = 2},
  [16887] = {.lex_state = 436, .external_lex_state = 2},
  [16888] = {.lex_state = 436, .external_lex_state = 2},
  [16889] = {.lex_state = 436, .external_lex_state = 2},
  [16890] = {.lex_state = 436, .external_lex_state = 2},
  [16891] = {.lex_state = 436, .external_lex_state = 2},
  [16892] = {.lex_state = 9, .external_lex_state = 2},
  [16893] = {.lex_state = 436, .external_lex_state = 8},
  [16894] = {.lex_state = 436, .external_lex_state = 2},
  [16895] = {.lex_state = 436, .external_lex_state = 2},
  [16896] = {.lex_state = 41, .external_lex_state = 2},
  [16897] = {.lex_state = 158, .external_lex_state = 2},
  [16898] = {.lex_state = 436, .external_lex_state = 2},
  [16899] = {.lex_state = 436, .external_lex_state = 2},
  [16900] = {.lex_state = 41, .external_lex_state = 2},
  [16901] = {.lex_state = 436, .external_lex_state = 2},
  [16902] = {.lex_state = 41, .external_lex_state = 2},
  [16903] = {.lex_state = 436, .external_lex_state = 2},
  [16904] = {.lex_state = 436, .external_lex_state = 2},
  [16905] = {.lex_state = 436, .external_lex_state = 2},
  [16906] = {.lex_state = 436, .external_lex_state = 2},
  [16907] = {.lex_state = 436, .external_lex_state = 2},
  [16908] = {.lex_state = 436, .external_lex_state = 2},
  [16909] = {.lex_state = 158, .external_lex_state = 2},
  [16910] = {.lex_state = 436, .external_lex_state = 2},
  [16911] = {.lex_state = 158, .external_lex_state = 2},
  [16912] = {.lex_state = 436, .external_lex_state = 8},
  [16913] = {.lex_state = 436, .external_lex_state = 2},
  [16914] = {.lex_state = 436, .external_lex_state = 2},
  [16915] = {.lex_state = 436, .external_lex_state = 2},
  [16916] = {.lex_state = 436, .external_lex_state = 8},
  [16917] = {.lex_state = 158, .external_lex_state = 2},
  [16918] = {.lex_state = 436, .external_lex_state = 2},
  [16919] = {.lex_state = 436, .external_lex_state = 2},
  [16920] = {.lex_state = 436, .external_lex_state = 2},
  [16921] = {.lex_state = 158, .external_lex_state = 2},
  [16922] = {.lex_state = 436, .external_lex_state = 2},
  [16923] = {.lex_state = 436, .external_lex_state = 2},
  [16924] = {.lex_state = 436, .external_lex_state = 2},
  [16925] = {.lex_state = 158, .external_lex_state = 2},
  [16926] = {.lex_state = 9, .external_lex_state = 2},
  [16927] = {.lex_state = 158, .external_lex_state = 2},
  [16928] = {.lex_state = 436, .external_lex_state = 2},
  [16929] = {.lex_state = 436, .external_lex_state = 8},
  [16930] = {.lex_state = 436, .external_lex_state = 8},
  [16931] = {.lex_state = 158, .external_lex_state = 2},
  [16932] = {.lex_state = 436, .external_lex_state = 2},
  [16933] = {.lex_state = 436, .external_lex_state = 2},
  [16934] = {.lex_state = 158, .external_lex_state = 2},
  [16935] = {.lex_state = 436, .external_lex_state = 2},
  [16936] = {.lex_state = 436, .external_lex_state = 2},
  [16937] = {.lex_state = 436, .external_lex_state = 2},
  [16938] = {.lex_state = 436, .external_lex_state = 2},
  [16939] = {.lex_state = 436, .external_lex_state = 2},
  [16940] = {.lex_state = 436, .external_lex_state = 2},
  [16941] = {.lex_state = 436, .external_lex_state = 2},
  [16942] = {.lex_state = 158, .external_lex_state = 2},
  [16943] = {.lex_state = 436, .external_lex_state = 2},
  [16944] = {.lex_state = 436, .external_lex_state = 8},
  [16945] = {.lex_state = 436, .external_lex_state = 2},
  [16946] = {.lex_state = 436, .external_lex_state = 2},
  [16947] = {.lex_state = 436, .external_lex_state = 2},
  [16948] = {.lex_state = 436, .external_lex_state = 2},
  [16949] = {.lex_state = 9, .external_lex_state = 2},
  [16950] = {.lex_state = 436, .external_lex_state = 2},
  [16951] = {.lex_state = 436, .external_lex_state = 2},
  [16952] = {.lex_state = 436, .external_lex_state = 2},
  [16953] = {.lex_state = 436, .external_lex_state = 2},
  [16954] = {.lex_state = 436, .external_lex_state = 2},
  [16955] = {.lex_state = 436, .external_lex_state = 2},
  [16956] = {.lex_state = 436, .external_lex_state = 2},
  [16957] = {.lex_state = 436, .external_lex_state = 2},
  [16958] = {.lex_state = 436, .external_lex_state = 2},
  [16959] = {.lex_state = 436, .external_lex_state = 2},
  [16960] = {.lex_state = 436, .external_lex_state = 2},
  [16961] = {.lex_state = 436, .external_lex_state = 8},
  [16962] = {.lex_state = 41, .external_lex_state = 2},
  [16963] = {.lex_state = 436, .external_lex_state = 2},
  [16964] = {.lex_state = 436, .external_lex_state = 2},
  [16965] = {.lex_state = 436, .external_lex_state = 2},
  [16966] = {.lex_state = 436, .external_lex_state = 2},
  [16967] = {.lex_state = 437, .external_lex_state = 2},
  [16968] = {.lex_state = 158, .external_lex_state = 2},
  [16969] = {.lex_state = 158, .external_lex_state = 2},
  [16970] = {.lex_state = 436, .external_lex_state = 2},
  [16971] = {.lex_state = 436, .external_lex_state = 2},
  [16972] = {.lex_state = 436, .external_lex_state = 2},
  [16973] = {.lex_state = 436, .external_lex_state = 8},
  [16974] = {.lex_state = 9, .external_lex_state = 2},
  [16975] = {.lex_state = 41, .external_lex_state = 2},
  [16976] = {.lex_state = 436, .external_lex_state = 2},
  [16977] = {.lex_state = 436, .external_lex_state = 2},
  [16978] = {.lex_state = 436, .external_lex_state = 2},
  [16979] = {.lex_state = 436, .external_lex_state = 2},
  [16980] = {.lex_state = 436, .external_lex_state = 2},
  [16981] = {.lex_state = 436, .external_lex_state = 2},
  [16982] = {.lex_state = 436, .external_lex_state = 2},
  [16983] = {.lex_state = 436, .external_lex_state = 2},
  [16984] = {.lex_state = 436, .external_lex_state = 8},
  [16985] = {.lex_state = 158, .external_lex_state = 2},
  [16986] = {.lex_state = 158, .external_lex_state = 2},
  [16987] = {.lex_state = 41, .external_lex_state = 2},
  [16988] = {.lex_state = 158, .external_lex_state = 2},
  [16989] = {.lex_state = 9, .external_lex_state = 2},
  [16990] = {.lex_state = 436, .external_lex_state = 2},
  [16991] = {.lex_state = 436, .external_lex_state = 2},
  [16992] = {.lex_state = 436, .external_lex_state = 2},
  [16993] = {.lex_state = 436, .external_lex_state = 2},
  [16994] = {.lex_state = 436, .external_lex_state = 2},
  [16995] = {.lex_state = 436, .external_lex_state = 2},
  [16996] = {.lex_state = 436, .external_lex_state = 2},
  [16997] = {.lex_state = 436, .external_lex_state = 2},
  [16998] = {.lex_state = 9, .external_lex_state = 2},
  [16999] = {.lex_state = 436, .external_lex_state = 8},
  [17000] = {.lex_state = 9, .external_lex_state = 2},
  [17001] = {.lex_state = 41, .external_lex_state = 2},
  [17002] = {.lex_state = 436, .external_lex_state = 2},
  [17003] = {.lex_state = 41, .external_lex_state = 2},
  [17004] = {.lex_state = 436, .external_lex_state = 2},
  [17005] = {.lex_state = 436, .external_lex_state = 2},
  [17006] = {.lex_state = 436, .external_lex_state = 2},
  [17007] = {.lex_state = 41, .external_lex_state = 2},
  [17008] = {.lex_state = 436, .external_lex_state = 2},
  [17009] = {.lex_state = 41, .external_lex_state = 2},
  [17010] = {.lex_state = 436, .external_lex_state = 2},
  [17011] = {.lex_state = 436, .external_lex_state = 2},
  [17012] = {.lex_state = 9, .external_lex_state = 2},
  [17013] = {.lex_state = 436, .external_lex_state = 2},
  [17014] = {.lex_state = 436, .external_lex_state = 2},
  [17015] = {.lex_state = 436, .external_lex_state = 2},
  [17016] = {.lex_state = 436, .external_lex_state = 2},
  [17017] = {.lex_state = 436, .external_lex_state = 2},
  [17018] = {.lex_state = 436, .external_lex_state = 2},
  [17019] = {.lex_state = 436, .external_lex_state = 8},
  [17020] = {.lex_state = 436, .external_lex_state = 8},
  [17021] = {.lex_state = 436, .external_lex_state = 2},
  [17022] = {.lex_state = 41, .external_lex_state = 2},
  [17023] = {.lex_state = 436, .external_lex_state = 2},
  [17024] = {.lex_state = 436, .external_lex_state = 2},
  [17025] = {.lex_state = 436, .external_lex_state = 2},
  [17026] = {.lex_state = 158, .external_lex_state = 2},
  [17027] = {.lex_state = 436, .external_lex_state = 2},
  [17028] = {.lex_state = 9, .external_lex_state = 2},
  [17029] = {.lex_state = 9, .external_lex_state = 2},
  [17030] = {.lex_state = 436, .external_lex_state = 2},
  [17031] = {.lex_state = 436, .external_lex_state = 2},
  [17032] = {.lex_state = 436, .external_lex_state = 2},
  [17033] = {.lex_state = 436, .external_lex_state = 2},
  [17034] = {.lex_state = 436, .external_lex_state = 2},
  [17035] = {.lex_state = 436, .external_lex_state = 8},
  [17036] = {.lex_state = 41, .external_lex_state = 2},
  [17037] = {.lex_state = 436, .external_lex_state = 2},
  [17038] = {.lex_state = 436, .external_lex_state = 2},
  [17039] = {.lex_state = 9, .external_lex_state = 2},
  [17040] = {.lex_state = 436, .external_lex_state = 2},
  [17041] = {.lex_state = 436, .external_lex_state = 2},
  [17042] = {.lex_state = 436, .external_lex_state = 2},
  [17043] = {.lex_state = 436, .external_lex_state = 2},
  [17044] = {.lex_state = 436, .external_lex_state = 2},
  [17045] = {.lex_state = 436, .external_lex_state = 2},
  [17046] = {.lex_state = 158, .external_lex_state = 2},
  [17047] = {.lex_state = 9, .external_lex_state = 2},
  [17048] = {.lex_state = 436, .external_lex_state = 2},
  [17049] = {.lex_state = 436, .external_lex_state = 2},
  [17050] = {.lex_state = 436, .external_lex_state = 2},
  [17051] = {.lex_state = 436, .external_lex_state = 2},
  [17052] = {.lex_state = 436, .external_lex_state = 2},
  [17053] = {.lex_state = 436, .external_lex_state = 2},
  [17054] = {.lex_state = 436, .external_lex_state = 8},
  [17055] = {.lex_state = 436, .external_lex_state = 2},
  [17056] = {.lex_state = 9, .external_lex_state = 2},
  [17057] = {.lex_state = 158, .external_lex_state = 2},
  [17058] = {.lex_state = 41, .external_lex_state = 2},
  [17059] = {.lex_state = 436, .external_lex_state = 2},
  [17060] = {.lex_state = 436, .external_lex_state = 2},
  [17061] = {.lex_state = 436, .external_lex_state = 2},
  [17062] = {.lex_state = 436, .external_lex_state = 2},
  [17063] = {.lex_state = 436, .external_lex_state = 2},
  [17064] = {.lex_state = 436, .external_lex_state = 2},
  [17065] = {.lex_state = 436, .external_lex_state = 2},
  [17066] = {.lex_state = 436, .external_lex_state = 2},
  [17067] = {.lex_state = 436, .external_lex_state = 8},
  [17068] = {.lex_state = 436, .external_lex_state = 2},
  [17069] = {.lex_state = 436, .external_lex_state = 2},
  [17070] = {.lex_state = 41, .external_lex_state = 2},
  [17071] = {.lex_state = 436, .external_lex_state = 2},
  [17072] = {.lex_state = 436, .external_lex_state = 2},
  [17073] = {.lex_state = 436, .external_lex_state = 2},
  [17074] = {.lex_state = 436, .external_lex_state = 2},
  [17075] = {.lex_state = 436, .external_lex_state = 2},
  [17076] = {.lex_state = 41, .external_lex_state = 2},
  [17077] = {.lex_state = 436, .external_lex_state = 2},
  [17078] = {.lex_state = 436, .external_lex_state = 2},
  [17079] = {.lex_state = 9, .external_lex_state = 2},
  [17080] = {.lex_state = 158, .external_lex_state = 2},
  [17081] = {.lex_state = 436, .external_lex_state = 2},
  [17082] = {.lex_state = 436, .external_lex_state = 2},
  [17083] = {.lex_state = 436, .external_lex_state = 8},
  [17084] = {.lex_state = 436, .external_lex_state = 2},
  [17085] = {.lex_state = 41, .external_lex_state = 2},
  [17086] = {.lex_state = 158, .external_lex_state = 2},
  [17087] = {.lex_state = 41, .external_lex_state = 2},
  [17088] = {.lex_state = 436, .external_lex_state = 2},
  [17089] = {.lex_state = 436, .external_lex_state = 2},
  [17090] = {.lex_state = 436, .external_lex_state = 2},
  [17091] = {.lex_state = 436, .external_lex_state = 2},
  [17092] = {.lex_state = 41, .external_lex_state = 2},
  [17093] = {.lex_state = 436, .external_lex_state = 2},
  [17094] = {.lex_state = 437, .external_lex_state = 2},
  [17095] = {.lex_state = 436, .external_lex_state = 2},
  [17096] = {.lex_state = 41, .external_lex_state = 2},
  [17097] = {.lex_state = 158, .external_lex_state = 2},
  [17098] = {.lex_state = 41, .external_lex_state = 2},
  [17099] = {.lex_state = 436, .external_lex_state = 2},
  [17100] = {.lex_state = 158, .external_lex_state = 2},
  [17101] = {.lex_state = 158, .external_lex_state = 2},
  [17102] = {.lex_state = 436, .external_lex_state = 2},
  [17103] = {.lex_state = 436, .external_lex_state = 8},
  [17104] = {.lex_state = 41, .external_lex_state = 2},
  [17105] = {.lex_state = 41, .external_lex_state = 2},
  [17106] = {.lex_state = 436, .external_lex_state = 2},
  [17107] = {.lex_state = 436, .external_lex_state = 8},
  [17108] = {.lex_state = 436, .external_lex_state = 8},
  [17109] = {.lex_state = 41, .external_lex_state = 2},
  [17110] = {.lex_state = 436, .external_lex_state = 2},
  [17111] = {.lex_state = 436, .external_lex_state = 2},
  [17112] = {.lex_state = 436, .external_lex_state = 2},
  [17113] = {.lex_state = 436, .external_lex_state = 2},
  [17114] = {.lex_state = 436, .external_lex_state = 2},
  [17115] = {.lex_state = 158, .external_lex_state = 2},
  [17116] = {.lex_state = 436, .external_lex_state = 2},
  [17117] = {.lex_state = 436, .external_lex_state = 2},
  [17118] = {.lex_state = 436, .external_lex_state = 2},
  [17119] = {.lex_state = 436, .external_lex_state = 2},
  [17120] = {.lex_state = 436, .external_lex_state = 2},
  [17121] = {.lex_state = 436, .external_lex_state = 2},
  [17122] = {.lex_state = 436, .external_lex_state = 2},
  [17123] = {.lex_state = 436, .external_lex_state = 8},
  [17124] = {.lex_state = 158, .external_lex_state = 2},
  [17125] = {.lex_state = 158, .external_lex_state = 2},
  [17126] = {.lex_state = 158, .external_lex_state = 2},
  [17127] = {.lex_state = 436, .external_lex_state = 2},
  [17128] = {.lex_state = 41, .external_lex_state = 2},
  [17129] = {.lex_state = 41, .external_lex_state = 2},
  [17130] = {.lex_state = 436, .external_lex_state = 2},
  [17131] = {.lex_state = 436, .external_lex_state = 2},
  [17132] = {.lex_state = 436, .external_lex_state = 2},
  [17133] = {.lex_state = 436, .external_lex_state = 2},
  [17134] = {.lex_state = 436, .external_lex_state = 2},
  [17135] = {.lex_state = 9, .external_lex_state = 2},
  [17136] = {.lex_state = 158, .external_lex_state = 2},
  [17137] = {.lex_state = 436, .external_lex_state = 2},
  [17138] = {.lex_state = 436, .external_lex_state = 2},
  [17139] = {.lex_state = 436, .external_lex_state = 2},
  [17140] = {.lex_state = 436, .external_lex_state = 2},
  [17141] = {.lex_state = 436, .external_lex_state = 2},
  [17142] = {.lex_state = 436, .external_lex_state = 8},
  [17143] = {.lex_state = 436, .external_lex_state = 8},
  [17144] = {.lex_state = 436, .external_lex_state = 2},
  [17145] = {.lex_state = 9, .external_lex_state = 2},
  [17146] = {.lex_state = 41, .external_lex_state = 2},
  [17147] = {.lex_state = 41, .external_lex_state = 2},
  [17148] = {.lex_state = 436, .external_lex_state = 2},
  [17149] = {.lex_state = 436, .external_lex_state = 2},
  [17150] = {.lex_state = 436, .external_lex_state = 2},
  [17151] = {.lex_state = 41, .external_lex_state = 2},
  [17152] = {.lex_state = 436, .external_lex_state = 2},
  [17153] = {.lex_state = 436, .external_lex_state = 2},
  [17154] = {.lex_state = 436, .external_lex_state = 2},
  [17155] = {.lex_state = 436, .external_lex_state = 2},
  [17156] = {.lex_state = 9, .external_lex_state = 2},
  [17157] = {.lex_state = 436, .external_lex_state = 2},
  [17158] = {.lex_state = 436, .external_lex_state = 2},
  [17159] = {.lex_state = 158, .external_lex_state = 2},
  [17160] = {.lex_state = 436, .external_lex_state = 2},
  [17161] = {.lex_state = 9, .external_lex_state = 2},
  [17162] = {.lex_state = 436, .external_lex_state = 8},
  [17163] = {.lex_state = 41, .external_lex_state = 2},
  [17164] = {.lex_state = 436, .external_lex_state = 2},
  [17165] = {.lex_state = 41, .external_lex_state = 2},
  [17166] = {.lex_state = 41, .external_lex_state = 2},
  [17167] = {.lex_state = 436, .external_lex_state = 2},
  [17168] = {.lex_state = 436, .external_lex_state = 2},
  [17169] = {.lex_state = 436, .external_lex_state = 2},
  [17170] = {.lex_state = 436, .external_lex_state = 2},
  [17171] = {.lex_state = 436, .external_lex_state = 2},
  [17172] = {.lex_state = 436, .external_lex_state = 2},
  [17173] = {.lex_state = 436, .external_lex_state = 2},
  [17174] = {.lex_state = 436, .external_lex_state = 2},
  [17175] = {.lex_state = 436, .external_lex_state = 2},
  [17176] = {.lex_state = 436, .external_lex_state = 2},
  [17177] = {.lex_state = 158, .external_lex_state = 2},
  [17178] = {.lex_state = 9, .external_lex_state = 2},
  [17179] = {.lex_state = 436, .external_lex_state = 2},
  [17180] = {.lex_state = 9, .external_lex_state = 2},
  [17181] = {.lex_state = 41, .external_lex_state = 2},
  [17182] = {.lex_state = 158, .external_lex_state = 2},
  [17183] = {.lex_state = 436, .external_lex_state = 2},
  [17184] = {.lex_state = 436, .external_lex_state = 2},
  [17185] = {.lex_state = 41, .external_lex_state = 2},
  [17186] = {.lex_state = 158, .external_lex_state = 2},
  [17187] = {.lex_state = 41, .external_lex_state = 2},
  [17188] = {.lex_state = 9, .external_lex_state = 2},
  [17189] = {.lex_state = 436, .external_lex_state = 2},
  [17190] = {.lex_state = 436, .external_lex_state = 2},
  [17191] = {.lex_state = 436, .external_lex_state = 8},
  [17192] = {.lex_state = 436, .external_lex_state = 2},
  [17193] = {.lex_state = 41, .external_lex_state = 2},
  [17194] = {.lex_state = 436, .external_lex_state = 2},
  [17195] = {.lex_state = 41, .external_lex_state = 2},
  [17196] = {.lex_state = 436, .external_lex_state = 2},
  [17197] = {.lex_state = 436, .external_lex_state = 8},
  [17198] = {.lex_state = 41, .external_lex_state = 2},
  [17199] = {.lex_state = 436, .external_lex_state = 2},
  [17200] = {.lex_state = 436, .external_lex_state = 2},
  [17201] = {.lex_state = 436, .external_lex_state = 2},
  [17202] = {.lex_state = 436, .external_lex_state = 2},
  [17203] = {.lex_state = 436, .external_lex_state = 2},
  [17204] = {.lex_state = 158, .external_lex_state = 2},
  [17205] = {.lex_state = 436, .external_lex_state = 2},
  [17206] = {.lex_state = 436, .external_lex_state = 2},
  [17207] = {.lex_state = 158, .external_lex_state = 2},
  [17208] = {.lex_state = 436, .external_lex_state = 2},
  [17209] = {.lex_state = 436, .external_lex_state = 2},
  [17210] = {.lex_state = 436, .external_lex_state = 2},
  [17211] = {.lex_state = 436, .external_lex_state = 2},
  [17212] = {.lex_state = 436, .external_lex_state = 2},
  [17213] = {.lex_state = 436, .external_lex_state = 2},
  [17214] = {.lex_state = 436, .external_lex_state = 2},
  [17215] = {.lex_state = 436, .external_lex_state = 2},
  [17216] = {.lex_state = 436, .external_lex_state = 2},
  [17217] = {.lex_state = 9, .external_lex_state = 2},
  [17218] = {.lex_state = 436, .external_lex_state = 2},
  [17219] = {.lex_state = 436, .external_lex_state = 2},
  [17220] = {.lex_state = 436, .external_lex_state = 2},
  [17221] = {.lex_state = 436, .external_lex_state = 2},
  [17222] = {.lex_state = 436, .external_lex_state = 8},
  [17223] = {.lex_state = 436, .external_lex_state = 2},
  [17224] = {.lex_state = 158, .external_lex_state = 2},
  [17225] = {.lex_state = 436, .external_lex_state = 2},
  [17226] = {.lex_state = 436, .external_lex_state = 2},
  [17227] = {.lex_state = 436, .external_lex_state = 2},
  [17228] = {.lex_state = 436, .external_lex_state = 2},
  [17229] = {.lex_state = 436, .external_lex_state = 2},
  [17230] = {.lex_state = 436, .external_lex_state = 2},
  [17231] = {.lex_state = 436, .external_lex_state = 2},
  [17232] = {.lex_state = 41, .external_lex_state = 2},
  [17233] = {.lex_state = 158, .external_lex_state = 2},
  [17234] = {.lex_state = 41, .external_lex_state = 2},
  [17235] = {.lex_state = 41, .external_lex_state = 2},
  [17236] = {.lex_state = 436, .external_lex_state = 2},
  [17237] = {.lex_state = 436, .external_lex_state = 2},
  [17238] = {.lex_state = 436, .external_lex_state = 2},
  [17239] = {.lex_state = 436, .external_lex_state = 2},
  [17240] = {.lex_state = 436, .external_lex_state = 2},
  [17241] = {.lex_state = 436, .external_lex_state = 2},
  [17242] = {.lex_state = 436, .external_lex_state = 2},
  [17243] = {.lex_state = 158, .external_lex_state = 2},
  [17244] = {.lex_state = 158, .external_lex_state = 2},
  [17245] = {.lex_state = 158, .external_lex_state = 2},
  [17246] = {.lex_state = 436, .external_lex_state = 2},
  [17247] = {.lex_state = 41, .external_lex_state = 2},
  [17248] = {.lex_state = 436, .external_lex_state = 8},
  [17249] = {.lex_state = 436, .external_lex_state = 2},
  [17250] = {.lex_state = 9, .external_lex_state = 2},
  [17251] = {.lex_state = 41, .external_lex_state = 2},
  [17252] = {.lex_state = 41, .external_lex_state = 2},
  [17253] = {.lex_state = 436, .external_lex_state = 2},
  [17254] = {.lex_state = 41, .external_lex_state = 2},
  [17255] = {.lex_state = 436, .external_lex_state = 2},
  [17256] = {.lex_state = 436, .external_lex_state = 2},
  [17257] = {.lex_state = 158, .external_lex_state = 2},
  [17258] = {.lex_state = 436, .external_lex_state = 2},
  [17259] = {.lex_state = 158, .external_lex_state = 2},
  [17260] = {.lex_state = 436, .external_lex_state = 2},
  [17261] = {.lex_state = 9, .external_lex_state = 2},
  [17262] = {.lex_state = 436, .external_lex_state = 2},
  [17263] = {.lex_state = 9, .external_lex_state = 2},
  [17264] = {.lex_state = 436, .external_lex_state = 2},
  [17265] = {.lex_state = 436, .external_lex_state = 2},
  [17266] = {.lex_state = 436, .external_lex_state = 2},
  [17267] = {.lex_state = 436, .external_lex_state = 2},
  [17268] = {.lex_state = 41, .external_lex_state = 2},
  [17269] = {.lex_state = 436, .external_lex_state = 2},
  [17270] = {.lex_state = 436, .external_lex_state = 2},
  [17271] = {.lex_state = 436, .external_lex_state = 8},
  [17272] = {.lex_state = 41, .external_lex_state = 2},
  [17273] = {.lex_state = 41, .external_lex_state = 2},
  [17274] = {.lex_state = 41, .external_lex_state = 2},
  [17275] = {.lex_state = 41, .external_lex_state = 2},
  [17276] = {.lex_state = 41, .external_lex_state = 2},
  [17277] = {.lex_state = 436, .external_lex_state = 2},
  [17278] = {.lex_state = 436, .external_lex_state = 2},
  [17279] = {.lex_state = 436, .external_lex_state = 2},
  [17280] = {.lex_state = 9, .external_lex_state = 2},
  [17281] = {.lex_state = 436, .external_lex_state = 2},
  [17282] = {.lex_state = 436, .external_lex_state = 2},
  [17283] = {.lex_state = 436, .external_lex_state = 2},
  [17284] = {.lex_state = 436, .external_lex_state = 8},
  [17285] = {.lex_state = 436, .external_lex_state = 2},
  [17286] = {.lex_state = 436, .external_lex_state = 2},
  [17287] = {.lex_state = 436, .external_lex_state = 2},
  [17288] = {.lex_state = 436, .external_lex_state = 2},
  [17289] = {.lex_state = 436, .external_lex_state = 8},
  [17290] = {.lex_state = 158, .external_lex_state = 2},
  [17291] = {.lex_state = 436, .external_lex_state = 2},
  [17292] = {.lex_state = 9, .external_lex_state = 2},
  [17293] = {.lex_state = 41, .external_lex_state = 2},
  [17294] = {.lex_state = 41, .external_lex_state = 2},
  [17295] = {.lex_state = 436, .external_lex_state = 2},
  [17296] = {.lex_state = 436, .external_lex_state = 2},
  [17297] = {.lex_state = 436, .external_lex_state = 2},
  [17298] = {.lex_state = 41, .external_lex_state = 2},
  [17299] = {.lex_state = 436, .external_lex_state = 2},
  [17300] = {.lex_state = 436, .external_lex_state = 2},
  [17301] = {.lex_state = 436, .external_lex_state = 2},
  [17302] = {.lex_state = 436, .external_lex_state = 2},
  [17303] = {.lex_state = 436, .external_lex_state = 2},
  [17304] = {.lex_state = 436, .external_lex_state = 2},
  [17305] = {.lex_state = 436, .external_lex_state = 2},
  [17306] = {.lex_state = 436, .external_lex_state = 2},
  [17307] = {.lex_state = 436, .external_lex_state = 2},
  [17308] = {.lex_state = 158, .external_lex_state = 2},
  [17309] = {.lex_state = 436, .external_lex_state = 2},
  [17310] = {.lex_state = 9, .external_lex_state = 2},
  [17311] = {.lex_state = 436, .external_lex_state = 2},
  [17312] = {.lex_state = 436, .external_lex_state = 2},
  [17313] = {.lex_state = 436, .external_lex_state = 2},
  [17314] = {.lex_state = 436, .external_lex_state = 2},
  [17315] = {.lex_state = 436, .external_lex_state = 2},
  [17316] = {.lex_state = 436, .external_lex_state = 2},
  [17317] = {.lex_state = 436, .external_lex_state = 8},
  [17318] = {.lex_state = 436, .external_lex_state = 2},
  [17319] = {.lex_state = 436, .external_lex_state = 2},
  [17320] = {.lex_state = 436, .external_lex_state = 2},
  [17321] = {.lex_state = 41, .external_lex_state = 2},
  [17322] = {.lex_state = 41, .external_lex_state = 2},
  [17323] = {.lex_state = 41, .external_lex_state = 2},
  [17324] = {.lex_state = 436, .external_lex_state = 2},
  [17325] = {.lex_state = 436, .external_lex_state = 2},
  [17326] = {.lex_state = 436, .external_lex_state = 2},
  [17327] = {.lex_state = 436, .external_lex_state = 2},
  [17328] = {.lex_state = 436, .external_lex_state = 2},
  [17329] = {.lex_state = 9, .external_lex_state = 2},
  [17330] = {.lex_state = 436, .external_lex_state = 2},
  [17331] = {.lex_state = 436, .external_lex_state = 2},
  [17332] = {.lex_state = 436, .external_lex_state = 2},
  [17333] = {.lex_state = 436, .external_lex_state = 2},
  [17334] = {.lex_state = 9, .external_lex_state = 2},
  [17335] = {.lex_state = 436, .external_lex_state = 2},
  [17336] = {.lex_state = 436, .external_lex_state = 8},
  [17337] = {.lex_state = 436, .external_lex_state = 2},
  [17338] = {.lex_state = 436, .external_lex_state = 2},
  [17339] = {.lex_state = 436, .external_lex_state = 2},
  [17340] = {.lex_state = 436, .external_lex_state = 2},
  [17341] = {.lex_state = 436, .external_lex_state = 8},
  [17342] = {.lex_state = 158, .external_lex_state = 2},
  [17343] = {.lex_state = 436, .external_lex_state = 2},
  [17344] = {.lex_state = 41, .external_lex_state = 2},
  [17345] = {.lex_state = 436, .external_lex_state = 2},
  [17346] = {.lex_state = 436, .external_lex_state = 2},
  [17347] = {.lex_state = 41, .external_lex_state = 2},
  [17348] = {.lex_state = 436, .external_lex_state = 2},
  [17349] = {.lex_state = 41, .external_lex_state = 2},
  [17350] = {.lex_state = 158, .external_lex_state = 2},
  [17351] = {.lex_state = 436, .external_lex_state = 2},
  [17352] = {.lex_state = 158, .external_lex_state = 2},
  [17353] = {.lex_state = 41, .external_lex_state = 2},
  [17354] = {.lex_state = 9, .external_lex_state = 2},
  [17355] = {.lex_state = 41, .external_lex_state = 2},
  [17356] = {.lex_state = 436, .external_lex_state = 2},
  [17357] = {.lex_state = 436, .external_lex_state = 2},
  [17358] = {.lex_state = 41, .external_lex_state = 2},
  [17359] = {.lex_state = 436, .external_lex_state = 2},
  [17360] = {.lex_state = 436, .external_lex_state = 2},
  [17361] = {.lex_state = 436, .external_lex_state = 2},
  [17362] = {.lex_state = 436, .external_lex_state = 3},
  [17363] = {.lex_state = 9, .external_lex_state = 2},
  [17364] = {.lex_state = 436, .external_lex_state = 2},
  [17365] = {.lex_state = 436, .external_lex_state = 2},
  [17366] = {.lex_state = 436, .external_lex_state = 2},
  [17367] = {.lex_state = 436, .external_lex_state = 2},
  [17368] = {.lex_state = 436, .external_lex_state = 2},
  [17369] = {.lex_state = 436, .external_lex_state = 2},
  [17370] = {.lex_state = 436, .external_lex_state = 2},
  [17371] = {.lex_state = 436, .external_lex_state = 2},
  [17372] = {.lex_state = 436, .external_lex_state = 2},
  [17373] = {.lex_state = 436, .external_lex_state = 2},
  [17374] = {.lex_state = 436, .external_lex_state = 2},
  [17375] = {.lex_state = 41, .external_lex_state = 2},
  [17376] = {.lex_state = 9, .external_lex_state = 2},
  [17377] = {.lex_state = 158, .external_lex_state = 2},
  [17378] = {.lex_state = 436, .external_lex_state = 2},
  [17379] = {.lex_state = 436, .external_lex_state = 2},
  [17380] = {.lex_state = 436, .external_lex_state = 2},
  [17381] = {.lex_state = 436, .external_lex_state = 2},
  [17382] = {.lex_state = 158, .external_lex_state = 2},
  [17383] = {.lex_state = 158, .external_lex_state = 2},
  [17384] = {.lex_state = 41, .external_lex_state = 2},
  [17385] = {.lex_state = 436, .external_lex_state = 2},
  [17386] = {.lex_state = 436, .external_lex_state = 2},
  [17387] = {.lex_state = 436, .external_lex_state = 3},
  [17388] = {.lex_state = 158, .external_lex_state = 2},
  [17389] = {.lex_state = 158, .external_lex_state = 2},
  [17390] = {.lex_state = 158, .external_lex_state = 2},
  [17391] = {.lex_state = 158, .external_lex_state = 2},
  [17392] = {.lex_state = 158, .external_lex_state = 2},
  [17393] = {.lex_state = 436, .external_lex_state = 2},
  [17394] = {.lex_state = 9, .external_lex_state = 2},
  [17395] = {.lex_state = 41, .external_lex_state = 2},
  [17396] = {.lex_state = 436, .external_lex_state = 2},
  [17397] = {.lex_state = 436, .external_lex_state = 2},
  [17398] = {.lex_state = 436, .external_lex_state = 2},
  [17399] = {.lex_state = 436, .external_lex_state = 2},
  [17400] = {.lex_state = 436, .external_lex_state = 2},
  [17401] = {.lex_state = 436, .external_lex_state = 2},
  [17402] = {.lex_state = 436, .external_lex_state = 2},
  [17403] = {.lex_state = 436, .external_lex_state = 2},
  [17404] = {.lex_state = 436, .external_lex_state = 2},
  [17405] = {.lex_state = 158, .external_lex_state = 2},
  [17406] = {.lex_state = 165, .external_lex_state = 2},
  [17407] = {.lex_state = 436, .external_lex_state = 2},
  [17408] = {.lex_state = 165, .external_lex_state = 2},
  [17409] = {.lex_state = 436, .external_lex_state = 2},
  [17410] = {.lex_state = 436, .external_lex_state = 2},
  [17411] = {.lex_state = 436, .external_lex_state = 2},
  [17412] = {.lex_state = 436, .external_lex_state = 2},
  [17413] = {.lex_state = 436, .external_lex_state = 2},
  [17414] = {.lex_state = 436, .external_lex_state = 2},
  [17415] = {.lex_state = 436, .external_lex_state = 2},
  [17416] = {.lex_state = 436, .external_lex_state = 2},
  [17417] = {.lex_state = 436, .external_lex_state = 2},
  [17418] = {.lex_state = 165, .external_lex_state = 2},
  [17419] = {.lex_state = 165, .external_lex_state = 2},
  [17420] = {.lex_state = 436, .external_lex_state = 2},
  [17421] = {.lex_state = 165, .external_lex_state = 2},
  [17422] = {.lex_state = 436, .external_lex_state = 2},
  [17423] = {.lex_state = 158, .external_lex_state = 2},
  [17424] = {.lex_state = 436, .external_lex_state = 3},
  [17425] = {.lex_state = 436, .external_lex_state = 2},
  [17426] = {.lex_state = 41, .external_lex_state = 2},
  [17427] = {.lex_state = 436, .external_lex_state = 2},
  [17428] = {.lex_state = 165, .external_lex_state = 2},
  [17429] = {.lex_state = 436, .external_lex_state = 2},
  [17430] = {.lex_state = 158, .external_lex_state = 2},
  [17431] = {.lex_state = 436, .external_lex_state = 2},
  [17432] = {.lex_state = 436, .external_lex_state = 2},
  [17433] = {.lex_state = 436, .external_lex_state = 2},
  [17434] = {.lex_state = 436, .external_lex_state = 2},
  [17435] = {.lex_state = 158, .external_lex_state = 2},
  [17436] = {.lex_state = 158, .external_lex_state = 2},
  [17437] = {.lex_state = 41, .external_lex_state = 2},
  [17438] = {.lex_state = 436, .external_lex_state = 2},
  [17439] = {.lex_state = 436, .external_lex_state = 2},
  [17440] = {.lex_state = 436, .external_lex_state = 2},
  [17441] = {.lex_state = 436, .external_lex_state = 2},
  [17442] = {.lex_state = 436, .external_lex_state = 2},
  [17443] = {.lex_state = 9, .external_lex_state = 2},
  [17444] = {.lex_state = 158, .external_lex_state = 2},
  [17445] = {.lex_state = 158, .external_lex_state = 2},
  [17446] = {.lex_state = 436, .external_lex_state = 2},
  [17447] = {.lex_state = 165, .external_lex_state = 2},
  [17448] = {.lex_state = 436, .external_lex_state = 2},
  [17449] = {.lex_state = 41, .external_lex_state = 2},
  [17450] = {.lex_state = 436, .external_lex_state = 2},
  [17451] = {.lex_state = 436, .external_lex_state = 2},
  [17452] = {.lex_state = 436, .external_lex_state = 2},
  [17453] = {.lex_state = 436, .external_lex_state = 2},
  [17454] = {.lex_state = 436, .external_lex_state = 2},
  [17455] = {.lex_state = 436, .external_lex_state = 2},
  [17456] = {.lex_state = 436, .external_lex_state = 2},
  [17457] = {.lex_state = 436, .external_lex_state = 2},
  [17458] = {.lex_state = 165, .external_lex_state = 2},
  [17459] = {.lex_state = 436, .external_lex_state = 2},
  [17460] = {.lex_state = 436, .external_lex_state = 2},
  [17461] = {.lex_state = 436, .external_lex_state = 2},
  [17462] = {.lex_state = 436, .external_lex_state = 2},
  [17463] = {.lex_state = 436, .external_lex_state = 2},
  [17464] = {.lex_state = 436, .external_lex_state = 2},
  [17465] = {.lex_state = 436, .external_lex_state = 2},
  [17466] = {.lex_state = 165, .external_lex_state = 2},
  [17467] = {.lex_state = 436, .external_lex_state = 2},
  [17468] = {.lex_state = 436, .external_lex_state = 2},
  [17469] = {.lex_state = 436, .external_lex_state = 2},
  [17470] = {.lex_state = 436, .external_lex_state = 2},
  [17471] = {.lex_state = 436, .external_lex_state = 2},
  [17472] = {.lex_state = 436, .external_lex_state = 2},
  [17473] = {.lex_state = 9, .external_lex_state = 2},
  [17474] = {.lex_state = 436, .external_lex_state = 3},
  [17475] = {.lex_state = 436, .external_lex_state = 2},
  [17476] = {.lex_state = 436, .external_lex_state = 2},
  [17477] = {.lex_state = 158, .external_lex_state = 2},
  [17478] = {.lex_state = 436, .external_lex_state = 2},
  [17479] = {.lex_state = 436, .external_lex_state = 2},
  [17480] = {.lex_state = 436, .external_lex_state = 2},
  [17481] = {.lex_state = 41, .external_lex_state = 2},
  [17482] = {.lex_state = 436, .external_lex_state = 2},
  [17483] = {.lex_state = 436, .external_lex_state = 2},
  [17484] = {.lex_state = 158, .external_lex_state = 2},
  [17485] = {.lex_state = 436, .external_lex_state = 2},
  [17486] = {.lex_state = 436, .external_lex_state = 2},
  [17487] = {.lex_state = 436, .external_lex_state = 2},
  [17488] = {.lex_state = 436, .external_lex_state = 2},
  [17489] = {.lex_state = 158, .external_lex_state = 2},
  [17490] = {.lex_state = 158, .external_lex_state = 2},
  [17491] = {.lex_state = 158, .external_lex_state = 2},
  [17492] = {.lex_state = 41, .external_lex_state = 2},
  [17493] = {.lex_state = 41, .external_lex_state = 2},
  [17494] = {.lex_state = 158, .external_lex_state = 2},
  [17495] = {.lex_state = 436, .external_lex_state = 2},
  [17496] = {.lex_state = 436, .external_lex_state = 2},
  [17497] = {.lex_state = 436, .external_lex_state = 2},
  [17498] = {.lex_state = 436, .external_lex_state = 2},
  [17499] = {.lex_state = 158, .external_lex_state = 2},
  [17500] = {.lex_state = 158, .external_lex_state = 2},
  [17501] = {.lex_state = 9, .external_lex_state = 2},
  [17502] = {.lex_state = 158, .external_lex_state = 2},
  [17503] = {.lex_state = 436, .external_lex_state = 2},
  [17504] = {.lex_state = 41, .external_lex_state = 2},
  [17505] = {.lex_state = 436, .external_lex_state = 2},
  [17506] = {.lex_state = 436, .external_lex_state = 2},
  [17507] = {.lex_state = 158, .external_lex_state = 2},
  [17508] = {.lex_state = 436, .external_lex_state = 3},
  [17509] = {.lex_state = 436, .external_lex_state = 2},
  [17510] = {.lex_state = 436, .external_lex_state = 2},
  [17511] = {.lex_state = 436, .external_lex_state = 2},
  [17512] = {.lex_state = 436, .external_lex_state = 2},
  [17513] = {.lex_state = 436, .external_lex_state = 2},
  [17514] = {.lex_state = 165, .external_lex_state = 2},
  [17515] = {.lex_state = 436, .external_lex_state = 2},
  [17516] = {.lex_state = 436, .external_lex_state = 2},
  [17517] = {.lex_state = 436, .external_lex_state = 2},
  [17518] = {.lex_state = 436, .external_lex_state = 2},
  [17519] = {.lex_state = 436, .external_lex_state = 2},
  [17520] = {.lex_state = 436, .external_lex_state = 2},
  [17521] = {.lex_state = 436, .external_lex_state = 2},
  [17522] = {.lex_state = 436, .external_lex_state = 2},
  [17523] = {.lex_state = 436, .external_lex_state = 2},
  [17524] = {.lex_state = 436, .external_lex_state = 2},
  [17525] = {.lex_state = 436, .external_lex_state = 2},
  [17526] = {.lex_state = 436, .external_lex_state = 2},
  [17527] = {.lex_state = 436, .external_lex_state = 2},
  [17528] = {.lex_state = 41, .external_lex_state = 2},
  [17529] = {.lex_state = 158, .external_lex_state = 2},
  [17530] = {.lex_state = 9, .external_lex_state = 2},
  [17531] = {.lex_state = 436, .external_lex_state = 2},
  [17532] = {.lex_state = 436, .external_lex_state = 2},
  [17533] = {.lex_state = 9, .external_lex_state = 2},
  [17534] = {.lex_state = 436, .external_lex_state = 2},
  [17535] = {.lex_state = 436, .external_lex_state = 2},
  [17536] = {.lex_state = 41, .external_lex_state = 2},
  [17537] = {.lex_state = 436, .external_lex_state = 2},
  [17538] = {.lex_state = 436, .external_lex_state = 2},
  [17539] = {.lex_state = 158, .external_lex_state = 2},
  [17540] = {.lex_state = 436, .external_lex_state = 2},
  [17541] = {.lex_state = 436, .external_lex_state = 2},
  [17542] = {.lex_state = 436, .external_lex_state = 2},
  [17543] = {.lex_state = 436, .external_lex_state = 2},
  [17544] = {.lex_state = 165, .external_lex_state = 2},
  [17545] = {.lex_state = 158, .external_lex_state = 2},
  [17546] = {.lex_state = 158, .external_lex_state = 2},
  [17547] = {.lex_state = 41, .external_lex_state = 2},
  [17548] = {.lex_state = 436, .external_lex_state = 2},
  [17549] = {.lex_state = 165, .external_lex_state = 2},
  [17550] = {.lex_state = 436, .external_lex_state = 2},
  [17551] = {.lex_state = 436, .external_lex_state = 2},
  [17552] = {.lex_state = 165, .external_lex_state = 2},
  [17553] = {.lex_state = 165, .external_lex_state = 2},
  [17554] = {.lex_state = 158, .external_lex_state = 2},
  [17555] = {.lex_state = 158, .external_lex_state = 2},
  [17556] = {.lex_state = 436, .external_lex_state = 2},
  [17557] = {.lex_state = 436, .external_lex_state = 2},
  [17558] = {.lex_state = 436, .external_lex_state = 2},
  [17559] = {.lex_state = 41, .external_lex_state = 2},
  [17560] = {.lex_state = 436, .external_lex_state = 2},
  [17561] = {.lex_state = 436, .external_lex_state = 2},
  [17562] = {.lex_state = 165, .external_lex_state = 2},
  [17563] = {.lex_state = 436, .external_lex_state = 2},
  [17564] = {.lex_state = 436, .external_lex_state = 2},
  [17565] = {.lex_state = 436, .external_lex_state = 2},
  [17566] = {.lex_state = 436, .external_lex_state = 2},
  [17567] = {.lex_state = 41, .external_lex_state = 2},
  [17568] = {.lex_state = 436, .external_lex_state = 2},
  [17569] = {.lex_state = 436, .external_lex_state = 2},
  [17570] = {.lex_state = 165, .external_lex_state = 2},
  [17571] = {.lex_state = 436, .external_lex_state = 2},
  [17572] = {.lex_state = 436, .external_lex_state = 2},
  [17573] = {.lex_state = 436, .external_lex_state = 2},
  [17574] = {.lex_state = 436, .external_lex_state = 2},
  [17575] = {.lex_state = 436, .external_lex_state = 2},
  [17576] = {.lex_state = 165, .external_lex_state = 2},
  [17577] = {.lex_state = 436, .external_lex_state = 2},
  [17578] = {.lex_state = 436, .external_lex_state = 2},
  [17579] = {.lex_state = 165, .external_lex_state = 2},
  [17580] = {.lex_state = 436, .external_lex_state = 2},
  [17581] = {.lex_state = 436, .external_lex_state = 2},
  [17582] = {.lex_state = 436, .external_lex_state = 2},
  [17583] = {.lex_state = 9, .external_lex_state = 2},
  [17584] = {.lex_state = 436, .external_lex_state = 2},
  [17585] = {.lex_state = 158, .external_lex_state = 2},
  [17586] = {.lex_state = 436, .external_lex_state = 2},
  [17587] = {.lex_state = 436, .external_lex_state = 2},
  [17588] = {.lex_state = 436, .external_lex_state = 2},
  [17589] = {.lex_state = 436, .external_lex_state = 2},
  [17590] = {.lex_state = 436, .external_lex_state = 2},
  [17591] = {.lex_state = 41, .external_lex_state = 2},
  [17592] = {.lex_state = 436, .external_lex_state = 2},
  [17593] = {.lex_state = 436, .external_lex_state = 2},
  [17594] = {.lex_state = 436, .external_lex_state = 2},
  [17595] = {.lex_state = 436, .external_lex_state = 2},
  [17596] = {.lex_state = 436, .external_lex_state = 2},
  [17597] = {.lex_state = 158, .external_lex_state = 2},
  [17598] = {.lex_state = 436, .external_lex_state = 2},
  [17599] = {.lex_state = 436, .external_lex_state = 3},
  [17600] = {.lex_state = 158, .external_lex_state = 2},
  [17601] = {.lex_state = 158, .external_lex_state = 2},
  [17602] = {.lex_state = 41, .external_lex_state = 2},
  [17603] = {.lex_state = 436, .external_lex_state = 2},
  [17604] = {.lex_state = 436, .external_lex_state = 2},
  [17605] = {.lex_state = 436, .external_lex_state = 2},
  [17606] = {.lex_state = 436, .external_lex_state = 2},
  [17607] = {.lex_state = 436, .external_lex_state = 2},
  [17608] = {.lex_state = 158, .external_lex_state = 2},
  [17609] = {.lex_state = 158, .external_lex_state = 2},
  [17610] = {.lex_state = 158, .external_lex_state = 2},
  [17611] = {.lex_state = 436, .external_lex_state = 2},
  [17612] = {.lex_state = 436, .external_lex_state = 2},
  [17613] = {.lex_state = 436, .external_lex_state = 2},
  [17614] = {.lex_state = 41, .external_lex_state = 2},
  [17615] = {.lex_state = 165, .external_lex_state = 2},
  [17616] = {.lex_state = 9, .external_lex_state = 2},
  [17617] = {.lex_state = 436, .external_lex_state = 2},
  [17618] = {.lex_state = 436, .external_lex_state = 2},
  [17619] = {.lex_state = 436, .external_lex_state = 2},
  [17620] = {.lex_state = 436, .external_lex_state = 2},
  [17621] = {.lex_state = 165, .external_lex_state = 2},
  [17622] = {.lex_state = 436, .external_lex_state = 2},
  [17623] = {.lex_state = 436, .external_lex_state = 2},
  [17624] = {.lex_state = 436, .external_lex_state = 2},
  [17625] = {.lex_state = 436, .external_lex_state = 2},
  [17626] = {.lex_state = 436, .external_lex_state = 2},
  [17627] = {.lex_state = 436, .external_lex_state = 2},
  [17628] = {.lex_state = 436, .external_lex_state = 2},
  [17629] = {.lex_state = 436, .external_lex_state = 2},
  [17630] = {.lex_state = 436, .external_lex_state = 2},
  [17631] = {.lex_state = 436, .external_lex_state = 2},
  [17632] = {.lex_state = 436, .external_lex_state = 2},
  [17633] = {.lex_state = 436, .external_lex_state = 2},
  [17634] = {.lex_state = 158, .external_lex_state = 2},
  [17635] = {.lex_state = 436, .external_lex_state = 2},
  [17636] = {.lex_state = 436, .external_lex_state = 2},
  [17637] = {.lex_state = 436, .external_lex_state = 2},
  [17638] = {.lex_state = 436, .external_lex_state = 2},
  [17639] = {.lex_state = 436, .external_lex_state = 2},
  [17640] = {.lex_state = 436, .external_lex_state = 2},
  [17641] = {.lex_state = 436, .external_lex_state = 2},
  [17642] = {.lex_state = 436, .external_lex_state = 2},
  [17643] = {.lex_state = 436, .external_lex_state = 2},
  [17644] = {.lex_state = 436, .external_lex_state = 2},
  [17645] = {.lex_state = 41, .external_lex_state = 2},
  [17646] = {.lex_state = 41, .external_lex_state = 2},
  [17647] = {.lex_state = 436, .external_lex_state = 2},
  [17648] = {.lex_state = 436, .external_lex_state = 2},
  [17649] = {.lex_state = 165, .external_lex_state = 2},
  [17650] = {.lex_state = 436, .external_lex_state = 2},
  [17651] = {.lex_state = 436, .external_lex_state = 2},
  [17652] = {.lex_state = 165, .external_lex_state = 2},
  [17653] = {.lex_state = 436, .external_lex_state = 2},
  [17654] = {.lex_state = 436, .external_lex_state = 2},
  [17655] = {.lex_state = 158, .external_lex_state = 2},
  [17656] = {.lex_state = 158, .external_lex_state = 2},
  [17657] = {.lex_state = 41, .external_lex_state = 2},
  [17658] = {.lex_state = 436, .external_lex_state = 2},
  [17659] = {.lex_state = 436, .external_lex_state = 2},
  [17660] = {.lex_state = 436, .external_lex_state = 3},
  [17661] = {.lex_state = 158, .external_lex_state = 2},
  [17662] = {.lex_state = 436, .external_lex_state = 2},
  [17663] = {.lex_state = 158, .external_lex_state = 2},
  [17664] = {.lex_state = 158, .external_lex_state = 2},
  [17665] = {.lex_state = 158, .external_lex_state = 2},
  [17666] = {.lex_state = 436, .external_lex_state = 2},
  [17667] = {.lex_state = 9, .external_lex_state = 2},
  [17668] = {.lex_state = 436, .external_lex_state = 2},
  [17669] = {.lex_state = 41, .external_lex_state = 2},
  [17670] = {.lex_state = 436, .external_lex_state = 2},
  [17671] = {.lex_state = 165, .external_lex_state = 2},
  [17672] = {.lex_state = 436, .external_lex_state = 2},
  [17673] = {.lex_state = 436, .external_lex_state = 2},
  [17674] = {.lex_state = 165, .external_lex_state = 2},
  [17675] = {.lex_state = 436, .external_lex_state = 2},
  [17676] = {.lex_state = 436, .external_lex_state = 2},
  [17677] = {.lex_state = 436, .external_lex_state = 2},
  [17678] = {.lex_state = 436, .external_lex_state = 2},
  [17679] = {.lex_state = 436, .external_lex_state = 2},
  [17680] = {.lex_state = 436, .external_lex_state = 2},
  [17681] = {.lex_state = 436, .external_lex_state = 2},
  [17682] = {.lex_state = 436, .external_lex_state = 2},
  [17683] = {.lex_state = 436, .external_lex_state = 2},
  [17684] = {.lex_state = 436, .external_lex_state = 2},
  [17685] = {.lex_state = 436, .external_lex_state = 2},
  [17686] = {.lex_state = 436, .external_lex_state = 2},
  [17687] = {.lex_state = 165, .external_lex_state = 2},
  [17688] = {.lex_state = 165, .external_lex_state = 2},
  [17689] = {.lex_state = 436, .external_lex_state = 2},
  [17690] = {.lex_state = 436, .external_lex_state = 2},
  [17691] = {.lex_state = 165, .external_lex_state = 2},
  [17692] = {.lex_state = 436, .external_lex_state = 2},
  [17693] = {.lex_state = 158, .external_lex_state = 2},
  [17694] = {.lex_state = 436, .external_lex_state = 2},
  [17695] = {.lex_state = 436, .external_lex_state = 2},
  [17696] = {.lex_state = 436, .external_lex_state = 2},
  [17697] = {.lex_state = 41, .external_lex_state = 2},
  [17698] = {.lex_state = 436, .external_lex_state = 2},
  [17699] = {.lex_state = 436, .external_lex_state = 2},
  [17700] = {.lex_state = 436, .external_lex_state = 2},
  [17701] = {.lex_state = 41, .external_lex_state = 2},
  [17702] = {.lex_state = 436, .external_lex_state = 2},
  [17703] = {.lex_state = 436, .external_lex_state = 2},
  [17704] = {.lex_state = 41, .external_lex_state = 2},
  [17705] = {.lex_state = 165, .external_lex_state = 2},
  [17706] = {.lex_state = 436, .external_lex_state = 2},
  [17707] = {.lex_state = 436, .external_lex_state = 2},
  [17708] = {.lex_state = 436, .external_lex_state = 2},
  [17709] = {.lex_state = 436, .external_lex_state = 2},
  [17710] = {.lex_state = 158, .external_lex_state = 2},
  [17711] = {.lex_state = 158, .external_lex_state = 2},
  [17712] = {.lex_state = 41, .external_lex_state = 2},
  [17713] = {.lex_state = 158, .external_lex_state = 2},
  [17714] = {.lex_state = 436, .external_lex_state = 2},
  [17715] = {.lex_state = 158, .external_lex_state = 2},
  [17716] = {.lex_state = 436, .external_lex_state = 2},
  [17717] = {.lex_state = 436, .external_lex_state = 2},
  [17718] = {.lex_state = 9, .external_lex_state = 2},
  [17719] = {.lex_state = 158, .external_lex_state = 2},
  [17720] = {.lex_state = 158, .external_lex_state = 2},
  [17721] = {.lex_state = 158, .external_lex_state = 2},
  [17722] = {.lex_state = 436, .external_lex_state = 2},
  [17723] = {.lex_state = 436, .external_lex_state = 2},
  [17724] = {.lex_state = 41, .external_lex_state = 2},
  [17725] = {.lex_state = 436, .external_lex_state = 2},
  [17726] = {.lex_state = 436, .external_lex_state = 2},
  [17727] = {.lex_state = 41, .external_lex_state = 2},
  [17728] = {.lex_state = 158, .external_lex_state = 2},
  [17729] = {.lex_state = 436, .external_lex_state = 2},
  [17730] = {.lex_state = 436, .external_lex_state = 2},
  [17731] = {.lex_state = 436, .external_lex_state = 2},
  [17732] = {.lex_state = 436, .external_lex_state = 2},
  [17733] = {.lex_state = 436, .external_lex_state = 2},
  [17734] = {.lex_state = 158, .external_lex_state = 2},
  [17735] = {.lex_state = 158, .external_lex_state = 2},
  [17736] = {.lex_state = 436, .external_lex_state = 2},
  [17737] = {.lex_state = 436, .external_lex_state = 2},
  [17738] = {.lex_state = 436, .external_lex_state = 2},
  [17739] = {.lex_state = 436, .external_lex_state = 2},
  [17740] = {.lex_state = 436, .external_lex_state = 2},
  [17741] = {.lex_state = 158, .external_lex_state = 2},
  [17742] = {.lex_state = 436, .external_lex_state = 2},
  [17743] = {.lex_state = 436, .external_lex_state = 2},
  [17744] = {.lex_state = 436, .external_lex_state = 2},
  [17745] = {.lex_state = 41, .external_lex_state = 2},
  [17746] = {.lex_state = 436, .external_lex_state = 2},
  [17747] = {.lex_state = 41, .external_lex_state = 2},
  [17748] = {.lex_state = 436, .external_lex_state = 2},
  [17749] = {.lex_state = 436, .external_lex_state = 2},
  [17750] = {.lex_state = 436, .external_lex_state = 2},
  [17751] = {.lex_state = 436, .external_lex_state = 2},
  [17752] = {.lex_state = 436, .external_lex_state = 2},
  [17753] = {.lex_state = 41, .external_lex_state = 2},
  [17754] = {.lex_state = 436, .external_lex_state = 2},
  [17755] = {.lex_state = 436, .external_lex_state = 2},
  [17756] = {.lex_state = 41, .external_lex_state = 2},
  [17757] = {.lex_state = 436, .external_lex_state = 2},
  [17758] = {.lex_state = 436, .external_lex_state = 2},
  [17759] = {.lex_state = 436, .external_lex_state = 2},
  [17760] = {.lex_state = 436, .external_lex_state = 2},
  [17761] = {.lex_state = 436, .external_lex_state = 2},
  [17762] = {.lex_state = 436, .external_lex_state = 2},
  [17763] = {.lex_state = 436, .external_lex_state = 2},
  [17764] = {.lex_state = 436, .external_lex_state = 2},
  [17765] = {.lex_state = 158, .external_lex_state = 2},
  [17766] = {.lex_state = 158, .external_lex_state = 2},
  [17767] = {.lex_state = 41, .external_lex_state = 2},
  [17768] = {.lex_state = 436, .external_lex_state = 2},
  [17769] = {.lex_state = 158, .external_lex_state = 2},
  [17770] = {.lex_state = 436, .external_lex_state = 2},
  [17771] = {.lex_state = 436, .external_lex_state = 2},
  [17772] = {.lex_state = 158, .external_lex_state = 2},
  [17773] = {.lex_state = 436, .external_lex_state = 2},
  [17774] = {.lex_state = 158, .external_lex_state = 2},
  [17775] = {.lex_state = 158, .external_lex_state = 2},
  [17776] = {.lex_state = 436, .external_lex_state = 2},
  [17777] = {.lex_state = 436, .external_lex_state = 2},
  [17778] = {.lex_state = 158, .external_lex_state = 2},
  [17779] = {.lex_state = 41, .external_lex_state = 2},
  [17780] = {.lex_state = 436, .external_lex_state = 2},
  [17781] = {.lex_state = 9, .external_lex_state = 2},
  [17782] = {.lex_state = 436, .external_lex_state = 2},
  [17783] = {.lex_state = 436, .external_lex_state = 2},
  [17784] = {.lex_state = 436, .external_lex_state = 2},
  [17785] = {.lex_state = 436, .external_lex_state = 2},
  [17786] = {.lex_state = 436, .external_lex_state = 2},
  [17787] = {.lex_state = 436, .external_lex_state = 2},
  [17788] = {.lex_state = 436, .external_lex_state = 2},
  [17789] = {.lex_state = 436, .external_lex_state = 2},
  [17790] = {.lex_state = 165, .external_lex_state = 2},
  [17791] = {.lex_state = 436, .external_lex_state = 2},
  [17792] = {.lex_state = 436, .external_lex_state = 2},
  [17793] = {.lex_state = 436, .external_lex_state = 2},
  [17794] = {.lex_state = 436, .external_lex_state = 2},
  [17795] = {.lex_state = 436, .external_lex_state = 2},
  [17796] = {.lex_state = 436, .external_lex_state = 2},
  [17797] = {.lex_state = 436, .external_lex_state = 2},
  [17798] = {.lex_state = 436, .external_lex_state = 2},
  [17799] = {.lex_state = 165, .external_lex_state = 2},
  [17800] = {.lex_state = 436, .external_lex_state = 2},
  [17801] = {.lex_state = 436, .external_lex_state = 2},
  [17802] = {.lex_state = 436, .external_lex_state = 2},
  [17803] = {.lex_state = 436, .external_lex_state = 2},
  [17804] = {.lex_state = 436, .external_lex_state = 2},
  [17805] = {.lex_state = 436, .external_lex_state = 2},
  [17806] = {.lex_state = 436, .external_lex_state = 2},
  [17807] = {.lex_state = 436, .external_lex_state = 2},
  [17808] = {.lex_state = 436, .external_lex_state = 2},
  [17809] = {.lex_state = 436, .external_lex_state = 2},
  [17810] = {.lex_state = 436, .external_lex_state = 2},
  [17811] = {.lex_state = 41, .external_lex_state = 2},
  [17812] = {.lex_state = 436, .external_lex_state = 2},
  [17813] = {.lex_state = 436, .external_lex_state = 2},
  [17814] = {.lex_state = 436, .external_lex_state = 2},
  [17815] = {.lex_state = 436, .external_lex_state = 2},
  [17816] = {.lex_state = 436, .external_lex_state = 2},
  [17817] = {.lex_state = 436, .external_lex_state = 2},
  [17818] = {.lex_state = 436, .external_lex_state = 2},
  [17819] = {.lex_state = 436, .external_lex_state = 2},
  [17820] = {.lex_state = 158, .external_lex_state = 2},
  [17821] = {.lex_state = 158, .external_lex_state = 2},
  [17822] = {.lex_state = 41, .external_lex_state = 2},
  [17823] = {.lex_state = 9, .external_lex_state = 2},
  [17824] = {.lex_state = 436, .external_lex_state = 2},
  [17825] = {.lex_state = 436, .external_lex_state = 2},
  [17826] = {.lex_state = 436, .external_lex_state = 2},
  [17827] = {.lex_state = 436, .external_lex_state = 2},
  [17828] = {.lex_state = 436, .external_lex_state = 2},
  [17829] = {.lex_state = 158, .external_lex_state = 2},
  [17830] = {.lex_state = 158, .external_lex_state = 2},
  [17831] = {.lex_state = 436, .external_lex_state = 2},
  [17832] = {.lex_state = 436, .external_lex_state = 2},
  [17833] = {.lex_state = 436, .external_lex_state = 2},
  [17834] = {.lex_state = 41, .external_lex_state = 2},
  [17835] = {.lex_state = 436, .external_lex_state = 2},
  [17836] = {.lex_state = 436, .external_lex_state = 2},
  [17837] = {.lex_state = 436, .external_lex_state = 2},
  [17838] = {.lex_state = 436, .external_lex_state = 2},
  [17839] = {.lex_state = 436, .external_lex_state = 2},
  [17840] = {.lex_state = 436, .external_lex_state = 2},
  [17841] = {.lex_state = 436, .external_lex_state = 2},
  [17842] = {.lex_state = 158, .external_lex_state = 2},
  [17843] = {.lex_state = 158, .external_lex_state = 2},
  [17844] = {.lex_state = 436, .external_lex_state = 2},
  [17845] = {.lex_state = 436, .external_lex_state = 2},
  [17846] = {.lex_state = 436, .external_lex_state = 2},
  [17847] = {.lex_state = 436, .external_lex_state = 2},
  [17848] = {.lex_state = 436, .external_lex_state = 2},
  [17849] = {.lex_state = 436, .external_lex_state = 2},
  [17850] = {.lex_state = 436, .external_lex_state = 2},
  [17851] = {.lex_state = 436, .external_lex_state = 2},
  [17852] = {.lex_state = 161, .external_lex_state = 2},
  [17853] = {.lex_state = 436, .external_lex_state = 2},
  [17854] = {.lex_state = 436, .external_lex_state = 2},
  [17855] = {.lex_state = 436, .external_lex_state = 2},
  [17856] = {.lex_state = 436, .external_lex_state = 2},
  [17857] = {.lex_state = 165, .external_lex_state = 2},
  [17858] = {.lex_state = 165, .external_lex_state = 2},
  [17859] = {.lex_state = 436, .external_lex_state = 2},
  [17860] = {.lex_state = 158, .external_lex_state = 2},
  [17861] = {.lex_state = 436, .external_lex_state = 2},
  [17862] = {.lex_state = 436, .external_lex_state = 2},
  [17863] = {.lex_state = 436, .external_lex_state = 2},
  [17864] = {.lex_state = 436, .external_lex_state = 2},
  [17865] = {.lex_state = 436, .external_lex_state = 2},
  [17866] = {.lex_state = 41, .external_lex_state = 2},
  [17867] = {.lex_state = 436, .external_lex_state = 2},
  [17868] = {.lex_state = 436, .external_lex_state = 2},
  [17869] = {.lex_state = 436, .external_lex_state = 2},
  [17870] = {.lex_state = 436, .external_lex_state = 2},
  [17871] = {.lex_state = 41, .external_lex_state = 2},
  [17872] = {.lex_state = 158, .external_lex_state = 2},
  [17873] = {.lex_state = 436, .external_lex_state = 2},
  [17874] = {.lex_state = 436, .external_lex_state = 2},
  [17875] = {.lex_state = 158, .external_lex_state = 2},
  [17876] = {.lex_state = 158, .external_lex_state = 2},
  [17877] = {.lex_state = 41, .external_lex_state = 2},
  [17878] = {.lex_state = 436, .external_lex_state = 2},
  [17879] = {.lex_state = 436, .external_lex_state = 2},
  [17880] = {.lex_state = 436, .external_lex_state = 2},
  [17881] = {.lex_state = 158, .external_lex_state = 2},
  [17882] = {.lex_state = 165, .external_lex_state = 2},
  [17883] = {.lex_state = 436, .external_lex_state = 2},
  [17884] = {.lex_state = 158, .external_lex_state = 2},
  [17885] = {.lex_state = 158, .external_lex_state = 2},
  [17886] = {.lex_state = 436, .external_lex_state = 3},
  [17887] = {.lex_state = 436, .external_lex_state = 2},
  [17888] = {.lex_state = 436, .external_lex_state = 2},
  [17889] = {.lex_state = 41, .external_lex_state = 2},
  [17890] = {.lex_state = 41, .external_lex_state = 2},
  [17891] = {.lex_state = 436, .external_lex_state = 2},
  [17892] = {.lex_state = 436, .external_lex_state = 2},
  [17893] = {.lex_state = 165, .external_lex_state = 2},
  [17894] = {.lex_state = 436, .external_lex_state = 2},
  [17895] = {.lex_state = 436, .external_lex_state = 2},
  [17896] = {.lex_state = 436, .external_lex_state = 2},
  [17897] = {.lex_state = 158, .external_lex_state = 2},
  [17898] = {.lex_state = 436, .external_lex_state = 2},
  [17899] = {.lex_state = 158, .external_lex_state = 2},
  [17900] = {.lex_state = 436, .external_lex_state = 2},
  [17901] = {.lex_state = 436, .external_lex_state = 2},
  [17902] = {.lex_state = 436, .external_lex_state = 2},
  [17903] = {.lex_state = 436, .external_lex_state = 2},
  [17904] = {.lex_state = 436, .external_lex_state = 2},
  [17905] = {.lex_state = 436, .external_lex_state = 2},
  [17906] = {.lex_state = 436, .external_lex_state = 2},
  [17907] = {.lex_state = 158, .external_lex_state = 2},
  [17908] = {.lex_state = 436, .external_lex_state = 2},
  [17909] = {.lex_state = 436, .external_lex_state = 2},
  [17910] = {.lex_state = 436, .external_lex_state = 2},
  [17911] = {.lex_state = 436, .external_lex_state = 2},
  [17912] = {.lex_state = 436, .external_lex_state = 2},
  [17913] = {.lex_state = 9, .external_lex_state = 2},
  [17914] = {.lex_state = 41, .external_lex_state = 2},
  [17915] = {.lex_state = 436, .external_lex_state = 2},
  [17916] = {.lex_state = 436, .external_lex_state = 2},
  [17917] = {.lex_state = 436, .external_lex_state = 2},
  [17918] = {.lex_state = 436, .external_lex_state = 2},
  [17919] = {.lex_state = 158, .external_lex_state = 2},
  [17920] = {.lex_state = 158, .external_lex_state = 2},
  [17921] = {.lex_state = 41, .external_lex_state = 2},
  [17922] = {.lex_state = 436, .external_lex_state = 2},
  [17923] = {.lex_state = 41, .external_lex_state = 2},
  [17924] = {.lex_state = 158, .external_lex_state = 2},
  [17925] = {.lex_state = 436, .external_lex_state = 2},
  [17926] = {.lex_state = 158, .external_lex_state = 2},
  [17927] = {.lex_state = 158, .external_lex_state = 2},
  [17928] = {.lex_state = 158, .external_lex_state = 2},
  [17929] = {.lex_state = 41, .external_lex_state = 2},
  [17930] = {.lex_state = 158, .external_lex_state = 2},
  [17931] = {.lex_state = 41, .external_lex_state = 2},
  [17932] = {.lex_state = 41, .external_lex_state = 2},
  [17933] = {.lex_state = 158, .external_lex_state = 2},
  [17934] = {.lex_state = 436, .external_lex_state = 3},
  [17935] = {.lex_state = 436, .external_lex_state = 2},
  [17936] = {.lex_state = 158, .external_lex_state = 2},
  [17937] = {.lex_state = 436, .external_lex_state = 2},
  [17938] = {.lex_state = 436, .external_lex_state = 2},
  [17939] = {.lex_state = 436, .external_lex_state = 2},
  [17940] = {.lex_state = 165, .external_lex_state = 2},
  [17941] = {.lex_state = 41, .external_lex_state = 2},
  [17942] = {.lex_state = 436, .external_lex_state = 2},
  [17943] = {.lex_state = 436, .external_lex_state = 2},
  [17944] = {.lex_state = 436, .external_lex_state = 2},
  [17945] = {.lex_state = 436, .external_lex_state = 2},
  [17946] = {.lex_state = 436, .external_lex_state = 2},
  [17947] = {.lex_state = 436, .external_lex_state = 3},
  [17948] = {.lex_state = 41, .external_lex_state = 2},
  [17949] = {.lex_state = 158, .external_lex_state = 2},
  [17950] = {.lex_state = 158, .external_lex_state = 2},
  [17951] = {.lex_state = 436, .external_lex_state = 2},
  [17952] = {.lex_state = 436, .external_lex_state = 2},
  [17953] = {.lex_state = 158, .external_lex_state = 2},
  [17954] = {.lex_state = 436, .external_lex_state = 2},
  [17955] = {.lex_state = 41, .external_lex_state = 2},
  [17956] = {.lex_state = 41, .external_lex_state = 2},
  [17957] = {.lex_state = 436, .external_lex_state = 2},
  [17958] = {.lex_state = 436, .external_lex_state = 3},
  [17959] = {.lex_state = 158, .external_lex_state = 2},
  [17960] = {.lex_state = 158, .external_lex_state = 2},
  [17961] = {.lex_state = 158, .external_lex_state = 2},
  [17962] = {.lex_state = 41, .external_lex_state = 2},
  [17963] = {.lex_state = 158, .external_lex_state = 2},
  [17964] = {.lex_state = 9, .external_lex_state = 2},
  [17965] = {.lex_state = 9, .external_lex_state = 2},
  [17966] = {.lex_state = 158, .external_lex_state = 2},
  [17967] = {.lex_state = 436, .external_lex_state = 2},
  [17968] = {.lex_state = 158, .external_lex_state = 2},
  [17969] = {.lex_state = 158, .external_lex_state = 2},
  [17970] = {.lex_state = 436, .external_lex_state = 2},
  [17971] = {.lex_state = 41, .external_lex_state = 2},
  [17972] = {.lex_state = 9, .external_lex_state = 2},
  [17973] = {.lex_state = 41, .external_lex_state = 2},
  [17974] = {.lex_state = 165, .external_lex_state = 2},
  [17975] = {.lex_state = 436, .external_lex_state = 2},
  [17976] = {.lex_state = 165, .external_lex_state = 2},
  [17977] = {.lex_state = 436, .external_lex_state = 2},
  [17978] = {.lex_state = 436, .external_lex_state = 2},
  [17979] = {.lex_state = 436, .external_lex_state = 2},
  [17980] = {.lex_state = 165, .external_lex_state = 2},
  [17981] = {.lex_state = 158, .external_lex_state = 2},
  [17982] = {.lex_state = 165, .external_lex_state = 2},
  [17983] = {.lex_state = 436, .external_lex_state = 2},
  [17984] = {.lex_state = 436, .external_lex_state = 2},
  [17985] = {.lex_state = 436, .external_lex_state = 2},
  [17986] = {.lex_state = 436, .external_lex_state = 2},
  [17987] = {.lex_state = 436, .external_lex_state = 2},
  [17988] = {.lex_state = 436, .external_lex_state = 2},
  [17989] = {.lex_state = 436, .external_lex_state = 2},
  [17990] = {.lex_state = 436, .external_lex_state = 2},
  [17991] = {.lex_state = 436, .external_lex_state = 2},
  [17992] = {.lex_state = 165, .external_lex_state = 2},
  [17993] = {.lex_state = 165, .external_lex_state = 2},
  [17994] = {.lex_state = 165, .external_lex_state = 2},
  [17995] = {.lex_state = 436, .external_lex_state = 2},
  [17996] = {.lex_state = 41, .external_lex_state = 2},
  [17997] = {.lex_state = 436, .external_lex_state = 2},
  [17998] = {.lex_state = 436, .external_lex_state = 2},
  [17999] = {.lex_state = 9, .external_lex_state = 2},
  [18000] = {.lex_state = 436, .external_lex_state = 2},
  [18001] = {.lex_state = 158, .external_lex_state = 2},
  [18002] = {.lex_state = 158, .external_lex_state = 2},
  [18003] = {.lex_state = 41, .external_lex_state = 2},
  [18004] = {.lex_state = 436, .external_lex_state = 2},
  [18005] = {.lex_state = 436, .external_lex_state = 2},
  [18006] = {.lex_state = 436, .external_lex_state = 2},
  [18007] = {.lex_state = 158, .external_lex_state = 2},
  [18008] = {.lex_state = 436, .external_lex_state = 2},
  [18009] = {.lex_state = 158, .external_lex_state = 2},
  [18010] = {.lex_state = 158, .external_lex_state = 2},
  [18011] = {.lex_state = 436, .external_lex_state = 2},
  [18012] = {.lex_state = 436, .external_lex_state = 2},
  [18013] = {.lex_state = 436, .external_lex_state = 2},
  [18014] = {.lex_state = 41, .external_lex_state = 2},
  [18015] = {.lex_state = 436, .external_lex_state = 2},
  [18016] = {.lex_state = 436, .external_lex_state = 2},
  [18017] = {.lex_state = 436, .external_lex_state = 2},
  [18018] = {.lex_state = 436, .external_lex_state = 2},
  [18019] = {.lex_state = 436, .external_lex_state = 2},
  [18020] = {.lex_state = 436, .external_lex_state = 2},
  [18021] = {.lex_state = 436, .external_lex_state = 2},
  [18022] = {.lex_state = 165, .external_lex_state = 2},
  [18023] = {.lex_state = 436, .external_lex_state = 2},
  [18024] = {.lex_state = 9, .external_lex_state = 2},
  [18025] = {.lex_state = 436, .external_lex_state = 2},
  [18026] = {.lex_state = 436, .external_lex_state = 2},
  [18027] = {.lex_state = 436, .external_lex_state = 2},
  [18028] = {.lex_state = 436, .external_lex_state = 2},
  [18029] = {.lex_state = 436, .external_lex_state = 2},
  [18030] = {.lex_state = 436, .external_lex_state = 2},
  [18031] = {.lex_state = 165, .external_lex_state = 2},
  [18032] = {.lex_state = 436, .external_lex_state = 2},
  [18033] = {.lex_state = 436, .external_lex_state = 2},
  [18034] = {.lex_state = 436, .external_lex_state = 2},
  [18035] = {.lex_state = 436, .external_lex_state = 2},
  [18036] = {.lex_state = 436, .external_lex_state = 2},
  [18037] = {.lex_state = 41, .external_lex_state = 2},
  [18038] = {.lex_state = 436, .external_lex_state = 2},
  [18039] = {.lex_state = 436, .external_lex_state = 2},
  [18040] = {.lex_state = 436, .external_lex_state = 2},
  [18041] = {.lex_state = 436, .external_lex_state = 2},
  [18042] = {.lex_state = 158, .external_lex_state = 2},
  [18043] = {.lex_state = 158, .external_lex_state = 2},
  [18044] = {.lex_state = 41, .external_lex_state = 2},
  [18045] = {.lex_state = 436, .external_lex_state = 2},
  [18046] = {.lex_state = 436, .external_lex_state = 2},
  [18047] = {.lex_state = 436, .external_lex_state = 2},
  [18048] = {.lex_state = 165, .external_lex_state = 2},
  [18049] = {.lex_state = 436, .external_lex_state = 2},
  [18050] = {.lex_state = 158, .external_lex_state = 2},
  [18051] = {.lex_state = 158, .external_lex_state = 2},
  [18052] = {.lex_state = 436, .external_lex_state = 2},
  [18053] = {.lex_state = 436, .external_lex_state = 2},
  [18054] = {.lex_state = 436, .external_lex_state = 2},
  [18055] = {.lex_state = 41, .external_lex_state = 2},
  [18056] = {.lex_state = 436, .external_lex_state = 2},
  [18057] = {.lex_state = 436, .external_lex_state = 2},
  [18058] = {.lex_state = 436, .external_lex_state = 2},
  [18059] = {.lex_state = 436, .external_lex_state = 2},
  [18060] = {.lex_state = 436, .external_lex_state = 2},
  [18061] = {.lex_state = 436, .external_lex_state = 2},
  [18062] = {.lex_state = 436, .external_lex_state = 2},
  [18063] = {.lex_state = 436, .external_lex_state = 2},
  [18064] = {.lex_state = 165, .external_lex_state = 2},
  [18065] = {.lex_state = 436, .external_lex_state = 2},
  [18066] = {.lex_state = 436, .external_lex_state = 2},
  [18067] = {.lex_state = 436, .external_lex_state = 2},
  [18068] = {.lex_state = 436, .external_lex_state = 2},
  [18069] = {.lex_state = 436, .external_lex_state = 2},
  [18070] = {.lex_state = 436, .external_lex_state = 2},
  [18071] = {.lex_state = 436, .external_lex_state = 2},
  [18072] = {.lex_state = 436, .external_lex_state = 2},
  [18073] = {.lex_state = 9, .external_lex_state = 2},
  [18074] = {.lex_state = 436, .external_lex_state = 2},
  [18075] = {.lex_state = 436, .external_lex_state = 2},
  [18076] = {.lex_state = 436, .external_lex_state = 2},
  [18077] = {.lex_state = 436, .external_lex_state = 2},
  [18078] = {.lex_state = 41, .external_lex_state = 2},
  [18079] = {.lex_state = 436, .external_lex_state = 2},
  [18080] = {.lex_state = 436, .external_lex_state = 2},
  [18081] = {.lex_state = 436, .external_lex_state = 2},
  [18082] = {.lex_state = 436, .external_lex_state = 3},
  [18083] = {.lex_state = 158, .external_lex_state = 2},
  [18084] = {.lex_state = 158, .external_lex_state = 2},
  [18085] = {.lex_state = 41, .external_lex_state = 2},
  [18086] = {.lex_state = 436, .external_lex_state = 2},
  [18087] = {.lex_state = 436, .external_lex_state = 2},
  [18088] = {.lex_state = 41, .external_lex_state = 2},
  [18089] = {.lex_state = 165, .external_lex_state = 2},
  [18090] = {.lex_state = 436, .external_lex_state = 2},
  [18091] = {.lex_state = 158, .external_lex_state = 2},
  [18092] = {.lex_state = 158, .external_lex_state = 2},
  [18093] = {.lex_state = 158, .external_lex_state = 2},
  [18094] = {.lex_state = 158, .external_lex_state = 2},
  [18095] = {.lex_state = 436, .external_lex_state = 2},
  [18096] = {.lex_state = 41, .external_lex_state = 2},
  [18097] = {.lex_state = 436, .external_lex_state = 2},
  [18098] = {.lex_state = 158, .external_lex_state = 2},
  [18099] = {.lex_state = 436, .external_lex_state = 2},
  [18100] = {.lex_state = 436, .external_lex_state = 2},
  [18101] = {.lex_state = 436, .external_lex_state = 2},
  [18102] = {.lex_state = 436, .external_lex_state = 2},
  [18103] = {.lex_state = 158, .external_lex_state = 2},
  [18104] = {.lex_state = 9, .external_lex_state = 2},
  [18105] = {.lex_state = 436, .external_lex_state = 2},
  [18106] = {.lex_state = 436, .external_lex_state = 2},
  [18107] = {.lex_state = 436, .external_lex_state = 2},
  [18108] = {.lex_state = 436, .external_lex_state = 2},
  [18109] = {.lex_state = 436, .external_lex_state = 2},
  [18110] = {.lex_state = 436, .external_lex_state = 2},
  [18111] = {.lex_state = 436, .external_lex_state = 2},
  [18112] = {.lex_state = 436, .external_lex_state = 2},
  [18113] = {.lex_state = 436, .external_lex_state = 2},
  [18114] = {.lex_state = 436, .external_lex_state = 2},
  [18115] = {.lex_state = 436, .external_lex_state = 2},
  [18116] = {.lex_state = 436, .external_lex_state = 2},
  [18117] = {.lex_state = 436, .external_lex_state = 2},
  [18118] = {.lex_state = 436, .external_lex_state = 2},
  [18119] = {.lex_state = 41, .external_lex_state = 2},
  [18120] = {.lex_state = 436, .external_lex_state = 2},
  [18121] = {.lex_state = 436, .external_lex_state = 2},
  [18122] = {.lex_state = 436, .external_lex_state = 2},
  [18123] = {.lex_state = 436, .external_lex_state = 2},
  [18124] = {.lex_state = 158, .external_lex_state = 2},
  [18125] = {.lex_state = 158, .external_lex_state = 2},
  [18126] = {.lex_state = 41, .external_lex_state = 2},
  [18127] = {.lex_state = 436, .external_lex_state = 2},
  [18128] = {.lex_state = 436, .external_lex_state = 2},
  [18129] = {.lex_state = 436, .external_lex_state = 2},
  [18130] = {.lex_state = 9, .external_lex_state = 2},
  [18131] = {.lex_state = 436, .external_lex_state = 2},
  [18132] = {.lex_state = 158, .external_lex_state = 2},
  [18133] = {.lex_state = 158, .external_lex_state = 2},
  [18134] = {.lex_state = 436, .external_lex_state = 2},
  [18135] = {.lex_state = 436, .external_lex_state = 2},
  [18136] = {.lex_state = 436, .external_lex_state = 2},
  [18137] = {.lex_state = 41, .external_lex_state = 2},
  [18138] = {.lex_state = 165, .external_lex_state = 2},
  [18139] = {.lex_state = 41, .external_lex_state = 2},
  [18140] = {.lex_state = 158, .external_lex_state = 2},
  [18141] = {.lex_state = 436, .external_lex_state = 2},
  [18142] = {.lex_state = 436, .external_lex_state = 2},
  [18143] = {.lex_state = 436, .external_lex_state = 2},
  [18144] = {.lex_state = 158, .external_lex_state = 2},
  [18145] = {.lex_state = 436, .external_lex_state = 2},
  [18146] = {.lex_state = 436, .external_lex_state = 2},
  [18147] = {.lex_state = 436, .external_lex_state = 2},
  [18148] = {.lex_state = 436, .external_lex_state = 2},
  [18149] = {.lex_state = 436, .external_lex_state = 2},
  [18150] = {.lex_state = 436, .external_lex_state = 2},
  [18151] = {.lex_state = 436, .external_lex_state = 2},
  [18152] = {.lex_state = 436, .external_lex_state = 2},
  [18153] = {.lex_state = 436, .external_lex_state = 2},
  [18154] = {.lex_state = 436, .external_lex_state = 2},
  [18155] = {.lex_state = 436, .external_lex_state = 2},
  [18156] = {.lex_state = 436, .external_lex_state = 2},
  [18157] = {.lex_state = 436, .external_lex_state = 2},
  [18158] = {.lex_state = 436, .external_lex_state = 2},
  [18159] = {.lex_state = 436, .external_lex_state = 2},
  [18160] = {.lex_state = 41, .external_lex_state = 2},
  [18161] = {.lex_state = 41, .external_lex_state = 2},
  [18162] = {.lex_state = 436, .external_lex_state = 2},
  [18163] = {.lex_state = 436, .external_lex_state = 2},
  [18164] = {.lex_state = 436, .external_lex_state = 2},
  [18165] = {.lex_state = 158, .external_lex_state = 2},
  [18166] = {.lex_state = 158, .external_lex_state = 2},
  [18167] = {.lex_state = 41, .external_lex_state = 2},
  [18168] = {.lex_state = 436, .external_lex_state = 2},
  [18169] = {.lex_state = 436, .external_lex_state = 2},
  [18170] = {.lex_state = 161, .external_lex_state = 2},
  [18171] = {.lex_state = 165, .external_lex_state = 2},
  [18172] = {.lex_state = 436, .external_lex_state = 2},
  [18173] = {.lex_state = 158, .external_lex_state = 2},
  [18174] = {.lex_state = 158, .external_lex_state = 2},
  [18175] = {.lex_state = 9, .external_lex_state = 2},
  [18176] = {.lex_state = 165, .external_lex_state = 2},
  [18177] = {.lex_state = 41, .external_lex_state = 2},
  [18178] = {.lex_state = 41, .external_lex_state = 2},
  [18179] = {.lex_state = 436, .external_lex_state = 2},
  [18180] = {.lex_state = 165, .external_lex_state = 2},
  [18181] = {.lex_state = 165, .external_lex_state = 2},
  [18182] = {.lex_state = 436, .external_lex_state = 2},
  [18183] = {.lex_state = 436, .external_lex_state = 2},
  [18184] = {.lex_state = 436, .external_lex_state = 2},
  [18185] = {.lex_state = 158, .external_lex_state = 2},
  [18186] = {.lex_state = 436, .external_lex_state = 2},
  [18187] = {.lex_state = 436, .external_lex_state = 2},
  [18188] = {.lex_state = 436, .external_lex_state = 2},
  [18189] = {.lex_state = 436, .external_lex_state = 2},
  [18190] = {.lex_state = 436, .external_lex_state = 2},
  [18191] = {.lex_state = 436, .external_lex_state = 2},
  [18192] = {.lex_state = 436, .external_lex_state = 2},
  [18193] = {.lex_state = 436, .external_lex_state = 2},
  [18194] = {.lex_state = 436, .external_lex_state = 2},
  [18195] = {.lex_state = 436, .external_lex_state = 2},
  [18196] = {.lex_state = 436, .external_lex_state = 2},
  [18197] = {.lex_state = 436, .external_lex_state = 2},
  [18198] = {.lex_state = 165, .external_lex_state = 2},
  [18199] = {.lex_state = 436, .external_lex_state = 2},
  [18200] = {.lex_state = 436, .external_lex_state = 2},
  [18201] = {.lex_state = 41, .external_lex_state = 2},
  [18202] = {.lex_state = 436, .external_lex_state = 2},
  [18203] = {.lex_state = 436, .external_lex_state = 2},
  [18204] = {.lex_state = 436, .external_lex_state = 2},
  [18205] = {.lex_state = 436, .external_lex_state = 2},
  [18206] = {.lex_state = 158, .external_lex_state = 2},
  [18207] = {.lex_state = 158, .external_lex_state = 2},
  [18208] = {.lex_state = 41, .external_lex_state = 2},
  [18209] = {.lex_state = 436, .external_lex_state = 2},
  [18210] = {.lex_state = 436, .external_lex_state = 2},
  [18211] = {.lex_state = 436, .external_lex_state = 2},
  [18212] = {.lex_state = 436, .external_lex_state = 2},
  [18213] = {.lex_state = 436, .external_lex_state = 2},
  [18214] = {.lex_state = 158, .external_lex_state = 2},
  [18215] = {.lex_state = 158, .external_lex_state = 2},
  [18216] = {.lex_state = 436, .external_lex_state = 2},
  [18217] = {.lex_state = 436, .external_lex_state = 2},
  [18218] = {.lex_state = 436, .external_lex_state = 2},
  [18219] = {.lex_state = 41, .external_lex_state = 2},
  [18220] = {.lex_state = 436, .external_lex_state = 2},
  [18221] = {.lex_state = 436, .external_lex_state = 2},
  [18222] = {.lex_state = 436, .external_lex_state = 2},
  [18223] = {.lex_state = 436, .external_lex_state = 2},
  [18224] = {.lex_state = 436, .external_lex_state = 2},
  [18225] = {.lex_state = 158, .external_lex_state = 2},
  [18226] = {.lex_state = 436, .external_lex_state = 2},
  [18227] = {.lex_state = 436, .external_lex_state = 2},
  [18228] = {.lex_state = 436, .external_lex_state = 2},
  [18229] = {.lex_state = 436, .external_lex_state = 2},
  [18230] = {.lex_state = 436, .external_lex_state = 2},
  [18231] = {.lex_state = 436, .external_lex_state = 2},
  [18232] = {.lex_state = 436, .external_lex_state = 2},
  [18233] = {.lex_state = 436, .external_lex_state = 2},
  [18234] = {.lex_state = 436, .external_lex_state = 2},
  [18235] = {.lex_state = 436, .external_lex_state = 2},
  [18236] = {.lex_state = 436, .external_lex_state = 2},
  [18237] = {.lex_state = 436, .external_lex_state = 2},
  [18238] = {.lex_state = 436, .external_lex_state = 2},
  [18239] = {.lex_state = 165, .external_lex_state = 2},
  [18240] = {.lex_state = 436, .external_lex_state = 2},
  [18241] = {.lex_state = 436, .external_lex_state = 2},
  [18242] = {.lex_state = 41, .external_lex_state = 2},
  [18243] = {.lex_state = 436, .external_lex_state = 2},
  [18244] = {.lex_state = 436, .external_lex_state = 2},
  [18245] = {.lex_state = 436, .external_lex_state = 2},
  [18246] = {.lex_state = 436, .external_lex_state = 2},
  [18247] = {.lex_state = 158, .external_lex_state = 2},
  [18248] = {.lex_state = 158, .external_lex_state = 2},
  [18249] = {.lex_state = 41, .external_lex_state = 2},
  [18250] = {.lex_state = 436, .external_lex_state = 2},
  [18251] = {.lex_state = 436, .external_lex_state = 2},
  [18252] = {.lex_state = 9, .external_lex_state = 2},
  [18253] = {.lex_state = 436, .external_lex_state = 2},
  [18254] = {.lex_state = 165, .external_lex_state = 2},
  [18255] = {.lex_state = 158, .external_lex_state = 2},
  [18256] = {.lex_state = 158, .external_lex_state = 2},
  [18257] = {.lex_state = 436, .external_lex_state = 2},
  [18258] = {.lex_state = 436, .external_lex_state = 2},
  [18259] = {.lex_state = 436, .external_lex_state = 2},
  [18260] = {.lex_state = 41, .external_lex_state = 2},
  [18261] = {.lex_state = 165, .external_lex_state = 2},
  [18262] = {.lex_state = 436, .external_lex_state = 2},
  [18263] = {.lex_state = 436, .external_lex_state = 2},
  [18264] = {.lex_state = 436, .external_lex_state = 2},
  [18265] = {.lex_state = 436, .external_lex_state = 2},
  [18266] = {.lex_state = 436, .external_lex_state = 2},
  [18267] = {.lex_state = 436, .external_lex_state = 2},
  [18268] = {.lex_state = 165, .external_lex_state = 2},
  [18269] = {.lex_state = 41, .external_lex_state = 2},
  [18270] = {.lex_state = 165, .external_lex_state = 2},
  [18271] = {.lex_state = 436, .external_lex_state = 2},
  [18272] = {.lex_state = 436, .external_lex_state = 2},
  [18273] = {.lex_state = 436, .external_lex_state = 2},
  [18274] = {.lex_state = 436, .external_lex_state = 2},
  [18275] = {.lex_state = 436, .external_lex_state = 2},
  [18276] = {.lex_state = 436, .external_lex_state = 2},
  [18277] = {.lex_state = 436, .external_lex_state = 2},
  [18278] = {.lex_state = 436, .external_lex_state = 2},
  [18279] = {.lex_state = 158, .external_lex_state = 2},
  [18280] = {.lex_state = 436, .external_lex_state = 2},
  [18281] = {.lex_state = 436, .external_lex_state = 2},
  [18282] = {.lex_state = 436, .external_lex_state = 2},
  [18283] = {.lex_state = 41, .external_lex_state = 2},
  [18284] = {.lex_state = 436, .external_lex_state = 2},
  [18285] = {.lex_state = 436, .external_lex_state = 2},
  [18286] = {.lex_state = 436, .external_lex_state = 3},
  [18287] = {.lex_state = 158, .external_lex_state = 2},
  [18288] = {.lex_state = 158, .external_lex_state = 2},
  [18289] = {.lex_state = 158, .external_lex_state = 2},
  [18290] = {.lex_state = 41, .external_lex_state = 2},
  [18291] = {.lex_state = 158, .external_lex_state = 2},
  [18292] = {.lex_state = 436, .external_lex_state = 2},
  [18293] = {.lex_state = 9, .external_lex_state = 2},
  [18294] = {.lex_state = 158, .external_lex_state = 2},
  [18295] = {.lex_state = 165, .external_lex_state = 2},
  [18296] = {.lex_state = 158, .external_lex_state = 2},
  [18297] = {.lex_state = 158, .external_lex_state = 2},
  [18298] = {.lex_state = 436, .external_lex_state = 2},
  [18299] = {.lex_state = 436, .external_lex_state = 2},
  [18300] = {.lex_state = 436, .external_lex_state = 2},
  [18301] = {.lex_state = 41, .external_lex_state = 2},
  [18302] = {.lex_state = 436, .external_lex_state = 2},
  [18303] = {.lex_state = 436, .external_lex_state = 2},
  [18304] = {.lex_state = 436, .external_lex_state = 2},
  [18305] = {.lex_state = 436, .external_lex_state = 2},
  [18306] = {.lex_state = 436, .external_lex_state = 2},
  [18307] = {.lex_state = 436, .external_lex_state = 2},
  [18308] = {.lex_state = 436, .external_lex_state = 2},
  [18309] = {.lex_state = 436, .external_lex_state = 2},
  [18310] = {.lex_state = 165, .external_lex_state = 2},
  [18311] = {.lex_state = 436, .external_lex_state = 2},
  [18312] = {.lex_state = 436, .external_lex_state = 2},
  [18313] = {.lex_state = 436, .external_lex_state = 2},
  [18314] = {.lex_state = 436, .external_lex_state = 2},
  [18315] = {.lex_state = 436, .external_lex_state = 2},
  [18316] = {.lex_state = 436, .external_lex_state = 2},
  [18317] = {.lex_state = 436, .external_lex_state = 2},
  [18318] = {.lex_state = 436, .external_lex_state = 3},
  [18319] = {.lex_state = 436, .external_lex_state = 2},
  [18320] = {.lex_state = 158, .external_lex_state = 2},
  [18321] = {.lex_state = 165, .external_lex_state = 2},
  [18322] = {.lex_state = 165, .external_lex_state = 2},
  [18323] = {.lex_state = 436, .external_lex_state = 2},
  [18324] = {.lex_state = 41, .external_lex_state = 2},
  [18325] = {.lex_state = 9, .external_lex_state = 2},
  [18326] = {.lex_state = 158, .external_lex_state = 2},
  [18327] = {.lex_state = 436, .external_lex_state = 2},
  [18328] = {.lex_state = 436, .external_lex_state = 2},
  [18329] = {.lex_state = 158, .external_lex_state = 2},
  [18330] = {.lex_state = 158, .external_lex_state = 2},
  [18331] = {.lex_state = 41, .external_lex_state = 2},
  [18332] = {.lex_state = 436, .external_lex_state = 2},
  [18333] = {.lex_state = 436, .external_lex_state = 2},
  [18334] = {.lex_state = 436, .external_lex_state = 2},
  [18335] = {.lex_state = 9, .external_lex_state = 2},
  [18336] = {.lex_state = 436, .external_lex_state = 2},
  [18337] = {.lex_state = 158, .external_lex_state = 2},
  [18338] = {.lex_state = 158, .external_lex_state = 2},
  [18339] = {.lex_state = 436, .external_lex_state = 2},
  [18340] = {.lex_state = 436, .external_lex_state = 2},
  [18341] = {.lex_state = 436, .external_lex_state = 2},
  [18342] = {.lex_state = 41, .external_lex_state = 2},
  [18343] = {.lex_state = 436, .external_lex_state = 2},
  [18344] = {.lex_state = 9, .external_lex_state = 2},
  [18345] = {.lex_state = 436, .external_lex_state = 2},
  [18346] = {.lex_state = 436, .external_lex_state = 2},
  [18347] = {.lex_state = 436, .external_lex_state = 2},
  [18348] = {.lex_state = 436, .external_lex_state = 2},
  [18349] = {.lex_state = 436, .external_lex_state = 2},
  [18350] = {.lex_state = 436, .external_lex_state = 2},
  [18351] = {.lex_state = 436, .external_lex_state = 2},
  [18352] = {.lex_state = 9, .external_lex_state = 2},
  [18353] = {.lex_state = 436, .external_lex_state = 2},
  [18354] = {.lex_state = 436, .external_lex_state = 2},
  [18355] = {.lex_state = 436, .external_lex_state = 2},
  [18356] = {.lex_state = 436, .external_lex_state = 2},
  [18357] = {.lex_state = 436, .external_lex_state = 2},
  [18358] = {.lex_state = 436, .external_lex_state = 2},
  [18359] = {.lex_state = 436, .external_lex_state = 2},
  [18360] = {.lex_state = 165, .external_lex_state = 2},
  [18361] = {.lex_state = 436, .external_lex_state = 2},
  [18362] = {.lex_state = 436, .external_lex_state = 2},
  [18363] = {.lex_state = 436, .external_lex_state = 2},
  [18364] = {.lex_state = 41, .external_lex_state = 2},
  [18365] = {.lex_state = 436, .external_lex_state = 2},
  [18366] = {.lex_state = 436, .external_lex_state = 2},
  [18367] = {.lex_state = 436, .external_lex_state = 2},
  [18368] = {.lex_state = 436, .external_lex_state = 2},
  [18369] = {.lex_state = 158, .external_lex_state = 2},
  [18370] = {.lex_state = 158, .external_lex_state = 2},
  [18371] = {.lex_state = 41, .external_lex_state = 2},
  [18372] = {.lex_state = 436, .external_lex_state = 2},
  [18373] = {.lex_state = 41, .external_lex_state = 2},
  [18374] = {.lex_state = 436, .external_lex_state = 2},
  [18375] = {.lex_state = 436, .external_lex_state = 2},
  [18376] = {.lex_state = 436, .external_lex_state = 2},
  [18377] = {.lex_state = 158, .external_lex_state = 2},
  [18378] = {.lex_state = 158, .external_lex_state = 2},
  [18379] = {.lex_state = 436, .external_lex_state = 2},
  [18380] = {.lex_state = 165, .external_lex_state = 2},
  [18381] = {.lex_state = 436, .external_lex_state = 2},
  [18382] = {.lex_state = 41, .external_lex_state = 2},
  [18383] = {.lex_state = 436, .external_lex_state = 2},
  [18384] = {.lex_state = 158, .external_lex_state = 2},
  [18385] = {.lex_state = 436, .external_lex_state = 2},
  [18386] = {.lex_state = 436, .external_lex_state = 2},
  [18387] = {.lex_state = 436, .external_lex_state = 2},
  [18388] = {.lex_state = 436, .external_lex_state = 2},
  [18389] = {.lex_state = 158, .external_lex_state = 2},
  [18390] = {.lex_state = 436, .external_lex_state = 2},
  [18391] = {.lex_state = 436, .external_lex_state = 2},
  [18392] = {.lex_state = 436, .external_lex_state = 2},
  [18393] = {.lex_state = 436, .external_lex_state = 2},
  [18394] = {.lex_state = 436, .external_lex_state = 2},
  [18395] = {.lex_state = 436, .external_lex_state = 2},
  [18396] = {.lex_state = 436, .external_lex_state = 2},
  [18397] = {.lex_state = 436, .external_lex_state = 2},
  [18398] = {.lex_state = 436, .external_lex_state = 2},
  [18399] = {.lex_state = 436, .external_lex_state = 2},
  [18400] = {.lex_state = 436, .external_lex_state = 2},
  [18401] = {.lex_state = 436, .external_lex_state = 2},
  [18402] = {.lex_state = 436, .external_lex_state = 2},
  [18403] = {.lex_state = 436, .external_lex_state = 2},
  [18404] = {.lex_state = 41, .external_lex_state = 2},
  [18405] = {.lex_state = 436, .external_lex_state = 2},
  [18406] = {.lex_state = 436, .external_lex_state = 2},
  [18407] = {.lex_state = 9, .external_lex_state = 2},
  [18408] = {.lex_state = 436, .external_lex_state = 2},
  [18409] = {.lex_state = 158, .external_lex_state = 2},
  [18410] = {.lex_state = 158, .external_lex_state = 2},
  [18411] = {.lex_state = 41, .external_lex_state = 2},
  [18412] = {.lex_state = 9, .external_lex_state = 2},
  [18413] = {.lex_state = 41, .external_lex_state = 2},
  [18414] = {.lex_state = 436, .external_lex_state = 2},
  [18415] = {.lex_state = 436, .external_lex_state = 2},
  [18416] = {.lex_state = 436, .external_lex_state = 2},
  [18417] = {.lex_state = 158, .external_lex_state = 2},
  [18418] = {.lex_state = 158, .external_lex_state = 2},
  [18419] = {.lex_state = 158, .external_lex_state = 2},
  [18420] = {.lex_state = 436, .external_lex_state = 2},
  [18421] = {.lex_state = 436, .external_lex_state = 2},
  [18422] = {.lex_state = 41, .external_lex_state = 2},
  [18423] = {.lex_state = 158, .external_lex_state = 2},
  [18424] = {.lex_state = 436, .external_lex_state = 2},
  [18425] = {.lex_state = 158, .external_lex_state = 2},
  [18426] = {.lex_state = 165, .external_lex_state = 2},
  [18427] = {.lex_state = 436, .external_lex_state = 2},
  [18428] = {.lex_state = 436, .external_lex_state = 2},
  [18429] = {.lex_state = 165, .external_lex_state = 2},
  [18430] = {.lex_state = 436, .external_lex_state = 2},
  [18431] = {.lex_state = 165, .external_lex_state = 2},
  [18432] = {.lex_state = 436, .external_lex_state = 2},
  [18433] = {.lex_state = 436, .external_lex_state = 2},
  [18434] = {.lex_state = 436, .external_lex_state = 2},
  [18435] = {.lex_state = 436, .external_lex_state = 2},
  [18436] = {.lex_state = 436, .external_lex_state = 2},
  [18437] = {.lex_state = 9, .external_lex_state = 2},
  [18438] = {.lex_state = 436, .external_lex_state = 2},
  [18439] = {.lex_state = 436, .external_lex_state = 2},
  [18440] = {.lex_state = 436, .external_lex_state = 2},
  [18441] = {.lex_state = 436, .external_lex_state = 2},
  [18442] = {.lex_state = 436, .external_lex_state = 2},
  [18443] = {.lex_state = 41, .external_lex_state = 2},
  [18444] = {.lex_state = 436, .external_lex_state = 2},
  [18445] = {.lex_state = 165, .external_lex_state = 2},
  [18446] = {.lex_state = 436, .external_lex_state = 2},
  [18447] = {.lex_state = 41, .external_lex_state = 2},
  [18448] = {.lex_state = 158, .external_lex_state = 2},
  [18449] = {.lex_state = 158, .external_lex_state = 2},
  [18450] = {.lex_state = 41, .external_lex_state = 2},
  [18451] = {.lex_state = 436, .external_lex_state = 2},
  [18452] = {.lex_state = 436, .external_lex_state = 2},
  [18453] = {.lex_state = 436, .external_lex_state = 2},
  [18454] = {.lex_state = 436, .external_lex_state = 2},
  [18455] = {.lex_state = 436, .external_lex_state = 2},
  [18456] = {.lex_state = 158, .external_lex_state = 2},
  [18457] = {.lex_state = 158, .external_lex_state = 2},
  [18458] = {.lex_state = 436, .external_lex_state = 2},
  [18459] = {.lex_state = 436, .external_lex_state = 2},
  [18460] = {.lex_state = 436, .external_lex_state = 2},
  [18461] = {.lex_state = 41, .external_lex_state = 2},
  [18462] = {.lex_state = 41, .external_lex_state = 2},
  [18463] = {.lex_state = 9, .external_lex_state = 2},
  [18464] = {.lex_state = 158, .external_lex_state = 2},
  [18465] = {.lex_state = 436, .external_lex_state = 2},
  [18466] = {.lex_state = 436, .external_lex_state = 2},
  [18467] = {.lex_state = 158, .external_lex_state = 2},
  [18468] = {.lex_state = 436, .external_lex_state = 3},
  [18469] = {.lex_state = 158, .external_lex_state = 2},
  [18470] = {.lex_state = 436, .external_lex_state = 2},
  [18471] = {.lex_state = 436, .external_lex_state = 2},
  [18472] = {.lex_state = 436, .external_lex_state = 2},
  [18473] = {.lex_state = 436, .external_lex_state = 2},
  [18474] = {.lex_state = 436, .external_lex_state = 2},
  [18475] = {.lex_state = 436, .external_lex_state = 2},
  [18476] = {.lex_state = 165, .external_lex_state = 2},
  [18477] = {.lex_state = 436, .external_lex_state = 2},
  [18478] = {.lex_state = 436, .external_lex_state = 2},
  [18479] = {.lex_state = 436, .external_lex_state = 2},
  [18480] = {.lex_state = 436, .external_lex_state = 2},
  [18481] = {.lex_state = 436, .external_lex_state = 2},
  [18482] = {.lex_state = 41, .external_lex_state = 2},
  [18483] = {.lex_state = 436, .external_lex_state = 2},
  [18484] = {.lex_state = 436, .external_lex_state = 2},
  [18485] = {.lex_state = 436, .external_lex_state = 2},
  [18486] = {.lex_state = 436, .external_lex_state = 3},
  [18487] = {.lex_state = 158, .external_lex_state = 2},
  [18488] = {.lex_state = 158, .external_lex_state = 2},
  [18489] = {.lex_state = 41, .external_lex_state = 2},
  [18490] = {.lex_state = 436, .external_lex_state = 2},
  [18491] = {.lex_state = 436, .external_lex_state = 2},
  [18492] = {.lex_state = 436, .external_lex_state = 2},
  [18493] = {.lex_state = 158, .external_lex_state = 2},
  [18494] = {.lex_state = 436, .external_lex_state = 2},
  [18495] = {.lex_state = 158, .external_lex_state = 2},
  [18496] = {.lex_state = 158, .external_lex_state = 2},
  [18497] = {.lex_state = 158, .external_lex_state = 2},
  [18498] = {.lex_state = 436, .external_lex_state = 2},
  [18499] = {.lex_state = 436, .external_lex_state = 3},
  [18500] = {.lex_state = 41, .external_lex_state = 2},
  [18501] = {.lex_state = 436, .external_lex_state = 3},
  [18502] = {.lex_state = 436, .external_lex_state = 2},
  [18503] = {.lex_state = 436, .external_lex_state = 2},
  [18504] = {.lex_state = 436, .external_lex_state = 2},
  [18505] = {.lex_state = 436, .external_lex_state = 2},
  [18506] = {.lex_state = 436, .external_lex_state = 2},
  [18507] = {.lex_state = 436, .external_lex_state = 2},
  [18508] = {.lex_state = 436, .external_lex_state = 2},
  [18509] = {.lex_state = 436, .external_lex_state = 2},
  [18510] = {.lex_state = 9, .external_lex_state = 2},
  [18511] = {.lex_state = 436, .external_lex_state = 2},
  [18512] = {.lex_state = 436, .external_lex_state = 2},
  [18513] = {.lex_state = 436, .external_lex_state = 2},
  [18514] = {.lex_state = 436, .external_lex_state = 2},
  [18515] = {.lex_state = 436, .external_lex_state = 2},
  [18516] = {.lex_state = 436, .external_lex_state = 2},
  [18517] = {.lex_state = 436, .external_lex_state = 2},
  [18518] = {.lex_state = 436, .external_lex_state = 2},
  [18519] = {.lex_state = 165, .external_lex_state = 2},
  [18520] = {.lex_state = 436, .external_lex_state = 2},
  [18521] = {.lex_state = 41, .external_lex_state = 2},
  [18522] = {.lex_state = 158, .external_lex_state = 2},
  [18523] = {.lex_state = 436, .external_lex_state = 2},
  [18524] = {.lex_state = 436, .external_lex_state = 2},
  [18525] = {.lex_state = 436, .external_lex_state = 2},
  [18526] = {.lex_state = 158, .external_lex_state = 2},
  [18527] = {.lex_state = 158, .external_lex_state = 2},
  [18528] = {.lex_state = 41, .external_lex_state = 2},
  [18529] = {.lex_state = 436, .external_lex_state = 2},
  [18530] = {.lex_state = 436, .external_lex_state = 2},
  [18531] = {.lex_state = 436, .external_lex_state = 3},
  [18532] = {.lex_state = 436, .external_lex_state = 2},
  [18533] = {.lex_state = 161, .external_lex_state = 2},
  [18534] = {.lex_state = 158, .external_lex_state = 2},
  [18535] = {.lex_state = 158, .external_lex_state = 2},
  [18536] = {.lex_state = 436, .external_lex_state = 2},
  [18537] = {.lex_state = 165, .external_lex_state = 2},
  [18538] = {.lex_state = 158, .external_lex_state = 2},
  [18539] = {.lex_state = 41, .external_lex_state = 2},
  [18540] = {.lex_state = 165, .external_lex_state = 2},
  [18541] = {.lex_state = 436, .external_lex_state = 2},
  [18542] = {.lex_state = 165, .external_lex_state = 2},
  [18543] = {.lex_state = 436, .external_lex_state = 2},
  [18544] = {.lex_state = 436, .external_lex_state = 2},
  [18545] = {.lex_state = 436, .external_lex_state = 2},
  [18546] = {.lex_state = 436, .external_lex_state = 2},
  [18547] = {.lex_state = 436, .external_lex_state = 2},
  [18548] = {.lex_state = 436, .external_lex_state = 2},
  [18549] = {.lex_state = 436, .external_lex_state = 2},
  [18550] = {.lex_state = 436, .external_lex_state = 2},
  [18551] = {.lex_state = 436, .external_lex_state = 2},
  [18552] = {.lex_state = 436, .external_lex_state = 2},
  [18553] = {.lex_state = 436, .external_lex_state = 2},
  [18554] = {.lex_state = 436, .external_lex_state = 2},
  [18555] = {.lex_state = 436, .external_lex_state = 2},
  [18556] = {.lex_state = 436, .external_lex_state = 2},
  [18557] = {.lex_state = 436, .external_lex_state = 2},
  [18558] = {.lex_state = 436, .external_lex_state = 2},
  [18559] = {.lex_state = 436, .external_lex_state = 2},
  [18560] = {.lex_state = 41, .external_lex_state = 2},
  [18561] = {.lex_state = 436, .external_lex_state = 2},
  [18562] = {.lex_state = 436, .external_lex_state = 2},
  [18563] = {.lex_state = 436, .external_lex_state = 2},
  [18564] = {.lex_state = 436, .external_lex_state = 2},
  [18565] = {.lex_state = 158, .external_lex_state = 2},
  [18566] = {.lex_state = 158, .external_lex_state = 2},
  [18567] = {.lex_state = 41, .external_lex_state = 2},
  [18568] = {.lex_state = 436, .external_lex_state = 2},
  [18569] = {.lex_state = 436, .external_lex_state = 2},
  [18570] = {.lex_state = 436, .external_lex_state = 2},
  [18571] = {.lex_state = 436, .external_lex_state = 2},
  [18572] = {.lex_state = 436, .external_lex_state = 2},
  [18573] = {.lex_state = 158, .external_lex_state = 2},
  [18574] = {.lex_state = 158, .external_lex_state = 2},
  [18575] = {.lex_state = 436, .external_lex_state = 2},
  [18576] = {.lex_state = 436, .external_lex_state = 2},
  [18577] = {.lex_state = 436, .external_lex_state = 2},
  [18578] = {.lex_state = 41, .external_lex_state = 2},
  [18579] = {.lex_state = 436, .external_lex_state = 2},
  [18580] = {.lex_state = 436, .external_lex_state = 2},
  [18581] = {.lex_state = 436, .external_lex_state = 2},
  [18582] = {.lex_state = 436, .external_lex_state = 2},
  [18583] = {.lex_state = 436, .external_lex_state = 2},
  [18584] = {.lex_state = 436, .external_lex_state = 2},
  [18585] = {.lex_state = 436, .external_lex_state = 2},
  [18586] = {.lex_state = 436, .external_lex_state = 3},
  [18587] = {.lex_state = 436, .external_lex_state = 2},
  [18588] = {.lex_state = 436, .external_lex_state = 2},
  [18589] = {.lex_state = 436, .external_lex_state = 2},
  [18590] = {.lex_state = 436, .external_lex_state = 2},
  [18591] = {.lex_state = 436, .external_lex_state = 2},
  [18592] = {.lex_state = 158, .external_lex_state = 2},
  [18593] = {.lex_state = 158, .external_lex_state = 2},
  [18594] = {.lex_state = 436, .external_lex_state = 2},
  [18595] = {.lex_state = 436, .external_lex_state = 2},
  [18596] = {.lex_state = 436, .external_lex_state = 3},
  [18597] = {.lex_state = 436, .external_lex_state = 2},
  [18598] = {.lex_state = 41, .external_lex_state = 2},
  [18599] = {.lex_state = 436, .external_lex_state = 2},
  [18600] = {.lex_state = 436, .external_lex_state = 2},
  [18601] = {.lex_state = 436, .external_lex_state = 2},
  [18602] = {.lex_state = 436, .external_lex_state = 2},
  [18603] = {.lex_state = 158, .external_lex_state = 2},
  [18604] = {.lex_state = 158, .external_lex_state = 2},
  [18605] = {.lex_state = 41, .external_lex_state = 2},
  [18606] = {.lex_state = 436, .external_lex_state = 2},
  [18607] = {.lex_state = 436, .external_lex_state = 2},
  [18608] = {.lex_state = 436, .external_lex_state = 2},
  [18609] = {.lex_state = 158, .external_lex_state = 2},
  [18610] = {.lex_state = 436, .external_lex_state = 2},
  [18611] = {.lex_state = 158, .external_lex_state = 2},
  [18612] = {.lex_state = 158, .external_lex_state = 2},
  [18613] = {.lex_state = 158, .external_lex_state = 2},
  [18614] = {.lex_state = 158, .external_lex_state = 2},
  [18615] = {.lex_state = 436, .external_lex_state = 2},
  [18616] = {.lex_state = 41, .external_lex_state = 2},
  [18617] = {.lex_state = 436, .external_lex_state = 2},
  [18618] = {.lex_state = 436, .external_lex_state = 2},
  [18619] = {.lex_state = 436, .external_lex_state = 2},
  [18620] = {.lex_state = 9, .external_lex_state = 2},
  [18621] = {.lex_state = 436, .external_lex_state = 2},
  [18622] = {.lex_state = 436, .external_lex_state = 2},
  [18623] = {.lex_state = 436, .external_lex_state = 2},
  [18624] = {.lex_state = 436, .external_lex_state = 2},
  [18625] = {.lex_state = 9, .external_lex_state = 2},
  [18626] = {.lex_state = 436, .external_lex_state = 2},
  [18627] = {.lex_state = 436, .external_lex_state = 2},
  [18628] = {.lex_state = 436, .external_lex_state = 2},
  [18629] = {.lex_state = 436, .external_lex_state = 2},
  [18630] = {.lex_state = 436, .external_lex_state = 2},
  [18631] = {.lex_state = 165, .external_lex_state = 2},
  [18632] = {.lex_state = 436, .external_lex_state = 2},
  [18633] = {.lex_state = 436, .external_lex_state = 2},
  [18634] = {.lex_state = 41, .external_lex_state = 2},
  [18635] = {.lex_state = 436, .external_lex_state = 2},
  [18636] = {.lex_state = 41, .external_lex_state = 2},
  [18637] = {.lex_state = 436, .external_lex_state = 2},
  [18638] = {.lex_state = 436, .external_lex_state = 2},
  [18639] = {.lex_state = 436, .external_lex_state = 2},
  [18640] = {.lex_state = 436, .external_lex_state = 2},
  [18641] = {.lex_state = 158, .external_lex_state = 2},
  [18642] = {.lex_state = 158, .external_lex_state = 2},
  [18643] = {.lex_state = 41, .external_lex_state = 2},
  [18644] = {.lex_state = 41, .external_lex_state = 2},
  [18645] = {.lex_state = 436, .external_lex_state = 2},
  [18646] = {.lex_state = 436, .external_lex_state = 2},
  [18647] = {.lex_state = 436, .external_lex_state = 2},
  [18648] = {.lex_state = 436, .external_lex_state = 2},
  [18649] = {.lex_state = 158, .external_lex_state = 2},
  [18650] = {.lex_state = 158, .external_lex_state = 2},
  [18651] = {.lex_state = 436, .external_lex_state = 3},
  [18652] = {.lex_state = 158, .external_lex_state = 2},
  [18653] = {.lex_state = 158, .external_lex_state = 2},
  [18654] = {.lex_state = 41, .external_lex_state = 2},
  [18655] = {.lex_state = 436, .external_lex_state = 2},
  [18656] = {.lex_state = 158, .external_lex_state = 2},
  [18657] = {.lex_state = 436, .external_lex_state = 2},
  [18658] = {.lex_state = 436, .external_lex_state = 2},
  [18659] = {.lex_state = 436, .external_lex_state = 2},
  [18660] = {.lex_state = 436, .external_lex_state = 2},
  [18661] = {.lex_state = 158, .external_lex_state = 2},
  [18662] = {.lex_state = 436, .external_lex_state = 2},
  [18663] = {.lex_state = 436, .external_lex_state = 2},
  [18664] = {.lex_state = 436, .external_lex_state = 2},
  [18665] = {.lex_state = 436, .external_lex_state = 2},
  [18666] = {.lex_state = 436, .external_lex_state = 2},
  [18667] = {.lex_state = 436, .external_lex_state = 2},
  [18668] = {.lex_state = 436, .external_lex_state = 2},
  [18669] = {.lex_state = 436, .external_lex_state = 2},
  [18670] = {.lex_state = 436, .external_lex_state = 2},
  [18671] = {.lex_state = 436, .external_lex_state = 2},
  [18672] = {.lex_state = 436, .external_lex_state = 3},
  [18673] = {.lex_state = 158, .external_lex_state = 2},
  [18674] = {.lex_state = 41, .external_lex_state = 2},
  [18675] = {.lex_state = 436, .external_lex_state = 2},
  [18676] = {.lex_state = 158, .external_lex_state = 2},
  [18677] = {.lex_state = 436, .external_lex_state = 2},
  [18678] = {.lex_state = 9, .external_lex_state = 2},
  [18679] = {.lex_state = 158, .external_lex_state = 2},
  [18680] = {.lex_state = 158, .external_lex_state = 2},
  [18681] = {.lex_state = 41, .external_lex_state = 2},
  [18682] = {.lex_state = 436, .external_lex_state = 2},
  [18683] = {.lex_state = 436, .external_lex_state = 2},
  [18684] = {.lex_state = 436, .external_lex_state = 2},
  [18685] = {.lex_state = 436, .external_lex_state = 2},
  [18686] = {.lex_state = 41, .external_lex_state = 2},
  [18687] = {.lex_state = 158, .external_lex_state = 2},
  [18688] = {.lex_state = 158, .external_lex_state = 2},
  [18689] = {.lex_state = 158, .external_lex_state = 2},
  [18690] = {.lex_state = 436, .external_lex_state = 2},
  [18691] = {.lex_state = 436, .external_lex_state = 2},
  [18692] = {.lex_state = 41, .external_lex_state = 2},
  [18693] = {.lex_state = 436, .external_lex_state = 3},
  [18694] = {.lex_state = 158, .external_lex_state = 2},
  [18695] = {.lex_state = 436, .external_lex_state = 2},
  [18696] = {.lex_state = 436, .external_lex_state = 2},
  [18697] = {.lex_state = 436, .external_lex_state = 2},
  [18698] = {.lex_state = 436, .external_lex_state = 2},
  [18699] = {.lex_state = 165, .external_lex_state = 2},
  [18700] = {.lex_state = 165, .external_lex_state = 2},
  [18701] = {.lex_state = 436, .external_lex_state = 2},
  [18702] = {.lex_state = 436, .external_lex_state = 2},
  [18703] = {.lex_state = 436, .external_lex_state = 2},
  [18704] = {.lex_state = 436, .external_lex_state = 2},
  [18705] = {.lex_state = 436, .external_lex_state = 2},
  [18706] = {.lex_state = 436, .external_lex_state = 2},
  [18707] = {.lex_state = 436, .external_lex_state = 2},
  [18708] = {.lex_state = 436, .external_lex_state = 2},
  [18709] = {.lex_state = 165, .external_lex_state = 2},
  [18710] = {.lex_state = 165, .external_lex_state = 2},
  [18711] = {.lex_state = 165, .external_lex_state = 2},
  [18712] = {.lex_state = 41, .external_lex_state = 2},
  [18713] = {.lex_state = 436, .external_lex_state = 2},
  [18714] = {.lex_state = 436, .external_lex_state = 2},
  [18715] = {.lex_state = 158, .external_lex_state = 2},
  [18716] = {.lex_state = 158, .external_lex_state = 2},
  [18717] = {.lex_state = 158, .external_lex_state = 2},
  [18718] = {.lex_state = 41, .external_lex_state = 2},
  [18719] = {.lex_state = 41, .external_lex_state = 2},
  [18720] = {.lex_state = 158, .external_lex_state = 2},
  [18721] = {.lex_state = 158, .external_lex_state = 2},
  [18722] = {.lex_state = 41, .external_lex_state = 2},
  [18723] = {.lex_state = 436, .external_lex_state = 2},
  [18724] = {.lex_state = 41, .external_lex_state = 2},
  [18725] = {.lex_state = 9, .external_lex_state = 2},
  [18726] = {.lex_state = 436, .external_lex_state = 2},
  [18727] = {.lex_state = 436, .external_lex_state = 2},
  [18728] = {.lex_state = 436, .external_lex_state = 2},
  [18729] = {.lex_state = 436, .external_lex_state = 2},
  [18730] = {.lex_state = 436, .external_lex_state = 2},
  [18731] = {.lex_state = 436, .external_lex_state = 2},
  [18732] = {.lex_state = 436, .external_lex_state = 2},
  [18733] = {.lex_state = 436, .external_lex_state = 2},
  [18734] = {.lex_state = 436, .external_lex_state = 3},
  [18735] = {.lex_state = 436, .external_lex_state = 2},
  [18736] = {.lex_state = 436, .external_lex_state = 2},
  [18737] = {.lex_state = 41, .external_lex_state = 2},
  [18738] = {.lex_state = 436, .external_lex_state = 2},
  [18739] = {.lex_state = 158, .external_lex_state = 2},
  [18740] = {.lex_state = 158, .external_lex_state = 2},
  [18741] = {.lex_state = 158, .external_lex_state = 2},
  [18742] = {.lex_state = 41, .external_lex_state = 2},
  [18743] = {.lex_state = 436, .external_lex_state = 2},
  [18744] = {.lex_state = 158, .external_lex_state = 2},
  [18745] = {.lex_state = 158, .external_lex_state = 2},
  [18746] = {.lex_state = 436, .external_lex_state = 2},
  [18747] = {.lex_state = 436, .external_lex_state = 2},
  [18748] = {.lex_state = 436, .external_lex_state = 2},
  [18749] = {.lex_state = 436, .external_lex_state = 2},
  [18750] = {.lex_state = 158, .external_lex_state = 2},
  [18751] = {.lex_state = 436, .external_lex_state = 2},
  [18752] = {.lex_state = 436, .external_lex_state = 2},
  [18753] = {.lex_state = 436, .external_lex_state = 2},
  [18754] = {.lex_state = 436, .external_lex_state = 2},
  [18755] = {.lex_state = 436, .external_lex_state = 2},
  [18756] = {.lex_state = 436, .external_lex_state = 2},
  [18757] = {.lex_state = 436, .external_lex_state = 2},
  [18758] = {.lex_state = 436, .external_lex_state = 2},
  [18759] = {.lex_state = 436, .external_lex_state = 2},
  [18760] = {.lex_state = 158, .external_lex_state = 2},
  [18761] = {.lex_state = 436, .external_lex_state = 2},
  [18762] = {.lex_state = 436, .external_lex_state = 2},
  [18763] = {.lex_state = 436, .external_lex_state = 2},
  [18764] = {.lex_state = 436, .external_lex_state = 2},
  [18765] = {.lex_state = 436, .external_lex_state = 2},
  [18766] = {.lex_state = 436, .external_lex_state = 2},
  [18767] = {.lex_state = 436, .external_lex_state = 2},
  [18768] = {.lex_state = 158, .external_lex_state = 2},
  [18769] = {.lex_state = 436, .external_lex_state = 2},
  [18770] = {.lex_state = 436, .external_lex_state = 2},
  [18771] = {.lex_state = 436, .external_lex_state = 2},
  [18772] = {.lex_state = 41, .external_lex_state = 2},
  [18773] = {.lex_state = 165, .external_lex_state = 2},
  [18774] = {.lex_state = 436, .external_lex_state = 2},
  [18775] = {.lex_state = 436, .external_lex_state = 2},
  [18776] = {.lex_state = 436, .external_lex_state = 2},
  [18777] = {.lex_state = 436, .external_lex_state = 2},
  [18778] = {.lex_state = 436, .external_lex_state = 2},
  [18779] = {.lex_state = 436, .external_lex_state = 2},
  [18780] = {.lex_state = 436, .external_lex_state = 2},
  [18781] = {.lex_state = 436, .external_lex_state = 2},
  [18782] = {.lex_state = 9, .external_lex_state = 2},
  [18783] = {.lex_state = 41, .external_lex_state = 2},
  [18784] = {.lex_state = 9, .external_lex_state = 2},
  [18785] = {.lex_state = 436, .external_lex_state = 2},
  [18786] = {.lex_state = 158, .external_lex_state = 2},
  [18787] = {.lex_state = 436, .external_lex_state = 2},
  [18788] = {.lex_state = 436, .external_lex_state = 2},
  [18789] = {.lex_state = 436, .external_lex_state = 2},
  [18790] = {.lex_state = 41, .external_lex_state = 2},
  [18791] = {.lex_state = 436, .external_lex_state = 2},
  [18792] = {.lex_state = 436, .external_lex_state = 2},
  [18793] = {.lex_state = 436, .external_lex_state = 2},
  [18794] = {.lex_state = 9, .external_lex_state = 2},
  [18795] = {.lex_state = 436, .external_lex_state = 2},
  [18796] = {.lex_state = 436, .external_lex_state = 2},
  [18797] = {.lex_state = 436, .external_lex_state = 2},
  [18798] = {.lex_state = 436, .external_lex_state = 2},
  [18799] = {.lex_state = 436, .external_lex_state = 2},
  [18800] = {.lex_state = 436, .external_lex_state = 2},
  [18801] = {.lex_state = 158, .external_lex_state = 2},
  [18802] = {.lex_state = 165, .external_lex_state = 2},
  [18803] = {.lex_state = 436, .external_lex_state = 2},
  [18804] = {.lex_state = 436, .external_lex_state = 2},
  [18805] = {.lex_state = 158, .external_lex_state = 2},
  [18806] = {.lex_state = 436, .external_lex_state = 2},
  [18807] = {.lex_state = 436, .external_lex_state = 2},
  [18808] = {.lex_state = 436, .external_lex_state = 2},
  [18809] = {.lex_state = 436, .external_lex_state = 2},
  [18810] = {.lex_state = 436, .external_lex_state = 2},
  [18811] = {.lex_state = 436, .external_lex_state = 2},
  [18812] = {.lex_state = 165, .external_lex_state = 2},
  [18813] = {.lex_state = 165, .external_lex_state = 2},
  [18814] = {.lex_state = 165, .external_lex_state = 2},
  [18815] = {.lex_state = 165, .external_lex_state = 2},
  [18816] = {.lex_state = 436, .external_lex_state = 2},
  [18817] = {.lex_state = 436, .external_lex_state = 2},
  [18818] = {.lex_state = 436, .external_lex_state = 2},
  [18819] = {.lex_state = 436, .external_lex_state = 2},
  [18820] = {.lex_state = 436, .external_lex_state = 2},
  [18821] = {.lex_state = 436, .external_lex_state = 2},
  [18822] = {.lex_state = 436, .external_lex_state = 2},
  [18823] = {.lex_state = 165, .external_lex_state = 2},
  [18824] = {.lex_state = 436, .external_lex_state = 2},
  [18825] = {.lex_state = 436, .external_lex_state = 2},
  [18826] = {.lex_state = 436, .external_lex_state = 2},
  [18827] = {.lex_state = 436, .external_lex_state = 2},
  [18828] = {.lex_state = 436, .external_lex_state = 2},
  [18829] = {.lex_state = 436, .external_lex_state = 2},
  [18830] = {.lex_state = 436, .external_lex_state = 2},
  [18831] = {.lex_state = 436, .external_lex_state = 2},
  [18832] = {.lex_state = 158, .external_lex_state = 2},
  [18833] = {.lex_state = 436, .external_lex_state = 2},
  [18834] = {.lex_state = 158, .external_lex_state = 2},
  [18835] = {.lex_state = 158, .external_lex_state = 2},
  [18836] = {.lex_state = 436, .external_lex_state = 3},
  [18837] = {.lex_state = 436, .external_lex_state = 2},
  [18838] = {.lex_state = 436, .external_lex_state = 2},
  [18839] = {.lex_state = 436, .external_lex_state = 2},
  [18840] = {.lex_state = 436, .external_lex_state = 2},
  [18841] = {.lex_state = 436, .external_lex_state = 2},
  [18842] = {.lex_state = 158, .external_lex_state = 2},
  [18843] = {.lex_state = 158, .external_lex_state = 2},
  [18844] = {.lex_state = 436, .external_lex_state = 2},
  [18845] = {.lex_state = 436, .external_lex_state = 2},
  [18846] = {.lex_state = 436, .external_lex_state = 2},
  [18847] = {.lex_state = 436, .external_lex_state = 2},
  [18848] = {.lex_state = 436, .external_lex_state = 2},
  [18849] = {.lex_state = 436, .external_lex_state = 2},
  [18850] = {.lex_state = 436, .external_lex_state = 2},
  [18851] = {.lex_state = 436, .external_lex_state = 2},
  [18852] = {.lex_state = 436, .external_lex_state = 2},
  [18853] = {.lex_state = 158, .external_lex_state = 2},
  [18854] = {.lex_state = 436, .external_lex_state = 2},
  [18855] = {.lex_state = 436, .external_lex_state = 2},
  [18856] = {.lex_state = 41, .external_lex_state = 2},
  [18857] = {.lex_state = 436, .external_lex_state = 2},
  [18858] = {.lex_state = 436, .external_lex_state = 2},
  [18859] = {.lex_state = 436, .external_lex_state = 2},
  [18860] = {.lex_state = 436, .external_lex_state = 2},
  [18861] = {.lex_state = 436, .external_lex_state = 3},
  [18862] = {.lex_state = 436, .external_lex_state = 2},
  [18863] = {.lex_state = 436, .external_lex_state = 2},
  [18864] = {.lex_state = 436, .external_lex_state = 2},
  [18865] = {.lex_state = 436, .external_lex_state = 2},
  [18866] = {.lex_state = 436, .external_lex_state = 2},
  [18867] = {.lex_state = 436, .external_lex_state = 2},
  [18868] = {.lex_state = 436, .external_lex_state = 2},
  [18869] = {.lex_state = 436, .external_lex_state = 2},
  [18870] = {.lex_state = 158, .external_lex_state = 2},
  [18871] = {.lex_state = 436, .external_lex_state = 2},
  [18872] = {.lex_state = 436, .external_lex_state = 2},
  [18873] = {.lex_state = 436, .external_lex_state = 2},
  [18874] = {.lex_state = 436, .external_lex_state = 2},
  [18875] = {.lex_state = 436, .external_lex_state = 2},
  [18876] = {.lex_state = 436, .external_lex_state = 2},
  [18877] = {.lex_state = 436, .external_lex_state = 2},
  [18878] = {.lex_state = 436, .external_lex_state = 2},
  [18879] = {.lex_state = 436, .external_lex_state = 2},
  [18880] = {.lex_state = 436, .external_lex_state = 2},
  [18881] = {.lex_state = 436, .external_lex_state = 2},
  [18882] = {.lex_state = 436, .external_lex_state = 2},
  [18883] = {.lex_state = 436, .external_lex_state = 2},
  [18884] = {.lex_state = 158, .external_lex_state = 2},
  [18885] = {.lex_state = 436, .external_lex_state = 2},
  [18886] = {.lex_state = 165, .external_lex_state = 2},
  [18887] = {.lex_state = 436, .external_lex_state = 2},
  [18888] = {.lex_state = 436, .external_lex_state = 2},
  [18889] = {.lex_state = 436, .external_lex_state = 2},
  [18890] = {.lex_state = 436, .external_lex_state = 2},
  [18891] = {.lex_state = 436, .external_lex_state = 2},
  [18892] = {.lex_state = 436, .external_lex_state = 2},
  [18893] = {.lex_state = 436, .external_lex_state = 2},
  [18894] = {.lex_state = 436, .external_lex_state = 2},
  [18895] = {.lex_state = 436, .external_lex_state = 3},
  [18896] = {.lex_state = 158, .external_lex_state = 2},
  [18897] = {.lex_state = 436, .external_lex_state = 2},
  [18898] = {.lex_state = 436, .external_lex_state = 2},
  [18899] = {.lex_state = 436, .external_lex_state = 2},
  [18900] = {.lex_state = 41, .external_lex_state = 2},
  [18901] = {.lex_state = 436, .external_lex_state = 2},
  [18902] = {.lex_state = 436, .external_lex_state = 2},
  [18903] = {.lex_state = 158, .external_lex_state = 2},
  [18904] = {.lex_state = 436, .external_lex_state = 2},
  [18905] = {.lex_state = 436, .external_lex_state = 2},
  [18906] = {.lex_state = 158, .external_lex_state = 2},
  [18907] = {.lex_state = 436, .external_lex_state = 2},
  [18908] = {.lex_state = 436, .external_lex_state = 2},
  [18909] = {.lex_state = 158, .external_lex_state = 2},
  [18910] = {.lex_state = 436, .external_lex_state = 2},
  [18911] = {.lex_state = 165, .external_lex_state = 2},
  [18912] = {.lex_state = 436, .external_lex_state = 3},
  [18913] = {.lex_state = 436, .external_lex_state = 2},
  [18914] = {.lex_state = 436, .external_lex_state = 3},
  [18915] = {.lex_state = 436, .external_lex_state = 2},
  [18916] = {.lex_state = 158, .external_lex_state = 2},
  [18917] = {.lex_state = 436, .external_lex_state = 2},
  [18918] = {.lex_state = 165, .external_lex_state = 2},
  [18919] = {.lex_state = 436, .external_lex_state = 2},
  [18920] = {.lex_state = 436, .external_lex_state = 2},
  [18921] = {.lex_state = 436, .external_lex_state = 2},
  [18922] = {.lex_state = 436, .external_lex_state = 2},
  [18923] = {.lex_state = 436, .external_lex_state = 2},
  [18924] = {.lex_state = 436, .external_lex_state = 2},
  [18925] = {.lex_state = 436, .external_lex_state = 2},
  [18926] = {.lex_state = 436, .external_lex_state = 2},
  [18927] = {.lex_state = 158, .external_lex_state = 2},
  [18928] = {.lex_state = 436, .external_lex_state = 2},
  [18929] = {.lex_state = 436, .external_lex_state = 2},
  [18930] = {.lex_state = 41, .external_lex_state = 2},
  [18931] = {.lex_state = 158, .external_lex_state = 2},
  [18932] = {.lex_state = 436, .external_lex_state = 2},
  [18933] = {.lex_state = 436, .external_lex_state = 2},
  [18934] = {.lex_state = 436, .external_lex_state = 2},
  [18935] = {.lex_state = 436, .external_lex_state = 2},
  [18936] = {.lex_state = 158, .external_lex_state = 2},
  [18937] = {.lex_state = 436, .external_lex_state = 3},
  [18938] = {.lex_state = 158, .external_lex_state = 2},
  [18939] = {.lex_state = 436, .external_lex_state = 2},
  [18940] = {.lex_state = 436, .external_lex_state = 2},
  [18941] = {.lex_state = 436, .external_lex_state = 2},
  [18942] = {.lex_state = 436, .external_lex_state = 2},
  [18943] = {.lex_state = 436, .external_lex_state = 2},
  [18944] = {.lex_state = 436, .external_lex_state = 2},
  [18945] = {.lex_state = 436, .external_lex_state = 2},
  [18946] = {.lex_state = 436, .external_lex_state = 2},
  [18947] = {.lex_state = 436, .external_lex_state = 2},
  [18948] = {.lex_state = 436, .external_lex_state = 2},
  [18949] = {.lex_state = 436, .external_lex_state = 2},
  [18950] = {.lex_state = 436, .external_lex_state = 2},
  [18951] = {.lex_state = 436, .external_lex_state = 2},
  [18952] = {.lex_state = 41, .external_lex_state = 2},
  [18953] = {.lex_state = 436, .external_lex_state = 2},
  [18954] = {.lex_state = 436, .external_lex_state = 2},
  [18955] = {.lex_state = 158, .external_lex_state = 2},
  [18956] = {.lex_state = 9, .external_lex_state = 2},
  [18957] = {.lex_state = 41, .external_lex_state = 2},
  [18958] = {.lex_state = 436, .external_lex_state = 2},
  [18959] = {.lex_state = 165, .external_lex_state = 2},
  [18960] = {.lex_state = 436, .external_lex_state = 2},
  [18961] = {.lex_state = 436, .external_lex_state = 2},
  [18962] = {.lex_state = 436, .external_lex_state = 2},
  [18963] = {.lex_state = 165, .external_lex_state = 2},
  [18964] = {.lex_state = 158, .external_lex_state = 2},
  [18965] = {.lex_state = 436, .external_lex_state = 2},
  [18966] = {.lex_state = 436, .external_lex_state = 2},
  [18967] = {.lex_state = 165, .external_lex_state = 2},
  [18968] = {.lex_state = 41, .external_lex_state = 2},
  [18969] = {.lex_state = 436, .external_lex_state = 2},
  [18970] = {.lex_state = 436, .external_lex_state = 2},
  [18971] = {.lex_state = 436, .external_lex_state = 2},
  [18972] = {.lex_state = 436, .external_lex_state = 2},
  [18973] = {.lex_state = 41, .external_lex_state = 2},
  [18974] = {.lex_state = 436, .external_lex_state = 2},
  [18975] = {.lex_state = 436, .external_lex_state = 2},
  [18976] = {.lex_state = 436, .external_lex_state = 2},
  [18977] = {.lex_state = 436, .external_lex_state = 2},
  [18978] = {.lex_state = 436, .external_lex_state = 3},
  [18979] = {.lex_state = 436, .external_lex_state = 2},
  [18980] = {.lex_state = 436, .external_lex_state = 2},
  [18981] = {.lex_state = 436, .external_lex_state = 2},
  [18982] = {.lex_state = 436, .external_lex_state = 2},
  [18983] = {.lex_state = 436, .external_lex_state = 2},
  [18984] = {.lex_state = 436, .external_lex_state = 2},
  [18985] = {.lex_state = 158, .external_lex_state = 2},
  [18986] = {.lex_state = 436, .external_lex_state = 2},
  [18987] = {.lex_state = 436, .external_lex_state = 2},
  [18988] = {.lex_state = 436, .external_lex_state = 2},
  [18989] = {.lex_state = 436, .external_lex_state = 2},
  [18990] = {.lex_state = 158, .external_lex_state = 2},
  [18991] = {.lex_state = 436, .external_lex_state = 2},
  [18992] = {.lex_state = 436, .external_lex_state = 2},
  [18993] = {.lex_state = 436, .external_lex_state = 2},
  [18994] = {.lex_state = 436, .external_lex_state = 2},
  [18995] = {.lex_state = 436, .external_lex_state = 2},
  [18996] = {.lex_state = 436, .external_lex_state = 2},
  [18997] = {.lex_state = 436, .external_lex_state = 2},
  [18998] = {.lex_state = 436, .external_lex_state = 2},
  [18999] = {.lex_state = 436, .external_lex_state = 2},
  [19000] = {.lex_state = 436, .external_lex_state = 2},
  [19001] = {.lex_state = 436, .external_lex_state = 2},
  [19002] = {.lex_state = 436, .external_lex_state = 2},
  [19003] = {.lex_state = 436, .external_lex_state = 2},
  [19004] = {.lex_state = 436, .external_lex_state = 2},
  [19005] = {.lex_state = 436, .external_lex_state = 2},
  [19006] = {.lex_state = 436, .external_lex_state = 2},
  [19007] = {.lex_state = 436, .external_lex_state = 2},
  [19008] = {.lex_state = 436, .external_lex_state = 2},
  [19009] = {.lex_state = 436, .external_lex_state = 2},
  [19010] = {.lex_state = 158, .external_lex_state = 2},
  [19011] = {.lex_state = 436, .external_lex_state = 2},
  [19012] = {.lex_state = 436, .external_lex_state = 2},
  [19013] = {.lex_state = 436, .external_lex_state = 2},
  [19014] = {.lex_state = 436, .external_lex_state = 2},
  [19015] = {.lex_state = 436, .external_lex_state = 2},
  [19016] = {.lex_state = 436, .external_lex_state = 2},
  [19017] = {.lex_state = 436, .external_lex_state = 2},
  [19018] = {.lex_state = 436, .external_lex_state = 2},
  [19019] = {.lex_state = 9, .external_lex_state = 2},
  [19020] = {.lex_state = 436, .external_lex_state = 2},
  [19021] = {.lex_state = 158, .external_lex_state = 2},
  [19022] = {.lex_state = 436, .external_lex_state = 2},
  [19023] = {.lex_state = 436, .external_lex_state = 2},
  [19024] = {.lex_state = 436, .external_lex_state = 2},
  [19025] = {.lex_state = 436, .external_lex_state = 2},
  [19026] = {.lex_state = 436, .external_lex_state = 2},
  [19027] = {.lex_state = 436, .external_lex_state = 2},
  [19028] = {.lex_state = 436, .external_lex_state = 2},
  [19029] = {.lex_state = 436, .external_lex_state = 2},
  [19030] = {.lex_state = 436, .external_lex_state = 2},
  [19031] = {.lex_state = 436, .external_lex_state = 2},
  [19032] = {.lex_state = 436, .external_lex_state = 3},
  [19033] = {.lex_state = 158, .external_lex_state = 2},
  [19034] = {.lex_state = 158, .external_lex_state = 2},
  [19035] = {.lex_state = 436, .external_lex_state = 3},
  [19036] = {.lex_state = 436, .external_lex_state = 2},
  [19037] = {.lex_state = 436, .external_lex_state = 2},
  [19038] = {.lex_state = 436, .external_lex_state = 2},
  [19039] = {.lex_state = 9, .external_lex_state = 2},
  [19040] = {.lex_state = 165, .external_lex_state = 2},
  [19041] = {.lex_state = 165, .external_lex_state = 2},
  [19042] = {.lex_state = 436, .external_lex_state = 2},
  [19043] = {.lex_state = 436, .external_lex_state = 2},
  [19044] = {.lex_state = 165, .external_lex_state = 2},
  [19045] = {.lex_state = 436, .external_lex_state = 2},
  [19046] = {.lex_state = 158, .external_lex_state = 2},
  [19047] = {.lex_state = 436, .external_lex_state = 2},
  [19048] = {.lex_state = 165, .external_lex_state = 2},
  [19049] = {.lex_state = 436, .external_lex_state = 2},
  [19050] = {.lex_state = 436, .external_lex_state = 2},
  [19051] = {.lex_state = 436, .external_lex_state = 2},
  [19052] = {.lex_state = 436, .external_lex_state = 2},
  [19053] = {.lex_state = 436, .external_lex_state = 2},
  [19054] = {.lex_state = 9, .external_lex_state = 2},
  [19055] = {.lex_state = 436, .external_lex_state = 2},
  [19056] = {.lex_state = 165, .external_lex_state = 2},
  [19057] = {.lex_state = 165, .external_lex_state = 2},
  [19058] = {.lex_state = 165, .external_lex_state = 2},
  [19059] = {.lex_state = 436, .external_lex_state = 2},
  [19060] = {.lex_state = 436, .external_lex_state = 2},
  [19061] = {.lex_state = 436, .external_lex_state = 2},
  [19062] = {.lex_state = 9, .external_lex_state = 2},
  [19063] = {.lex_state = 9, .external_lex_state = 2},
  [19064] = {.lex_state = 436, .external_lex_state = 2},
  [19065] = {.lex_state = 158, .external_lex_state = 2},
  [19066] = {.lex_state = 158, .external_lex_state = 2},
  [19067] = {.lex_state = 436, .external_lex_state = 3},
  [19068] = {.lex_state = 158, .external_lex_state = 2},
  [19069] = {.lex_state = 436, .external_lex_state = 2},
  [19070] = {.lex_state = 436, .external_lex_state = 2},
  [19071] = {.lex_state = 158, .external_lex_state = 2},
  [19072] = {.lex_state = 436, .external_lex_state = 2},
  [19073] = {.lex_state = 41, .external_lex_state = 2},
  [19074] = {.lex_state = 436, .external_lex_state = 2},
  [19075] = {.lex_state = 436, .external_lex_state = 2},
  [19076] = {.lex_state = 436, .external_lex_state = 2},
  [19077] = {.lex_state = 436, .external_lex_state = 2},
  [19078] = {.lex_state = 436, .external_lex_state = 2},
  [19079] = {.lex_state = 436, .external_lex_state = 2},
  [19080] = {.lex_state = 436, .external_lex_state = 2},
  [19081] = {.lex_state = 436, .external_lex_state = 2},
  [19082] = {.lex_state = 436, .external_lex_state = 2},
  [19083] = {.lex_state = 9, .external_lex_state = 2},
  [19084] = {.lex_state = 436, .external_lex_state = 2},
  [19085] = {.lex_state = 436, .external_lex_state = 2},
  [19086] = {.lex_state = 436, .external_lex_state = 2},
  [19087] = {.lex_state = 436, .external_lex_state = 2},
  [19088] = {.lex_state = 436, .external_lex_state = 2},
  [19089] = {.lex_state = 165, .external_lex_state = 2},
  [19090] = {.lex_state = 436, .external_lex_state = 2},
  [19091] = {.lex_state = 436, .external_lex_state = 2},
  [19092] = {.lex_state = 436, .external_lex_state = 2},
  [19093] = {.lex_state = 436, .external_lex_state = 2},
  [19094] = {.lex_state = 165, .external_lex_state = 2},
  [19095] = {.lex_state = 165, .external_lex_state = 2},
  [19096] = {.lex_state = 436, .external_lex_state = 2},
  [19097] = {.lex_state = 165, .external_lex_state = 2},
  [19098] = {.lex_state = 165, .external_lex_state = 2},
  [19099] = {.lex_state = 436, .external_lex_state = 2},
  [19100] = {.lex_state = 436, .external_lex_state = 2},
  [19101] = {.lex_state = 436, .external_lex_state = 2},
  [19102] = {.lex_state = 436, .external_lex_state = 2},
  [19103] = {.lex_state = 436, .external_lex_state = 3},
  [19104] = {.lex_state = 436, .external_lex_state = 2},
  [19105] = {.lex_state = 436, .external_lex_state = 2},
  [19106] = {.lex_state = 158, .external_lex_state = 2},
  [19107] = {.lex_state = 436, .external_lex_state = 2},
  [19108] = {.lex_state = 436, .external_lex_state = 2},
  [19109] = {.lex_state = 165, .external_lex_state = 2},
  [19110] = {.lex_state = 436, .external_lex_state = 2},
  [19111] = {.lex_state = 436, .external_lex_state = 2},
  [19112] = {.lex_state = 436, .external_lex_state = 2},
  [19113] = {.lex_state = 436, .external_lex_state = 2},
  [19114] = {.lex_state = 158, .external_lex_state = 2},
  [19115] = {.lex_state = 436, .external_lex_state = 2},
  [19116] = {.lex_state = 436, .external_lex_state = 2},
  [19117] = {.lex_state = 436, .external_lex_state = 2},
  [19118] = {.lex_state = 436, .external_lex_state = 2},
  [19119] = {.lex_state = 9, .external_lex_state = 2},
  [19120] = {.lex_state = 436, .external_lex_state = 2},
  [19121] = {.lex_state = 436, .external_lex_state = 2},
  [19122] = {.lex_state = 436, .external_lex_state = 2},
  [19123] = {.lex_state = 436, .external_lex_state = 2},
  [19124] = {.lex_state = 436, .external_lex_state = 2},
  [19125] = {.lex_state = 436, .external_lex_state = 2},
  [19126] = {.lex_state = 436, .external_lex_state = 2},
  [19127] = {.lex_state = 9, .external_lex_state = 2},
  [19128] = {.lex_state = 436, .external_lex_state = 2},
  [19129] = {.lex_state = 436, .external_lex_state = 2},
  [19130] = {.lex_state = 158, .external_lex_state = 2},
  [19131] = {.lex_state = 158, .external_lex_state = 2},
  [19132] = {.lex_state = 436, .external_lex_state = 3},
  [19133] = {.lex_state = 436, .external_lex_state = 2},
  [19134] = {.lex_state = 436, .external_lex_state = 2},
  [19135] = {.lex_state = 158, .external_lex_state = 2},
  [19136] = {.lex_state = 436, .external_lex_state = 2},
  [19137] = {.lex_state = 436, .external_lex_state = 2},
  [19138] = {.lex_state = 436, .external_lex_state = 2},
  [19139] = {.lex_state = 165, .external_lex_state = 2},
  [19140] = {.lex_state = 436, .external_lex_state = 2},
  [19141] = {.lex_state = 436, .external_lex_state = 2},
  [19142] = {.lex_state = 436, .external_lex_state = 2},
  [19143] = {.lex_state = 436, .external_lex_state = 2},
  [19144] = {.lex_state = 436, .external_lex_state = 2},
  [19145] = {.lex_state = 165, .external_lex_state = 2},
  [19146] = {.lex_state = 436, .external_lex_state = 2},
  [19147] = {.lex_state = 436, .external_lex_state = 2},
  [19148] = {.lex_state = 436, .external_lex_state = 2},
  [19149] = {.lex_state = 165, .external_lex_state = 2},
  [19150] = {.lex_state = 436, .external_lex_state = 2},
  [19151] = {.lex_state = 436, .external_lex_state = 2},
  [19152] = {.lex_state = 436, .external_lex_state = 2},
  [19153] = {.lex_state = 436, .external_lex_state = 2},
  [19154] = {.lex_state = 436, .external_lex_state = 2},
  [19155] = {.lex_state = 436, .external_lex_state = 2},
  [19156] = {.lex_state = 436, .external_lex_state = 2},
  [19157] = {.lex_state = 436, .external_lex_state = 2},
  [19158] = {.lex_state = 436, .external_lex_state = 2},
  [19159] = {.lex_state = 436, .external_lex_state = 2},
  [19160] = {.lex_state = 436, .external_lex_state = 2},
  [19161] = {.lex_state = 436, .external_lex_state = 2},
  [19162] = {.lex_state = 436, .external_lex_state = 2},
  [19163] = {.lex_state = 436, .external_lex_state = 2},
  [19164] = {.lex_state = 436, .external_lex_state = 2},
  [19165] = {.lex_state = 436, .external_lex_state = 2},
  [19166] = {.lex_state = 436, .external_lex_state = 2},
  [19167] = {.lex_state = 436, .external_lex_state = 2},
  [19168] = {.lex_state = 436, .external_lex_state = 3},
  [19169] = {.lex_state = 436, .external_lex_state = 3},
  [19170] = {.lex_state = 158, .external_lex_state = 2},
  [19171] = {.lex_state = 158, .external_lex_state = 2},
  [19172] = {.lex_state = 158, .external_lex_state = 2},
  [19173] = {.lex_state = 9, .external_lex_state = 2},
  [19174] = {.lex_state = 436, .external_lex_state = 2},
  [19175] = {.lex_state = 436, .external_lex_state = 2},
  [19176] = {.lex_state = 436, .external_lex_state = 2},
  [19177] = {.lex_state = 436, .external_lex_state = 2},
  [19178] = {.lex_state = 436, .external_lex_state = 2},
  [19179] = {.lex_state = 436, .external_lex_state = 2},
  [19180] = {.lex_state = 436, .external_lex_state = 2},
  [19181] = {.lex_state = 436, .external_lex_state = 2},
  [19182] = {.lex_state = 436, .external_lex_state = 2},
  [19183] = {.lex_state = 436, .external_lex_state = 2},
  [19184] = {.lex_state = 436, .external_lex_state = 2},
  [19185] = {.lex_state = 436, .external_lex_state = 2},
  [19186] = {.lex_state = 436, .external_lex_state = 2},
  [19187] = {.lex_state = 165, .external_lex_state = 2},
  [19188] = {.lex_state = 436, .external_lex_state = 2},
  [19189] = {.lex_state = 165, .external_lex_state = 2},
  [19190] = {.lex_state = 436, .external_lex_state = 2},
  [19191] = {.lex_state = 436, .external_lex_state = 2},
  [19192] = {.lex_state = 436, .external_lex_state = 2},
  [19193] = {.lex_state = 436, .external_lex_state = 2},
  [19194] = {.lex_state = 436, .external_lex_state = 2},
  [19195] = {.lex_state = 9, .external_lex_state = 2},
  [19196] = {.lex_state = 165, .external_lex_state = 2},
  [19197] = {.lex_state = 165, .external_lex_state = 2},
  [19198] = {.lex_state = 436, .external_lex_state = 2},
  [19199] = {.lex_state = 436, .external_lex_state = 2},
  [19200] = {.lex_state = 436, .external_lex_state = 2},
  [19201] = {.lex_state = 436, .external_lex_state = 2},
  [19202] = {.lex_state = 436, .external_lex_state = 2},
  [19203] = {.lex_state = 436, .external_lex_state = 2},
  [19204] = {.lex_state = 436, .external_lex_state = 2},
  [19205] = {.lex_state = 9, .external_lex_state = 2},
  [19206] = {.lex_state = 165, .external_lex_state = 2},
  [19207] = {.lex_state = 436, .external_lex_state = 2},
  [19208] = {.lex_state = 436, .external_lex_state = 2},
  [19209] = {.lex_state = 436, .external_lex_state = 2},
  [19210] = {.lex_state = 436, .external_lex_state = 2},
  [19211] = {.lex_state = 165, .external_lex_state = 2},
  [19212] = {.lex_state = 436, .external_lex_state = 2},
  [19213] = {.lex_state = 436, .external_lex_state = 2},
  [19214] = {.lex_state = 436, .external_lex_state = 2},
  [19215] = {.lex_state = 436, .external_lex_state = 2},
  [19216] = {.lex_state = 436, .external_lex_state = 2},
  [19217] = {.lex_state = 436, .external_lex_state = 2},
  [19218] = {.lex_state = 436, .external_lex_state = 2},
  [19219] = {.lex_state = 165, .external_lex_state = 2},
  [19220] = {.lex_state = 436, .external_lex_state = 2},
  [19221] = {.lex_state = 436, .external_lex_state = 2},
  [19222] = {.lex_state = 436, .external_lex_state = 2},
  [19223] = {.lex_state = 165, .external_lex_state = 2},
  [19224] = {.lex_state = 165, .external_lex_state = 2},
  [19225] = {.lex_state = 436, .external_lex_state = 2},
  [19226] = {.lex_state = 436, .external_lex_state = 2},
  [19227] = {.lex_state = 436, .external_lex_state = 2},
  [19228] = {.lex_state = 436, .external_lex_state = 2},
  [19229] = {.lex_state = 165, .external_lex_state = 2},
  [19230] = {.lex_state = 436, .external_lex_state = 2},
  [19231] = {.lex_state = 436, .external_lex_state = 2},
  [19232] = {.lex_state = 436, .external_lex_state = 2},
  [19233] = {.lex_state = 436, .external_lex_state = 2},
  [19234] = {.lex_state = 165, .external_lex_state = 2},
  [19235] = {.lex_state = 436, .external_lex_state = 2},
  [19236] = {.lex_state = 436, .external_lex_state = 2},
  [19237] = {.lex_state = 436, .external_lex_state = 2},
  [19238] = {.lex_state = 436, .external_lex_state = 2},
  [19239] = {.lex_state = 436, .external_lex_state = 2},
  [19240] = {.lex_state = 165, .external_lex_state = 2},
  [19241] = {.lex_state = 436, .external_lex_state = 2},
  [19242] = {.lex_state = 436, .external_lex_state = 2},
  [19243] = {.lex_state = 436, .external_lex_state = 2},
  [19244] = {.lex_state = 436, .external_lex_state = 2},
  [19245] = {.lex_state = 436, .external_lex_state = 2},
  [19246] = {.lex_state = 165, .external_lex_state = 2},
  [19247] = {.lex_state = 436, .external_lex_state = 2},
  [19248] = {.lex_state = 165, .external_lex_state = 2},
  [19249] = {.lex_state = 165, .external_lex_state = 2},
  [19250] = {.lex_state = 165, .external_lex_state = 2},
  [19251] = {.lex_state = 436, .external_lex_state = 2},
  [19252] = {.lex_state = 436, .external_lex_state = 2},
  [19253] = {.lex_state = 436, .external_lex_state = 2},
  [19254] = {.lex_state = 436, .external_lex_state = 2},
  [19255] = {.lex_state = 436, .external_lex_state = 2},
  [19256] = {.lex_state = 436, .external_lex_state = 2},
  [19257] = {.lex_state = 436, .external_lex_state = 2},
  [19258] = {.lex_state = 436, .external_lex_state = 2},
  [19259] = {.lex_state = 436, .external_lex_state = 2},
  [19260] = {.lex_state = 436, .external_lex_state = 2},
  [19261] = {.lex_state = 436, .external_lex_state = 2},
  [19262] = {.lex_state = 158, .external_lex_state = 2},
  [19263] = {.lex_state = 436, .external_lex_state = 2},
  [19264] = {.lex_state = 436, .external_lex_state = 3},
  [19265] = {.lex_state = 436, .external_lex_state = 2},
  [19266] = {.lex_state = 436, .external_lex_state = 2},
  [19267] = {.lex_state = 436, .external_lex_state = 2},
  [19268] = {.lex_state = 165, .external_lex_state = 2},
  [19269] = {.lex_state = 436, .external_lex_state = 2},
  [19270] = {.lex_state = 436, .external_lex_state = 2},
  [19271] = {.lex_state = 158, .external_lex_state = 2},
  [19272] = {.lex_state = 165, .external_lex_state = 2},
  [19273] = {.lex_state = 41, .external_lex_state = 2},
  [19274] = {.lex_state = 436, .external_lex_state = 2},
  [19275] = {.lex_state = 436, .external_lex_state = 2},
  [19276] = {.lex_state = 436, .external_lex_state = 2},
  [19277] = {.lex_state = 436, .external_lex_state = 2},
  [19278] = {.lex_state = 436, .external_lex_state = 2},
  [19279] = {.lex_state = 436, .external_lex_state = 2},
  [19280] = {.lex_state = 436, .external_lex_state = 2},
  [19281] = {.lex_state = 158, .external_lex_state = 2},
  [19282] = {.lex_state = 436, .external_lex_state = 2},
  [19283] = {.lex_state = 436, .external_lex_state = 2},
  [19284] = {.lex_state = 436, .external_lex_state = 2},
  [19285] = {.lex_state = 436, .external_lex_state = 2},
  [19286] = {.lex_state = 436, .external_lex_state = 2},
  [19287] = {.lex_state = 436, .external_lex_state = 2},
  [19288] = {.lex_state = 436, .external_lex_state = 2},
  [19289] = {.lex_state = 436, .external_lex_state = 2},
  [19290] = {.lex_state = 436, .external_lex_state = 2},
  [19291] = {.lex_state = 158, .external_lex_state = 2},
  [19292] = {.lex_state = 436, .external_lex_state = 2},
  [19293] = {.lex_state = 436, .external_lex_state = 2},
  [19294] = {.lex_state = 158, .external_lex_state = 2},
  [19295] = {.lex_state = 436, .external_lex_state = 2},
  [19296] = {.lex_state = 436, .external_lex_state = 2},
  [19297] = {.lex_state = 436, .external_lex_state = 2},
  [19298] = {.lex_state = 165, .external_lex_state = 2},
  [19299] = {.lex_state = 436, .external_lex_state = 2},
  [19300] = {.lex_state = 158, .external_lex_state = 2},
  [19301] = {.lex_state = 165, .external_lex_state = 2},
  [19302] = {.lex_state = 436, .external_lex_state = 2},
  [19303] = {.lex_state = 436, .external_lex_state = 2},
  [19304] = {.lex_state = 436, .external_lex_state = 2},
  [19305] = {.lex_state = 436, .external_lex_state = 2},
  [19306] = {.lex_state = 436, .external_lex_state = 2},
  [19307] = {.lex_state = 436, .external_lex_state = 2},
  [19308] = {.lex_state = 436, .external_lex_state = 2},
  [19309] = {.lex_state = 436, .external_lex_state = 2},
  [19310] = {.lex_state = 436, .external_lex_state = 2},
  [19311] = {.lex_state = 436, .external_lex_state = 2},
  [19312] = {.lex_state = 436, .external_lex_state = 2},
  [19313] = {.lex_state = 436, .external_lex_state = 2},
  [19314] = {.lex_state = 436, .external_lex_state = 2},
  [19315] = {.lex_state = 436, .external_lex_state = 2},
  [19316] = {.lex_state = 436, .external_lex_state = 2},
  [19317] = {.lex_state = 436, .external_lex_state = 2},
  [19318] = {.lex_state = 436, .external_lex_state = 2},
  [19319] = {.lex_state = 436, .external_lex_state = 2},
  [19320] = {.lex_state = 436, .external_lex_state = 2},
  [19321] = {.lex_state = 436, .external_lex_state = 2},
  [19322] = {.lex_state = 436, .external_lex_state = 2},
  [19323] = {.lex_state = 436, .external_lex_state = 2},
  [19324] = {.lex_state = 436, .external_lex_state = 2},
  [19325] = {.lex_state = 436, .external_lex_state = 2},
  [19326] = {.lex_state = 436, .external_lex_state = 2},
  [19327] = {.lex_state = 436, .external_lex_state = 2},
  [19328] = {.lex_state = 436, .external_lex_state = 2},
  [19329] = {.lex_state = 436, .external_lex_state = 2},
  [19330] = {.lex_state = 436, .external_lex_state = 2},
  [19331] = {.lex_state = 436, .external_lex_state = 2},
  [19332] = {.lex_state = 436, .external_lex_state = 2},
  [19333] = {.lex_state = 9, .external_lex_state = 2},
  [19334] = {.lex_state = 436, .external_lex_state = 2},
  [19335] = {.lex_state = 165, .external_lex_state = 2},
  [19336] = {.lex_state = 436, .external_lex_state = 2},
  [19337] = {.lex_state = 436, .external_lex_state = 2},
  [19338] = {.lex_state = 436, .external_lex_state = 2},
  [19339] = {.lex_state = 436, .external_lex_state = 3},
  [19340] = {.lex_state = 436, .external_lex_state = 2},
  [19341] = {.lex_state = 158, .external_lex_state = 2},
  [19342] = {.lex_state = 436, .external_lex_state = 2},
  [19343] = {.lex_state = 436, .external_lex_state = 2},
  [19344] = {.lex_state = 436, .external_lex_state = 2},
  [19345] = {.lex_state = 436, .external_lex_state = 2},
  [19346] = {.lex_state = 436, .external_lex_state = 2},
  [19347] = {.lex_state = 436, .external_lex_state = 2},
  [19348] = {.lex_state = 436, .external_lex_state = 2},
  [19349] = {.lex_state = 436, .external_lex_state = 2},
  [19350] = {.lex_state = 436, .external_lex_state = 2},
  [19351] = {.lex_state = 436, .external_lex_state = 2},
  [19352] = {.lex_state = 436, .external_lex_state = 2},
  [19353] = {.lex_state = 436, .external_lex_state = 2},
  [19354] = {.lex_state = 436, .external_lex_state = 2},
  [19355] = {.lex_state = 41, .external_lex_state = 2},
  [19356] = {.lex_state = 436, .external_lex_state = 2},
  [19357] = {.lex_state = 436, .external_lex_state = 2},
  [19358] = {.lex_state = 436, .external_lex_state = 2},
  [19359] = {.lex_state = 165, .external_lex_state = 2},
  [19360] = {.lex_state = 158, .external_lex_state = 2},
  [19361] = {.lex_state = 436, .external_lex_state = 2},
  [19362] = {.lex_state = 436, .external_lex_state = 2},
  [19363] = {.lex_state = 436, .external_lex_state = 2},
  [19364] = {.lex_state = 165, .external_lex_state = 2},
  [19365] = {.lex_state = 436, .external_lex_state = 2},
  [19366] = {.lex_state = 436, .external_lex_state = 2},
  [19367] = {.lex_state = 436, .external_lex_state = 2},
  [19368] = {.lex_state = 158, .external_lex_state = 2},
  [19369] = {.lex_state = 165, .external_lex_state = 2},
  [19370] = {.lex_state = 9, .external_lex_state = 2},
  [19371] = {.lex_state = 436, .external_lex_state = 2},
  [19372] = {.lex_state = 436, .external_lex_state = 2},
  [19373] = {.lex_state = 436, .external_lex_state = 2},
  [19374] = {.lex_state = 436, .external_lex_state = 2},
  [19375] = {.lex_state = 436, .external_lex_state = 2},
  [19376] = {.lex_state = 436, .external_lex_state = 2},
  [19377] = {.lex_state = 436, .external_lex_state = 2},
  [19378] = {.lex_state = 436, .external_lex_state = 2},
  [19379] = {.lex_state = 436, .external_lex_state = 2},
  [19380] = {.lex_state = 436, .external_lex_state = 2},
  [19381] = {.lex_state = 436, .external_lex_state = 2},
  [19382] = {.lex_state = 436, .external_lex_state = 2},
  [19383] = {.lex_state = 436, .external_lex_state = 2},
  [19384] = {.lex_state = 436, .external_lex_state = 2},
  [19385] = {.lex_state = 436, .external_lex_state = 2},
  [19386] = {.lex_state = 436, .external_lex_state = 2},
  [19387] = {.lex_state = 436, .external_lex_state = 2},
  [19388] = {.lex_state = 165, .external_lex_state = 2},
  [19389] = {.lex_state = 436, .external_lex_state = 2},
  [19390] = {.lex_state = 158, .external_lex_state = 2},
  [19391] = {.lex_state = 436, .external_lex_state = 2},
  [19392] = {.lex_state = 436, .external_lex_state = 2},
  [19393] = {.lex_state = 165, .external_lex_state = 2},
  [19394] = {.lex_state = 436, .external_lex_state = 2},
  [19395] = {.lex_state = 436, .external_lex_state = 2},
  [19396] = {.lex_state = 41, .external_lex_state = 2},
  [19397] = {.lex_state = 436, .external_lex_state = 2},
  [19398] = {.lex_state = 436, .external_lex_state = 2},
  [19399] = {.lex_state = 165, .external_lex_state = 2},
  [19400] = {.lex_state = 436, .external_lex_state = 2},
  [19401] = {.lex_state = 436, .external_lex_state = 2},
  [19402] = {.lex_state = 436, .external_lex_state = 2},
  [19403] = {.lex_state = 436, .external_lex_state = 2},
  [19404] = {.lex_state = 436, .external_lex_state = 2},
  [19405] = {.lex_state = 436, .external_lex_state = 2},
  [19406] = {.lex_state = 158, .external_lex_state = 2},
  [19407] = {.lex_state = 436, .external_lex_state = 2},
  [19408] = {.lex_state = 41, .external_lex_state = 2},
  [19409] = {.lex_state = 436, .external_lex_state = 3},
  [19410] = {.lex_state = 436, .external_lex_state = 2},
  [19411] = {.lex_state = 436, .external_lex_state = 2},
  [19412] = {.lex_state = 436, .external_lex_state = 2},
  [19413] = {.lex_state = 165, .external_lex_state = 2},
  [19414] = {.lex_state = 165, .external_lex_state = 2},
  [19415] = {.lex_state = 436, .external_lex_state = 2},
  [19416] = {.lex_state = 436, .external_lex_state = 2},
  [19417] = {.lex_state = 436, .external_lex_state = 2},
  [19418] = {.lex_state = 436, .external_lex_state = 2},
  [19419] = {.lex_state = 436, .external_lex_state = 2},
  [19420] = {.lex_state = 436, .external_lex_state = 2},
  [19421] = {.lex_state = 436, .external_lex_state = 2},
  [19422] = {.lex_state = 165, .external_lex_state = 2},
  [19423] = {.lex_state = 436, .external_lex_state = 2},
  [19424] = {.lex_state = 436, .external_lex_state = 2},
  [19425] = {.lex_state = 436, .external_lex_state = 2},
  [19426] = {.lex_state = 436, .external_lex_state = 2},
  [19427] = {.lex_state = 41, .external_lex_state = 2},
  [19428] = {.lex_state = 436, .external_lex_state = 2},
  [19429] = {.lex_state = 158, .external_lex_state = 2},
  [19430] = {.lex_state = 436, .external_lex_state = 2},
  [19431] = {.lex_state = 9, .external_lex_state = 2},
  [19432] = {.lex_state = 436, .external_lex_state = 2},
  [19433] = {.lex_state = 436, .external_lex_state = 2},
  [19434] = {.lex_state = 436, .external_lex_state = 2},
  [19435] = {.lex_state = 436, .external_lex_state = 2},
  [19436] = {.lex_state = 436, .external_lex_state = 2},
  [19437] = {.lex_state = 436, .external_lex_state = 2},
  [19438] = {.lex_state = 436, .external_lex_state = 2},
  [19439] = {.lex_state = 436, .external_lex_state = 2},
  [19440] = {.lex_state = 436, .external_lex_state = 2},
  [19441] = {.lex_state = 436, .external_lex_state = 2},
  [19442] = {.lex_state = 436, .external_lex_state = 2},
  [19443] = {.lex_state = 436, .external_lex_state = 2},
  [19444] = {.lex_state = 436, .external_lex_state = 2},
  [19445] = {.lex_state = 436, .external_lex_state = 2},
  [19446] = {.lex_state = 436, .external_lex_state = 2},
  [19447] = {.lex_state = 436, .external_lex_state = 2},
  [19448] = {.lex_state = 436, .external_lex_state = 2},
  [19449] = {.lex_state = 436, .external_lex_state = 2},
  [19450] = {.lex_state = 9, .external_lex_state = 2},
  [19451] = {.lex_state = 436, .external_lex_state = 2},
  [19452] = {.lex_state = 436, .external_lex_state = 2},
  [19453] = {.lex_state = 436, .external_lex_state = 2},
  [19454] = {.lex_state = 436, .external_lex_state = 2},
  [19455] = {.lex_state = 436, .external_lex_state = 2},
  [19456] = {.lex_state = 436, .external_lex_state = 2},
  [19457] = {.lex_state = 436, .external_lex_state = 2},
  [19458] = {.lex_state = 436, .external_lex_state = 2},
  [19459] = {.lex_state = 158, .external_lex_state = 2},
  [19460] = {.lex_state = 436, .external_lex_state = 2},
  [19461] = {.lex_state = 436, .external_lex_state = 2},
  [19462] = {.lex_state = 436, .external_lex_state = 2},
  [19463] = {.lex_state = 158, .external_lex_state = 2},
  [19464] = {.lex_state = 436, .external_lex_state = 2},
  [19465] = {.lex_state = 436, .external_lex_state = 2},
  [19466] = {.lex_state = 436, .external_lex_state = 3},
  [19467] = {.lex_state = 436, .external_lex_state = 2},
  [19468] = {.lex_state = 436, .external_lex_state = 2},
  [19469] = {.lex_state = 436, .external_lex_state = 2},
  [19470] = {.lex_state = 158, .external_lex_state = 2},
  [19471] = {.lex_state = 436, .external_lex_state = 2},
  [19472] = {.lex_state = 436, .external_lex_state = 2},
  [19473] = {.lex_state = 436, .external_lex_state = 2},
  [19474] = {.lex_state = 436, .external_lex_state = 2},
  [19475] = {.lex_state = 436, .external_lex_state = 2},
  [19476] = {.lex_state = 165, .external_lex_state = 2},
  [19477] = {.lex_state = 436, .external_lex_state = 2},
  [19478] = {.lex_state = 9, .external_lex_state = 2},
  [19479] = {.lex_state = 436, .external_lex_state = 2},
  [19480] = {.lex_state = 161, .external_lex_state = 2},
  [19481] = {.lex_state = 436, .external_lex_state = 2},
  [19482] = {.lex_state = 436, .external_lex_state = 2},
  [19483] = {.lex_state = 436, .external_lex_state = 2},
  [19484] = {.lex_state = 436, .external_lex_state = 2},
  [19485] = {.lex_state = 436, .external_lex_state = 2},
  [19486] = {.lex_state = 436, .external_lex_state = 2},
  [19487] = {.lex_state = 436, .external_lex_state = 2},
  [19488] = {.lex_state = 436, .external_lex_state = 2},
  [19489] = {.lex_state = 436, .external_lex_state = 2},
  [19490] = {.lex_state = 436, .external_lex_state = 2},
  [19491] = {.lex_state = 436, .external_lex_state = 2},
  [19492] = {.lex_state = 436, .external_lex_state = 2},
  [19493] = {.lex_state = 436, .external_lex_state = 2},
  [19494] = {.lex_state = 436, .external_lex_state = 2},
  [19495] = {.lex_state = 9, .external_lex_state = 2},
  [19496] = {.lex_state = 436, .external_lex_state = 2},
  [19497] = {.lex_state = 436, .external_lex_state = 2},
  [19498] = {.lex_state = 436, .external_lex_state = 2},
  [19499] = {.lex_state = 436, .external_lex_state = 2},
  [19500] = {.lex_state = 436, .external_lex_state = 2},
  [19501] = {.lex_state = 436, .external_lex_state = 2},
  [19502] = {.lex_state = 436, .external_lex_state = 2},
  [19503] = {.lex_state = 436, .external_lex_state = 2},
  [19504] = {.lex_state = 436, .external_lex_state = 2},
  [19505] = {.lex_state = 165, .external_lex_state = 2},
  [19506] = {.lex_state = 158, .external_lex_state = 2},
  [19507] = {.lex_state = 158, .external_lex_state = 2},
  [19508] = {.lex_state = 436, .external_lex_state = 3},
  [19509] = {.lex_state = 436, .external_lex_state = 2},
  [19510] = {.lex_state = 436, .external_lex_state = 3},
  [19511] = {.lex_state = 436, .external_lex_state = 2},
  [19512] = {.lex_state = 436, .external_lex_state = 2},
  [19513] = {.lex_state = 436, .external_lex_state = 2},
  [19514] = {.lex_state = 436, .external_lex_state = 2},
  [19515] = {.lex_state = 436, .external_lex_state = 2},
  [19516] = {.lex_state = 436, .external_lex_state = 2},
  [19517] = {.lex_state = 436, .external_lex_state = 2},
  [19518] = {.lex_state = 436, .external_lex_state = 3},
  [19519] = {.lex_state = 436, .external_lex_state = 2},
  [19520] = {.lex_state = 436, .external_lex_state = 2},
  [19521] = {.lex_state = 436, .external_lex_state = 2},
  [19522] = {.lex_state = 158, .external_lex_state = 2},
  [19523] = {.lex_state = 158, .external_lex_state = 2},
  [19524] = {.lex_state = 158, .external_lex_state = 2},
  [19525] = {.lex_state = 436, .external_lex_state = 2},
  [19526] = {.lex_state = 158, .external_lex_state = 2},
  [19527] = {.lex_state = 9, .external_lex_state = 2},
  [19528] = {.lex_state = 436, .external_lex_state = 2},
  [19529] = {.lex_state = 436, .external_lex_state = 2},
  [19530] = {.lex_state = 436, .external_lex_state = 2},
  [19531] = {.lex_state = 436, .external_lex_state = 2},
  [19532] = {.lex_state = 436, .external_lex_state = 2},
  [19533] = {.lex_state = 436, .external_lex_state = 2},
  [19534] = {.lex_state = 436, .external_lex_state = 2},
  [19535] = {.lex_state = 436, .external_lex_state = 2},
  [19536] = {.lex_state = 436, .external_lex_state = 2},
  [19537] = {.lex_state = 436, .external_lex_state = 2},
  [19538] = {.lex_state = 436, .external_lex_state = 2},
  [19539] = {.lex_state = 9, .external_lex_state = 2},
  [19540] = {.lex_state = 436, .external_lex_state = 2},
  [19541] = {.lex_state = 165, .external_lex_state = 2},
  [19542] = {.lex_state = 436, .external_lex_state = 2},
  [19543] = {.lex_state = 436, .external_lex_state = 2},
  [19544] = {.lex_state = 41, .external_lex_state = 2},
  [19545] = {.lex_state = 436, .external_lex_state = 2},
  [19546] = {.lex_state = 436, .external_lex_state = 2},
  [19547] = {.lex_state = 436, .external_lex_state = 2},
  [19548] = {.lex_state = 436, .external_lex_state = 2},
  [19549] = {.lex_state = 436, .external_lex_state = 2},
  [19550] = {.lex_state = 436, .external_lex_state = 2},
  [19551] = {.lex_state = 436, .external_lex_state = 2},
  [19552] = {.lex_state = 436, .external_lex_state = 2},
  [19553] = {.lex_state = 158, .external_lex_state = 2},
  [19554] = {.lex_state = 436, .external_lex_state = 2},
  [19555] = {.lex_state = 436, .external_lex_state = 2},
  [19556] = {.lex_state = 165, .external_lex_state = 2},
  [19557] = {.lex_state = 436, .external_lex_state = 2},
  [19558] = {.lex_state = 165, .external_lex_state = 2},
  [19559] = {.lex_state = 165, .external_lex_state = 2},
  [19560] = {.lex_state = 9, .external_lex_state = 2},
  [19561] = {.lex_state = 436, .external_lex_state = 2},
  [19562] = {.lex_state = 436, .external_lex_state = 2},
  [19563] = {.lex_state = 436, .external_lex_state = 2},
  [19564] = {.lex_state = 436, .external_lex_state = 2},
  [19565] = {.lex_state = 436, .external_lex_state = 2},
  [19566] = {.lex_state = 436, .external_lex_state = 2},
  [19567] = {.lex_state = 436, .external_lex_state = 2},
  [19568] = {.lex_state = 9, .external_lex_state = 2},
  [19569] = {.lex_state = 9, .external_lex_state = 2},
  [19570] = {.lex_state = 436, .external_lex_state = 2},
  [19571] = {.lex_state = 436, .external_lex_state = 2},
  [19572] = {.lex_state = 436, .external_lex_state = 2},
  [19573] = {.lex_state = 158, .external_lex_state = 2},
  [19574] = {.lex_state = 436, .external_lex_state = 2},
  [19575] = {.lex_state = 436, .external_lex_state = 2},
  [19576] = {.lex_state = 436, .external_lex_state = 3},
  [19577] = {.lex_state = 436, .external_lex_state = 2},
  [19578] = {.lex_state = 436, .external_lex_state = 2},
  [19579] = {.lex_state = 436, .external_lex_state = 2},
  [19580] = {.lex_state = 436, .external_lex_state = 2},
  [19581] = {.lex_state = 436, .external_lex_state = 2},
  [19582] = {.lex_state = 436, .external_lex_state = 2},
  [19583] = {.lex_state = 436, .external_lex_state = 2},
  [19584] = {.lex_state = 436, .external_lex_state = 2},
  [19585] = {.lex_state = 436, .external_lex_state = 2},
  [19586] = {.lex_state = 165, .external_lex_state = 2},
  [19587] = {.lex_state = 436, .external_lex_state = 2},
  [19588] = {.lex_state = 436, .external_lex_state = 2},
  [19589] = {.lex_state = 158, .external_lex_state = 2},
  [19590] = {.lex_state = 9, .external_lex_state = 2},
  [19591] = {.lex_state = 158, .external_lex_state = 2},
  [19592] = {.lex_state = 436, .external_lex_state = 2},
  [19593] = {.lex_state = 436, .external_lex_state = 2},
  [19594] = {.lex_state = 436, .external_lex_state = 2},
  [19595] = {.lex_state = 436, .external_lex_state = 2},
  [19596] = {.lex_state = 436, .external_lex_state = 2},
  [19597] = {.lex_state = 436, .external_lex_state = 2},
  [19598] = {.lex_state = 436, .external_lex_state = 2},
  [19599] = {.lex_state = 436, .external_lex_state = 2},
  [19600] = {.lex_state = 436, .external_lex_state = 2},
  [19601] = {.lex_state = 436, .external_lex_state = 2},
  [19602] = {.lex_state = 436, .external_lex_state = 2},
  [19603] = {.lex_state = 436, .external_lex_state = 2},
  [19604] = {.lex_state = 165, .external_lex_state = 2},
  [19605] = {.lex_state = 436, .external_lex_state = 2},
  [19606] = {.lex_state = 436, .external_lex_state = 2},
  [19607] = {.lex_state = 436, .external_lex_state = 2},
  [19608] = {.lex_state = 436, .external_lex_state = 2},
  [19609] = {.lex_state = 436, .external_lex_state = 2},
  [19610] = {.lex_state = 436, .external_lex_state = 2},
  [19611] = {.lex_state = 436, .external_lex_state = 2},
  [19612] = {.lex_state = 436, .external_lex_state = 2},
  [19613] = {.lex_state = 436, .external_lex_state = 2},
  [19614] = {.lex_state = 436, .external_lex_state = 2},
  [19615] = {.lex_state = 165, .external_lex_state = 2},
  [19616] = {.lex_state = 436, .external_lex_state = 2},
  [19617] = {.lex_state = 165, .external_lex_state = 2},
  [19618] = {.lex_state = 436, .external_lex_state = 2},
  [19619] = {.lex_state = 436, .external_lex_state = 2},
  [19620] = {.lex_state = 436, .external_lex_state = 2},
  [19621] = {.lex_state = 436, .external_lex_state = 2},
  [19622] = {.lex_state = 436, .external_lex_state = 2},
  [19623] = {.lex_state = 436, .external_lex_state = 2},
  [19624] = {.lex_state = 436, .external_lex_state = 2},
  [19625] = {.lex_state = 436, .external_lex_state = 2},
  [19626] = {.lex_state = 436, .external_lex_state = 2},
  [19627] = {.lex_state = 436, .external_lex_state = 2},
  [19628] = {.lex_state = 436, .external_lex_state = 2},
  [19629] = {.lex_state = 436, .external_lex_state = 2},
  [19630] = {.lex_state = 436, .external_lex_state = 2},
  [19631] = {.lex_state = 165, .external_lex_state = 2},
  [19632] = {.lex_state = 436, .external_lex_state = 2},
  [19633] = {.lex_state = 436, .external_lex_state = 2},
  [19634] = {.lex_state = 436, .external_lex_state = 2},
  [19635] = {.lex_state = 436, .external_lex_state = 2},
  [19636] = {.lex_state = 436, .external_lex_state = 2},
  [19637] = {.lex_state = 436, .external_lex_state = 2},
  [19638] = {.lex_state = 165, .external_lex_state = 2},
  [19639] = {.lex_state = 436, .external_lex_state = 2},
  [19640] = {.lex_state = 436, .external_lex_state = 2},
  [19641] = {.lex_state = 436, .external_lex_state = 2},
  [19642] = {.lex_state = 436, .external_lex_state = 2},
  [19643] = {.lex_state = 165, .external_lex_state = 2},
  [19644] = {.lex_state = 165, .external_lex_state = 2},
  [19645] = {.lex_state = 165, .external_lex_state = 2},
  [19646] = {.lex_state = 436, .external_lex_state = 2},
  [19647] = {.lex_state = 165, .external_lex_state = 2},
  [19648] = {.lex_state = 436, .external_lex_state = 2},
  [19649] = {.lex_state = 436, .external_lex_state = 2},
  [19650] = {.lex_state = 436, .external_lex_state = 2},
  [19651] = {.lex_state = 436, .external_lex_state = 2},
  [19652] = {.lex_state = 436, .external_lex_state = 2},
  [19653] = {.lex_state = 436, .external_lex_state = 2},
  [19654] = {.lex_state = 436, .external_lex_state = 2},
  [19655] = {.lex_state = 436, .external_lex_state = 2},
  [19656] = {.lex_state = 436, .external_lex_state = 2},
  [19657] = {.lex_state = 158, .external_lex_state = 2},
  [19658] = {.lex_state = 9, .external_lex_state = 2},
  [19659] = {.lex_state = 165, .external_lex_state = 2},
  [19660] = {.lex_state = 436, .external_lex_state = 2},
  [19661] = {.lex_state = 436, .external_lex_state = 2},
  [19662] = {.lex_state = 9, .external_lex_state = 2},
  [19663] = {.lex_state = 9, .external_lex_state = 2},
  [19664] = {.lex_state = 436, .external_lex_state = 2},
  [19665] = {.lex_state = 436, .external_lex_state = 2},
  [19666] = {.lex_state = 436, .external_lex_state = 2},
  [19667] = {.lex_state = 436, .external_lex_state = 2},
  [19668] = {.lex_state = 436, .external_lex_state = 2},
  [19669] = {.lex_state = 436, .external_lex_state = 2},
  [19670] = {.lex_state = 436, .external_lex_state = 2},
  [19671] = {.lex_state = 436, .external_lex_state = 2},
  [19672] = {.lex_state = 165, .external_lex_state = 2},
  [19673] = {.lex_state = 158, .external_lex_state = 2},
  [19674] = {.lex_state = 41, .external_lex_state = 2},
  [19675] = {.lex_state = 436, .external_lex_state = 2},
  [19676] = {.lex_state = 436, .external_lex_state = 2},
  [19677] = {.lex_state = 436, .external_lex_state = 2},
  [19678] = {.lex_state = 436, .external_lex_state = 2},
  [19679] = {.lex_state = 436, .external_lex_state = 2},
  [19680] = {.lex_state = 436, .external_lex_state = 2},
  [19681] = {.lex_state = 158, .external_lex_state = 2},
  [19682] = {.lex_state = 436, .external_lex_state = 2},
  [19683] = {.lex_state = 436, .external_lex_state = 3},
  [19684] = {.lex_state = 436, .external_lex_state = 2},
  [19685] = {.lex_state = 436, .external_lex_state = 2},
  [19686] = {.lex_state = 436, .external_lex_state = 2},
  [19687] = {.lex_state = 436, .external_lex_state = 2},
  [19688] = {.lex_state = 436, .external_lex_state = 2},
  [19689] = {.lex_state = 436, .external_lex_state = 2},
  [19690] = {.lex_state = 158, .external_lex_state = 2},
  [19691] = {.lex_state = 436, .external_lex_state = 2},
  [19692] = {.lex_state = 436, .external_lex_state = 2},
  [19693] = {.lex_state = 436, .external_lex_state = 2},
  [19694] = {.lex_state = 436, .external_lex_state = 2},
  [19695] = {.lex_state = 436, .external_lex_state = 2},
  [19696] = {.lex_state = 158, .external_lex_state = 2},
  [19697] = {.lex_state = 436, .external_lex_state = 2},
  [19698] = {.lex_state = 436, .external_lex_state = 2},
  [19699] = {.lex_state = 436, .external_lex_state = 2},
  [19700] = {.lex_state = 436, .external_lex_state = 2},
  [19701] = {.lex_state = 436, .external_lex_state = 2},
  [19702] = {.lex_state = 436, .external_lex_state = 3},
  [19703] = {.lex_state = 436, .external_lex_state = 2},
  [19704] = {.lex_state = 158, .external_lex_state = 2},
  [19705] = {.lex_state = 436, .external_lex_state = 2},
  [19706] = {.lex_state = 158, .external_lex_state = 2},
  [19707] = {.lex_state = 436, .external_lex_state = 2},
  [19708] = {.lex_state = 158, .external_lex_state = 2},
  [19709] = {.lex_state = 9, .external_lex_state = 2},
  [19710] = {.lex_state = 436, .external_lex_state = 2},
  [19711] = {.lex_state = 436, .external_lex_state = 2},
  [19712] = {.lex_state = 436, .external_lex_state = 2},
  [19713] = {.lex_state = 436, .external_lex_state = 2},
  [19714] = {.lex_state = 436, .external_lex_state = 2},
  [19715] = {.lex_state = 436, .external_lex_state = 2},
  [19716] = {.lex_state = 436, .external_lex_state = 2},
  [19717] = {.lex_state = 436, .external_lex_state = 2},
  [19718] = {.lex_state = 436, .external_lex_state = 2},
  [19719] = {.lex_state = 158, .external_lex_state = 2},
  [19720] = {.lex_state = 436, .external_lex_state = 2},
  [19721] = {.lex_state = 436, .external_lex_state = 2},
  [19722] = {.lex_state = 436, .external_lex_state = 2},
  [19723] = {.lex_state = 165, .external_lex_state = 2},
  [19724] = {.lex_state = 165, .external_lex_state = 2},
  [19725] = {.lex_state = 436, .external_lex_state = 2},
  [19726] = {.lex_state = 436, .external_lex_state = 2},
  [19727] = {.lex_state = 436, .external_lex_state = 2},
  [19728] = {.lex_state = 436, .external_lex_state = 2},
  [19729] = {.lex_state = 436, .external_lex_state = 2},
  [19730] = {.lex_state = 436, .external_lex_state = 2},
  [19731] = {.lex_state = 436, .external_lex_state = 2},
  [19732] = {.lex_state = 436, .external_lex_state = 2},
  [19733] = {.lex_state = 436, .external_lex_state = 2},
  [19734] = {.lex_state = 436, .external_lex_state = 2},
  [19735] = {.lex_state = 165, .external_lex_state = 2},
  [19736] = {.lex_state = 436, .external_lex_state = 2},
  [19737] = {.lex_state = 436, .external_lex_state = 2},
  [19738] = {.lex_state = 436, .external_lex_state = 2},
  [19739] = {.lex_state = 436, .external_lex_state = 2},
  [19740] = {.lex_state = 436, .external_lex_state = 2},
  [19741] = {.lex_state = 436, .external_lex_state = 2},
  [19742] = {.lex_state = 436, .external_lex_state = 2},
  [19743] = {.lex_state = 436, .external_lex_state = 2},
  [19744] = {.lex_state = 436, .external_lex_state = 2},
  [19745] = {.lex_state = 436, .external_lex_state = 2},
  [19746] = {.lex_state = 436, .external_lex_state = 2},
  [19747] = {.lex_state = 436, .external_lex_state = 2},
  [19748] = {.lex_state = 9, .external_lex_state = 2},
  [19749] = {.lex_state = 436, .external_lex_state = 2},
  [19750] = {.lex_state = 158, .external_lex_state = 2},
  [19751] = {.lex_state = 436, .external_lex_state = 2},
  [19752] = {.lex_state = 436, .external_lex_state = 2},
  [19753] = {.lex_state = 436, .external_lex_state = 2},
  [19754] = {.lex_state = 165, .external_lex_state = 2},
  [19755] = {.lex_state = 165, .external_lex_state = 2},
  [19756] = {.lex_state = 436, .external_lex_state = 2},
  [19757] = {.lex_state = 436, .external_lex_state = 2},
  [19758] = {.lex_state = 165, .external_lex_state = 2},
  [19759] = {.lex_state = 436, .external_lex_state = 2},
  [19760] = {.lex_state = 436, .external_lex_state = 2},
  [19761] = {.lex_state = 436, .external_lex_state = 2},
  [19762] = {.lex_state = 436, .external_lex_state = 2},
  [19763] = {.lex_state = 436, .external_lex_state = 2},
  [19764] = {.lex_state = 436, .external_lex_state = 2},
  [19765] = {.lex_state = 436, .external_lex_state = 2},
  [19766] = {.lex_state = 158, .external_lex_state = 2},
  [19767] = {.lex_state = 9, .external_lex_state = 2},
  [19768] = {.lex_state = 436, .external_lex_state = 2},
  [19769] = {.lex_state = 436, .external_lex_state = 2},
  [19770] = {.lex_state = 436, .external_lex_state = 2},
  [19771] = {.lex_state = 436, .external_lex_state = 2},
  [19772] = {.lex_state = 436, .external_lex_state = 2},
  [19773] = {.lex_state = 165, .external_lex_state = 2},
  [19774] = {.lex_state = 436, .external_lex_state = 2},
  [19775] = {.lex_state = 436, .external_lex_state = 2},
  [19776] = {.lex_state = 436, .external_lex_state = 2},
  [19777] = {.lex_state = 436, .external_lex_state = 2},
  [19778] = {.lex_state = 436, .external_lex_state = 2},
  [19779] = {.lex_state = 436, .external_lex_state = 2},
  [19780] = {.lex_state = 436, .external_lex_state = 2},
  [19781] = {.lex_state = 436, .external_lex_state = 2},
  [19782] = {.lex_state = 436, .external_lex_state = 2},
  [19783] = {.lex_state = 436, .external_lex_state = 2},
  [19784] = {.lex_state = 436, .external_lex_state = 2},
  [19785] = {.lex_state = 436, .external_lex_state = 2},
  [19786] = {.lex_state = 436, .external_lex_state = 2},
  [19787] = {.lex_state = 436, .external_lex_state = 2},
  [19788] = {.lex_state = 436, .external_lex_state = 2},
  [19789] = {.lex_state = 436, .external_lex_state = 2},
  [19790] = {.lex_state = 436, .external_lex_state = 2},
  [19791] = {.lex_state = 436, .external_lex_state = 2},
  [19792] = {.lex_state = 9, .external_lex_state = 2},
  [19793] = {.lex_state = 436, .external_lex_state = 2},
  [19794] = {.lex_state = 436, .external_lex_state = 2},
  [19795] = {.lex_state = 436, .external_lex_state = 2},
  [19796] = {.lex_state = 436, .external_lex_state = 2},
  [19797] = {.lex_state = 436, .external_lex_state = 2},
  [19798] = {.lex_state = 436, .external_lex_state = 2},
  [19799] = {.lex_state = 436, .external_lex_state = 2},
  [19800] = {.lex_state = 436, .external_lex_state = 2},
  [19801] = {.lex_state = 436, .external_lex_state = 2},
  [19802] = {.lex_state = 436, .external_lex_state = 2},
  [19803] = {.lex_state = 436, .external_lex_state = 2},
  [19804] = {.lex_state = 436, .external_lex_state = 2},
  [19805] = {.lex_state = 436, .external_lex_state = 2},
  [19806] = {.lex_state = 436, .external_lex_state = 2},
  [19807] = {.lex_state = 436, .external_lex_state = 2},
  [19808] = {.lex_state = 436, .external_lex_state = 2},
  [19809] = {.lex_state = 436, .external_lex_state = 2},
  [19810] = {.lex_state = 436, .external_lex_state = 2},
  [19811] = {.lex_state = 436, .external_lex_state = 2},
  [19812] = {.lex_state = 436, .external_lex_state = 2},
  [19813] = {.lex_state = 436, .external_lex_state = 2},
  [19814] = {.lex_state = 41, .external_lex_state = 2},
  [19815] = {.lex_state = 436, .external_lex_state = 2},
  [19816] = {.lex_state = 436, .external_lex_state = 2},
  [19817] = {.lex_state = 436, .external_lex_state = 2},
  [19818] = {.lex_state = 436, .external_lex_state = 2},
  [19819] = {.lex_state = 436, .external_lex_state = 2},
  [19820] = {.lex_state = 436, .external_lex_state = 2},
  [19821] = {.lex_state = 436, .external_lex_state = 2},
  [19822] = {.lex_state = 9, .external_lex_state = 2},
  [19823] = {.lex_state = 436, .external_lex_state = 2},
  [19824] = {.lex_state = 436, .external_lex_state = 2},
  [19825] = {.lex_state = 158, .external_lex_state = 2},
  [19826] = {.lex_state = 9, .external_lex_state = 2},
  [19827] = {.lex_state = 436, .external_lex_state = 2},
  [19828] = {.lex_state = 436, .external_lex_state = 2},
  [19829] = {.lex_state = 436, .external_lex_state = 9},
  [19830] = {.lex_state = 436, .external_lex_state = 2},
  [19831] = {.lex_state = 436, .external_lex_state = 2},
  [19832] = {.lex_state = 436, .external_lex_state = 2},
  [19833] = {.lex_state = 436, .external_lex_state = 2},
  [19834] = {.lex_state = 436, .external_lex_state = 2},
  [19835] = {.lex_state = 436, .external_lex_state = 2},
  [19836] = {.lex_state = 436, .external_lex_state = 2},
  [19837] = {.lex_state = 436, .external_lex_state = 2},
  [19838] = {.lex_state = 436, .external_lex_state = 2},
  [19839] = {.lex_state = 436, .external_lex_state = 2},
  [19840] = {.lex_state = 436, .external_lex_state = 2},
  [19841] = {.lex_state = 436, .external_lex_state = 2},
  [19842] = {.lex_state = 41, .external_lex_state = 2},
  [19843] = {.lex_state = 436, .external_lex_state = 2},
  [19844] = {.lex_state = 158, .external_lex_state = 2},
  [19845] = {.lex_state = 436, .external_lex_state = 2},
  [19846] = {.lex_state = 158, .external_lex_state = 2},
  [19847] = {.lex_state = 436, .external_lex_state = 2},
  [19848] = {.lex_state = 436, .external_lex_state = 2},
  [19849] = {.lex_state = 436, .external_lex_state = 2},
  [19850] = {.lex_state = 436, .external_lex_state = 2},
  [19851] = {.lex_state = 436, .external_lex_state = 2},
  [19852] = {.lex_state = 158, .external_lex_state = 2},
  [19853] = {.lex_state = 436, .external_lex_state = 2},
  [19854] = {.lex_state = 165, .external_lex_state = 2},
  [19855] = {.lex_state = 436, .external_lex_state = 2},
  [19856] = {.lex_state = 436, .external_lex_state = 2},
  [19857] = {.lex_state = 165, .external_lex_state = 2},
  [19858] = {.lex_state = 165, .external_lex_state = 2},
  [19859] = {.lex_state = 436, .external_lex_state = 2},
  [19860] = {.lex_state = 165, .external_lex_state = 2},
  [19861] = {.lex_state = 436, .external_lex_state = 2},
  [19862] = {.lex_state = 436, .external_lex_state = 2},
  [19863] = {.lex_state = 436, .external_lex_state = 2},
  [19864] = {.lex_state = 436, .external_lex_state = 2},
  [19865] = {.lex_state = 436, .external_lex_state = 2},
  [19866] = {.lex_state = 436, .external_lex_state = 2},
  [19867] = {.lex_state = 165, .external_lex_state = 2},
  [19868] = {.lex_state = 165, .external_lex_state = 2},
  [19869] = {.lex_state = 436, .external_lex_state = 2},
  [19870] = {.lex_state = 436, .external_lex_state = 2},
  [19871] = {.lex_state = 436, .external_lex_state = 3},
  [19872] = {.lex_state = 436, .external_lex_state = 2},
  [19873] = {.lex_state = 436, .external_lex_state = 2},
  [19874] = {.lex_state = 165, .external_lex_state = 2},
  [19875] = {.lex_state = 436, .external_lex_state = 2},
  [19876] = {.lex_state = 436, .external_lex_state = 2},
  [19877] = {.lex_state = 436, .external_lex_state = 2},
  [19878] = {.lex_state = 436, .external_lex_state = 2},
  [19879] = {.lex_state = 165, .external_lex_state = 2},
  [19880] = {.lex_state = 436, .external_lex_state = 2},
  [19881] = {.lex_state = 158, .external_lex_state = 2},
  [19882] = {.lex_state = 436, .external_lex_state = 2},
  [19883] = {.lex_state = 436, .external_lex_state = 2},
  [19884] = {.lex_state = 436, .external_lex_state = 2},
  [19885] = {.lex_state = 436, .external_lex_state = 3},
  [19886] = {.lex_state = 436, .external_lex_state = 2},
  [19887] = {.lex_state = 436, .external_lex_state = 2},
  [19888] = {.lex_state = 436, .external_lex_state = 2},
  [19889] = {.lex_state = 436, .external_lex_state = 2},
  [19890] = {.lex_state = 158, .external_lex_state = 2},
  [19891] = {.lex_state = 436, .external_lex_state = 2},
  [19892] = {.lex_state = 158, .external_lex_state = 2},
  [19893] = {.lex_state = 165, .external_lex_state = 2},
  [19894] = {.lex_state = 158, .external_lex_state = 2},
  [19895] = {.lex_state = 436, .external_lex_state = 2},
  [19896] = {.lex_state = 436, .external_lex_state = 2},
  [19897] = {.lex_state = 9, .external_lex_state = 2},
  [19898] = {.lex_state = 436, .external_lex_state = 3},
  [19899] = {.lex_state = 436, .external_lex_state = 2},
  [19900] = {.lex_state = 436, .external_lex_state = 2},
  [19901] = {.lex_state = 436, .external_lex_state = 2},
  [19902] = {.lex_state = 436, .external_lex_state = 2},
  [19903] = {.lex_state = 158, .external_lex_state = 2},
  [19904] = {.lex_state = 436, .external_lex_state = 2},
  [19905] = {.lex_state = 436, .external_lex_state = 2},
  [19906] = {.lex_state = 436, .external_lex_state = 2},
  [19907] = {.lex_state = 9, .external_lex_state = 2},
  [19908] = {.lex_state = 158, .external_lex_state = 2},
  [19909] = {.lex_state = 436, .external_lex_state = 2},
  [19910] = {.lex_state = 436, .external_lex_state = 2},
  [19911] = {.lex_state = 436, .external_lex_state = 2},
  [19912] = {.lex_state = 436, .external_lex_state = 2},
  [19913] = {.lex_state = 158, .external_lex_state = 2},
  [19914] = {.lex_state = 436, .external_lex_state = 2},
  [19915] = {.lex_state = 436, .external_lex_state = 2},
  [19916] = {.lex_state = 436, .external_lex_state = 2},
  [19917] = {.lex_state = 436, .external_lex_state = 2},
  [19918] = {.lex_state = 165, .external_lex_state = 2},
  [19919] = {.lex_state = 436, .external_lex_state = 2},
  [19920] = {.lex_state = 436, .external_lex_state = 2},
  [19921] = {.lex_state = 436, .external_lex_state = 2},
  [19922] = {.lex_state = 436, .external_lex_state = 3},
  [19923] = {.lex_state = 436, .external_lex_state = 2},
  [19924] = {.lex_state = 436, .external_lex_state = 2},
  [19925] = {.lex_state = 436, .external_lex_state = 2},
  [19926] = {.lex_state = 436, .external_lex_state = 2},
  [19927] = {.lex_state = 436, .external_lex_state = 2},
  [19928] = {.lex_state = 436, .external_lex_state = 2},
  [19929] = {.lex_state = 436, .external_lex_state = 2},
  [19930] = {.lex_state = 436, .external_lex_state = 2},
  [19931] = {.lex_state = 436, .external_lex_state = 2},
  [19932] = {.lex_state = 436, .external_lex_state = 2},
  [19933] = {.lex_state = 165, .external_lex_state = 2},
  [19934] = {.lex_state = 436, .external_lex_state = 2},
  [19935] = {.lex_state = 436, .external_lex_state = 2},
  [19936] = {.lex_state = 436, .external_lex_state = 2},
  [19937] = {.lex_state = 165, .external_lex_state = 2},
  [19938] = {.lex_state = 436, .external_lex_state = 2},
  [19939] = {.lex_state = 436, .external_lex_state = 2},
  [19940] = {.lex_state = 436, .external_lex_state = 2},
  [19941] = {.lex_state = 436, .external_lex_state = 2},
  [19942] = {.lex_state = 436, .external_lex_state = 2},
  [19943] = {.lex_state = 436, .external_lex_state = 2},
  [19944] = {.lex_state = 436, .external_lex_state = 2},
  [19945] = {.lex_state = 436, .external_lex_state = 2},
  [19946] = {.lex_state = 436, .external_lex_state = 2},
  [19947] = {.lex_state = 9, .external_lex_state = 2},
  [19948] = {.lex_state = 436, .external_lex_state = 2},
  [19949] = {.lex_state = 436, .external_lex_state = 2},
  [19950] = {.lex_state = 436, .external_lex_state = 2},
  [19951] = {.lex_state = 436, .external_lex_state = 2},
  [19952] = {.lex_state = 9, .external_lex_state = 2},
  [19953] = {.lex_state = 436, .external_lex_state = 2},
  [19954] = {.lex_state = 436, .external_lex_state = 2},
  [19955] = {.lex_state = 436, .external_lex_state = 2},
  [19956] = {.lex_state = 436, .external_lex_state = 2},
  [19957] = {.lex_state = 436, .external_lex_state = 2},
  [19958] = {.lex_state = 436, .external_lex_state = 2},
  [19959] = {.lex_state = 436, .external_lex_state = 2},
  [19960] = {.lex_state = 436, .external_lex_state = 2},
  [19961] = {.lex_state = 436, .external_lex_state = 2},
  [19962] = {.lex_state = 436, .external_lex_state = 2},
  [19963] = {.lex_state = 436, .external_lex_state = 2},
  [19964] = {.lex_state = 158, .external_lex_state = 2},
  [19965] = {.lex_state = 165, .external_lex_state = 2},
  [19966] = {.lex_state = 165, .external_lex_state = 2},
  [19967] = {.lex_state = 436, .external_lex_state = 2},
  [19968] = {.lex_state = 436, .external_lex_state = 2},
  [19969] = {.lex_state = 436, .external_lex_state = 2},
  [19970] = {.lex_state = 436, .external_lex_state = 2},
  [19971] = {.lex_state = 436, .external_lex_state = 2},
  [19972] = {.lex_state = 436, .external_lex_state = 2},
  [19973] = {.lex_state = 436, .external_lex_state = 2},
  [19974] = {.lex_state = 436, .external_lex_state = 2},
  [19975] = {.lex_state = 436, .external_lex_state = 2},
  [19976] = {.lex_state = 436, .external_lex_state = 2},
  [19977] = {.lex_state = 436, .external_lex_state = 2},
  [19978] = {.lex_state = 436, .external_lex_state = 2},
  [19979] = {.lex_state = 436, .external_lex_state = 2},
  [19980] = {.lex_state = 436, .external_lex_state = 2},
  [19981] = {.lex_state = 436, .external_lex_state = 2},
  [19982] = {.lex_state = 436, .external_lex_state = 2},
  [19983] = {.lex_state = 9, .external_lex_state = 2},
  [19984] = {.lex_state = 436, .external_lex_state = 2},
  [19985] = {.lex_state = 436, .external_lex_state = 2},
  [19986] = {.lex_state = 165, .external_lex_state = 2},
  [19987] = {.lex_state = 436, .external_lex_state = 2},
  [19988] = {.lex_state = 158, .external_lex_state = 2},
  [19989] = {.lex_state = 158, .external_lex_state = 2},
  [19990] = {.lex_state = 255, .external_lex_state = 2},
  [19991] = {.lex_state = 436, .external_lex_state = 2},
  [19992] = {.lex_state = 158, .external_lex_state = 2},
  [19993] = {.lex_state = 158, .external_lex_state = 2},
  [19994] = {.lex_state = 436, .external_lex_state = 2},
  [19995] = {.lex_state = 158, .external_lex_state = 2},
  [19996] = {.lex_state = 165, .external_lex_state = 2},
  [19997] = {.lex_state = 436, .external_lex_state = 2},
  [19998] = {.lex_state = 436, .external_lex_state = 2},
  [19999] = {.lex_state = 436, .external_lex_state = 2},
  [20000] = {.lex_state = 158, .external_lex_state = 2},
  [20001] = {.lex_state = 436, .external_lex_state = 2},
  [20002] = {.lex_state = 436, .external_lex_state = 2},
  [20003] = {.lex_state = 436, .external_lex_state = 2},
  [20004] = {.lex_state = 9, .external_lex_state = 2},
  [20005] = {.lex_state = 41, .external_lex_state = 2},
  [20006] = {.lex_state = 165, .external_lex_state = 2},
  [20007] = {.lex_state = 436, .external_lex_state = 2},
  [20008] = {.lex_state = 436, .external_lex_state = 2},
  [20009] = {.lex_state = 158, .external_lex_state = 2},
  [20010] = {.lex_state = 158, .external_lex_state = 2},
  [20011] = {.lex_state = 436, .external_lex_state = 2},
  [20012] = {.lex_state = 255, .external_lex_state = 2},
  [20013] = {.lex_state = 436, .external_lex_state = 2},
  [20014] = {.lex_state = 436, .external_lex_state = 2},
  [20015] = {.lex_state = 436, .external_lex_state = 2},
  [20016] = {.lex_state = 436, .external_lex_state = 2},
  [20017] = {.lex_state = 436, .external_lex_state = 2},
  [20018] = {.lex_state = 436, .external_lex_state = 2},
  [20019] = {.lex_state = 436, .external_lex_state = 2},
  [20020] = {.lex_state = 436, .external_lex_state = 2},
  [20021] = {.lex_state = 436, .external_lex_state = 2},
  [20022] = {.lex_state = 436, .external_lex_state = 2},
  [20023] = {.lex_state = 436, .external_lex_state = 3},
  [20024] = {.lex_state = 158, .external_lex_state = 2},
  [20025] = {.lex_state = 436, .external_lex_state = 2},
  [20026] = {.lex_state = 158, .external_lex_state = 2},
  [20027] = {.lex_state = 255, .external_lex_state = 2},
  [20028] = {.lex_state = 436, .external_lex_state = 2},
  [20029] = {.lex_state = 436, .external_lex_state = 2},
  [20030] = {.lex_state = 436, .external_lex_state = 2},
  [20031] = {.lex_state = 165, .external_lex_state = 2},
  [20032] = {.lex_state = 9, .external_lex_state = 2},
  [20033] = {.lex_state = 436, .external_lex_state = 2},
  [20034] = {.lex_state = 436, .external_lex_state = 2},
  [20035] = {.lex_state = 436, .external_lex_state = 2},
  [20036] = {.lex_state = 436, .external_lex_state = 2},
  [20037] = {.lex_state = 41, .external_lex_state = 2},
  [20038] = {.lex_state = 9, .external_lex_state = 2},
  [20039] = {.lex_state = 41, .external_lex_state = 2},
  [20040] = {.lex_state = 436, .external_lex_state = 2},
  [20041] = {.lex_state = 255, .external_lex_state = 2},
  [20042] = {.lex_state = 436, .external_lex_state = 2},
  [20043] = {.lex_state = 436, .external_lex_state = 2},
  [20044] = {.lex_state = 436, .external_lex_state = 2},
  [20045] = {.lex_state = 436, .external_lex_state = 2},
  [20046] = {.lex_state = 436, .external_lex_state = 3},
  [20047] = {.lex_state = 436, .external_lex_state = 2},
  [20048] = {.lex_state = 436, .external_lex_state = 2},
  [20049] = {.lex_state = 158, .external_lex_state = 2},
  [20050] = {.lex_state = 436, .external_lex_state = 2},
  [20051] = {.lex_state = 255, .external_lex_state = 2},
  [20052] = {.lex_state = 436, .external_lex_state = 2},
  [20053] = {.lex_state = 436, .external_lex_state = 3},
  [20054] = {.lex_state = 255, .external_lex_state = 2},
  [20055] = {.lex_state = 436, .external_lex_state = 2},
  [20056] = {.lex_state = 158, .external_lex_state = 2},
  [20057] = {.lex_state = 255, .external_lex_state = 2},
  [20058] = {.lex_state = 436, .external_lex_state = 2},
  [20059] = {.lex_state = 158, .external_lex_state = 2},
  [20060] = {.lex_state = 255, .external_lex_state = 2},
  [20061] = {.lex_state = 255, .external_lex_state = 2},
  [20062] = {.lex_state = 255, .external_lex_state = 2},
  [20063] = {.lex_state = 255, .external_lex_state = 2},
  [20064] = {.lex_state = 255, .external_lex_state = 2},
  [20065] = {.lex_state = 255, .external_lex_state = 2},
  [20066] = {.lex_state = 255, .external_lex_state = 2},
  [20067] = {.lex_state = 255, .external_lex_state = 2},
  [20068] = {.lex_state = 255, .external_lex_state = 2},
  [20069] = {.lex_state = 255, .external_lex_state = 2},
  [20070] = {.lex_state = 255, .external_lex_state = 2},
  [20071] = {.lex_state = 255, .external_lex_state = 2},
  [20072] = {.lex_state = 255, .external_lex_state = 2},
  [20073] = {.lex_state = 255, .external_lex_state = 2},
  [20074] = {.lex_state = 255, .external_lex_state = 2},
  [20075] = {.lex_state = 255, .external_lex_state = 2},
  [20076] = {.lex_state = 255, .external_lex_state = 2},
  [20077] = {.lex_state = 255, .external_lex_state = 2},
  [20078] = {.lex_state = 255, .external_lex_state = 2},
  [20079] = {.lex_state = 255, .external_lex_state = 2},
  [20080] = {.lex_state = 255, .external_lex_state = 2},
  [20081] = {.lex_state = 255, .external_lex_state = 2},
  [20082] = {.lex_state = 255, .external_lex_state = 2},
  [20083] = {.lex_state = 255, .external_lex_state = 2},
  [20084] = {.lex_state = 255, .external_lex_state = 2},
  [20085] = {.lex_state = 255, .external_lex_state = 2},
  [20086] = {.lex_state = 255, .external_lex_state = 2},
  [20087] = {.lex_state = 255, .external_lex_state = 2},
  [20088] = {.lex_state = 255, .external_lex_state = 2},
  [20089] = {.lex_state = 255, .external_lex_state = 2},
  [20090] = {.lex_state = 255, .external_lex_state = 2},
  [20091] = {.lex_state = 255, .external_lex_state = 2},
  [20092] = {.lex_state = 255, .external_lex_state = 2},
  [20093] = {.lex_state = 255, .external_lex_state = 2},
  [20094] = {.lex_state = 255, .external_lex_state = 2},
  [20095] = {.lex_state = 255, .external_lex_state = 2},
  [20096] = {.lex_state = 255, .external_lex_state = 2},
  [20097] = {.lex_state = 255, .external_lex_state = 2},
  [20098] = {.lex_state = 255, .external_lex_state = 2},
  [20099] = {.lex_state = 255, .external_lex_state = 2},
  [20100] = {.lex_state = 255, .external_lex_state = 2},
  [20101] = {.lex_state = 255, .external_lex_state = 2},
  [20102] = {.lex_state = 255, .external_lex_state = 2},
  [20103] = {.lex_state = 255, .external_lex_state = 2},
  [20104] = {.lex_state = 255, .external_lex_state = 2},
  [20105] = {.lex_state = 255, .external_lex_state = 2},
  [20106] = {.lex_state = 255, .external_lex_state = 2},
  [20107] = {.lex_state = 255, .external_lex_state = 2},
  [20108] = {.lex_state = 158, .external_lex_state = 2},
  [20109] = {.lex_state = 158, .external_lex_state = 2},
  [20110] = {.lex_state = 436, .external_lex_state = 2},
  [20111] = {.lex_state = 158, .external_lex_state = 2},
  [20112] = {.lex_state = 436, .external_lex_state = 2},
  [20113] = {.lex_state = 158, .external_lex_state = 2},
  [20114] = {.lex_state = 165, .external_lex_state = 2},
  [20115] = {.lex_state = 436, .external_lex_state = 2},
  [20116] = {.lex_state = 436, .external_lex_state = 2},
  [20117] = {.lex_state = 436, .external_lex_state = 2},
  [20118] = {.lex_state = 436, .external_lex_state = 2},
  [20119] = {.lex_state = 436, .external_lex_state = 2},
  [20120] = {.lex_state = 436, .external_lex_state = 2},
  [20121] = {.lex_state = 255, .external_lex_state = 2},
  [20122] = {.lex_state = 436, .external_lex_state = 2},
  [20123] = {.lex_state = 436, .external_lex_state = 2},
  [20124] = {.lex_state = 436, .external_lex_state = 2},
  [20125] = {.lex_state = 41, .external_lex_state = 2},
  [20126] = {.lex_state = 41, .external_lex_state = 2},
  [20127] = {.lex_state = 165, .external_lex_state = 2},
  [20128] = {.lex_state = 165, .external_lex_state = 2},
  [20129] = {.lex_state = 165, .external_lex_state = 2},
  [20130] = {.lex_state = 436, .external_lex_state = 2},
  [20131] = {.lex_state = 436, .external_lex_state = 2},
  [20132] = {.lex_state = 436, .external_lex_state = 2},
  [20133] = {.lex_state = 158, .external_lex_state = 2},
  [20134] = {.lex_state = 436, .external_lex_state = 2},
  [20135] = {.lex_state = 436, .external_lex_state = 2},
  [20136] = {.lex_state = 436, .external_lex_state = 2},
  [20137] = {.lex_state = 165, .external_lex_state = 2},
  [20138] = {.lex_state = 436, .external_lex_state = 2},
  [20139] = {.lex_state = 158, .external_lex_state = 2},
  [20140] = {.lex_state = 436, .external_lex_state = 2},
  [20141] = {.lex_state = 436, .external_lex_state = 2},
  [20142] = {.lex_state = 436, .external_lex_state = 2},
  [20143] = {.lex_state = 436, .external_lex_state = 2},
  [20144] = {.lex_state = 165, .external_lex_state = 2},
  [20145] = {.lex_state = 436, .external_lex_state = 2},
  [20146] = {.lex_state = 436, .external_lex_state = 2},
  [20147] = {.lex_state = 436, .external_lex_state = 3},
  [20148] = {.lex_state = 165, .external_lex_state = 2},
  [20149] = {.lex_state = 436, .external_lex_state = 2},
  [20150] = {.lex_state = 165, .external_lex_state = 2},
  [20151] = {.lex_state = 165, .external_lex_state = 2},
  [20152] = {.lex_state = 165, .external_lex_state = 2},
  [20153] = {.lex_state = 165, .external_lex_state = 2},
  [20154] = {.lex_state = 436, .external_lex_state = 2},
  [20155] = {.lex_state = 436, .external_lex_state = 2},
  [20156] = {.lex_state = 436, .external_lex_state = 2},
  [20157] = {.lex_state = 9, .external_lex_state = 2},
  [20158] = {.lex_state = 165, .external_lex_state = 2},
  [20159] = {.lex_state = 158, .external_lex_state = 2},
  [20160] = {.lex_state = 436, .external_lex_state = 2},
  [20161] = {.lex_state = 436, .external_lex_state = 2},
  [20162] = {.lex_state = 436, .external_lex_state = 2},
  [20163] = {.lex_state = 436, .external_lex_state = 2},
  [20164] = {.lex_state = 436, .external_lex_state = 2},
  [20165] = {.lex_state = 165, .external_lex_state = 2},
  [20166] = {.lex_state = 436, .external_lex_state = 2},
  [20167] = {.lex_state = 165, .external_lex_state = 2},
  [20168] = {.lex_state = 436, .external_lex_state = 2},
  [20169] = {.lex_state = 436, .external_lex_state = 2},
  [20170] = {.lex_state = 436, .external_lex_state = 2},
  [20171] = {.lex_state = 158, .external_lex_state = 2},
  [20172] = {.lex_state = 436, .external_lex_state = 2},
  [20173] = {.lex_state = 436, .external_lex_state = 2},
  [20174] = {.lex_state = 165, .external_lex_state = 2},
  [20175] = {.lex_state = 9, .external_lex_state = 2},
  [20176] = {.lex_state = 41, .external_lex_state = 2},
  [20177] = {.lex_state = 436, .external_lex_state = 2},
  [20178] = {.lex_state = 436, .external_lex_state = 2},
  [20179] = {.lex_state = 436, .external_lex_state = 2},
  [20180] = {.lex_state = 436, .external_lex_state = 2},
  [20181] = {.lex_state = 436, .external_lex_state = 2},
  [20182] = {.lex_state = 9, .external_lex_state = 2},
  [20183] = {.lex_state = 436, .external_lex_state = 2},
  [20184] = {.lex_state = 436, .external_lex_state = 2},
  [20185] = {.lex_state = 436, .external_lex_state = 2},
  [20186] = {.lex_state = 41, .external_lex_state = 2},
  [20187] = {.lex_state = 158, .external_lex_state = 2},
  [20188] = {.lex_state = 436, .external_lex_state = 2},
  [20189] = {.lex_state = 436, .external_lex_state = 2},
  [20190] = {.lex_state = 436, .external_lex_state = 2},
  [20191] = {.lex_state = 436, .external_lex_state = 2},
  [20192] = {.lex_state = 436, .external_lex_state = 2},
  [20193] = {.lex_state = 436, .external_lex_state = 2},
  [20194] = {.lex_state = 436, .external_lex_state = 2},
  [20195] = {.lex_state = 9, .external_lex_state = 2},
  [20196] = {.lex_state = 436, .external_lex_state = 2},
  [20197] = {.lex_state = 436, .external_lex_state = 2},
  [20198] = {.lex_state = 436, .external_lex_state = 2},
  [20199] = {.lex_state = 158, .external_lex_state = 2},
  [20200] = {.lex_state = 436, .external_lex_state = 2},
  [20201] = {.lex_state = 9, .external_lex_state = 2},
  [20202] = {.lex_state = 436, .external_lex_state = 2},
  [20203] = {.lex_state = 436, .external_lex_state = 2},
  [20204] = {.lex_state = 165, .external_lex_state = 2},
  [20205] = {.lex_state = 436, .external_lex_state = 2},
  [20206] = {.lex_state = 436, .external_lex_state = 2},
  [20207] = {.lex_state = 436, .external_lex_state = 2},
  [20208] = {.lex_state = 436, .external_lex_state = 2},
  [20209] = {.lex_state = 436, .external_lex_state = 2},
  [20210] = {.lex_state = 436, .external_lex_state = 2},
  [20211] = {.lex_state = 436, .external_lex_state = 2},
  [20212] = {.lex_state = 436, .external_lex_state = 2},
  [20213] = {.lex_state = 158, .external_lex_state = 2},
  [20214] = {.lex_state = 436, .external_lex_state = 2},
  [20215] = {.lex_state = 436, .external_lex_state = 2},
  [20216] = {.lex_state = 41, .external_lex_state = 2},
  [20217] = {.lex_state = 436, .external_lex_state = 2},
  [20218] = {.lex_state = 436, .external_lex_state = 2},
  [20219] = {.lex_state = 41, .external_lex_state = 2},
  [20220] = {.lex_state = 436, .external_lex_state = 2},
  [20221] = {.lex_state = 436, .external_lex_state = 2},
  [20222] = {.lex_state = 436, .external_lex_state = 2},
  [20223] = {.lex_state = 436, .external_lex_state = 2},
  [20224] = {.lex_state = 436, .external_lex_state = 2},
  [20225] = {.lex_state = 436, .external_lex_state = 2},
  [20226] = {.lex_state = 436, .external_lex_state = 2},
  [20227] = {.lex_state = 436, .external_lex_state = 2},
  [20228] = {.lex_state = 158, .external_lex_state = 2},
  [20229] = {.lex_state = 436, .external_lex_state = 2},
  [20230] = {.lex_state = 436, .external_lex_state = 2},
  [20231] = {.lex_state = 436, .external_lex_state = 2},
  [20232] = {.lex_state = 41, .external_lex_state = 2},
  [20233] = {.lex_state = 436, .external_lex_state = 2},
  [20234] = {.lex_state = 436, .external_lex_state = 2},
  [20235] = {.lex_state = 165, .external_lex_state = 2},
  [20236] = {.lex_state = 436, .external_lex_state = 2},
  [20237] = {.lex_state = 436, .external_lex_state = 2},
  [20238] = {.lex_state = 165, .external_lex_state = 2},
  [20239] = {(TSStateId)(-1)},
  [20240] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__lowercase_identifier] = ACTIONS(1),
    [sym_shebang] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [anon_sym_effect] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__uppercase_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
  },
  [1] = {
    [sym_type] = STATE(20229),
    [sym__simple_type] = STATE(11355),
    [sym__tuple_type] = STATE(12646),
    [sym__type] = STATE(14892),
    [sym_function_type] = STATE(9465),
    [sym_typed_label] = STATE(20226),
    [sym_tuple_type] = STATE(9238),
    [sym_constructed_type] = STATE(11768),
    [sym_aliased_type] = STATE(9465),
    [sym_local_open_type] = STATE(11768),
    [sym_polymorphic_variant_type] = STATE(11768),
    [sym_package_type] = STATE(11768),
    [sym_object_type] = STATE(11768),
    [sym_hash_type] = STATE(11768),
    [sym_parenthesized_type] = STATE(11768),
    [sym_attribute] = STATE(1),
    [sym_extension] = STATE(11768),
    [sym_quoted_extension] = STATE(11768),
    [sym_extended_module_path] = STATE(16297),
    [sym_type_constructor_path] = STATE(11768),
    [sym_type_variable] = STATE(11768),
    [sym__lowercase_identifier] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(13),
    [anon_sym_LBRACK_GT] = ACTIONS(15),
    [anon_sym_LBRACK_LT] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [sym__uppercase_identifier] = ACTIONS(29),
    [aux_sym_type_variable_token1] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18333),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18506),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17425),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17700),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19566),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19765),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(137),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19836),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(139),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17804),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(141),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18063),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18736),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(145),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18123),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19374),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(149),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18226),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18284),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(20217),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18953),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19943),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(20156),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19376),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17759),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(20143),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19022),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19237),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(20178),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19689),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19688),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18523),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18796),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18402),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18159),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17841),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19120),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19078),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19001),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18946),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18923),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18904),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18883),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(20181),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19061),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18830),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18759),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18677),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18623),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18562),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19841),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19082),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17541),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17743),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18481),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18440),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18428),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19770),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18408),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18390),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19087),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18368),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18351),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19651),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18341),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18317),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18292),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17472),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18277),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17595),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18259),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18250),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18227),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18210),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(17534),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18199),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18071),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19403),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19756),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19677),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18005),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18162),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18135),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18112),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19228),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18041),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18030),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19204),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19346),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19585),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(18012),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(20179),
    [sym_expression_item] = STATE(8271),
    [sym_toplevel_directive] = STATE(8271),
    [sym__structure_item] = STATE(8271),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(12407),
    [sym_attribute_payload] = STATE(19479),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(100),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(7538),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(89),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__attribute] = STATE(1399),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(341),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(7538),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(90),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__attribute] = STATE(805),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(7538),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(91),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__attribute] = STATE(656),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(447),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(449),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(7538),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(92),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__attribute] = STATE(1202),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(499),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(501),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym__structure] = STATE(18613),
    [sym_expression_item] = STATE(8293),
    [sym_toplevel_directive] = STATE(8293),
    [sym__structure_item] = STATE(8293),
    [sym_value_definition] = STATE(12227),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8764),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(93),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_directive] = STATE(7907),
    [sym_tag] = STATE(4159),
    [aux_sym__structure_repeat1] = STATE(98),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(94),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__attribute] = STATE(555),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(95),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__attribute] = STATE(1262),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(673),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym__structure] = STATE(19750),
    [sym_expression_item] = STATE(8293),
    [sym_toplevel_directive] = STATE(8293),
    [sym__structure_item] = STATE(8293),
    [sym_value_definition] = STATE(12227),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8764),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(96),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_directive] = STATE(7907),
    [sym_tag] = STATE(4159),
    [aux_sym__structure_repeat1] = STATE(98),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_expression_item] = STATE(12136),
    [sym_toplevel_directive] = STATE(12136),
    [sym__structure_item] = STATE(12136),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(97),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(4956),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(691),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_expression_item] = STATE(8300),
    [sym_toplevel_directive] = STATE(8300),
    [sym__structure_item] = STATE(8300),
    [sym_value_definition] = STATE(12227),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8764),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(98),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_directive] = STATE(7907),
    [sym_tag] = STATE(4159),
    [aux_sym__structure_repeat1] = STATE(4963),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(693),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_expression_item] = STATE(12136),
    [sym_toplevel_directive] = STATE(12136),
    [sym__structure_item] = STATE(12136),
    [sym_value_definition] = STATE(12227),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8764),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(99),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_directive] = STATE(7907),
    [sym_tag] = STATE(4159),
    [aux_sym__structure_repeat1] = STATE(4963),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym_expression_item] = STATE(8290),
    [sym_toplevel_directive] = STATE(8290),
    [sym__structure_item] = STATE(8290),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(100),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(4956),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(101),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__attribute] = STATE(842),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(735),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym_expression_item] = STATE(12136),
    [sym_toplevel_directive] = STATE(12136),
    [sym__structure_item] = STATE(12136),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(102),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(4956),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym_expression_item] = STATE(12136),
    [sym_toplevel_directive] = STATE(12136),
    [sym__structure_item] = STATE(12136),
    [sym_value_definition] = STATE(12227),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8764),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(103),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_directive] = STATE(7907),
    [sym_tag] = STATE(4159),
    [aux_sym__structure_repeat1] = STATE(4963),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym_expression_item] = STATE(12136),
    [sym_toplevel_directive] = STATE(12136),
    [sym__structure_item] = STATE(12136),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(104),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(4956),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(105),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__attribute] = STATE(666),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_expression_item] = STATE(12136),
    [sym_toplevel_directive] = STATE(12136),
    [sym__structure_item] = STATE(12136),
    [sym_value_definition] = STATE(12227),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8764),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(106),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_directive] = STATE(7907),
    [sym_tag] = STATE(4159),
    [aux_sym__structure_repeat1] = STATE(4963),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym_expression_item] = STATE(12136),
    [sym_toplevel_directive] = STATE(12136),
    [sym__structure_item] = STATE(12136),
    [sym_value_definition] = STATE(12227),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8764),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(107),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_directive] = STATE(7907),
    [sym_tag] = STATE(4159),
    [aux_sym__structure_repeat1] = STATE(4956),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_expression_item] = STATE(12136),
    [sym_toplevel_directive] = STATE(12136),
    [sym__structure_item] = STATE(12136),
    [sym_value_definition] = STATE(12405),
    [sym_external] = STATE(12407),
    [sym_type_definition] = STATE(12407),
    [sym_exception_definition] = STATE(12407),
    [sym_module_definition] = STATE(12407),
    [sym_module_type_definition] = STATE(12407),
    [sym_open_module] = STATE(12407),
    [sym_include_module] = STATE(12407),
    [sym_class_definition] = STATE(12407),
    [sym_class_type_definition] = STATE(12407),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(11327),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(108),
    [sym_floating_attribute] = STATE(12407),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym_item_extension] = STATE(12407),
    [sym_quoted_item_extension] = STATE(12407),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_directive] = STATE(7923),
    [sym_tag] = STATE(4214),
    [aux_sym__structure_repeat1] = STATE(4956),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(109),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__attribute] = STATE(900),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(845),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(847),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(110),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__attribute] = STATE(1170),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(897),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(899),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(111),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__attribute] = STATE(1206),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(112),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__attribute] = STATE(778),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(113),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__attribute] = STATE(554),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(961),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(114),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__attribute] = STATE(862),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9421),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(115),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__attribute] = STATE(967),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(961),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9794),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(116),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__attribute] = STATE(1183),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(117),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__attribute] = STATE(1323),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_DASH_GT] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_GT_RBRACE] = ACTIONS(303),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10297),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(118),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__attribute] = STATE(1176),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_DASH_GT] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_GT_RBRACE] = ACTIONS(303),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(119),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__attribute] = STATE(1394),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_DASH_GT] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(303),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10493),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(120),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__attribute] = STATE(1058),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_DASH_GT] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(303),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10318),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(121),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__attribute] = STATE(987),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8291),
    [sym__sequence_expression] = STATE(7538),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(122),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__attribute] = STATE(574),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(447),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(449),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8288),
    [sym__sequence_expression] = STATE(7538),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(123),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__attribute] = STATE(845),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(499),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(501),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11146),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(124),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__attribute] = STATE(1354),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10318),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(125),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__attribute] = STATE(1455),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8316),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(126),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__attribute] = STATE(1329),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8403),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(127),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__attribute] = STATE(1336),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(735),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10318),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(128),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__attribute] = STATE(1407),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_to] = ACTIONS(307),
    [anon_sym_downto] = ACTIONS(307),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11699),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(129),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__attribute] = STATE(726),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19104),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19354),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1463),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1465),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1473),
    [sym_let_and_operator] = ACTIONS(1465),
    [sym_match_operator] = ACTIONS(1475),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17678),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18278),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1487),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1489),
    [sym_let_and_operator] = ACTIONS(1487),
    [sym_match_operator] = ACTIONS(1491),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14788),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19053),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1501),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1503),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1505),
    [sym_let_and_operator] = ACTIONS(1503),
    [sym_match_operator] = ACTIONS(1507),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14354),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19144),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1513),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1515),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1517),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1519),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1521),
    [sym_let_and_operator] = ACTIONS(1519),
    [sym_match_operator] = ACTIONS(1523),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14593),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17563),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1529),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1531),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1533),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1535),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1537),
    [sym_let_and_operator] = ACTIONS(1535),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18646),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18147),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1545),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1547),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1549),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1551),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1553),
    [sym_let_and_operator] = ACTIONS(1551),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14722),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19475),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1563),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1565),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1567),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1569),
    [sym_let_and_operator] = ACTIONS(1567),
    [sym_match_operator] = ACTIONS(1571),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14525),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18152),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1573),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1575),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1577),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1581),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1583),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1585),
    [sym_let_and_operator] = ACTIONS(1583),
    [sym_match_operator] = ACTIONS(1587),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19974),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18756),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1593),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1597),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1599),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1601),
    [sym_let_and_operator] = ACTIONS(1599),
    [sym_match_operator] = ACTIONS(1603),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19869),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19872),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1611),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1613),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1615),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1617),
    [sym_let_and_operator] = ACTIONS(1615),
    [sym_match_operator] = ACTIONS(1619),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20146),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17432),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1627),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1629),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1631),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1633),
    [sym_let_and_operator] = ACTIONS(1631),
    [sym_match_operator] = ACTIONS(1635),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19457),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(20119),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1641),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1643),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1645),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1647),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1649),
    [sym_let_and_operator] = ACTIONS(1647),
    [sym_match_operator] = ACTIONS(1651),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14648),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19546),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1659),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1661),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1663),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1665),
    [sym_let_and_operator] = ACTIONS(1663),
    [sym_match_operator] = ACTIONS(1667),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17809),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19144),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1513),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1515),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1517),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1519),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1521),
    [sym_let_and_operator] = ACTIONS(1519),
    [sym_match_operator] = ACTIONS(1523),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17622),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18899),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1671),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1677),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1679),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1681),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1683),
    [sym_let_and_operator] = ACTIONS(1681),
    [sym_match_operator] = ACTIONS(1685),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18885),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18941),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1693),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1695),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1697),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1699),
    [sym_let_and_operator] = ACTIONS(1697),
    [sym_match_operator] = ACTIONS(1701),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19618),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18606),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1707),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1711),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1713),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1715),
    [sym_let_and_operator] = ACTIONS(1713),
    [sym_match_operator] = ACTIONS(1717),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14380),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19740),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1719),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1723),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1727),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1729),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1731),
    [sym_let_and_operator] = ACTIONS(1729),
    [sym_match_operator] = ACTIONS(1733),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17837),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19267),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1739),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1743),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1745),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1747),
    [sym_let_and_operator] = ACTIONS(1745),
    [sym_match_operator] = ACTIONS(1749),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14337),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18987),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1755),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1759),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1761),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1763),
    [sym_let_and_operator] = ACTIONS(1761),
    [sym_match_operator] = ACTIONS(1765),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14218),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18311),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1775),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1777),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1779),
    [sym_let_and_operator] = ACTIONS(1777),
    [sym_match_operator] = ACTIONS(1781),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18158),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18822),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1787),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1789),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1791),
    [sym_let_and_operator] = ACTIONS(1789),
    [sym_match_operator] = ACTIONS(1793),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14381),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19188),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1797),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1803),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1805),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1807),
    [sym_let_and_operator] = ACTIONS(1805),
    [sym_match_operator] = ACTIONS(1809),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14799),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18555),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1811),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1815),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1819),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1821),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1823),
    [sym_let_and_operator] = ACTIONS(1821),
    [sym_match_operator] = ACTIONS(1825),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14732),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18872),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1829),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1831),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1835),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1837),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1839),
    [sym_let_and_operator] = ACTIONS(1837),
    [sym_match_operator] = ACTIONS(1841),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14627),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19043),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1851),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1853),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1855),
    [sym_let_and_operator] = ACTIONS(1853),
    [sym_match_operator] = ACTIONS(1857),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18655),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19242),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1863),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1867),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1869),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1871),
    [sym_let_and_operator] = ACTIONS(1869),
    [sym_match_operator] = ACTIONS(1873),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14243),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17416),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1875),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1877),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1879),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1883),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1885),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1887),
    [sym_let_and_operator] = ACTIONS(1885),
    [sym_match_operator] = ACTIONS(1889),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17584),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18444),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1891),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1895),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1897),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1899),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1901),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1903),
    [sym_let_and_operator] = ACTIONS(1901),
    [sym_match_operator] = ACTIONS(1905),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14787),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19927),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1915),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1917),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1919),
    [sym_let_and_operator] = ACTIONS(1917),
    [sym_match_operator] = ACTIONS(1921),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14249),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17551),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1927),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1931),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1933),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1935),
    [sym_let_and_operator] = ACTIONS(1933),
    [sym_match_operator] = ACTIONS(1937),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14536),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18919),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1943),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1945),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1947),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1949),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1951),
    [sym_let_and_operator] = ACTIONS(1949),
    [sym_match_operator] = ACTIONS(1953),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18327),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19108),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1959),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1963),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1965),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1967),
    [sym_let_and_operator] = ACTIONS(1965),
    [sym_match_operator] = ACTIONS(1969),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14867),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18756),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1593),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1597),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1599),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1601),
    [sym_let_and_operator] = ACTIONS(1599),
    [sym_match_operator] = ACTIONS(1603),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14760),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19192),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1975),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1979),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1981),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1983),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1985),
    [sym_let_and_operator] = ACTIONS(1983),
    [sym_match_operator] = ACTIONS(1987),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19769),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17563),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1529),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1531),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1533),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1535),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1537),
    [sym_let_and_operator] = ACTIONS(1535),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19331),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19546),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1659),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1661),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1663),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1665),
    [sym_let_and_operator] = ACTIONS(1663),
    [sym_match_operator] = ACTIONS(1667),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14664),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19267),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1993),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1739),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1743),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1745),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1747),
    [sym_let_and_operator] = ACTIONS(1745),
    [sym_match_operator] = ACTIONS(1749),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14803),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(20119),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1641),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1643),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1645),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1647),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1649),
    [sym_let_and_operator] = ACTIONS(1647),
    [sym_match_operator] = ACTIONS(1651),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19434),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18555),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1815),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1819),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1821),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1823),
    [sym_let_and_operator] = ACTIONS(1821),
    [sym_match_operator] = ACTIONS(1825),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14438),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18941),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1999),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1693),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1695),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1697),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1699),
    [sym_let_and_operator] = ACTIONS(1697),
    [sym_match_operator] = ACTIONS(1701),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18970),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17551),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1927),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1931),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1933),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1935),
    [sym_let_and_operator] = ACTIONS(1933),
    [sym_match_operator] = ACTIONS(1937),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17680),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19064),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2005),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2007),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2011),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2013),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2015),
    [sym_let_and_operator] = ACTIONS(2013),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14809),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19743),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2023),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2027),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2029),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2031),
    [sym_let_and_operator] = ACTIONS(2029),
    [sym_match_operator] = ACTIONS(2033),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14842),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17432),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2035),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1627),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1629),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1631),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1633),
    [sym_let_and_operator] = ACTIONS(1631),
    [sym_match_operator] = ACTIONS(1635),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14393),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19102),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2045),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2047),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2049),
    [sym_let_and_operator] = ACTIONS(2047),
    [sym_match_operator] = ACTIONS(2051),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19136),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19192),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1975),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1979),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1981),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1983),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1985),
    [sym_let_and_operator] = ACTIONS(1983),
    [sym_match_operator] = ACTIONS(1987),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18947),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17542),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2059),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2063),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2067),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2069),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17543),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17892),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2071),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2075),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2081),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2083),
    [sym_let_and_operator] = ACTIONS(2081),
    [sym_match_operator] = ACTIONS(2085),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20207),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18919),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1943),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1945),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1947),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1949),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1951),
    [sym_let_and_operator] = ACTIONS(1949),
    [sym_match_operator] = ACTIONS(1953),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18155),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19102),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2045),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2047),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2049),
    [sym_let_and_operator] = ACTIONS(2047),
    [sym_match_operator] = ACTIONS(2051),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14486),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17542),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2059),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2063),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2067),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2069),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19391),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18152),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1575),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1577),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1581),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1583),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1585),
    [sym_let_and_operator] = ACTIONS(1583),
    [sym_match_operator] = ACTIONS(1587),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19782),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19743),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2023),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2027),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2029),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2031),
    [sym_let_and_operator] = ACTIONS(2029),
    [sym_match_operator] = ACTIONS(2033),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18774),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19043),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1851),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1853),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1855),
    [sym_let_and_operator] = ACTIONS(1853),
    [sym_match_operator] = ACTIONS(1857),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14294),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19108),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1959),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1963),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1965),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1967),
    [sym_let_and_operator] = ACTIONS(1965),
    [sym_match_operator] = ACTIONS(1969),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14537),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(20161),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2107),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2109),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2111),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2113),
    [sym_let_and_operator] = ACTIONS(2111),
    [sym_match_operator] = ACTIONS(2115),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17404),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19987),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2127),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2129),
    [sym_let_and_operator] = ACTIONS(2127),
    [sym_match_operator] = ACTIONS(2131),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14236),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19064),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2005),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2007),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2011),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2013),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2015),
    [sym_let_and_operator] = ACTIONS(2013),
    [sym_match_operator] = ACTIONS(2017),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14298),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17983),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2141),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2143),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2145),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2147),
    [sym_let_and_operator] = ACTIONS(2145),
    [sym_match_operator] = ACTIONS(2149),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18520),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17983),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2141),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2143),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2145),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2147),
    [sym_let_and_operator] = ACTIONS(2145),
    [sym_match_operator] = ACTIONS(2149),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19347),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18872),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1829),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1831),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1835),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1837),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1839),
    [sym_let_and_operator] = ACTIONS(1837),
    [sym_match_operator] = ACTIONS(1841),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19664),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(20161),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2107),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2109),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2111),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2113),
    [sym_let_and_operator] = ACTIONS(2111),
    [sym_match_operator] = ACTIONS(2115),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20224),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18811),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2163),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2165),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2167),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2169),
    [sym_let_and_operator] = ACTIONS(2167),
    [sym_match_operator] = ACTIONS(2171),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14482),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19354),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1463),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1465),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1473),
    [sym_let_and_operator] = ACTIONS(1465),
    [sym_match_operator] = ACTIONS(1475),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19642),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19053),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2175),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1501),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1503),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1505),
    [sym_let_and_operator] = ACTIONS(1503),
    [sym_match_operator] = ACTIONS(1507),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10318),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__attribute] = STATE(1001),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_to] = ACTIONS(307),
    [anon_sym_downto] = ACTIONS(307),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14829),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18811),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2163),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2165),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2167),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2169),
    [sym_let_and_operator] = ACTIONS(2167),
    [sym_match_operator] = ACTIONS(2171),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__attribute] = STATE(695),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14692),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19987),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2127),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2129),
    [sym_let_and_operator] = ACTIONS(2127),
    [sym_match_operator] = ACTIONS(2131),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20188),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19927),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1915),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1917),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1919),
    [sym_let_and_operator] = ACTIONS(1917),
    [sym_match_operator] = ACTIONS(1921),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17824),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19475),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1563),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1565),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1567),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1569),
    [sym_let_and_operator] = ACTIONS(1567),
    [sym_match_operator] = ACTIONS(1571),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17861),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18987),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1755),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1759),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1761),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1763),
    [sym_let_and_operator] = ACTIONS(1761),
    [sym_match_operator] = ACTIONS(1765),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__attribute] = STATE(1432),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_PIPE_RBRACK] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14557),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19872),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1611),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1613),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1615),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1617),
    [sym_let_and_operator] = ACTIONS(1615),
    [sym_match_operator] = ACTIONS(1619),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__attribute] = STATE(1322),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18899),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2307),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1677),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1679),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1681),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1683),
    [sym_let_and_operator] = ACTIONS(1681),
    [sym_match_operator] = ACTIONS(1685),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__attribute] = STATE(1069),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17839),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17416),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1877),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1879),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1883),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1885),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1887),
    [sym_let_and_operator] = ACTIONS(1885),
    [sym_match_operator] = ACTIONS(1889),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__attribute] = STATE(582),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19813),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18663),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2423),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2425),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2427),
    [sym_let_and_operator] = ACTIONS(2425),
    [sym_match_operator] = ACTIONS(2429),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14808),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18278),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1487),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1489),
    [sym_let_and_operator] = ACTIONS(1487),
    [sym_match_operator] = ACTIONS(1491),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8764),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__attribute] = STATE(1150),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14218),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18822),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2433),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1787),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1789),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1791),
    [sym_let_and_operator] = ACTIONS(1789),
    [sym_match_operator] = ACTIONS(1793),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14336),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18444),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1895),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1897),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1899),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1901),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1903),
    [sym_let_and_operator] = ACTIONS(1901),
    [sym_match_operator] = ACTIONS(1905),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__attribute] = STATE(807),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14447),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18147),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1545),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1547),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1549),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1551),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1553),
    [sym_let_and_operator] = ACTIONS(1551),
    [sym_match_operator] = ACTIONS(1555),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18991),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19188),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2491),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1797),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1803),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1805),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1807),
    [sym_let_and_operator] = ACTIONS(1805),
    [sym_match_operator] = ACTIONS(1809),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14844),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18663),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2493),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2421),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2423),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2425),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2427),
    [sym_let_and_operator] = ACTIONS(2425),
    [sym_match_operator] = ACTIONS(2429),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14822),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18606),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2495),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1707),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1711),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1713),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1715),
    [sym_let_and_operator] = ACTIONS(1713),
    [sym_match_operator] = ACTIONS(1717),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14290),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(17892),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2075),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2081),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2083),
    [sym_let_and_operator] = ACTIONS(2081),
    [sym_match_operator] = ACTIONS(2085),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10318),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__attribute] = STATE(902),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19150),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19740),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1723),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1727),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1729),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1731),
    [sym_let_and_operator] = ACTIONS(1729),
    [sym_match_operator] = ACTIONS(1733),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18158),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(18311),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1775),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1777),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1779),
    [sym_let_and_operator] = ACTIONS(1777),
    [sym_match_operator] = ACTIONS(1781),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(14574),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__infix_operator] = STATE(19242),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1863),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1867),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1869),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1871),
    [sym_let_and_operator] = ACTIONS(1869),
    [sym_match_operator] = ACTIONS(1873),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12078),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__attribute] = STATE(572),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(925),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(882),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12399),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__attribute] = STATE(1280),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10318),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__attribute] = STATE(776),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__attribute] = STATE(952),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__attribute] = STATE(1196),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12247),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__attribute] = STATE(931),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(863),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(8037),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__attribute] = STATE(894),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1372),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12588),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1112),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12592),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1477),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12546),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__attribute] = STATE(1230),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__attribute] = STATE(1302),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__attribute] = STATE(1132),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11561),
    [sym__sequence_expression] = STATE(8445),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__attribute] = STATE(857),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(7538),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__attribute] = STATE(914),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_to] = ACTIONS(307),
    [anon_sym_downto] = ACTIONS(307),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19526),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1173),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2941),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19171),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1261),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19719),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1276),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2945),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17963),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1388),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(20171),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(853),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2949),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(20026),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1109),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12594),
    [sym__sequence_expression] = STATE(18974),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(18980),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__attribute] = STATE(1359),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DASH_GT] = ACTIONS(303),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(944),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19071),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(986),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2953),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18279),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1241),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2955),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18291),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(756),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2957),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18094),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1167),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19524),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(655),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2961),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19908),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(822),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2963),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18614),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1450),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17843),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(878),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19894),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(758),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18768),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(835),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2971),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(20109),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(798),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2973),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18464),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(841),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2975),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1492),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19034),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1317),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(20000),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1046),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2979),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(631),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19390),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(573),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17585),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1413),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2983),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18834),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(719),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2985),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19459),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(761),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2987),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18786),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(920),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19825),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(850),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2991),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17477),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1177),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(20139),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(675),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2995),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18676),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1465),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2997),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19708),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(712),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17663),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1307),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3001),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19130),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(641),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3003),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(5360),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__attribute] = STATE(1028),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17926),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(953),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3005),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17494),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1366),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3007),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18291),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(756),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3009),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18469),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(821),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3011),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19065),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(654),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3013),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19673),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(642),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17981),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1284),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3017),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17389),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1064),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3019),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12536),
    [sym__sequence_expression] = STATE(7538),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__attribute] = STATE(1259),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19506),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(996),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3021),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19291),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1348),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3023),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17390),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__attribute] = STATE(1135),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_end] = ACTIONS(3025),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18425),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1188),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16861),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__attribute] = STATE(1463),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10264),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10264),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17026),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1290),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17244),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1156),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18144),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1136),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16588),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1245),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10264),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10264),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18140),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1134),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16739),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(653),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17080),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(678),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18369),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(583),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16969),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__attribute] = STATE(680),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18843),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1268),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18419),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1185),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(12203),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_refutation_case] = STATE(12203),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10339),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10339),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18853),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1293),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16921),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1426),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18448),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(551),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17115),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(661),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17933),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1097),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17924),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1095),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17204),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1121),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16323),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(801),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17734),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1080),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16931),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(880),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16598),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1164),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16343),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(571),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17728),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1079),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16348),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(998),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17290),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1122),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17539),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1057),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17529),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1056),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18689),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1264),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18694),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1266),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17382),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1043),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16814),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1172),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17383),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1042),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16346),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(854),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18409),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(566),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16469),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(671),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17097),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1315),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18449),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(549),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17435),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1034),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17436),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1033),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18931),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1310),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10339),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10339),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10264),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10264),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17490),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1018),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17491),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1017),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17136),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(855),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1497),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16492),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1074),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17545),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(991),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17546),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(988),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16847),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(590),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18936),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1311),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18410),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(562),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16671),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1098),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16382),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(846),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10264),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10264),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16313),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1411),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17600),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(962),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17601),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(958),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(12214),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_refutation_case] = STATE(12214),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16289),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1257),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18741),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1032),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10264),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10264),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17350),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(957),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18740),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1014),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17655),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(938),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16623),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1180),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17656),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(936),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17710),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(917),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16911),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(814),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18370),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(577),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17711),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(915),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10339),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10339),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18717),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(928),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18716),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(924),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16988),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1312),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10339),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10339),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17308),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(783),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17765),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(883),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16782),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(594),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym__simple_expression] = STATE(3204),
    [sym_typed_expression] = STATE(3064),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_labeled_argument] = STATE(3953),
    [sym_prefix_expression] = STATE(3064),
    [sym_hash_expression] = STATE(3064),
    [sym_field_get_expression] = STATE(3064),
    [sym_array_get_expression] = STATE(3064),
    [sym_string_get_expression] = STATE(3064),
    [sym_bigarray_get_expression] = STATE(3064),
    [sym_coercion_expression] = STATE(3064),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [aux_sym_class_application_repeat1] = STATE(1524),
    [sym__lowercase_identifier] = ACTIONS(3079),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_QMARK] = ACTIONS(3085),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(3087),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(341),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3091),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18487),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(652),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18488),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(659),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18680),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(907),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18679),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(905),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17766),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(547),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10339),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10339),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17126),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(749),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16942),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(929),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17820),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(867),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(20187),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(811),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10339),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10339),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18642),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(886),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18641),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(885),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17821),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(864),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18330),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(593),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16823),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1462),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18329),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(595),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(20199),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(812),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(19360),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1435),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17875),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(829),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17876),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(827),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18604),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(732),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(19368),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1440),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16514),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(674),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18603),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(856),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17919),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(816),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17920),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(815),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17960),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(794),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17961),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(791),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18001),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(765),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(12214),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_refutation_case] = STATE(12214),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18002),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(763),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18566),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(806),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(12203),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_refutation_case] = STATE(12203),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18565),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(803),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(8005),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8005),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16314),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(617),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10264),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_refutation_case] = STATE(10264),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym__simple_expression] = STATE(3241),
    [sym_typed_expression] = STATE(3242),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_labeled_argument] = STATE(3950),
    [sym_prefix_expression] = STATE(3242),
    [sym_hash_expression] = STATE(3242),
    [sym_field_get_expression] = STATE(3242),
    [sym_array_get_expression] = STATE(3242),
    [sym_string_get_expression] = STATE(3242),
    [sym_bigarray_get_expression] = STATE(3242),
    [sym_coercion_expression] = STATE(3242),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [aux_sym_class_application_repeat1] = STATE(1672),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3113),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16909),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(764),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18042),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(748),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18043),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(746),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18289),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(609),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18288),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(615),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(17100),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__attribute] = STATE(1327),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18083),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(737),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18084),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(736),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17243),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1349),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16482),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(762),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18124),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(720),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18125),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(716),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16968),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1326),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(20009),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1085),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(20010),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(1102),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18248),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(636),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18527),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(767),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18247),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(640),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16361),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__attribute] = STATE(1105),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16441),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1364),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16927),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1316),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(8095),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_refutation_case] = STATE(8095),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18165),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(673),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17872),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(556),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18166),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(672),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16360),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(1114),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(8060),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8060),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18526),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(766),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16639),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(713),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16516),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(836),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18206),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(662),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_refutation_case] = STATE(8145),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18207),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__attribute] = STATE(658),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16747),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__attribute] = STATE(985),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12536),
    [sym__sequence_expression] = STATE(19480),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(3127),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym__simple_expression] = STATE(3538),
    [sym_typed_expression] = STATE(3391),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_labeled_argument] = STATE(4430),
    [sym_prefix_expression] = STATE(3391),
    [sym_hash_expression] = STATE(3391),
    [sym_field_get_expression] = STATE(3391),
    [sym_array_get_expression] = STATE(3391),
    [sym_string_get_expression] = STATE(3391),
    [sym_bigarray_get_expression] = STATE(3391),
    [sym_coercion_expression] = STATE(3391),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [aux_sym_class_application_repeat1] = STATE(1839),
    [sym__lowercase_identifier] = ACTIONS(3129),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_QMARK] = ACTIONS(3131),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_POUND] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(673),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3137),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3149),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12536),
    [sym__sequence_expression] = STATE(18533),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3153),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3157),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3165),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym__simple_expression] = STATE(3652),
    [sym_typed_expression] = STATE(3651),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_labeled_argument] = STATE(4289),
    [sym_prefix_expression] = STATE(3651),
    [sym_hash_expression] = STATE(3651),
    [sym_field_get_expression] = STATE(3651),
    [sym_array_get_expression] = STATE(3651),
    [sym_string_get_expression] = STATE(3651),
    [sym_bigarray_get_expression] = STATE(3651),
    [sym_coercion_expression] = STATE(3651),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [aux_sym_class_application_repeat1] = STATE(1835),
    [sym__lowercase_identifier] = ACTIONS(3167),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_QMARK] = ACTIONS(3169),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_POUND] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3175),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12536),
    [sym__sequence_expression] = STATE(18170),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym__simple_expression] = STATE(3678),
    [sym_typed_expression] = STATE(3700),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_labeled_argument] = STATE(4284),
    [sym_prefix_expression] = STATE(3700),
    [sym_hash_expression] = STATE(3700),
    [sym_field_get_expression] = STATE(3700),
    [sym_array_get_expression] = STATE(3700),
    [sym_string_get_expression] = STATE(3700),
    [sym_bigarray_get_expression] = STATE(3700),
    [sym_coercion_expression] = STATE(3700),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [aux_sym_class_application_repeat1] = STATE(1876),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_QMARK] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(3191),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(447),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(449),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3193),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12536),
    [sym__sequence_expression] = STATE(17852),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_done] = ACTIONS(3195),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym__simple_expression] = STATE(3330),
    [sym_typed_expression] = STATE(3374),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_labeled_argument] = STATE(4189),
    [sym_prefix_expression] = STATE(3374),
    [sym_hash_expression] = STATE(3374),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_coercion_expression] = STATE(3374),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [aux_sym_class_application_repeat1] = STATE(1769),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_QMARK] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(3227),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(499),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(501),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3229),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17775),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18457),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10493),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18456),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11699),
    [sym__sequence_expression] = STATE(10211),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18448),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17769),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19178),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18418),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18417),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11146),
    [sym__sequence_expression] = STATE(10211),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18409),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10323),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16481),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12078),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19553),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8291),
    [sym__sequence_expression] = STATE(7448),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18378),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18377),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12592),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12078),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10294),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18369),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16837),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19613),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18338),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16438),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18337),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11146),
    [sym__sequence_expression] = STATE(10227),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11146),
    [sym__sequence_expression] = STATE(10230),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19660),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19661),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18329),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19447),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11146),
    [sym__sequence_expression] = STATE(10232),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19721),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19146),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19445),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11146),
    [sym__sequence_expression] = STATE(10248),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18297),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19442),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11146),
    [sym__sequence_expression] = STATE(10294),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11146),
    [sym__sequence_expression] = STATE(10323),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19384),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19415),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18296),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19601),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16419),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19371),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19143),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19416),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18288),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19736),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19142),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19367),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10248),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19687),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19418),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19438),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18487),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10493),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19443),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10232),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10493),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18256),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10230),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10493),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10227),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18255),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19281),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19766),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19444),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19810),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18247),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(16450),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(16486),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19811),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18495),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16562),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19114),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19470),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8224),
    [sym__sequence_expression] = STATE(7448),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20198),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18215),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18496),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19680),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16845),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18214),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19979),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12592),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18206),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20018),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20019),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19675),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16610),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18174),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18173),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16296),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(20213),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12592),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11699),
    [sym__sequence_expression] = STATE(10227),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16985),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20194),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16986),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12247),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19012),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19464),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19462),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19461),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18165),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11699),
    [sym__sequence_expression] = STATE(10230),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11699),
    [sym__sequence_expression] = STATE(10232),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12588),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11699),
    [sym__sequence_expression] = STATE(10248),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19008),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19006),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12247),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10211),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8774),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12247),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18942),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18939),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12247),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19597),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11699),
    [sym__sequence_expression] = STATE(10294),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19474),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19000),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19602),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12078),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18526),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19619),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19620),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19623),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19657),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16423),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11561),
    [sym__sequence_expression] = STATE(13945),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12078),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18133),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18833),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12078),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18903),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18132),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11699),
    [sym__sequence_expression] = STATE(10323),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12592),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19633),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18124),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11699),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8288),
    [sym__sequence_expression] = STATE(10397),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12592),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12078),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19629),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18612),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19628),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12247),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18092),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18091),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19797),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18083),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10297),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12594),
    [sym__sequence_expression] = STATE(16450),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(18980),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19800),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12592),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12078),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18998),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18051),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19803),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18050),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16715),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12247),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19815),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18042),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19816),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18225),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19818),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19844),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18997),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19573),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16363),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18010),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16376),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18009),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18534),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18535),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18966),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18965),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18962),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8291),
    [sym__sequence_expression] = STATE(10397),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18001),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10299),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19968),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18565),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8288),
    [sym__sequence_expression] = STATE(10158),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16368),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12588),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19969),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19970),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19975),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19976),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17969),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19977),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17968),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11561),
    [sym__sequence_expression] = STATE(13967),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19992),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17960),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16365),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18573),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9190),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(7448),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18574),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11937),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10323),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12546),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(20059),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(19995),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20208),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16466),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17928),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17927),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20211),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20212),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17919),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20227),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18750),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19988),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18713),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20230),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10297),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20231),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17885),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18707),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17884),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18844),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17875),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10297),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18579),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18760),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16815),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18637),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10297),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18632),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18602),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18522),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18603),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12247),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8288),
    [sym__sequence_expression] = STATE(7448),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16832),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18168),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(20199),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18164),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(20111),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10297),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10294),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19903),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16917),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16880),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18611),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11561),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19498),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19490),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19488),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17830),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19326),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17829),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11561),
    [sym__sequence_expression] = STATE(13976),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19323),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17820),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12078),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19307),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10297),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18641),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19784),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10323),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10294),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18832),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19779),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17182),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10248),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17774),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19771),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18649),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18650),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17393),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17765),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10232),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19717),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10230),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20192),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18163),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17385),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10297),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8403),
    [sym__sequence_expression] = STATE(10397),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17378),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18679),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10227),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10299),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10211),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19710),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18687),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18688),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17725),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20191),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18118),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17751),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(7448),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17720),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19707),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17719),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18716),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17762),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17950),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17710),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12546),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18720),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18117),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12546),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18721),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16864),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11561),
    [sym__sequence_expression] = STATE(13982),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12247),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18204),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17665),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17664),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18202),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18197),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19160),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18145),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10248),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18143),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18141),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17655),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12546),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12824),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18007),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18116),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10493),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17086),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17610),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19856),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8033),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12592),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17609),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20172),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18785),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19891),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12835),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9421),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19923),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18090),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17600),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10232),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(17046),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10230),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18080),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10227),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18740),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(17057),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20200),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20166),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19158),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20163),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12546),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16702),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18842),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10299),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17555),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18074),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(16527),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17554),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18070),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18780),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18647),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11561),
    [sym__sequence_expression] = STATE(13980),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19964),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18054),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16406),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18053),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12588),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11811),
    [sym__sequence_expression] = STATE(10299),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17896),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9421),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9421),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17545),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17878),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9421),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9421),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9421),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18776),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18744),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9421),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17500),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17499),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12588),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19313),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19309),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19308),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17490),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12588),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12588),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18683),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9421),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18671),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18745),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17445),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17444),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17435),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17856),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17392),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17391),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12065),
    [sym__sequence_expression] = STATE(10211),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17382),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19690),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(16628),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19315),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18645),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18933),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18924),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(16624),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17502),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17507),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10493),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8291),
    [sym__sequence_expression] = STATE(10158),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20170),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17539),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17741),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20169),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12588),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8288),
    [sym__sequence_expression] = STATE(10330),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17732),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18046),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17729),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17257),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19156),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17723),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17708),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10211),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17713),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17721),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17641),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18008),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17639),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17734),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(19696),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17638),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18000),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10227),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10230),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10232),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10248),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12856),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17897),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17907),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16390),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8316),
    [sym__sequence_expression] = STATE(10189),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17933),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20122),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(19704),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10294),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10958),
    [sym__sequence_expression] = STATE(10323),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16431),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(16599),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19852),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12588),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16447),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17580),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17763),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17575),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9794),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16618),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16617),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18097),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17796),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19808),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17566),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19122),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18098),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17430),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18103),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19121),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19239),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18144),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18361),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18379),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12844),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10323),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10294),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(16590),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10248),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8764),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19176),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17342),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19799),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19796),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18383),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18732),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19763),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8316),
    [sym__sequence_expression] = STATE(10352),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19752),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17101),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19751),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10232),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17949),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17909),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8417),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10230),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16494),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19429),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19356),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10227),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10297),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17735),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17233),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9794),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18384),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17888),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18389),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10211),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19207),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19353),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17870),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17784),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9794),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19349),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17783),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12851),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(7448),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12922),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17782),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(16574),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18854),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12938),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18425),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17590),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12841),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12944),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19293),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8316),
    [sym__sequence_expression] = STATE(10330),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12947),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12839),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12546),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19216),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17605),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18843),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19290),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(12123),
    [sym__sequence_expression] = STATE(16571),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8489),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18845),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18884),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19283),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16557),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16783),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18747),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17482),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17607),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12139),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17483),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17706),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17707),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17488),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16587),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17525),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12536),
    [sym__sequence_expression] = STATE(7448),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20136),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19135),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8235),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18652),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18656),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18927),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18694),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17498),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8291),
    [sym__sequence_expression] = STATE(10330),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17521),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17522),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19021),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17717),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12116),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8403),
    [sym__sequence_expression] = STATE(10158),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12399),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17523),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8288),
    [sym__sequence_expression] = STATE(10352),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17772),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8503),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19112),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19111),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17159),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19110),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19030),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18955),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17557),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17558),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17564),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19086),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17608),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20145),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19085),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18906),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18909),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16627),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8316),
    [sym__sequence_expression] = STATE(10158),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(18936),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17259),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16641),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(19010),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12546),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18995),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18994),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11991),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10047),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8299),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18993),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17124),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(17125),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(20010),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8316),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8291),
    [sym__sequence_expression] = STATE(10352),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18122),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18016),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18983),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17942),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8403),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17429),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18982),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17441),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17469),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18981),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10493),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8291),
    [sym__sequence_expression] = STATE(10189),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17634),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17207),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8306),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym__simple_expression] = STATE(3806),
    [sym_typed_expression] = STATE(3752),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_labeled_argument] = STATE(4472),
    [sym_prefix_expression] = STATE(3752),
    [sym_hash_expression] = STATE(3752),
    [sym_field_get_expression] = STATE(3752),
    [sym_array_get_expression] = STATE(3752),
    [sym_string_get_expression] = STATE(3752),
    [sym_bigarray_get_expression] = STATE(3752),
    [sym_coercion_expression] = STATE(3752),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [aux_sym_class_application_repeat1] = STATE(2396),
    [sym__lowercase_identifier] = ACTIONS(3249),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_DOT] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_POUND] = ACTIONS(3255),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3257),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11146),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(8148),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(8142),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(8139),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12594),
    [sym__sequence_expression] = STATE(18975),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(18980),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9794),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11794),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17352),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18245),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17377),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8403),
    [sym__sequence_expression] = STATE(10189),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17396),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17814),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17397),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17401),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8403),
    [sym__sequence_expression] = STATE(10352),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17434),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20184),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17438),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18246),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12904),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17439),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17899),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12898),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12546),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20189),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12893),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(20190),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10386),
    [sym__sequence_expression] = STATE(7996),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19208),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12142),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12399),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym__simple_expression] = STATE(3855),
    [sym_typed_expression] = STATE(3883),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_labeled_argument] = STATE(4445),
    [sym_prefix_expression] = STATE(3883),
    [sym_hash_expression] = STATE(3883),
    [sym_field_get_expression] = STATE(3883),
    [sym_array_get_expression] = STATE(3883),
    [sym_string_get_expression] = STATE(3883),
    [sym_bigarray_get_expression] = STATE(3883),
    [sym_coercion_expression] = STATE(3883),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [aux_sym_class_application_repeat1] = STATE(2395),
    [sym__lowercase_identifier] = ACTIONS(3259),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_QMARK] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_POUND] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(735),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3267),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(7993),
    [sym__sequence_expression] = STATE(7448),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9794),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8245),
    [sym__sequence_expression] = STATE(8146),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10323),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10294),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12873),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10248),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(10299),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12871),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8403),
    [sym__sequence_expression] = STATE(10330),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12822),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(17224),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10232),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(17715),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12862),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17813),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10230),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12819),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(19209),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9794),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16570),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10227),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16897),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11904),
    [sym__sequence_expression] = STATE(10211),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12399),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12399),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11774),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(7740),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12399),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(19294),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17757),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17758),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8288),
    [sym__sequence_expression] = STATE(10189),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(7579),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9794),
    [sym__sequence_expression] = STATE(7937),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(19300),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(17186),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18397),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12813),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17764),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(19368),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9794),
    [sym__sequence_expression] = STATE(7888),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12399),
    [sym__sequence_expression] = STATE(7905),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17817),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18400),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18320),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12809),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8316),
    [sym__sequence_expression] = STATE(10397),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11969),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(17177),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11408),
    [sym__sequence_expression] = STATE(10299),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_sequence_expression] = STATE(10345),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12399),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17777),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17801),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(8045),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17869),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(8044),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12575),
    [sym__sequence_expression] = STATE(16848),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16849),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(8043),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12524),
    [sym__sequence_expression] = STATE(18592),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17873),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(8018),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17802),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17803),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18357),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18251),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(7939),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18530),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18529),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18525),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17844),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12592),
    [sym__sequence_expression] = STATE(8676),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17845),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17850),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(17879),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16934),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(7985),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12399),
    [sym__sequence_expression] = STATE(7659),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18340),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18406),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18339),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9470),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12081),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_sequence_expression] = STATE(8088),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18460),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18459),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18458),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(5339),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11347),
    [sym__sequence_expression] = STATE(18420),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10493),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(8686),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9817),
    [sym__sequence_expression] = STATE(12770),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12435),
    [sym__sequence_expression] = STATE(16925),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12622),
    [sym__sequence_expression] = STATE(17778),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_sequence_expression] = STATE(5362),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12384),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3271),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3273),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3275),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3279),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3283),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3289),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym__simple_expression] = STATE(4089),
    [sym_typed_expression] = STATE(3946),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_labeled_argument] = STATE(4560),
    [sym_prefix_expression] = STATE(3946),
    [sym_hash_expression] = STATE(3946),
    [sym_field_get_expression] = STATE(3946),
    [sym_array_get_expression] = STATE(3946),
    [sym_string_get_expression] = STATE(3946),
    [sym_bigarray_get_expression] = STATE(3946),
    [sym_coercion_expression] = STATE(3946),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [aux_sym_class_application_repeat1] = STATE(2400),
    [sym__lowercase_identifier] = ACTIONS(3297),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_DOT] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_POUND] = ACTIONS(3303),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(845),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(847),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3305),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12403),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12404),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12326),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3311),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12332),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12251),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3315),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12243),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12429),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12355),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3323),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12163),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12157),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3327),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym__simple_expression] = STATE(3204),
    [sym_typed_expression] = STATE(3064),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_labeled_argument] = STATE(3953),
    [sym_prefix_expression] = STATE(3064),
    [sym_hash_expression] = STATE(3064),
    [sym_field_get_expression] = STATE(3064),
    [sym_array_get_expression] = STATE(3064),
    [sym_string_get_expression] = STATE(3064),
    [sym_bigarray_get_expression] = STATE(3064),
    [sym_coercion_expression] = STATE(3064),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [aux_sym_class_application_repeat1] = STATE(1683),
    [sym__lowercase_identifier] = ACTIONS(3079),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_QMARK] = ACTIONS(3085),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_in] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(341),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3333),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3341),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3343),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym__simple_expression] = STATE(4140),
    [sym_typed_expression] = STATE(3990),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_labeled_argument] = STATE(4540),
    [sym_prefix_expression] = STATE(3990),
    [sym_hash_expression] = STATE(3990),
    [sym_field_get_expression] = STATE(3990),
    [sym_array_get_expression] = STATE(3990),
    [sym_string_get_expression] = STATE(3990),
    [sym_bigarray_get_expression] = STATE(3990),
    [sym_coercion_expression] = STATE(3990),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [aux_sym_class_application_repeat1] = STATE(2399),
    [sym__lowercase_identifier] = ACTIONS(3349),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_QMARK] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_POUND] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(897),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(899),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3357),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3359),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3361),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12200),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3365),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3367),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12199),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3373),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12212),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12333),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3377),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12330),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12201),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3381),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3387),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3389),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3391),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3393),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3395),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3399),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12322),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12311),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3405),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3407),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3409),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym__simple_expression] = STATE(3241),
    [sym_typed_expression] = STATE(3242),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_labeled_argument] = STATE(3950),
    [sym_prefix_expression] = STATE(3242),
    [sym_hash_expression] = STATE(3242),
    [sym_field_get_expression] = STATE(3242),
    [sym_array_get_expression] = STATE(3242),
    [sym_string_get_expression] = STATE(3242),
    [sym_bigarray_get_expression] = STATE(3242),
    [sym_coercion_expression] = STATE(3242),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [aux_sym_class_application_repeat1] = STATE(1560),
    [sym__lowercase_identifier] = ACTIONS(3411),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(3418),
    [anon_sym_QMARK] = ACTIONS(3418),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(3424),
    [anon_sym_true] = ACTIONS(3427),
    [anon_sym_false] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3430),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(3433),
    [anon_sym_in] = ACTIONS(3416),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3436),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_LBRACE_LT] = ACTIONS(3442),
    [anon_sym_begin] = ACTIONS(3445),
    [sym_ocamlyacc_value] = ACTIONS(3448),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3454),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(3457),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(3460),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_prefix_operator] = ACTIONS(3466),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(3469),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(3472),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12146),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3477),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3479),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3481),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3483),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3485),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3487),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3489),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3491),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12400),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3493),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3497),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3499),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3501),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3505),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3507),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3509),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12231),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3511),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12422),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3513),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12312),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3515),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12293),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3517),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12289),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3519),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3521),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3523),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3527),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12408),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3529),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3531),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3533),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3535),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3537),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3539),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3541),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3543),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3545),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12198),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3547),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3549),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12187),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3551),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3553),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3555),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12240),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3557),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12232),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3559),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12133),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3561),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12127),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3563),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3565),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12191),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3567),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12188),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3569),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3571),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12271),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3575),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3577),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3579),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3581),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3583),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12267),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3585),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12190),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3587),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12179),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3589),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3591),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3593),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3595),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3597),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12102),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3599),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12103),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3601),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12174),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3603),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12141),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3605),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3609),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3611),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12292),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3613),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12248),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3615),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12297),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3617),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3619),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12246),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3621),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3623),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3625),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3627),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3629),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12138),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3631),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12135),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3633),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3635),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3637),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3639),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3641),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3643),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3645),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3647),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12186),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3649),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12192),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3651),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3653),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3655),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3657),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3659),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3661),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12288),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3663),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3665),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12294),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3667),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3669),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3671),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12365),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3673),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3675),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12250),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3677),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12258),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3679),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3681),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3683),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3687),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3689),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3691),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3693),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3695),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym__simple_expression] = STATE(3241),
    [sym_typed_expression] = STATE(3242),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_labeled_argument] = STATE(3950),
    [sym_prefix_expression] = STATE(3242),
    [sym_hash_expression] = STATE(3242),
    [sym_field_get_expression] = STATE(3242),
    [sym_array_get_expression] = STATE(3242),
    [sym_string_get_expression] = STATE(3242),
    [sym_bigarray_get_expression] = STATE(3242),
    [sym_coercion_expression] = STATE(3242),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [aux_sym_class_application_repeat1] = STATE(1560),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3697),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3699),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3701),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3703),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12345),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3707),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12363),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3709),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3713),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3715),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym__simple_expression] = STATE(3204),
    [sym_typed_expression] = STATE(3064),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_labeled_argument] = STATE(3953),
    [sym_prefix_expression] = STATE(3064),
    [sym_hash_expression] = STATE(3064),
    [sym_field_get_expression] = STATE(3064),
    [sym_array_get_expression] = STATE(3064),
    [sym_string_get_expression] = STATE(3064),
    [sym_bigarray_get_expression] = STATE(3064),
    [sym_coercion_expression] = STATE(3064),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [aux_sym_class_application_repeat1] = STATE(1683),
    [sym__lowercase_identifier] = ACTIONS(3717),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(3720),
    [anon_sym_QMARK] = ACTIONS(3720),
    [anon_sym_LPAREN] = ACTIONS(3723),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(3726),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(3729),
    [anon_sym_false] = ACTIONS(3729),
    [anon_sym_LBRACE] = ACTIONS(3732),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(3735),
    [anon_sym_in] = ACTIONS(3416),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3738),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(3741),
    [anon_sym_LBRACE_LT] = ACTIONS(3744),
    [anon_sym_begin] = ACTIONS(3747),
    [sym_ocamlyacc_value] = ACTIONS(3750),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3756),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(3759),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(3762),
    [anon_sym_DQUOTE] = ACTIONS(3765),
    [sym_prefix_operator] = ACTIONS(3768),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(3771),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(3774),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3777),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3779),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12226),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3781),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3783),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3785),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3787),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3789),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12218),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3791),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3793),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3797),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3799),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3801),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3803),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3805),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3807),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12220),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3809),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12219),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3811),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3813),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12325),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3815),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12239),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3817),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3819),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3821),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3823),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3825),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12176),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3827),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12162),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3829),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12269),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3831),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12249),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3833),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3835),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3837),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3839),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3841),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3843),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3847),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3849),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3851),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3853),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3855),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12140),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12178),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3859),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12137),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3861),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12115),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3863),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12181),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3867),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3869),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3871),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12195),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3873),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3875),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12125),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3879),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3881),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3883),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3885),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3887),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12216),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3891),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3893),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3895),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12159),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3897),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3899),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12156),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3901),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3903),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3905),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12082),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3907),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12224),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3909),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12225),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3911),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3913),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12067),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3915),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12237),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3917),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12268),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3919),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11813),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12598),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11503),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11504),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8216),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11505),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8220),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8222),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11506),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8225),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11507),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11508),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8154),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym__simple_expression] = STATE(3330),
    [sym_typed_expression] = STATE(3374),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_labeled_argument] = STATE(4189),
    [sym_prefix_expression] = STATE(3374),
    [sym_hash_expression] = STATE(3374),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_coercion_expression] = STATE(3374),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [aux_sym_class_application_repeat1] = STATE(2155),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_QMARK] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(499),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(501),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12464),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10464),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10422),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10460),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10454),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10451),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10449),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10447),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10443),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10441),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10440),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11509),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10439),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12272),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11205),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11501),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8215),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11795),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10988),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11497),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10989),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10991),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10993),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12017),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11493),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8214),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10994),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10995),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10996),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10997),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11000),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12016),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12015),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12014),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12013),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12012),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12011),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12010),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12459),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11490),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12009),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12455),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12454),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12472),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12008),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12475),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8157),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10987),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10986),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10984),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10923),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12007),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(19187),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(10912),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5433),
    [sym_array_get_expression] = STATE(5433),
    [sym_string_get_expression] = STATE(5433),
    [sym_bigarray_get_expression] = STATE(5433),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(18625),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12505),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8212),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8211),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12519),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12521),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8208),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12627),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12522),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8205),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12003),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12548),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12395),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym__simple_expression] = STATE(3652),
    [sym_typed_expression] = STATE(3651),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_labeled_argument] = STATE(4289),
    [sym_prefix_expression] = STATE(3651),
    [sym_hash_expression] = STATE(3651),
    [sym_field_get_expression] = STATE(3651),
    [sym_array_get_expression] = STATE(3651),
    [sym_string_get_expression] = STATE(3651),
    [sym_bigarray_get_expression] = STATE(3651),
    [sym_coercion_expression] = STATE(3651),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [aux_sym_class_application_repeat1] = STATE(1878),
    [sym__lowercase_identifier] = ACTIONS(3167),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_QMARK] = ACTIONS(3169),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12059),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym__simple_expression] = STATE(3538),
    [sym_typed_expression] = STATE(3391),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_labeled_argument] = STATE(4430),
    [sym_prefix_expression] = STATE(3391),
    [sym_hash_expression] = STATE(3391),
    [sym_field_get_expression] = STATE(3391),
    [sym_array_get_expression] = STATE(3391),
    [sym_string_get_expression] = STATE(3391),
    [sym_bigarray_get_expression] = STATE(3391),
    [sym_coercion_expression] = STATE(3391),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [aux_sym_class_application_repeat1] = STATE(1837),
    [sym__lowercase_identifier] = ACTIONS(3921),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(3924),
    [anon_sym_QMARK] = ACTIONS(3924),
    [anon_sym_LPAREN] = ACTIONS(3927),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(3930),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(3933),
    [anon_sym_false] = ACTIONS(3933),
    [anon_sym_LBRACE] = ACTIONS(3936),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(3939),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3942),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(3945),
    [anon_sym_LBRACE_LT] = ACTIONS(3948),
    [anon_sym_begin] = ACTIONS(3951),
    [sym_ocamlyacc_value] = ACTIONS(3954),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3960),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(3963),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(3966),
    [anon_sym_DQUOTE] = ACTIONS(3969),
    [sym_prefix_operator] = ACTIONS(3972),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(3975),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(3978),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12401),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym__simple_expression] = STATE(3538),
    [sym_typed_expression] = STATE(3391),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_labeled_argument] = STATE(4430),
    [sym_prefix_expression] = STATE(3391),
    [sym_hash_expression] = STATE(3391),
    [sym_field_get_expression] = STATE(3391),
    [sym_array_get_expression] = STATE(3391),
    [sym_string_get_expression] = STATE(3391),
    [sym_bigarray_get_expression] = STATE(3391),
    [sym_coercion_expression] = STATE(3391),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [aux_sym_class_application_repeat1] = STATE(1837),
    [sym__lowercase_identifier] = ACTIONS(3129),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_QMARK] = ACTIONS(3131),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(673),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym__simple_expression] = STATE(4332),
    [sym_typed_expression] = STATE(4214),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_labeled_argument] = STATE(4580),
    [sym_prefix_expression] = STATE(4214),
    [sym_hash_expression] = STATE(4214),
    [sym_field_get_expression] = STATE(4214),
    [sym_array_get_expression] = STATE(4214),
    [sym_string_get_expression] = STATE(4214),
    [sym_bigarray_get_expression] = STATE(4214),
    [sym_coercion_expression] = STATE(4214),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [aux_sym_class_application_repeat1] = STATE(2403),
    [sym__lowercase_identifier] = ACTIONS(3981),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_QMARK] = ACTIONS(3983),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3985),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(3987),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(3989),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12409),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12410),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12372),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym__simple_expression] = STATE(3678),
    [sym_typed_expression] = STATE(3700),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_labeled_argument] = STATE(4284),
    [sym_prefix_expression] = STATE(3700),
    [sym_hash_expression] = STATE(3700),
    [sym_field_get_expression] = STATE(3700),
    [sym_array_get_expression] = STATE(3700),
    [sym_string_get_expression] = STATE(3700),
    [sym_bigarray_get_expression] = STATE(3700),
    [sym_coercion_expression] = STATE(3700),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [aux_sym_class_application_repeat1] = STATE(1844),
    [sym__lowercase_identifier] = ACTIONS(3991),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(3994),
    [anon_sym_QMARK] = ACTIONS(3994),
    [anon_sym_LPAREN] = ACTIONS(3997),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4000),
    [anon_sym_true] = ACTIONS(4003),
    [anon_sym_false] = ACTIONS(4003),
    [anon_sym_LBRACE] = ACTIONS(4006),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4009),
    [anon_sym_in] = ACTIONS(3416),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4012),
    [anon_sym_new] = ACTIONS(4015),
    [anon_sym_LBRACE_LT] = ACTIONS(4018),
    [anon_sym_begin] = ACTIONS(4021),
    [sym_ocamlyacc_value] = ACTIONS(4024),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4027),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4030),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4033),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4036),
    [anon_sym_DQUOTE] = ACTIONS(4039),
    [sym_prefix_operator] = ACTIONS(4042),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4045),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(4048),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8596),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12348),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12411),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12414),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12416),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9980),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12337),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11259),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12324),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12323),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12424),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12430),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10591),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12362),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12360),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(19422),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12259),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6288),
    [sym_array_get_expression] = STATE(6288),
    [sym_string_get_expression] = STATE(6288),
    [sym_bigarray_get_expression] = STATE(6288),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1783),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19333),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2559),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2563),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2567),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12321),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11149),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12320),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12318),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12316),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12314),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12310),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12307),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12383),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11898),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9426),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(17982),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12632),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(7144),
    [sym_array_get_expression] = STATE(7144),
    [sym_string_get_expression] = STATE(7144),
    [sym_bigarray_get_expression] = STATE(7144),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(1829),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(17718),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10147),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9991),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9983),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym__simple_expression] = STATE(3678),
    [sym_typed_expression] = STATE(3700),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_labeled_argument] = STATE(4284),
    [sym_prefix_expression] = STATE(3700),
    [sym_hash_expression] = STATE(3700),
    [sym_field_get_expression] = STATE(3700),
    [sym_array_get_expression] = STATE(3700),
    [sym_string_get_expression] = STATE(3700),
    [sym_bigarray_get_expression] = STATE(3700),
    [sym_coercion_expression] = STATE(3700),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [aux_sym_class_application_repeat1] = STATE(1844),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_QMARK] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_in] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(447),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(449),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9982),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym__simple_expression] = STATE(3652),
    [sym_typed_expression] = STATE(3651),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_labeled_argument] = STATE(4289),
    [sym_prefix_expression] = STATE(3651),
    [sym_hash_expression] = STATE(3651),
    [sym_field_get_expression] = STATE(3651),
    [sym_array_get_expression] = STATE(3651),
    [sym_string_get_expression] = STATE(3651),
    [sym_bigarray_get_expression] = STATE(3651),
    [sym_coercion_expression] = STATE(3651),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [aux_sym_class_application_repeat1] = STATE(1878),
    [sym__lowercase_identifier] = ACTIONS(4051),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(4054),
    [anon_sym_QMARK] = ACTIONS(4054),
    [anon_sym_LPAREN] = ACTIONS(4057),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4060),
    [anon_sym_true] = ACTIONS(4063),
    [anon_sym_false] = ACTIONS(4063),
    [anon_sym_LBRACE] = ACTIONS(4066),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4072),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(4075),
    [anon_sym_LBRACE_LT] = ACTIONS(4078),
    [anon_sym_begin] = ACTIONS(4081),
    [sym_ocamlyacc_value] = ACTIONS(4084),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4090),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4093),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4096),
    [anon_sym_DQUOTE] = ACTIONS(4099),
    [sym_prefix_operator] = ACTIONS(4102),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4105),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(4108),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8275),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9976),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9975),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9936),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9990),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9940),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9946),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9950),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9963),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym_value_definition] = STATE(19298),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(9970),
    [sym_typed_expression] = STATE(5134),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5134),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5134),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5091),
    [sym_array_get_expression] = STATE(5091),
    [sym_string_get_expression] = STATE(5091),
    [sym_bigarray_get_expression] = STATE(5091),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5134),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym_sign_operator] = STATE(1873),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__instance_variable_name] = STATE(18407),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [sym__lowercase_identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11906),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11909),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11913),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11914),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11915),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11916),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11942),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11943),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11944),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8295),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11945),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11946),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11779),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11178),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym_value_definition] = STATE(18445),
    [sym__simple_expression] = STATE(537),
    [sym__expression] = STATE(8159),
    [sym_typed_expression] = STATE(3374),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3374),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3374),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3108),
    [sym_array_get_expression] = STATE(3108),
    [sym_string_get_expression] = STATE(3108),
    [sym_bigarray_get_expression] = STATE(3108),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3374),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym_sign_operator] = STATE(1816),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__instance_variable_name] = STATE(18784),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [sym__lowercase_identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3041),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__uppercase_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11629),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8294),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11165),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11164),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11163),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11152),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11633),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11556),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11639),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11840),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11148),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8292),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11137),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11640),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11641),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11642),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11646),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11648),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11651),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11653),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11655),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11135),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11574),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11123),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9807),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11115),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12512),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11114),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(18295),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11525),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5564),
    [sym_array_get_expression] = STATE(5564),
    [sym_string_get_expression] = STATE(5564),
    [sym_bigarray_get_expression] = STATE(5564),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(18325),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8289),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9454),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8287),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(18967),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(11766),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5829),
    [sym_array_get_expression] = STATE(5829),
    [sym_string_get_expression] = STATE(5829),
    [sym_bigarray_get_expression] = STATE(5829),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(1787),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(19083),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2483),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8283),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8282),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8281),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8280),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9456),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9457),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8279),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8277),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12339),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(18048),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11714),
    [sym_typed_expression] = STATE(5968),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5968),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5968),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5778),
    [sym_array_get_expression] = STATE(5778),
    [sym_string_get_expression] = STATE(5778),
    [sym_bigarray_get_expression] = STATE(5778),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5968),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym_sign_operator] = STATE(1926),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__instance_variable_name] = STATE(18130),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [sym__lowercase_identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12346),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9458),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym_value_definition] = STATE(19044),
    [sym__simple_expression] = STATE(1353),
    [sym__expression] = STATE(8267),
    [sym_typed_expression] = STATE(3752),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3752),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3752),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3367),
    [sym_array_get_expression] = STATE(3367),
    [sym_string_get_expression] = STATE(3367),
    [sym_bigarray_get_expression] = STATE(3367),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3752),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(1879),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__instance_variable_name] = STATE(19019),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [sym__lowercase_identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12060),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12356),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12361),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12387),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9459),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9460),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12367),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12370),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9494),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11773),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11828),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11830),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11832),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12373),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11833),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11834),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11835),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11836),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12374),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11837),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12376),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11838),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11839),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11976),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(11841),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9496),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9497),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12069),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12070),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12071),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11958),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12072),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12075),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12077),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12079),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12083),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11992),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11993),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11994),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11995),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12001),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12005),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12018),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12019),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12020),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12023),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12024),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12084),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12381),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11784),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12085),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12086),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12119),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12385),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9438),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12234),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(19586),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9462),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4853),
    [sym_array_get_expression] = STATE(4853),
    [sym_string_get_expression] = STATE(4853),
    [sym_bigarray_get_expression] = STATE(4853),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2007),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(19658),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(18963),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6533),
    [sym_array_get_expression] = STATE(6533),
    [sym_string_get_expression] = STATE(6533),
    [sym_bigarray_get_expression] = STATE(6533),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(2002),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(17972),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2739),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12349),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10715),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(17652),
    [sym__simple_expression] = STATE(2447),
    [sym__expression] = STATE(12040),
    [sym_typed_expression] = STATE(6277),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6277),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6277),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5801),
    [sym_array_get_expression] = STATE(5801),
    [sym_string_get_expression] = STATE(5801),
    [sym_bigarray_get_expression] = STATE(5801),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6277),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__instance_variable_name] = STATE(19495),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [sym__lowercase_identifier] = ACTIONS(2363),
    [anon_sym_let] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_fun] = ACTIONS(2377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2409),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10236),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10262),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10266),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10268),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10269),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12525),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10271),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10272),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12347),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12340),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12338),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11903),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11965),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11966),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11967),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9916),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11970),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10275),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9924),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11972),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8584),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11973),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12336),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12057),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11974),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11975),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9922),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8583),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8582),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9921),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8581),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym_value_definition] = STATE(18699),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11925),
    [sym_typed_expression] = STATE(6501),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6501),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6501),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6044),
    [sym_array_get_expression] = STATE(6044),
    [sym_string_get_expression] = STATE(6044),
    [sym_bigarray_get_expression] = STATE(6044),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6501),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1999),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__instance_variable_name] = STATE(18956),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [sym__lowercase_identifier] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2545),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12335),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9919),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9918),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12317),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8580),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9917),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11984),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9911),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9908),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8579),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8577),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9906),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8566),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11986),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12315),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9905),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8554),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8544),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12305),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12303),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11987),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8350),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12296),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(17570),
    [sym__simple_expression] = STATE(2460),
    [sym__expression] = STATE(12128),
    [sym_typed_expression] = STATE(6252),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6252),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6252),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6252),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym_sign_operator] = STATE(2006),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__instance_variable_name] = STATE(17533),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [sym__lowercase_identifier] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_fun] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10279),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12300),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8263),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(18380),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12286),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6566),
    [sym_array_get_expression] = STATE(6566),
    [sym_string_get_expression] = STATE(6566),
    [sym_bigarray_get_expression] = STATE(6566),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(18175),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2827),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12299),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8552),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(19773),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(11776),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5827),
    [sym_array_get_expression] = STATE(5827),
    [sym_string_get_expression] = STATE(5827),
    [sym_bigarray_get_expression] = STATE(5827),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2023),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(17530),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2329),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2355),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(18542),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11782),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(1901),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18510),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2251),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12434),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10280),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10287),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12402),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8262),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8261),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8260),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8257),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10289),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12530),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8256),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8255),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8254),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8252),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8251),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8250),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(17514),
    [sym__simple_expression] = STATE(2415),
    [sym__expression] = STATE(10201),
    [sym_typed_expression] = STATE(5273),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(5273),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(5273),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5209),
    [sym_array_get_expression] = STATE(5209),
    [sym_string_get_expression] = STATE(5209),
    [sym_bigarray_get_expression] = STATE(5209),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(5273),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2092),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__instance_variable_name] = STATE(17616),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [sym__lowercase_identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12516),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12508),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12507),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(17893),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9818),
    [sym_typed_expression] = STATE(4886),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4886),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4886),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4937),
    [sym_array_get_expression] = STATE(4937),
    [sym_string_get_expression] = STATE(4937),
    [sym_bigarray_get_expression] = STATE(4937),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4886),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__instance_variable_name] = STATE(18335),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [sym__lowercase_identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3047),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3049),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8249),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12503),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12478),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(1398),
    [sym__expression] = STATE(8265),
    [sym_typed_expression] = STATE(3883),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3883),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3883),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3633),
    [sym_array_get_expression] = STATE(3633),
    [sym_string_get_expression] = STATE(3633),
    [sym_bigarray_get_expression] = STATE(3633),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3883),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym_sign_operator] = STATE(2100),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__instance_variable_name] = STATE(19062),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [sym__lowercase_identifier] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(745),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10335),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12460),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12458),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12453),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(17408),
    [sym__simple_expression] = STATE(2422),
    [sym__expression] = STATE(11502),
    [sym_typed_expression] = STATE(5616),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5616),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5616),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5548),
    [sym_array_get_expression] = STATE(5548),
    [sym_string_get_expression] = STATE(5548),
    [sym_bigarray_get_expression] = STATE(5548),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5616),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym_sign_operator] = STATE(1784),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__instance_variable_name] = STATE(17473),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [sym__lowercase_identifier] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1299),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8314),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8317),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8318),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8319),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12617),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12049),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11948),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11947),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11938),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12624),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11910),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11983),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11717),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11902),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12625),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12635),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12636),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8320),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12639),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11896),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11895),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11860),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11855),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8321),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8322),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8323),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8324),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12640),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12641),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8326),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11852),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12642),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8327),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8189),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12569),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12578),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8064),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10351),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10359),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12298),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10366),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10368),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12295),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12285),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10370),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12283),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12278),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12264),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10371),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym__simple_expression] = STATE(3330),
    [sym_typed_expression] = STATE(3374),
    [sym_list_expression] = STATE(3374),
    [sym_array_expression] = STATE(3374),
    [sym_record_expression] = STATE(3374),
    [sym_labeled_argument] = STATE(4189),
    [sym_prefix_expression] = STATE(3374),
    [sym_hash_expression] = STATE(3374),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_coercion_expression] = STATE(3374),
    [sym_local_open_expression] = STATE(3374),
    [sym_package_expression] = STATE(3374),
    [sym_new_expression] = STATE(3374),
    [sym_object_copy_expression] = STATE(3374),
    [sym_method_invocation] = STATE(3374),
    [sym_object_expression] = STATE(3374),
    [sym_parenthesized_expression] = STATE(3374),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(3374),
    [sym_quoted_extension] = STATE(3374),
    [sym__constant] = STATE(3374),
    [sym_number] = STATE(3583),
    [sym_character] = STATE(3583),
    [sym_string] = STATE(3583),
    [sym_quoted_string] = STATE(3583),
    [sym_boolean] = STATE(3583),
    [sym_unit] = STATE(3583),
    [sym__value_name] = STATE(3435),
    [sym_parenthesized_operator] = STATE(3704),
    [sym_value_path] = STATE(3374),
    [sym_module_path] = STATE(17567),
    [sym_constructor_path] = STATE(3374),
    [sym__constructor_name] = STATE(3581),
    [sym_tag] = STATE(3374),
    [aux_sym_class_application_repeat1] = STATE(2155),
    [sym__lowercase_identifier] = ACTIONS(4111),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(4114),
    [anon_sym_QMARK] = ACTIONS(4114),
    [anon_sym_LPAREN] = ACTIONS(4117),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4120),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(4123),
    [anon_sym_false] = ACTIONS(4123),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4129),
    [anon_sym_in] = ACTIONS(3416),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4132),
    [anon_sym_new] = ACTIONS(4135),
    [anon_sym_LBRACE_LT] = ACTIONS(4138),
    [anon_sym_begin] = ACTIONS(4141),
    [sym_ocamlyacc_value] = ACTIONS(4144),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4150),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4153),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4156),
    [anon_sym_DQUOTE] = ACTIONS(4159),
    [sym_prefix_operator] = ACTIONS(4162),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4165),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(4168),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12256),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12254),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12253),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12252),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(20031),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12058),
    [sym_typed_expression] = STATE(6994),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6994),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6994),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6565),
    [sym_array_get_expression] = STATE(6565),
    [sym_string_get_expression] = STATE(6565),
    [sym_bigarray_get_expression] = STATE(6565),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6994),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym_sign_operator] = STATE(2160),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__instance_variable_name] = STATE(19569),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [sym__lowercase_identifier] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2667),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10372),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10373),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10374),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10375),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10302),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8181),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8662),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12245),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10349),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11684),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11715),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11713),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11712),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11711),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11710),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11708),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11706),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11704),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11703),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(20151),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(11908),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(2111),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(19663),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2279),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2301),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11702),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(18310),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12620),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6812),
    [sym_array_get_expression] = STATE(6812),
    [sym_string_get_expression] = STATE(6812),
    [sym_bigarray_get_expression] = STATE(6812),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(18024),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11700),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12241),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12229),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(19206),
    [sym__simple_expression] = STATE(2429),
    [sym__expression] = STATE(11568),
    [sym_typed_expression] = STATE(5797),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(5797),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(5797),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5715),
    [sym_array_get_expression] = STATE(5715),
    [sym_string_get_expression] = STATE(5715),
    [sym_bigarray_get_expression] = STATE(5715),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(5797),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym_sign_operator] = STATE(2186),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__instance_variable_name] = STATE(19431),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [sym__lowercase_identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8242),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12480),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8113),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8233),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8232),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8229),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8335),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12217),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8110),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8106),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8104),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8103),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8101),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8093),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8092),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8090),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8127),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8085),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8083),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8228),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym_value_definition] = STATE(19189),
    [sym__simple_expression] = STATE(410),
    [sym__expression] = STATE(8115),
    [sym_typed_expression] = STATE(3064),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3064),
    [sym_array_expression] = STATE(3064),
    [sym_record_expression] = STATE(3064),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3064),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3064),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2920),
    [sym_array_get_expression] = STATE(2920),
    [sym_string_get_expression] = STATE(2920),
    [sym_bigarray_get_expression] = STATE(2920),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3064),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3064),
    [sym_package_expression] = STATE(3064),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3064),
    [sym_object_copy_expression] = STATE(3064),
    [sym_method_invocation] = STATE(3064),
    [sym_object_expression] = STATE(3064),
    [sym_parenthesized_expression] = STATE(3064),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(3064),
    [sym_quoted_extension] = STATE(3064),
    [sym__constant] = STATE(3064),
    [sym_number] = STATE(3149),
    [sym_character] = STATE(3149),
    [sym_string] = STATE(3149),
    [sym_quoted_string] = STATE(3149),
    [sym_boolean] = STATE(3149),
    [sym_unit] = STATE(3149),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(3193),
    [sym_parenthesized_operator] = STATE(3154),
    [sym_value_path] = STATE(3064),
    [sym_module_path] = STATE(18364),
    [sym_constructor_path] = STATE(3064),
    [sym__instance_variable_name] = STATE(19205),
    [sym__constructor_name] = STATE(3127),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3103),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__uppercase_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12211),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12194),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12354),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8227),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12182),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8226),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12177),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8184),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8219),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8213),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8161),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8163),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8167),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8239),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12573),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8169),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8170),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8173),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8174),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8176),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8204),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8178),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8180),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8202),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8179),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8172),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8183),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12161),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12160),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12158),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8168),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8166),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8165),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8162),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8150),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8153),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8155),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(19874),
    [sym__simple_expression] = STATE(2463),
    [sym__expression] = STATE(12066),
    [sym_typed_expression] = STATE(7138),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(7138),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(7138),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6564),
    [sym_array_get_expression] = STATE(6564),
    [sym_string_get_expression] = STATE(6564),
    [sym_bigarray_get_expression] = STATE(6564),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(7138),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym_sign_operator] = STATE(2246),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [sym__lowercase_identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12080),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8203),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8200),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12087),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12097),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8241),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(11941),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12098),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12100),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11930),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12101),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9455),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12183),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(19272),
    [sym__simple_expression] = STATE(523),
    [sym__expression] = STATE(8164),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3107),
    [sym_array_get_expression] = STATE(3107),
    [sym_string_get_expression] = STATE(3107),
    [sym_bigarray_get_expression] = STATE(3107),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(3587),
    [sym_character] = STATE(3587),
    [sym_string] = STATE(3587),
    [sym_quoted_string] = STATE(3587),
    [sym_boolean] = STATE(3587),
    [sym_unit] = STATE(3587),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(3597),
    [sym_parenthesized_operator] = STATE(3593),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(18201),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19195),
    [sym__constructor_name] = STATE(3596),
    [sym_tag] = STATE(3700),
    [sym__lowercase_identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3053),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__uppercase_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12107),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12108),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12117),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12118),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12450),
    [sym_typed_expression] = STATE(6759),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6759),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6759),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6985),
    [sym_array_get_expression] = STATE(6985),
    [sym_string_get_expression] = STATE(6985),
    [sym_bigarray_get_expression] = STATE(6985),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6759),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym_sign_operator] = STATE(2017),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__instance_variable_name] = STATE(17443),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [sym__lowercase_identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12120),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(19918),
    [sym__simple_expression] = STATE(503),
    [sym__expression] = STATE(8217),
    [sym_typed_expression] = STATE(3391),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3391),
    [sym_array_expression] = STATE(3391),
    [sym_record_expression] = STATE(3391),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3391),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3391),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2987),
    [sym_array_get_expression] = STATE(2987),
    [sym_string_get_expression] = STATE(2987),
    [sym_bigarray_get_expression] = STATE(2987),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3391),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3391),
    [sym_package_expression] = STATE(3391),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3391),
    [sym_object_copy_expression] = STATE(3391),
    [sym_method_invocation] = STATE(3391),
    [sym_object_expression] = STATE(3391),
    [sym_parenthesized_expression] = STATE(3391),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(3391),
    [sym_quoted_extension] = STATE(3391),
    [sym__constant] = STATE(3391),
    [sym_number] = STATE(3369),
    [sym_character] = STATE(3369),
    [sym_string] = STATE(3369),
    [sym_quoted_string] = STATE(3369),
    [sym_boolean] = STATE(3369),
    [sym_unit] = STATE(3369),
    [sym_sign_operator] = STATE(2215),
    [sym__value_name] = STATE(3415),
    [sym_parenthesized_operator] = STATE(3310),
    [sym_value_path] = STATE(3391),
    [sym_module_path] = STATE(18636),
    [sym_constructor_path] = STATE(3391),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(3394),
    [sym_tag] = STATE(3391),
    [sym__lowercase_identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3031),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__uppercase_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9258),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(19109),
    [sym__simple_expression] = STATE(1512),
    [sym__expression] = STATE(8386),
    [sym_typed_expression] = STATE(3946),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3946),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3946),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3798),
    [sym_array_get_expression] = STATE(3798),
    [sym_string_get_expression] = STATE(3798),
    [sym_bigarray_get_expression] = STATE(3798),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3946),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym_sign_operator] = STATE(2065),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__instance_variable_name] = STATE(19063),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [sym__lowercase_identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(19219),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8207),
    [sym_typed_expression] = STATE(3651),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3651),
    [sym_array_expression] = STATE(3651),
    [sym_record_expression] = STATE(3651),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3651),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3651),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3191),
    [sym_array_get_expression] = STATE(3191),
    [sym_string_get_expression] = STATE(3191),
    [sym_bigarray_get_expression] = STATE(3191),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3651),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3651),
    [sym_package_expression] = STATE(3651),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3651),
    [sym_object_copy_expression] = STATE(3651),
    [sym_method_invocation] = STATE(3651),
    [sym_object_expression] = STATE(3651),
    [sym_parenthesized_expression] = STATE(3651),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(3651),
    [sym_quoted_extension] = STATE(3651),
    [sym__constant] = STATE(3651),
    [sym_number] = STATE(3495),
    [sym_character] = STATE(3495),
    [sym_string] = STATE(3495),
    [sym_quoted_string] = STATE(3495),
    [sym_boolean] = STATE(3495),
    [sym_unit] = STATE(3495),
    [sym_sign_operator] = STATE(2252),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3595),
    [sym_value_path] = STATE(3651),
    [sym_module_path] = STATE(18712),
    [sym_constructor_path] = STATE(3651),
    [sym__instance_variable_name] = STATE(19568),
    [sym__constructor_name] = STATE(3500),
    [sym_tag] = STATE(3651),
    [sym__lowercase_identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3099),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__uppercase_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(18176),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12122),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(6563),
    [sym_array_get_expression] = STATE(6563),
    [sym_string_get_expression] = STATE(6563),
    [sym_bigarray_get_expression] = STATE(6563),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(17964),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2583),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2591),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2615),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11886),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12582),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12596),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11869),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12597),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12599),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12601),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12602),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12603),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12604),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12605),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12606),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12608),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12124),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12580),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8720),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8717),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8714),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11885),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11883),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8691),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(17544),
    [sym__simple_expression] = STATE(2459),
    [sym__expression] = STATE(12290),
    [sym_typed_expression] = STATE(6524),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6524),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6524),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6524),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym_sign_operator] = STATE(1869),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__instance_variable_name] = STATE(18073),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [sym__lowercase_identifier] = ACTIONS(2255),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8713),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11882),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11881),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11880),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11879),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8712),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8711),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12147),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12149),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11878),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8707),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11877),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9468),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12170),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12151),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12153),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8704),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8703),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12154),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12155),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12165),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11875),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12166),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12105),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9474),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9475),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9480),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9481),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9482),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9484),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9486),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9489),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(20204),
    [sym__simple_expression] = STATE(2461),
    [sym__expression] = STATE(11911),
    [sym_typed_expression] = STATE(6419),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6419),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6419),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6419),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym_sign_operator] = STATE(2326),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__instance_variable_name] = STATE(20201),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [sym__lowercase_identifier] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_fun] = ACTIONS(2191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9324),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9491),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9492),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9493),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym_value_definition] = STATE(18138),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10313),
    [sym_typed_expression] = STATE(5087),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5087),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5087),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5234),
    [sym_array_get_expression] = STATE(5234),
    [sym_string_get_expression] = STATE(5234),
    [sym_bigarray_get_expression] = STATE(5234),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5087),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym_sign_operator] = STATE(2169),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__instance_variable_name] = STATE(18344),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [sym__lowercase_identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12167),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym_value_definition] = STATE(19986),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9590),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(4727),
    [sym_array_get_expression] = STATE(4727),
    [sym_string_get_expression] = STATE(4727),
    [sym_bigarray_get_expression] = STATE(4727),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2333),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(20157),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12168),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8700),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12094),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12093),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12092),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12091),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12090),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(17406),
    [sym__simple_expression] = STATE(1840),
    [sym__expression] = STATE(8500),
    [sym_typed_expression] = STATE(4214),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4214),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4214),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4104),
    [sym_array_get_expression] = STATE(4104),
    [sym_string_get_expression] = STATE(4104),
    [sym_bigarray_get_expression] = STATE(4104),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4214),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym_sign_operator] = STATE(1845),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__instance_variable_name] = STATE(20175),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12089),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12088),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12076),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12074),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9327),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8054),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9329),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12073),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12068),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8079),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9264),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8077),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8075),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8074),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8379),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8072),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8071),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8070),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9301),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8414),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8069),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8068),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8067),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8063),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8061),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8413),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8412),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(18823),
    [sym__simple_expression] = STATE(2370),
    [sym__expression] = STATE(8679),
    [sym_typed_expression] = STATE(4159),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(4159),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(4159),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(4016),
    [sym_array_get_expression] = STATE(4016),
    [sym_string_get_expression] = STATE(4016),
    [sym_bigarray_get_expression] = STATE(4016),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(4159),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__instance_variable_name] = STATE(17781),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [sym__lowercase_identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3055),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3057),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym__simple_expression] = STATE(4352),
    [sym_typed_expression] = STATE(4159),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_labeled_argument] = STATE(4585),
    [sym_prefix_expression] = STATE(4159),
    [sym_hash_expression] = STATE(4159),
    [sym_field_get_expression] = STATE(4159),
    [sym_array_get_expression] = STATE(4159),
    [sym_string_get_expression] = STATE(4159),
    [sym_bigarray_get_expression] = STATE(4159),
    [sym_coercion_expression] = STATE(4159),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [aux_sym_class_application_repeat1] = STATE(2404),
    [sym__lowercase_identifier] = ACTIONS(4171),
    [anon_sym_SEMI_SEMI] = ACTIONS(3081),
    [anon_sym_let] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(4173),
    [anon_sym_QMARK] = ACTIONS(4173),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(3083),
    [anon_sym_type] = ACTIONS(3083),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(4175),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym_exception] = ACTIONS(3083),
    [anon_sym_module] = ACTIONS(3083),
    [anon_sym_open] = ACTIONS(3083),
    [anon_sym_include] = ACTIONS(3083),
    [anon_sym_class] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_POUND] = ACTIONS(4177),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4179),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8410),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8409),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym_value_definition] = STATE(18700),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12571),
    [sym_typed_expression] = STATE(6807),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6807),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6807),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6735),
    [sym_array_get_expression] = STATE(6735),
    [sym_string_get_expression] = STATE(6735),
    [sym_bigarray_get_expression] = STATE(6735),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6807),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__instance_variable_name] = STATE(18352),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [sym__lowercase_identifier] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8407),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8415),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8406),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8405),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9325),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8404),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9299),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8400),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8398),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9298),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9296),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9294),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9293),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9292),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym_value_definition] = STATE(19996),
    [sym__simple_expression] = STATE(1533),
    [sym__expression] = STATE(8396),
    [sym_typed_expression] = STATE(3990),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3990),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3990),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(3903),
    [sym_array_get_expression] = STATE(3903),
    [sym_string_get_expression] = STATE(3903),
    [sym_bigarray_get_expression] = STATE(3903),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3990),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym_sign_operator] = STATE(2356),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__instance_variable_name] = STATE(19826),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [sym__lowercase_identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3045),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym_value_definition] = STATE(19541),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9181),
    [sym_typed_expression] = STATE(4788),
    [sym_product_expression] = STATE(8129),
    [sym_cons_expression] = STATE(8129),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_application_expression] = STATE(8129),
    [sym_prefix_expression] = STATE(4788),
    [sym_sign_expression] = STATE(8129),
    [sym_hash_expression] = STATE(4788),
    [sym_infix_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(4705),
    [sym_array_get_expression] = STATE(4705),
    [sym_string_get_expression] = STATE(4705),
    [sym_bigarray_get_expression] = STATE(4705),
    [sym_set_expression] = STATE(8129),
    [sym_if_expression] = STATE(8129),
    [sym_while_expression] = STATE(8129),
    [sym_for_expression] = STATE(8129),
    [sym_match_expression] = STATE(8129),
    [sym_function_expression] = STATE(8129),
    [sym_fun_expression] = STATE(8129),
    [sym_try_expression] = STATE(8129),
    [sym_let_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(4788),
    [sym_assert_expression] = STATE(8129),
    [sym_lazy_expression] = STATE(8129),
    [sym_let_module_expression] = STATE(8129),
    [sym_let_open_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_let_exception_expression] = STATE(8129),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym_sign_operator] = STATE(2389),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__instance_variable_name] = STATE(19767),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [sym__lowercase_identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3095),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym_value_definition] = STATE(20114),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(12628),
    [sym_typed_expression] = STATE(5257),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(5257),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(5257),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(5276),
    [sym_array_get_expression] = STATE(5276),
    [sym_string_get_expression] = STATE(5276),
    [sym_bigarray_get_expression] = STATE(5276),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(5257),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym_sign_operator] = STATE(1857),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [sym__lowercase_identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12184),
    [sym_typed_expression] = STATE(6858),
    [sym_product_expression] = STATE(10231),
    [sym_cons_expression] = STATE(10231),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_application_expression] = STATE(10231),
    [sym_prefix_expression] = STATE(6858),
    [sym_sign_expression] = STATE(10231),
    [sym_hash_expression] = STATE(6858),
    [sym_infix_expression] = STATE(10231),
    [sym_field_get_expression] = STATE(6513),
    [sym_array_get_expression] = STATE(6513),
    [sym_string_get_expression] = STATE(6513),
    [sym_bigarray_get_expression] = STATE(6513),
    [sym_set_expression] = STATE(10231),
    [sym_if_expression] = STATE(10231),
    [sym_while_expression] = STATE(10231),
    [sym_for_expression] = STATE(10231),
    [sym_match_expression] = STATE(10231),
    [sym_function_expression] = STATE(10231),
    [sym_fun_expression] = STATE(10231),
    [sym_try_expression] = STATE(10231),
    [sym_let_expression] = STATE(10231),
    [sym_coercion_expression] = STATE(6858),
    [sym_assert_expression] = STATE(10231),
    [sym_lazy_expression] = STATE(10231),
    [sym_let_module_expression] = STATE(10231),
    [sym_let_open_expression] = STATE(10231),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_let_exception_expression] = STATE(10231),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym_sign_operator] = STATE(2285),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__instance_variable_name] = STATE(19560),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [sym__lowercase_identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_lazy] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym_value_definition] = STATE(19735),
    [sym__simple_expression] = STATE(458),
    [sym__expression] = STATE(8029),
    [sym_typed_expression] = STATE(3242),
    [sym_product_expression] = STATE(8003),
    [sym_cons_expression] = STATE(8003),
    [sym_list_expression] = STATE(3242),
    [sym_array_expression] = STATE(3242),
    [sym_record_expression] = STATE(3242),
    [sym_application_expression] = STATE(8003),
    [sym_prefix_expression] = STATE(3242),
    [sym_sign_expression] = STATE(8003),
    [sym_hash_expression] = STATE(3242),
    [sym_infix_expression] = STATE(8003),
    [sym_field_get_expression] = STATE(2905),
    [sym_array_get_expression] = STATE(2905),
    [sym_string_get_expression] = STATE(2905),
    [sym_bigarray_get_expression] = STATE(2905),
    [sym_set_expression] = STATE(8003),
    [sym_if_expression] = STATE(8003),
    [sym_while_expression] = STATE(8003),
    [sym_for_expression] = STATE(8003),
    [sym_match_expression] = STATE(8003),
    [sym_function_expression] = STATE(8003),
    [sym_fun_expression] = STATE(8003),
    [sym_try_expression] = STATE(8003),
    [sym_let_expression] = STATE(8003),
    [sym_coercion_expression] = STATE(3242),
    [sym_assert_expression] = STATE(8003),
    [sym_lazy_expression] = STATE(8003),
    [sym_let_module_expression] = STATE(8003),
    [sym_let_open_expression] = STATE(8003),
    [sym_local_open_expression] = STATE(3242),
    [sym_package_expression] = STATE(3242),
    [sym_let_exception_expression] = STATE(8003),
    [sym_new_expression] = STATE(3242),
    [sym_object_copy_expression] = STATE(3242),
    [sym_method_invocation] = STATE(3242),
    [sym_object_expression] = STATE(3242),
    [sym_parenthesized_expression] = STATE(3242),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(3242),
    [sym_quoted_extension] = STATE(3242),
    [sym__constant] = STATE(3242),
    [sym_number] = STATE(2953),
    [sym_character] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_quoted_string] = STATE(2953),
    [sym_boolean] = STATE(2953),
    [sym_unit] = STATE(2953),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(3028),
    [sym_parenthesized_operator] = STATE(3216),
    [sym_value_path] = STATE(3242),
    [sym_module_path] = STATE(18674),
    [sym_constructor_path] = STATE(3242),
    [sym__instance_variable_name] = STATE(19947),
    [sym__constructor_name] = STATE(2954),
    [sym_tag] = STATE(3242),
    [sym__lowercase_identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__uppercase_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2457),
    [sym__expression] = STATE(12421),
    [sym_typed_expression] = STATE(6568),
    [sym_product_expression] = STATE(7779),
    [sym_cons_expression] = STATE(7779),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_application_expression] = STATE(7779),
    [sym_prefix_expression] = STATE(6568),
    [sym_sign_expression] = STATE(7779),
    [sym_hash_expression] = STATE(6568),
    [sym_infix_expression] = STATE(7779),
    [sym_field_get_expression] = STATE(6233),
    [sym_array_get_expression] = STATE(6233),
    [sym_string_get_expression] = STATE(6233),
    [sym_bigarray_get_expression] = STATE(6233),
    [sym_set_expression] = STATE(7779),
    [sym_if_expression] = STATE(7779),
    [sym_while_expression] = STATE(7779),
    [sym_for_expression] = STATE(7779),
    [sym_match_expression] = STATE(7779),
    [sym_function_expression] = STATE(7779),
    [sym_fun_expression] = STATE(7779),
    [sym_try_expression] = STATE(7779),
    [sym_let_expression] = STATE(7779),
    [sym_coercion_expression] = STATE(6568),
    [sym_assert_expression] = STATE(7779),
    [sym_lazy_expression] = STATE(7779),
    [sym_let_module_expression] = STATE(7779),
    [sym_let_open_expression] = STATE(7779),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_let_exception_expression] = STATE(7779),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__instance_variable_name] = STATE(19952),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [sym__lowercase_identifier] = ACTIONS(2309),
    [anon_sym_let] = ACTIONS(2767),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2779),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym__simple_expression] = STATE(3855),
    [sym_typed_expression] = STATE(3883),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_labeled_argument] = STATE(4445),
    [sym_prefix_expression] = STATE(3883),
    [sym_hash_expression] = STATE(3883),
    [sym_field_get_expression] = STATE(3883),
    [sym_array_get_expression] = STATE(3883),
    [sym_string_get_expression] = STATE(3883),
    [sym_bigarray_get_expression] = STATE(3883),
    [sym_coercion_expression] = STATE(3883),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [aux_sym_class_application_repeat1] = STATE(2394),
    [sym__lowercase_identifier] = ACTIONS(4181),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(4184),
    [anon_sym_QMARK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4187),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_true] = ACTIONS(4193),
    [anon_sym_false] = ACTIONS(4193),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4199),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4202),
    [anon_sym_new] = ACTIONS(4205),
    [anon_sym_LBRACE_LT] = ACTIONS(4208),
    [anon_sym_begin] = ACTIONS(4211),
    [sym_ocamlyacc_value] = ACTIONS(4214),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4220),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4223),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4226),
    [anon_sym_DQUOTE] = ACTIONS(4229),
    [sym_prefix_operator] = ACTIONS(4232),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4235),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(4238),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym__simple_expression] = STATE(3855),
    [sym_typed_expression] = STATE(3883),
    [sym_list_expression] = STATE(3883),
    [sym_array_expression] = STATE(3883),
    [sym_record_expression] = STATE(3883),
    [sym_labeled_argument] = STATE(4445),
    [sym_prefix_expression] = STATE(3883),
    [sym_hash_expression] = STATE(3883),
    [sym_field_get_expression] = STATE(3883),
    [sym_array_get_expression] = STATE(3883),
    [sym_string_get_expression] = STATE(3883),
    [sym_bigarray_get_expression] = STATE(3883),
    [sym_coercion_expression] = STATE(3883),
    [sym_local_open_expression] = STATE(3883),
    [sym_package_expression] = STATE(3883),
    [sym_new_expression] = STATE(3883),
    [sym_object_copy_expression] = STATE(3883),
    [sym_method_invocation] = STATE(3883),
    [sym_object_expression] = STATE(3883),
    [sym_parenthesized_expression] = STATE(3883),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(3883),
    [sym_quoted_extension] = STATE(3883),
    [sym__constant] = STATE(3883),
    [sym_number] = STATE(3896),
    [sym_character] = STATE(3896),
    [sym_string] = STATE(3896),
    [sym_quoted_string] = STATE(3896),
    [sym_boolean] = STATE(3896),
    [sym_unit] = STATE(3896),
    [sym__value_name] = STATE(3807),
    [sym_parenthesized_operator] = STATE(3768),
    [sym_value_path] = STATE(3883),
    [sym_module_path] = STATE(18443),
    [sym_constructor_path] = STATE(3883),
    [sym__constructor_name] = STATE(3899),
    [sym_tag] = STATE(3883),
    [aux_sym_class_application_repeat1] = STATE(2394),
    [sym__lowercase_identifier] = ACTIONS(3259),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_QMARK] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(707),
    [anon_sym_false] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(711),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_LBRACE_LT] = ACTIONS(727),
    [anon_sym_begin] = ACTIONS(729),
    [sym_ocamlyacc_value] = ACTIONS(731),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(735),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(737),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [sym_prefix_operator] = ACTIONS(743),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(747),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym__simple_expression] = STATE(3806),
    [sym_typed_expression] = STATE(3752),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_labeled_argument] = STATE(4472),
    [sym_prefix_expression] = STATE(3752),
    [sym_hash_expression] = STATE(3752),
    [sym_field_get_expression] = STATE(3752),
    [sym_array_get_expression] = STATE(3752),
    [sym_string_get_expression] = STATE(3752),
    [sym_bigarray_get_expression] = STATE(3752),
    [sym_coercion_expression] = STATE(3752),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [aux_sym_class_application_repeat1] = STATE(2397),
    [sym__lowercase_identifier] = ACTIONS(3249),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(805),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym__simple_expression] = STATE(3806),
    [sym_typed_expression] = STATE(3752),
    [sym_list_expression] = STATE(3752),
    [sym_array_expression] = STATE(3752),
    [sym_record_expression] = STATE(3752),
    [sym_labeled_argument] = STATE(4472),
    [sym_prefix_expression] = STATE(3752),
    [sym_hash_expression] = STATE(3752),
    [sym_field_get_expression] = STATE(3752),
    [sym_array_get_expression] = STATE(3752),
    [sym_string_get_expression] = STATE(3752),
    [sym_bigarray_get_expression] = STATE(3752),
    [sym_coercion_expression] = STATE(3752),
    [sym_local_open_expression] = STATE(3752),
    [sym_package_expression] = STATE(3752),
    [sym_new_expression] = STATE(3752),
    [sym_object_copy_expression] = STATE(3752),
    [sym_method_invocation] = STATE(3752),
    [sym_object_expression] = STATE(3752),
    [sym_parenthesized_expression] = STATE(3752),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(3752),
    [sym_quoted_extension] = STATE(3752),
    [sym__constant] = STATE(3752),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym__value_name] = STATE(3842),
    [sym_parenthesized_operator] = STATE(3746),
    [sym_value_path] = STATE(3752),
    [sym_module_path] = STATE(18078),
    [sym_constructor_path] = STATE(3752),
    [sym__constructor_name] = STATE(3859),
    [sym_tag] = STATE(3752),
    [aux_sym_class_application_repeat1] = STATE(2397),
    [sym__lowercase_identifier] = ACTIONS(4241),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(4244),
    [anon_sym_QMARK] = ACTIONS(4244),
    [anon_sym_LPAREN] = ACTIONS(4247),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4250),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(4253),
    [anon_sym_false] = ACTIONS(4253),
    [anon_sym_LBRACE] = ACTIONS(4256),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4259),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4262),
    [anon_sym_new] = ACTIONS(4265),
    [anon_sym_LBRACE_LT] = ACTIONS(4268),
    [anon_sym_begin] = ACTIONS(4271),
    [sym_ocamlyacc_value] = ACTIONS(4274),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4277),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4280),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4283),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4286),
    [anon_sym_DQUOTE] = ACTIONS(4289),
    [sym_prefix_operator] = ACTIONS(4292),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4295),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(4298),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym__simple_expression] = STATE(4089),
    [sym_typed_expression] = STATE(3946),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_labeled_argument] = STATE(4560),
    [sym_prefix_expression] = STATE(3946),
    [sym_hash_expression] = STATE(3946),
    [sym_field_get_expression] = STATE(3946),
    [sym_array_get_expression] = STATE(3946),
    [sym_string_get_expression] = STATE(3946),
    [sym_bigarray_get_expression] = STATE(3946),
    [sym_coercion_expression] = STATE(3946),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [aux_sym_class_application_repeat1] = STATE(2398),
    [sym__lowercase_identifier] = ACTIONS(4301),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(4304),
    [anon_sym_QMARK] = ACTIONS(4304),
    [anon_sym_LPAREN] = ACTIONS(4307),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(4313),
    [anon_sym_false] = ACTIONS(4313),
    [anon_sym_LBRACE] = ACTIONS(4316),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4319),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4322),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(4325),
    [anon_sym_LBRACE_LT] = ACTIONS(4328),
    [anon_sym_begin] = ACTIONS(4331),
    [sym_ocamlyacc_value] = ACTIONS(4334),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4340),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4343),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4346),
    [anon_sym_DQUOTE] = ACTIONS(4349),
    [sym_prefix_operator] = ACTIONS(4352),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4355),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(4358),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym__simple_expression] = STATE(4140),
    [sym_typed_expression] = STATE(3990),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_labeled_argument] = STATE(4540),
    [sym_prefix_expression] = STATE(3990),
    [sym_hash_expression] = STATE(3990),
    [sym_field_get_expression] = STATE(3990),
    [sym_array_get_expression] = STATE(3990),
    [sym_string_get_expression] = STATE(3990),
    [sym_bigarray_get_expression] = STATE(3990),
    [sym_coercion_expression] = STATE(3990),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [aux_sym_class_application_repeat1] = STATE(2401),
    [sym__lowercase_identifier] = ACTIONS(3349),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_QMARK] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(897),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(899),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(911),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym__simple_expression] = STATE(4089),
    [sym_typed_expression] = STATE(3946),
    [sym_list_expression] = STATE(3946),
    [sym_array_expression] = STATE(3946),
    [sym_record_expression] = STATE(3946),
    [sym_labeled_argument] = STATE(4560),
    [sym_prefix_expression] = STATE(3946),
    [sym_hash_expression] = STATE(3946),
    [sym_field_get_expression] = STATE(3946),
    [sym_array_get_expression] = STATE(3946),
    [sym_string_get_expression] = STATE(3946),
    [sym_bigarray_get_expression] = STATE(3946),
    [sym_coercion_expression] = STATE(3946),
    [sym_local_open_expression] = STATE(3946),
    [sym_package_expression] = STATE(3946),
    [sym_new_expression] = STATE(3946),
    [sym_object_copy_expression] = STATE(3946),
    [sym_method_invocation] = STATE(3946),
    [sym_object_expression] = STATE(3946),
    [sym_parenthesized_expression] = STATE(3946),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(3946),
    [sym_quoted_extension] = STATE(3946),
    [sym__constant] = STATE(3946),
    [sym_number] = STATE(4145),
    [sym_character] = STATE(4145),
    [sym_string] = STATE(4145),
    [sym_quoted_string] = STATE(4145),
    [sym_boolean] = STATE(4145),
    [sym_unit] = STATE(4145),
    [sym__value_name] = STATE(4135),
    [sym_parenthesized_operator] = STATE(4105),
    [sym_value_path] = STATE(3946),
    [sym_module_path] = STATE(17426),
    [sym_constructor_path] = STATE(3946),
    [sym__constructor_name] = STATE(4134),
    [sym_tag] = STATE(3946),
    [aux_sym_class_application_repeat1] = STATE(2398),
    [sym__lowercase_identifier] = ACTIONS(3297),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(845),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(847),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(859),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym__simple_expression] = STATE(4140),
    [sym_typed_expression] = STATE(3990),
    [sym_list_expression] = STATE(3990),
    [sym_array_expression] = STATE(3990),
    [sym_record_expression] = STATE(3990),
    [sym_labeled_argument] = STATE(4540),
    [sym_prefix_expression] = STATE(3990),
    [sym_hash_expression] = STATE(3990),
    [sym_field_get_expression] = STATE(3990),
    [sym_array_get_expression] = STATE(3990),
    [sym_string_get_expression] = STATE(3990),
    [sym_bigarray_get_expression] = STATE(3990),
    [sym_coercion_expression] = STATE(3990),
    [sym_local_open_expression] = STATE(3990),
    [sym_package_expression] = STATE(3990),
    [sym_new_expression] = STATE(3990),
    [sym_object_copy_expression] = STATE(3990),
    [sym_method_invocation] = STATE(3990),
    [sym_object_expression] = STATE(3990),
    [sym_parenthesized_expression] = STATE(3990),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(3990),
    [sym_quoted_extension] = STATE(3990),
    [sym__constant] = STATE(3990),
    [sym_number] = STATE(4132),
    [sym_character] = STATE(4132),
    [sym_string] = STATE(4132),
    [sym_quoted_string] = STATE(4132),
    [sym_boolean] = STATE(4132),
    [sym_unit] = STATE(4132),
    [sym__value_name] = STATE(4106),
    [sym_parenthesized_operator] = STATE(3982),
    [sym_value_path] = STATE(3990),
    [sym_module_path] = STATE(18242),
    [sym_constructor_path] = STATE(3990),
    [sym__constructor_name] = STATE(4126),
    [sym_tag] = STATE(3990),
    [aux_sym_class_application_repeat1] = STATE(2401),
    [sym__lowercase_identifier] = ACTIONS(4361),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(4364),
    [anon_sym_QMARK] = ACTIONS(4364),
    [anon_sym_LPAREN] = ACTIONS(4367),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4370),
    [anon_sym_true] = ACTIONS(4373),
    [anon_sym_false] = ACTIONS(4373),
    [anon_sym_LBRACE] = ACTIONS(4376),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4379),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4382),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(4385),
    [anon_sym_LBRACE_LT] = ACTIONS(4388),
    [anon_sym_begin] = ACTIONS(4391),
    [sym_ocamlyacc_value] = ACTIONS(4394),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4400),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4403),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4406),
    [anon_sym_DQUOTE] = ACTIONS(4409),
    [sym_prefix_operator] = ACTIONS(4412),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4415),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(4418),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym__simple_expression] = STATE(4332),
    [sym_typed_expression] = STATE(4214),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_labeled_argument] = STATE(4580),
    [sym_prefix_expression] = STATE(4214),
    [sym_hash_expression] = STATE(4214),
    [sym_field_get_expression] = STATE(4214),
    [sym_array_get_expression] = STATE(4214),
    [sym_string_get_expression] = STATE(4214),
    [sym_bigarray_get_expression] = STATE(4214),
    [sym_coercion_expression] = STATE(4214),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [aux_sym_class_application_repeat1] = STATE(2402),
    [sym__lowercase_identifier] = ACTIONS(4421),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(4424),
    [anon_sym_QMARK] = ACTIONS(4424),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4430),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(4433),
    [anon_sym_false] = ACTIONS(4433),
    [anon_sym_LBRACE] = ACTIONS(4436),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4439),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4442),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_LBRACE_LT] = ACTIONS(4448),
    [anon_sym_begin] = ACTIONS(4451),
    [sym_ocamlyacc_value] = ACTIONS(4454),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4457),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4460),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4463),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4466),
    [anon_sym_DQUOTE] = ACTIONS(4469),
    [sym_prefix_operator] = ACTIONS(4472),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4475),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(4478),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym__simple_expression] = STATE(4332),
    [sym_typed_expression] = STATE(4214),
    [sym_list_expression] = STATE(4214),
    [sym_array_expression] = STATE(4214),
    [sym_record_expression] = STATE(4214),
    [sym_labeled_argument] = STATE(4580),
    [sym_prefix_expression] = STATE(4214),
    [sym_hash_expression] = STATE(4214),
    [sym_field_get_expression] = STATE(4214),
    [sym_array_get_expression] = STATE(4214),
    [sym_string_get_expression] = STATE(4214),
    [sym_bigarray_get_expression] = STATE(4214),
    [sym_coercion_expression] = STATE(4214),
    [sym_local_open_expression] = STATE(4214),
    [sym_package_expression] = STATE(4214),
    [sym_new_expression] = STATE(4214),
    [sym_object_copy_expression] = STATE(4214),
    [sym_method_invocation] = STATE(4214),
    [sym_object_expression] = STATE(4214),
    [sym_parenthesized_expression] = STATE(4214),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(4214),
    [sym_quoted_extension] = STATE(4214),
    [sym__constant] = STATE(4214),
    [sym_number] = STATE(4187),
    [sym_character] = STATE(4187),
    [sym_string] = STATE(4187),
    [sym_quoted_string] = STATE(4187),
    [sym_boolean] = STATE(4187),
    [sym_unit] = STATE(4187),
    [sym__value_name] = STATE(4406),
    [sym_parenthesized_operator] = STATE(4317),
    [sym_value_path] = STATE(4214),
    [sym_module_path] = STATE(20176),
    [sym_constructor_path] = STATE(4214),
    [sym__constructor_name] = STATE(4315),
    [sym_tag] = STATE(4214),
    [aux_sym_class_application_repeat1] = STATE(2402),
    [sym__lowercase_identifier] = ACTIONS(3981),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_QMARK] = ACTIONS(3983),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym__simple_expression] = STATE(4352),
    [sym_typed_expression] = STATE(4159),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_labeled_argument] = STATE(4585),
    [sym_prefix_expression] = STATE(4159),
    [sym_hash_expression] = STATE(4159),
    [sym_field_get_expression] = STATE(4159),
    [sym_array_get_expression] = STATE(4159),
    [sym_string_get_expression] = STATE(4159),
    [sym_bigarray_get_expression] = STATE(4159),
    [sym_coercion_expression] = STATE(4159),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [aux_sym_class_application_repeat1] = STATE(2405),
    [sym__lowercase_identifier] = ACTIONS(4171),
    [anon_sym_SEMI_SEMI] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(4173),
    [anon_sym_QMARK] = ACTIONS(4173),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_exception] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_open] = ACTIONS(3331),
    [anon_sym_include] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(3329),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym__simple_expression] = STATE(4352),
    [sym_typed_expression] = STATE(4159),
    [sym_list_expression] = STATE(4159),
    [sym_array_expression] = STATE(4159),
    [sym_record_expression] = STATE(4159),
    [sym_labeled_argument] = STATE(4585),
    [sym_prefix_expression] = STATE(4159),
    [sym_hash_expression] = STATE(4159),
    [sym_field_get_expression] = STATE(4159),
    [sym_array_get_expression] = STATE(4159),
    [sym_string_get_expression] = STATE(4159),
    [sym_bigarray_get_expression] = STATE(4159),
    [sym_coercion_expression] = STATE(4159),
    [sym_local_open_expression] = STATE(4159),
    [sym_package_expression] = STATE(4159),
    [sym_new_expression] = STATE(4159),
    [sym_object_copy_expression] = STATE(4159),
    [sym_method_invocation] = STATE(4159),
    [sym_object_expression] = STATE(4159),
    [sym_parenthesized_expression] = STATE(4159),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(4159),
    [sym_quoted_extension] = STATE(4159),
    [sym__constant] = STATE(4159),
    [sym_number] = STATE(4363),
    [sym_character] = STATE(4363),
    [sym_string] = STATE(4363),
    [sym_quoted_string] = STATE(4363),
    [sym_boolean] = STATE(4363),
    [sym_unit] = STATE(4363),
    [sym__value_name] = STATE(4374),
    [sym_parenthesized_operator] = STATE(4207),
    [sym_value_path] = STATE(4159),
    [sym_module_path] = STATE(17956),
    [sym_constructor_path] = STATE(4159),
    [sym__constructor_name] = STATE(4211),
    [sym_tag] = STATE(4159),
    [aux_sym_class_application_repeat1] = STATE(2405),
    [sym__lowercase_identifier] = ACTIONS(4481),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(4484),
    [anon_sym_QMARK] = ACTIONS(4484),
    [anon_sym_LPAREN] = ACTIONS(4487),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4490),
    [anon_sym_true] = ACTIONS(4493),
    [anon_sym_false] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4496),
    [anon_sym_SEMI] = ACTIONS(3416),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4502),
    [anon_sym_new] = ACTIONS(4505),
    [anon_sym_LBRACE_LT] = ACTIONS(4508),
    [anon_sym_begin] = ACTIONS(4511),
    [sym_ocamlyacc_value] = ACTIONS(4514),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4517),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4520),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4523),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4526),
    [anon_sym_DQUOTE] = ACTIONS(4529),
    [sym_prefix_operator] = ACTIONS(4532),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4535),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(4538),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym__simple_expression] = STATE(4809),
    [sym_typed_expression] = STATE(4788),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_labeled_argument] = STATE(5136),
    [sym_prefix_expression] = STATE(4788),
    [sym_hash_expression] = STATE(4788),
    [sym_field_get_expression] = STATE(4788),
    [sym_array_get_expression] = STATE(4788),
    [sym_string_get_expression] = STATE(4788),
    [sym_bigarray_get_expression] = STATE(4788),
    [sym_coercion_expression] = STATE(4788),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [aux_sym_class_application_repeat1] = STATE(2412),
    [sym__lowercase_identifier] = ACTIONS(4541),
    [anon_sym_TILDE] = ACTIONS(4543),
    [anon_sym_QMARK] = ACTIONS(4543),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(4545),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_constraint] = ACTIONS(3083),
    [anon_sym_val] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_inherit] = ACTIONS(3083),
    [anon_sym_method] = ACTIONS(3083),
    [anon_sym_initializer] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(4547),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(961),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4549),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym__simple_expression] = STATE(4865),
    [sym_typed_expression] = STATE(4886),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_labeled_argument] = STATE(5265),
    [sym_prefix_expression] = STATE(4886),
    [sym_hash_expression] = STATE(4886),
    [sym_field_get_expression] = STATE(4886),
    [sym_array_get_expression] = STATE(4886),
    [sym_string_get_expression] = STATE(4886),
    [sym_bigarray_get_expression] = STATE(4886),
    [sym_coercion_expression] = STATE(4886),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [aux_sym_class_application_repeat1] = STATE(2413),
    [sym__lowercase_identifier] = ACTIONS(4551),
    [anon_sym_TILDE] = ACTIONS(4553),
    [anon_sym_QMARK] = ACTIONS(4553),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(4555),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_constraint] = ACTIONS(3083),
    [anon_sym_val] = ACTIONS(3083),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(3083),
    [anon_sym_method] = ACTIONS(3083),
    [anon_sym_initializer] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(4557),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3083),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3081),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4559),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym__simple_expression] = STATE(4982),
    [sym_typed_expression] = STATE(5087),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_labeled_argument] = STATE(5463),
    [sym_prefix_expression] = STATE(5087),
    [sym_hash_expression] = STATE(5087),
    [sym_field_get_expression] = STATE(5087),
    [sym_array_get_expression] = STATE(5087),
    [sym_string_get_expression] = STATE(5087),
    [sym_bigarray_get_expression] = STATE(5087),
    [sym_coercion_expression] = STATE(5087),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [aux_sym_class_application_repeat1] = STATE(2417),
    [sym__lowercase_identifier] = ACTIONS(4561),
    [anon_sym_COLON_GT] = ACTIONS(3081),
    [anon_sym_TILDE] = ACTIONS(4563),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_COLON2] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(4565),
    [anon_sym_DASH_GT] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_RBRACE] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_POUND] = ACTIONS(4567),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3081),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_GT_RBRACE] = ACTIONS(3081),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4569),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym__simple_expression] = STATE(5135),
    [sym_typed_expression] = STATE(5134),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_labeled_argument] = STATE(5536),
    [sym_prefix_expression] = STATE(5134),
    [sym_hash_expression] = STATE(5134),
    [sym_field_get_expression] = STATE(5134),
    [sym_array_get_expression] = STATE(5134),
    [sym_string_get_expression] = STATE(5134),
    [sym_bigarray_get_expression] = STATE(5134),
    [sym_coercion_expression] = STATE(5134),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [aux_sym_class_application_repeat1] = STATE(2418),
    [sym__lowercase_identifier] = ACTIONS(4571),
    [anon_sym_COLON_GT] = ACTIONS(3081),
    [anon_sym_TILDE] = ACTIONS(4573),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_COLON2] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(4575),
    [anon_sym_DASH_GT] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_RBRACE] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_POUND] = ACTIONS(4577),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_GT_RBRACE] = ACTIONS(3081),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4579),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym__simple_expression] = STATE(4809),
    [sym_typed_expression] = STATE(4788),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_labeled_argument] = STATE(5136),
    [sym_prefix_expression] = STATE(4788),
    [sym_hash_expression] = STATE(4788),
    [sym_field_get_expression] = STATE(4788),
    [sym_array_get_expression] = STATE(4788),
    [sym_string_get_expression] = STATE(4788),
    [sym_bigarray_get_expression] = STATE(4788),
    [sym_coercion_expression] = STATE(4788),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [aux_sym_class_application_repeat1] = STATE(2410),
    [sym__lowercase_identifier] = ACTIONS(4581),
    [anon_sym_TILDE] = ACTIONS(4584),
    [anon_sym_QMARK] = ACTIONS(4584),
    [anon_sym_LPAREN] = ACTIONS(4587),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [anon_sym_true] = ACTIONS(4593),
    [anon_sym_false] = ACTIONS(4593),
    [anon_sym_LBRACE] = ACTIONS(4596),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_constraint] = ACTIONS(3416),
    [anon_sym_val] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4599),
    [anon_sym_inherit] = ACTIONS(3416),
    [anon_sym_method] = ACTIONS(3416),
    [anon_sym_initializer] = ACTIONS(3416),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4602),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(4605),
    [anon_sym_LBRACE_LT] = ACTIONS(4608),
    [anon_sym_begin] = ACTIONS(4611),
    [sym_ocamlyacc_value] = ACTIONS(4614),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4620),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4623),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4626),
    [anon_sym_DQUOTE] = ACTIONS(4629),
    [sym_prefix_operator] = ACTIONS(4632),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4635),
    [aux_sym_tag_token1] = ACTIONS(4638),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym__simple_expression] = STATE(5260),
    [sym_typed_expression] = STATE(5257),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_labeled_argument] = STATE(5538),
    [sym_prefix_expression] = STATE(5257),
    [sym_hash_expression] = STATE(5257),
    [sym_field_get_expression] = STATE(5257),
    [sym_array_get_expression] = STATE(5257),
    [sym_string_get_expression] = STATE(5257),
    [sym_bigarray_get_expression] = STATE(5257),
    [sym_coercion_expression] = STATE(5257),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [aux_sym_class_application_repeat1] = STATE(2420),
    [sym__lowercase_identifier] = ACTIONS(4641),
    [anon_sym_COLON_GT] = ACTIONS(3081),
    [anon_sym_TILDE] = ACTIONS(4643),
    [anon_sym_QMARK] = ACTIONS(4643),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(4645),
    [anon_sym_DASH_GT] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_RBRACE] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_POUND] = ACTIONS(4647),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(3081),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4649),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym__simple_expression] = STATE(4809),
    [sym_typed_expression] = STATE(4788),
    [sym_list_expression] = STATE(4788),
    [sym_array_expression] = STATE(4788),
    [sym_record_expression] = STATE(4788),
    [sym_labeled_argument] = STATE(5136),
    [sym_prefix_expression] = STATE(4788),
    [sym_hash_expression] = STATE(4788),
    [sym_field_get_expression] = STATE(4788),
    [sym_array_get_expression] = STATE(4788),
    [sym_string_get_expression] = STATE(4788),
    [sym_bigarray_get_expression] = STATE(4788),
    [sym_coercion_expression] = STATE(4788),
    [sym_local_open_expression] = STATE(4788),
    [sym_package_expression] = STATE(4788),
    [sym_new_expression] = STATE(4788),
    [sym_object_copy_expression] = STATE(4788),
    [sym_method_invocation] = STATE(4788),
    [sym_object_expression] = STATE(4788),
    [sym_parenthesized_expression] = STATE(4788),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(4788),
    [sym_quoted_extension] = STATE(4788),
    [sym__constant] = STATE(4788),
    [sym_number] = STATE(4789),
    [sym_character] = STATE(4789),
    [sym_string] = STATE(4789),
    [sym_quoted_string] = STATE(4789),
    [sym_boolean] = STATE(4789),
    [sym_unit] = STATE(4789),
    [sym__value_name] = STATE(4743),
    [sym_parenthesized_operator] = STATE(4815),
    [sym_value_path] = STATE(4788),
    [sym_module_path] = STATE(18283),
    [sym_constructor_path] = STATE(4788),
    [sym__constructor_name] = STATE(4781),
    [sym_tag] = STATE(4788),
    [aux_sym_class_application_repeat1] = STATE(2410),
    [sym__lowercase_identifier] = ACTIONS(4541),
    [anon_sym_TILDE] = ACTIONS(4543),
    [anon_sym_QMARK] = ACTIONS(4543),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_constraint] = ACTIONS(3331),
    [anon_sym_val] = ACTIONS(3331),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_inherit] = ACTIONS(3331),
    [anon_sym_method] = ACTIONS(3331),
    [anon_sym_initializer] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(961),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym__simple_expression] = STATE(4865),
    [sym_typed_expression] = STATE(4886),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_labeled_argument] = STATE(5265),
    [sym_prefix_expression] = STATE(4886),
    [sym_hash_expression] = STATE(4886),
    [sym_field_get_expression] = STATE(4886),
    [sym_array_get_expression] = STATE(4886),
    [sym_string_get_expression] = STATE(4886),
    [sym_bigarray_get_expression] = STATE(4886),
    [sym_coercion_expression] = STATE(4886),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [aux_sym_class_application_repeat1] = STATE(2414),
    [sym__lowercase_identifier] = ACTIONS(4551),
    [anon_sym_TILDE] = ACTIONS(4553),
    [anon_sym_QMARK] = ACTIONS(4553),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_constraint] = ACTIONS(3331),
    [anon_sym_val] = ACTIONS(3331),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(3331),
    [anon_sym_method] = ACTIONS(3331),
    [anon_sym_initializer] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3331),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3329),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3329),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym__simple_expression] = STATE(4865),
    [sym_typed_expression] = STATE(4886),
    [sym_list_expression] = STATE(4886),
    [sym_array_expression] = STATE(4886),
    [sym_record_expression] = STATE(4886),
    [sym_labeled_argument] = STATE(5265),
    [sym_prefix_expression] = STATE(4886),
    [sym_hash_expression] = STATE(4886),
    [sym_field_get_expression] = STATE(4886),
    [sym_array_get_expression] = STATE(4886),
    [sym_string_get_expression] = STATE(4886),
    [sym_bigarray_get_expression] = STATE(4886),
    [sym_coercion_expression] = STATE(4886),
    [sym_local_open_expression] = STATE(4886),
    [sym_package_expression] = STATE(4886),
    [sym_new_expression] = STATE(4886),
    [sym_object_copy_expression] = STATE(4886),
    [sym_method_invocation] = STATE(4886),
    [sym_object_expression] = STATE(4886),
    [sym_parenthesized_expression] = STATE(4886),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(4886),
    [sym_quoted_extension] = STATE(4886),
    [sym__constant] = STATE(4886),
    [sym_number] = STATE(4928),
    [sym_character] = STATE(4928),
    [sym_string] = STATE(4928),
    [sym_quoted_string] = STATE(4928),
    [sym_boolean] = STATE(4928),
    [sym_unit] = STATE(4928),
    [sym__value_name] = STATE(4921),
    [sym_parenthesized_operator] = STATE(4904),
    [sym_value_path] = STATE(4886),
    [sym_module_path] = STATE(17753),
    [sym_constructor_path] = STATE(4886),
    [sym__constructor_name] = STATE(4936),
    [sym_tag] = STATE(4886),
    [aux_sym_class_application_repeat1] = STATE(2414),
    [sym__lowercase_identifier] = ACTIONS(4651),
    [anon_sym_TILDE] = ACTIONS(4654),
    [anon_sym_QMARK] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4657),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4660),
    [anon_sym_true] = ACTIONS(4663),
    [anon_sym_false] = ACTIONS(4663),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_constraint] = ACTIONS(3416),
    [anon_sym_val] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(4669),
    [anon_sym_inherit] = ACTIONS(3416),
    [anon_sym_method] = ACTIONS(3416),
    [anon_sym_initializer] = ACTIONS(3416),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4672),
    [anon_sym_new] = ACTIONS(4675),
    [anon_sym_LBRACE_LT] = ACTIONS(4678),
    [anon_sym_begin] = ACTIONS(4681),
    [sym_ocamlyacc_value] = ACTIONS(4684),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4690),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(4693),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4696),
    [anon_sym_DQUOTE] = ACTIONS(4699),
    [sym_prefix_operator] = ACTIONS(4702),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4705),
    [aux_sym_tag_token1] = ACTIONS(4708),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym__simple_expression] = STATE(5361),
    [sym_typed_expression] = STATE(5273),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_labeled_argument] = STATE(5773),
    [sym_prefix_expression] = STATE(5273),
    [sym_hash_expression] = STATE(5273),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_coercion_expression] = STATE(5273),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [aux_sym_class_application_repeat1] = STATE(2424),
    [sym__lowercase_identifier] = ACTIONS(4711),
    [anon_sym_COLON_GT] = ACTIONS(3081),
    [anon_sym_TILDE] = ACTIONS(4713),
    [anon_sym_QMARK] = ACTIONS(4713),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(3081),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_COLON2] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(4715),
    [anon_sym_DASH_GT] = ACTIONS(3083),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_RBRACE] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_POUND] = ACTIONS(4717),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(3081),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4719),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym__simple_expression] = STATE(4982),
    [sym_typed_expression] = STATE(5087),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_labeled_argument] = STATE(5463),
    [sym_prefix_expression] = STATE(5087),
    [sym_hash_expression] = STATE(5087),
    [sym_field_get_expression] = STATE(5087),
    [sym_array_get_expression] = STATE(5087),
    [sym_string_get_expression] = STATE(5087),
    [sym_bigarray_get_expression] = STATE(5087),
    [sym_coercion_expression] = STATE(5087),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [aux_sym_class_application_repeat1] = STATE(2416),
    [sym__lowercase_identifier] = ACTIONS(4721),
    [anon_sym_COLON_GT] = ACTIONS(3414),
    [anon_sym_TILDE] = ACTIONS(4724),
    [anon_sym_QMARK] = ACTIONS(4724),
    [anon_sym_LPAREN] = ACTIONS(4727),
    [anon_sym_RPAREN] = ACTIONS(3414),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(4733),
    [anon_sym_false] = ACTIONS(4733),
    [anon_sym_COLON2] = ACTIONS(3416),
    [anon_sym_DASH_GT] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_RBRACE] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(4739),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4742),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3414),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(4745),
    [anon_sym_LBRACE_LT] = ACTIONS(4748),
    [anon_sym_GT_RBRACE] = ACTIONS(3414),
    [anon_sym_begin] = ACTIONS(4751),
    [sym_ocamlyacc_value] = ACTIONS(4754),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4760),
    [aux_sym_number_token1] = ACTIONS(4763),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4766),
    [anon_sym_DQUOTE] = ACTIONS(4769),
    [sym_prefix_operator] = ACTIONS(4772),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4775),
    [aux_sym_tag_token1] = ACTIONS(4778),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym__simple_expression] = STATE(4982),
    [sym_typed_expression] = STATE(5087),
    [sym_list_expression] = STATE(5087),
    [sym_array_expression] = STATE(5087),
    [sym_record_expression] = STATE(5087),
    [sym_labeled_argument] = STATE(5463),
    [sym_prefix_expression] = STATE(5087),
    [sym_hash_expression] = STATE(5087),
    [sym_field_get_expression] = STATE(5087),
    [sym_array_get_expression] = STATE(5087),
    [sym_string_get_expression] = STATE(5087),
    [sym_bigarray_get_expression] = STATE(5087),
    [sym_coercion_expression] = STATE(5087),
    [sym_local_open_expression] = STATE(5087),
    [sym_package_expression] = STATE(5087),
    [sym_new_expression] = STATE(5087),
    [sym_object_copy_expression] = STATE(5087),
    [sym_method_invocation] = STATE(5087),
    [sym_object_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(5087),
    [sym_quoted_extension] = STATE(5087),
    [sym__constant] = STATE(5087),
    [sym_number] = STATE(5097),
    [sym_character] = STATE(5097),
    [sym_string] = STATE(5097),
    [sym_quoted_string] = STATE(5097),
    [sym_boolean] = STATE(5097),
    [sym_unit] = STATE(5097),
    [sym__value_name] = STATE(4987),
    [sym_parenthesized_operator] = STATE(5065),
    [sym_value_path] = STATE(5087),
    [sym_module_path] = STATE(17646),
    [sym_constructor_path] = STATE(5087),
    [sym__constructor_name] = STATE(4948),
    [sym_tag] = STATE(5087),
    [aux_sym_class_application_repeat1] = STATE(2416),
    [sym__lowercase_identifier] = ACTIONS(4561),
    [anon_sym_COLON_GT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(4563),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(3329),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_COLON2] = ACTIONS(3331),
    [anon_sym_DASH_GT] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_GT_RBRACE] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym__simple_expression] = STATE(5135),
    [sym_typed_expression] = STATE(5134),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_labeled_argument] = STATE(5536),
    [sym_prefix_expression] = STATE(5134),
    [sym_hash_expression] = STATE(5134),
    [sym_field_get_expression] = STATE(5134),
    [sym_array_get_expression] = STATE(5134),
    [sym_string_get_expression] = STATE(5134),
    [sym_bigarray_get_expression] = STATE(5134),
    [sym_coercion_expression] = STATE(5134),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [aux_sym_class_application_repeat1] = STATE(2421),
    [sym__lowercase_identifier] = ACTIONS(4571),
    [anon_sym_COLON_GT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(4573),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_RPAREN] = ACTIONS(3329),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_COLON2] = ACTIONS(3331),
    [anon_sym_DASH_GT] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_GT_RBRACE] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym__simple_expression] = STATE(5260),
    [sym_typed_expression] = STATE(5257),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_labeled_argument] = STATE(5538),
    [sym_prefix_expression] = STATE(5257),
    [sym_hash_expression] = STATE(5257),
    [sym_field_get_expression] = STATE(5257),
    [sym_array_get_expression] = STATE(5257),
    [sym_string_get_expression] = STATE(5257),
    [sym_bigarray_get_expression] = STATE(5257),
    [sym_coercion_expression] = STATE(5257),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [aux_sym_class_application_repeat1] = STATE(2419),
    [sym__lowercase_identifier] = ACTIONS(4781),
    [anon_sym_COLON_GT] = ACTIONS(3414),
    [anon_sym_TILDE] = ACTIONS(4784),
    [anon_sym_QMARK] = ACTIONS(4784),
    [anon_sym_LPAREN] = ACTIONS(4787),
    [anon_sym_RPAREN] = ACTIONS(3414),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4790),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(4793),
    [anon_sym_false] = ACTIONS(4793),
    [anon_sym_COLON2] = ACTIONS(3416),
    [anon_sym_DASH_GT] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(4796),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_RBRACE] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(4799),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4802),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3414),
    [anon_sym_new] = ACTIONS(4805),
    [anon_sym_LBRACE_LT] = ACTIONS(4808),
    [anon_sym_GT_RBRACE] = ACTIONS(3414),
    [anon_sym_begin] = ACTIONS(4811),
    [sym_ocamlyacc_value] = ACTIONS(4814),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4817),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4820),
    [aux_sym_number_token1] = ACTIONS(4823),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4826),
    [anon_sym_DQUOTE] = ACTIONS(4829),
    [sym_prefix_operator] = ACTIONS(4832),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4835),
    [aux_sym_tag_token1] = ACTIONS(4838),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym__simple_expression] = STATE(5260),
    [sym_typed_expression] = STATE(5257),
    [sym_list_expression] = STATE(5257),
    [sym_array_expression] = STATE(5257),
    [sym_record_expression] = STATE(5257),
    [sym_labeled_argument] = STATE(5538),
    [sym_prefix_expression] = STATE(5257),
    [sym_hash_expression] = STATE(5257),
    [sym_field_get_expression] = STATE(5257),
    [sym_array_get_expression] = STATE(5257),
    [sym_string_get_expression] = STATE(5257),
    [sym_bigarray_get_expression] = STATE(5257),
    [sym_coercion_expression] = STATE(5257),
    [sym_local_open_expression] = STATE(5257),
    [sym_package_expression] = STATE(5257),
    [sym_new_expression] = STATE(5257),
    [sym_object_copy_expression] = STATE(5257),
    [sym_method_invocation] = STATE(5257),
    [sym_object_expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(5257),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(5257),
    [sym_quoted_extension] = STATE(5257),
    [sym__constant] = STATE(5257),
    [sym_number] = STATE(5117),
    [sym_character] = STATE(5117),
    [sym_string] = STATE(5117),
    [sym_quoted_string] = STATE(5117),
    [sym_boolean] = STATE(5117),
    [sym_unit] = STATE(5117),
    [sym__value_name] = STATE(5244),
    [sym_parenthesized_operator] = STATE(5128),
    [sym_value_path] = STATE(5257),
    [sym_module_path] = STATE(17971),
    [sym_constructor_path] = STATE(5257),
    [sym__constructor_name] = STATE(5108),
    [sym_tag] = STATE(5257),
    [aux_sym_class_application_repeat1] = STATE(2419),
    [sym__lowercase_identifier] = ACTIONS(4641),
    [anon_sym_COLON_GT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(4643),
    [anon_sym_QMARK] = ACTIONS(4643),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(3329),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(3331),
    [anon_sym_DASH_GT] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym__simple_expression] = STATE(5135),
    [sym_typed_expression] = STATE(5134),
    [sym_list_expression] = STATE(5134),
    [sym_array_expression] = STATE(5134),
    [sym_record_expression] = STATE(5134),
    [sym_labeled_argument] = STATE(5536),
    [sym_prefix_expression] = STATE(5134),
    [sym_hash_expression] = STATE(5134),
    [sym_field_get_expression] = STATE(5134),
    [sym_array_get_expression] = STATE(5134),
    [sym_string_get_expression] = STATE(5134),
    [sym_bigarray_get_expression] = STATE(5134),
    [sym_coercion_expression] = STATE(5134),
    [sym_local_open_expression] = STATE(5134),
    [sym_package_expression] = STATE(5134),
    [sym_new_expression] = STATE(5134),
    [sym_object_copy_expression] = STATE(5134),
    [sym_method_invocation] = STATE(5134),
    [sym_object_expression] = STATE(5134),
    [sym_parenthesized_expression] = STATE(5134),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(5134),
    [sym_quoted_extension] = STATE(5134),
    [sym__constant] = STATE(5134),
    [sym_number] = STATE(5169),
    [sym_character] = STATE(5169),
    [sym_string] = STATE(5169),
    [sym_quoted_string] = STATE(5169),
    [sym_boolean] = STATE(5169),
    [sym_unit] = STATE(5169),
    [sym__value_name] = STATE(5151),
    [sym_parenthesized_operator] = STATE(5109),
    [sym_value_path] = STATE(5134),
    [sym_module_path] = STATE(18598),
    [sym_constructor_path] = STATE(5134),
    [sym__constructor_name] = STATE(5098),
    [sym_tag] = STATE(5134),
    [aux_sym_class_application_repeat1] = STATE(2421),
    [sym__lowercase_identifier] = ACTIONS(4841),
    [anon_sym_COLON_GT] = ACTIONS(3414),
    [anon_sym_TILDE] = ACTIONS(4844),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_LPAREN] = ACTIONS(4847),
    [anon_sym_RPAREN] = ACTIONS(3414),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(4853),
    [anon_sym_false] = ACTIONS(4853),
    [anon_sym_COLON2] = ACTIONS(3416),
    [anon_sym_DASH_GT] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_RBRACE] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(4859),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4862),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(4865),
    [anon_sym_LBRACE_LT] = ACTIONS(4868),
    [anon_sym_GT_RBRACE] = ACTIONS(3414),
    [anon_sym_begin] = ACTIONS(4871),
    [sym_ocamlyacc_value] = ACTIONS(4874),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4877),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4880),
    [aux_sym_number_token1] = ACTIONS(4883),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(4886),
    [anon_sym_DQUOTE] = ACTIONS(4889),
    [sym_prefix_operator] = ACTIONS(4892),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(4895),
    [aux_sym_tag_token1] = ACTIONS(4898),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym__simple_expression] = STATE(5628),
    [sym_typed_expression] = STATE(5616),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_labeled_argument] = STATE(6241),
    [sym_prefix_expression] = STATE(5616),
    [sym_hash_expression] = STATE(5616),
    [sym_field_get_expression] = STATE(5616),
    [sym_array_get_expression] = STATE(5616),
    [sym_string_get_expression] = STATE(5616),
    [sym_bigarray_get_expression] = STATE(5616),
    [sym_coercion_expression] = STATE(5616),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [aux_sym_class_application_repeat1] = STATE(2448),
    [sym__lowercase_identifier] = ACTIONS(4901),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(4903),
    [anon_sym_QMARK] = ACTIONS(4903),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_DOT] = ACTIONS(4905),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(4907),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(4909),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym__binding_pattern] = STATE(5434),
    [sym_alias_binding_pattern] = STATE(5415),
    [sym_typed_binding_pattern] = STATE(5415),
    [sym_or_binding_pattern] = STATE(5415),
    [sym_constructor_binding_pattern] = STATE(5415),
    [sym_tag_binding_pattern] = STATE(5415),
    [sym_polymorphic_variant_pattern] = STATE(5415),
    [sym_tuple_binding_pattern] = STATE(5415),
    [sym_record_binding_pattern] = STATE(5416),
    [sym_list_binding_pattern] = STATE(5417),
    [sym_cons_binding_pattern] = STATE(5415),
    [sym_array_binding_pattern] = STATE(5418),
    [sym_range_pattern] = STATE(5415),
    [sym_lazy_binding_pattern] = STATE(5415),
    [sym_local_open_binding_pattern] = STATE(5415),
    [sym_package_pattern] = STATE(5415),
    [sym_parenthesized_binding_pattern] = STATE(5415),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(5415),
    [sym_quoted_extension] = STATE(5415),
    [sym__constant] = STATE(5268),
    [sym__signed_constant] = STATE(5374),
    [sym_number] = STATE(5357),
    [sym_signed_number] = STATE(5268),
    [sym_character] = STATE(5357),
    [sym_string] = STATE(5357),
    [sym_quoted_string] = STATE(5357),
    [sym_boolean] = STATE(5357),
    [sym_unit] = STATE(5357),
    [sym__value_name] = STATE(5415),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_module_path] = STATE(18957),
    [sym_constructor_path] = STATE(2436),
    [sym__constructor_name] = STATE(5356),
    [sym_tag] = STATE(2423),
    [sym__lowercase_identifier] = ACTIONS(4911),
    [anon_sym_SEMI_SEMI] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4915),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4917),
    [anon_sym_external] = ACTIONS(4915),
    [anon_sym_type] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(4919),
    [anon_sym_true] = ACTIONS(4921),
    [anon_sym_false] = ACTIONS(4921),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(4923),
    [anon_sym_exception] = ACTIONS(4915),
    [anon_sym_module] = ACTIONS(4915),
    [anon_sym_open] = ACTIONS(4915),
    [anon_sym_include] = ACTIONS(4915),
    [anon_sym_class] = ACTIONS(4915),
    [anon_sym_end] = ACTIONS(4915),
    [anon_sym_in] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(4925),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4927),
    [anon_sym_lazy] = ACTIONS(4929),
    [anon_sym_begin] = ACTIONS(4931),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4915),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4913),
    [aux_sym_number_token1] = ACTIONS(4937),
    [aux_sym_signed_number_token1] = ACTIONS(4939),
    [anon_sym_SQUOTE] = ACTIONS(4941),
    [anon_sym_DQUOTE] = ACTIONS(4943),
    [sym_let_operator] = ACTIONS(4913),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(4945),
    [aux_sym_directive_token1] = ACTIONS(4915),
    [aux_sym_tag_token1] = ACTIONS(4947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym__simple_expression] = STATE(5361),
    [sym_typed_expression] = STATE(5273),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_labeled_argument] = STATE(5773),
    [sym_prefix_expression] = STATE(5273),
    [sym_hash_expression] = STATE(5273),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_coercion_expression] = STATE(5273),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [aux_sym_class_application_repeat1] = STATE(2428),
    [sym__lowercase_identifier] = ACTIONS(4711),
    [anon_sym_COLON_GT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(4713),
    [anon_sym_QMARK] = ACTIONS(4713),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(3329),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_COLON2] = ACTIONS(3331),
    [anon_sym_DASH_GT] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym__abstract_type] = STATE(18244),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13603),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(17560),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(4953),
    [anon_sym_type] = ACTIONS(4955),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(4961),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(4967),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(4971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(4989),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(4989),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(4989),
    [sym_let_and_operator] = ACTIONS(4989),
    [sym_match_operator] = ACTIONS(4989),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym__abstract_type] = STATE(17989),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13412),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18743),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(4995),
    [anon_sym_type] = ACTIONS(4955),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(4997),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(4999),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5003),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5003),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5003),
    [sym_let_and_operator] = ACTIONS(5003),
    [sym_match_operator] = ACTIONS(5003),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym__abstract_type] = STATE(19718),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13384),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(17685),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_type] = ACTIONS(4955),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5009),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5013),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5013),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5013),
    [sym_let_and_operator] = ACTIONS(5013),
    [sym_match_operator] = ACTIONS(5013),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym__simple_expression] = STATE(5361),
    [sym_typed_expression] = STATE(5273),
    [sym_list_expression] = STATE(5273),
    [sym_array_expression] = STATE(5273),
    [sym_record_expression] = STATE(5273),
    [sym_labeled_argument] = STATE(5773),
    [sym_prefix_expression] = STATE(5273),
    [sym_hash_expression] = STATE(5273),
    [sym_field_get_expression] = STATE(5273),
    [sym_array_get_expression] = STATE(5273),
    [sym_string_get_expression] = STATE(5273),
    [sym_bigarray_get_expression] = STATE(5273),
    [sym_coercion_expression] = STATE(5273),
    [sym_local_open_expression] = STATE(5273),
    [sym_package_expression] = STATE(5273),
    [sym_new_expression] = STATE(5273),
    [sym_object_copy_expression] = STATE(5273),
    [sym_method_invocation] = STATE(5273),
    [sym_object_expression] = STATE(5273),
    [sym_parenthesized_expression] = STATE(5273),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(5273),
    [sym_quoted_extension] = STATE(5273),
    [sym__constant] = STATE(5273),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5354),
    [sym_parenthesized_operator] = STATE(5296),
    [sym_value_path] = STATE(5273),
    [sym_module_path] = STATE(17701),
    [sym_constructor_path] = STATE(5273),
    [sym__constructor_name] = STATE(5286),
    [sym_tag] = STATE(5273),
    [aux_sym_class_application_repeat1] = STATE(2428),
    [sym__lowercase_identifier] = ACTIONS(5015),
    [anon_sym_COLON_GT] = ACTIONS(3414),
    [anon_sym_TILDE] = ACTIONS(5018),
    [anon_sym_QMARK] = ACTIONS(5018),
    [anon_sym_LPAREN] = ACTIONS(5021),
    [anon_sym_RPAREN] = ACTIONS(3414),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(5024),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(5027),
    [anon_sym_false] = ACTIONS(5027),
    [anon_sym_COLON2] = ACTIONS(3416),
    [anon_sym_DASH_GT] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(5030),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_RBRACE] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(5033),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5036),
    [anon_sym_new] = ACTIONS(5039),
    [anon_sym_LBRACE_LT] = ACTIONS(5042),
    [anon_sym_GT_RBRACE] = ACTIONS(3414),
    [anon_sym_begin] = ACTIONS(5045),
    [sym_ocamlyacc_value] = ACTIONS(5048),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5054),
    [aux_sym_number_token1] = ACTIONS(5057),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(5060),
    [anon_sym_DQUOTE] = ACTIONS(5063),
    [sym_prefix_operator] = ACTIONS(5066),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(5069),
    [aux_sym_tag_token1] = ACTIONS(5072),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym__simple_expression] = STATE(5779),
    [sym_typed_expression] = STATE(5797),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_labeled_argument] = STATE(6934),
    [sym_prefix_expression] = STATE(5797),
    [sym_hash_expression] = STATE(5797),
    [sym_field_get_expression] = STATE(5797),
    [sym_array_get_expression] = STATE(5797),
    [sym_string_get_expression] = STATE(5797),
    [sym_bigarray_get_expression] = STATE(5797),
    [sym_coercion_expression] = STATE(5797),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [aux_sym_class_application_repeat1] = STATE(2468),
    [sym__lowercase_identifier] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(5079),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(3083),
    [anon_sym_POUND] = ACTIONS(5081),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3081),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5083),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym_let_and_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym__abstract_type] = STATE(18608),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13582),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18265),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_type] = ACTIONS(4955),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5089),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5093),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5093),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5093),
    [sym_let_and_operator] = ACTIONS(5093),
    [sym_match_operator] = ACTIONS(5093),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym__binding_pattern] = STATE(5409),
    [sym_alias_binding_pattern] = STATE(5380),
    [sym_typed_binding_pattern] = STATE(5380),
    [sym_or_binding_pattern] = STATE(5380),
    [sym_constructor_binding_pattern] = STATE(5380),
    [sym_tag_binding_pattern] = STATE(5380),
    [sym_polymorphic_variant_pattern] = STATE(5380),
    [sym_tuple_binding_pattern] = STATE(5380),
    [sym_record_binding_pattern] = STATE(5382),
    [sym_list_binding_pattern] = STATE(5383),
    [sym_cons_binding_pattern] = STATE(5380),
    [sym_array_binding_pattern] = STATE(5412),
    [sym_range_pattern] = STATE(5380),
    [sym_lazy_binding_pattern] = STATE(5380),
    [sym_local_open_binding_pattern] = STATE(5380),
    [sym_package_pattern] = STATE(5380),
    [sym_parenthesized_binding_pattern] = STATE(5380),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(5380),
    [sym_quoted_extension] = STATE(5380),
    [sym__constant] = STATE(5344),
    [sym__signed_constant] = STATE(5346),
    [sym_number] = STATE(5275),
    [sym_signed_number] = STATE(5344),
    [sym_character] = STATE(5275),
    [sym_string] = STATE(5275),
    [sym_quoted_string] = STATE(5275),
    [sym_boolean] = STATE(5275),
    [sym_unit] = STATE(5275),
    [sym__value_name] = STATE(5380),
    [sym_parenthesized_operator] = STATE(5477),
    [sym_module_path] = STATE(20126),
    [sym_constructor_path] = STATE(2432),
    [sym__constructor_name] = STATE(5271),
    [sym_tag] = STATE(2431),
    [sym__lowercase_identifier] = ACTIONS(5095),
    [anon_sym_SEMI_SEMI] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4915),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(5097),
    [anon_sym_external] = ACTIONS(4915),
    [anon_sym_type] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(5099),
    [anon_sym_RBRACK] = ACTIONS(4913),
    [anon_sym_true] = ACTIONS(5101),
    [anon_sym_false] = ACTIONS(5101),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_exception] = ACTIONS(4915),
    [anon_sym_module] = ACTIONS(4915),
    [anon_sym_open] = ACTIONS(4915),
    [anon_sym_include] = ACTIONS(4915),
    [anon_sym_class] = ACTIONS(4915),
    [anon_sym_in] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5107),
    [anon_sym_lazy] = ACTIONS(5109),
    [anon_sym_begin] = ACTIONS(5111),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4915),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5115),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4913),
    [aux_sym_number_token1] = ACTIONS(5117),
    [aux_sym_signed_number_token1] = ACTIONS(5119),
    [anon_sym_SQUOTE] = ACTIONS(5121),
    [anon_sym_DQUOTE] = ACTIONS(5123),
    [sym_let_operator] = ACTIONS(4913),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(5125),
    [aux_sym_directive_token1] = ACTIONS(4915),
    [aux_sym_tag_token1] = ACTIONS(5127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym__binding_pattern] = STATE(5408),
    [sym_alias_binding_pattern] = STATE(5380),
    [sym_typed_binding_pattern] = STATE(5380),
    [sym_or_binding_pattern] = STATE(5380),
    [sym_constructor_binding_pattern] = STATE(5380),
    [sym_tag_binding_pattern] = STATE(5380),
    [sym_polymorphic_variant_pattern] = STATE(5380),
    [sym_tuple_binding_pattern] = STATE(5380),
    [sym_record_binding_pattern] = STATE(5382),
    [sym_list_binding_pattern] = STATE(5383),
    [sym_cons_binding_pattern] = STATE(5380),
    [sym_array_binding_pattern] = STATE(5412),
    [sym_range_pattern] = STATE(5380),
    [sym_lazy_binding_pattern] = STATE(5380),
    [sym_local_open_binding_pattern] = STATE(5380),
    [sym_package_pattern] = STATE(5380),
    [sym_parenthesized_binding_pattern] = STATE(5380),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(5380),
    [sym_quoted_extension] = STATE(5380),
    [sym__constant] = STATE(5344),
    [sym__signed_constant] = STATE(5346),
    [sym_number] = STATE(5275),
    [sym_signed_number] = STATE(5344),
    [sym_character] = STATE(5275),
    [sym_string] = STATE(5275),
    [sym_quoted_string] = STATE(5275),
    [sym_boolean] = STATE(5275),
    [sym_unit] = STATE(5275),
    [sym__value_name] = STATE(5380),
    [sym_parenthesized_operator] = STATE(5477),
    [sym_module_path] = STATE(20126),
    [sym_constructor_path] = STATE(2432),
    [sym__constructor_name] = STATE(5271),
    [sym_tag] = STATE(2431),
    [sym__lowercase_identifier] = ACTIONS(5095),
    [anon_sym_SEMI_SEMI] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4915),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(5097),
    [anon_sym_external] = ACTIONS(4915),
    [anon_sym_type] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(5099),
    [anon_sym_RBRACK] = ACTIONS(4913),
    [anon_sym_true] = ACTIONS(5101),
    [anon_sym_false] = ACTIONS(5101),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_exception] = ACTIONS(4915),
    [anon_sym_module] = ACTIONS(4915),
    [anon_sym_open] = ACTIONS(4915),
    [anon_sym_include] = ACTIONS(4915),
    [anon_sym_class] = ACTIONS(4915),
    [anon_sym_in] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5107),
    [anon_sym_lazy] = ACTIONS(5109),
    [anon_sym_begin] = ACTIONS(5111),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4915),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5115),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4913),
    [aux_sym_number_token1] = ACTIONS(5117),
    [aux_sym_signed_number_token1] = ACTIONS(5119),
    [anon_sym_SQUOTE] = ACTIONS(5121),
    [anon_sym_DQUOTE] = ACTIONS(5123),
    [sym_let_operator] = ACTIONS(4913),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(5125),
    [aux_sym_directive_token1] = ACTIONS(4915),
    [aux_sym_tag_token1] = ACTIONS(5127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym__abstract_type] = STATE(17625),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13429),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18374),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5129),
    [anon_sym_type] = ACTIONS(4955),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5131),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5133),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5137),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5137),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5137),
    [sym_let_and_operator] = ACTIONS(5137),
    [sym_match_operator] = ACTIONS(5137),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym__abstract_type] = STATE(18608),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18311),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_type] = ACTIONS(4955),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5139),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5141),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(1777),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(1777),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1777),
    [sym_let_and_operator] = ACTIONS(1777),
    [sym_match_operator] = ACTIONS(1777),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym__abstract_type] = STATE(17918),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13502),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(19605),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_type] = ACTIONS(4955),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5147),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5149),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5151),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5151),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5151),
    [sym_let_and_operator] = ACTIONS(5151),
    [sym_match_operator] = ACTIONS(5151),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym__binding_pattern] = STATE(5432),
    [sym_alias_binding_pattern] = STATE(5415),
    [sym_typed_binding_pattern] = STATE(5415),
    [sym_or_binding_pattern] = STATE(5415),
    [sym_constructor_binding_pattern] = STATE(5415),
    [sym_tag_binding_pattern] = STATE(5415),
    [sym_polymorphic_variant_pattern] = STATE(5415),
    [sym_tuple_binding_pattern] = STATE(5415),
    [sym_record_binding_pattern] = STATE(5416),
    [sym_list_binding_pattern] = STATE(5417),
    [sym_cons_binding_pattern] = STATE(5415),
    [sym_array_binding_pattern] = STATE(5418),
    [sym_range_pattern] = STATE(5415),
    [sym_lazy_binding_pattern] = STATE(5415),
    [sym_local_open_binding_pattern] = STATE(5415),
    [sym_package_pattern] = STATE(5415),
    [sym_parenthesized_binding_pattern] = STATE(5415),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(5415),
    [sym_quoted_extension] = STATE(5415),
    [sym__constant] = STATE(5268),
    [sym__signed_constant] = STATE(5374),
    [sym_number] = STATE(5357),
    [sym_signed_number] = STATE(5268),
    [sym_character] = STATE(5357),
    [sym_string] = STATE(5357),
    [sym_quoted_string] = STATE(5357),
    [sym_boolean] = STATE(5357),
    [sym_unit] = STATE(5357),
    [sym__value_name] = STATE(5415),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_module_path] = STATE(18957),
    [sym_constructor_path] = STATE(2436),
    [sym__constructor_name] = STATE(5356),
    [sym_tag] = STATE(2423),
    [sym__lowercase_identifier] = ACTIONS(4911),
    [anon_sym_SEMI_SEMI] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4915),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4917),
    [anon_sym_external] = ACTIONS(4915),
    [anon_sym_type] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(4919),
    [anon_sym_true] = ACTIONS(4921),
    [anon_sym_false] = ACTIONS(4921),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(4923),
    [anon_sym_exception] = ACTIONS(4915),
    [anon_sym_module] = ACTIONS(4915),
    [anon_sym_open] = ACTIONS(4915),
    [anon_sym_include] = ACTIONS(4915),
    [anon_sym_class] = ACTIONS(4915),
    [anon_sym_end] = ACTIONS(4915),
    [anon_sym_in] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(4925),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4927),
    [anon_sym_lazy] = ACTIONS(4929),
    [anon_sym_begin] = ACTIONS(4931),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4915),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4913),
    [aux_sym_number_token1] = ACTIONS(4937),
    [aux_sym_signed_number_token1] = ACTIONS(4939),
    [anon_sym_SQUOTE] = ACTIONS(4941),
    [anon_sym_DQUOTE] = ACTIONS(4943),
    [sym_let_operator] = ACTIONS(4913),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(4945),
    [aux_sym_directive_token1] = ACTIONS(4915),
    [aux_sym_tag_token1] = ACTIONS(4947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym__abstract_type] = STATE(17367),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13354),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(20135),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5153),
    [anon_sym_type] = ACTIONS(4955),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5155),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5157),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5161),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5161),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5161),
    [sym_let_and_operator] = ACTIONS(5161),
    [sym_match_operator] = ACTIONS(5161),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym__binding_pattern] = STATE(5608),
    [sym_alias_binding_pattern] = STATE(5526),
    [sym_typed_binding_pattern] = STATE(5526),
    [sym_or_binding_pattern] = STATE(5526),
    [sym_constructor_binding_pattern] = STATE(5526),
    [sym_tag_binding_pattern] = STATE(5526),
    [sym_polymorphic_variant_pattern] = STATE(5526),
    [sym_tuple_binding_pattern] = STATE(5526),
    [sym_record_binding_pattern] = STATE(5525),
    [sym_list_binding_pattern] = STATE(5521),
    [sym_cons_binding_pattern] = STATE(5526),
    [sym_array_binding_pattern] = STATE(5681),
    [sym_range_pattern] = STATE(5526),
    [sym_lazy_binding_pattern] = STATE(5526),
    [sym_local_open_binding_pattern] = STATE(5526),
    [sym_package_pattern] = STATE(5526),
    [sym_parenthesized_binding_pattern] = STATE(5526),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(5526),
    [sym_quoted_extension] = STATE(5526),
    [sym__constant] = STATE(5466),
    [sym__signed_constant] = STATE(5479),
    [sym_number] = STATE(5471),
    [sym_signed_number] = STATE(5466),
    [sym_character] = STATE(5471),
    [sym_string] = STATE(5471),
    [sym_quoted_string] = STATE(5471),
    [sym_boolean] = STATE(5471),
    [sym_unit] = STATE(5471),
    [sym__value_name] = STATE(5526),
    [sym_parenthesized_operator] = STATE(5561),
    [sym_module_path] = STATE(19408),
    [sym_constructor_path] = STATE(2440),
    [sym__constructor_name] = STATE(5436),
    [sym_tag] = STATE(2438),
    [sym__lowercase_identifier] = ACTIONS(5163),
    [anon_sym_SEMI_SEMI] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4915),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(5165),
    [anon_sym_external] = ACTIONS(4915),
    [anon_sym_type] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(5167),
    [anon_sym_RBRACK] = ACTIONS(4913),
    [anon_sym_true] = ACTIONS(5169),
    [anon_sym_false] = ACTIONS(5169),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(5171),
    [anon_sym_exception] = ACTIONS(4915),
    [anon_sym_module] = ACTIONS(4915),
    [anon_sym_open] = ACTIONS(4915),
    [anon_sym_include] = ACTIONS(4915),
    [anon_sym_class] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(5173),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5175),
    [anon_sym_lazy] = ACTIONS(5177),
    [anon_sym_begin] = ACTIONS(5179),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4915),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5181),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5183),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4913),
    [aux_sym_number_token1] = ACTIONS(5185),
    [aux_sym_signed_number_token1] = ACTIONS(5187),
    [anon_sym_SQUOTE] = ACTIONS(5189),
    [anon_sym_DQUOTE] = ACTIONS(5191),
    [sym_let_operator] = ACTIONS(4913),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(5193),
    [aux_sym_directive_token1] = ACTIONS(4915),
    [aux_sym_tag_token1] = ACTIONS(5195),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym__simple_expression] = STATE(6007),
    [sym_typed_expression] = STATE(5968),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_labeled_argument] = STATE(7181),
    [sym_prefix_expression] = STATE(5968),
    [sym_hash_expression] = STATE(5968),
    [sym_field_get_expression] = STATE(5968),
    [sym_array_get_expression] = STATE(5968),
    [sym_string_get_expression] = STATE(5968),
    [sym_bigarray_get_expression] = STATE(5968),
    [sym_coercion_expression] = STATE(5968),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [aux_sym_class_application_repeat1] = STATE(2476),
    [sym__lowercase_identifier] = ACTIONS(5197),
    [anon_sym_TILDE] = ACTIONS(5199),
    [anon_sym_QMARK] = ACTIONS(5199),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_DOT] = ACTIONS(5201),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_POUND] = ACTIONS(5203),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_to] = ACTIONS(3083),
    [anon_sym_downto] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5205),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym__binding_pattern] = STATE(5606),
    [sym_alias_binding_pattern] = STATE(5526),
    [sym_typed_binding_pattern] = STATE(5526),
    [sym_or_binding_pattern] = STATE(5526),
    [sym_constructor_binding_pattern] = STATE(5526),
    [sym_tag_binding_pattern] = STATE(5526),
    [sym_polymorphic_variant_pattern] = STATE(5526),
    [sym_tuple_binding_pattern] = STATE(5526),
    [sym_record_binding_pattern] = STATE(5525),
    [sym_list_binding_pattern] = STATE(5521),
    [sym_cons_binding_pattern] = STATE(5526),
    [sym_array_binding_pattern] = STATE(5681),
    [sym_range_pattern] = STATE(5526),
    [sym_lazy_binding_pattern] = STATE(5526),
    [sym_local_open_binding_pattern] = STATE(5526),
    [sym_package_pattern] = STATE(5526),
    [sym_parenthesized_binding_pattern] = STATE(5526),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(5526),
    [sym_quoted_extension] = STATE(5526),
    [sym__constant] = STATE(5466),
    [sym__signed_constant] = STATE(5479),
    [sym_number] = STATE(5471),
    [sym_signed_number] = STATE(5466),
    [sym_character] = STATE(5471),
    [sym_string] = STATE(5471),
    [sym_quoted_string] = STATE(5471),
    [sym_boolean] = STATE(5471),
    [sym_unit] = STATE(5471),
    [sym__value_name] = STATE(5526),
    [sym_parenthesized_operator] = STATE(5561),
    [sym_module_path] = STATE(19408),
    [sym_constructor_path] = STATE(2440),
    [sym__constructor_name] = STATE(5436),
    [sym_tag] = STATE(2438),
    [sym__lowercase_identifier] = ACTIONS(5163),
    [anon_sym_SEMI_SEMI] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4915),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(5165),
    [anon_sym_external] = ACTIONS(4915),
    [anon_sym_type] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(5167),
    [anon_sym_RBRACK] = ACTIONS(4913),
    [anon_sym_true] = ACTIONS(5169),
    [anon_sym_false] = ACTIONS(5169),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(5171),
    [anon_sym_exception] = ACTIONS(4915),
    [anon_sym_module] = ACTIONS(4915),
    [anon_sym_open] = ACTIONS(4915),
    [anon_sym_include] = ACTIONS(4915),
    [anon_sym_class] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(5173),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5175),
    [anon_sym_lazy] = ACTIONS(5177),
    [anon_sym_begin] = ACTIONS(5179),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4915),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5181),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5183),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4913),
    [aux_sym_number_token1] = ACTIONS(5185),
    [aux_sym_signed_number_token1] = ACTIONS(5187),
    [anon_sym_SQUOTE] = ACTIONS(5189),
    [anon_sym_DQUOTE] = ACTIONS(5191),
    [sym_let_operator] = ACTIONS(4913),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(5193),
    [aux_sym_directive_token1] = ACTIONS(4915),
    [aux_sym_tag_token1] = ACTIONS(5195),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym__binding_pattern] = STATE(5566),
    [sym_alias_binding_pattern] = STATE(5533),
    [sym_typed_binding_pattern] = STATE(5533),
    [sym_or_binding_pattern] = STATE(5533),
    [sym_constructor_binding_pattern] = STATE(5533),
    [sym_tag_binding_pattern] = STATE(5533),
    [sym_polymorphic_variant_pattern] = STATE(5533),
    [sym_tuple_binding_pattern] = STATE(5533),
    [sym_record_binding_pattern] = STATE(5534),
    [sym_list_binding_pattern] = STATE(5596),
    [sym_cons_binding_pattern] = STATE(5533),
    [sym_array_binding_pattern] = STATE(5537),
    [sym_range_pattern] = STATE(5533),
    [sym_lazy_binding_pattern] = STATE(5533),
    [sym_local_open_binding_pattern] = STATE(5533),
    [sym_package_pattern] = STATE(5533),
    [sym_parenthesized_binding_pattern] = STATE(5533),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(5533),
    [sym_quoted_extension] = STATE(5533),
    [sym__constant] = STATE(5423),
    [sym__signed_constant] = STATE(5462),
    [sym_number] = STATE(5451),
    [sym_signed_number] = STATE(5423),
    [sym_character] = STATE(5451),
    [sym_string] = STATE(5451),
    [sym_quoted_string] = STATE(5451),
    [sym_boolean] = STATE(5451),
    [sym_unit] = STATE(5451),
    [sym__value_name] = STATE(5533),
    [sym_parenthesized_operator] = STATE(5586),
    [sym_module_path] = STATE(18724),
    [sym_constructor_path] = STATE(2441),
    [sym__constructor_name] = STATE(5400),
    [sym_tag] = STATE(2442),
    [sym__lowercase_identifier] = ACTIONS(5207),
    [anon_sym_SEMI_SEMI] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4915),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(5209),
    [anon_sym_external] = ACTIONS(4915),
    [anon_sym_type] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(5211),
    [anon_sym_true] = ACTIONS(5213),
    [anon_sym_false] = ACTIONS(5213),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(5215),
    [anon_sym_exception] = ACTIONS(4915),
    [anon_sym_module] = ACTIONS(4915),
    [anon_sym_open] = ACTIONS(4915),
    [anon_sym_include] = ACTIONS(4915),
    [anon_sym_class] = ACTIONS(4915),
    [anon_sym_end] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(5217),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5219),
    [anon_sym_lazy] = ACTIONS(5221),
    [anon_sym_begin] = ACTIONS(5223),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4915),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5225),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5227),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4913),
    [aux_sym_number_token1] = ACTIONS(5229),
    [aux_sym_signed_number_token1] = ACTIONS(5231),
    [anon_sym_SQUOTE] = ACTIONS(5233),
    [anon_sym_DQUOTE] = ACTIONS(5235),
    [sym_let_operator] = ACTIONS(4913),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(5237),
    [aux_sym_directive_token1] = ACTIONS(4915),
    [aux_sym_tag_token1] = ACTIONS(5239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym__binding_pattern] = STATE(5573),
    [sym_alias_binding_pattern] = STATE(5533),
    [sym_typed_binding_pattern] = STATE(5533),
    [sym_or_binding_pattern] = STATE(5533),
    [sym_constructor_binding_pattern] = STATE(5533),
    [sym_tag_binding_pattern] = STATE(5533),
    [sym_polymorphic_variant_pattern] = STATE(5533),
    [sym_tuple_binding_pattern] = STATE(5533),
    [sym_record_binding_pattern] = STATE(5534),
    [sym_list_binding_pattern] = STATE(5596),
    [sym_cons_binding_pattern] = STATE(5533),
    [sym_array_binding_pattern] = STATE(5537),
    [sym_range_pattern] = STATE(5533),
    [sym_lazy_binding_pattern] = STATE(5533),
    [sym_local_open_binding_pattern] = STATE(5533),
    [sym_package_pattern] = STATE(5533),
    [sym_parenthesized_binding_pattern] = STATE(5533),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(5533),
    [sym_quoted_extension] = STATE(5533),
    [sym__constant] = STATE(5423),
    [sym__signed_constant] = STATE(5462),
    [sym_number] = STATE(5451),
    [sym_signed_number] = STATE(5423),
    [sym_character] = STATE(5451),
    [sym_string] = STATE(5451),
    [sym_quoted_string] = STATE(5451),
    [sym_boolean] = STATE(5451),
    [sym_unit] = STATE(5451),
    [sym__value_name] = STATE(5533),
    [sym_parenthesized_operator] = STATE(5586),
    [sym_module_path] = STATE(18724),
    [sym_constructor_path] = STATE(2441),
    [sym__constructor_name] = STATE(5400),
    [sym_tag] = STATE(2442),
    [sym__lowercase_identifier] = ACTIONS(5207),
    [anon_sym_SEMI_SEMI] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4915),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(5209),
    [anon_sym_external] = ACTIONS(4915),
    [anon_sym_type] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(5211),
    [anon_sym_true] = ACTIONS(5213),
    [anon_sym_false] = ACTIONS(5213),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(5215),
    [anon_sym_exception] = ACTIONS(4915),
    [anon_sym_module] = ACTIONS(4915),
    [anon_sym_open] = ACTIONS(4915),
    [anon_sym_include] = ACTIONS(4915),
    [anon_sym_class] = ACTIONS(4915),
    [anon_sym_end] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(5217),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5219),
    [anon_sym_lazy] = ACTIONS(5221),
    [anon_sym_begin] = ACTIONS(5223),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4915),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5225),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5227),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4913),
    [aux_sym_number_token1] = ACTIONS(5229),
    [aux_sym_signed_number_token1] = ACTIONS(5231),
    [anon_sym_SQUOTE] = ACTIONS(5233),
    [anon_sym_DQUOTE] = ACTIONS(5235),
    [sym_let_operator] = ACTIONS(4913),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(5237),
    [aux_sym_directive_token1] = ACTIONS(4915),
    [aux_sym_tag_token1] = ACTIONS(5239),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13296),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18743),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(4995),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(4997),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(4999),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5003),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5003),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5003),
    [sym_let_and_operator] = ACTIONS(5003),
    [sym_match_operator] = ACTIONS(5003),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18311),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5139),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5141),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(1777),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(1777),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1777),
    [sym_let_and_operator] = ACTIONS(1777),
    [sym_match_operator] = ACTIONS(1777),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13582),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18265),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5089),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5093),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5093),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5093),
    [sym_let_and_operator] = ACTIONS(5093),
    [sym_match_operator] = ACTIONS(5093),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13248),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(20135),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5153),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5155),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5157),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5161),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5161),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5161),
    [sym_let_and_operator] = ACTIONS(5161),
    [sym_match_operator] = ACTIONS(5161),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym__simple_expression] = STATE(6584),
    [sym_typed_expression] = STATE(6277),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_labeled_argument] = STATE(7430),
    [sym_prefix_expression] = STATE(6277),
    [sym_hash_expression] = STATE(6277),
    [sym_field_get_expression] = STATE(6277),
    [sym_array_get_expression] = STATE(6277),
    [sym_string_get_expression] = STATE(6277),
    [sym_bigarray_get_expression] = STATE(6277),
    [sym_coercion_expression] = STATE(6277),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [aux_sym_class_application_repeat1] = STATE(2488),
    [sym__lowercase_identifier] = ACTIONS(5241),
    [anon_sym_TILDE] = ACTIONS(5243),
    [anon_sym_QMARK] = ACTIONS(5243),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_DOT] = ACTIONS(5245),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_POUND] = ACTIONS(5247),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_do] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5249),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym__simple_expression] = STATE(5628),
    [sym_typed_expression] = STATE(5616),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_labeled_argument] = STATE(6241),
    [sym_prefix_expression] = STATE(5616),
    [sym_hash_expression] = STATE(5616),
    [sym_field_get_expression] = STATE(5616),
    [sym_array_get_expression] = STATE(5616),
    [sym_string_get_expression] = STATE(5616),
    [sym_bigarray_get_expression] = STATE(5616),
    [sym_coercion_expression] = STATE(5616),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [aux_sym_class_application_repeat1] = STATE(2456),
    [sym__lowercase_identifier] = ACTIONS(4901),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(4903),
    [anon_sym_QMARK] = ACTIONS(4903),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1291),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACE_LT] = ACTIONS(1311),
    [anon_sym_begin] = ACTIONS(1313),
    [sym_ocamlyacc_value] = ACTIONS(1315),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1319),
    [aux_sym_number_token1] = ACTIONS(1321),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_prefix_operator] = ACTIONS(1327),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13310),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(17560),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(4953),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(4961),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(4967),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(4971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(4989),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(4989),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(4989),
    [sym_let_and_operator] = ACTIONS(4989),
    [sym_match_operator] = ACTIONS(4989),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18311),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5139),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5251),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(1777),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(1777),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1777),
    [sym_let_and_operator] = ACTIONS(1777),
    [sym_match_operator] = ACTIONS(1777),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2451),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18311),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5139),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(1777),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(1777),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1777),
    [sym_let_and_operator] = ACTIONS(1777),
    [sym_match_operator] = ACTIONS(1777),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13300),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(19605),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5147),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5149),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5151),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5151),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5151),
    [sym_let_and_operator] = ACTIONS(5151),
    [sym_match_operator] = ACTIONS(5151),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym__simple_expression] = STATE(6481),
    [sym_typed_expression] = STATE(6501),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_labeled_argument] = STATE(7528),
    [sym_prefix_expression] = STATE(6501),
    [sym_hash_expression] = STATE(6501),
    [sym_field_get_expression] = STATE(6501),
    [sym_array_get_expression] = STATE(6501),
    [sym_string_get_expression] = STATE(6501),
    [sym_bigarray_get_expression] = STATE(6501),
    [sym_coercion_expression] = STATE(6501),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(2453),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [aux_sym_class_application_repeat1] = STATE(2485),
    [sym__lowercase_identifier] = ACTIONS(5255),
    [anon_sym_TILDE] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5257),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(5259),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_POUND] = ACTIONS(5261),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_done] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5263),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13277),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18374),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5129),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5131),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5133),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5137),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5137),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5137),
    [sym_let_and_operator] = ACTIONS(5137),
    [sym_match_operator] = ACTIONS(5137),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13289),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(17685),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5009),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5013),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5013),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5013),
    [sym_let_and_operator] = ACTIONS(5013),
    [sym_match_operator] = ACTIONS(5013),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym__simple_expression] = STATE(5628),
    [sym_typed_expression] = STATE(5616),
    [sym_list_expression] = STATE(5616),
    [sym_array_expression] = STATE(5616),
    [sym_record_expression] = STATE(5616),
    [sym_labeled_argument] = STATE(6241),
    [sym_prefix_expression] = STATE(5616),
    [sym_hash_expression] = STATE(5616),
    [sym_field_get_expression] = STATE(5616),
    [sym_array_get_expression] = STATE(5616),
    [sym_string_get_expression] = STATE(5616),
    [sym_bigarray_get_expression] = STATE(5616),
    [sym_coercion_expression] = STATE(5616),
    [sym_local_open_expression] = STATE(5616),
    [sym_package_expression] = STATE(5616),
    [sym_new_expression] = STATE(5616),
    [sym_object_copy_expression] = STATE(5616),
    [sym_method_invocation] = STATE(5616),
    [sym_object_expression] = STATE(5616),
    [sym_parenthesized_expression] = STATE(5616),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(5616),
    [sym_quoted_extension] = STATE(5616),
    [sym__constant] = STATE(5616),
    [sym_number] = STATE(5531),
    [sym_character] = STATE(5531),
    [sym_string] = STATE(5531),
    [sym_quoted_string] = STATE(5531),
    [sym_boolean] = STATE(5531),
    [sym_unit] = STATE(5531),
    [sym__value_name] = STATE(5675),
    [sym_parenthesized_operator] = STATE(5641),
    [sym_value_path] = STATE(5616),
    [sym_module_path] = STATE(18560),
    [sym_constructor_path] = STATE(5616),
    [sym__constructor_name] = STATE(5524),
    [sym_tag] = STATE(5616),
    [aux_sym_class_application_repeat1] = STATE(2456),
    [sym__lowercase_identifier] = ACTIONS(5265),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(5268),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_LPAREN] = ACTIONS(5271),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [anon_sym_true] = ACTIONS(5277),
    [anon_sym_false] = ACTIONS(5277),
    [anon_sym_LBRACE] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(5283),
    [anon_sym_in] = ACTIONS(3416),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5286),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(5289),
    [anon_sym_LBRACE_LT] = ACTIONS(5292),
    [anon_sym_begin] = ACTIONS(5295),
    [sym_ocamlyacc_value] = ACTIONS(5298),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5301),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5304),
    [aux_sym_number_token1] = ACTIONS(5307),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(5310),
    [anon_sym_DQUOTE] = ACTIONS(5313),
    [sym_prefix_operator] = ACTIONS(5316),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(5319),
    [aux_sym_tag_token1] = ACTIONS(5322),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym__simple_expression] = STATE(6475),
    [sym_typed_expression] = STATE(6568),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_labeled_argument] = STATE(7383),
    [sym_prefix_expression] = STATE(6568),
    [sym_hash_expression] = STATE(6568),
    [sym_field_get_expression] = STATE(6568),
    [sym_array_get_expression] = STATE(6568),
    [sym_string_get_expression] = STATE(6568),
    [sym_bigarray_get_expression] = STATE(6568),
    [sym_coercion_expression] = STATE(6568),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [aux_sym_class_application_repeat1] = STATE(2486),
    [sym__lowercase_identifier] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5327),
    [anon_sym_QMARK] = ACTIONS(5327),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_DOT] = ACTIONS(5329),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_with] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_POUND] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5333),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13582),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18265),
    [sym_add_operator] = STATE(20118),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_module] = ACTIONS(5089),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5093),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5093),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5093),
    [sym_let_and_operator] = ACTIONS(5093),
    [sym_match_operator] = ACTIONS(5093),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym__simple_expression] = STATE(6357),
    [sym_typed_expression] = STATE(6524),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_labeled_argument] = STATE(7376),
    [sym_prefix_expression] = STATE(6524),
    [sym_hash_expression] = STATE(6524),
    [sym_field_get_expression] = STATE(6524),
    [sym_array_get_expression] = STATE(6524),
    [sym_string_get_expression] = STATE(6524),
    [sym_bigarray_get_expression] = STATE(6524),
    [sym_coercion_expression] = STATE(6524),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [aux_sym_class_application_repeat1] = STATE(2482),
    [sym__lowercase_identifier] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_POUND] = ACTIONS(5343),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5345),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym__simple_expression] = STATE(6363),
    [sym_typed_expression] = STATE(6252),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_labeled_argument] = STATE(7521),
    [sym_prefix_expression] = STATE(6252),
    [sym_hash_expression] = STATE(6252),
    [sym_field_get_expression] = STATE(6252),
    [sym_array_get_expression] = STATE(6252),
    [sym_string_get_expression] = STATE(6252),
    [sym_bigarray_get_expression] = STATE(6252),
    [sym_coercion_expression] = STATE(6252),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [aux_sym_class_application_repeat1] = STATE(2484),
    [sym__lowercase_identifier] = ACTIONS(5347),
    [anon_sym_TILDE] = ACTIONS(5349),
    [anon_sym_QMARK] = ACTIONS(5349),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_DOT] = ACTIONS(5351),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_POUND] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_then] = ACTIONS(3083),
    [anon_sym_else] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5355),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym__simple_expression] = STATE(6345),
    [sym_typed_expression] = STATE(6419),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_labeled_argument] = STATE(7513),
    [sym_prefix_expression] = STATE(6419),
    [sym_hash_expression] = STATE(6419),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_coercion_expression] = STATE(6419),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [aux_sym_class_application_repeat1] = STATE(2481),
    [sym__lowercase_identifier] = ACTIONS(5357),
    [anon_sym_TILDE] = ACTIONS(5359),
    [anon_sym_QMARK] = ACTIONS(5359),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_DOT] = ACTIONS(5361),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_POUND] = ACTIONS(5363),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_to] = ACTIONS(3083),
    [anon_sym_downto] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5365),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym__simple_expression] = STATE(6914),
    [sym_typed_expression] = STATE(6759),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_labeled_argument] = STATE(7615),
    [sym_prefix_expression] = STATE(6759),
    [sym_hash_expression] = STATE(6759),
    [sym_field_get_expression] = STATE(6759),
    [sym_array_get_expression] = STATE(6759),
    [sym_string_get_expression] = STATE(6759),
    [sym_bigarray_get_expression] = STATE(6759),
    [sym_coercion_expression] = STATE(6759),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [aux_sym_class_application_repeat1] = STATE(2506),
    [sym__lowercase_identifier] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5369),
    [anon_sym_QMARK] = ACTIONS(5369),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(5371),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_end] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_POUND] = ACTIONS(5373),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5375),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym__simple_expression] = STATE(6874),
    [sym_typed_expression] = STATE(7138),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_labeled_argument] = STATE(7644),
    [sym_prefix_expression] = STATE(7138),
    [sym_hash_expression] = STATE(7138),
    [sym_field_get_expression] = STATE(7138),
    [sym_array_get_expression] = STATE(7138),
    [sym_string_get_expression] = STATE(7138),
    [sym_bigarray_get_expression] = STATE(7138),
    [sym_coercion_expression] = STATE(7138),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2463),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__lowercase_identifier] = ACTIONS(5377),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_QMARK] = ACTIONS(5379),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_DOT] = ACTIONS(5381),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_POUND] = ACTIONS(5383),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5385),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym__simple_expression] = STATE(6897),
    [sym_typed_expression] = STATE(6858),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_labeled_argument] = STATE(7617),
    [sym_prefix_expression] = STATE(6858),
    [sym_hash_expression] = STATE(6858),
    [sym_field_get_expression] = STATE(6858),
    [sym_array_get_expression] = STATE(6858),
    [sym_string_get_expression] = STATE(6858),
    [sym_bigarray_get_expression] = STATE(6858),
    [sym_coercion_expression] = STATE(6858),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2464),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [aux_sym_class_application_repeat1] = STATE(2505),
    [sym__lowercase_identifier] = ACTIONS(5387),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_QMARK] = ACTIONS(5389),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(5391),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_POUND] = ACTIONS(5393),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_done] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5395),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym__simple_expression] = STATE(7148),
    [sym_typed_expression] = STATE(6994),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_labeled_argument] = STATE(7632),
    [sym_prefix_expression] = STATE(6994),
    [sym_hash_expression] = STATE(6994),
    [sym_field_get_expression] = STATE(6994),
    [sym_array_get_expression] = STATE(6994),
    [sym_string_get_expression] = STATE(6994),
    [sym_bigarray_get_expression] = STATE(6994),
    [sym_coercion_expression] = STATE(6994),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [aux_sym_class_application_repeat1] = STATE(2499),
    [sym__lowercase_identifier] = ACTIONS(5397),
    [anon_sym_TILDE] = ACTIONS(5399),
    [anon_sym_QMARK] = ACTIONS(5399),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(5401),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_with] = ACTIONS(3083),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_POUND] = ACTIONS(5403),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5405),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym_parameter] = STATE(10067),
    [sym__polymorphic_typed] = STATE(16401),
    [sym__parenthesized_abstract_type] = STATE(10067),
    [sym__simple_pattern] = STATE(10059),
    [sym_typed_pattern] = STATE(9973),
    [sym_polymorphic_variant_pattern] = STATE(9973),
    [sym_record_pattern] = STATE(9973),
    [sym_list_pattern] = STATE(9973),
    [sym_array_pattern] = STATE(9973),
    [sym_local_open_pattern] = STATE(9973),
    [sym_package_pattern] = STATE(9973),
    [sym_parenthesized_pattern] = STATE(9973),
    [sym_attribute] = STATE(2466),
    [sym_item_attribute] = STATE(10662),
    [sym_extension] = STATE(9973),
    [sym_quoted_extension] = STATE(9973),
    [sym__constant] = STATE(10115),
    [sym__signed_constant] = STATE(9973),
    [sym_number] = STATE(10063),
    [sym_signed_number] = STATE(10115),
    [sym_character] = STATE(10063),
    [sym_string] = STATE(10063),
    [sym_quoted_string] = STATE(10063),
    [sym_boolean] = STATE(10063),
    [sym_unit] = STATE(10063),
    [sym__simple_value_pattern] = STATE(9973),
    [sym_parenthesized_operator] = STATE(9973),
    [sym_module_path] = STATE(17929),
    [sym_constructor_path] = STATE(9973),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(9973),
    [aux_sym_expression_item_repeat1] = STATE(10184),
    [aux_sym_let_binding_repeat1] = STATE(4593),
    [sym__lowercase_identifier] = ACTIONS(5407),
    [anon_sym_SEMI_SEMI] = ACTIONS(5409),
    [anon_sym_let] = ACTIONS(5411),
    [anon_sym_and] = ACTIONS(5411),
    [anon_sym_COLON_GT] = ACTIONS(5413),
    [anon_sym_EQ] = ACTIONS(5415),
    [anon_sym_TILDE] = ACTIONS(5417),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_LPAREN] = ACTIONS(5419),
    [anon_sym_external] = ACTIONS(5411),
    [anon_sym_type] = ACTIONS(5411),
    [anon_sym_COMMA] = ACTIONS(5421),
    [anon_sym_PIPE] = ACTIONS(5423),
    [anon_sym_LBRACK] = ACTIONS(5425),
    [anon_sym_RBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(5427),
    [anon_sym_false] = ACTIONS(5427),
    [anon_sym_COLON2] = ACTIONS(5429),
    [anon_sym_LBRACE] = ACTIONS(5431),
    [anon_sym_exception] = ACTIONS(5411),
    [anon_sym_module] = ACTIONS(5411),
    [anon_sym_open] = ACTIONS(5411),
    [anon_sym_include] = ACTIONS(5411),
    [anon_sym_class] = ACTIONS(5411),
    [anon_sym_in] = ACTIONS(5411),
    [anon_sym_as] = ACTIONS(5433),
    [anon_sym_POUND] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5439),
    [anon_sym_begin] = ACTIONS(5441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5409),
    [aux_sym_number_token1] = ACTIONS(5449),
    [aux_sym_signed_number_token1] = ACTIONS(5451),
    [anon_sym_SQUOTE] = ACTIONS(5453),
    [anon_sym_DQUOTE] = ACTIONS(5455),
    [sym_let_operator] = ACTIONS(5409),
    [sym_let_and_operator] = ACTIONS(5409),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_directive_token1] = ACTIONS(5411),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym_parameter] = STATE(10067),
    [sym__polymorphic_typed] = STATE(16327),
    [sym__parenthesized_abstract_type] = STATE(10067),
    [sym__simple_pattern] = STATE(10059),
    [sym_typed_pattern] = STATE(9973),
    [sym_polymorphic_variant_pattern] = STATE(9973),
    [sym_record_pattern] = STATE(9973),
    [sym_list_pattern] = STATE(9973),
    [sym_array_pattern] = STATE(9973),
    [sym_local_open_pattern] = STATE(9973),
    [sym_package_pattern] = STATE(9973),
    [sym_parenthesized_pattern] = STATE(9973),
    [sym_attribute] = STATE(2467),
    [sym_item_attribute] = STATE(10662),
    [sym_extension] = STATE(9973),
    [sym_quoted_extension] = STATE(9973),
    [sym__constant] = STATE(10115),
    [sym__signed_constant] = STATE(9973),
    [sym_number] = STATE(10063),
    [sym_signed_number] = STATE(10115),
    [sym_character] = STATE(10063),
    [sym_string] = STATE(10063),
    [sym_quoted_string] = STATE(10063),
    [sym_boolean] = STATE(10063),
    [sym_unit] = STATE(10063),
    [sym__simple_value_pattern] = STATE(9973),
    [sym_parenthesized_operator] = STATE(9973),
    [sym_module_path] = STATE(17929),
    [sym_constructor_path] = STATE(9973),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(9973),
    [aux_sym_expression_item_repeat1] = STATE(10184),
    [aux_sym_let_binding_repeat1] = STATE(4588),
    [sym__lowercase_identifier] = ACTIONS(5407),
    [anon_sym_SEMI_SEMI] = ACTIONS(5409),
    [anon_sym_let] = ACTIONS(5411),
    [anon_sym_and] = ACTIONS(5411),
    [anon_sym_COLON_GT] = ACTIONS(5461),
    [anon_sym_EQ] = ACTIONS(5463),
    [anon_sym_TILDE] = ACTIONS(5417),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_LPAREN] = ACTIONS(5419),
    [anon_sym_external] = ACTIONS(5411),
    [anon_sym_type] = ACTIONS(5411),
    [anon_sym_COMMA] = ACTIONS(5465),
    [anon_sym_PIPE] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5425),
    [anon_sym_true] = ACTIONS(5427),
    [anon_sym_false] = ACTIONS(5427),
    [anon_sym_COLON2] = ACTIONS(5429),
    [anon_sym_LBRACE] = ACTIONS(5431),
    [anon_sym_exception] = ACTIONS(5411),
    [anon_sym_module] = ACTIONS(5411),
    [anon_sym_open] = ACTIONS(5411),
    [anon_sym_include] = ACTIONS(5411),
    [anon_sym_class] = ACTIONS(5411),
    [anon_sym_end] = ACTIONS(5411),
    [anon_sym_in] = ACTIONS(5411),
    [anon_sym_as] = ACTIONS(5469),
    [anon_sym_POUND] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5471),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5439),
    [anon_sym_begin] = ACTIONS(5441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5409),
    [aux_sym_number_token1] = ACTIONS(5449),
    [aux_sym_signed_number_token1] = ACTIONS(5451),
    [anon_sym_SQUOTE] = ACTIONS(5453),
    [anon_sym_DQUOTE] = ACTIONS(5455),
    [sym_let_operator] = ACTIONS(5409),
    [sym_let_and_operator] = ACTIONS(5409),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_directive_token1] = ACTIONS(5411),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym__simple_expression] = STATE(5779),
    [sym_typed_expression] = STATE(5797),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_labeled_argument] = STATE(6934),
    [sym_prefix_expression] = STATE(5797),
    [sym_hash_expression] = STATE(5797),
    [sym_field_get_expression] = STATE(5797),
    [sym_array_get_expression] = STATE(5797),
    [sym_string_get_expression] = STATE(5797),
    [sym_bigarray_get_expression] = STATE(5797),
    [sym_coercion_expression] = STATE(5797),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [aux_sym_class_application_repeat1] = STATE(2470),
    [sym__lowercase_identifier] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3329),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym_let_and_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym__simple_expression] = STATE(6730),
    [sym_typed_expression] = STATE(6807),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_labeled_argument] = STATE(7599),
    [sym_prefix_expression] = STATE(6807),
    [sym_hash_expression] = STATE(6807),
    [sym_field_get_expression] = STATE(6807),
    [sym_array_get_expression] = STATE(6807),
    [sym_string_get_expression] = STATE(6807),
    [sym_bigarray_get_expression] = STATE(6807),
    [sym_coercion_expression] = STATE(6807),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [aux_sym_class_application_repeat1] = STATE(2496),
    [sym__lowercase_identifier] = ACTIONS(5473),
    [anon_sym_TILDE] = ACTIONS(5475),
    [anon_sym_QMARK] = ACTIONS(5475),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_COMMA] = ACTIONS(3081),
    [anon_sym_PIPE] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(5477),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_POUND] = ACTIONS(5479),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_then] = ACTIONS(3083),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(3083),
    [sym_hash_operator] = ACTIONS(5481),
    [sym_pow_operator] = ACTIONS(3083),
    [sym_mult_operator] = ACTIONS(3083),
    [aux_sym_add_operator_token1] = ACTIONS(3083),
    [sym_concat_operator] = ACTIONS(3081),
    [sym_rel_operator] = ACTIONS(3083),
    [sym_and_operator] = ACTIONS(3083),
    [sym_or_operator] = ACTIONS(3083),
    [sym_assign_operator] = ACTIONS(3081),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym__simple_expression] = STATE(5779),
    [sym_typed_expression] = STATE(5797),
    [sym_list_expression] = STATE(5797),
    [sym_array_expression] = STATE(5797),
    [sym_record_expression] = STATE(5797),
    [sym_labeled_argument] = STATE(6934),
    [sym_prefix_expression] = STATE(5797),
    [sym_hash_expression] = STATE(5797),
    [sym_field_get_expression] = STATE(5797),
    [sym_array_get_expression] = STATE(5797),
    [sym_string_get_expression] = STATE(5797),
    [sym_bigarray_get_expression] = STATE(5797),
    [sym_coercion_expression] = STATE(5797),
    [sym_local_open_expression] = STATE(5797),
    [sym_package_expression] = STATE(5797),
    [sym_new_expression] = STATE(5797),
    [sym_object_copy_expression] = STATE(5797),
    [sym_method_invocation] = STATE(5797),
    [sym_object_expression] = STATE(5797),
    [sym_parenthesized_expression] = STATE(5797),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(5797),
    [sym_quoted_extension] = STATE(5797),
    [sym__constant] = STATE(5797),
    [sym_number] = STATE(5793),
    [sym_character] = STATE(5793),
    [sym_string] = STATE(5793),
    [sym_quoted_string] = STATE(5793),
    [sym_boolean] = STATE(5793),
    [sym_unit] = STATE(5793),
    [sym__value_name] = STATE(5777),
    [sym_parenthesized_operator] = STATE(5791),
    [sym_value_path] = STATE(5797),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(5797),
    [sym__constructor_name] = STATE(5781),
    [sym_tag] = STATE(5797),
    [aux_sym_class_application_repeat1] = STATE(2470),
    [sym__lowercase_identifier] = ACTIONS(5483),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5486),
    [anon_sym_LPAREN] = ACTIONS(5489),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_true] = ACTIONS(5495),
    [anon_sym_false] = ACTIONS(5495),
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(5501),
    [anon_sym_in] = ACTIONS(3416),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5504),
    [anon_sym_new] = ACTIONS(5507),
    [anon_sym_LBRACE_LT] = ACTIONS(5510),
    [anon_sym_begin] = ACTIONS(5513),
    [sym_ocamlyacc_value] = ACTIONS(5516),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5522),
    [aux_sym_number_token1] = ACTIONS(5525),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(5528),
    [anon_sym_DQUOTE] = ACTIONS(5531),
    [sym_prefix_operator] = ACTIONS(5534),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym_let_and_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(5537),
    [aux_sym_tag_token1] = ACTIONS(5540),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym__simple_expression] = STATE(5893),
    [sym_typed_expression] = STATE(6013),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_labeled_argument] = STATE(7262),
    [sym_prefix_expression] = STATE(6013),
    [sym_hash_expression] = STATE(6013),
    [sym_field_get_expression] = STATE(6013),
    [sym_array_get_expression] = STATE(6013),
    [sym_string_get_expression] = STATE(6013),
    [sym_bigarray_get_expression] = STATE(6013),
    [sym_coercion_expression] = STATE(6013),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2471),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5870),
    [sym_character] = STATE(5870),
    [sym_string] = STATE(5870),
    [sym_quoted_string] = STATE(5870),
    [sym_boolean] = STATE(5870),
    [sym_unit] = STATE(5870),
    [sym__value_name] = STATE(6067),
    [sym_parenthesized_operator] = STATE(5889),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(17756),
    [sym_constructor_path] = STATE(6013),
    [sym__constructor_name] = STATE(5876),
    [sym_tag] = STATE(6013),
    [aux_sym_class_application_repeat1] = STATE(2473),
    [sym__lowercase_identifier] = ACTIONS(5543),
    [anon_sym_SEMI_SEMI] = ACTIONS(5545),
    [anon_sym_let] = ACTIONS(5547),
    [anon_sym_and] = ACTIONS(5547),
    [anon_sym_TILDE] = ACTIONS(5549),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_LPAREN] = ACTIONS(5551),
    [anon_sym_external] = ACTIONS(5547),
    [anon_sym_type] = ACTIONS(5547),
    [anon_sym_LBRACK] = ACTIONS(5553),
    [anon_sym_RBRACK] = ACTIONS(5545),
    [anon_sym_true] = ACTIONS(5555),
    [anon_sym_false] = ACTIONS(5555),
    [anon_sym_LBRACE] = ACTIONS(5557),
    [anon_sym_exception] = ACTIONS(5547),
    [anon_sym_module] = ACTIONS(5547),
    [anon_sym_open] = ACTIONS(5547),
    [anon_sym_include] = ACTIONS(5547),
    [anon_sym_class] = ACTIONS(5547),
    [anon_sym_object] = ACTIONS(5559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5561),
    [anon_sym_new] = ACTIONS(5563),
    [anon_sym_LBRACE_LT] = ACTIONS(5565),
    [anon_sym_begin] = ACTIONS(5567),
    [sym_ocamlyacc_value] = ACTIONS(5569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5545),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5571),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5573),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5545),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5545),
    [aux_sym_number_token1] = ACTIONS(5575),
    [anon_sym_SQUOTE] = ACTIONS(5577),
    [anon_sym_DQUOTE] = ACTIONS(5579),
    [sym_prefix_operator] = ACTIONS(5581),
    [sym_let_operator] = ACTIONS(5545),
    [sym__uppercase_identifier] = ACTIONS(5583),
    [aux_sym_directive_token1] = ACTIONS(5545),
    [aux_sym_tag_token1] = ACTIONS(5585),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym__simple_expression] = STATE(5933),
    [sym_typed_expression] = STATE(5804),
    [sym_list_expression] = STATE(5804),
    [sym_array_expression] = STATE(5804),
    [sym_record_expression] = STATE(5804),
    [sym_labeled_argument] = STATE(7260),
    [sym_prefix_expression] = STATE(5804),
    [sym_hash_expression] = STATE(5804),
    [sym_field_get_expression] = STATE(5804),
    [sym_array_get_expression] = STATE(5804),
    [sym_string_get_expression] = STATE(5804),
    [sym_bigarray_get_expression] = STATE(5804),
    [sym_coercion_expression] = STATE(5804),
    [sym_local_open_expression] = STATE(5804),
    [sym_package_expression] = STATE(5804),
    [sym_new_expression] = STATE(5804),
    [sym_object_copy_expression] = STATE(5804),
    [sym_method_invocation] = STATE(5804),
    [sym_object_expression] = STATE(5804),
    [sym_parenthesized_expression] = STATE(5804),
    [sym_attribute] = STATE(2472),
    [sym_extension] = STATE(5804),
    [sym_quoted_extension] = STATE(5804),
    [sym__constant] = STATE(5804),
    [sym_number] = STATE(6006),
    [sym_character] = STATE(6006),
    [sym_string] = STATE(6006),
    [sym_quoted_string] = STATE(6006),
    [sym_boolean] = STATE(6006),
    [sym_unit] = STATE(6006),
    [sym__value_name] = STATE(5874),
    [sym_parenthesized_operator] = STATE(6021),
    [sym_value_path] = STATE(5804),
    [sym_module_path] = STATE(18404),
    [sym_constructor_path] = STATE(5804),
    [sym__constructor_name] = STATE(6004),
    [sym_tag] = STATE(5804),
    [aux_sym_class_application_repeat1] = STATE(2480),
    [sym__lowercase_identifier] = ACTIONS(5587),
    [anon_sym_SEMI_SEMI] = ACTIONS(5589),
    [anon_sym_let] = ACTIONS(5591),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LPAREN] = ACTIONS(5595),
    [anon_sym_external] = ACTIONS(5591),
    [anon_sym_type] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5597),
    [anon_sym_true] = ACTIONS(5599),
    [anon_sym_false] = ACTIONS(5599),
    [anon_sym_LBRACE] = ACTIONS(5601),
    [anon_sym_exception] = ACTIONS(5591),
    [anon_sym_module] = ACTIONS(5591),
    [anon_sym_open] = ACTIONS(5591),
    [anon_sym_include] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_end] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(5603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5605),
    [anon_sym_new] = ACTIONS(5607),
    [anon_sym_LBRACE_LT] = ACTIONS(5609),
    [anon_sym_begin] = ACTIONS(5611),
    [sym_ocamlyacc_value] = ACTIONS(5613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(5619),
    [anon_sym_SQUOTE] = ACTIONS(5621),
    [anon_sym_DQUOTE] = ACTIONS(5623),
    [sym_prefix_operator] = ACTIONS(5625),
    [sym_let_operator] = ACTIONS(5589),
    [sym__uppercase_identifier] = ACTIONS(5627),
    [aux_sym_directive_token1] = ACTIONS(5589),
    [aux_sym_tag_token1] = ACTIONS(5629),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym__simple_expression] = STATE(5893),
    [sym_typed_expression] = STATE(6013),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_labeled_argument] = STATE(7262),
    [sym_prefix_expression] = STATE(6013),
    [sym_hash_expression] = STATE(6013),
    [sym_field_get_expression] = STATE(6013),
    [sym_array_get_expression] = STATE(6013),
    [sym_string_get_expression] = STATE(6013),
    [sym_bigarray_get_expression] = STATE(6013),
    [sym_coercion_expression] = STATE(6013),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5870),
    [sym_character] = STATE(5870),
    [sym_string] = STATE(5870),
    [sym_quoted_string] = STATE(5870),
    [sym_boolean] = STATE(5870),
    [sym_unit] = STATE(5870),
    [sym__value_name] = STATE(6067),
    [sym_parenthesized_operator] = STATE(5889),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(17756),
    [sym_constructor_path] = STATE(6013),
    [sym__constructor_name] = STATE(5876),
    [sym_tag] = STATE(6013),
    [aux_sym_class_application_repeat1] = STATE(2473),
    [sym__lowercase_identifier] = ACTIONS(5631),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(5634),
    [anon_sym_QMARK] = ACTIONS(5634),
    [anon_sym_LPAREN] = ACTIONS(5637),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(5643),
    [anon_sym_false] = ACTIONS(5643),
    [anon_sym_LBRACE] = ACTIONS(5646),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(5649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5652),
    [anon_sym_new] = ACTIONS(5655),
    [anon_sym_LBRACE_LT] = ACTIONS(5658),
    [anon_sym_begin] = ACTIONS(5661),
    [sym_ocamlyacc_value] = ACTIONS(5664),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5670),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(5673),
    [anon_sym_SQUOTE] = ACTIONS(5676),
    [anon_sym_DQUOTE] = ACTIONS(5679),
    [sym_prefix_operator] = ACTIONS(5682),
    [sym_let_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(5685),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym__simple_expression] = STATE(5893),
    [sym_typed_expression] = STATE(6013),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_labeled_argument] = STATE(7262),
    [sym_prefix_expression] = STATE(6013),
    [sym_hash_expression] = STATE(6013),
    [sym_field_get_expression] = STATE(6013),
    [sym_array_get_expression] = STATE(6013),
    [sym_string_get_expression] = STATE(6013),
    [sym_bigarray_get_expression] = STATE(6013),
    [sym_coercion_expression] = STATE(6013),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5870),
    [sym_character] = STATE(5870),
    [sym_string] = STATE(5870),
    [sym_quoted_string] = STATE(5870),
    [sym_boolean] = STATE(5870),
    [sym_unit] = STATE(5870),
    [sym__value_name] = STATE(6067),
    [sym_parenthesized_operator] = STATE(5889),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(17756),
    [sym_constructor_path] = STATE(6013),
    [sym__constructor_name] = STATE(5876),
    [sym_tag] = STATE(6013),
    [aux_sym_class_application_repeat1] = STATE(2471),
    [sym__lowercase_identifier] = ACTIONS(5543),
    [anon_sym_SEMI_SEMI] = ACTIONS(5589),
    [anon_sym_let] = ACTIONS(5591),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5549),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_LPAREN] = ACTIONS(5551),
    [anon_sym_external] = ACTIONS(5591),
    [anon_sym_type] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5553),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_true] = ACTIONS(5555),
    [anon_sym_false] = ACTIONS(5555),
    [anon_sym_LBRACE] = ACTIONS(5557),
    [anon_sym_exception] = ACTIONS(5591),
    [anon_sym_module] = ACTIONS(5591),
    [anon_sym_open] = ACTIONS(5591),
    [anon_sym_include] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(5559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5561),
    [anon_sym_new] = ACTIONS(5563),
    [anon_sym_LBRACE_LT] = ACTIONS(5565),
    [anon_sym_begin] = ACTIONS(5567),
    [sym_ocamlyacc_value] = ACTIONS(5569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5571),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5573),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(5575),
    [anon_sym_SQUOTE] = ACTIONS(5577),
    [anon_sym_DQUOTE] = ACTIONS(5579),
    [sym_prefix_operator] = ACTIONS(5581),
    [sym_let_operator] = ACTIONS(5589),
    [sym__uppercase_identifier] = ACTIONS(5583),
    [aux_sym_directive_token1] = ACTIONS(5589),
    [aux_sym_tag_token1] = ACTIONS(5585),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym__simple_expression] = STATE(6007),
    [sym_typed_expression] = STATE(5968),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_labeled_argument] = STATE(7181),
    [sym_prefix_expression] = STATE(5968),
    [sym_hash_expression] = STATE(5968),
    [sym_field_get_expression] = STATE(5968),
    [sym_array_get_expression] = STATE(5968),
    [sym_string_get_expression] = STATE(5968),
    [sym_bigarray_get_expression] = STATE(5968),
    [sym_coercion_expression] = STATE(5968),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(2475),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [aux_sym_class_application_repeat1] = STATE(2475),
    [sym__lowercase_identifier] = ACTIONS(5691),
    [anon_sym_TILDE] = ACTIONS(5694),
    [anon_sym_QMARK] = ACTIONS(5694),
    [anon_sym_LPAREN] = ACTIONS(5697),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(5700),
    [anon_sym_true] = ACTIONS(5703),
    [anon_sym_false] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(5706),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(5709),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5712),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_to] = ACTIONS(3416),
    [anon_sym_downto] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(5715),
    [anon_sym_LBRACE_LT] = ACTIONS(5718),
    [anon_sym_begin] = ACTIONS(5721),
    [sym_ocamlyacc_value] = ACTIONS(5724),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5730),
    [aux_sym_number_token1] = ACTIONS(5733),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(5736),
    [anon_sym_DQUOTE] = ACTIONS(5739),
    [sym_prefix_operator] = ACTIONS(5742),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(5745),
    [aux_sym_tag_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym__simple_expression] = STATE(6007),
    [sym_typed_expression] = STATE(5968),
    [sym_list_expression] = STATE(5968),
    [sym_array_expression] = STATE(5968),
    [sym_record_expression] = STATE(5968),
    [sym_labeled_argument] = STATE(7181),
    [sym_prefix_expression] = STATE(5968),
    [sym_hash_expression] = STATE(5968),
    [sym_field_get_expression] = STATE(5968),
    [sym_array_get_expression] = STATE(5968),
    [sym_string_get_expression] = STATE(5968),
    [sym_bigarray_get_expression] = STATE(5968),
    [sym_coercion_expression] = STATE(5968),
    [sym_local_open_expression] = STATE(5968),
    [sym_package_expression] = STATE(5968),
    [sym_new_expression] = STATE(5968),
    [sym_object_copy_expression] = STATE(5968),
    [sym_method_invocation] = STATE(5968),
    [sym_object_expression] = STATE(5968),
    [sym_parenthesized_expression] = STATE(5968),
    [sym_attribute] = STATE(2476),
    [sym_extension] = STATE(5968),
    [sym_quoted_extension] = STATE(5968),
    [sym__constant] = STATE(5968),
    [sym_number] = STATE(5964),
    [sym_character] = STATE(5964),
    [sym_string] = STATE(5964),
    [sym_quoted_string] = STATE(5964),
    [sym_boolean] = STATE(5964),
    [sym_unit] = STATE(5964),
    [sym__value_name] = STATE(6097),
    [sym_parenthesized_operator] = STATE(5842),
    [sym_value_path] = STATE(5968),
    [sym_module_path] = STATE(18521),
    [sym_constructor_path] = STATE(5968),
    [sym__constructor_name] = STATE(5960),
    [sym_tag] = STATE(5968),
    [aux_sym_class_application_repeat1] = STATE(2475),
    [sym__lowercase_identifier] = ACTIONS(5197),
    [anon_sym_TILDE] = ACTIONS(5199),
    [anon_sym_QMARK] = ACTIONS(5199),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_to] = ACTIONS(3331),
    [anon_sym_downto] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym_parameter] = STATE(10067),
    [sym__polymorphic_typed] = STATE(16705),
    [sym__parenthesized_abstract_type] = STATE(10067),
    [sym__simple_pattern] = STATE(10059),
    [sym_typed_pattern] = STATE(9973),
    [sym_polymorphic_variant_pattern] = STATE(9973),
    [sym_record_pattern] = STATE(9973),
    [sym_list_pattern] = STATE(9973),
    [sym_array_pattern] = STATE(9973),
    [sym_local_open_pattern] = STATE(9973),
    [sym_package_pattern] = STATE(9973),
    [sym_parenthesized_pattern] = STATE(9973),
    [sym_attribute] = STATE(2477),
    [sym_item_attribute] = STATE(10662),
    [sym_extension] = STATE(9973),
    [sym_quoted_extension] = STATE(9973),
    [sym__constant] = STATE(10115),
    [sym__signed_constant] = STATE(9973),
    [sym_number] = STATE(10063),
    [sym_signed_number] = STATE(10115),
    [sym_character] = STATE(10063),
    [sym_string] = STATE(10063),
    [sym_quoted_string] = STATE(10063),
    [sym_boolean] = STATE(10063),
    [sym_unit] = STATE(10063),
    [sym__simple_value_pattern] = STATE(9973),
    [sym_parenthesized_operator] = STATE(9973),
    [sym_module_path] = STATE(17929),
    [sym_constructor_path] = STATE(9973),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(9973),
    [aux_sym_expression_item_repeat1] = STATE(10184),
    [aux_sym_let_binding_repeat1] = STATE(4616),
    [sym__lowercase_identifier] = ACTIONS(5407),
    [anon_sym_SEMI_SEMI] = ACTIONS(5409),
    [anon_sym_let] = ACTIONS(5411),
    [anon_sym_and] = ACTIONS(5411),
    [anon_sym_COLON_GT] = ACTIONS(5751),
    [anon_sym_EQ] = ACTIONS(5753),
    [anon_sym_TILDE] = ACTIONS(5417),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_LPAREN] = ACTIONS(5419),
    [anon_sym_external] = ACTIONS(5411),
    [anon_sym_type] = ACTIONS(5411),
    [anon_sym_COMMA] = ACTIONS(5755),
    [anon_sym_PIPE] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5425),
    [anon_sym_RBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(5427),
    [anon_sym_false] = ACTIONS(5427),
    [anon_sym_COLON2] = ACTIONS(5429),
    [anon_sym_LBRACE] = ACTIONS(5431),
    [anon_sym_exception] = ACTIONS(5411),
    [anon_sym_module] = ACTIONS(5411),
    [anon_sym_open] = ACTIONS(5411),
    [anon_sym_include] = ACTIONS(5411),
    [anon_sym_class] = ACTIONS(5411),
    [anon_sym_as] = ACTIONS(5759),
    [anon_sym_POUND] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5439),
    [anon_sym_begin] = ACTIONS(5441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5409),
    [aux_sym_number_token1] = ACTIONS(5449),
    [aux_sym_signed_number_token1] = ACTIONS(5451),
    [anon_sym_SQUOTE] = ACTIONS(5453),
    [anon_sym_DQUOTE] = ACTIONS(5455),
    [sym_let_operator] = ACTIONS(5409),
    [sym_let_and_operator] = ACTIONS(5409),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_directive_token1] = ACTIONS(5411),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym__simple_expression] = STATE(5933),
    [sym_typed_expression] = STATE(5804),
    [sym_list_expression] = STATE(5804),
    [sym_array_expression] = STATE(5804),
    [sym_record_expression] = STATE(5804),
    [sym_labeled_argument] = STATE(7260),
    [sym_prefix_expression] = STATE(5804),
    [sym_hash_expression] = STATE(5804),
    [sym_field_get_expression] = STATE(5804),
    [sym_array_get_expression] = STATE(5804),
    [sym_string_get_expression] = STATE(5804),
    [sym_bigarray_get_expression] = STATE(5804),
    [sym_coercion_expression] = STATE(5804),
    [sym_local_open_expression] = STATE(5804),
    [sym_package_expression] = STATE(5804),
    [sym_new_expression] = STATE(5804),
    [sym_object_copy_expression] = STATE(5804),
    [sym_method_invocation] = STATE(5804),
    [sym_object_expression] = STATE(5804),
    [sym_parenthesized_expression] = STATE(5804),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(5804),
    [sym_quoted_extension] = STATE(5804),
    [sym__constant] = STATE(5804),
    [sym_number] = STATE(6006),
    [sym_character] = STATE(6006),
    [sym_string] = STATE(6006),
    [sym_quoted_string] = STATE(6006),
    [sym_boolean] = STATE(6006),
    [sym_unit] = STATE(6006),
    [sym__value_name] = STATE(5874),
    [sym_parenthesized_operator] = STATE(6021),
    [sym_value_path] = STATE(5804),
    [sym_module_path] = STATE(18404),
    [sym_constructor_path] = STATE(5804),
    [sym__constructor_name] = STATE(6004),
    [sym_tag] = STATE(5804),
    [aux_sym_class_application_repeat1] = STATE(2478),
    [sym__lowercase_identifier] = ACTIONS(5763),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_let] = ACTIONS(3416),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(5766),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_LPAREN] = ACTIONS(5769),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [anon_sym_true] = ACTIONS(5775),
    [anon_sym_false] = ACTIONS(5775),
    [anon_sym_LBRACE] = ACTIONS(5778),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(5781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5784),
    [anon_sym_new] = ACTIONS(5787),
    [anon_sym_LBRACE_LT] = ACTIONS(5790),
    [anon_sym_begin] = ACTIONS(5793),
    [sym_ocamlyacc_value] = ACTIONS(5796),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5799),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5802),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(5805),
    [anon_sym_SQUOTE] = ACTIONS(5808),
    [anon_sym_DQUOTE] = ACTIONS(5811),
    [sym_prefix_operator] = ACTIONS(5814),
    [sym_let_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(5817),
    [aux_sym_directive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(5820),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym_parameter] = STATE(10067),
    [sym__polymorphic_typed] = STATE(16525),
    [sym__parenthesized_abstract_type] = STATE(10067),
    [sym__simple_pattern] = STATE(10059),
    [sym_typed_pattern] = STATE(9973),
    [sym_polymorphic_variant_pattern] = STATE(9973),
    [sym_record_pattern] = STATE(9973),
    [sym_list_pattern] = STATE(9973),
    [sym_array_pattern] = STATE(9973),
    [sym_local_open_pattern] = STATE(9973),
    [sym_package_pattern] = STATE(9973),
    [sym_parenthesized_pattern] = STATE(9973),
    [sym_attribute] = STATE(2479),
    [sym_item_attribute] = STATE(10662),
    [sym_extension] = STATE(9973),
    [sym_quoted_extension] = STATE(9973),
    [sym__constant] = STATE(10115),
    [sym__signed_constant] = STATE(9973),
    [sym_number] = STATE(10063),
    [sym_signed_number] = STATE(10115),
    [sym_character] = STATE(10063),
    [sym_string] = STATE(10063),
    [sym_quoted_string] = STATE(10063),
    [sym_boolean] = STATE(10063),
    [sym_unit] = STATE(10063),
    [sym__simple_value_pattern] = STATE(9973),
    [sym_parenthesized_operator] = STATE(9973),
    [sym_module_path] = STATE(17929),
    [sym_constructor_path] = STATE(9973),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(9973),
    [aux_sym_expression_item_repeat1] = STATE(10184),
    [aux_sym_let_binding_repeat1] = STATE(4619),
    [sym__lowercase_identifier] = ACTIONS(5407),
    [anon_sym_SEMI_SEMI] = ACTIONS(5409),
    [anon_sym_let] = ACTIONS(5411),
    [anon_sym_and] = ACTIONS(5411),
    [anon_sym_COLON_GT] = ACTIONS(5823),
    [anon_sym_EQ] = ACTIONS(5825),
    [anon_sym_TILDE] = ACTIONS(5417),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_LPAREN] = ACTIONS(5419),
    [anon_sym_external] = ACTIONS(5411),
    [anon_sym_type] = ACTIONS(5411),
    [anon_sym_COMMA] = ACTIONS(5827),
    [anon_sym_PIPE] = ACTIONS(5829),
    [anon_sym_LBRACK] = ACTIONS(5425),
    [anon_sym_true] = ACTIONS(5427),
    [anon_sym_false] = ACTIONS(5427),
    [anon_sym_COLON2] = ACTIONS(5429),
    [anon_sym_LBRACE] = ACTIONS(5431),
    [anon_sym_exception] = ACTIONS(5411),
    [anon_sym_module] = ACTIONS(5411),
    [anon_sym_open] = ACTIONS(5411),
    [anon_sym_include] = ACTIONS(5411),
    [anon_sym_class] = ACTIONS(5411),
    [anon_sym_end] = ACTIONS(5411),
    [anon_sym_as] = ACTIONS(5831),
    [anon_sym_POUND] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5439),
    [anon_sym_begin] = ACTIONS(5441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5443),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5409),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5445),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5447),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5409),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5409),
    [aux_sym_number_token1] = ACTIONS(5449),
    [aux_sym_signed_number_token1] = ACTIONS(5451),
    [anon_sym_SQUOTE] = ACTIONS(5453),
    [anon_sym_DQUOTE] = ACTIONS(5455),
    [sym_let_operator] = ACTIONS(5409),
    [sym_let_and_operator] = ACTIONS(5409),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_directive_token1] = ACTIONS(5411),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym__simple_expression] = STATE(5933),
    [sym_typed_expression] = STATE(5804),
    [sym_list_expression] = STATE(5804),
    [sym_array_expression] = STATE(5804),
    [sym_record_expression] = STATE(5804),
    [sym_labeled_argument] = STATE(7260),
    [sym_prefix_expression] = STATE(5804),
    [sym_hash_expression] = STATE(5804),
    [sym_field_get_expression] = STATE(5804),
    [sym_array_get_expression] = STATE(5804),
    [sym_string_get_expression] = STATE(5804),
    [sym_bigarray_get_expression] = STATE(5804),
    [sym_coercion_expression] = STATE(5804),
    [sym_local_open_expression] = STATE(5804),
    [sym_package_expression] = STATE(5804),
    [sym_new_expression] = STATE(5804),
    [sym_object_copy_expression] = STATE(5804),
    [sym_method_invocation] = STATE(5804),
    [sym_object_expression] = STATE(5804),
    [sym_parenthesized_expression] = STATE(5804),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(5804),
    [sym_quoted_extension] = STATE(5804),
    [sym__constant] = STATE(5804),
    [sym_number] = STATE(6006),
    [sym_character] = STATE(6006),
    [sym_string] = STATE(6006),
    [sym_quoted_string] = STATE(6006),
    [sym_boolean] = STATE(6006),
    [sym_unit] = STATE(6006),
    [sym__value_name] = STATE(5874),
    [sym_parenthesized_operator] = STATE(6021),
    [sym_value_path] = STATE(5804),
    [sym_module_path] = STATE(18404),
    [sym_constructor_path] = STATE(5804),
    [sym__constructor_name] = STATE(6004),
    [sym_tag] = STATE(5804),
    [aux_sym_class_application_repeat1] = STATE(2478),
    [sym__lowercase_identifier] = ACTIONS(5587),
    [anon_sym_SEMI_SEMI] = ACTIONS(5545),
    [anon_sym_let] = ACTIONS(5547),
    [anon_sym_and] = ACTIONS(5547),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LPAREN] = ACTIONS(5595),
    [anon_sym_external] = ACTIONS(5547),
    [anon_sym_type] = ACTIONS(5547),
    [anon_sym_LBRACK] = ACTIONS(5597),
    [anon_sym_true] = ACTIONS(5599),
    [anon_sym_false] = ACTIONS(5599),
    [anon_sym_LBRACE] = ACTIONS(5601),
    [anon_sym_exception] = ACTIONS(5547),
    [anon_sym_module] = ACTIONS(5547),
    [anon_sym_open] = ACTIONS(5547),
    [anon_sym_include] = ACTIONS(5547),
    [anon_sym_class] = ACTIONS(5547),
    [anon_sym_end] = ACTIONS(5547),
    [anon_sym_object] = ACTIONS(5603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5605),
    [anon_sym_new] = ACTIONS(5607),
    [anon_sym_LBRACE_LT] = ACTIONS(5609),
    [anon_sym_begin] = ACTIONS(5611),
    [sym_ocamlyacc_value] = ACTIONS(5613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5545),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5545),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5545),
    [aux_sym_number_token1] = ACTIONS(5619),
    [anon_sym_SQUOTE] = ACTIONS(5621),
    [anon_sym_DQUOTE] = ACTIONS(5623),
    [sym_prefix_operator] = ACTIONS(5625),
    [sym_let_operator] = ACTIONS(5545),
    [sym__uppercase_identifier] = ACTIONS(5627),
    [aux_sym_directive_token1] = ACTIONS(5545),
    [aux_sym_tag_token1] = ACTIONS(5629),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym__simple_expression] = STATE(6345),
    [sym_typed_expression] = STATE(6419),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_labeled_argument] = STATE(7513),
    [sym_prefix_expression] = STATE(6419),
    [sym_hash_expression] = STATE(6419),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_coercion_expression] = STATE(6419),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [aux_sym_class_application_repeat1] = STATE(2487),
    [sym__lowercase_identifier] = ACTIONS(5357),
    [anon_sym_TILDE] = ACTIONS(5359),
    [anon_sym_QMARK] = ACTIONS(5359),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(2189),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2193),
    [anon_sym_to] = ACTIONS(3331),
    [anon_sym_downto] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(2203),
    [anon_sym_LBRACE_LT] = ACTIONS(2205),
    [anon_sym_begin] = ACTIONS(2207),
    [sym_ocamlyacc_value] = ACTIONS(2209),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2213),
    [aux_sym_number_token1] = ACTIONS(2215),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2227),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym__simple_expression] = STATE(6357),
    [sym_typed_expression] = STATE(6524),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_labeled_argument] = STATE(7376),
    [sym_prefix_expression] = STATE(6524),
    [sym_hash_expression] = STATE(6524),
    [sym_field_get_expression] = STATE(6524),
    [sym_array_get_expression] = STATE(6524),
    [sym_string_get_expression] = STATE(6524),
    [sym_bigarray_get_expression] = STATE(6524),
    [sym_coercion_expression] = STATE(6524),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [aux_sym_class_application_repeat1] = STATE(2489),
    [sym__lowercase_identifier] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(2267),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2271),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_LBRACE_LT] = ACTIONS(2283),
    [anon_sym_begin] = ACTIONS(2285),
    [sym_ocamlyacc_value] = ACTIONS(2287),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2291),
    [aux_sym_number_token1] = ACTIONS(2293),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym__simple_expression] = STATE(6481),
    [sym_typed_expression] = STATE(6501),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_labeled_argument] = STATE(7528),
    [sym_prefix_expression] = STATE(6501),
    [sym_hash_expression] = STATE(6501),
    [sym_field_get_expression] = STATE(6501),
    [sym_array_get_expression] = STATE(6501),
    [sym_string_get_expression] = STATE(6501),
    [sym_bigarray_get_expression] = STATE(6501),
    [sym_coercion_expression] = STATE(6501),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(2483),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [aux_sym_class_application_repeat1] = STATE(2483),
    [sym__lowercase_identifier] = ACTIONS(5835),
    [anon_sym_TILDE] = ACTIONS(5838),
    [anon_sym_QMARK] = ACTIONS(5838),
    [anon_sym_LPAREN] = ACTIONS(5841),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(5844),
    [anon_sym_true] = ACTIONS(5847),
    [anon_sym_false] = ACTIONS(5847),
    [anon_sym_LBRACE] = ACTIONS(5850),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(5853),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5856),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_done] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(5859),
    [anon_sym_LBRACE_LT] = ACTIONS(5862),
    [anon_sym_begin] = ACTIONS(5865),
    [sym_ocamlyacc_value] = ACTIONS(5868),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5874),
    [aux_sym_number_token1] = ACTIONS(5877),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(5880),
    [anon_sym_DQUOTE] = ACTIONS(5883),
    [sym_prefix_operator] = ACTIONS(5886),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(5889),
    [aux_sym_tag_token1] = ACTIONS(5892),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym__simple_expression] = STATE(6363),
    [sym_typed_expression] = STATE(6252),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_labeled_argument] = STATE(7521),
    [sym_prefix_expression] = STATE(6252),
    [sym_hash_expression] = STATE(6252),
    [sym_field_get_expression] = STATE(6252),
    [sym_array_get_expression] = STATE(6252),
    [sym_string_get_expression] = STATE(6252),
    [sym_bigarray_get_expression] = STATE(6252),
    [sym_coercion_expression] = STATE(6252),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [aux_sym_class_application_repeat1] = STATE(2492),
    [sym__lowercase_identifier] = ACTIONS(5347),
    [anon_sym_TILDE] = ACTIONS(5349),
    [anon_sym_QMARK] = ACTIONS(5349),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(2445),
    [anon_sym_false] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2453),
    [anon_sym_then] = ACTIONS(3331),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_LBRACE_LT] = ACTIONS(2465),
    [anon_sym_begin] = ACTIONS(2467),
    [sym_ocamlyacc_value] = ACTIONS(2469),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2471),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2473),
    [aux_sym_number_token1] = ACTIONS(2475),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2485),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym__simple_expression] = STATE(6481),
    [sym_typed_expression] = STATE(6501),
    [sym_list_expression] = STATE(6501),
    [sym_array_expression] = STATE(6501),
    [sym_record_expression] = STATE(6501),
    [sym_labeled_argument] = STATE(7528),
    [sym_prefix_expression] = STATE(6501),
    [sym_hash_expression] = STATE(6501),
    [sym_field_get_expression] = STATE(6501),
    [sym_array_get_expression] = STATE(6501),
    [sym_string_get_expression] = STATE(6501),
    [sym_bigarray_get_expression] = STATE(6501),
    [sym_coercion_expression] = STATE(6501),
    [sym_local_open_expression] = STATE(6501),
    [sym_package_expression] = STATE(6501),
    [sym_new_expression] = STATE(6501),
    [sym_object_copy_expression] = STATE(6501),
    [sym_method_invocation] = STATE(6501),
    [sym_object_expression] = STATE(6501),
    [sym_parenthesized_expression] = STATE(6501),
    [sym_attribute] = STATE(2485),
    [sym_extension] = STATE(6501),
    [sym_quoted_extension] = STATE(6501),
    [sym__constant] = STATE(6501),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym__value_name] = STATE(6302),
    [sym_parenthesized_operator] = STATE(6274),
    [sym_value_path] = STATE(6501),
    [sym_module_path] = STATE(18482),
    [sym_constructor_path] = STATE(6501),
    [sym__constructor_name] = STATE(6308),
    [sym_tag] = STATE(6501),
    [aux_sym_class_application_repeat1] = STATE(2483),
    [sym__lowercase_identifier] = ACTIONS(5255),
    [anon_sym_TILDE] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5257),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(2507),
    [anon_sym_false] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_done] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACE_LT] = ACTIONS(2527),
    [anon_sym_begin] = ACTIONS(2529),
    [sym_ocamlyacc_value] = ACTIONS(2531),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2535),
    [aux_sym_number_token1] = ACTIONS(2537),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [sym_prefix_operator] = ACTIONS(2543),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym__simple_expression] = STATE(6475),
    [sym_typed_expression] = STATE(6568),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_labeled_argument] = STATE(7383),
    [sym_prefix_expression] = STATE(6568),
    [sym_hash_expression] = STATE(6568),
    [sym_field_get_expression] = STATE(6568),
    [sym_array_get_expression] = STATE(6568),
    [sym_string_get_expression] = STATE(6568),
    [sym_bigarray_get_expression] = STATE(6568),
    [sym_coercion_expression] = STATE(6568),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [aux_sym_class_application_repeat1] = STATE(2490),
    [sym__lowercase_identifier] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5327),
    [anon_sym_QMARK] = ACTIONS(5327),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2319),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2325),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_LBRACE_LT] = ACTIONS(2337),
    [anon_sym_begin] = ACTIONS(2339),
    [sym_ocamlyacc_value] = ACTIONS(2341),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2345),
    [aux_sym_number_token1] = ACTIONS(2347),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym__simple_expression] = STATE(6345),
    [sym_typed_expression] = STATE(6419),
    [sym_list_expression] = STATE(6419),
    [sym_array_expression] = STATE(6419),
    [sym_record_expression] = STATE(6419),
    [sym_labeled_argument] = STATE(7513),
    [sym_prefix_expression] = STATE(6419),
    [sym_hash_expression] = STATE(6419),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_coercion_expression] = STATE(6419),
    [sym_local_open_expression] = STATE(6419),
    [sym_package_expression] = STATE(6419),
    [sym_new_expression] = STATE(6419),
    [sym_object_copy_expression] = STATE(6419),
    [sym_method_invocation] = STATE(6419),
    [sym_object_expression] = STATE(6419),
    [sym_parenthesized_expression] = STATE(6419),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(6419),
    [sym_quoted_extension] = STATE(6419),
    [sym__constant] = STATE(6419),
    [sym_number] = STATE(6187),
    [sym_character] = STATE(6187),
    [sym_string] = STATE(6187),
    [sym_quoted_string] = STATE(6187),
    [sym_boolean] = STATE(6187),
    [sym_unit] = STATE(6187),
    [sym__value_name] = STATE(6356),
    [sym_parenthesized_operator] = STATE(6162),
    [sym_value_path] = STATE(6419),
    [sym_module_path] = STATE(17536),
    [sym_constructor_path] = STATE(6419),
    [sym__constructor_name] = STATE(6190),
    [sym_tag] = STATE(6419),
    [aux_sym_class_application_repeat1] = STATE(2487),
    [sym__lowercase_identifier] = ACTIONS(5895),
    [anon_sym_TILDE] = ACTIONS(5898),
    [anon_sym_QMARK] = ACTIONS(5898),
    [anon_sym_LPAREN] = ACTIONS(5901),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(5904),
    [anon_sym_true] = ACTIONS(5907),
    [anon_sym_false] = ACTIONS(5907),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(5913),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5916),
    [anon_sym_to] = ACTIONS(3416),
    [anon_sym_downto] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(5919),
    [anon_sym_LBRACE_LT] = ACTIONS(5922),
    [anon_sym_begin] = ACTIONS(5925),
    [sym_ocamlyacc_value] = ACTIONS(5928),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5931),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5934),
    [aux_sym_number_token1] = ACTIONS(5937),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(5940),
    [anon_sym_DQUOTE] = ACTIONS(5943),
    [sym_prefix_operator] = ACTIONS(5946),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(5949),
    [aux_sym_tag_token1] = ACTIONS(5952),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym__simple_expression] = STATE(6584),
    [sym_typed_expression] = STATE(6277),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_labeled_argument] = STATE(7430),
    [sym_prefix_expression] = STATE(6277),
    [sym_hash_expression] = STATE(6277),
    [sym_field_get_expression] = STATE(6277),
    [sym_array_get_expression] = STATE(6277),
    [sym_string_get_expression] = STATE(6277),
    [sym_bigarray_get_expression] = STATE(6277),
    [sym_coercion_expression] = STATE(6277),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [aux_sym_class_application_repeat1] = STATE(2491),
    [sym__lowercase_identifier] = ACTIONS(5241),
    [anon_sym_TILDE] = ACTIONS(5243),
    [anon_sym_QMARK] = ACTIONS(5243),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(2371),
    [anon_sym_false] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(2375),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2379),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACE_LT] = ACTIONS(2391),
    [anon_sym_begin] = ACTIONS(2393),
    [sym_ocamlyacc_value] = ACTIONS(2395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2399),
    [aux_sym_number_token1] = ACTIONS(2401),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym__simple_expression] = STATE(6357),
    [sym_typed_expression] = STATE(6524),
    [sym_list_expression] = STATE(6524),
    [sym_array_expression] = STATE(6524),
    [sym_record_expression] = STATE(6524),
    [sym_labeled_argument] = STATE(7376),
    [sym_prefix_expression] = STATE(6524),
    [sym_hash_expression] = STATE(6524),
    [sym_field_get_expression] = STATE(6524),
    [sym_array_get_expression] = STATE(6524),
    [sym_string_get_expression] = STATE(6524),
    [sym_bigarray_get_expression] = STATE(6524),
    [sym_coercion_expression] = STATE(6524),
    [sym_local_open_expression] = STATE(6524),
    [sym_package_expression] = STATE(6524),
    [sym_new_expression] = STATE(6524),
    [sym_object_copy_expression] = STATE(6524),
    [sym_method_invocation] = STATE(6524),
    [sym_object_expression] = STATE(6524),
    [sym_parenthesized_expression] = STATE(6524),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(6524),
    [sym_quoted_extension] = STATE(6524),
    [sym__constant] = STATE(6524),
    [sym_number] = STATE(6477),
    [sym_character] = STATE(6477),
    [sym_string] = STATE(6477),
    [sym_quoted_string] = STATE(6477),
    [sym_boolean] = STATE(6477),
    [sym_unit] = STATE(6477),
    [sym__value_name] = STATE(6253),
    [sym_parenthesized_operator] = STATE(6373),
    [sym_value_path] = STATE(6524),
    [sym_module_path] = STATE(18037),
    [sym_constructor_path] = STATE(6524),
    [sym__constructor_name] = STATE(6497),
    [sym_tag] = STATE(6524),
    [aux_sym_class_application_repeat1] = STATE(2489),
    [sym__lowercase_identifier] = ACTIONS(5955),
    [anon_sym_TILDE] = ACTIONS(5958),
    [anon_sym_QMARK] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(5961),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(5964),
    [anon_sym_true] = ACTIONS(5967),
    [anon_sym_false] = ACTIONS(5967),
    [anon_sym_LBRACE] = ACTIONS(5970),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(5973),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5976),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(5979),
    [anon_sym_LBRACE_LT] = ACTIONS(5982),
    [anon_sym_begin] = ACTIONS(5985),
    [sym_ocamlyacc_value] = ACTIONS(5988),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5991),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5994),
    [aux_sym_number_token1] = ACTIONS(5997),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(6000),
    [anon_sym_DQUOTE] = ACTIONS(6003),
    [sym_prefix_operator] = ACTIONS(6006),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(6009),
    [aux_sym_tag_token1] = ACTIONS(6012),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym__simple_expression] = STATE(6475),
    [sym_typed_expression] = STATE(6568),
    [sym_list_expression] = STATE(6568),
    [sym_array_expression] = STATE(6568),
    [sym_record_expression] = STATE(6568),
    [sym_labeled_argument] = STATE(7383),
    [sym_prefix_expression] = STATE(6568),
    [sym_hash_expression] = STATE(6568),
    [sym_field_get_expression] = STATE(6568),
    [sym_array_get_expression] = STATE(6568),
    [sym_string_get_expression] = STATE(6568),
    [sym_bigarray_get_expression] = STATE(6568),
    [sym_coercion_expression] = STATE(6568),
    [sym_local_open_expression] = STATE(6568),
    [sym_package_expression] = STATE(6568),
    [sym_new_expression] = STATE(6568),
    [sym_object_copy_expression] = STATE(6568),
    [sym_method_invocation] = STATE(6568),
    [sym_object_expression] = STATE(6568),
    [sym_parenthesized_expression] = STATE(6568),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(6568),
    [sym_quoted_extension] = STATE(6568),
    [sym__constant] = STATE(6568),
    [sym_number] = STATE(6196),
    [sym_character] = STATE(6196),
    [sym_string] = STATE(6196),
    [sym_quoted_string] = STATE(6196),
    [sym_boolean] = STATE(6196),
    [sym_unit] = STATE(6196),
    [sym__value_name] = STATE(6517),
    [sym_parenthesized_operator] = STATE(6281),
    [sym_value_path] = STATE(6568),
    [sym_module_path] = STATE(17996),
    [sym_constructor_path] = STATE(6568),
    [sym__constructor_name] = STATE(6234),
    [sym_tag] = STATE(6568),
    [aux_sym_class_application_repeat1] = STATE(2490),
    [sym__lowercase_identifier] = ACTIONS(6015),
    [anon_sym_TILDE] = ACTIONS(6018),
    [anon_sym_QMARK] = ACTIONS(6018),
    [anon_sym_LPAREN] = ACTIONS(6021),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6024),
    [anon_sym_true] = ACTIONS(6027),
    [anon_sym_false] = ACTIONS(6027),
    [anon_sym_LBRACE] = ACTIONS(6030),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_with] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(6033),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6036),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(6039),
    [anon_sym_LBRACE_LT] = ACTIONS(6042),
    [anon_sym_begin] = ACTIONS(6045),
    [sym_ocamlyacc_value] = ACTIONS(6048),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6051),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6054),
    [aux_sym_number_token1] = ACTIONS(6057),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(6060),
    [anon_sym_DQUOTE] = ACTIONS(6063),
    [sym_prefix_operator] = ACTIONS(6066),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(6069),
    [aux_sym_tag_token1] = ACTIONS(6072),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym__simple_expression] = STATE(6584),
    [sym_typed_expression] = STATE(6277),
    [sym_list_expression] = STATE(6277),
    [sym_array_expression] = STATE(6277),
    [sym_record_expression] = STATE(6277),
    [sym_labeled_argument] = STATE(7430),
    [sym_prefix_expression] = STATE(6277),
    [sym_hash_expression] = STATE(6277),
    [sym_field_get_expression] = STATE(6277),
    [sym_array_get_expression] = STATE(6277),
    [sym_string_get_expression] = STATE(6277),
    [sym_bigarray_get_expression] = STATE(6277),
    [sym_coercion_expression] = STATE(6277),
    [sym_local_open_expression] = STATE(6277),
    [sym_package_expression] = STATE(6277),
    [sym_new_expression] = STATE(6277),
    [sym_object_copy_expression] = STATE(6277),
    [sym_method_invocation] = STATE(6277),
    [sym_object_expression] = STATE(6277),
    [sym_parenthesized_expression] = STATE(6277),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(6277),
    [sym_quoted_extension] = STATE(6277),
    [sym__constant] = STATE(6277),
    [sym_number] = STATE(6132),
    [sym_character] = STATE(6132),
    [sym_string] = STATE(6132),
    [sym_quoted_string] = STATE(6132),
    [sym_boolean] = STATE(6132),
    [sym_unit] = STATE(6132),
    [sym__value_name] = STATE(6574),
    [sym_parenthesized_operator] = STATE(6189),
    [sym_value_path] = STATE(6277),
    [sym_module_path] = STATE(17914),
    [sym_constructor_path] = STATE(6277),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6277),
    [aux_sym_class_application_repeat1] = STATE(2491),
    [sym__lowercase_identifier] = ACTIONS(6075),
    [anon_sym_TILDE] = ACTIONS(6078),
    [anon_sym_QMARK] = ACTIONS(6078),
    [anon_sym_LPAREN] = ACTIONS(6081),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6084),
    [anon_sym_true] = ACTIONS(6087),
    [anon_sym_false] = ACTIONS(6087),
    [anon_sym_LBRACE] = ACTIONS(6090),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(6093),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6096),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(6099),
    [anon_sym_LBRACE_LT] = ACTIONS(6102),
    [anon_sym_begin] = ACTIONS(6105),
    [sym_ocamlyacc_value] = ACTIONS(6108),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6114),
    [aux_sym_number_token1] = ACTIONS(6117),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(6120),
    [anon_sym_DQUOTE] = ACTIONS(6123),
    [sym_prefix_operator] = ACTIONS(6126),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(6129),
    [aux_sym_tag_token1] = ACTIONS(6132),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym__simple_expression] = STATE(6363),
    [sym_typed_expression] = STATE(6252),
    [sym_list_expression] = STATE(6252),
    [sym_array_expression] = STATE(6252),
    [sym_record_expression] = STATE(6252),
    [sym_labeled_argument] = STATE(7521),
    [sym_prefix_expression] = STATE(6252),
    [sym_hash_expression] = STATE(6252),
    [sym_field_get_expression] = STATE(6252),
    [sym_array_get_expression] = STATE(6252),
    [sym_string_get_expression] = STATE(6252),
    [sym_bigarray_get_expression] = STATE(6252),
    [sym_coercion_expression] = STATE(6252),
    [sym_local_open_expression] = STATE(6252),
    [sym_package_expression] = STATE(6252),
    [sym_new_expression] = STATE(6252),
    [sym_object_copy_expression] = STATE(6252),
    [sym_method_invocation] = STATE(6252),
    [sym_object_expression] = STATE(6252),
    [sym_parenthesized_expression] = STATE(6252),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(6252),
    [sym_quoted_extension] = STATE(6252),
    [sym__constant] = STATE(6252),
    [sym_number] = STATE(6306),
    [sym_character] = STATE(6306),
    [sym_string] = STATE(6306),
    [sym_quoted_string] = STATE(6306),
    [sym_boolean] = STATE(6306),
    [sym_unit] = STATE(6306),
    [sym__value_name] = STATE(6289),
    [sym_parenthesized_operator] = STATE(6130),
    [sym_value_path] = STATE(6252),
    [sym_module_path] = STATE(17866),
    [sym_constructor_path] = STATE(6252),
    [sym__constructor_name] = STATE(6298),
    [sym_tag] = STATE(6252),
    [aux_sym_class_application_repeat1] = STATE(2492),
    [sym__lowercase_identifier] = ACTIONS(6135),
    [anon_sym_TILDE] = ACTIONS(6138),
    [anon_sym_QMARK] = ACTIONS(6138),
    [anon_sym_LPAREN] = ACTIONS(6141),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6144),
    [anon_sym_true] = ACTIONS(6147),
    [anon_sym_false] = ACTIONS(6147),
    [anon_sym_LBRACE] = ACTIONS(6150),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(6153),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6156),
    [anon_sym_then] = ACTIONS(3416),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(6159),
    [anon_sym_LBRACE_LT] = ACTIONS(6162),
    [anon_sym_begin] = ACTIONS(6165),
    [sym_ocamlyacc_value] = ACTIONS(6168),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6171),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6174),
    [aux_sym_number_token1] = ACTIONS(6177),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(6180),
    [anon_sym_DQUOTE] = ACTIONS(6183),
    [sym_prefix_operator] = ACTIONS(6186),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(6189),
    [aux_sym_tag_token1] = ACTIONS(6192),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym__simple_expression] = STATE(7094),
    [sym_typed_expression] = STATE(7064),
    [sym_list_expression] = STATE(7064),
    [sym_array_expression] = STATE(7064),
    [sym_record_expression] = STATE(7064),
    [sym_labeled_argument] = STATE(7592),
    [sym_prefix_expression] = STATE(7064),
    [sym_hash_expression] = STATE(7064),
    [sym_field_get_expression] = STATE(7064),
    [sym_array_get_expression] = STATE(7064),
    [sym_string_get_expression] = STATE(7064),
    [sym_bigarray_get_expression] = STATE(7064),
    [sym_coercion_expression] = STATE(7064),
    [sym_local_open_expression] = STATE(7064),
    [sym_package_expression] = STATE(7064),
    [sym_new_expression] = STATE(7064),
    [sym_object_copy_expression] = STATE(7064),
    [sym_method_invocation] = STATE(7064),
    [sym_object_expression] = STATE(7064),
    [sym_parenthesized_expression] = STATE(7064),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(7064),
    [sym_quoted_extension] = STATE(7064),
    [sym__constant] = STATE(7064),
    [sym_number] = STATE(7132),
    [sym_character] = STATE(7132),
    [sym_string] = STATE(7132),
    [sym_quoted_string] = STATE(7132),
    [sym_boolean] = STATE(7132),
    [sym_unit] = STATE(7132),
    [sym__value_name] = STATE(6918),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(7064),
    [sym_module_path] = STATE(18160),
    [sym_constructor_path] = STATE(7064),
    [sym__constructor_name] = STATE(7135),
    [sym_tag] = STATE(7064),
    [aux_sym_class_application_repeat1] = STATE(2493),
    [sym__lowercase_identifier] = ACTIONS(6195),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(6198),
    [anon_sym_QMARK] = ACTIONS(6198),
    [anon_sym_LPAREN] = ACTIONS(6201),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6204),
    [anon_sym_RBRACK] = ACTIONS(3414),
    [anon_sym_true] = ACTIONS(6207),
    [anon_sym_false] = ACTIONS(6207),
    [anon_sym_LBRACE] = ACTIONS(6210),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_val] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(6213),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6216),
    [anon_sym_new] = ACTIONS(6219),
    [anon_sym_LBRACE_LT] = ACTIONS(6222),
    [anon_sym_begin] = ACTIONS(6225),
    [sym_ocamlyacc_value] = ACTIONS(6228),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6234),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(6237),
    [anon_sym_SQUOTE] = ACTIONS(6240),
    [anon_sym_DQUOTE] = ACTIONS(6243),
    [sym_prefix_operator] = ACTIONS(6246),
    [sym__uppercase_identifier] = ACTIONS(6249),
    [aux_sym_tag_token1] = ACTIONS(6252),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym__simple_expression] = STATE(6950),
    [sym_typed_expression] = STATE(6864),
    [sym_list_expression] = STATE(6864),
    [sym_array_expression] = STATE(6864),
    [sym_record_expression] = STATE(6864),
    [sym_labeled_argument] = STATE(7622),
    [sym_prefix_expression] = STATE(6864),
    [sym_hash_expression] = STATE(6864),
    [sym_field_get_expression] = STATE(6864),
    [sym_array_get_expression] = STATE(6864),
    [sym_string_get_expression] = STATE(6864),
    [sym_bigarray_get_expression] = STATE(6864),
    [sym_coercion_expression] = STATE(6864),
    [sym_local_open_expression] = STATE(6864),
    [sym_package_expression] = STATE(6864),
    [sym_new_expression] = STATE(6864),
    [sym_object_copy_expression] = STATE(6864),
    [sym_method_invocation] = STATE(6864),
    [sym_object_expression] = STATE(6864),
    [sym_parenthesized_expression] = STATE(6864),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(6864),
    [sym_quoted_extension] = STATE(6864),
    [sym__constant] = STATE(6864),
    [sym_number] = STATE(7086),
    [sym_character] = STATE(7086),
    [sym_string] = STATE(7086),
    [sym_quoted_string] = STATE(7086),
    [sym_boolean] = STATE(7086),
    [sym_unit] = STATE(7086),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6922),
    [sym_value_path] = STATE(6864),
    [sym_module_path] = STATE(18324),
    [sym_constructor_path] = STATE(6864),
    [sym__constructor_name] = STATE(7085),
    [sym_tag] = STATE(6864),
    [aux_sym_class_application_repeat1] = STATE(2508),
    [sym__lowercase_identifier] = ACTIONS(6255),
    [anon_sym_SEMI_SEMI] = ACTIONS(5589),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(6257),
    [anon_sym_QMARK] = ACTIONS(6257),
    [anon_sym_LPAREN] = ACTIONS(6259),
    [anon_sym_external] = ACTIONS(5591),
    [anon_sym_type] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [anon_sym_true] = ACTIONS(6263),
    [anon_sym_false] = ACTIONS(6263),
    [anon_sym_LBRACE] = ACTIONS(6265),
    [anon_sym_exception] = ACTIONS(5591),
    [anon_sym_module] = ACTIONS(5591),
    [anon_sym_open] = ACTIONS(5591),
    [anon_sym_include] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_val] = ACTIONS(5591),
    [anon_sym_end] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(6267),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6269),
    [anon_sym_new] = ACTIONS(6271),
    [anon_sym_LBRACE_LT] = ACTIONS(6273),
    [anon_sym_begin] = ACTIONS(6275),
    [sym_ocamlyacc_value] = ACTIONS(6277),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6279),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6281),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(6283),
    [anon_sym_SQUOTE] = ACTIONS(6285),
    [anon_sym_DQUOTE] = ACTIONS(6287),
    [sym_prefix_operator] = ACTIONS(6289),
    [sym__uppercase_identifier] = ACTIONS(6291),
    [aux_sym_tag_token1] = ACTIONS(6293),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym__simple_expression] = STATE(7094),
    [sym_typed_expression] = STATE(7064),
    [sym_list_expression] = STATE(7064),
    [sym_array_expression] = STATE(7064),
    [sym_record_expression] = STATE(7064),
    [sym_labeled_argument] = STATE(7592),
    [sym_prefix_expression] = STATE(7064),
    [sym_hash_expression] = STATE(7064),
    [sym_field_get_expression] = STATE(7064),
    [sym_array_get_expression] = STATE(7064),
    [sym_string_get_expression] = STATE(7064),
    [sym_bigarray_get_expression] = STATE(7064),
    [sym_coercion_expression] = STATE(7064),
    [sym_local_open_expression] = STATE(7064),
    [sym_package_expression] = STATE(7064),
    [sym_new_expression] = STATE(7064),
    [sym_object_copy_expression] = STATE(7064),
    [sym_method_invocation] = STATE(7064),
    [sym_object_expression] = STATE(7064),
    [sym_parenthesized_expression] = STATE(7064),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(7064),
    [sym_quoted_extension] = STATE(7064),
    [sym__constant] = STATE(7064),
    [sym_number] = STATE(7132),
    [sym_character] = STATE(7132),
    [sym_string] = STATE(7132),
    [sym_quoted_string] = STATE(7132),
    [sym_boolean] = STATE(7132),
    [sym_unit] = STATE(7132),
    [sym__value_name] = STATE(6918),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(7064),
    [sym_module_path] = STATE(18160),
    [sym_constructor_path] = STATE(7064),
    [sym__constructor_name] = STATE(7135),
    [sym_tag] = STATE(7064),
    [aux_sym_class_application_repeat1] = STATE(2493),
    [sym__lowercase_identifier] = ACTIONS(6295),
    [anon_sym_SEMI_SEMI] = ACTIONS(5545),
    [anon_sym_and] = ACTIONS(5547),
    [anon_sym_TILDE] = ACTIONS(6297),
    [anon_sym_QMARK] = ACTIONS(6297),
    [anon_sym_LPAREN] = ACTIONS(6299),
    [anon_sym_external] = ACTIONS(5547),
    [anon_sym_type] = ACTIONS(5547),
    [anon_sym_LBRACK] = ACTIONS(6301),
    [anon_sym_RBRACK] = ACTIONS(5545),
    [anon_sym_true] = ACTIONS(6303),
    [anon_sym_false] = ACTIONS(6303),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(5547),
    [anon_sym_module] = ACTIONS(5547),
    [anon_sym_open] = ACTIONS(5547),
    [anon_sym_include] = ACTIONS(5547),
    [anon_sym_class] = ACTIONS(5547),
    [anon_sym_val] = ACTIONS(5547),
    [anon_sym_object] = ACTIONS(6307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6309),
    [anon_sym_new] = ACTIONS(6311),
    [anon_sym_LBRACE_LT] = ACTIONS(6313),
    [anon_sym_begin] = ACTIONS(6315),
    [sym_ocamlyacc_value] = ACTIONS(6317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5545),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5545),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5545),
    [aux_sym_number_token1] = ACTIONS(6323),
    [anon_sym_SQUOTE] = ACTIONS(6325),
    [anon_sym_DQUOTE] = ACTIONS(6327),
    [sym_prefix_operator] = ACTIONS(6329),
    [sym__uppercase_identifier] = ACTIONS(6331),
    [aux_sym_tag_token1] = ACTIONS(6333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym__simple_expression] = STATE(6730),
    [sym_typed_expression] = STATE(6807),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_labeled_argument] = STATE(7599),
    [sym_prefix_expression] = STATE(6807),
    [sym_hash_expression] = STATE(6807),
    [sym_field_get_expression] = STATE(6807),
    [sym_array_get_expression] = STATE(6807),
    [sym_string_get_expression] = STATE(6807),
    [sym_bigarray_get_expression] = STATE(6807),
    [sym_coercion_expression] = STATE(6807),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [aux_sym_class_application_repeat1] = STATE(2507),
    [sym__lowercase_identifier] = ACTIONS(5473),
    [anon_sym_TILDE] = ACTIONS(5475),
    [anon_sym_QMARK] = ACTIONS(5475),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(2577),
    [anon_sym_false] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2585),
    [anon_sym_then] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(2595),
    [anon_sym_LBRACE_LT] = ACTIONS(2597),
    [anon_sym_begin] = ACTIONS(2599),
    [sym_ocamlyacc_value] = ACTIONS(2601),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2605),
    [aux_sym_number_token1] = ACTIONS(2607),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [sym_prefix_operator] = ACTIONS(2613),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym__simple_expression] = STATE(6874),
    [sym_typed_expression] = STATE(7138),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_labeled_argument] = STATE(7644),
    [sym_prefix_expression] = STATE(7138),
    [sym_hash_expression] = STATE(7138),
    [sym_field_get_expression] = STATE(7138),
    [sym_array_get_expression] = STATE(7138),
    [sym_string_get_expression] = STATE(7138),
    [sym_bigarray_get_expression] = STATE(7138),
    [sym_coercion_expression] = STATE(7138),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [aux_sym_class_application_repeat1] = STATE(2498),
    [sym__lowercase_identifier] = ACTIONS(5377),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_QMARK] = ACTIONS(5379),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym__simple_expression] = STATE(6874),
    [sym_typed_expression] = STATE(7138),
    [sym_list_expression] = STATE(7138),
    [sym_array_expression] = STATE(7138),
    [sym_record_expression] = STATE(7138),
    [sym_labeled_argument] = STATE(7644),
    [sym_prefix_expression] = STATE(7138),
    [sym_hash_expression] = STATE(7138),
    [sym_field_get_expression] = STATE(7138),
    [sym_array_get_expression] = STATE(7138),
    [sym_string_get_expression] = STATE(7138),
    [sym_bigarray_get_expression] = STATE(7138),
    [sym_coercion_expression] = STATE(7138),
    [sym_local_open_expression] = STATE(7138),
    [sym_package_expression] = STATE(7138),
    [sym_new_expression] = STATE(7138),
    [sym_object_copy_expression] = STATE(7138),
    [sym_method_invocation] = STATE(7138),
    [sym_object_expression] = STATE(7138),
    [sym_parenthesized_expression] = STATE(7138),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(7138),
    [sym_quoted_extension] = STATE(7138),
    [sym__constant] = STATE(7138),
    [sym_number] = STATE(6756),
    [sym_character] = STATE(6756),
    [sym_string] = STATE(6756),
    [sym_quoted_string] = STATE(6756),
    [sym_boolean] = STATE(6756),
    [sym_unit] = STATE(6756),
    [sym__value_name] = STATE(7145),
    [sym_parenthesized_operator] = STATE(6975),
    [sym_value_path] = STATE(7138),
    [sym_module_path] = STATE(20232),
    [sym_constructor_path] = STATE(7138),
    [sym__constructor_name] = STATE(6621),
    [sym_tag] = STATE(7138),
    [aux_sym_class_application_repeat1] = STATE(2498),
    [sym__lowercase_identifier] = ACTIONS(6335),
    [anon_sym_TILDE] = ACTIONS(6338),
    [anon_sym_QMARK] = ACTIONS(6338),
    [anon_sym_LPAREN] = ACTIONS(6341),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6344),
    [anon_sym_true] = ACTIONS(6347),
    [anon_sym_false] = ACTIONS(6347),
    [anon_sym_LBRACE] = ACTIONS(6350),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(6353),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6356),
    [anon_sym_do] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(6359),
    [anon_sym_LBRACE_LT] = ACTIONS(6362),
    [anon_sym_begin] = ACTIONS(6365),
    [sym_ocamlyacc_value] = ACTIONS(6368),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6374),
    [aux_sym_number_token1] = ACTIONS(6377),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(6380),
    [anon_sym_DQUOTE] = ACTIONS(6383),
    [sym_prefix_operator] = ACTIONS(6386),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(6389),
    [aux_sym_tag_token1] = ACTIONS(6392),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym__simple_expression] = STATE(7148),
    [sym_typed_expression] = STATE(6994),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_labeled_argument] = STATE(7632),
    [sym_prefix_expression] = STATE(6994),
    [sym_hash_expression] = STATE(6994),
    [sym_field_get_expression] = STATE(6994),
    [sym_array_get_expression] = STATE(6994),
    [sym_string_get_expression] = STATE(6994),
    [sym_bigarray_get_expression] = STATE(6994),
    [sym_coercion_expression] = STATE(6994),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [aux_sym_class_application_repeat1] = STATE(2501),
    [sym__lowercase_identifier] = ACTIONS(5397),
    [anon_sym_TILDE] = ACTIONS(5399),
    [anon_sym_QMARK] = ACTIONS(5399),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACE_LT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2651),
    [sym_ocamlyacc_value] = ACTIONS(2653),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2655),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2657),
    [aux_sym_number_token1] = ACTIONS(2659),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2669),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym__simple_expression] = STATE(6914),
    [sym_typed_expression] = STATE(6759),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_labeled_argument] = STATE(7615),
    [sym_prefix_expression] = STATE(6759),
    [sym_hash_expression] = STATE(6759),
    [sym_field_get_expression] = STATE(6759),
    [sym_array_get_expression] = STATE(6759),
    [sym_string_get_expression] = STATE(6759),
    [sym_bigarray_get_expression] = STATE(6759),
    [sym_coercion_expression] = STATE(6759),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__lowercase_identifier] = ACTIONS(6395),
    [anon_sym_TILDE] = ACTIONS(6398),
    [anon_sym_QMARK] = ACTIONS(6398),
    [anon_sym_LPAREN] = ACTIONS(6401),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6404),
    [anon_sym_true] = ACTIONS(6407),
    [anon_sym_false] = ACTIONS(6407),
    [anon_sym_LBRACE] = ACTIONS(6410),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(6413),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6416),
    [anon_sym_new] = ACTIONS(6419),
    [anon_sym_LBRACE_LT] = ACTIONS(6422),
    [anon_sym_begin] = ACTIONS(6425),
    [sym_ocamlyacc_value] = ACTIONS(6428),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6431),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6434),
    [aux_sym_number_token1] = ACTIONS(6437),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(6440),
    [anon_sym_DQUOTE] = ACTIONS(6443),
    [sym_prefix_operator] = ACTIONS(6446),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(6449),
    [aux_sym_tag_token1] = ACTIONS(6452),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym__simple_expression] = STATE(7148),
    [sym_typed_expression] = STATE(6994),
    [sym_list_expression] = STATE(6994),
    [sym_array_expression] = STATE(6994),
    [sym_record_expression] = STATE(6994),
    [sym_labeled_argument] = STATE(7632),
    [sym_prefix_expression] = STATE(6994),
    [sym_hash_expression] = STATE(6994),
    [sym_field_get_expression] = STATE(6994),
    [sym_array_get_expression] = STATE(6994),
    [sym_string_get_expression] = STATE(6994),
    [sym_bigarray_get_expression] = STATE(6994),
    [sym_coercion_expression] = STATE(6994),
    [sym_local_open_expression] = STATE(6994),
    [sym_package_expression] = STATE(6994),
    [sym_new_expression] = STATE(6994),
    [sym_object_copy_expression] = STATE(6994),
    [sym_method_invocation] = STATE(6994),
    [sym_object_expression] = STATE(6994),
    [sym_parenthesized_expression] = STATE(6994),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(6994),
    [sym_quoted_extension] = STATE(6994),
    [sym__constant] = STATE(6994),
    [sym_number] = STATE(6623),
    [sym_character] = STATE(6623),
    [sym_string] = STATE(6623),
    [sym_quoted_string] = STATE(6623),
    [sym_boolean] = STATE(6623),
    [sym_unit] = STATE(6623),
    [sym__value_name] = STATE(6980),
    [sym_parenthesized_operator] = STATE(6754),
    [sym_value_path] = STATE(6994),
    [sym_module_path] = STATE(19427),
    [sym_constructor_path] = STATE(6994),
    [sym__constructor_name] = STATE(6680),
    [sym_tag] = STATE(6994),
    [aux_sym_class_application_repeat1] = STATE(2501),
    [sym__lowercase_identifier] = ACTIONS(6455),
    [anon_sym_TILDE] = ACTIONS(6458),
    [anon_sym_QMARK] = ACTIONS(6458),
    [anon_sym_LPAREN] = ACTIONS(6461),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6464),
    [anon_sym_true] = ACTIONS(6467),
    [anon_sym_false] = ACTIONS(6467),
    [anon_sym_LBRACE] = ACTIONS(6470),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_with] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(6473),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6476),
    [anon_sym_new] = ACTIONS(6479),
    [anon_sym_LBRACE_LT] = ACTIONS(6482),
    [anon_sym_begin] = ACTIONS(6485),
    [sym_ocamlyacc_value] = ACTIONS(6488),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6491),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6494),
    [aux_sym_number_token1] = ACTIONS(6497),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(6500),
    [anon_sym_DQUOTE] = ACTIONS(6503),
    [sym_prefix_operator] = ACTIONS(6506),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(6509),
    [aux_sym_tag_token1] = ACTIONS(6512),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym__simple_expression] = STATE(6897),
    [sym_typed_expression] = STATE(6858),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_labeled_argument] = STATE(7617),
    [sym_prefix_expression] = STATE(6858),
    [sym_hash_expression] = STATE(6858),
    [sym_field_get_expression] = STATE(6858),
    [sym_array_get_expression] = STATE(6858),
    [sym_string_get_expression] = STATE(6858),
    [sym_bigarray_get_expression] = STATE(6858),
    [sym_coercion_expression] = STATE(6858),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [aux_sym_class_application_repeat1] = STATE(2502),
    [sym__lowercase_identifier] = ACTIONS(6515),
    [anon_sym_TILDE] = ACTIONS(6518),
    [anon_sym_QMARK] = ACTIONS(6518),
    [anon_sym_LPAREN] = ACTIONS(6521),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6524),
    [anon_sym_true] = ACTIONS(6527),
    [anon_sym_false] = ACTIONS(6527),
    [anon_sym_LBRACE] = ACTIONS(6530),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(6533),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6536),
    [anon_sym_done] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(6539),
    [anon_sym_LBRACE_LT] = ACTIONS(6542),
    [anon_sym_begin] = ACTIONS(6545),
    [sym_ocamlyacc_value] = ACTIONS(6548),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6554),
    [aux_sym_number_token1] = ACTIONS(6557),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(6560),
    [anon_sym_DQUOTE] = ACTIONS(6563),
    [sym_prefix_operator] = ACTIONS(6566),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(6569),
    [aux_sym_tag_token1] = ACTIONS(6572),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym__simple_expression] = STATE(7094),
    [sym_typed_expression] = STATE(7064),
    [sym_list_expression] = STATE(7064),
    [sym_array_expression] = STATE(7064),
    [sym_record_expression] = STATE(7064),
    [sym_labeled_argument] = STATE(7592),
    [sym_prefix_expression] = STATE(7064),
    [sym_hash_expression] = STATE(7064),
    [sym_field_get_expression] = STATE(7064),
    [sym_array_get_expression] = STATE(7064),
    [sym_string_get_expression] = STATE(7064),
    [sym_bigarray_get_expression] = STATE(7064),
    [sym_coercion_expression] = STATE(7064),
    [sym_local_open_expression] = STATE(7064),
    [sym_package_expression] = STATE(7064),
    [sym_new_expression] = STATE(7064),
    [sym_object_copy_expression] = STATE(7064),
    [sym_method_invocation] = STATE(7064),
    [sym_object_expression] = STATE(7064),
    [sym_parenthesized_expression] = STATE(7064),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(7064),
    [sym_quoted_extension] = STATE(7064),
    [sym__constant] = STATE(7064),
    [sym_number] = STATE(7132),
    [sym_character] = STATE(7132),
    [sym_string] = STATE(7132),
    [sym_quoted_string] = STATE(7132),
    [sym_boolean] = STATE(7132),
    [sym_unit] = STATE(7132),
    [sym__value_name] = STATE(6918),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(7064),
    [sym_module_path] = STATE(18160),
    [sym_constructor_path] = STATE(7064),
    [sym__constructor_name] = STATE(7135),
    [sym_tag] = STATE(7064),
    [aux_sym_class_application_repeat1] = STATE(2495),
    [sym__lowercase_identifier] = ACTIONS(6295),
    [anon_sym_SEMI_SEMI] = ACTIONS(5589),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(6297),
    [anon_sym_QMARK] = ACTIONS(6297),
    [anon_sym_LPAREN] = ACTIONS(6299),
    [anon_sym_external] = ACTIONS(5591),
    [anon_sym_type] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(6301),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_true] = ACTIONS(6303),
    [anon_sym_false] = ACTIONS(6303),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(5591),
    [anon_sym_module] = ACTIONS(5591),
    [anon_sym_open] = ACTIONS(5591),
    [anon_sym_include] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_val] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(6307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6309),
    [anon_sym_new] = ACTIONS(6311),
    [anon_sym_LBRACE_LT] = ACTIONS(6313),
    [anon_sym_begin] = ACTIONS(6315),
    [sym_ocamlyacc_value] = ACTIONS(6317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(6323),
    [anon_sym_SQUOTE] = ACTIONS(6325),
    [anon_sym_DQUOTE] = ACTIONS(6327),
    [sym_prefix_operator] = ACTIONS(6329),
    [sym__uppercase_identifier] = ACTIONS(6331),
    [aux_sym_tag_token1] = ACTIONS(6333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym__simple_expression] = STATE(6950),
    [sym_typed_expression] = STATE(6864),
    [sym_list_expression] = STATE(6864),
    [sym_array_expression] = STATE(6864),
    [sym_record_expression] = STATE(6864),
    [sym_labeled_argument] = STATE(7622),
    [sym_prefix_expression] = STATE(6864),
    [sym_hash_expression] = STATE(6864),
    [sym_field_get_expression] = STATE(6864),
    [sym_array_get_expression] = STATE(6864),
    [sym_string_get_expression] = STATE(6864),
    [sym_bigarray_get_expression] = STATE(6864),
    [sym_coercion_expression] = STATE(6864),
    [sym_local_open_expression] = STATE(6864),
    [sym_package_expression] = STATE(6864),
    [sym_new_expression] = STATE(6864),
    [sym_object_copy_expression] = STATE(6864),
    [sym_method_invocation] = STATE(6864),
    [sym_object_expression] = STATE(6864),
    [sym_parenthesized_expression] = STATE(6864),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(6864),
    [sym_quoted_extension] = STATE(6864),
    [sym__constant] = STATE(6864),
    [sym_number] = STATE(7086),
    [sym_character] = STATE(7086),
    [sym_string] = STATE(7086),
    [sym_quoted_string] = STATE(7086),
    [sym_boolean] = STATE(7086),
    [sym_unit] = STATE(7086),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6922),
    [sym_value_path] = STATE(6864),
    [sym_module_path] = STATE(18324),
    [sym_constructor_path] = STATE(6864),
    [sym__constructor_name] = STATE(7085),
    [sym_tag] = STATE(6864),
    [aux_sym_class_application_repeat1] = STATE(2504),
    [sym__lowercase_identifier] = ACTIONS(6575),
    [anon_sym_SEMI_SEMI] = ACTIONS(3414),
    [anon_sym_and] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(6578),
    [anon_sym_QMARK] = ACTIONS(6578),
    [anon_sym_LPAREN] = ACTIONS(6581),
    [anon_sym_external] = ACTIONS(3416),
    [anon_sym_type] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6584),
    [anon_sym_true] = ACTIONS(6587),
    [anon_sym_false] = ACTIONS(6587),
    [anon_sym_LBRACE] = ACTIONS(6590),
    [anon_sym_exception] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_include] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_val] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(6593),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6596),
    [anon_sym_new] = ACTIONS(6599),
    [anon_sym_LBRACE_LT] = ACTIONS(6602),
    [anon_sym_begin] = ACTIONS(6605),
    [sym_ocamlyacc_value] = ACTIONS(6608),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6614),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(6617),
    [anon_sym_SQUOTE] = ACTIONS(6620),
    [anon_sym_DQUOTE] = ACTIONS(6623),
    [sym_prefix_operator] = ACTIONS(6626),
    [sym__uppercase_identifier] = ACTIONS(6629),
    [aux_sym_tag_token1] = ACTIONS(6632),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym__simple_expression] = STATE(6897),
    [sym_typed_expression] = STATE(6858),
    [sym_list_expression] = STATE(6858),
    [sym_array_expression] = STATE(6858),
    [sym_record_expression] = STATE(6858),
    [sym_labeled_argument] = STATE(7617),
    [sym_prefix_expression] = STATE(6858),
    [sym_hash_expression] = STATE(6858),
    [sym_field_get_expression] = STATE(6858),
    [sym_array_get_expression] = STATE(6858),
    [sym_string_get_expression] = STATE(6858),
    [sym_bigarray_get_expression] = STATE(6858),
    [sym_coercion_expression] = STATE(6858),
    [sym_local_open_expression] = STATE(6858),
    [sym_package_expression] = STATE(6858),
    [sym_new_expression] = STATE(6858),
    [sym_object_copy_expression] = STATE(6858),
    [sym_method_invocation] = STATE(6858),
    [sym_object_expression] = STATE(6858),
    [sym_parenthesized_expression] = STATE(6858),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(6858),
    [sym_quoted_extension] = STATE(6858),
    [sym__constant] = STATE(6858),
    [sym_number] = STATE(7053),
    [sym_character] = STATE(7053),
    [sym_string] = STATE(7053),
    [sym_quoted_string] = STATE(7053),
    [sym_boolean] = STATE(7053),
    [sym_unit] = STATE(7053),
    [sym__value_name] = STATE(6894),
    [sym_parenthesized_operator] = STATE(6947),
    [sym_value_path] = STATE(6858),
    [sym_module_path] = STATE(17481),
    [sym_constructor_path] = STATE(6858),
    [sym__constructor_name] = STATE(7049),
    [sym_tag] = STATE(6858),
    [aux_sym_class_application_repeat1] = STATE(2502),
    [sym__lowercase_identifier] = ACTIONS(5387),
    [anon_sym_TILDE] = ACTIONS(5389),
    [anon_sym_QMARK] = ACTIONS(5389),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_done] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym__simple_expression] = STATE(6914),
    [sym_typed_expression] = STATE(6759),
    [sym_list_expression] = STATE(6759),
    [sym_array_expression] = STATE(6759),
    [sym_record_expression] = STATE(6759),
    [sym_labeled_argument] = STATE(7615),
    [sym_prefix_expression] = STATE(6759),
    [sym_hash_expression] = STATE(6759),
    [sym_field_get_expression] = STATE(6759),
    [sym_array_get_expression] = STATE(6759),
    [sym_string_get_expression] = STATE(6759),
    [sym_bigarray_get_expression] = STATE(6759),
    [sym_coercion_expression] = STATE(6759),
    [sym_local_open_expression] = STATE(6759),
    [sym_package_expression] = STATE(6759),
    [sym_new_expression] = STATE(6759),
    [sym_object_copy_expression] = STATE(6759),
    [sym_method_invocation] = STATE(6759),
    [sym_object_expression] = STATE(6759),
    [sym_parenthesized_expression] = STATE(6759),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(6759),
    [sym_quoted_extension] = STATE(6759),
    [sym__constant] = STATE(6759),
    [sym_number] = STATE(6709),
    [sym_character] = STATE(6709),
    [sym_string] = STATE(6709),
    [sym_quoted_string] = STATE(6709),
    [sym_boolean] = STATE(6709),
    [sym_unit] = STATE(6709),
    [sym__value_name] = STATE(6755),
    [sym_parenthesized_operator] = STATE(6622),
    [sym_value_path] = STATE(6759),
    [sym_module_path] = STATE(18737),
    [sym_constructor_path] = STATE(6759),
    [sym__constructor_name] = STATE(6710),
    [sym_tag] = STATE(6759),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__lowercase_identifier] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5369),
    [anon_sym_QMARK] = ACTIONS(5369),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(3329),
    [anon_sym_PIPE] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_end] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(3331),
    [sym_pow_operator] = ACTIONS(3331),
    [sym_mult_operator] = ACTIONS(3331),
    [aux_sym_add_operator_token1] = ACTIONS(3331),
    [sym_concat_operator] = ACTIONS(3329),
    [sym_rel_operator] = ACTIONS(3331),
    [sym_and_operator] = ACTIONS(3331),
    [sym_or_operator] = ACTIONS(3331),
    [sym_assign_operator] = ACTIONS(3329),
    [sym__uppercase_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym__simple_expression] = STATE(6730),
    [sym_typed_expression] = STATE(6807),
    [sym_list_expression] = STATE(6807),
    [sym_array_expression] = STATE(6807),
    [sym_record_expression] = STATE(6807),
    [sym_labeled_argument] = STATE(7599),
    [sym_prefix_expression] = STATE(6807),
    [sym_hash_expression] = STATE(6807),
    [sym_field_get_expression] = STATE(6807),
    [sym_array_get_expression] = STATE(6807),
    [sym_string_get_expression] = STATE(6807),
    [sym_bigarray_get_expression] = STATE(6807),
    [sym_coercion_expression] = STATE(6807),
    [sym_local_open_expression] = STATE(6807),
    [sym_package_expression] = STATE(6807),
    [sym_new_expression] = STATE(6807),
    [sym_object_copy_expression] = STATE(6807),
    [sym_method_invocation] = STATE(6807),
    [sym_object_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(6807),
    [sym_quoted_extension] = STATE(6807),
    [sym__constant] = STATE(6807),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym__value_name] = STATE(6956),
    [sym_parenthesized_operator] = STATE(7146),
    [sym_value_path] = STATE(6807),
    [sym_module_path] = STATE(18772),
    [sym_constructor_path] = STATE(6807),
    [sym__constructor_name] = STATE(6753),
    [sym_tag] = STATE(6807),
    [aux_sym_class_application_repeat1] = STATE(2507),
    [sym__lowercase_identifier] = ACTIONS(6635),
    [anon_sym_TILDE] = ACTIONS(6638),
    [anon_sym_QMARK] = ACTIONS(6638),
    [anon_sym_LPAREN] = ACTIONS(6641),
    [anon_sym_COMMA] = ACTIONS(3414),
    [anon_sym_PIPE] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(6644),
    [anon_sym_true] = ACTIONS(6647),
    [anon_sym_false] = ACTIONS(6647),
    [anon_sym_LBRACE] = ACTIONS(6650),
    [anon_sym_SEMI] = ACTIONS(3414),
    [anon_sym_object] = ACTIONS(6653),
    [anon_sym_COLON_COLON] = ACTIONS(3414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6656),
    [anon_sym_then] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(6659),
    [anon_sym_LBRACE_LT] = ACTIONS(6662),
    [anon_sym_begin] = ACTIONS(6665),
    [sym_ocamlyacc_value] = ACTIONS(6668),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6674),
    [aux_sym_number_token1] = ACTIONS(6677),
    [aux_sym_signed_number_token1] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(6680),
    [anon_sym_DQUOTE] = ACTIONS(6683),
    [sym_prefix_operator] = ACTIONS(6686),
    [aux_sym_sign_operator_token1] = ACTIONS(3416),
    [sym_pow_operator] = ACTIONS(3416),
    [sym_mult_operator] = ACTIONS(3416),
    [aux_sym_add_operator_token1] = ACTIONS(3416),
    [sym_concat_operator] = ACTIONS(3414),
    [sym_rel_operator] = ACTIONS(3416),
    [sym_and_operator] = ACTIONS(3416),
    [sym_or_operator] = ACTIONS(3416),
    [sym_assign_operator] = ACTIONS(3414),
    [sym__uppercase_identifier] = ACTIONS(6689),
    [aux_sym_tag_token1] = ACTIONS(6692),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym__simple_expression] = STATE(6950),
    [sym_typed_expression] = STATE(6864),
    [sym_list_expression] = STATE(6864),
    [sym_array_expression] = STATE(6864),
    [sym_record_expression] = STATE(6864),
    [sym_labeled_argument] = STATE(7622),
    [sym_prefix_expression] = STATE(6864),
    [sym_hash_expression] = STATE(6864),
    [sym_field_get_expression] = STATE(6864),
    [sym_array_get_expression] = STATE(6864),
    [sym_string_get_expression] = STATE(6864),
    [sym_bigarray_get_expression] = STATE(6864),
    [sym_coercion_expression] = STATE(6864),
    [sym_local_open_expression] = STATE(6864),
    [sym_package_expression] = STATE(6864),
    [sym_new_expression] = STATE(6864),
    [sym_object_copy_expression] = STATE(6864),
    [sym_method_invocation] = STATE(6864),
    [sym_object_expression] = STATE(6864),
    [sym_parenthesized_expression] = STATE(6864),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(6864),
    [sym_quoted_extension] = STATE(6864),
    [sym__constant] = STATE(6864),
    [sym_number] = STATE(7086),
    [sym_character] = STATE(7086),
    [sym_string] = STATE(7086),
    [sym_quoted_string] = STATE(7086),
    [sym_boolean] = STATE(7086),
    [sym_unit] = STATE(7086),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6922),
    [sym_value_path] = STATE(6864),
    [sym_module_path] = STATE(18324),
    [sym_constructor_path] = STATE(6864),
    [sym__constructor_name] = STATE(7085),
    [sym_tag] = STATE(6864),
    [aux_sym_class_application_repeat1] = STATE(2504),
    [sym__lowercase_identifier] = ACTIONS(6255),
    [anon_sym_SEMI_SEMI] = ACTIONS(5545),
    [anon_sym_and] = ACTIONS(5547),
    [anon_sym_TILDE] = ACTIONS(6257),
    [anon_sym_QMARK] = ACTIONS(6257),
    [anon_sym_LPAREN] = ACTIONS(6259),
    [anon_sym_external] = ACTIONS(5547),
    [anon_sym_type] = ACTIONS(5547),
    [anon_sym_LBRACK] = ACTIONS(6261),
    [anon_sym_true] = ACTIONS(6263),
    [anon_sym_false] = ACTIONS(6263),
    [anon_sym_LBRACE] = ACTIONS(6265),
    [anon_sym_exception] = ACTIONS(5547),
    [anon_sym_module] = ACTIONS(5547),
    [anon_sym_open] = ACTIONS(5547),
    [anon_sym_include] = ACTIONS(5547),
    [anon_sym_class] = ACTIONS(5547),
    [anon_sym_val] = ACTIONS(5547),
    [anon_sym_end] = ACTIONS(5547),
    [anon_sym_object] = ACTIONS(6267),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6269),
    [anon_sym_new] = ACTIONS(6271),
    [anon_sym_LBRACE_LT] = ACTIONS(6273),
    [anon_sym_begin] = ACTIONS(6275),
    [sym_ocamlyacc_value] = ACTIONS(6277),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5545),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6279),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6281),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5545),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5545),
    [aux_sym_number_token1] = ACTIONS(6283),
    [anon_sym_SQUOTE] = ACTIONS(6285),
    [anon_sym_DQUOTE] = ACTIONS(6287),
    [sym_prefix_operator] = ACTIONS(6289),
    [sym__uppercase_identifier] = ACTIONS(6291),
    [aux_sym_tag_token1] = ACTIONS(6293),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym__binding_pattern] = STATE(13346),
    [sym_alias_binding_pattern] = STATE(13089),
    [sym_typed_binding_pattern] = STATE(13089),
    [sym_or_binding_pattern] = STATE(13089),
    [sym_constructor_binding_pattern] = STATE(13089),
    [sym_tag_binding_pattern] = STATE(13089),
    [sym_polymorphic_variant_pattern] = STATE(13089),
    [sym_tuple_binding_pattern] = STATE(13089),
    [sym_record_binding_pattern] = STATE(13090),
    [sym_list_binding_pattern] = STATE(13093),
    [sym_cons_binding_pattern] = STATE(13089),
    [sym_array_binding_pattern] = STATE(13094),
    [sym_range_pattern] = STATE(13089),
    [sym_lazy_binding_pattern] = STATE(13089),
    [sym_local_open_binding_pattern] = STATE(13089),
    [sym_package_pattern] = STATE(13089),
    [sym_parenthesized_binding_pattern] = STATE(13089),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(13089),
    [sym_quoted_extension] = STATE(13089),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(13052),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18059),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(13089),
    [sym_parenthesized_operator] = STATE(10164),
    [sym_module_path] = STATE(17931),
    [sym_constructor_path] = STATE(3548),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(6695),
    [anon_sym_LPAREN] = ACTIONS(6697),
    [anon_sym_RPAREN] = ACTIONS(6699),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(6703),
    [anon_sym_LBRACE] = ACTIONS(6705),
    [anon_sym_module] = ACTIONS(6707),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(6709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6711),
    [anon_sym_lazy] = ACTIONS(6713),
    [anon_sym_begin] = ACTIONS(4977),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(6715),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6715),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6715),
    [sym_let_and_operator] = ACTIONS(6715),
    [sym_match_operator] = ACTIONS(6715),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym__binding_pattern] = STATE(13631),
    [sym_alias_binding_pattern] = STATE(13089),
    [sym_typed_binding_pattern] = STATE(13089),
    [sym_or_binding_pattern] = STATE(13089),
    [sym_constructor_binding_pattern] = STATE(13089),
    [sym_tag_binding_pattern] = STATE(13089),
    [sym_polymorphic_variant_pattern] = STATE(13089),
    [sym_tuple_binding_pattern] = STATE(13089),
    [sym_record_binding_pattern] = STATE(13090),
    [sym_list_binding_pattern] = STATE(13093),
    [sym_cons_binding_pattern] = STATE(13089),
    [sym_array_binding_pattern] = STATE(13094),
    [sym_range_pattern] = STATE(13089),
    [sym_lazy_binding_pattern] = STATE(13089),
    [sym_local_open_binding_pattern] = STATE(13089),
    [sym_package_pattern] = STATE(13089),
    [sym_parenthesized_binding_pattern] = STATE(13089),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(13089),
    [sym_quoted_extension] = STATE(13089),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(13052),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(19215),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(13089),
    [sym_parenthesized_operator] = STATE(10164),
    [sym_module_path] = STATE(17931),
    [sym_constructor_path] = STATE(3548),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(6695),
    [anon_sym_LPAREN] = ACTIONS(6697),
    [anon_sym_RPAREN] = ACTIONS(6717),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(6719),
    [anon_sym_LBRACE] = ACTIONS(6705),
    [anon_sym_module] = ACTIONS(6721),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(6723),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6711),
    [anon_sym_lazy] = ACTIONS(6713),
    [anon_sym_begin] = ACTIONS(4977),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(6725),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6725),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6725),
    [sym_let_and_operator] = ACTIONS(6725),
    [sym_match_operator] = ACTIONS(6725),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym__binding_pattern] = STATE(13435),
    [sym_alias_binding_pattern] = STATE(13089),
    [sym_typed_binding_pattern] = STATE(13089),
    [sym_or_binding_pattern] = STATE(13089),
    [sym_constructor_binding_pattern] = STATE(13089),
    [sym_tag_binding_pattern] = STATE(13089),
    [sym_polymorphic_variant_pattern] = STATE(13089),
    [sym_tuple_binding_pattern] = STATE(13089),
    [sym_record_binding_pattern] = STATE(13090),
    [sym_list_binding_pattern] = STATE(13093),
    [sym_cons_binding_pattern] = STATE(13089),
    [sym_array_binding_pattern] = STATE(13094),
    [sym_range_pattern] = STATE(13089),
    [sym_lazy_binding_pattern] = STATE(13089),
    [sym_local_open_binding_pattern] = STATE(13089),
    [sym_package_pattern] = STATE(13089),
    [sym_parenthesized_binding_pattern] = STATE(13089),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(13089),
    [sym_quoted_extension] = STATE(13089),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(13052),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(20058),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(13089),
    [sym_parenthesized_operator] = STATE(10164),
    [sym_module_path] = STATE(17931),
    [sym_constructor_path] = STATE(3548),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(6695),
    [anon_sym_LPAREN] = ACTIONS(6697),
    [anon_sym_RPAREN] = ACTIONS(6727),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(6729),
    [anon_sym_LBRACE] = ACTIONS(6705),
    [anon_sym_module] = ACTIONS(6731),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(6733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6711),
    [anon_sym_lazy] = ACTIONS(6713),
    [anon_sym_begin] = ACTIONS(4977),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(6735),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6735),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6735),
    [sym_let_and_operator] = ACTIONS(6735),
    [sym_match_operator] = ACTIONS(6735),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym__binding_pattern] = STATE(13390),
    [sym_alias_binding_pattern] = STATE(13089),
    [sym_typed_binding_pattern] = STATE(13089),
    [sym_or_binding_pattern] = STATE(13089),
    [sym_constructor_binding_pattern] = STATE(13089),
    [sym_tag_binding_pattern] = STATE(13089),
    [sym_polymorphic_variant_pattern] = STATE(13089),
    [sym_tuple_binding_pattern] = STATE(13089),
    [sym_record_binding_pattern] = STATE(13090),
    [sym_list_binding_pattern] = STATE(13093),
    [sym_cons_binding_pattern] = STATE(13089),
    [sym_array_binding_pattern] = STATE(13094),
    [sym_range_pattern] = STATE(13089),
    [sym_lazy_binding_pattern] = STATE(13089),
    [sym_local_open_binding_pattern] = STATE(13089),
    [sym_package_pattern] = STATE(13089),
    [sym_parenthesized_binding_pattern] = STATE(13089),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(13089),
    [sym_quoted_extension] = STATE(13089),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(13052),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18311),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(13089),
    [sym_parenthesized_operator] = STATE(10164),
    [sym_module_path] = STATE(17931),
    [sym_constructor_path] = STATE(3548),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(6695),
    [anon_sym_LPAREN] = ACTIONS(6697),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(6705),
    [anon_sym_module] = ACTIONS(5139),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(5011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6711),
    [anon_sym_lazy] = ACTIONS(6713),
    [anon_sym_begin] = ACTIONS(4977),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(1777),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(1777),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1777),
    [sym_let_and_operator] = ACTIONS(1777),
    [sym_match_operator] = ACTIONS(1777),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym__binding_pattern] = STATE(13527),
    [sym_alias_binding_pattern] = STATE(13089),
    [sym_typed_binding_pattern] = STATE(13089),
    [sym_or_binding_pattern] = STATE(13089),
    [sym_constructor_binding_pattern] = STATE(13089),
    [sym_tag_binding_pattern] = STATE(13089),
    [sym_polymorphic_variant_pattern] = STATE(13089),
    [sym_tuple_binding_pattern] = STATE(13089),
    [sym_record_binding_pattern] = STATE(13090),
    [sym_list_binding_pattern] = STATE(13093),
    [sym_cons_binding_pattern] = STATE(13089),
    [sym_array_binding_pattern] = STATE(13094),
    [sym_range_pattern] = STATE(13089),
    [sym_lazy_binding_pattern] = STATE(13089),
    [sym_local_open_binding_pattern] = STATE(13089),
    [sym_package_pattern] = STATE(13089),
    [sym_parenthesized_binding_pattern] = STATE(13089),
    [sym_attribute] = STATE(2513),
    [sym_extension] = STATE(13089),
    [sym_quoted_extension] = STATE(13089),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(13052),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18701),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(13089),
    [sym_parenthesized_operator] = STATE(10164),
    [sym_module_path] = STATE(17931),
    [sym_constructor_path] = STATE(3548),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(6695),
    [anon_sym_LPAREN] = ACTIONS(6697),
    [anon_sym_RPAREN] = ACTIONS(6737),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(6739),
    [anon_sym_LBRACE] = ACTIONS(6705),
    [anon_sym_module] = ACTIONS(6741),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(6743),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6711),
    [anon_sym_lazy] = ACTIONS(6713),
    [anon_sym_begin] = ACTIONS(4977),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(6745),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6745),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6745),
    [sym_let_and_operator] = ACTIONS(6745),
    [sym_match_operator] = ACTIONS(6745),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym__binding_pattern] = STATE(13579),
    [sym_alias_binding_pattern] = STATE(13089),
    [sym_typed_binding_pattern] = STATE(13089),
    [sym_or_binding_pattern] = STATE(13089),
    [sym_constructor_binding_pattern] = STATE(13089),
    [sym_tag_binding_pattern] = STATE(13089),
    [sym_polymorphic_variant_pattern] = STATE(13089),
    [sym_tuple_binding_pattern] = STATE(13089),
    [sym_record_binding_pattern] = STATE(13090),
    [sym_list_binding_pattern] = STATE(13093),
    [sym_cons_binding_pattern] = STATE(13089),
    [sym_array_binding_pattern] = STATE(13094),
    [sym_range_pattern] = STATE(13089),
    [sym_lazy_binding_pattern] = STATE(13089),
    [sym_local_open_binding_pattern] = STATE(13089),
    [sym_package_pattern] = STATE(13089),
    [sym_parenthesized_binding_pattern] = STATE(13089),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(13089),
    [sym_quoted_extension] = STATE(13089),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(13052),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(18265),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(13089),
    [sym_parenthesized_operator] = STATE(10164),
    [sym_module_path] = STATE(17931),
    [sym_constructor_path] = STATE(3548),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(6695),
    [anon_sym_LPAREN] = ACTIONS(6697),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(6705),
    [anon_sym_module] = ACTIONS(5089),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6711),
    [anon_sym_lazy] = ACTIONS(6713),
    [anon_sym_begin] = ACTIONS(4977),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(5093),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5093),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5093),
    [sym_let_and_operator] = ACTIONS(5093),
    [sym_match_operator] = ACTIONS(5093),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym__binding_pattern] = STATE(13394),
    [sym_alias_binding_pattern] = STATE(13089),
    [sym_typed_binding_pattern] = STATE(13089),
    [sym_or_binding_pattern] = STATE(13089),
    [sym_constructor_binding_pattern] = STATE(13089),
    [sym_tag_binding_pattern] = STATE(13089),
    [sym_polymorphic_variant_pattern] = STATE(13089),
    [sym_tuple_binding_pattern] = STATE(13089),
    [sym_record_binding_pattern] = STATE(13090),
    [sym_list_binding_pattern] = STATE(13093),
    [sym_cons_binding_pattern] = STATE(13089),
    [sym_array_binding_pattern] = STATE(13094),
    [sym_range_pattern] = STATE(13089),
    [sym_lazy_binding_pattern] = STATE(13089),
    [sym_local_open_binding_pattern] = STATE(13089),
    [sym_package_pattern] = STATE(13089),
    [sym_parenthesized_binding_pattern] = STATE(13089),
    [sym_attribute] = STATE(2515),
    [sym_extension] = STATE(13089),
    [sym_quoted_extension] = STATE(13089),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(13052),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__infix_operator] = STATE(19407),
    [sym_add_operator] = STATE(20118),
    [sym__value_name] = STATE(13089),
    [sym_parenthesized_operator] = STATE(10164),
    [sym_module_path] = STATE(17931),
    [sym_constructor_path] = STATE(3548),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(6695),
    [anon_sym_LPAREN] = ACTIONS(6697),
    [anon_sym_RPAREN] = ACTIONS(6747),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(6749),
    [anon_sym_LBRACE] = ACTIONS(6705),
    [anon_sym_module] = ACTIONS(6751),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(6753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6711),
    [anon_sym_lazy] = ACTIONS(6713),
    [anon_sym_begin] = ACTIONS(4977),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_prefix_operator] = ACTIONS(6755),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6755),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6755),
    [sym_let_and_operator] = ACTIONS(6755),
    [sym_match_operator] = ACTIONS(6755),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(10792),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2516),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10769),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6759),
    [anon_sym_let] = ACTIONS(6761),
    [anon_sym_and] = ACTIONS(6761),
    [anon_sym_EQ] = ACTIONS(6763),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6761),
    [anon_sym_type] = ACTIONS(6761),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6759),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6761),
    [anon_sym_module] = ACTIONS(6761),
    [anon_sym_open] = ACTIONS(6761),
    [anon_sym_include] = ACTIONS(6761),
    [anon_sym_class] = ACTIONS(6761),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6759),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6759),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6759),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6759),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6761),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(10795),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2517),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10728),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6801),
    [anon_sym_let] = ACTIONS(6803),
    [anon_sym_and] = ACTIONS(6803),
    [anon_sym_EQ] = ACTIONS(6805),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6803),
    [anon_sym_type] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6801),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6803),
    [anon_sym_module] = ACTIONS(6803),
    [anon_sym_open] = ACTIONS(6803),
    [anon_sym_include] = ACTIONS(6803),
    [anon_sym_class] = ACTIONS(6803),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6801),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6801),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6801),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6801),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6803),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym__simple_expression] = STATE(7684),
    [sym_typed_expression] = STATE(7906),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_labeled_argument] = STATE(8285),
    [sym_prefix_expression] = STATE(7906),
    [sym_hash_expression] = STATE(7906),
    [sym_field_get_expression] = STATE(7906),
    [sym_array_get_expression] = STATE(7906),
    [sym_string_get_expression] = STATE(7906),
    [sym_bigarray_get_expression] = STATE(7906),
    [sym_coercion_expression] = STATE(7906),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2518),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(7852),
    [sym_character] = STATE(7852),
    [sym_string] = STATE(7852),
    [sym_quoted_string] = STATE(7852),
    [sym_boolean] = STATE(7852),
    [sym_unit] = STATE(7852),
    [sym__value_name] = STATE(7686),
    [sym_parenthesized_operator] = STATE(7908),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(17375),
    [sym_constructor_path] = STATE(7906),
    [sym__constructor_name] = STATE(7848),
    [sym_tag] = STATE(7906),
    [aux_sym_class_application_repeat1] = STATE(2519),
    [sym__lowercase_identifier] = ACTIONS(6807),
    [anon_sym_TILDE] = ACTIONS(6809),
    [anon_sym_QMARK] = ACTIONS(6809),
    [anon_sym_LPAREN] = ACTIONS(6811),
    [anon_sym_LBRACK] = ACTIONS(6813),
    [anon_sym_true] = ACTIONS(6815),
    [anon_sym_false] = ACTIONS(6815),
    [anon_sym_LBRACE] = ACTIONS(6817),
    [anon_sym_constraint] = ACTIONS(5591),
    [anon_sym_val] = ACTIONS(5591),
    [anon_sym_end] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(6819),
    [anon_sym_inherit] = ACTIONS(5591),
    [anon_sym_method] = ACTIONS(5591),
    [anon_sym_as] = ACTIONS(5591),
    [anon_sym_initializer] = ACTIONS(5591),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6821),
    [anon_sym_new] = ACTIONS(6823),
    [anon_sym_LBRACE_LT] = ACTIONS(6825),
    [anon_sym_begin] = ACTIONS(6827),
    [sym_ocamlyacc_value] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(6835),
    [anon_sym_SQUOTE] = ACTIONS(6837),
    [anon_sym_DQUOTE] = ACTIONS(6839),
    [sym_prefix_operator] = ACTIONS(6841),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym__simple_expression] = STATE(7684),
    [sym_typed_expression] = STATE(7906),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_labeled_argument] = STATE(8285),
    [sym_prefix_expression] = STATE(7906),
    [sym_hash_expression] = STATE(7906),
    [sym_field_get_expression] = STATE(7906),
    [sym_array_get_expression] = STATE(7906),
    [sym_string_get_expression] = STATE(7906),
    [sym_bigarray_get_expression] = STATE(7906),
    [sym_coercion_expression] = STATE(7906),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2519),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(7852),
    [sym_character] = STATE(7852),
    [sym_string] = STATE(7852),
    [sym_quoted_string] = STATE(7852),
    [sym_boolean] = STATE(7852),
    [sym_unit] = STATE(7852),
    [sym__value_name] = STATE(7686),
    [sym_parenthesized_operator] = STATE(7908),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(17375),
    [sym_constructor_path] = STATE(7906),
    [sym__constructor_name] = STATE(7848),
    [sym_tag] = STATE(7906),
    [aux_sym_class_application_repeat1] = STATE(2536),
    [sym__lowercase_identifier] = ACTIONS(6807),
    [anon_sym_TILDE] = ACTIONS(6809),
    [anon_sym_QMARK] = ACTIONS(6809),
    [anon_sym_LPAREN] = ACTIONS(6811),
    [anon_sym_LBRACK] = ACTIONS(6813),
    [anon_sym_true] = ACTIONS(6815),
    [anon_sym_false] = ACTIONS(6815),
    [anon_sym_LBRACE] = ACTIONS(6817),
    [anon_sym_constraint] = ACTIONS(5547),
    [anon_sym_val] = ACTIONS(5547),
    [anon_sym_end] = ACTIONS(5547),
    [anon_sym_object] = ACTIONS(6819),
    [anon_sym_inherit] = ACTIONS(5547),
    [anon_sym_method] = ACTIONS(5547),
    [anon_sym_as] = ACTIONS(5547),
    [anon_sym_initializer] = ACTIONS(5547),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6821),
    [anon_sym_new] = ACTIONS(6823),
    [anon_sym_LBRACE_LT] = ACTIONS(6825),
    [anon_sym_begin] = ACTIONS(6827),
    [sym_ocamlyacc_value] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5545),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5545),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5545),
    [aux_sym_number_token1] = ACTIONS(6835),
    [anon_sym_SQUOTE] = ACTIONS(6837),
    [anon_sym_DQUOTE] = ACTIONS(6839),
    [sym_prefix_operator] = ACTIONS(6841),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10955),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2520),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10592),
    [aux_sym_let_binding_repeat1] = STATE(2525),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6849),
    [anon_sym_let] = ACTIONS(6851),
    [anon_sym_and] = ACTIONS(6851),
    [anon_sym_EQ] = ACTIONS(6853),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6851),
    [anon_sym_type] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6851),
    [anon_sym_module] = ACTIONS(6851),
    [anon_sym_open] = ACTIONS(6851),
    [anon_sym_include] = ACTIONS(6851),
    [anon_sym_class] = ACTIONS(6851),
    [anon_sym_end] = ACTIONS(6851),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6849),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6849),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6849),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6849),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6851),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(11006),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2521),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10697),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_let] = ACTIONS(6891),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6893),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6889),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6889),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6891),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10963),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2522),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10728),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6801),
    [anon_sym_let] = ACTIONS(6803),
    [anon_sym_and] = ACTIONS(6803),
    [anon_sym_EQ] = ACTIONS(6895),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6803),
    [anon_sym_type] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6803),
    [anon_sym_module] = ACTIONS(6803),
    [anon_sym_open] = ACTIONS(6803),
    [anon_sym_include] = ACTIONS(6803),
    [anon_sym_class] = ACTIONS(6803),
    [anon_sym_end] = ACTIONS(6803),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6801),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6801),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6801),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6801),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6803),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(10858),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2523),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10596),
    [aux_sym_let_binding_repeat1] = STATE(2516),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6897),
    [anon_sym_let] = ACTIONS(6899),
    [anon_sym_and] = ACTIONS(6899),
    [anon_sym_EQ] = ACTIONS(6901),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6899),
    [anon_sym_type] = ACTIONS(6899),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6897),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6899),
    [anon_sym_module] = ACTIONS(6899),
    [anon_sym_open] = ACTIONS(6899),
    [anon_sym_include] = ACTIONS(6899),
    [anon_sym_class] = ACTIONS(6899),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6897),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6897),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6897),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6897),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6899),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10961),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2524),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10665),
    [aux_sym_let_binding_repeat1] = STATE(2522),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6903),
    [anon_sym_let] = ACTIONS(6905),
    [anon_sym_and] = ACTIONS(6905),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6905),
    [anon_sym_type] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6905),
    [anon_sym_module] = ACTIONS(6905),
    [anon_sym_open] = ACTIONS(6905),
    [anon_sym_include] = ACTIONS(6905),
    [anon_sym_class] = ACTIONS(6905),
    [anon_sym_end] = ACTIONS(6905),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6903),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6903),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6905),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10962),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2525),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10697),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_let] = ACTIONS(6891),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6909),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_end] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6889),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6891),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(11004),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2526),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10665),
    [aux_sym_let_binding_repeat1] = STATE(2517),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6903),
    [anon_sym_let] = ACTIONS(6905),
    [anon_sym_and] = ACTIONS(6905),
    [anon_sym_EQ] = ACTIONS(6911),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6905),
    [anon_sym_type] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6905),
    [anon_sym_module] = ACTIONS(6905),
    [anon_sym_open] = ACTIONS(6905),
    [anon_sym_include] = ACTIONS(6905),
    [anon_sym_class] = ACTIONS(6905),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6903),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6903),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6905),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(10861),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2527),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10588),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6913),
    [anon_sym_let] = ACTIONS(6915),
    [anon_sym_and] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6917),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6915),
    [anon_sym_type] = ACTIONS(6915),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6913),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6915),
    [anon_sym_module] = ACTIONS(6915),
    [anon_sym_open] = ACTIONS(6915),
    [anon_sym_include] = ACTIONS(6915),
    [anon_sym_class] = ACTIONS(6915),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6913),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6913),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6915),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10964),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2528),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10519),
    [aux_sym_let_binding_repeat1] = STATE(2529),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6919),
    [anon_sym_let] = ACTIONS(6921),
    [anon_sym_and] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6923),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6921),
    [anon_sym_type] = ACTIONS(6921),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6921),
    [anon_sym_module] = ACTIONS(6921),
    [anon_sym_open] = ACTIONS(6921),
    [anon_sym_include] = ACTIONS(6921),
    [anon_sym_class] = ACTIONS(6921),
    [anon_sym_end] = ACTIONS(6921),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6919),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6919),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6919),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6919),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6921),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10970),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2529),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10588),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6913),
    [anon_sym_let] = ACTIONS(6915),
    [anon_sym_and] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6915),
    [anon_sym_type] = ACTIONS(6915),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6915),
    [anon_sym_module] = ACTIONS(6915),
    [anon_sym_open] = ACTIONS(6915),
    [anon_sym_include] = ACTIONS(6915),
    [anon_sym_class] = ACTIONS(6915),
    [anon_sym_end] = ACTIONS(6915),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6913),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6913),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6915),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10972),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2530),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10596),
    [aux_sym_let_binding_repeat1] = STATE(2538),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6897),
    [anon_sym_let] = ACTIONS(6899),
    [anon_sym_and] = ACTIONS(6899),
    [anon_sym_EQ] = ACTIONS(6927),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6899),
    [anon_sym_type] = ACTIONS(6899),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6899),
    [anon_sym_module] = ACTIONS(6899),
    [anon_sym_open] = ACTIONS(6899),
    [anon_sym_include] = ACTIONS(6899),
    [anon_sym_class] = ACTIONS(6899),
    [anon_sym_end] = ACTIONS(6899),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6897),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6897),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6897),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6897),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6899),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10977),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2531),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10732),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6929),
    [anon_sym_let] = ACTIONS(6931),
    [anon_sym_and] = ACTIONS(6931),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6931),
    [anon_sym_type] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6931),
    [anon_sym_module] = ACTIONS(6931),
    [anon_sym_open] = ACTIONS(6931),
    [anon_sym_include] = ACTIONS(6931),
    [anon_sym_class] = ACTIONS(6931),
    [anon_sym_end] = ACTIONS(6931),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6929),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6929),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6929),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6929),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6931),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(10791),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2532),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10771),
    [aux_sym_let_binding_repeat1] = STATE(2533),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6935),
    [anon_sym_let] = ACTIONS(6937),
    [anon_sym_and] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6939),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6937),
    [anon_sym_type] = ACTIONS(6937),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6935),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6937),
    [anon_sym_module] = ACTIONS(6937),
    [anon_sym_open] = ACTIONS(6937),
    [anon_sym_include] = ACTIONS(6937),
    [anon_sym_class] = ACTIONS(6937),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6935),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6935),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6935),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6935),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6937),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(10802),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2533),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10732),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6929),
    [anon_sym_let] = ACTIONS(6931),
    [anon_sym_and] = ACTIONS(6931),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6931),
    [anon_sym_type] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6929),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6931),
    [anon_sym_module] = ACTIONS(6931),
    [anon_sym_open] = ACTIONS(6931),
    [anon_sym_include] = ACTIONS(6931),
    [anon_sym_class] = ACTIONS(6931),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6929),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6929),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6929),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6929),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6931),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(10949),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2534),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10519),
    [aux_sym_let_binding_repeat1] = STATE(2527),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6919),
    [anon_sym_let] = ACTIONS(6921),
    [anon_sym_and] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6943),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6921),
    [anon_sym_type] = ACTIONS(6921),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6919),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6921),
    [anon_sym_module] = ACTIONS(6921),
    [anon_sym_open] = ACTIONS(6921),
    [anon_sym_include] = ACTIONS(6921),
    [anon_sym_class] = ACTIONS(6921),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6919),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6919),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6919),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6919),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6921),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10975),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2535),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10771),
    [aux_sym_let_binding_repeat1] = STATE(2531),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6935),
    [anon_sym_let] = ACTIONS(6937),
    [anon_sym_and] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6937),
    [anon_sym_type] = ACTIONS(6937),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6937),
    [anon_sym_module] = ACTIONS(6937),
    [anon_sym_open] = ACTIONS(6937),
    [anon_sym_include] = ACTIONS(6937),
    [anon_sym_class] = ACTIONS(6937),
    [anon_sym_end] = ACTIONS(6937),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6935),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6935),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6935),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6935),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6937),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym__simple_expression] = STATE(7684),
    [sym_typed_expression] = STATE(7906),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_labeled_argument] = STATE(8285),
    [sym_prefix_expression] = STATE(7906),
    [sym_hash_expression] = STATE(7906),
    [sym_field_get_expression] = STATE(7906),
    [sym_array_get_expression] = STATE(7906),
    [sym_string_get_expression] = STATE(7906),
    [sym_bigarray_get_expression] = STATE(7906),
    [sym_coercion_expression] = STATE(7906),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2536),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(7852),
    [sym_character] = STATE(7852),
    [sym_string] = STATE(7852),
    [sym_quoted_string] = STATE(7852),
    [sym_boolean] = STATE(7852),
    [sym_unit] = STATE(7852),
    [sym__value_name] = STATE(7686),
    [sym_parenthesized_operator] = STATE(7908),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(17375),
    [sym_constructor_path] = STATE(7906),
    [sym__constructor_name] = STATE(7848),
    [sym_tag] = STATE(7906),
    [aux_sym_class_application_repeat1] = STATE(2536),
    [sym__lowercase_identifier] = ACTIONS(6947),
    [anon_sym_TILDE] = ACTIONS(6950),
    [anon_sym_QMARK] = ACTIONS(6950),
    [anon_sym_LPAREN] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6956),
    [anon_sym_true] = ACTIONS(6959),
    [anon_sym_false] = ACTIONS(6959),
    [anon_sym_LBRACE] = ACTIONS(6962),
    [anon_sym_constraint] = ACTIONS(3416),
    [anon_sym_val] = ACTIONS(3416),
    [anon_sym_end] = ACTIONS(3416),
    [anon_sym_object] = ACTIONS(6965),
    [anon_sym_inherit] = ACTIONS(3416),
    [anon_sym_method] = ACTIONS(3416),
    [anon_sym_as] = ACTIONS(3416),
    [anon_sym_initializer] = ACTIONS(3416),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6968),
    [anon_sym_new] = ACTIONS(6971),
    [anon_sym_LBRACE_LT] = ACTIONS(6974),
    [anon_sym_begin] = ACTIONS(6977),
    [sym_ocamlyacc_value] = ACTIONS(6980),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3416),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3414),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6983),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6986),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3414),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3414),
    [aux_sym_number_token1] = ACTIONS(6989),
    [anon_sym_SQUOTE] = ACTIONS(6992),
    [anon_sym_DQUOTE] = ACTIONS(6995),
    [sym_prefix_operator] = ACTIONS(6998),
    [sym__uppercase_identifier] = ACTIONS(7001),
    [aux_sym_tag_token1] = ACTIONS(7004),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym_parameter] = STATE(7427),
    [sym__class_typed] = STATE(10859),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2537),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_expression_item_repeat1] = STATE(10592),
    [aux_sym_let_binding_repeat1] = STATE(2521),
    [sym__lowercase_identifier] = ACTIONS(6757),
    [anon_sym_SEMI_SEMI] = ACTIONS(6849),
    [anon_sym_let] = ACTIONS(6851),
    [anon_sym_and] = ACTIONS(6851),
    [anon_sym_EQ] = ACTIONS(7007),
    [anon_sym_TILDE] = ACTIONS(6765),
    [anon_sym_QMARK] = ACTIONS(6765),
    [anon_sym_LPAREN] = ACTIONS(6767),
    [anon_sym_external] = ACTIONS(6851),
    [anon_sym_type] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6769),
    [anon_sym_RBRACK] = ACTIONS(6849),
    [anon_sym_true] = ACTIONS(6771),
    [anon_sym_false] = ACTIONS(6771),
    [anon_sym_COLON2] = ACTIONS(6773),
    [anon_sym_LBRACE] = ACTIONS(6775),
    [anon_sym_exception] = ACTIONS(6851),
    [anon_sym_module] = ACTIONS(6851),
    [anon_sym_open] = ACTIONS(6851),
    [anon_sym_include] = ACTIONS(6851),
    [anon_sym_class] = ACTIONS(6851),
    [anon_sym_POUND] = ACTIONS(6777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6779),
    [anon_sym_begin] = ACTIONS(6781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6849),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6849),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6849),
    [aux_sym_number_token1] = ACTIONS(6789),
    [aux_sym_signed_number_token1] = ACTIONS(6791),
    [anon_sym_SQUOTE] = ACTIONS(6793),
    [anon_sym_DQUOTE] = ACTIONS(6795),
    [sym_let_operator] = ACTIONS(6849),
    [sym__uppercase_identifier] = ACTIONS(6797),
    [aux_sym_directive_token1] = ACTIONS(6851),
    [aux_sym_tag_token1] = ACTIONS(6799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym_parameter] = STATE(7443),
    [sym__class_typed] = STATE(10974),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2538),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_expression_item_repeat1] = STATE(10769),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_SEMI_SEMI] = ACTIONS(6759),
    [anon_sym_let] = ACTIONS(6761),
    [anon_sym_and] = ACTIONS(6761),
    [anon_sym_EQ] = ACTIONS(7009),
    [anon_sym_TILDE] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6855),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(6761),
    [anon_sym_type] = ACTIONS(6761),
    [anon_sym_LBRACK] = ACTIONS(6859),
    [anon_sym_true] = ACTIONS(6861),
    [anon_sym_false] = ACTIONS(6861),
    [anon_sym_COLON2] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6865),
    [anon_sym_exception] = ACTIONS(6761),
    [anon_sym_module] = ACTIONS(6761),
    [anon_sym_open] = ACTIONS(6761),
    [anon_sym_include] = ACTIONS(6761),
    [anon_sym_class] = ACTIONS(6761),
    [anon_sym_end] = ACTIONS(6761),
    [anon_sym_POUND] = ACTIONS(6867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(6871),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6759),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6875),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6759),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6759),
    [aux_sym_number_token1] = ACTIONS(6877),
    [aux_sym_signed_number_token1] = ACTIONS(6879),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_let_operator] = ACTIONS(6759),
    [sym__uppercase_identifier] = ACTIONS(6885),
    [aux_sym_directive_token1] = ACTIONS(6761),
    [aux_sym_tag_token1] = ACTIONS(6887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym__parenthesized_abstract_type] = STATE(3666),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(12962),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2539),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_EQ] = ACTIONS(7011),
    [anon_sym_LPAREN] = ACTIONS(7013),
    [anon_sym_RPAREN] = ACTIONS(7011),
    [anon_sym_COMMA] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_RBRACK] = ACTIONS(7011),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_DASH_GT] = ACTIONS(7011),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_as] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_COLON_COLON] = ACTIONS(7011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_when] = ACTIONS(7015),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7019),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11605),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2540),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10769),
    [aux_sym_let_binding_repeat1] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6759),
    [anon_sym_and] = ACTIONS(6761),
    [anon_sym_EQ] = ACTIONS(7023),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6761),
    [anon_sym_type] = ACTIONS(6761),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6761),
    [anon_sym_module] = ACTIONS(6761),
    [anon_sym_open] = ACTIONS(6761),
    [anon_sym_include] = ACTIONS(6761),
    [anon_sym_class] = ACTIONS(6761),
    [anon_sym_val] = ACTIONS(6761),
    [anon_sym_end] = ACTIONS(6761),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6759),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6759),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6759),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11635),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2541),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10665),
    [aux_sym_let_binding_repeat1] = STATE(2551),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6903),
    [anon_sym_and] = ACTIONS(6905),
    [anon_sym_EQ] = ACTIONS(7059),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6905),
    [anon_sym_type] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6905),
    [anon_sym_module] = ACTIONS(6905),
    [anon_sym_open] = ACTIONS(6905),
    [anon_sym_include] = ACTIONS(6905),
    [anon_sym_class] = ACTIONS(6905),
    [anon_sym_val] = ACTIONS(6905),
    [anon_sym_end] = ACTIONS(6905),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6903),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11595),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2542),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10519),
    [aux_sym_let_binding_repeat1] = STATE(2549),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6919),
    [anon_sym_and] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(7063),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6921),
    [anon_sym_type] = ACTIONS(6921),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6919),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6921),
    [anon_sym_module] = ACTIONS(6921),
    [anon_sym_open] = ACTIONS(6921),
    [anon_sym_include] = ACTIONS(6921),
    [anon_sym_class] = ACTIONS(6921),
    [anon_sym_val] = ACTIONS(6921),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6919),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6919),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6919),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11707),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2543),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10592),
    [aux_sym_let_binding_repeat1] = STATE(2555),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6849),
    [anon_sym_and] = ACTIONS(6851),
    [anon_sym_EQ] = ACTIONS(7099),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6851),
    [anon_sym_type] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6849),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6851),
    [anon_sym_module] = ACTIONS(6851),
    [anon_sym_open] = ACTIONS(6851),
    [anon_sym_include] = ACTIONS(6851),
    [anon_sym_class] = ACTIONS(6851),
    [anon_sym_val] = ACTIONS(6851),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6849),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6849),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6849),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11602),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2544),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10732),
    [aux_sym_let_binding_repeat1] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6929),
    [anon_sym_and] = ACTIONS(6931),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6931),
    [anon_sym_type] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6931),
    [anon_sym_module] = ACTIONS(6931),
    [anon_sym_open] = ACTIONS(6931),
    [anon_sym_include] = ACTIONS(6931),
    [anon_sym_class] = ACTIONS(6931),
    [anon_sym_val] = ACTIONS(6931),
    [anon_sym_end] = ACTIONS(6931),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6929),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6929),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6929),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11609),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2545),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10588),
    [aux_sym_let_binding_repeat1] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6913),
    [anon_sym_and] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(7103),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6915),
    [anon_sym_type] = ACTIONS(6915),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6915),
    [anon_sym_module] = ACTIONS(6915),
    [anon_sym_open] = ACTIONS(6915),
    [anon_sym_include] = ACTIONS(6915),
    [anon_sym_class] = ACTIONS(6915),
    [anon_sym_val] = ACTIONS(6915),
    [anon_sym_end] = ACTIONS(6915),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6913),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11608),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2546),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10596),
    [aux_sym_let_binding_repeat1] = STATE(2540),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6897),
    [anon_sym_and] = ACTIONS(6899),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6899),
    [anon_sym_type] = ACTIONS(6899),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6899),
    [anon_sym_module] = ACTIONS(6899),
    [anon_sym_open] = ACTIONS(6899),
    [anon_sym_include] = ACTIONS(6899),
    [anon_sym_class] = ACTIONS(6899),
    [anon_sym_val] = ACTIONS(6899),
    [anon_sym_end] = ACTIONS(6899),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6897),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6897),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6897),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11654),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2547),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10732),
    [aux_sym_let_binding_repeat1] = STATE(2564),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6929),
    [anon_sym_and] = ACTIONS(6931),
    [anon_sym_EQ] = ACTIONS(7107),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6931),
    [anon_sym_type] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6929),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6931),
    [anon_sym_module] = ACTIONS(6931),
    [anon_sym_open] = ACTIONS(6931),
    [anon_sym_include] = ACTIONS(6931),
    [anon_sym_class] = ACTIONS(6931),
    [anon_sym_val] = ACTIONS(6931),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6929),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6929),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6929),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11588),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2548),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10728),
    [aux_sym_let_binding_repeat1] = STATE(2564),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6801),
    [anon_sym_and] = ACTIONS(6803),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6803),
    [anon_sym_type] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6801),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6803),
    [anon_sym_module] = ACTIONS(6803),
    [anon_sym_open] = ACTIONS(6803),
    [anon_sym_include] = ACTIONS(6803),
    [anon_sym_class] = ACTIONS(6803),
    [anon_sym_val] = ACTIONS(6803),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6801),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6801),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6801),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11624),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2549),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10588),
    [aux_sym_let_binding_repeat1] = STATE(2564),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6913),
    [anon_sym_and] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(7111),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6915),
    [anon_sym_type] = ACTIONS(6915),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6913),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6915),
    [anon_sym_module] = ACTIONS(6915),
    [anon_sym_open] = ACTIONS(6915),
    [anon_sym_include] = ACTIONS(6915),
    [anon_sym_class] = ACTIONS(6915),
    [anon_sym_val] = ACTIONS(6915),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6913),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6913),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11563),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2550),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10665),
    [aux_sym_let_binding_repeat1] = STATE(2548),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6903),
    [anon_sym_and] = ACTIONS(6905),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6905),
    [anon_sym_type] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6905),
    [anon_sym_module] = ACTIONS(6905),
    [anon_sym_open] = ACTIONS(6905),
    [anon_sym_include] = ACTIONS(6905),
    [anon_sym_class] = ACTIONS(6905),
    [anon_sym_val] = ACTIONS(6905),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6903),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11617),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2551),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10728),
    [aux_sym_let_binding_repeat1] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6801),
    [anon_sym_and] = ACTIONS(6803),
    [anon_sym_EQ] = ACTIONS(7115),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6803),
    [anon_sym_type] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6803),
    [anon_sym_module] = ACTIONS(6803),
    [anon_sym_open] = ACTIONS(6803),
    [anon_sym_include] = ACTIONS(6803),
    [anon_sym_class] = ACTIONS(6803),
    [anon_sym_val] = ACTIONS(6803),
    [anon_sym_end] = ACTIONS(6803),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6801),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6801),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6801),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11631),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2552),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10596),
    [aux_sym_let_binding_repeat1] = STATE(2556),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6897),
    [anon_sym_and] = ACTIONS(6899),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6899),
    [anon_sym_type] = ACTIONS(6899),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6897),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6899),
    [anon_sym_module] = ACTIONS(6899),
    [anon_sym_open] = ACTIONS(6899),
    [anon_sym_include] = ACTIONS(6899),
    [anon_sym_class] = ACTIONS(6899),
    [anon_sym_val] = ACTIONS(6899),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6897),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6897),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6897),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11613),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2553),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10519),
    [aux_sym_let_binding_repeat1] = STATE(2545),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6919),
    [anon_sym_and] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(7119),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6921),
    [anon_sym_type] = ACTIONS(6921),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6921),
    [anon_sym_module] = ACTIONS(6921),
    [anon_sym_open] = ACTIONS(6921),
    [anon_sym_include] = ACTIONS(6921),
    [anon_sym_class] = ACTIONS(6921),
    [anon_sym_val] = ACTIONS(6921),
    [anon_sym_end] = ACTIONS(6921),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6919),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6919),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6919),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(12927),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2554),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_EQ] = ACTIONS(7011),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_RPAREN] = ACTIONS(7011),
    [anon_sym_COMMA] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_RBRACK] = ACTIONS(7011),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_DASH_GT] = ACTIONS(7011),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_as] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_COLON_COLON] = ACTIONS(7011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_when] = ACTIONS(7015),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7019),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11570),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2555),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10697),
    [aux_sym_let_binding_repeat1] = STATE(2564),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6889),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_val] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11634),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2556),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10769),
    [aux_sym_let_binding_repeat1] = STATE(2564),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6759),
    [anon_sym_and] = ACTIONS(6761),
    [anon_sym_EQ] = ACTIONS(7123),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6761),
    [anon_sym_type] = ACTIONS(6761),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6759),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6761),
    [anon_sym_module] = ACTIONS(6761),
    [anon_sym_open] = ACTIONS(6761),
    [anon_sym_include] = ACTIONS(6761),
    [anon_sym_class] = ACTIONS(6761),
    [anon_sym_val] = ACTIONS(6761),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6759),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6759),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6759),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym_parameter] = STATE(7737),
    [sym__class_typed] = STATE(11566),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2557),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_expression_item_repeat1] = STATE(10771),
    [aux_sym_let_binding_repeat1] = STATE(2547),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6935),
    [anon_sym_and] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6937),
    [anon_sym_type] = ACTIONS(6937),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(6935),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6937),
    [anon_sym_module] = ACTIONS(6937),
    [anon_sym_open] = ACTIONS(6937),
    [anon_sym_include] = ACTIONS(6937),
    [anon_sym_class] = ACTIONS(6937),
    [anon_sym_val] = ACTIONS(6937),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6935),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6935),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6935),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11652),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2558),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10592),
    [aux_sym_let_binding_repeat1] = STATE(2560),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6849),
    [anon_sym_and] = ACTIONS(6851),
    [anon_sym_EQ] = ACTIONS(7127),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6851),
    [anon_sym_type] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6851),
    [anon_sym_module] = ACTIONS(6851),
    [anon_sym_open] = ACTIONS(6851),
    [anon_sym_include] = ACTIONS(6851),
    [anon_sym_class] = ACTIONS(6851),
    [anon_sym_val] = ACTIONS(6851),
    [anon_sym_end] = ACTIONS(6851),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6849),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6849),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6849),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11604),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2559),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10771),
    [aux_sym_let_binding_repeat1] = STATE(2544),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6935),
    [anon_sym_and] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6937),
    [anon_sym_type] = ACTIONS(6937),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6937),
    [anon_sym_module] = ACTIONS(6937),
    [anon_sym_open] = ACTIONS(6937),
    [anon_sym_include] = ACTIONS(6937),
    [anon_sym_class] = ACTIONS(6937),
    [anon_sym_val] = ACTIONS(6937),
    [anon_sym_end] = ACTIONS(6937),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6935),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6935),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6935),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym_parameter] = STATE(7692),
    [sym__class_typed] = STATE(11632),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2560),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_expression_item_repeat1] = STATE(10697),
    [aux_sym_let_binding_repeat1] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7021),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(7131),
    [anon_sym_TILDE] = ACTIONS(7025),
    [anon_sym_QMARK] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7027),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7031),
    [anon_sym_false] = ACTIONS(7031),
    [anon_sym_COLON2] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7035),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_val] = ACTIONS(6891),
    [anon_sym_end] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(7037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7039),
    [anon_sym_begin] = ACTIONS(7041),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(7047),
    [aux_sym_signed_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym_DQUOTE] = ACTIONS(7053),
    [sym__uppercase_identifier] = ACTIONS(7055),
    [aux_sym_tag_token1] = ACTIONS(7057),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym_parameter] = STATE(7427),
    [sym__parenthesized_abstract_type] = STATE(7427),
    [sym__simple_pattern] = STATE(7424),
    [sym_typed_pattern] = STATE(7364),
    [sym_polymorphic_variant_pattern] = STATE(7364),
    [sym_record_pattern] = STATE(7364),
    [sym_list_pattern] = STATE(7364),
    [sym_array_pattern] = STATE(7364),
    [sym_local_open_pattern] = STATE(7364),
    [sym_package_pattern] = STATE(7364),
    [sym_parenthesized_pattern] = STATE(7364),
    [sym_attribute] = STATE(2561),
    [sym_extension] = STATE(7364),
    [sym_quoted_extension] = STATE(7364),
    [sym__constant] = STATE(7450),
    [sym__signed_constant] = STATE(7364),
    [sym_number] = STATE(7492),
    [sym_signed_number] = STATE(7450),
    [sym_character] = STATE(7492),
    [sym_string] = STATE(7492),
    [sym_quoted_string] = STATE(7492),
    [sym_boolean] = STATE(7492),
    [sym_unit] = STATE(7492),
    [sym__simple_value_pattern] = STATE(7364),
    [sym_parenthesized_operator] = STATE(7364),
    [sym_module_path] = STATE(20216),
    [sym_constructor_path] = STATE(7364),
    [sym__constructor_name] = STATE(7432),
    [sym_tag] = STATE(7364),
    [aux_sym_let_binding_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(7133),
    [anon_sym_SEMI_SEMI] = ACTIONS(7136),
    [anon_sym_let] = ACTIONS(7138),
    [anon_sym_and] = ACTIONS(7138),
    [anon_sym_EQ] = ACTIONS(7136),
    [anon_sym_TILDE] = ACTIONS(7140),
    [anon_sym_QMARK] = ACTIONS(7140),
    [anon_sym_LPAREN] = ACTIONS(7143),
    [anon_sym_external] = ACTIONS(7138),
    [anon_sym_type] = ACTIONS(7138),
    [anon_sym_LBRACK] = ACTIONS(7146),
    [anon_sym_RBRACK] = ACTIONS(7136),
    [anon_sym_true] = ACTIONS(7149),
    [anon_sym_false] = ACTIONS(7149),
    [anon_sym_COLON2] = ACTIONS(7136),
    [anon_sym_LBRACE] = ACTIONS(7152),
    [anon_sym_exception] = ACTIONS(7138),
    [anon_sym_module] = ACTIONS(7138),
    [anon_sym_open] = ACTIONS(7138),
    [anon_sym_include] = ACTIONS(7138),
    [anon_sym_class] = ACTIONS(7138),
    [anon_sym_POUND] = ACTIONS(7155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7158),
    [anon_sym_begin] = ACTIONS(7161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7138),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7136),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7164),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7167),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7136),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7136),
    [aux_sym_number_token1] = ACTIONS(7170),
    [aux_sym_signed_number_token1] = ACTIONS(7173),
    [anon_sym_SQUOTE] = ACTIONS(7176),
    [anon_sym_DQUOTE] = ACTIONS(7179),
    [sym_let_operator] = ACTIONS(7136),
    [sym__uppercase_identifier] = ACTIONS(7182),
    [aux_sym_directive_token1] = ACTIONS(7138),
    [aux_sym_tag_token1] = ACTIONS(7185),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym_parameter] = STATE(7443),
    [sym__parenthesized_abstract_type] = STATE(7443),
    [sym__simple_pattern] = STATE(7444),
    [sym_typed_pattern] = STATE(7518),
    [sym_polymorphic_variant_pattern] = STATE(7518),
    [sym_record_pattern] = STATE(7518),
    [sym_list_pattern] = STATE(7518),
    [sym_array_pattern] = STATE(7518),
    [sym_local_open_pattern] = STATE(7518),
    [sym_package_pattern] = STATE(7518),
    [sym_parenthesized_pattern] = STATE(7518),
    [sym_attribute] = STATE(2562),
    [sym_extension] = STATE(7518),
    [sym_quoted_extension] = STATE(7518),
    [sym__constant] = STATE(7416),
    [sym__signed_constant] = STATE(7518),
    [sym_number] = STATE(7486),
    [sym_signed_number] = STATE(7416),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__simple_value_pattern] = STATE(7518),
    [sym_parenthesized_operator] = STATE(7518),
    [sym_module_path] = STATE(18161),
    [sym_constructor_path] = STATE(7518),
    [sym__constructor_name] = STATE(7488),
    [sym_tag] = STATE(7518),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(7188),
    [anon_sym_SEMI_SEMI] = ACTIONS(7136),
    [anon_sym_let] = ACTIONS(7138),
    [anon_sym_and] = ACTIONS(7138),
    [anon_sym_EQ] = ACTIONS(7136),
    [anon_sym_TILDE] = ACTIONS(7191),
    [anon_sym_QMARK] = ACTIONS(7191),
    [anon_sym_LPAREN] = ACTIONS(7194),
    [anon_sym_external] = ACTIONS(7138),
    [anon_sym_type] = ACTIONS(7138),
    [anon_sym_LBRACK] = ACTIONS(7197),
    [anon_sym_true] = ACTIONS(7200),
    [anon_sym_false] = ACTIONS(7200),
    [anon_sym_COLON2] = ACTIONS(7136),
    [anon_sym_LBRACE] = ACTIONS(7203),
    [anon_sym_exception] = ACTIONS(7138),
    [anon_sym_module] = ACTIONS(7138),
    [anon_sym_open] = ACTIONS(7138),
    [anon_sym_include] = ACTIONS(7138),
    [anon_sym_class] = ACTIONS(7138),
    [anon_sym_end] = ACTIONS(7138),
    [anon_sym_POUND] = ACTIONS(7206),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7209),
    [anon_sym_begin] = ACTIONS(7212),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7138),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7136),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7218),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7136),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7136),
    [aux_sym_number_token1] = ACTIONS(7221),
    [aux_sym_signed_number_token1] = ACTIONS(7224),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym_DQUOTE] = ACTIONS(7230),
    [sym_let_operator] = ACTIONS(7136),
    [sym__uppercase_identifier] = ACTIONS(7233),
    [aux_sym_directive_token1] = ACTIONS(7138),
    [aux_sym_tag_token1] = ACTIONS(7236),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym__parenthesized_abstract_type] = STATE(3708),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(12962),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2563),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(7013),
    [anon_sym_COMMA] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_RBRACK] = ACTIONS(7011),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_SEMI] = ACTIONS(7011),
    [anon_sym_RBRACE] = ACTIONS(7011),
    [anon_sym_exception] = ACTIONS(7239),
    [anon_sym_as] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_COLON_COLON] = ACTIONS(7011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(7241),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(7243),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym_parameter] = STATE(7737),
    [sym__parenthesized_abstract_type] = STATE(7737),
    [sym__simple_pattern] = STATE(7738),
    [sym_typed_pattern] = STATE(7690),
    [sym_polymorphic_variant_pattern] = STATE(7690),
    [sym_record_pattern] = STATE(7690),
    [sym_list_pattern] = STATE(7690),
    [sym_array_pattern] = STATE(7690),
    [sym_local_open_pattern] = STATE(7690),
    [sym_package_pattern] = STATE(7690),
    [sym_parenthesized_pattern] = STATE(7690),
    [sym_attribute] = STATE(2564),
    [sym_extension] = STATE(7690),
    [sym_quoted_extension] = STATE(7690),
    [sym__constant] = STATE(7755),
    [sym__signed_constant] = STATE(7690),
    [sym_number] = STATE(7853),
    [sym_signed_number] = STATE(7755),
    [sym_character] = STATE(7853),
    [sym_string] = STATE(7853),
    [sym_quoted_string] = STATE(7853),
    [sym_boolean] = STATE(7853),
    [sym_unit] = STATE(7853),
    [sym__simple_value_pattern] = STATE(7690),
    [sym_parenthesized_operator] = STATE(7690),
    [sym_module_path] = STATE(19396),
    [sym_constructor_path] = STATE(7690),
    [sym__constructor_name] = STATE(7679),
    [sym_tag] = STATE(7690),
    [aux_sym_let_binding_repeat1] = STATE(2564),
    [sym__lowercase_identifier] = ACTIONS(7247),
    [anon_sym_SEMI_SEMI] = ACTIONS(7136),
    [anon_sym_and] = ACTIONS(7138),
    [anon_sym_EQ] = ACTIONS(7136),
    [anon_sym_TILDE] = ACTIONS(7250),
    [anon_sym_QMARK] = ACTIONS(7250),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_external] = ACTIONS(7138),
    [anon_sym_type] = ACTIONS(7138),
    [anon_sym_LBRACK] = ACTIONS(7256),
    [anon_sym_RBRACK] = ACTIONS(7136),
    [anon_sym_true] = ACTIONS(7259),
    [anon_sym_false] = ACTIONS(7259),
    [anon_sym_COLON2] = ACTIONS(7136),
    [anon_sym_LBRACE] = ACTIONS(7262),
    [anon_sym_exception] = ACTIONS(7138),
    [anon_sym_module] = ACTIONS(7138),
    [anon_sym_open] = ACTIONS(7138),
    [anon_sym_include] = ACTIONS(7138),
    [anon_sym_class] = ACTIONS(7138),
    [anon_sym_val] = ACTIONS(7138),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7268),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7138),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7136),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7274),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7277),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7136),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7136),
    [aux_sym_number_token1] = ACTIONS(7280),
    [aux_sym_signed_number_token1] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7286),
    [anon_sym_DQUOTE] = ACTIONS(7289),
    [sym__uppercase_identifier] = ACTIONS(7292),
    [aux_sym_tag_token1] = ACTIONS(7295),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(12927),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2565),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2565),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_COMMA] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_RBRACK] = ACTIONS(7011),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_SEMI] = ACTIONS(7011),
    [anon_sym_RBRACE] = ACTIONS(7011),
    [anon_sym_exception] = ACTIONS(7239),
    [anon_sym_as] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_COLON_COLON] = ACTIONS(7011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(7241),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(7243),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym__binding_pattern] = STATE(8722),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2566),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_in] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym__parenthesized_abstract_type] = STATE(3608),
    [sym__simple_pattern] = STATE(13908),
    [sym__effect_pattern] = STATE(13911),
    [sym__pattern] = STATE(13930),
    [sym_alias_pattern] = STATE(13911),
    [sym_typed_pattern] = STATE(13944),
    [sym_or_pattern] = STATE(13911),
    [sym_constructor_pattern] = STATE(13908),
    [sym_tag_pattern] = STATE(13908),
    [sym_polymorphic_variant_pattern] = STATE(13944),
    [sym_tuple_pattern] = STATE(13911),
    [sym_record_pattern] = STATE(13944),
    [sym_list_pattern] = STATE(13944),
    [sym_cons_pattern] = STATE(13911),
    [sym_array_pattern] = STATE(13944),
    [sym_range_pattern] = STATE(13911),
    [sym_lazy_pattern] = STATE(13908),
    [sym_local_open_pattern] = STATE(13944),
    [sym_package_pattern] = STATE(13944),
    [sym_parenthesized_pattern] = STATE(13944),
    [sym_exception_pattern] = STATE(13911),
    [sym_effect_pattern] = STATE(13911),
    [sym_attribute] = STATE(2567),
    [sym_extension] = STATE(13944),
    [sym_quoted_extension] = STATE(13944),
    [sym__constant] = STATE(13392),
    [sym__signed_constant] = STATE(13618),
    [sym_number] = STATE(13402),
    [sym_signed_number] = STATE(13392),
    [sym_character] = STATE(13402),
    [sym_string] = STATE(13402),
    [sym_quoted_string] = STATE(13402),
    [sym_boolean] = STATE(13402),
    [sym_unit] = STATE(13402),
    [sym__simple_value_pattern] = STATE(13944),
    [sym_parenthesized_operator] = STATE(13944),
    [sym_module_path] = STATE(18790),
    [sym_constructor_path] = STATE(2567),
    [sym__constructor_name] = STATE(9311),
    [sym_tag] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7332),
    [anon_sym_LPAREN] = ACTIONS(7334),
    [anon_sym_COMMA] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7336),
    [anon_sym_true] = ACTIONS(7338),
    [anon_sym_false] = ACTIONS(7338),
    [anon_sym_LBRACE] = ACTIONS(7340),
    [anon_sym_SEMI] = ACTIONS(7011),
    [anon_sym_exception] = ACTIONS(7342),
    [anon_sym_as] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(7344),
    [anon_sym_COLON_COLON] = ACTIONS(7011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7346),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7011),
    [anon_sym_lazy] = ACTIONS(7348),
    [anon_sym_begin] = ACTIONS(7350),
    [anon_sym_effect] = ACTIONS(7352),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7354),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7356),
    [aux_sym_number_token1] = ACTIONS(7358),
    [aux_sym_signed_number_token1] = ACTIONS(7360),
    [anon_sym_SQUOTE] = ACTIONS(7362),
    [anon_sym_DQUOTE] = ACTIONS(7364),
    [sym__uppercase_identifier] = ACTIONS(7366),
    [aux_sym_tag_token1] = ACTIONS(7368),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym__binding_pattern] = STATE(8755),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2568),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_and] = ACTIONS(4915),
    [anon_sym_COLON_GT] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_COMMA] = ACTIONS(4913),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_COLON2] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_in] = ACTIONS(4915),
    [anon_sym_as] = ACTIONS(4915),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_COLON_COLON] = ACTIONS(4913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4913),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym_let_and_operator] = ACTIONS(4913),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym_parameter] = STATE(7692),
    [sym__parenthesized_abstract_type] = STATE(7692),
    [sym__simple_pattern] = STATE(7697),
    [sym_typed_pattern] = STATE(7832),
    [sym_polymorphic_variant_pattern] = STATE(7832),
    [sym_record_pattern] = STATE(7832),
    [sym_list_pattern] = STATE(7832),
    [sym_array_pattern] = STATE(7832),
    [sym_local_open_pattern] = STATE(7832),
    [sym_package_pattern] = STATE(7832),
    [sym_parenthesized_pattern] = STATE(7832),
    [sym_attribute] = STATE(2569),
    [sym_extension] = STATE(7832),
    [sym_quoted_extension] = STATE(7832),
    [sym__constant] = STATE(7910),
    [sym__signed_constant] = STATE(7832),
    [sym_number] = STATE(7959),
    [sym_signed_number] = STATE(7910),
    [sym_character] = STATE(7959),
    [sym_string] = STATE(7959),
    [sym_quoted_string] = STATE(7959),
    [sym_boolean] = STATE(7959),
    [sym_unit] = STATE(7959),
    [sym__simple_value_pattern] = STATE(7832),
    [sym_parenthesized_operator] = STATE(7832),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(7832),
    [sym__constructor_name] = STATE(7952),
    [sym_tag] = STATE(7832),
    [aux_sym_let_binding_repeat1] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7370),
    [anon_sym_SEMI_SEMI] = ACTIONS(7136),
    [anon_sym_and] = ACTIONS(7138),
    [anon_sym_EQ] = ACTIONS(7136),
    [anon_sym_TILDE] = ACTIONS(7373),
    [anon_sym_QMARK] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7376),
    [anon_sym_external] = ACTIONS(7138),
    [anon_sym_type] = ACTIONS(7138),
    [anon_sym_LBRACK] = ACTIONS(7379),
    [anon_sym_true] = ACTIONS(7382),
    [anon_sym_false] = ACTIONS(7382),
    [anon_sym_COLON2] = ACTIONS(7136),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [anon_sym_exception] = ACTIONS(7138),
    [anon_sym_module] = ACTIONS(7138),
    [anon_sym_open] = ACTIONS(7138),
    [anon_sym_include] = ACTIONS(7138),
    [anon_sym_class] = ACTIONS(7138),
    [anon_sym_val] = ACTIONS(7138),
    [anon_sym_end] = ACTIONS(7138),
    [anon_sym_POUND] = ACTIONS(7388),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7391),
    [anon_sym_begin] = ACTIONS(7394),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7138),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7136),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7400),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7136),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7136),
    [aux_sym_number_token1] = ACTIONS(7403),
    [aux_sym_signed_number_token1] = ACTIONS(7406),
    [anon_sym_SQUOTE] = ACTIONS(7409),
    [anon_sym_DQUOTE] = ACTIONS(7412),
    [sym__uppercase_identifier] = ACTIONS(7415),
    [aux_sym_tag_token1] = ACTIONS(7418),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym__simple_pattern] = STATE(13908),
    [sym__effect_pattern] = STATE(13911),
    [sym__pattern] = STATE(13931),
    [sym_alias_pattern] = STATE(13911),
    [sym_typed_pattern] = STATE(13944),
    [sym_or_pattern] = STATE(13911),
    [sym_constructor_pattern] = STATE(13908),
    [sym_tag_pattern] = STATE(13908),
    [sym_polymorphic_variant_pattern] = STATE(13944),
    [sym_tuple_pattern] = STATE(13911),
    [sym_record_pattern] = STATE(13944),
    [sym_list_pattern] = STATE(13944),
    [sym_cons_pattern] = STATE(13911),
    [sym_array_pattern] = STATE(13944),
    [sym_range_pattern] = STATE(13911),
    [sym_lazy_pattern] = STATE(13908),
    [sym_local_open_pattern] = STATE(13944),
    [sym_package_pattern] = STATE(13944),
    [sym_parenthesized_pattern] = STATE(13944),
    [sym_exception_pattern] = STATE(13911),
    [sym_effect_pattern] = STATE(13911),
    [sym_attribute] = STATE(2570),
    [sym_extension] = STATE(13944),
    [sym_quoted_extension] = STATE(13944),
    [sym__constant] = STATE(13392),
    [sym__signed_constant] = STATE(13618),
    [sym_number] = STATE(13402),
    [sym_signed_number] = STATE(13392),
    [sym_character] = STATE(13402),
    [sym_string] = STATE(13402),
    [sym_quoted_string] = STATE(13402),
    [sym_boolean] = STATE(13402),
    [sym_unit] = STATE(13402),
    [sym__simple_value_pattern] = STATE(13944),
    [sym_parenthesized_operator] = STATE(13944),
    [sym_module_path] = STATE(18790),
    [sym_constructor_path] = STATE(2567),
    [sym__constructor_name] = STATE(9311),
    [sym_tag] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7332),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7336),
    [anon_sym_true] = ACTIONS(7338),
    [anon_sym_false] = ACTIONS(7338),
    [anon_sym_LBRACE] = ACTIONS(7340),
    [anon_sym_SEMI] = ACTIONS(7011),
    [anon_sym_exception] = ACTIONS(7342),
    [anon_sym_as] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(7344),
    [anon_sym_COLON_COLON] = ACTIONS(7011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7346),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7011),
    [anon_sym_lazy] = ACTIONS(7348),
    [anon_sym_begin] = ACTIONS(7350),
    [anon_sym_effect] = ACTIONS(7352),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7354),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7356),
    [aux_sym_number_token1] = ACTIONS(7358),
    [aux_sym_signed_number_token1] = ACTIONS(7360),
    [anon_sym_SQUOTE] = ACTIONS(7362),
    [anon_sym_DQUOTE] = ACTIONS(7364),
    [sym__uppercase_identifier] = ACTIONS(7366),
    [aux_sym_tag_token1] = ACTIONS(7368),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2571),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2792),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2572),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2715),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8706),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2573),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2716),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7429),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8091),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13339),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2574),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2846),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8535),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13408),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2575),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2878),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8036),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13503),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2576),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2742),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym_parameter] = STATE(8444),
    [sym__polymorphic_typed] = STATE(12742),
    [sym__parenthesized_abstract_type] = STATE(8444),
    [sym__simple_pattern] = STATE(8443),
    [sym_typed_pattern] = STATE(8559),
    [sym_polymorphic_variant_pattern] = STATE(8559),
    [sym_record_pattern] = STATE(8559),
    [sym_list_pattern] = STATE(8559),
    [sym_array_pattern] = STATE(8559),
    [sym_local_open_pattern] = STATE(8559),
    [sym_package_pattern] = STATE(8559),
    [sym_parenthesized_pattern] = STATE(8559),
    [sym_attribute] = STATE(2577),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(8559),
    [sym_quoted_extension] = STATE(8559),
    [sym__constant] = STATE(8694),
    [sym__signed_constant] = STATE(8559),
    [sym_number] = STATE(8460),
    [sym_signed_number] = STATE(8694),
    [sym_character] = STATE(8460),
    [sym_string] = STATE(8460),
    [sym_quoted_string] = STATE(8460),
    [sym_boolean] = STATE(8460),
    [sym_unit] = STATE(8460),
    [sym__simple_value_pattern] = STATE(8559),
    [sym_parenthesized_operator] = STATE(8559),
    [sym_module_path] = STATE(18952),
    [sym_constructor_path] = STATE(8559),
    [sym__constructor_name] = STATE(8521),
    [sym_tag] = STATE(8559),
    [aux_sym_expression_item_repeat1] = STATE(12763),
    [aux_sym_let_binding_repeat1] = STATE(2600),
    [sym__lowercase_identifier] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7439),
    [anon_sym_TILDE] = ACTIONS(7441),
    [anon_sym_QMARK] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_true] = ACTIONS(7447),
    [anon_sym_false] = ACTIONS(7447),
    [anon_sym_COLON2] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7451),
    [anon_sym_constraint] = ACTIONS(7453),
    [anon_sym_val] = ACTIONS(7453),
    [anon_sym_end] = ACTIONS(7453),
    [anon_sym_inherit] = ACTIONS(7453),
    [anon_sym_method] = ACTIONS(7453),
    [anon_sym_initializer] = ACTIONS(7453),
    [anon_sym_POUND] = ACTIONS(7455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7457),
    [anon_sym_begin] = ACTIONS(7459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7461),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7465),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7461),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7461),
    [aux_sym_number_token1] = ACTIONS(7467),
    [aux_sym_signed_number_token1] = ACTIONS(7469),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym_DQUOTE] = ACTIONS(7473),
    [sym__uppercase_identifier] = ACTIONS(7475),
    [aux_sym_tag_token1] = ACTIONS(7477),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2578),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2821),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8230),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13485),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2579),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2780),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2580),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2768),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2581),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2784),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(12051),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13629),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2582),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2673),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym__match_cases] = STATE(10163),
    [sym_match_case] = STATE(12126),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13558),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2583),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2735),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym__match_cases] = STATE(10163),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2584),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2806),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2585),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2853),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2690),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2777),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym_parameter] = STATE(8444),
    [sym__polymorphic_typed] = STATE(12731),
    [sym__parenthesized_abstract_type] = STATE(8444),
    [sym__simple_pattern] = STATE(8443),
    [sym_typed_pattern] = STATE(8559),
    [sym_polymorphic_variant_pattern] = STATE(8559),
    [sym_record_pattern] = STATE(8559),
    [sym_list_pattern] = STATE(8559),
    [sym_array_pattern] = STATE(8559),
    [sym_local_open_pattern] = STATE(8559),
    [sym_package_pattern] = STATE(8559),
    [sym_parenthesized_pattern] = STATE(8559),
    [sym_attribute] = STATE(2588),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(8559),
    [sym_quoted_extension] = STATE(8559),
    [sym__constant] = STATE(8694),
    [sym__signed_constant] = STATE(8559),
    [sym_number] = STATE(8460),
    [sym_signed_number] = STATE(8694),
    [sym_character] = STATE(8460),
    [sym_string] = STATE(8460),
    [sym_quoted_string] = STATE(8460),
    [sym_boolean] = STATE(8460),
    [sym_unit] = STATE(8460),
    [sym__simple_value_pattern] = STATE(8559),
    [sym_parenthesized_operator] = STATE(8559),
    [sym_module_path] = STATE(18952),
    [sym_constructor_path] = STATE(8559),
    [sym__constructor_name] = STATE(8521),
    [sym_tag] = STATE(8559),
    [aux_sym_expression_item_repeat1] = STATE(12945),
    [aux_sym_let_binding_repeat1] = STATE(2935),
    [sym__lowercase_identifier] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_TILDE] = ACTIONS(7441),
    [anon_sym_QMARK] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_true] = ACTIONS(7447),
    [anon_sym_false] = ACTIONS(7447),
    [anon_sym_COLON2] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7451),
    [anon_sym_constraint] = ACTIONS(7499),
    [anon_sym_val] = ACTIONS(7499),
    [anon_sym_end] = ACTIONS(7499),
    [anon_sym_inherit] = ACTIONS(7499),
    [anon_sym_method] = ACTIONS(7499),
    [anon_sym_initializer] = ACTIONS(7499),
    [anon_sym_POUND] = ACTIONS(7455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7457),
    [anon_sym_begin] = ACTIONS(7459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7501),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7465),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7501),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7501),
    [aux_sym_number_token1] = ACTIONS(7467),
    [aux_sym_signed_number_token1] = ACTIONS(7469),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym_DQUOTE] = ACTIONS(7473),
    [sym__uppercase_identifier] = ACTIONS(7475),
    [aux_sym_tag_token1] = ACTIONS(7477),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym_parameter] = STATE(8444),
    [sym__polymorphic_typed] = STATE(12729),
    [sym__parenthesized_abstract_type] = STATE(8444),
    [sym__simple_pattern] = STATE(8443),
    [sym_typed_pattern] = STATE(8559),
    [sym_polymorphic_variant_pattern] = STATE(8559),
    [sym_record_pattern] = STATE(8559),
    [sym_list_pattern] = STATE(8559),
    [sym_array_pattern] = STATE(8559),
    [sym_local_open_pattern] = STATE(8559),
    [sym_package_pattern] = STATE(8559),
    [sym_parenthesized_pattern] = STATE(8559),
    [sym_attribute] = STATE(2589),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(8559),
    [sym_quoted_extension] = STATE(8559),
    [sym__constant] = STATE(8694),
    [sym__signed_constant] = STATE(8559),
    [sym_number] = STATE(8460),
    [sym_signed_number] = STATE(8694),
    [sym_character] = STATE(8460),
    [sym_string] = STATE(8460),
    [sym_quoted_string] = STATE(8460),
    [sym_boolean] = STATE(8460),
    [sym_unit] = STATE(8460),
    [sym__simple_value_pattern] = STATE(8559),
    [sym_parenthesized_operator] = STATE(8559),
    [sym_module_path] = STATE(18952),
    [sym_constructor_path] = STATE(8559),
    [sym__constructor_name] = STATE(8521),
    [sym_tag] = STATE(8559),
    [aux_sym_expression_item_repeat1] = STATE(12952),
    [aux_sym_let_binding_repeat1] = STATE(2611),
    [sym__lowercase_identifier] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7503),
    [anon_sym_TILDE] = ACTIONS(7441),
    [anon_sym_QMARK] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_true] = ACTIONS(7447),
    [anon_sym_false] = ACTIONS(7447),
    [anon_sym_COLON2] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7451),
    [anon_sym_constraint] = ACTIONS(7505),
    [anon_sym_val] = ACTIONS(7505),
    [anon_sym_end] = ACTIONS(7505),
    [anon_sym_inherit] = ACTIONS(7505),
    [anon_sym_method] = ACTIONS(7505),
    [anon_sym_initializer] = ACTIONS(7505),
    [anon_sym_POUND] = ACTIONS(7455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7457),
    [anon_sym_begin] = ACTIONS(7459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7507),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7465),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7507),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7507),
    [aux_sym_number_token1] = ACTIONS(7467),
    [aux_sym_signed_number_token1] = ACTIONS(7469),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym_DQUOTE] = ACTIONS(7473),
    [sym__uppercase_identifier] = ACTIONS(7475),
    [aux_sym_tag_token1] = ACTIONS(7477),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2737),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8313),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2591),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2873),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8218),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13380),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2893),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym_parameter] = STATE(8444),
    [sym__polymorphic_typed] = STATE(12727),
    [sym__parenthesized_abstract_type] = STATE(8444),
    [sym__simple_pattern] = STATE(8443),
    [sym_typed_pattern] = STATE(8559),
    [sym_polymorphic_variant_pattern] = STATE(8559),
    [sym_record_pattern] = STATE(8559),
    [sym_list_pattern] = STATE(8559),
    [sym_array_pattern] = STATE(8559),
    [sym_local_open_pattern] = STATE(8559),
    [sym_package_pattern] = STATE(8559),
    [sym_parenthesized_pattern] = STATE(8559),
    [sym_attribute] = STATE(2593),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(8559),
    [sym_quoted_extension] = STATE(8559),
    [sym__constant] = STATE(8694),
    [sym__signed_constant] = STATE(8559),
    [sym_number] = STATE(8460),
    [sym_signed_number] = STATE(8694),
    [sym_character] = STATE(8460),
    [sym_string] = STATE(8460),
    [sym_quoted_string] = STATE(8460),
    [sym_boolean] = STATE(8460),
    [sym_unit] = STATE(8460),
    [sym__simple_value_pattern] = STATE(8559),
    [sym_parenthesized_operator] = STATE(8559),
    [sym_module_path] = STATE(18952),
    [sym_constructor_path] = STATE(8559),
    [sym__constructor_name] = STATE(8521),
    [sym_tag] = STATE(8559),
    [aux_sym_expression_item_repeat1] = STATE(12834),
    [aux_sym_let_binding_repeat1] = STATE(2588),
    [sym__lowercase_identifier] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_TILDE] = ACTIONS(7441),
    [anon_sym_QMARK] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_true] = ACTIONS(7447),
    [anon_sym_false] = ACTIONS(7447),
    [anon_sym_COLON2] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7451),
    [anon_sym_constraint] = ACTIONS(7515),
    [anon_sym_val] = ACTIONS(7515),
    [anon_sym_end] = ACTIONS(7515),
    [anon_sym_inherit] = ACTIONS(7515),
    [anon_sym_method] = ACTIONS(7515),
    [anon_sym_initializer] = ACTIONS(7515),
    [anon_sym_POUND] = ACTIONS(7455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7457),
    [anon_sym_begin] = ACTIONS(7459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7517),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7465),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7517),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7517),
    [aux_sym_number_token1] = ACTIONS(7467),
    [aux_sym_signed_number_token1] = ACTIONS(7469),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym_DQUOTE] = ACTIONS(7473),
    [sym__uppercase_identifier] = ACTIONS(7475),
    [aux_sym_tag_token1] = ACTIONS(7477),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2594),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2679),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2595),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2783),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8158),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2596),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2858),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7521),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym__match_cases] = STATE(10163),
    [sym_match_case] = STATE(10835),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13452),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2597),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2740),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2598),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2840),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym__match_cases] = STATE(10163),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13532),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2599),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2822),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym_parameter] = STATE(8444),
    [sym__polymorphic_typed] = STATE(12728),
    [sym__parenthesized_abstract_type] = STATE(8444),
    [sym__simple_pattern] = STATE(8443),
    [sym_typed_pattern] = STATE(8559),
    [sym_polymorphic_variant_pattern] = STATE(8559),
    [sym_record_pattern] = STATE(8559),
    [sym_list_pattern] = STATE(8559),
    [sym_array_pattern] = STATE(8559),
    [sym_local_open_pattern] = STATE(8559),
    [sym_package_pattern] = STATE(8559),
    [sym_parenthesized_pattern] = STATE(8559),
    [sym_attribute] = STATE(2600),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(8559),
    [sym_quoted_extension] = STATE(8559),
    [sym__constant] = STATE(8694),
    [sym__signed_constant] = STATE(8559),
    [sym_number] = STATE(8460),
    [sym_signed_number] = STATE(8694),
    [sym_character] = STATE(8460),
    [sym_string] = STATE(8460),
    [sym_quoted_string] = STATE(8460),
    [sym_boolean] = STATE(8460),
    [sym_unit] = STATE(8460),
    [sym__simple_value_pattern] = STATE(8559),
    [sym_parenthesized_operator] = STATE(8559),
    [sym_module_path] = STATE(18952),
    [sym_constructor_path] = STATE(8559),
    [sym__constructor_name] = STATE(8521),
    [sym_tag] = STATE(8559),
    [aux_sym_expression_item_repeat1] = STATE(12837),
    [aux_sym_let_binding_repeat1] = STATE(2935),
    [sym__lowercase_identifier] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_TILDE] = ACTIONS(7441),
    [anon_sym_QMARK] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_true] = ACTIONS(7447),
    [anon_sym_false] = ACTIONS(7447),
    [anon_sym_COLON2] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7451),
    [anon_sym_constraint] = ACTIONS(7531),
    [anon_sym_val] = ACTIONS(7531),
    [anon_sym_end] = ACTIONS(7531),
    [anon_sym_inherit] = ACTIONS(7531),
    [anon_sym_method] = ACTIONS(7531),
    [anon_sym_initializer] = ACTIONS(7531),
    [anon_sym_POUND] = ACTIONS(7455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7457),
    [anon_sym_begin] = ACTIONS(7459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7533),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7465),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7533),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7533),
    [aux_sym_number_token1] = ACTIONS(7467),
    [aux_sym_signed_number_token1] = ACTIONS(7469),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym_DQUOTE] = ACTIONS(7473),
    [sym__uppercase_identifier] = ACTIONS(7475),
    [aux_sym_tag_token1] = ACTIONS(7477),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2702),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8348),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2689),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2603),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2814),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8152),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13472),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2604),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2733),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(12255),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13570),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2605),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2732),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2606),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2684),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8276),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13609),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2607),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2703),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2608),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2682),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2791),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2610),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2863),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym_parameter] = STATE(8444),
    [sym__polymorphic_typed] = STATE(12721),
    [sym__parenthesized_abstract_type] = STATE(8444),
    [sym__simple_pattern] = STATE(8443),
    [sym_typed_pattern] = STATE(8559),
    [sym_polymorphic_variant_pattern] = STATE(8559),
    [sym_record_pattern] = STATE(8559),
    [sym_list_pattern] = STATE(8559),
    [sym_array_pattern] = STATE(8559),
    [sym_local_open_pattern] = STATE(8559),
    [sym_package_pattern] = STATE(8559),
    [sym_parenthesized_pattern] = STATE(8559),
    [sym_attribute] = STATE(2611),
    [sym_item_attribute] = STATE(9985),
    [sym_extension] = STATE(8559),
    [sym_quoted_extension] = STATE(8559),
    [sym__constant] = STATE(8694),
    [sym__signed_constant] = STATE(8559),
    [sym_number] = STATE(8460),
    [sym_signed_number] = STATE(8694),
    [sym_character] = STATE(8460),
    [sym_string] = STATE(8460),
    [sym_quoted_string] = STATE(8460),
    [sym_boolean] = STATE(8460),
    [sym_unit] = STATE(8460),
    [sym__simple_value_pattern] = STATE(8559),
    [sym_parenthesized_operator] = STATE(8559),
    [sym_module_path] = STATE(18952),
    [sym_constructor_path] = STATE(8559),
    [sym__constructor_name] = STATE(8521),
    [sym_tag] = STATE(8559),
    [aux_sym_expression_item_repeat1] = STATE(12868),
    [aux_sym_let_binding_repeat1] = STATE(2935),
    [sym__lowercase_identifier] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7547),
    [anon_sym_TILDE] = ACTIONS(7441),
    [anon_sym_QMARK] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_true] = ACTIONS(7447),
    [anon_sym_false] = ACTIONS(7447),
    [anon_sym_COLON2] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7451),
    [anon_sym_constraint] = ACTIONS(7549),
    [anon_sym_val] = ACTIONS(7549),
    [anon_sym_end] = ACTIONS(7549),
    [anon_sym_inherit] = ACTIONS(7549),
    [anon_sym_method] = ACTIONS(7549),
    [anon_sym_initializer] = ACTIONS(7549),
    [anon_sym_POUND] = ACTIONS(7455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7457),
    [anon_sym_begin] = ACTIONS(7459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6783),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7551),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7465),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7551),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7551),
    [aux_sym_number_token1] = ACTIONS(7467),
    [aux_sym_signed_number_token1] = ACTIONS(7469),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym_DQUOTE] = ACTIONS(7473),
    [sym__uppercase_identifier] = ACTIONS(7475),
    [aux_sym_tag_token1] = ACTIONS(7477),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym__match_cases] = STATE(8082),
    [sym_match_case] = STATE(8297),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13601),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2612),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2841),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2613),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2697),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2614),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2854),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym__match_cases] = STATE(10163),
    [sym_match_case] = STATE(12035),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13587),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2615),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2826),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym__match_cases] = STATE(10163),
    [sym_match_case] = STATE(11037),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13626),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2616),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2876),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2617),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2779),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2618),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2785),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym__match_cases] = STATE(8144),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2619),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2760),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym__match_cases] = STATE(7750),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2620),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__attribute] = STATE(2845),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19559),
    [sym_module_definition] = STATE(19558),
    [sym_open_module] = STATE(19556),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2621),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17466),
    [sym_module_definition] = STATE(17458),
    [sym_open_module] = STATE(17447),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2622),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18959),
    [sym_module_definition] = STATE(19040),
    [sym_open_module] = STATE(19041),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2623),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18089),
    [sym_module_definition] = STATE(18064),
    [sym_open_module] = STATE(17940),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2624),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2625] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19758),
    [sym_module_definition] = STATE(19755),
    [sym_open_module] = STATE(19754),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2625),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2626] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17994),
    [sym_module_definition] = STATE(17993),
    [sym_open_module] = STATE(17992),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2626),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2627] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19659),
    [sym_module_definition] = STATE(19647),
    [sym_open_module] = STATE(19638),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2627),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2628] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19857),
    [sym_module_definition] = STATE(19937),
    [sym_open_module] = STATE(19933),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2628),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2629] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19645),
    [sym_module_definition] = STATE(19643),
    [sym_open_module] = STATE(19631),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2629),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2630] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17562),
    [sym_module_definition] = STATE(17549),
    [sym_open_module] = STATE(17790),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2630),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2631] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18239),
    [sym_module_definition] = STATE(18254),
    [sym_open_module] = STATE(18261),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2631),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2632] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(20152),
    [sym_module_definition] = STATE(20150),
    [sym_open_module] = STATE(20148),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2632),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2633] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18022),
    [sym_module_definition] = STATE(18031),
    [sym_open_module] = STATE(18631),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2633),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2634] = {
    [sym_let_binding] = STATE(11356),
    [sym_exception_definition] = STATE(20129),
    [sym_module_definition] = STATE(20128),
    [sym_open_module] = STATE(20127),
    [sym__binding_pattern] = STATE(2466),
    [sym_alias_binding_pattern] = STATE(5380),
    [sym_typed_binding_pattern] = STATE(5380),
    [sym_or_binding_pattern] = STATE(5380),
    [sym_constructor_binding_pattern] = STATE(5380),
    [sym_tag_binding_pattern] = STATE(5380),
    [sym_polymorphic_variant_pattern] = STATE(5380),
    [sym_tuple_binding_pattern] = STATE(5380),
    [sym_record_binding_pattern] = STATE(5382),
    [sym_list_binding_pattern] = STATE(5383),
    [sym_cons_binding_pattern] = STATE(5380),
    [sym_array_binding_pattern] = STATE(5412),
    [sym_range_pattern] = STATE(5380),
    [sym_lazy_binding_pattern] = STATE(5380),
    [sym_local_open_binding_pattern] = STATE(5380),
    [sym_package_pattern] = STATE(5380),
    [sym_parenthesized_binding_pattern] = STATE(5380),
    [sym_attribute] = STATE(2634),
    [sym_extension] = STATE(5380),
    [sym_quoted_extension] = STATE(5380),
    [sym__attribute] = STATE(4505),
    [sym__constant] = STATE(5344),
    [sym__signed_constant] = STATE(5346),
    [sym_number] = STATE(5275),
    [sym_signed_number] = STATE(5344),
    [sym_character] = STATE(5275),
    [sym_string] = STATE(5275),
    [sym_quoted_string] = STATE(5275),
    [sym_boolean] = STATE(5275),
    [sym_unit] = STATE(5275),
    [sym__value_name] = STATE(5380),
    [sym_parenthesized_operator] = STATE(5477),
    [sym_module_path] = STATE(20126),
    [sym_constructor_path] = STATE(2432),
    [sym__constructor_name] = STATE(5271),
    [sym_tag] = STATE(2431),
    [sym__lowercase_identifier] = ACTIONS(5095),
    [anon_sym_rec] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5099),
    [anon_sym_true] = ACTIONS(5101),
    [anon_sym_false] = ACTIONS(5101),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(5105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5107),
    [anon_sym_lazy] = ACTIONS(5109),
    [anon_sym_begin] = ACTIONS(5111),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7575),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(5117),
    [aux_sym_signed_number_token1] = ACTIONS(5119),
    [anon_sym_SQUOTE] = ACTIONS(5121),
    [anon_sym_DQUOTE] = ACTIONS(5123),
    [sym__uppercase_identifier] = ACTIONS(5125),
    [aux_sym_tag_token1] = ACTIONS(5127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2635] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19197),
    [sym_module_definition] = STATE(19196),
    [sym_open_module] = STATE(19089),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2635),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2636] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19095),
    [sym_module_definition] = STATE(19097),
    [sym_open_module] = STATE(19098),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2636),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2637] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19476),
    [sym_module_definition] = STATE(19615),
    [sym_open_module] = STATE(19617),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2637),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2638] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19224),
    [sym_module_definition] = STATE(19223),
    [sym_open_module] = STATE(19094),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2638),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2639] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17421),
    [sym_module_definition] = STATE(17419),
    [sym_open_module] = STATE(17418),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2639),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2640] = {
    [sym_parameter] = STATE(10067),
    [sym__polymorphic_typed] = STATE(17149),
    [sym__parenthesized_abstract_type] = STATE(10067),
    [sym__simple_pattern] = STATE(10059),
    [sym_typed_pattern] = STATE(9973),
    [sym_polymorphic_variant_pattern] = STATE(9973),
    [sym_record_pattern] = STATE(9973),
    [sym_list_pattern] = STATE(9973),
    [sym_array_pattern] = STATE(9973),
    [sym_local_open_pattern] = STATE(9973),
    [sym_package_pattern] = STATE(9973),
    [sym_parenthesized_pattern] = STATE(9973),
    [sym_attribute] = STATE(2640),
    [sym_item_attribute] = STATE(14344),
    [sym_extension] = STATE(9973),
    [sym_quoted_extension] = STATE(9973),
    [sym__constant] = STATE(10115),
    [sym__signed_constant] = STATE(9973),
    [sym_number] = STATE(10063),
    [sym_signed_number] = STATE(10115),
    [sym_character] = STATE(10063),
    [sym_string] = STATE(10063),
    [sym_quoted_string] = STATE(10063),
    [sym_boolean] = STATE(10063),
    [sym_unit] = STATE(10063),
    [sym__simple_value_pattern] = STATE(9973),
    [sym_parenthesized_operator] = STATE(9973),
    [sym_module_path] = STATE(17929),
    [sym_constructor_path] = STATE(9973),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(9973),
    [aux_sym_expression_item_repeat1] = STATE(13926),
    [aux_sym_let_binding_repeat1] = STATE(4606),
    [sym__lowercase_identifier] = ACTIONS(5407),
    [anon_sym_and] = ACTIONS(5411),
    [anon_sym_COLON_GT] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7579),
    [anon_sym_TILDE] = ACTIONS(5417),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_LPAREN] = ACTIONS(5419),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_LBRACK] = ACTIONS(5425),
    [anon_sym_true] = ACTIONS(5427),
    [anon_sym_false] = ACTIONS(5427),
    [anon_sym_COLON2] = ACTIONS(5429),
    [anon_sym_LBRACE] = ACTIONS(5431),
    [anon_sym_in] = ACTIONS(5411),
    [anon_sym_as] = ACTIONS(7585),
    [anon_sym_POUND] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(7587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5439),
    [anon_sym_begin] = ACTIONS(5441),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7593),
    [aux_sym_number_token1] = ACTIONS(5449),
    [aux_sym_signed_number_token1] = ACTIONS(5451),
    [anon_sym_SQUOTE] = ACTIONS(5453),
    [anon_sym_DQUOTE] = ACTIONS(5455),
    [sym_let_and_operator] = ACTIONS(5409),
    [sym__uppercase_identifier] = ACTIONS(5457),
    [aux_sym_tag_token1] = ACTIONS(5459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2641] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17576),
    [sym_module_definition] = STATE(17579),
    [sym_open_module] = STATE(17615),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2641),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2642] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18812),
    [sym_module_definition] = STATE(18802),
    [sym_open_module] = STATE(18773),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2642),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2643] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18268),
    [sym_module_definition] = STATE(18270),
    [sym_open_module] = STATE(18360),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2643),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2644] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17857),
    [sym_module_definition] = STATE(17858),
    [sym_open_module] = STATE(17882),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2644),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2645] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(20158),
    [sym_module_definition] = STATE(20153),
    [sym_open_module] = STATE(20144),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2645),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2646] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19966),
    [sym_module_definition] = STATE(19723),
    [sym_open_module] = STATE(19672),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2646),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2647] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18519),
    [sym_module_definition] = STATE(18537),
    [sym_open_module] = STATE(18540),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2647),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2648] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(20174),
    [sym_module_definition] = STATE(20167),
    [sym_open_module] = STATE(20165),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2648),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2649] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18181),
    [sym_module_definition] = STATE(18180),
    [sym_open_module] = STATE(18171),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2649),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2650] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18426),
    [sym_module_definition] = STATE(18429),
    [sym_open_module] = STATE(18431),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2650),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2651] = {
    [sym_let_binding] = STATE(11422),
    [sym_exception_definition] = STATE(17857),
    [sym_module_definition] = STATE(17858),
    [sym_open_module] = STATE(17882),
    [sym__binding_pattern] = STATE(2467),
    [sym_alias_binding_pattern] = STATE(5415),
    [sym_typed_binding_pattern] = STATE(5415),
    [sym_or_binding_pattern] = STATE(5415),
    [sym_constructor_binding_pattern] = STATE(5415),
    [sym_tag_binding_pattern] = STATE(5415),
    [sym_polymorphic_variant_pattern] = STATE(5415),
    [sym_tuple_binding_pattern] = STATE(5415),
    [sym_record_binding_pattern] = STATE(5416),
    [sym_list_binding_pattern] = STATE(5417),
    [sym_cons_binding_pattern] = STATE(5415),
    [sym_array_binding_pattern] = STATE(5418),
    [sym_range_pattern] = STATE(5415),
    [sym_lazy_binding_pattern] = STATE(5415),
    [sym_local_open_binding_pattern] = STATE(5415),
    [sym_package_pattern] = STATE(5415),
    [sym_parenthesized_binding_pattern] = STATE(5415),
    [sym_attribute] = STATE(2651),
    [sym_extension] = STATE(5415),
    [sym_quoted_extension] = STATE(5415),
    [sym__attribute] = STATE(4456),
    [sym__constant] = STATE(5268),
    [sym__signed_constant] = STATE(5374),
    [sym_number] = STATE(5357),
    [sym_signed_number] = STATE(5268),
    [sym_character] = STATE(5357),
    [sym_string] = STATE(5357),
    [sym_quoted_string] = STATE(5357),
    [sym_boolean] = STATE(5357),
    [sym_unit] = STATE(5357),
    [sym__value_name] = STATE(5415),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_module_path] = STATE(18957),
    [sym_constructor_path] = STATE(2436),
    [sym__constructor_name] = STATE(5356),
    [sym_tag] = STATE(2423),
    [sym__lowercase_identifier] = ACTIONS(4911),
    [anon_sym_rec] = ACTIONS(7595),
    [anon_sym_LPAREN] = ACTIONS(4917),
    [anon_sym_LBRACK] = ACTIONS(4919),
    [anon_sym_true] = ACTIONS(4921),
    [anon_sym_false] = ACTIONS(4921),
    [anon_sym_LBRACE] = ACTIONS(4923),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(4925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4927),
    [anon_sym_lazy] = ACTIONS(4929),
    [anon_sym_begin] = ACTIONS(4931),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7599),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(4937),
    [aux_sym_signed_number_token1] = ACTIONS(4939),
    [anon_sym_SQUOTE] = ACTIONS(4941),
    [anon_sym_DQUOTE] = ACTIONS(4943),
    [sym__uppercase_identifier] = ACTIONS(4945),
    [aux_sym_tag_token1] = ACTIONS(4947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2652] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(20235),
    [sym_module_definition] = STATE(20238),
    [sym_open_module] = STATE(19893),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2652),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2653] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19388),
    [sym_module_definition] = STATE(19393),
    [sym_open_module] = STATE(19399),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2653),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2654] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17974),
    [sym_module_definition] = STATE(17976),
    [sym_open_module] = STATE(17980),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2654),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2655] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19867),
    [sym_module_definition] = STATE(19868),
    [sym_open_module] = STATE(19879),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2655),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2656] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17691),
    [sym_module_definition] = STATE(17688),
    [sym_open_module] = STATE(17687),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2656),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2657] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19058),
    [sym_module_definition] = STATE(19057),
    [sym_open_module] = STATE(19056),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2657),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2658] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(20129),
    [sym_module_definition] = STATE(20128),
    [sym_open_module] = STATE(20127),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2658),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2659] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19145),
    [sym_module_definition] = STATE(19149),
    [sym_open_module] = STATE(19211),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2659),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2660] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18322),
    [sym_module_definition] = STATE(18321),
    [sym_open_module] = STATE(18198),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2660),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2661] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17705),
    [sym_module_definition] = STATE(17671),
    [sym_open_module] = STATE(17621),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2661),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2662] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(17428),
    [sym_module_definition] = STATE(17552),
    [sym_open_module] = STATE(17553),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2662),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2663] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19268),
    [sym_module_definition] = STATE(19248),
    [sym_open_module] = STATE(19234),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2663),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2664] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19854),
    [sym_module_definition] = STATE(19858),
    [sym_open_module] = STATE(19860),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2664),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2665] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18813),
    [sym_module_definition] = STATE(18814),
    [sym_open_module] = STATE(18815),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2665),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2666] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19414),
    [sym_module_definition] = STATE(19413),
    [sym_open_module] = STATE(19229),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2666),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2667] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19369),
    [sym_module_definition] = STATE(19364),
    [sym_open_module] = STATE(19359),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2667),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2668] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(19246),
    [sym_module_definition] = STATE(19249),
    [sym_open_module] = STATE(19250),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2668),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2669] = {
    [sym_let_binding] = STATE(14498),
    [sym_exception_definition] = STATE(18711),
    [sym_module_definition] = STATE(18710),
    [sym_open_module] = STATE(18709),
    [sym__binding_pattern] = STATE(2640),
    [sym_alias_binding_pattern] = STATE(8735),
    [sym_typed_binding_pattern] = STATE(8735),
    [sym_or_binding_pattern] = STATE(8735),
    [sym_constructor_binding_pattern] = STATE(8735),
    [sym_tag_binding_pattern] = STATE(8735),
    [sym_polymorphic_variant_pattern] = STATE(8735),
    [sym_tuple_binding_pattern] = STATE(8735),
    [sym_record_binding_pattern] = STATE(8733),
    [sym_list_binding_pattern] = STATE(8731),
    [sym_cons_binding_pattern] = STATE(8735),
    [sym_array_binding_pattern] = STATE(8727),
    [sym_range_pattern] = STATE(8735),
    [sym_lazy_binding_pattern] = STATE(8735),
    [sym_local_open_binding_pattern] = STATE(8735),
    [sym_package_pattern] = STATE(8735),
    [sym_parenthesized_binding_pattern] = STATE(8735),
    [sym_attribute] = STATE(2669),
    [sym_extension] = STATE(8735),
    [sym_quoted_extension] = STATE(8735),
    [sym__attribute] = STATE(4449),
    [sym__constant] = STATE(8474),
    [sym__signed_constant] = STATE(8446),
    [sym_number] = STATE(8556),
    [sym_signed_number] = STATE(8474),
    [sym_character] = STATE(8556),
    [sym_string] = STATE(8556),
    [sym_quoted_string] = STATE(8556),
    [sym_boolean] = STATE(8556),
    [sym_unit] = STATE(8556),
    [sym__value_name] = STATE(8735),
    [sym_parenthesized_operator] = STATE(8730),
    [sym_module_path] = STATE(20219),
    [sym_constructor_path] = STATE(2566),
    [sym__constructor_name] = STATE(8564),
    [sym_tag] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(7298),
    [anon_sym_rec] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7300),
    [anon_sym_LBRACK] = ACTIONS(7302),
    [anon_sym_true] = ACTIONS(7304),
    [anon_sym_false] = ACTIONS(7304),
    [anon_sym_LBRACE] = ACTIONS(7306),
    [anon_sym_exception] = ACTIONS(7563),
    [anon_sym_module] = ACTIONS(7565),
    [anon_sym_open] = ACTIONS(7567),
    [anon_sym_POUND] = ACTIONS(7308),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_lazy] = ACTIONS(7312),
    [anon_sym_begin] = ACTIONS(7314),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [anon_sym_PERCENT] = ACTIONS(7569),
    [aux_sym_number_token1] = ACTIONS(7320),
    [aux_sym_signed_number_token1] = ACTIONS(7322),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7326),
    [sym__uppercase_identifier] = ACTIONS(7328),
    [aux_sym_tag_token1] = ACTIONS(7330),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2670] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8036),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13503),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2670),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2671] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2671),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2672] = {
    [sym__match_cases] = STATE(10306),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13532),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2672),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2673] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(12051),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13629),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2673),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2674] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2674),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2675] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(12051),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13629),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2675),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2676] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2676),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2677] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2677),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2678] = {
    [sym__simple_expression] = STATE(9052),
    [sym_typed_expression] = STATE(9036),
    [sym_list_expression] = STATE(9036),
    [sym_array_expression] = STATE(9036),
    [sym_record_expression] = STATE(9036),
    [sym_labeled_argument] = STATE(9811),
    [sym_prefix_expression] = STATE(9036),
    [sym_hash_expression] = STATE(9036),
    [sym_field_get_expression] = STATE(9036),
    [sym_array_get_expression] = STATE(9036),
    [sym_string_get_expression] = STATE(9036),
    [sym_bigarray_get_expression] = STATE(9036),
    [sym_coercion_expression] = STATE(9036),
    [sym_local_open_expression] = STATE(9036),
    [sym_package_expression] = STATE(9036),
    [sym_new_expression] = STATE(9036),
    [sym_object_copy_expression] = STATE(9036),
    [sym_method_invocation] = STATE(9036),
    [sym_object_expression] = STATE(9036),
    [sym_parenthesized_expression] = STATE(9036),
    [sym_attribute] = STATE(2678),
    [sym_extension] = STATE(9036),
    [sym_quoted_extension] = STATE(9036),
    [sym__constant] = STATE(9036),
    [sym_number] = STATE(9123),
    [sym_character] = STATE(9123),
    [sym_string] = STATE(9123),
    [sym_quoted_string] = STATE(9123),
    [sym_boolean] = STATE(9123),
    [sym_unit] = STATE(9123),
    [sym__value_name] = STATE(9008),
    [sym_parenthesized_operator] = STATE(8994),
    [sym_value_path] = STATE(9036),
    [sym_module_path] = STATE(17811),
    [sym_constructor_path] = STATE(9036),
    [sym__constructor_name] = STATE(8128),
    [sym_tag] = STATE(9036),
    [aux_sym_class_application_repeat1] = STATE(2678),
    [sym__lowercase_identifier] = ACTIONS(7601),
    [anon_sym_TILDE] = ACTIONS(7604),
    [anon_sym_QMARK] = ACTIONS(7604),
    [anon_sym_LPAREN] = ACTIONS(7607),
    [anon_sym_RPAREN] = ACTIONS(3414),
    [anon_sym_LBRACK] = ACTIONS(7610),
    [anon_sym_true] = ACTIONS(7613),
    [anon_sym_false] = ACTIONS(7613),
    [anon_sym_COLON2] = ACTIONS(3414),
    [anon_sym_LBRACE] = ACTIONS(7616),
    [anon_sym_object] = ACTIONS(7619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7622),
    [anon_sym_new] = ACTIONS(7625),
    [anon_sym_LBRACE_LT] = ACTIONS(7628),
    [anon_sym_begin] = ACTIONS(7631),
    [sym_ocamlyacc_value] = ACTIONS(7634),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7637),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7640),
    [aux_sym_number_token1] = ACTIONS(7643),
    [anon_sym_SQUOTE] = ACTIONS(7646),
    [anon_sym_DQUOTE] = ACTIONS(7649),
    [sym_prefix_operator] = ACTIONS(7652),
    [sym__uppercase_identifier] = ACTIONS(7655),
    [aux_sym_tag_token1] = ACTIONS(7658),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2679] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2679),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2680] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2680),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2681] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2681),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2682] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2682),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2683] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2683),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2684] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2684),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2685] = {
    [sym__match_cases] = STATE(10265),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13532),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2685),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2686] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2686),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2687] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8276),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13609),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2687),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2688] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(12051),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13629),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2688),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2689] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8348),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2689),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2690] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2690),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2691] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8348),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2691),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2692] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8348),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2692),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2693] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2693),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2694] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8348),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2694),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2695] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8706),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2695),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7429),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2696] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8348),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13520),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2696),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2697] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2697),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2698] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(12255),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13570),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2698),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2699] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2699),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2700] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2700),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2701] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(12051),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13629),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2701),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2702] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2702),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2703] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8276),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13609),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2703),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2704] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(12255),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13570),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2704),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2705] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2705),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2706] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2706),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2707] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2707),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2708] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8297),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13601),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2708),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2709] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(12051),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13629),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2709),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7485),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2710] = {
    [sym__match_cases] = STATE(10303),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13532),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2710),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2711] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8276),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13609),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2711),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2712] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2712),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2713] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2713),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2714] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2714),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2715] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2715),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2716] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8706),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2716),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7429),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2717] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8276),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13609),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2717),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2718] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2718),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2719] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2719),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2720] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2720),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2721] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8152),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13472),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2721),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2722] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2722),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2723] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8152),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13472),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2723),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2724] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2724),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2725] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2725),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2726] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8036),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13503),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2726),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2727] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8152),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13472),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2727),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2728] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8036),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13503),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2728),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2729] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2729),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2730] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8152),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13472),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2730),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2731] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2731),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2732] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(12255),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13570),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2732),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2733] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8152),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13472),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2733),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2734] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2734),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2735] = {
    [sym__match_cases] = STATE(10205),
    [sym_match_case] = STATE(12126),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13558),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2735),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2736] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2736),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2737] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2737),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2738] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8230),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13485),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2738),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2739] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8036),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13503),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2739),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2740] = {
    [sym__match_cases] = STATE(10205),
    [sym_match_case] = STATE(10835),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13452),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2740),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2741] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8230),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13485),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2741),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2742] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8036),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13503),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2742),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2743] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8230),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13485),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2743),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2744] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2744),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2745] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2745),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2746] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2746),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2747] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2747),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2748] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2748),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2749] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2749),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2750] = {
    [sym__match_cases] = STATE(10258),
    [sym_match_case] = STATE(12126),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13558),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2750),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2751] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2751),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2752] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2752),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2753] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2753),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2754] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2754),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2755] = {
    [sym__match_cases] = STATE(10265),
    [sym_match_case] = STATE(12126),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13558),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2755),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2756] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2756),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2757] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2757),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2758] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2758),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2759] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2759),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2760] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2760),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2761] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2761),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2762] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2762),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2763] = {
    [sym__match_cases] = STATE(10303),
    [sym_match_case] = STATE(12126),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13558),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2763),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2764] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8230),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13485),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2764),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2765] = {
    [sym__match_cases] = STATE(10306),
    [sym_match_case] = STATE(12126),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13558),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2765),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2766] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2766),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2767] = {
    [sym__match_cases] = STATE(10258),
    [sym_match_case] = STATE(10835),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13452),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2767),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2768] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2768),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2769] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2769),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2770] = {
    [sym__match_cases] = STATE(10265),
    [sym_match_case] = STATE(10835),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13452),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2770),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2771] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(12255),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13570),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2771),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2772] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2772),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2773] = {
    [sym__match_cases] = STATE(10303),
    [sym_match_case] = STATE(10835),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13452),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2773),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2774] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8091),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13339),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2774),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2775] = {
    [sym__match_cases] = STATE(10306),
    [sym_match_case] = STATE(10835),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13452),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2775),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2776] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2776),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2777] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2777),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2778] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(12255),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13570),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2778),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2779] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2779),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2780] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8230),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13485),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2780),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2781] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2781),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2782] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2782),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2783] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2783),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2784] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2784),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2785] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2785),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2786] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8297),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13601),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2786),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2787] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2787),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2788] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8091),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13339),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2788),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2789] = {
    [sym__simple_expression] = STATE(9052),
    [sym_typed_expression] = STATE(9036),
    [sym_list_expression] = STATE(9036),
    [sym_array_expression] = STATE(9036),
    [sym_record_expression] = STATE(9036),
    [sym_labeled_argument] = STATE(9811),
    [sym_prefix_expression] = STATE(9036),
    [sym_hash_expression] = STATE(9036),
    [sym_field_get_expression] = STATE(9036),
    [sym_array_get_expression] = STATE(9036),
    [sym_string_get_expression] = STATE(9036),
    [sym_bigarray_get_expression] = STATE(9036),
    [sym_coercion_expression] = STATE(9036),
    [sym_local_open_expression] = STATE(9036),
    [sym_package_expression] = STATE(9036),
    [sym_new_expression] = STATE(9036),
    [sym_object_copy_expression] = STATE(9036),
    [sym_method_invocation] = STATE(9036),
    [sym_object_expression] = STATE(9036),
    [sym_parenthesized_expression] = STATE(9036),
    [sym_attribute] = STATE(2789),
    [sym_extension] = STATE(9036),
    [sym_quoted_extension] = STATE(9036),
    [sym__constant] = STATE(9036),
    [sym_number] = STATE(9123),
    [sym_character] = STATE(9123),
    [sym_string] = STATE(9123),
    [sym_quoted_string] = STATE(9123),
    [sym_boolean] = STATE(9123),
    [sym_unit] = STATE(9123),
    [sym__value_name] = STATE(9008),
    [sym_parenthesized_operator] = STATE(8994),
    [sym_value_path] = STATE(9036),
    [sym_module_path] = STATE(17811),
    [sym_constructor_path] = STATE(9036),
    [sym__constructor_name] = STATE(8128),
    [sym_tag] = STATE(9036),
    [aux_sym_class_application_repeat1] = STATE(2864),
    [sym__lowercase_identifier] = ACTIONS(7661),
    [anon_sym_TILDE] = ACTIONS(7663),
    [anon_sym_QMARK] = ACTIONS(7663),
    [anon_sym_LPAREN] = ACTIONS(7665),
    [anon_sym_RPAREN] = ACTIONS(5589),
    [anon_sym_LBRACK] = ACTIONS(7667),
    [anon_sym_true] = ACTIONS(7669),
    [anon_sym_false] = ACTIONS(7669),
    [anon_sym_COLON2] = ACTIONS(5589),
    [anon_sym_LBRACE] = ACTIONS(7671),
    [anon_sym_object] = ACTIONS(7673),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7675),
    [anon_sym_new] = ACTIONS(7677),
    [anon_sym_LBRACE_LT] = ACTIONS(7679),
    [anon_sym_begin] = ACTIONS(7681),
    [sym_ocamlyacc_value] = ACTIONS(7683),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7685),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7687),
    [aux_sym_number_token1] = ACTIONS(7689),
    [anon_sym_SQUOTE] = ACTIONS(7691),
    [anon_sym_DQUOTE] = ACTIONS(7693),
    [sym_prefix_operator] = ACTIONS(7695),
    [sym__uppercase_identifier] = ACTIONS(7697),
    [aux_sym_tag_token1] = ACTIONS(7699),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2790] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8706),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2790),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7429),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2791] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2791),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2792] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2792),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2793] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8297),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13601),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2793),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2794] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2794),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2795] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(12391),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13439),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2795),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7493),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2796] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2796),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2797] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2797),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2798] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8706),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2798),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7429),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2799] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(10278),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13396),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2799),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2800] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8297),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13601),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2800),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2801] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2801),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2802] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2802),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2803] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2803),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2804] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2804),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2805] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2805),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2806] = {
    [sym__match_cases] = STATE(10205),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2806),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2807] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2807),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2808] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2808),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2809] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2809),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2810] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(10072),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13650),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2810),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2811] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2811),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2812] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2812),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2813] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2813),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2814] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2814),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2815] = {
    [sym__match_cases] = STATE(10258),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2815),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2816] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2816),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2817] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2817),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2818] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2818),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2819] = {
    [sym__match_cases] = STATE(10258),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13532),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2819),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2820] = {
    [sym__match_cases] = STATE(10306),
    [sym_match_case] = STATE(11037),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13626),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2820),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2821] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(9323),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13397),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2821),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2822] = {
    [sym__match_cases] = STATE(10205),
    [sym_match_case] = STATE(11668),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13532),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2822),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2823] = {
    [sym__match_cases] = STATE(10265),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2823),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2824] = {
    [sym__match_cases] = STATE(10303),
    [sym_match_case] = STATE(11037),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13626),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2824),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2825] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8091),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13339),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2825),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2826] = {
    [sym__match_cases] = STATE(10205),
    [sym_match_case] = STATE(12035),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13587),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2826),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2827] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2827),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2828] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8706),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2828),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7429),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2829] = {
    [sym__match_cases] = STATE(10265),
    [sym_match_case] = STATE(11037),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13626),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2829),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2830] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2830),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2831] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8091),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13339),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2831),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2832] = {
    [sym__match_cases] = STATE(10258),
    [sym_match_case] = STATE(11037),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13626),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2832),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2833] = {
    [sym__match_cases] = STATE(10258),
    [sym_match_case] = STATE(12035),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13587),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2833),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2834] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8535),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13408),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2834),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2835] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8535),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13408),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2835),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2836] = {
    [sym__match_cases] = STATE(10306),
    [sym_match_case] = STATE(12035),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13587),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2836),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2837] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2837),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2838] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8313),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2838),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2839] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8313),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2839),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2840] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2840),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2841] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8297),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13601),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2841),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2842] = {
    [sym__match_cases] = STATE(10303),
    [sym_match_case] = STATE(12035),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13587),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2842),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2843] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2843),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2844] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2844),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2845] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2845),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2846] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8091),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13339),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2846),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2847] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8535),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13408),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2847),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2848] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2848),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2849] = {
    [sym__match_cases] = STATE(10303),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2849),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2850] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8535),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13408),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2850),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2851] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(12002),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13466),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2851),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2852] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2852),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2853] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(12143),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13643),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2853),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2854] = {
    [sym__match_cases] = STATE(8096),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2854),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2855] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2855),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2856] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8313),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2856),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2857] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2857),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2858] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8158),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2858),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7521),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2859] = {
    [sym__match_cases] = STATE(10306),
    [sym_match_case] = STATE(11799),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2859),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7489),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2860] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8313),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2860),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2861] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2861),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2862] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8276),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13609),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2862),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2863] = {
    [sym__match_cases] = STATE(7729),
    [sym_match_case] = STATE(11786),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13317),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2863),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2864] = {
    [sym__simple_expression] = STATE(9052),
    [sym_typed_expression] = STATE(9036),
    [sym_list_expression] = STATE(9036),
    [sym_array_expression] = STATE(9036),
    [sym_record_expression] = STATE(9036),
    [sym_labeled_argument] = STATE(9811),
    [sym_prefix_expression] = STATE(9036),
    [sym_hash_expression] = STATE(9036),
    [sym_field_get_expression] = STATE(9036),
    [sym_array_get_expression] = STATE(9036),
    [sym_string_get_expression] = STATE(9036),
    [sym_bigarray_get_expression] = STATE(9036),
    [sym_coercion_expression] = STATE(9036),
    [sym_local_open_expression] = STATE(9036),
    [sym_package_expression] = STATE(9036),
    [sym_new_expression] = STATE(9036),
    [sym_object_copy_expression] = STATE(9036),
    [sym_method_invocation] = STATE(9036),
    [sym_object_expression] = STATE(9036),
    [sym_parenthesized_expression] = STATE(9036),
    [sym_attribute] = STATE(2864),
    [sym_extension] = STATE(9036),
    [sym_quoted_extension] = STATE(9036),
    [sym__constant] = STATE(9036),
    [sym_number] = STATE(9123),
    [sym_character] = STATE(9123),
    [sym_string] = STATE(9123),
    [sym_quoted_string] = STATE(9123),
    [sym_boolean] = STATE(9123),
    [sym_unit] = STATE(9123),
    [sym__value_name] = STATE(9008),
    [sym_parenthesized_operator] = STATE(8994),
    [sym_value_path] = STATE(9036),
    [sym_module_path] = STATE(17811),
    [sym_constructor_path] = STATE(9036),
    [sym__constructor_name] = STATE(8128),
    [sym_tag] = STATE(9036),
    [aux_sym_class_application_repeat1] = STATE(2678),
    [sym__lowercase_identifier] = ACTIONS(7661),
    [anon_sym_TILDE] = ACTIONS(7663),
    [anon_sym_QMARK] = ACTIONS(7663),
    [anon_sym_LPAREN] = ACTIONS(7665),
    [anon_sym_RPAREN] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(7667),
    [anon_sym_true] = ACTIONS(7669),
    [anon_sym_false] = ACTIONS(7669),
    [anon_sym_COLON2] = ACTIONS(5545),
    [anon_sym_LBRACE] = ACTIONS(7671),
    [anon_sym_object] = ACTIONS(7673),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7675),
    [anon_sym_new] = ACTIONS(7677),
    [anon_sym_LBRACE_LT] = ACTIONS(7679),
    [anon_sym_begin] = ACTIONS(7681),
    [sym_ocamlyacc_value] = ACTIONS(7683),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7685),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7687),
    [aux_sym_number_token1] = ACTIONS(7689),
    [anon_sym_SQUOTE] = ACTIONS(7691),
    [anon_sym_DQUOTE] = ACTIONS(7693),
    [sym_prefix_operator] = ACTIONS(7695),
    [sym__uppercase_identifier] = ACTIONS(7697),
    [aux_sym_tag_token1] = ACTIONS(7699),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2865] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2865),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2866] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2866),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2867] = {
    [sym__match_cases] = STATE(7741),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2867),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2868] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2868),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2869] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2869),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2870] = {
    [sym__match_cases] = STATE(7736),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2870),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2871] = {
    [sym__match_cases] = STATE(8008),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2871),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2872] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2872),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2873] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8313),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2873),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2874] = {
    [sym__match_cases] = STATE(10265),
    [sym_match_case] = STATE(12035),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13587),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2874),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2875] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8218),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13380),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2875),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2876] = {
    [sym__match_cases] = STATE(10205),
    [sym_match_case] = STATE(11037),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13626),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2876),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2877] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8218),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13380),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2877),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2878] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8535),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13408),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2878),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7433),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2879] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8158),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2879),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7521),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2880] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(9433),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13459),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2880),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2881] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8158),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2881),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7521),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2882] = {
    [sym__match_cases] = STATE(7989),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2882),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2883] = {
    [sym__match_cases] = STATE(7971),
    [sym_match_case] = STATE(8218),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13380),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2883),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2884] = {
    [sym__match_cases] = STATE(7854),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2884),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2885] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13337),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2885),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2886] = {
    [sym__match_cases] = STATE(8007),
    [sym_match_case] = STATE(11724),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13557),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2886),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2887] = {
    [sym__match_cases] = STATE(7885),
    [sym_match_case] = STATE(12279),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13516),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2887),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2888] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(8218),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13380),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2888),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2889] = {
    [sym__signature] = STATE(20047),
    [sym_external] = STATE(12666),
    [sym_type_definition] = STATE(12666),
    [sym_exception_definition] = STATE(12666),
    [sym_module_definition] = STATE(12666),
    [sym_module_type_definition] = STATE(12666),
    [sym_open_module] = STATE(12666),
    [sym_class_definition] = STATE(12666),
    [sym_class_type_definition] = STATE(12666),
    [sym__signature_item] = STATE(12667),
    [sym_value_specification] = STATE(12666),
    [sym_include_module_type] = STATE(12666),
    [sym__simple_type] = STATE(11355),
    [sym__tuple_type] = STATE(12646),
    [sym__type] = STATE(14938),
    [sym_function_type] = STATE(9465),
    [sym_typed_label] = STATE(20226),
    [sym_tuple_type] = STATE(9238),
    [sym_constructed_type] = STATE(11768),
    [sym_aliased_type] = STATE(9465),
    [sym_local_open_type] = STATE(11768),
    [sym_polymorphic_variant_type] = STATE(11768),
    [sym_package_type] = STATE(11768),
    [sym_object_type] = STATE(11768),
    [sym_hash_type] = STATE(11768),
    [sym_parenthesized_type] = STATE(11768),
    [sym_attribute] = STATE(2889),
    [sym_floating_attribute] = STATE(12666),
    [sym_extension] = STATE(11768),
    [sym_quoted_extension] = STATE(11768),
    [sym_item_extension] = STATE(12666),
    [sym_quoted_item_extension] = STATE(12666),
    [sym_extended_module_path] = STATE(16297),
    [sym_type_constructor_path] = STATE(11768),
    [sym_type_variable] = STATE(11768),
    [aux_sym__structure_repeat1] = STATE(8829),
    [aux_sym__signature_repeat1] = STATE(8802),
    [sym__lowercase_identifier] = ACTIONS(7701),
    [anon_sym_SEMI_SEMI] = ACTIONS(7703),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(7705),
    [anon_sym_LBRACK] = ACTIONS(13),
    [anon_sym_RBRACK] = ACTIONS(7707),
    [anon_sym_exception] = ACTIONS(7709),
    [anon_sym_module] = ACTIONS(7711),
    [anon_sym_open] = ACTIONS(7713),
    [anon_sym_include] = ACTIONS(7715),
    [anon_sym_class] = ACTIONS(7717),
    [anon_sym_val] = ACTIONS(7719),
    [anon_sym_LBRACK_GT] = ACTIONS(15),
    [anon_sym_LBRACK_LT] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7723),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [sym__uppercase_identifier] = ACTIONS(29),
    [aux_sym_type_variable_token1] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2890] = {
    [sym__match_cases] = STATE(7973),
    [sym_match_case] = STATE(8158),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2890),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7521),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2891] = {
    [sym__match_cases] = STATE(7999),
    [sym_match_case] = STATE(8158),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2891),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7521),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2892] = {
    [sym__match_cases] = STATE(7990),
    [sym_match_case] = STATE(12041),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13364),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2892),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2893] = {
    [sym__match_cases] = STATE(8016),
    [sym_match_case] = STATE(8218),
    [sym__simple_pattern] = STATE(12798),
    [sym__effect_pattern] = STATE(12797),
    [sym__pattern] = STATE(13380),
    [sym_alias_pattern] = STATE(12797),
    [sym_typed_pattern] = STATE(12796),
    [sym_or_pattern] = STATE(12797),
    [sym_constructor_pattern] = STATE(12798),
    [sym_tag_pattern] = STATE(12798),
    [sym_polymorphic_variant_pattern] = STATE(12796),
    [sym_tuple_pattern] = STATE(12797),
    [sym_record_pattern] = STATE(12796),
    [sym_list_pattern] = STATE(12796),
    [sym_cons_pattern] = STATE(12797),
    [sym_array_pattern] = STATE(12796),
    [sym_range_pattern] = STATE(12797),
    [sym_lazy_pattern] = STATE(12798),
    [sym_local_open_pattern] = STATE(12796),
    [sym_package_pattern] = STATE(12796),
    [sym_parenthesized_pattern] = STATE(12796),
    [sym_exception_pattern] = STATE(12797),
    [sym_effect_pattern] = STATE(12797),
    [sym_attribute] = STATE(2893),
    [sym_extension] = STATE(12796),
    [sym_quoted_extension] = STATE(12796),
    [sym__constant] = STATE(12700),
    [sym__signed_constant] = STATE(12683),
    [sym_number] = STATE(11804),
    [sym_signed_number] = STATE(12700),
    [sym_character] = STATE(11804),
    [sym_string] = STATE(11804),
    [sym_quoted_string] = STATE(11804),
    [sym_boolean] = STATE(11804),
    [sym_unit] = STATE(11804),
    [sym__simple_value_pattern] = STATE(12796),
    [sym_parenthesized_operator] = STATE(12796),
    [sym_module_path] = STATE(20125),
    [sym_constructor_path] = STATE(2539),
    [sym__constructor_name] = STATE(8368),
    [sym_tag] = STATE(2554),
    [sym__lowercase_identifier] = ACTIONS(4949),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [anon_sym_true] = ACTIONS(4959),
    [anon_sym_false] = ACTIONS(4959),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_exception] = ACTIONS(4965),
    [anon_sym_POUND] = ACTIONS(7017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4973),
    [anon_sym_lazy] = ACTIONS(4975),
    [anon_sym_begin] = ACTIONS(4977),
    [anon_sym_effect] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(7245),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym__uppercase_identifier] = ACTIONS(4991),
    [aux_sym_tag_token1] = ACTIONS(4993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [600] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5335), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7749), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2902), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14180), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [810] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7755), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2904), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14154), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [945] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7761), 1,
      anon_sym_LT_DASH,
    STATE(2905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1022] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(2906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1099] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(7425), 1,
      anon_sym_PERCENT,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2907), 1,
      sym_attribute,
    STATE(3598), 1,
      sym__attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13927), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1384] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(7425), 1,
      anon_sym_PERCENT,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2910), 1,
      sym_attribute,
    STATE(3603), 1,
      sym__attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13928), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1519] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7773), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2911), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14115), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2029] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5001), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7779), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2917), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14009), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2164] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7781), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2918), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14045), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2299] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7781), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2919), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14045), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2434] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7783), 1,
      anon_sym_LT_DASH,
    STATE(2920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2511] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(2921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2738] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7785), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2924), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14053), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2873] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7425), 1,
      anon_sym_PERCENT,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2925), 1,
      sym_attribute,
    STATE(3657), 1,
      sym__attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13058), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3008] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7425), 1,
      anon_sym_PERCENT,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2926), 1,
      sym_attribute,
    STATE(3658), 1,
      sym__attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(12961), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3143] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7787), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2927), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13986), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3278] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5091), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7749), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2928), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14180), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3413] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7425), 1,
      anon_sym_PERCENT,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2929), 1,
      sym_attribute,
    STATE(3580), 1,
      sym__attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14405), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3548] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7011), 1,
      anon_sym_COMMA,
    ACTIONS(7013), 1,
      anon_sym_LPAREN,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2930), 1,
      sym_attribute,
    STATE(3575), 1,
      sym__parenthesized_abstract_type,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14403), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3683] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4971), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7789), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2931), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14158), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3818] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7425), 1,
      anon_sym_PERCENT,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(2932), 1,
      sym_attribute,
    STATE(3455), 1,
      sym__attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(12961), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3953] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7425), 1,
      anon_sym_PERCENT,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(2933), 1,
      sym_attribute,
    STATE(3459), 1,
      sym__attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13451), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4088] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7781), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2934), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14045), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4223] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7791), 1,
      sym__lowercase_identifier,
    ACTIONS(7797), 1,
      anon_sym_LPAREN,
    ACTIONS(7800), 1,
      anon_sym_LBRACK,
    ACTIONS(7806), 1,
      anon_sym_LBRACE,
    ACTIONS(7809), 1,
      anon_sym_POUND,
    ACTIONS(7812), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7815), 1,
      anon_sym_begin,
    ACTIONS(7818), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7821), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7824), 1,
      aux_sym_number_token1,
    ACTIONS(7827), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7830), 1,
      anon_sym_SQUOTE,
    ACTIONS(7833), 1,
      anon_sym_DQUOTE,
    ACTIONS(7836), 1,
      sym__uppercase_identifier,
    ACTIONS(7839), 1,
      aux_sym_tag_token1,
    STATE(8443), 1,
      sym__simple_pattern,
    STATE(8521), 1,
      sym__constructor_name,
    STATE(18952), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7794), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(7803), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2935), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(8444), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(8694), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(7136), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(8460), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(7138), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(8559), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [4346] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7842), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(2936), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4478] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(7844), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2937), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4610] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(7846), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2938), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13496), 1,
      sym__pattern,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4742] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7848), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(2939), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13500), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5170] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3109), 1,
      anon_sym_DOT,
    ACTIONS(3111), 1,
      anon_sym_POUND,
    ACTIONS(3113), 1,
      sym_hash_operator,
    STATE(2944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5324] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2946), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13543), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5456] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2947), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(10259), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5884] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(2952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6256] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2957), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13472), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6832] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(2964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7130] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(2968), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14623), 1,
      sym__simple_expression,
    STATE(15255), 1,
      sym_field_expression,
    STATE(19045), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [7260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8148] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(2981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8372] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(2984), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14617), 1,
      sym__simple_expression,
    STATE(15615), 1,
      sym_field_expression,
    STATE(19186), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [8502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8650] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8030), 1,
      anon_sym_LT_DASH,
    STATE(2987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8726] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2988), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13516), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9376] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(2996), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14772), 1,
      sym__simple_expression,
    STATE(15210), 1,
      sym_field_expression,
    STATE(18554), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9506] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8040), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(2997), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13383), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9638] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8042), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(2998), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13382), 1,
      sym__pattern,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9770] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7011), 1,
      anon_sym_COMMA,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(2999), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14399), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9902] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3000), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13601), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10182] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3003), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(10365), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13396), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10314] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3004), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(8615), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10446] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3005), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14757), 1,
      sym__simple_expression,
    STATE(15116), 1,
      sym_field_expression,
    STATE(18575), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10576] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3006), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14745), 1,
      sym__simple_expression,
    STATE(15022), 1,
      sym_field_expression,
    STATE(18660), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10706] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3007), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10838] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3008), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13396), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10970] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3009), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14744), 1,
      sym__simple_expression,
    STATE(14928), 1,
      sym_field_expression,
    STATE(18755), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11100] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8044), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3010), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11306] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8046), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3012), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11438] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3013), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14605), 1,
      sym__simple_expression,
    STATE(15809), 1,
      sym_field_expression,
    STATE(19572), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11568] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8048), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3014), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11848] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8050), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3017), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11980] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3018), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13339), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12186] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8052), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3020), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12318] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8054), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3021), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12524] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3023), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14738), 1,
      sym__simple_expression,
    STATE(15090), 1,
      sym_field_expression,
    STATE(18810), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12654] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3024), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14718), 1,
      sym__simple_expression,
    STATE(15655), 1,
      sym_field_expression,
    STATE(18871), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12784] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3025), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13466), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12916] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8056), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3026), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13048] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8058), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3027), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13254] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3029), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14717), 1,
      sym__simple_expression,
    STATE(16129), 1,
      sym_field_expression,
    STATE(18898), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13384] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3030), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14715), 1,
      sym__simple_expression,
    STATE(16186), 1,
      sym_field_expression,
    STATE(18917), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13514] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3031), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13378), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13646] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3032), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14783), 1,
      sym__simple_expression,
    STATE(14941), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    STATE(20040), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13776] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8064), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3033), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13908] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3034), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14712), 1,
      sym__simple_expression,
    STATE(16015), 1,
      sym_field_expression,
    STATE(18940), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14112] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4915), 1,
      anon_sym_as,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3037), 1,
      sym_tag,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13109), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3036), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4913), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [14244] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4915), 1,
      anon_sym_as,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13111), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3037), 2,
      sym_attribute,
      sym_tag,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4913), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [14376] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3038), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13364), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14656] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8074), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3041), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15084] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8080), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3046), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15808] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3055), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13317), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16162] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8090), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3059), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16368] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3061), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14604), 1,
      sym__simple_expression,
    STATE(15902), 1,
      sym_field_expression,
    STATE(20017), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16868] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3067), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14497), 1,
      sym__simple_expression,
    STATE(15034), 1,
      sym_field_expression,
    STATE(17399), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17220] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3071), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13557), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17500] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3074), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14315), 1,
      sym__simple_expression,
    STATE(15499), 1,
      sym_field_expression,
    STATE(17977), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17630] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3075), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13503), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17836] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3077), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(8664), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13408), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17968] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3078), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13629), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18174] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3080), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13650), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19046] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3091), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(10259), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13626), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19178] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3092), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12113), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13643), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19310] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3093), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12047), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13629), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19442] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3094), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12034), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13587), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19944] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(3100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20168] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3103), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14418), 1,
      sym__simple_expression,
    STATE(15588), 1,
      sym_field_expression,
    STATE(18305), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20298] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3109), 1,
      anon_sym_DOT,
    STATE(3104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8164), 1,
      anon_sym_LT_DASH,
    STATE(3107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20598] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8166), 1,
      anon_sym_LT_DASH,
    STATE(3108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20748] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(3110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20824] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8172), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3111), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13559), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20956] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(3112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21106] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3114), 1,
      sym_attribute,
    STATE(8198), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [21238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21312] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3116), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(10259), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13587), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [21444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21592] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8178), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3119), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13561), 1,
      sym__pattern,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [21724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21798] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3121), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14702), 1,
      sym__simple_expression,
    STATE(15859), 1,
      sym_field_expression,
    STATE(18986), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22002] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3123), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13380), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22134] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3124), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14594), 1,
      sym__simple_expression,
    STATE(16003), 1,
      sym_field_expression,
    STATE(19322), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22338] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3126), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14641), 1,
      sym__simple_expression,
    STATE(15192), 1,
      sym_field_expression,
    STATE(18346), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22616] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3129), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14698), 1,
      sym__simple_expression,
    STATE(15636), 1,
      sym_field_expression,
    STATE(19047), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22746] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8192), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3130), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22878] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3131), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13588), 1,
      sym__pattern,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23084] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8196), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3133), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23216] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3134), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12281), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13516), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23348] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3135), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(10259), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23480] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3136), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(11036), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13626), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23612] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3137), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12238), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13570), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23744] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3138), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14461), 1,
      sym__simple_expression,
    STATE(15654), 1,
      sym_field_expression,
    STATE(17403), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23874] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8198), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3139), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24006] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3140), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14689), 1,
      sym__simple_expression,
    STATE(15507), 1,
      sym_field_expression,
    STATE(19107), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24210] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3087), 1,
      anon_sym_DOT,
    STATE(3142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24434] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3145), 1,
      sym_attribute,
    STATE(8341), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13520), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(3150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25012] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3152), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13520), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [25144] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3153), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14580), 1,
      sym__simple_expression,
    STATE(16165), 1,
      sym_field_expression,
    STATE(19051), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25348] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3155), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12392), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13439), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [25480] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3156), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13397), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [25612] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3157), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(11800), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13608), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [25744] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3158), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14646), 1,
      sym__simple_expression,
    STATE(16262), 1,
      sym_field_expression,
    STATE(19330), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26170] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3163), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14686), 1,
      sym__simple_expression,
    STATE(15388), 1,
      sym_field_expression,
    STATE(19183), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26374] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8204), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3165), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26506] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8206), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3166), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26638] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3167), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12205), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13570), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26992] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8208), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3171), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13427), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27272] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3174), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14520), 1,
      sym__simple_expression,
    STATE(15758), 1,
      sym_field_expression,
    STATE(17910), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27476] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8210), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3176), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27608] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8212), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3177), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27740] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3178), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14678), 1,
      sym__simple_expression,
    STATE(15336), 1,
      sym_field_expression,
    STATE(19342), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27870] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8214), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3179), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13424), 1,
      sym__pattern,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28076] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3181), 1,
      sym_attribute,
    STATE(8246), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13601), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28578] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3187), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28858] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(3190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28934] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8216), 1,
      anon_sym_LT_DASH,
    STATE(3191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29010] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3192), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14677), 1,
      sym__simple_expression,
    STATE(15188), 1,
      sym_field_expression,
    STATE(19536), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29288] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3195), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12329), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13337), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29420] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3196), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14647), 1,
      sym__simple_expression,
    STATE(15818), 1,
      sym_field_expression,
    STATE(18905), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29550] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3197), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13643), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29756] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3199), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(11669), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30110] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8218), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3203), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30242] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3087), 1,
      anon_sym_DOT,
    ACTIONS(3089), 1,
      anon_sym_POUND,
    ACTIONS(3091), 1,
      sym_hash_operator,
    STATE(3204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30322] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3205), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14671), 1,
      sym__simple_expression,
    STATE(14937), 1,
      sym_field_expression,
    STATE(19725), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30452] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3206), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14535), 1,
      sym__simple_expression,
    STATE(15858), 1,
      sym_field_expression,
    STATE(18454), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30582] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3207), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14576), 1,
      sym__simple_expression,
    STATE(16283), 1,
      sym_field_expression,
    STATE(17369), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30712] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3208), 1,
      sym_attribute,
    STATE(8149), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13543), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30844] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3209), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(9320), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13397), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31050] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3211), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13609), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31182] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3087), 1,
      anon_sym_DOT,
    ACTIONS(3089), 1,
      anon_sym_POUND,
    ACTIONS(3091), 1,
      sym_hash_operator,
    STATE(3212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31262] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3213), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13459), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31468] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3215), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14659), 1,
      sym__simple_expression,
    STATE(14951), 1,
      sym_field_expression,
    STATE(19912), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31672] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3217), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(9447), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13459), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31804] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3218), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(10833), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13452), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32010] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3220), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14418), 1,
      sym__simple_expression,
    STATE(15588), 1,
      sym_field_expression,
    STATE(18826), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32214] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3222), 1,
      sym_attribute,
    STATE(8328), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13378), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32568] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8224), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3226), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32700] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8226), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3227), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32832] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8228), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3228), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32964] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3229), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13439), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33096] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8230), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3230), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33302] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3232), 1,
      sym_attribute,
    STATE(8102), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13408), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33434] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3233), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(10259), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13608), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33566] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3234), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(10095), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13650), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33698] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3235), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14544), 1,
      sym__simple_expression,
    STATE(15956), 1,
      sym_field_expression,
    STATE(19123), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33828] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8232), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3236), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13425), 1,
      sym__pattern,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33960] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8234), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3237), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34092] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8236), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3238), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13423), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34224] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3239), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34356] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3240), 1,
      sym_attribute,
    STATE(8031), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13503), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34488] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3109), 1,
      anon_sym_DOT,
    ACTIONS(3111), 1,
      anon_sym_POUND,
    ACTIONS(3113), 1,
      sym_hash_operator,
    STATE(3241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34716] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3244), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(11734), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13557), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34848] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3245), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14552), 1,
      sym__simple_expression,
    STATE(16044), 1,
      sym_field_expression,
    STATE(18106), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [34978] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8240), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3246), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35110] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8242), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3247), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35316] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3249), 1,
      sym_attribute,
    STATE(8160), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13472), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35448] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3250), 1,
      sym_attribute,
    STATE(8274), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13609), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35580] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3251), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35712] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8246), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3252), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35844] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3253), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(11871), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13317), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35976] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3254), 1,
      sym_attribute,
    STATE(8048), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13337), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36108] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3255), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14562), 1,
      sym__simple_expression,
    STATE(16094), 1,
      sym_field_expression,
    STATE(17512), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36238] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3256), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14658), 1,
      sym__simple_expression,
    STATE(15316), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    STATE(20149), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36516] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3259), 1,
      sym_attribute,
    STATE(8209), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13380), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36648] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3260), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14653), 1,
      sym__simple_expression,
    STATE(15570), 1,
      sym_field_expression,
    STATE(17689), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36852] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8248), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3262), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13358), 1,
      sym__pattern,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37058] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8250), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3264), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13355), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37190] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3265), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12045), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13364), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37322] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3266), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14571), 1,
      sym__simple_expression,
    STATE(16157), 1,
      sym_field_expression,
    STATE(18211), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [37452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37600] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3269), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14575), 1,
      sym__simple_expression,
    STATE(16219), 1,
      sym_field_expression,
    STATE(19902), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [37730] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3270), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12000), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13466), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37936] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3272), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(10259), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13452), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38068] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(3273), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14657), 1,
      sym__simple_expression,
    STATE(15387), 1,
      sym_field_expression,
    STATE(19788), 1,
      sym__quoted_string,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [38198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38346] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3276), 1,
      sym_attribute,
    STATE(8094), 1,
      sym_match_case,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13339), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38478] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3277), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12175), 1,
      sym_match_case,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13558), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38610] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8252), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3278), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38742] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    ACTIONS(8254), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3279), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13594), 1,
      sym__pattern,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38874] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8256), 1,
      anon_sym_RBRACK,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3280), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13598), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39080] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3282), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13623), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39282] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_DOT,
    STATE(3284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40306] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3298), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13400), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40946] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3306), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13445), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41075] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3307), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13411), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41788] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3316), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13857), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41917] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3317), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13463), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42192] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    ACTIONS(7561), 1,
      anon_sym_rec,
    ACTIONS(7567), 1,
      anon_sym_open,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(3320), 1,
      sym_attribute,
    STATE(4449), 1,
      sym__attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(18886), 1,
      sym_open_module,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [42333] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3321), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13444), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42754] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3326), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13465), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43029] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3329), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13432), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43158] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_DOT,
    ACTIONS(3227), 1,
      anon_sym_POUND,
    ACTIONS(3229), 1,
      sym_hash_operator,
    STATE(3330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43310] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3332), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13610), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43585] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    ACTIONS(7561), 1,
      anon_sym_rec,
    ACTIONS(7567), 1,
      anon_sym_open,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(3335), 1,
      sym_attribute,
    STATE(4449), 1,
      sym__attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(17649), 1,
      sym_open_module,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [43726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43799] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3337), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13393), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44512] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3346), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13495), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45225] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3355), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13621), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45646] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    ACTIONS(7561), 1,
      anon_sym_rec,
    ACTIONS(7567), 1,
      anon_sym_open,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(3360), 1,
      sym_attribute,
    STATE(4449), 1,
      sym__attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(19240), 1,
      sym_open_module,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [45787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45860] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3362), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46062] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(3364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46137] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3365), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13377), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46339] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8258), 1,
      anon_sym_LT_DASH,
    STATE(3367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46414] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_DOT,
    ACTIONS(3227), 1,
      anon_sym_POUND,
    ACTIONS(3229), 1,
      sym_hash_operator,
    STATE(3368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47077] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3377), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13373), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47206] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3378), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47408] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(3380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48140] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3390), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13374), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48561] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3395), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13342), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49055] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3401), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13335), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49184] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3402), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13330), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49678] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3408), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13881), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49953] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3411), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13357), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50082] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_DOT,
    ACTIONS(3173), 1,
      anon_sym_POUND,
    ACTIONS(3175), 1,
      sym_hash_operator,
    STATE(3412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50234] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3414), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13368), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50728] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_DOT,
    ACTIONS(3191), 1,
      anon_sym_POUND,
    ACTIONS(3193), 1,
      sym_hash_operator,
    STATE(3420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50880] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3422), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13413), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51009] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(3423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51960] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3436), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13371), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52089] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3437), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13399), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52218] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3438), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13414), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52639] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3443), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13438), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52841] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3445), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13441), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52970] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3446), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13457), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53172] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3448), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13469), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53301] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3449), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13474), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53430] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3450), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13480), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53559] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3451), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13415), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53761] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3453), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13484), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53890] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3454), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13366), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54019] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3455), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(12928), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54148] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3456), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13492), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54277] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3457), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13416), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54479] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3459), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13341), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54754] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3462), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13362), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55029] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3465), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13340), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55158] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3466), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13493), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55287] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3467), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13512), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55416] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3468), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13517), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55545] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3469), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55674] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3470), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13523), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55876] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3472), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13356), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56005] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3473), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13316), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56280] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3133), 1,
      anon_sym_DOT,
    ACTIONS(3135), 1,
      anon_sym_POUND,
    ACTIONS(3137), 1,
      sym_hash_operator,
    STATE(3476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56359] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3477), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13556), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56561] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3479), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56763] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3481), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13418), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57622] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3492), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13564), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [57751] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(3493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57972] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3496), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58612] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_DOT,
    STATE(3504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59417] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60149] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3525), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13571), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60278] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3526), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13574), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60407] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3527), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60609] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13932), 1,
      sym__binding_pattern,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3529), 2,
      sym_attribute,
      sym_tag,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4913), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [60740] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3530), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13565), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61380] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3133), 1,
      anon_sym_DOT,
    ACTIONS(3135), 1,
      anon_sym_POUND,
    ACTIONS(3137), 1,
      sym_hash_operator,
    STATE(3538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61459] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    STATE(3529), 1,
      sym_tag,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13878), 1,
      sym__binding_pattern,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3539), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4913), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [61590] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3540), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13860), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61719] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3541), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13637), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61994] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3544), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13639), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62342] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(3549), 1,
      sym_tag,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13109), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3548), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4913), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [62473] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13111), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3549), 2,
      sym_attribute,
      sym_tag,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4913), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [62604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62823] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3553), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13644), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63682] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3564), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13419), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63811] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(3565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64105] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3569), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13646), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64380] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3572), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13645), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64509] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3573), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13521), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64638] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3574), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13642), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64767] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3575), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14256), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64896] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3576), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13534), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65025] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(3577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65100] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3578), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13628), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65302] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3580), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(14372), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65504] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3582), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13627), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65998] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    ACTIONS(7561), 1,
      anon_sym_rec,
    ACTIONS(7567), 1,
      anon_sym_open,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(3588), 1,
      sym_attribute,
    STATE(4449), 1,
      sym__attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(19965), 1,
      sym_open_module,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [66139] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3589), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13620), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66268] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3590), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13343), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66908] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3598), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13950), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67329] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3603), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13951), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67458] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3604), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13952), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67660] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3606), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13953), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67789] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3607), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13956), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67918] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3608), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13957), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68047] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3609), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68249] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3611), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13617), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68378] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_DOT,
    STATE(3612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68453] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3613), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13376), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68582] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3614), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13616), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68784] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3616), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13602), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68913] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3617), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13535), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69334] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3622), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13600), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69609] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3625), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13332), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69884] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3628), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13586), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70013] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3629), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13577), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70215] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(3631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70290] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3632), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13349), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70419] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8272), 1,
      anon_sym_LT_DASH,
    STATE(3633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70859] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3639), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70988] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3640), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13334), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71190] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3642), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13568), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71319] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    ACTIONS(7561), 1,
      anon_sym_rec,
    ACTIONS(7567), 1,
      anon_sym_open,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(3643), 1,
      sym_attribute,
    STATE(4449), 1,
      sym__attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(19505), 1,
      sym_open_module,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [71460] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3644), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13615), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71808] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3648), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13548), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72010] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3650), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13546), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72212] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_DOT,
    ACTIONS(3173), 1,
      anon_sym_POUND,
    ACTIONS(3175), 1,
      sym_hash_operator,
    STATE(3652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72437] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(3655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72585] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3657), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13050), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72714] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3658), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(12928), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72843] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3659), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13049), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72972] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3660), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13048), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73174] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3662), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13526), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73376] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3664), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13047), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73505] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3665), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13345), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73634] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3666), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(12921), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73982] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3670), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13319), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74111] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3671), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13436), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74313] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_exception,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7348), 1,
      anon_sym_lazy,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7352), 1,
      anon_sym_effect,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7366), 1,
      sym__uppercase_identifier,
    ACTIONS(7368), 1,
      aux_sym_tag_token1,
    ACTIONS(7421), 1,
      anon_sym_LPAREN,
    STATE(2567), 1,
      sym_constructor_path,
    STATE(2570), 1,
      sym_tag,
    STATE(3673), 1,
      sym_attribute,
    STATE(9311), 1,
      sym__constructor_name,
    STATE(13618), 1,
      sym__signed_constant,
    STATE(13971), 1,
      sym__pattern,
    STATE(18790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13911), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13944), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74588] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3676), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13327), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74790] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_DOT,
    ACTIONS(3191), 1,
      anon_sym_POUND,
    ACTIONS(3193), 1,
      sym_hash_operator,
    STATE(3678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74942] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3680), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13331), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75801] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3133), 1,
      anon_sym_DOT,
    STATE(3691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76898] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    ACTIONS(7561), 1,
      anon_sym_rec,
    ACTIONS(7567), 1,
      anon_sym_open,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(3706), 1,
      sym_attribute,
    STATE(4449), 1,
      sym__attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(19139), 1,
      sym_open_module,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [77039] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(3707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77114] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7239), 1,
      anon_sym_exception,
    ACTIONS(7241), 1,
      anon_sym_lazy,
    ACTIONS(7243), 1,
      anon_sym_effect,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2565), 1,
      sym_tag,
    STATE(3708), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(12921), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77608] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4965), 1,
      anon_sym_exception,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_lazy,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4979), 1,
      anon_sym_effect,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(2539), 1,
      sym_constructor_path,
    STATE(2554), 1,
      sym_tag,
    STATE(3714), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(12683), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12797), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12796), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78025] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(3719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79035] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3733), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14575), 1,
      sym__simple_expression,
    STATE(16219), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [79159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79735] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_DOT,
    STATE(3742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79953] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_DOT,
    ACTIONS(3255), 1,
      anon_sym_POUND,
    ACTIONS(3257), 1,
      sym_hash_operator,
    STATE(3745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80103] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3747), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14659), 1,
      sym__simple_expression,
    STATE(14951), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80443] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3751), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14677), 1,
      sym__simple_expression,
    STATE(15188), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80711] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3263), 1,
      anon_sym_DOT,
    ACTIONS(3265), 1,
      anon_sym_POUND,
    ACTIONS(3267), 1,
      sym_hash_operator,
    STATE(3754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81005] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3758), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14623), 1,
      sym__simple_expression,
    STATE(15255), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81273] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3761), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14757), 1,
      sym__simple_expression,
    STATE(15116), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81397] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3762), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14653), 1,
      sym__simple_expression,
    STATE(15570), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81665] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3765), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14617), 1,
      sym__simple_expression,
    STATE(15615), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82437] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3775), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14418), 1,
      sym__simple_expression,
    STATE(15588), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83065] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      sym__lowercase_identifier,
    ACTIONS(8276), 1,
      anon_sym_LPAREN,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8282), 1,
      anon_sym_LBRACE,
    ACTIONS(8284), 1,
      anon_sym_object,
    ACTIONS(8286), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8288), 1,
      anon_sym_new,
    ACTIONS(8290), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8292), 1,
      anon_sym_begin,
    ACTIONS(8294), 1,
      sym_ocamlyacc_value,
    ACTIONS(8296), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8300), 1,
      anon_sym_PERCENT,
    ACTIONS(8302), 1,
      aux_sym_number_token1,
    ACTIONS(8304), 1,
      anon_sym_SQUOTE,
    ACTIONS(8306), 1,
      anon_sym_DQUOTE,
    ACTIONS(8308), 1,
      sym_prefix_operator,
    ACTIONS(8310), 1,
      sym__uppercase_identifier,
    ACTIONS(8312), 1,
      aux_sym_tag_token1,
    STATE(3783), 1,
      sym_attribute,
    STATE(4161), 1,
      sym__attribute,
    STATE(7372), 1,
      sym__constructor_name,
    STATE(7462), 1,
      sym_parenthesized_operator,
    STATE(7573), 1,
      sym__simple_expression,
    STATE(7589), 1,
      sym__value_name,
    STATE(18119), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7586), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83189] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8318), 1,
      anon_sym_COLON,
    STATE(3784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [83263] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      sym__lowercase_identifier,
    ACTIONS(8276), 1,
      anon_sym_LPAREN,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8282), 1,
      anon_sym_LBRACE,
    ACTIONS(8284), 1,
      anon_sym_object,
    ACTIONS(8286), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8288), 1,
      anon_sym_new,
    ACTIONS(8290), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8292), 1,
      anon_sym_begin,
    ACTIONS(8294), 1,
      sym_ocamlyacc_value,
    ACTIONS(8296), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8300), 1,
      anon_sym_PERCENT,
    ACTIONS(8302), 1,
      aux_sym_number_token1,
    ACTIONS(8304), 1,
      anon_sym_SQUOTE,
    ACTIONS(8306), 1,
      anon_sym_DQUOTE,
    ACTIONS(8308), 1,
      sym_prefix_operator,
    ACTIONS(8310), 1,
      sym__uppercase_identifier,
    ACTIONS(8312), 1,
      aux_sym_tag_token1,
    STATE(3785), 1,
      sym_attribute,
    STATE(4169), 1,
      sym__attribute,
    STATE(7372), 1,
      sym__constructor_name,
    STATE(7462), 1,
      sym_parenthesized_operator,
    STATE(7574), 1,
      sym__simple_expression,
    STATE(7589), 1,
      sym__value_name,
    STATE(18119), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7586), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83459] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3787), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14702), 1,
      sym__simple_expression,
    STATE(15859), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83655] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3789), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14671), 1,
      sym__simple_expression,
    STATE(14937), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83923] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3792), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14576), 1,
      sym__simple_expression,
    STATE(16283), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84407] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8320), 1,
      anon_sym_LT_DASH,
    STATE(3798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84481] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3799), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14745), 1,
      sym__simple_expression,
    STATE(15022), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84605] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      anon_sym_PERCENT,
    ACTIONS(8322), 1,
      sym__lowercase_identifier,
    ACTIONS(8324), 1,
      anon_sym_LPAREN,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8330), 1,
      anon_sym_LBRACE,
    ACTIONS(8332), 1,
      anon_sym_object,
    ACTIONS(8334), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8336), 1,
      anon_sym_new,
    ACTIONS(8338), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8340), 1,
      anon_sym_begin,
    ACTIONS(8342), 1,
      sym_ocamlyacc_value,
    ACTIONS(8344), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8346), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8348), 1,
      aux_sym_number_token1,
    ACTIONS(8350), 1,
      anon_sym_SQUOTE,
    ACTIONS(8352), 1,
      anon_sym_DQUOTE,
    ACTIONS(8354), 1,
      sym_prefix_operator,
    ACTIONS(8356), 1,
      sym__uppercase_identifier,
    ACTIONS(8358), 1,
      aux_sym_tag_token1,
    STATE(3800), 1,
      sym_attribute,
    STATE(4248), 1,
      sym__attribute,
    STATE(7199), 1,
      sym_parenthesized_operator,
    STATE(7200), 1,
      sym__value_name,
    STATE(7291), 1,
      sym__simple_expression,
    STATE(7303), 1,
      sym__constructor_name,
    STATE(18462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7336), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84729] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      anon_sym_PERCENT,
    ACTIONS(8322), 1,
      sym__lowercase_identifier,
    ACTIONS(8324), 1,
      anon_sym_LPAREN,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8330), 1,
      anon_sym_LBRACE,
    ACTIONS(8332), 1,
      anon_sym_object,
    ACTIONS(8334), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8336), 1,
      anon_sym_new,
    ACTIONS(8338), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8340), 1,
      anon_sym_begin,
    ACTIONS(8342), 1,
      sym_ocamlyacc_value,
    ACTIONS(8344), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8346), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8348), 1,
      aux_sym_number_token1,
    ACTIONS(8350), 1,
      anon_sym_SQUOTE,
    ACTIONS(8352), 1,
      anon_sym_DQUOTE,
    ACTIONS(8354), 1,
      sym_prefix_operator,
    ACTIONS(8356), 1,
      sym__uppercase_identifier,
    ACTIONS(8358), 1,
      aux_sym_tag_token1,
    STATE(3801), 1,
      sym_attribute,
    STATE(4256), 1,
      sym__attribute,
    STATE(7199), 1,
      sym_parenthesized_operator,
    STATE(7200), 1,
      sym__value_name,
    STATE(7292), 1,
      sym__simple_expression,
    STATE(7303), 1,
      sym__constructor_name,
    STATE(18462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7336), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84925] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(3803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85143] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_DOT,
    ACTIONS(3255), 1,
      anon_sym_POUND,
    ACTIONS(3257), 1,
      sym_hash_operator,
    STATE(3806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85365] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3809), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14658), 1,
      sym__simple_expression,
    STATE(15316), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85777] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3263), 1,
      anon_sym_DOT,
    STATE(3814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85851] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3815), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14605), 1,
      sym__simple_expression,
    STATE(15809), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86191] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(3819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86337] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3821), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14712), 1,
      sym__simple_expression,
    STATE(16015), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86461] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3822), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14544), 1,
      sym__simple_expression,
    STATE(15956), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86729] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3825), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14571), 1,
      sym__simple_expression,
    STATE(16157), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86925] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3827), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14646), 1,
      sym__simple_expression,
    STATE(16262), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87481] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3834), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14647), 1,
      sym__simple_expression,
    STATE(15818), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88181] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      anon_sym_PERCENT,
    ACTIONS(8360), 1,
      sym__lowercase_identifier,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8364), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_LBRACE,
    ACTIONS(8370), 1,
      anon_sym_object,
    ACTIONS(8372), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8374), 1,
      anon_sym_new,
    ACTIONS(8376), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8378), 1,
      anon_sym_begin,
    ACTIONS(8380), 1,
      sym_ocamlyacc_value,
    ACTIONS(8382), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8384), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      aux_sym_number_token1,
    ACTIONS(8388), 1,
      anon_sym_SQUOTE,
    ACTIONS(8390), 1,
      anon_sym_DQUOTE,
    ACTIONS(8392), 1,
      sym_prefix_operator,
    ACTIONS(8394), 1,
      sym__uppercase_identifier,
    ACTIONS(8396), 1,
      aux_sym_tag_token1,
    STATE(3843), 1,
      sym_attribute,
    STATE(4320), 1,
      sym__attribute,
    STATE(9350), 1,
      sym__constructor_name,
    STATE(9360), 1,
      sym__simple_expression,
    STATE(9400), 1,
      sym__value_name,
    STATE(9517), 1,
      sym_parenthesized_operator,
    STATE(17955), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8366), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9539), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88305] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8300), 1,
      anon_sym_PERCENT,
    ACTIONS(8360), 1,
      sym__lowercase_identifier,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8364), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_LBRACE,
    ACTIONS(8370), 1,
      anon_sym_object,
    ACTIONS(8372), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8374), 1,
      anon_sym_new,
    ACTIONS(8376), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8378), 1,
      anon_sym_begin,
    ACTIONS(8380), 1,
      sym_ocamlyacc_value,
    ACTIONS(8382), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8384), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      aux_sym_number_token1,
    ACTIONS(8388), 1,
      anon_sym_SQUOTE,
    ACTIONS(8390), 1,
      anon_sym_DQUOTE,
    ACTIONS(8392), 1,
      sym_prefix_operator,
    ACTIONS(8394), 1,
      sym__uppercase_identifier,
    ACTIONS(8396), 1,
      aux_sym_tag_token1,
    STATE(3844), 1,
      sym_attribute,
    STATE(4153), 1,
      sym__attribute,
    STATE(9350), 1,
      sym__constructor_name,
    STATE(9359), 1,
      sym__simple_expression,
    STATE(9400), 1,
      sym__value_name,
    STATE(9517), 1,
      sym_parenthesized_operator,
    STATE(17955), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8366), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9539), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88501] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3846), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14604), 1,
      sym__simple_expression,
    STATE(15902), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88697] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8398), 1,
      anon_sym_COLON,
    STATE(3848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [88771] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3849), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14461), 1,
      sym__simple_expression,
    STATE(15654), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89039] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3852), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14698), 1,
      sym__simple_expression,
    STATE(15636), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89235] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3854), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14744), 1,
      sym__simple_expression,
    STATE(14928), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89359] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3263), 1,
      anon_sym_DOT,
    ACTIONS(3265), 1,
      anon_sym_POUND,
    ACTIONS(3267), 1,
      sym_hash_operator,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89437] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3856), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14497), 1,
      sym__simple_expression,
    STATE(15034), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89633] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3858), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14552), 1,
      sym__simple_expression,
    STATE(16044), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90045] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3863), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14535), 1,
      sym__simple_expression,
    STATE(15858), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90529] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3869), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14686), 1,
      sym__simple_expression,
    STATE(15388), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90725] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3871), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14738), 1,
      sym__simple_expression,
    STATE(15090), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91137] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3876), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14718), 1,
      sym__simple_expression,
    STATE(15655), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [91261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91405] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(3879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91839] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3885), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14580), 1,
      sym__simple_expression,
    STATE(16165), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [91963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92035] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3887), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14594), 1,
      sym__simple_expression,
    STATE(16003), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92303] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3890), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14772), 1,
      sym__simple_expression,
    STATE(15210), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(3891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92573] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3893), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14641), 1,
      sym__simple_expression,
    STATE(15192), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92769] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3895), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14715), 1,
      sym__simple_expression,
    STATE(16186), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92965] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3897), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14783), 1,
      sym__simple_expression,
    STATE(14941), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93089] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3898), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14717), 1,
      sym__simple_expression,
    STATE(16129), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93501] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8400), 1,
      anon_sym_LT_DASH,
    STATE(3903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93575] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3904), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14657), 1,
      sym__simple_expression,
    STATE(15387), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93699] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3905), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14520), 1,
      sym__simple_expression,
    STATE(15758), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94183] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(8300), 1,
      anon_sym_PERCENT,
    ACTIONS(8402), 1,
      sym__lowercase_identifier,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_begin,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(3911), 1,
      sym_attribute,
    STATE(4427), 1,
      sym__attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(7489), 1,
      sym__simple_expression,
    STATE(18973), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7468), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94307] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3912), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14678), 1,
      sym__simple_expression,
    STATE(15336), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94647] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3916), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14562), 1,
      sym__simple_expression,
    STATE(16094), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94771] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(8300), 1,
      anon_sym_PERCENT,
    ACTIONS(8402), 1,
      sym__lowercase_identifier,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_begin,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(3917), 1,
      sym_attribute,
    STATE(4280), 1,
      sym__attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(7490), 1,
      sym__simple_expression,
    STATE(18973), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7468), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95327] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3924), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14315), 1,
      sym__simple_expression,
    STATE(15499), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95451] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(3925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95669] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7942), 1,
      sym__lowercase_identifier,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(3928), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14156), 1,
      sym_field_path,
    STATE(14689), 1,
      sym__simple_expression,
    STATE(15507), 1,
      sym_field_expression,
    STATE(20039), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96294] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3936), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96486] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3938), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3301), 1,
      anon_sym_DOT,
    ACTIONS(3303), 1,
      anon_sym_POUND,
    ACTIONS(3305), 1,
      sym_hash_operator,
    STATE(3939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96755] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3941), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97231] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(3947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97375] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3949), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [97567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [97780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98419] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3963), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98540] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3964), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98803] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(8426), 1,
      anon_sym_rec,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(2479), 1,
      sym__binding_pattern,
    STATE(3967), 1,
      sym_attribute,
    STATE(4444), 1,
      sym__attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(11578), 1,
      sym_let_binding,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [98938] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3968), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99343] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3973), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [99535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99606] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3976), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99869] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(8436), 1,
      anon_sym_rec,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(3979), 1,
      sym_attribute,
    STATE(4475), 1,
      sym__attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11660), 1,
      sym_let_binding,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [100004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100643] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8442), 1,
      anon_sym_COLON,
    STATE(3989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [100716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100787] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3991), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101050] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3994), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101313] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(3997), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101860] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4004), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101981] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4005), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102244] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4008), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102365] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4009), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102557] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(4011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102914] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8444), 1,
      anon_sym_LT_DASH,
    STATE(4016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103200] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(4020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103344] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4022), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103607] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4025), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103728] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8446), 1,
      anon_sym_COLON,
    STATE(4026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [103801] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4027), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103993] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4029), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104114] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4030), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104306] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4032), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104995] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4041), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105116] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3353), 1,
      anon_sym_DOT,
    STATE(4042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [105331] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3147), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4045), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105523] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3301), 1,
      anon_sym_DOT,
    STATE(4047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105596] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4048), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105717] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4049), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106406] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4058), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106811] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4063), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107003] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3353), 1,
      anon_sym_DOT,
    ACTIONS(3355), 1,
      anon_sym_POUND,
    ACTIONS(3357), 1,
      sym_hash_operator,
    STATE(4065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107364] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4070), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107769] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4075), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108174] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4080), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108295] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4081), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108558] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4084), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108679] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4085), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108800] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8448), 1,
      anon_sym_COLON,
    STATE(4086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [108873] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4087), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108994] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4088), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109115] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3301), 1,
      anon_sym_DOT,
    ACTIONS(3303), 1,
      anon_sym_POUND,
    ACTIONS(3305), 1,
      sym_hash_operator,
    STATE(4089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109263] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4091), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109526] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4094), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109860] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4098), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110336] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LT_DASH,
    STATE(4104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110906] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4112), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111524] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4120), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111645] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(4121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111789] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(4123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112359] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4131), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112551] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(4133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112766] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4136), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113100] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3353), 1,
      anon_sym_DOT,
    ACTIONS(3355), 1,
      anon_sym_POUND,
    ACTIONS(3357), 1,
      sym_hash_operator,
    STATE(4140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8452), 1,
      anon_sym_COLON,
    STATE(4148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [113747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113960] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(761), 1,
      anon_sym_LPAREN,
    ACTIONS(763), 1,
      anon_sym_LBRACK,
    ACTIONS(767), 1,
      anon_sym_LBRACE,
    ACTIONS(769), 1,
      anon_sym_object,
    ACTIONS(773), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(783), 1,
      anon_sym_new,
    ACTIONS(785), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(787), 1,
      anon_sym_begin,
    ACTIONS(789), 1,
      sym_ocamlyacc_value,
    ACTIONS(795), 1,
      aux_sym_number_token1,
    ACTIONS(797), 1,
      anon_sym_SQUOTE,
    ACTIONS(799), 1,
      anon_sym_DQUOTE,
    ACTIONS(801), 1,
      sym_prefix_operator,
    ACTIONS(805), 1,
      sym__uppercase_identifier,
    ACTIONS(807), 1,
      aux_sym_tag_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3249), 1,
      sym__lowercase_identifier,
    STATE(3742), 1,
      sym__simple_expression,
    STATE(3746), 1,
      sym_parenthesized_operator,
    STATE(3842), 1,
      sym__value_name,
    STATE(3859), 1,
      sym__constructor_name,
    STATE(4152), 1,
      sym_attribute,
    STATE(18078), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(765), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3906), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3752), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114078] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8360), 1,
      sym__lowercase_identifier,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8364), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_LBRACE,
    ACTIONS(8370), 1,
      anon_sym_object,
    ACTIONS(8372), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8374), 1,
      anon_sym_new,
    ACTIONS(8376), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8378), 1,
      anon_sym_begin,
    ACTIONS(8380), 1,
      sym_ocamlyacc_value,
    ACTIONS(8382), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8384), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      aux_sym_number_token1,
    ACTIONS(8388), 1,
      anon_sym_SQUOTE,
    ACTIONS(8390), 1,
      anon_sym_DQUOTE,
    ACTIONS(8392), 1,
      sym_prefix_operator,
    ACTIONS(8394), 1,
      sym__uppercase_identifier,
    ACTIONS(8396), 1,
      aux_sym_tag_token1,
    STATE(4153), 1,
      sym_attribute,
    STATE(9350), 1,
      sym__constructor_name,
    STATE(9400), 1,
      sym__value_name,
    STATE(9506), 1,
      sym__simple_expression,
    STATE(9517), 1,
      sym_parenthesized_operator,
    STATE(17955), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8366), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9539), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114336] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      sym__lowercase_identifier,
    ACTIONS(7665), 1,
      anon_sym_LPAREN,
    ACTIONS(7667), 1,
      anon_sym_LBRACK,
    ACTIONS(7671), 1,
      anon_sym_LBRACE,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7675), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7677), 1,
      anon_sym_new,
    ACTIONS(7679), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7681), 1,
      anon_sym_begin,
    ACTIONS(7683), 1,
      sym_ocamlyacc_value,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7689), 1,
      aux_sym_number_token1,
    ACTIONS(7691), 1,
      anon_sym_SQUOTE,
    ACTIONS(7693), 1,
      anon_sym_DQUOTE,
    ACTIONS(7695), 1,
      sym_prefix_operator,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    STATE(4156), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(8961), 1,
      sym__simple_expression,
    STATE(8994), 1,
      sym_parenthesized_operator,
    STATE(9008), 1,
      sym__value_name,
    STATE(17811), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9123), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9036), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114454] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5543), 1,
      sym__lowercase_identifier,
    ACTIONS(5551), 1,
      anon_sym_LPAREN,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5557), 1,
      anon_sym_LBRACE,
    ACTIONS(5559), 1,
      anon_sym_object,
    ACTIONS(5561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5563), 1,
      anon_sym_new,
    ACTIONS(5565), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5567), 1,
      anon_sym_begin,
    ACTIONS(5569), 1,
      sym_ocamlyacc_value,
    ACTIONS(5575), 1,
      aux_sym_number_token1,
    ACTIONS(5577), 1,
      anon_sym_SQUOTE,
    ACTIONS(5579), 1,
      anon_sym_DQUOTE,
    ACTIONS(5581), 1,
      sym_prefix_operator,
    ACTIONS(5583), 1,
      sym__uppercase_identifier,
    ACTIONS(5585), 1,
      aux_sym_tag_token1,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8456), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4157), 1,
      sym_attribute,
    STATE(5876), 1,
      sym__constructor_name,
    STATE(5889), 1,
      sym_parenthesized_operator,
    STATE(6026), 1,
      sym__simple_expression,
    STATE(6067), 1,
      sym__value_name,
    STATE(17756), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5870), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6013), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114712] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2503), 1,
      anon_sym_LPAREN,
    ACTIONS(2505), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2511), 1,
      anon_sym_object,
    ACTIONS(2515), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2525), 1,
      anon_sym_new,
    ACTIONS(2527), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2529), 1,
      anon_sym_begin,
    ACTIONS(2531), 1,
      sym_ocamlyacc_value,
    ACTIONS(2533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2537), 1,
      aux_sym_number_token1,
    ACTIONS(2539), 1,
      anon_sym_SQUOTE,
    ACTIONS(2541), 1,
      anon_sym_DQUOTE,
    ACTIONS(2543), 1,
      sym_prefix_operator,
    ACTIONS(2547), 1,
      sym__uppercase_identifier,
    ACTIONS(2549), 1,
      aux_sym_tag_token1,
    ACTIONS(5255), 1,
      sym__lowercase_identifier,
    STATE(4160), 1,
      sym_attribute,
    STATE(6274), 1,
      sym_parenthesized_operator,
    STATE(6302), 1,
      sym__value_name,
    STATE(6308), 1,
      sym__constructor_name,
    STATE(6414), 1,
      sym__simple_expression,
    STATE(18482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2507), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6305), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6501), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114830] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      sym__lowercase_identifier,
    ACTIONS(8276), 1,
      anon_sym_LPAREN,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8282), 1,
      anon_sym_LBRACE,
    ACTIONS(8284), 1,
      anon_sym_object,
    ACTIONS(8286), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8288), 1,
      anon_sym_new,
    ACTIONS(8290), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8292), 1,
      anon_sym_begin,
    ACTIONS(8294), 1,
      sym_ocamlyacc_value,
    ACTIONS(8296), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8302), 1,
      aux_sym_number_token1,
    ACTIONS(8304), 1,
      anon_sym_SQUOTE,
    ACTIONS(8306), 1,
      anon_sym_DQUOTE,
    ACTIONS(8308), 1,
      sym_prefix_operator,
    ACTIONS(8310), 1,
      sym__uppercase_identifier,
    ACTIONS(8312), 1,
      aux_sym_tag_token1,
    STATE(4161), 1,
      sym_attribute,
    STATE(7372), 1,
      sym__constructor_name,
    STATE(7462), 1,
      sym_parenthesized_operator,
    STATE(7544), 1,
      sym__simple_expression,
    STATE(7589), 1,
      sym__value_name,
    STATE(18119), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7586), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [115088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115228] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3985), 1,
      anon_sym_DOT,
    ACTIONS(3987), 1,
      anon_sym_POUND,
    ACTIONS(3989), 1,
      sym_hash_operator,
    STATE(4166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115444] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      sym__lowercase_identifier,
    ACTIONS(8276), 1,
      anon_sym_LPAREN,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8282), 1,
      anon_sym_LBRACE,
    ACTIONS(8284), 1,
      anon_sym_object,
    ACTIONS(8286), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8288), 1,
      anon_sym_new,
    ACTIONS(8290), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8292), 1,
      anon_sym_begin,
    ACTIONS(8294), 1,
      sym_ocamlyacc_value,
    ACTIONS(8296), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8302), 1,
      aux_sym_number_token1,
    ACTIONS(8304), 1,
      anon_sym_SQUOTE,
    ACTIONS(8306), 1,
      anon_sym_DQUOTE,
    ACTIONS(8308), 1,
      sym_prefix_operator,
    ACTIONS(8310), 1,
      sym__uppercase_identifier,
    ACTIONS(8312), 1,
      aux_sym_tag_token1,
    STATE(4169), 1,
      sym_attribute,
    STATE(7372), 1,
      sym__constructor_name,
    STATE(7462), 1,
      sym_parenthesized_operator,
    STATE(7545), 1,
      sym__simple_expression,
    STATE(7589), 1,
      sym__value_name,
    STATE(18119), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7586), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115562] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8458), 1,
      anon_sym_COLON,
    STATE(4170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [115634] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(643), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_object,
    ACTIONS(653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(663), 1,
      anon_sym_new,
    ACTIONS(665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(667), 1,
      anon_sym_begin,
    ACTIONS(669), 1,
      sym_ocamlyacc_value,
    ACTIONS(675), 1,
      aux_sym_number_token1,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      sym_prefix_operator,
    ACTIONS(685), 1,
      sym__uppercase_identifier,
    ACTIONS(687), 1,
      aux_sym_tag_token1,
    ACTIONS(3029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3129), 1,
      sym__lowercase_identifier,
    STATE(3310), 1,
      sym_parenthesized_operator,
    STATE(3394), 1,
      sym__constructor_name,
    STATE(3415), 1,
      sym__value_name,
    STATE(3476), 1,
      sym__simple_expression,
    STATE(4171), 1,
      sym_attribute,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3391), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115752] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(815), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      anon_sym_object,
    ACTIONS(827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(837), 1,
      anon_sym_new,
    ACTIONS(839), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(841), 1,
      anon_sym_begin,
    ACTIONS(843), 1,
      sym_ocamlyacc_value,
    ACTIONS(849), 1,
      aux_sym_number_token1,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      sym_prefix_operator,
    ACTIONS(859), 1,
      sym__uppercase_identifier,
    ACTIONS(861), 1,
      aux_sym_tag_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3297), 1,
      sym__lowercase_identifier,
    STATE(3977), 1,
      sym__simple_expression,
    STATE(4105), 1,
      sym_parenthesized_operator,
    STATE(4134), 1,
      sym__constructor_name,
    STATE(4135), 1,
      sym__value_name,
    STATE(4172), 1,
      sym_attribute,
    STATE(17426), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4145), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3946), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115940] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LBRACE,
    ACTIONS(2793), 1,
      anon_sym_object,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2807), 1,
      anon_sym_new,
    ACTIONS(2809), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2811), 1,
      anon_sym_begin,
    ACTIONS(2813), 1,
      sym_ocamlyacc_value,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2817), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2819), 1,
      aux_sym_number_token1,
    ACTIONS(2821), 1,
      anon_sym_SQUOTE,
    ACTIONS(2823), 1,
      anon_sym_DQUOTE,
    ACTIONS(2825), 1,
      sym_prefix_operator,
    ACTIONS(2829), 1,
      sym__uppercase_identifier,
    ACTIONS(2831), 1,
      aux_sym_tag_token1,
    ACTIONS(5367), 1,
      sym__lowercase_identifier,
    STATE(4174), 1,
      sym_attribute,
    STATE(6622), 1,
      sym_parenthesized_operator,
    STATE(6710), 1,
      sym__constructor_name,
    STATE(6737), 1,
      sym__simple_expression,
    STATE(6755), 1,
      sym__value_name,
    STATE(18737), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2789), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6709), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6759), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116058] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    ACTIONS(2575), 1,
      anon_sym_LBRACK,
    ACTIONS(2579), 1,
      anon_sym_LBRACE,
    ACTIONS(2581), 1,
      anon_sym_object,
    ACTIONS(2585), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2595), 1,
      anon_sym_new,
    ACTIONS(2597), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2599), 1,
      anon_sym_begin,
    ACTIONS(2601), 1,
      sym_ocamlyacc_value,
    ACTIONS(2603), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2605), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2607), 1,
      aux_sym_number_token1,
    ACTIONS(2609), 1,
      anon_sym_SQUOTE,
    ACTIONS(2611), 1,
      anon_sym_DQUOTE,
    ACTIONS(2613), 1,
      sym_prefix_operator,
    ACTIONS(2617), 1,
      sym__uppercase_identifier,
    ACTIONS(2619), 1,
      aux_sym_tag_token1,
    ACTIONS(5473), 1,
      sym__lowercase_identifier,
    STATE(4175), 1,
      sym_attribute,
    STATE(6753), 1,
      sym__constructor_name,
    STATE(6856), 1,
      sym__simple_expression,
    STATE(6956), 1,
      sym__value_name,
    STATE(7146), 1,
      sym_parenthesized_operator,
    STATE(18772), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2577), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6984), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6807), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116246] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(923), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_LBRACK,
    ACTIONS(929), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      anon_sym_object,
    ACTIONS(935), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(953), 1,
      anon_sym_new,
    ACTIONS(955), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(957), 1,
      anon_sym_begin,
    ACTIONS(959), 1,
      sym_ocamlyacc_value,
    ACTIONS(965), 1,
      aux_sym_number_token1,
    ACTIONS(967), 1,
      anon_sym_SQUOTE,
    ACTIONS(969), 1,
      anon_sym_DQUOTE,
    ACTIONS(971), 1,
      sym_prefix_operator,
    ACTIONS(975), 1,
      sym__uppercase_identifier,
    ACTIONS(977), 1,
      aux_sym_tag_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3095), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4541), 1,
      sym__lowercase_identifier,
    STATE(4177), 1,
      sym_attribute,
    STATE(4743), 1,
      sym__value_name,
    STATE(4781), 1,
      sym__constructor_name,
    STATE(4815), 1,
      sym_parenthesized_operator,
    STATE(4823), 1,
      sym__simple_expression,
    STATE(18283), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(927), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4789), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4788), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116364] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(815), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      anon_sym_object,
    ACTIONS(827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(837), 1,
      anon_sym_new,
    ACTIONS(839), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(841), 1,
      anon_sym_begin,
    ACTIONS(843), 1,
      sym_ocamlyacc_value,
    ACTIONS(849), 1,
      aux_sym_number_token1,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      sym_prefix_operator,
    ACTIONS(859), 1,
      sym__uppercase_identifier,
    ACTIONS(861), 1,
      aux_sym_tag_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3297), 1,
      sym__lowercase_identifier,
    STATE(4047), 1,
      sym__simple_expression,
    STATE(4105), 1,
      sym_parenthesized_operator,
    STATE(4134), 1,
      sym__constructor_name,
    STATE(4135), 1,
      sym__value_name,
    STATE(4178), 1,
      sym_attribute,
    STATE(17426), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4145), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3946), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116552] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(761), 1,
      anon_sym_LPAREN,
    ACTIONS(763), 1,
      anon_sym_LBRACK,
    ACTIONS(767), 1,
      anon_sym_LBRACE,
    ACTIONS(769), 1,
      anon_sym_object,
    ACTIONS(773), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(783), 1,
      anon_sym_new,
    ACTIONS(785), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(787), 1,
      anon_sym_begin,
    ACTIONS(789), 1,
      sym_ocamlyacc_value,
    ACTIONS(795), 1,
      aux_sym_number_token1,
    ACTIONS(797), 1,
      anon_sym_SQUOTE,
    ACTIONS(799), 1,
      anon_sym_DQUOTE,
    ACTIONS(801), 1,
      sym_prefix_operator,
    ACTIONS(805), 1,
      sym__uppercase_identifier,
    ACTIONS(807), 1,
      aux_sym_tag_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3249), 1,
      sym__lowercase_identifier,
    STATE(3746), 1,
      sym_parenthesized_operator,
    STATE(3842), 1,
      sym__value_name,
    STATE(3859), 1,
      sym__constructor_name,
    STATE(3886), 1,
      sym__simple_expression,
    STATE(4180), 1,
      sym_attribute,
    STATE(18078), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(765), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3906), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3752), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116740] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6295), 1,
      sym__lowercase_identifier,
    ACTIONS(6299), 1,
      anon_sym_LPAREN,
    ACTIONS(6301), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(6309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6311), 1,
      anon_sym_new,
    ACTIONS(6313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6315), 1,
      anon_sym_begin,
    ACTIONS(6317), 1,
      sym_ocamlyacc_value,
    ACTIONS(6323), 1,
      aux_sym_number_token1,
    ACTIONS(6325), 1,
      anon_sym_SQUOTE,
    ACTIONS(6327), 1,
      anon_sym_DQUOTE,
    ACTIONS(6329), 1,
      sym_prefix_operator,
    ACTIONS(6331), 1,
      sym__uppercase_identifier,
    ACTIONS(6333), 1,
      aux_sym_tag_token1,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4182), 1,
      sym_attribute,
    STATE(6706), 1,
      sym_parenthesized_operator,
    STATE(6918), 1,
      sym__value_name,
    STATE(7102), 1,
      sym__simple_expression,
    STATE(7135), 1,
      sym__constructor_name,
    STATE(18160), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6303), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7132), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7064), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116858] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4175), 1,
      anon_sym_DOT,
    ACTIONS(4177), 1,
      anon_sym_POUND,
    ACTIONS(4179), 1,
      sym_hash_operator,
    STATE(4183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117074] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(4186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117216] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      sym__lowercase_identifier,
    ACTIONS(8276), 1,
      anon_sym_LPAREN,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8282), 1,
      anon_sym_LBRACE,
    ACTIONS(8284), 1,
      anon_sym_object,
    ACTIONS(8286), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8288), 1,
      anon_sym_new,
    ACTIONS(8290), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8292), 1,
      anon_sym_begin,
    ACTIONS(8294), 1,
      sym_ocamlyacc_value,
    ACTIONS(8296), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8302), 1,
      aux_sym_number_token1,
    ACTIONS(8304), 1,
      anon_sym_SQUOTE,
    ACTIONS(8306), 1,
      anon_sym_DQUOTE,
    ACTIONS(8308), 1,
      sym_prefix_operator,
    ACTIONS(8310), 1,
      sym__uppercase_identifier,
    ACTIONS(8312), 1,
      aux_sym_tag_token1,
    STATE(4188), 1,
      sym_attribute,
    STATE(7372), 1,
      sym__constructor_name,
    STATE(7418), 1,
      sym__simple_expression,
    STATE(7462), 1,
      sym_parenthesized_operator,
    STATE(7589), 1,
      sym__value_name,
    STATE(18119), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7586), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [117404] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(523), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(541), 1,
      anon_sym_object,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(555), 1,
      anon_sym_new,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(559), 1,
      anon_sym_begin,
    ACTIONS(561), 1,
      sym_ocamlyacc_value,
    ACTIONS(567), 1,
      aux_sym_number_token1,
    ACTIONS(569), 1,
      anon_sym_SQUOTE,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_prefix_operator,
    ACTIONS(579), 1,
      sym__uppercase_identifier,
    ACTIONS(583), 1,
      aux_sym_tag_token1,
    ACTIONS(3055), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3057), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4171), 1,
      sym__lowercase_identifier,
    STATE(4190), 1,
      sym_attribute,
    STATE(4207), 1,
      sym_parenthesized_operator,
    STATE(4211), 1,
      sym__constructor_name,
    STATE(4283), 1,
      sym__simple_expression,
    STATE(4374), 1,
      sym__value_name,
    STATE(17956), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4363), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4159), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117522] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5543), 1,
      sym__lowercase_identifier,
    ACTIONS(5551), 1,
      anon_sym_LPAREN,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5557), 1,
      anon_sym_LBRACE,
    ACTIONS(5559), 1,
      anon_sym_object,
    ACTIONS(5561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5563), 1,
      anon_sym_new,
    ACTIONS(5565), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5567), 1,
      anon_sym_begin,
    ACTIONS(5569), 1,
      sym_ocamlyacc_value,
    ACTIONS(5575), 1,
      aux_sym_number_token1,
    ACTIONS(5577), 1,
      anon_sym_SQUOTE,
    ACTIONS(5579), 1,
      anon_sym_DQUOTE,
    ACTIONS(5581), 1,
      sym_prefix_operator,
    ACTIONS(5583), 1,
      sym__uppercase_identifier,
    ACTIONS(5585), 1,
      aux_sym_tag_token1,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8456), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4191), 1,
      sym_attribute,
    STATE(5876), 1,
      sym__constructor_name,
    STATE(5889), 1,
      sym_parenthesized_operator,
    STATE(6036), 1,
      sym__simple_expression,
    STATE(6067), 1,
      sym__value_name,
    STATE(17756), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5870), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6013), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117710] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    ACTIONS(2447), 1,
      anon_sym_LBRACE,
    ACTIONS(2449), 1,
      anon_sym_object,
    ACTIONS(2453), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2463), 1,
      anon_sym_new,
    ACTIONS(2465), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2467), 1,
      anon_sym_begin,
    ACTIONS(2469), 1,
      sym_ocamlyacc_value,
    ACTIONS(2471), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2473), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2475), 1,
      aux_sym_number_token1,
    ACTIONS(2477), 1,
      anon_sym_SQUOTE,
    ACTIONS(2479), 1,
      anon_sym_DQUOTE,
    ACTIONS(2481), 1,
      sym_prefix_operator,
    ACTIONS(2485), 1,
      sym__uppercase_identifier,
    ACTIONS(2487), 1,
      aux_sym_tag_token1,
    ACTIONS(5347), 1,
      sym__lowercase_identifier,
    STATE(4193), 1,
      sym_attribute,
    STATE(6130), 1,
      sym_parenthesized_operator,
    STATE(6289), 1,
      sym__value_name,
    STATE(6298), 1,
      sym__constructor_name,
    STATE(6518), 1,
      sym__simple_expression,
    STATE(17866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2445), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6306), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6252), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117898] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      sym__lowercase_identifier,
    ACTIONS(8276), 1,
      anon_sym_LPAREN,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8282), 1,
      anon_sym_LBRACE,
    ACTIONS(8284), 1,
      anon_sym_object,
    ACTIONS(8286), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8288), 1,
      anon_sym_new,
    ACTIONS(8290), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8292), 1,
      anon_sym_begin,
    ACTIONS(8294), 1,
      sym_ocamlyacc_value,
    ACTIONS(8296), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8302), 1,
      aux_sym_number_token1,
    ACTIONS(8304), 1,
      anon_sym_SQUOTE,
    ACTIONS(8306), 1,
      anon_sym_DQUOTE,
    ACTIONS(8308), 1,
      sym_prefix_operator,
    ACTIONS(8310), 1,
      sym__uppercase_identifier,
    ACTIONS(8312), 1,
      aux_sym_tag_token1,
    STATE(4195), 1,
      sym_attribute,
    STATE(7372), 1,
      sym__constructor_name,
    STATE(7462), 1,
      sym_parenthesized_operator,
    STATE(7467), 1,
      sym__simple_expression,
    STATE(7589), 1,
      sym__value_name,
    STATE(18119), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7403), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7586), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118366] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LBRACE,
    ACTIONS(2793), 1,
      anon_sym_object,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2807), 1,
      anon_sym_new,
    ACTIONS(2809), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2811), 1,
      anon_sym_begin,
    ACTIONS(2813), 1,
      sym_ocamlyacc_value,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2817), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2819), 1,
      aux_sym_number_token1,
    ACTIONS(2821), 1,
      anon_sym_SQUOTE,
    ACTIONS(2823), 1,
      anon_sym_DQUOTE,
    ACTIONS(2825), 1,
      sym_prefix_operator,
    ACTIONS(2829), 1,
      sym__uppercase_identifier,
    ACTIONS(2831), 1,
      aux_sym_tag_token1,
    ACTIONS(5367), 1,
      sym__lowercase_identifier,
    STATE(4201), 1,
      sym_attribute,
    STATE(6622), 1,
      sym_parenthesized_operator,
    STATE(6710), 1,
      sym__constructor_name,
    STATE(6755), 1,
      sym__value_name,
    STATE(6788), 1,
      sym__simple_expression,
    STATE(18737), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2789), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6709), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6759), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118484] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(983), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_LBRACE,
    ACTIONS(991), 1,
      anon_sym_object,
    ACTIONS(995), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1005), 1,
      anon_sym_new,
    ACTIONS(1007), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1009), 1,
      anon_sym_begin,
    ACTIONS(1011), 1,
      sym_ocamlyacc_value,
    ACTIONS(1017), 1,
      aux_sym_number_token1,
    ACTIONS(1019), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DQUOTE,
    ACTIONS(1023), 1,
      sym_prefix_operator,
    ACTIONS(1027), 1,
      sym__uppercase_identifier,
    ACTIONS(1029), 1,
      aux_sym_tag_token1,
    ACTIONS(3047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4551), 1,
      sym__lowercase_identifier,
    STATE(4202), 1,
      sym_attribute,
    STATE(4876), 1,
      sym__simple_expression,
    STATE(4904), 1,
      sym_parenthesized_operator,
    STATE(4921), 1,
      sym__value_name,
    STATE(4936), 1,
      sym__constructor_name,
    STATE(17753), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(987), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4928), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4886), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118742] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6807), 1,
      sym__lowercase_identifier,
    ACTIONS(6811), 1,
      anon_sym_LPAREN,
    ACTIONS(6813), 1,
      anon_sym_LBRACK,
    ACTIONS(6817), 1,
      anon_sym_LBRACE,
    ACTIONS(6819), 1,
      anon_sym_object,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6823), 1,
      anon_sym_new,
    ACTIONS(6825), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6827), 1,
      anon_sym_begin,
    ACTIONS(6829), 1,
      sym_ocamlyacc_value,
    ACTIONS(6835), 1,
      aux_sym_number_token1,
    ACTIONS(6837), 1,
      anon_sym_SQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DQUOTE,
    ACTIONS(6841), 1,
      sym_prefix_operator,
    ACTIONS(6843), 1,
      sym__uppercase_identifier,
    ACTIONS(6845), 1,
      aux_sym_tag_token1,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4205), 1,
      sym_attribute,
    STATE(7686), 1,
      sym__value_name,
    STATE(7699), 1,
      sym__simple_expression,
    STATE(7848), 1,
      sym__constructor_name,
    STATE(7908), 1,
      sym_parenthesized_operator,
    STATE(17375), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6815), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7852), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7906), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118860] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(309), 1,
      anon_sym_LPAREN,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_object,
    ACTIONS(321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(331), 1,
      anon_sym_new,
    ACTIONS(333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(335), 1,
      anon_sym_begin,
    ACTIONS(337), 1,
      sym_ocamlyacc_value,
    ACTIONS(345), 1,
      aux_sym_number_token1,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      sym_prefix_operator,
    ACTIONS(357), 1,
      sym__uppercase_identifier,
    ACTIONS(359), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      sym__lowercase_identifier,
    ACTIONS(3101), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3103), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3089), 1,
      sym__simple_expression,
    STATE(3127), 1,
      sym__constructor_name,
    STATE(3154), 1,
      sym_parenthesized_operator,
    STATE(3193), 1,
      sym__value_name,
    STATE(4206), 1,
      sym_attribute,
    STATE(18364), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3149), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3064), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119048] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(107), 1,
      aux_sym_number_token1,
    ACTIONS(111), 1,
      anon_sym_SQUOTE,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(115), 1,
      sym_prefix_operator,
    ACTIONS(123), 1,
      sym__uppercase_identifier,
    ACTIONS(127), 1,
      aux_sym_tag_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3981), 1,
      sym__lowercase_identifier,
    STATE(4208), 1,
      sym_attribute,
    STATE(4315), 1,
      sym__constructor_name,
    STATE(4317), 1,
      sym_parenthesized_operator,
    STATE(4393), 1,
      sym__simple_expression,
    STATE(4406), 1,
      sym__value_name,
    STATE(20176), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4187), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4214), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [119306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119586] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_LBRACE,
    ACTIONS(711), 1,
      anon_sym_object,
    ACTIONS(715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(725), 1,
      anon_sym_new,
    ACTIONS(727), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(729), 1,
      anon_sym_begin,
    ACTIONS(731), 1,
      sym_ocamlyacc_value,
    ACTIONS(737), 1,
      aux_sym_number_token1,
    ACTIONS(739), 1,
      anon_sym_SQUOTE,
    ACTIONS(741), 1,
      anon_sym_DQUOTE,
    ACTIONS(743), 1,
      sym_prefix_operator,
    ACTIONS(747), 1,
      sym__uppercase_identifier,
    ACTIONS(749), 1,
      aux_sym_tag_token1,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      sym__lowercase_identifier,
    STATE(3754), 1,
      sym__simple_expression,
    STATE(3768), 1,
      sym_parenthesized_operator,
    STATE(3807), 1,
      sym__value_name,
    STATE(3899), 1,
      sym__constructor_name,
    STATE(4215), 1,
      sym_attribute,
    STATE(18443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(707), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3896), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3883), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119774] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(523), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(541), 1,
      anon_sym_object,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(555), 1,
      anon_sym_new,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(559), 1,
      anon_sym_begin,
    ACTIONS(561), 1,
      sym_ocamlyacc_value,
    ACTIONS(567), 1,
      aux_sym_number_token1,
    ACTIONS(569), 1,
      anon_sym_SQUOTE,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_prefix_operator,
    ACTIONS(579), 1,
      sym__uppercase_identifier,
    ACTIONS(583), 1,
      aux_sym_tag_token1,
    ACTIONS(3055), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3057), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4171), 1,
      sym__lowercase_identifier,
    STATE(4207), 1,
      sym_parenthesized_operator,
    STATE(4211), 1,
      sym__constructor_name,
    STATE(4217), 1,
      sym_attribute,
    STATE(4239), 1,
      sym__simple_expression,
    STATE(4374), 1,
      sym__value_name,
    STATE(17956), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4363), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4159), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119892] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LBRACE,
    ACTIONS(1079), 1,
      anon_sym_object,
    ACTIONS(1083), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1093), 1,
      anon_sym_new,
    ACTIONS(1095), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1097), 1,
      anon_sym_begin,
    ACTIONS(1099), 1,
      sym_ocamlyacc_value,
    ACTIONS(1101), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1103), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1105), 1,
      aux_sym_number_token1,
    ACTIONS(1107), 1,
      anon_sym_SQUOTE,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      sym_prefix_operator,
    ACTIONS(1115), 1,
      sym__uppercase_identifier,
    ACTIONS(1117), 1,
      aux_sym_tag_token1,
    ACTIONS(4571), 1,
      sym__lowercase_identifier,
    STATE(4218), 1,
      sym_attribute,
    STATE(5098), 1,
      sym__constructor_name,
    STATE(5109), 1,
      sym_parenthesized_operator,
    STATE(5151), 1,
      sym__value_name,
    STATE(5195), 1,
      sym__simple_expression,
    STATE(18598), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5134), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120010] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LBRACE,
    ACTIONS(1079), 1,
      anon_sym_object,
    ACTIONS(1083), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1093), 1,
      anon_sym_new,
    ACTIONS(1095), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1097), 1,
      anon_sym_begin,
    ACTIONS(1099), 1,
      sym_ocamlyacc_value,
    ACTIONS(1101), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1103), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1105), 1,
      aux_sym_number_token1,
    ACTIONS(1107), 1,
      anon_sym_SQUOTE,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      sym_prefix_operator,
    ACTIONS(1115), 1,
      sym__uppercase_identifier,
    ACTIONS(1117), 1,
      aux_sym_tag_token1,
    ACTIONS(4571), 1,
      sym__lowercase_identifier,
    STATE(4219), 1,
      sym_attribute,
    STATE(5098), 1,
      sym__constructor_name,
    STATE(5109), 1,
      sym_parenthesized_operator,
    STATE(5148), 1,
      sym__simple_expression,
    STATE(5151), 1,
      sym__value_name,
    STATE(18598), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5134), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120128] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2837), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
    ACTIONS(2845), 1,
      anon_sym_object,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2859), 1,
      anon_sym_new,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2863), 1,
      anon_sym_begin,
    ACTIONS(2865), 1,
      sym_ocamlyacc_value,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2871), 1,
      aux_sym_number_token1,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    ACTIONS(2875), 1,
      anon_sym_DQUOTE,
    ACTIONS(2877), 1,
      sym_prefix_operator,
    ACTIONS(2881), 1,
      sym__uppercase_identifier,
    ACTIONS(2883), 1,
      aux_sym_tag_token1,
    ACTIONS(5377), 1,
      sym__lowercase_identifier,
    STATE(4220), 1,
      sym_attribute,
    STATE(6621), 1,
      sym__constructor_name,
    STATE(6975), 1,
      sym_parenthesized_operator,
    STATE(7082), 1,
      sym__simple_expression,
    STATE(7145), 1,
      sym__value_name,
    STATE(20232), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2841), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6756), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7138), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120246] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2181), 1,
      anon_sym_LPAREN,
    ACTIONS(2183), 1,
      anon_sym_LBRACK,
    ACTIONS(2187), 1,
      anon_sym_LBRACE,
    ACTIONS(2189), 1,
      anon_sym_object,
    ACTIONS(2193), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2203), 1,
      anon_sym_new,
    ACTIONS(2205), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2207), 1,
      anon_sym_begin,
    ACTIONS(2209), 1,
      sym_ocamlyacc_value,
    ACTIONS(2211), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2213), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2215), 1,
      aux_sym_number_token1,
    ACTIONS(2217), 1,
      anon_sym_SQUOTE,
    ACTIONS(2219), 1,
      anon_sym_DQUOTE,
    ACTIONS(2221), 1,
      sym_prefix_operator,
    ACTIONS(2225), 1,
      sym__uppercase_identifier,
    ACTIONS(2227), 1,
      aux_sym_tag_token1,
    ACTIONS(5357), 1,
      sym__lowercase_identifier,
    STATE(4221), 1,
      sym_attribute,
    STATE(6162), 1,
      sym_parenthesized_operator,
    STATE(6190), 1,
      sym__constructor_name,
    STATE(6356), 1,
      sym__value_name,
    STATE(6411), 1,
      sym__simple_expression,
    STATE(17536), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2185), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6187), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6419), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120504] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2181), 1,
      anon_sym_LPAREN,
    ACTIONS(2183), 1,
      anon_sym_LBRACK,
    ACTIONS(2187), 1,
      anon_sym_LBRACE,
    ACTIONS(2189), 1,
      anon_sym_object,
    ACTIONS(2193), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2203), 1,
      anon_sym_new,
    ACTIONS(2205), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2207), 1,
      anon_sym_begin,
    ACTIONS(2209), 1,
      sym_ocamlyacc_value,
    ACTIONS(2211), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2213), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2215), 1,
      aux_sym_number_token1,
    ACTIONS(2217), 1,
      anon_sym_SQUOTE,
    ACTIONS(2219), 1,
      anon_sym_DQUOTE,
    ACTIONS(2221), 1,
      sym_prefix_operator,
    ACTIONS(2225), 1,
      sym__uppercase_identifier,
    ACTIONS(2227), 1,
      aux_sym_tag_token1,
    ACTIONS(5357), 1,
      sym__lowercase_identifier,
    STATE(4224), 1,
      sym_attribute,
    STATE(6162), 1,
      sym_parenthesized_operator,
    STATE(6190), 1,
      sym__constructor_name,
    STATE(6356), 1,
      sym__value_name,
    STATE(6398), 1,
      sym__simple_expression,
    STATE(17536), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2185), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6187), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6419), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [120692] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2259), 1,
      anon_sym_LPAREN,
    ACTIONS(2261), 1,
      anon_sym_LBRACK,
    ACTIONS(2265), 1,
      anon_sym_LBRACE,
    ACTIONS(2267), 1,
      anon_sym_object,
    ACTIONS(2271), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2281), 1,
      anon_sym_new,
    ACTIONS(2283), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2285), 1,
      anon_sym_begin,
    ACTIONS(2287), 1,
      sym_ocamlyacc_value,
    ACTIONS(2289), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2291), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2293), 1,
      aux_sym_number_token1,
    ACTIONS(2295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2297), 1,
      anon_sym_DQUOTE,
    ACTIONS(2299), 1,
      sym_prefix_operator,
    ACTIONS(2303), 1,
      sym__uppercase_identifier,
    ACTIONS(2305), 1,
      aux_sym_tag_token1,
    ACTIONS(5337), 1,
      sym__lowercase_identifier,
    STATE(4226), 1,
      sym_attribute,
    STATE(6253), 1,
      sym__value_name,
    STATE(6373), 1,
      sym_parenthesized_operator,
    STATE(6375), 1,
      sym__simple_expression,
    STATE(6497), 1,
      sym__constructor_name,
    STATE(18037), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2263), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6477), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6524), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120880] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2259), 1,
      anon_sym_LPAREN,
    ACTIONS(2261), 1,
      anon_sym_LBRACK,
    ACTIONS(2265), 1,
      anon_sym_LBRACE,
    ACTIONS(2267), 1,
      anon_sym_object,
    ACTIONS(2271), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2281), 1,
      anon_sym_new,
    ACTIONS(2283), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2285), 1,
      anon_sym_begin,
    ACTIONS(2287), 1,
      sym_ocamlyacc_value,
    ACTIONS(2289), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2291), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2293), 1,
      aux_sym_number_token1,
    ACTIONS(2295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2297), 1,
      anon_sym_DQUOTE,
    ACTIONS(2299), 1,
      sym_prefix_operator,
    ACTIONS(2303), 1,
      sym__uppercase_identifier,
    ACTIONS(2305), 1,
      aux_sym_tag_token1,
    ACTIONS(5337), 1,
      sym__lowercase_identifier,
    STATE(4228), 1,
      sym_attribute,
    STATE(6253), 1,
      sym__value_name,
    STATE(6373), 1,
      sym_parenthesized_operator,
    STATE(6478), 1,
      sym__simple_expression,
    STATE(6497), 1,
      sym__constructor_name,
    STATE(18037), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2263), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6477), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6524), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120998] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LBRACE,
    ACTIONS(1079), 1,
      anon_sym_object,
    ACTIONS(1083), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1093), 1,
      anon_sym_new,
    ACTIONS(1095), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1097), 1,
      anon_sym_begin,
    ACTIONS(1099), 1,
      sym_ocamlyacc_value,
    ACTIONS(1101), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1103), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1105), 1,
      aux_sym_number_token1,
    ACTIONS(1107), 1,
      anon_sym_SQUOTE,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      sym_prefix_operator,
    ACTIONS(1115), 1,
      sym__uppercase_identifier,
    ACTIONS(1117), 1,
      aux_sym_tag_token1,
    ACTIONS(4571), 1,
      sym__lowercase_identifier,
    STATE(4229), 1,
      sym_attribute,
    STATE(5098), 1,
      sym__constructor_name,
    STATE(5109), 1,
      sym_parenthesized_operator,
    STATE(5151), 1,
      sym__value_name,
    STATE(5223), 1,
      sym__simple_expression,
    STATE(18598), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5134), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121256] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(589), 1,
      anon_sym_LPAREN,
    ACTIONS(591), 1,
      anon_sym_LBRACK,
    ACTIONS(595), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      anon_sym_object,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(611), 1,
      anon_sym_new,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(615), 1,
      anon_sym_begin,
    ACTIONS(617), 1,
      sym_ocamlyacc_value,
    ACTIONS(623), 1,
      aux_sym_number_token1,
    ACTIONS(625), 1,
      anon_sym_SQUOTE,
    ACTIONS(627), 1,
      anon_sym_DQUOTE,
    ACTIONS(629), 1,
      sym_prefix_operator,
    ACTIONS(633), 1,
      sym__uppercase_identifier,
    ACTIONS(635), 1,
      aux_sym_tag_token1,
    ACTIONS(3097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3167), 1,
      sym__lowercase_identifier,
    STATE(3500), 1,
      sym__constructor_name,
    STATE(3518), 1,
      sym__value_name,
    STATE(3595), 1,
      sym_parenthesized_operator,
    STATE(3667), 1,
      sym__simple_expression,
    STATE(4232), 1,
      sym_attribute,
    STATE(18712), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(593), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121374] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(4233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121516] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(923), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_LBRACK,
    ACTIONS(929), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      anon_sym_object,
    ACTIONS(935), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(953), 1,
      anon_sym_new,
    ACTIONS(955), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(957), 1,
      anon_sym_begin,
    ACTIONS(959), 1,
      sym_ocamlyacc_value,
    ACTIONS(965), 1,
      aux_sym_number_token1,
    ACTIONS(967), 1,
      anon_sym_SQUOTE,
    ACTIONS(969), 1,
      anon_sym_DQUOTE,
    ACTIONS(971), 1,
      sym_prefix_operator,
    ACTIONS(975), 1,
      sym__uppercase_identifier,
    ACTIONS(977), 1,
      aux_sym_tag_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3095), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4541), 1,
      sym__lowercase_identifier,
    STATE(4235), 1,
      sym_attribute,
    STATE(4743), 1,
      sym__value_name,
    STATE(4781), 1,
      sym__constructor_name,
    STATE(4811), 1,
      sym__simple_expression,
    STATE(4815), 1,
      sym_parenthesized_operator,
    STATE(18283), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(927), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4789), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4788), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121914] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LBRACE,
    ACTIONS(2793), 1,
      anon_sym_object,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2807), 1,
      anon_sym_new,
    ACTIONS(2809), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2811), 1,
      anon_sym_begin,
    ACTIONS(2813), 1,
      sym_ocamlyacc_value,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2817), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2819), 1,
      aux_sym_number_token1,
    ACTIONS(2821), 1,
      anon_sym_SQUOTE,
    ACTIONS(2823), 1,
      anon_sym_DQUOTE,
    ACTIONS(2825), 1,
      sym_prefix_operator,
    ACTIONS(2829), 1,
      sym__uppercase_identifier,
    ACTIONS(2831), 1,
      aux_sym_tag_token1,
    ACTIONS(5367), 1,
      sym__lowercase_identifier,
    STATE(4240), 1,
      sym_attribute,
    STATE(6622), 1,
      sym_parenthesized_operator,
    STATE(6681), 1,
      sym__simple_expression,
    STATE(6710), 1,
      sym__constructor_name,
    STATE(6755), 1,
      sym__value_name,
    STATE(18737), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2789), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6709), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6759), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122102] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2691), 1,
      anon_sym_LPAREN,
    ACTIONS(2693), 1,
      anon_sym_LBRACK,
    ACTIONS(2697), 1,
      anon_sym_LBRACE,
    ACTIONS(2699), 1,
      anon_sym_object,
    ACTIONS(2703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2713), 1,
      anon_sym_new,
    ACTIONS(2715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2717), 1,
      anon_sym_begin,
    ACTIONS(2719), 1,
      sym_ocamlyacc_value,
    ACTIONS(2721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2725), 1,
      aux_sym_number_token1,
    ACTIONS(2727), 1,
      anon_sym_SQUOTE,
    ACTIONS(2729), 1,
      anon_sym_DQUOTE,
    ACTIONS(2731), 1,
      sym_prefix_operator,
    ACTIONS(2735), 1,
      sym__uppercase_identifier,
    ACTIONS(2737), 1,
      aux_sym_tag_token1,
    ACTIONS(5387), 1,
      sym__lowercase_identifier,
    STATE(4242), 1,
      sym_attribute,
    STATE(6894), 1,
      sym__value_name,
    STATE(6904), 1,
      sym__simple_expression,
    STATE(6947), 1,
      sym_parenthesized_operator,
    STATE(7049), 1,
      sym__constructor_name,
    STATE(17481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7053), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6858), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122290] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(523), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(541), 1,
      anon_sym_object,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(555), 1,
      anon_sym_new,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(559), 1,
      anon_sym_begin,
    ACTIONS(561), 1,
      sym_ocamlyacc_value,
    ACTIONS(567), 1,
      aux_sym_number_token1,
    ACTIONS(569), 1,
      anon_sym_SQUOTE,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_prefix_operator,
    ACTIONS(579), 1,
      sym__uppercase_identifier,
    ACTIONS(583), 1,
      aux_sym_tag_token1,
    ACTIONS(3055), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3057), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4171), 1,
      sym__lowercase_identifier,
    STATE(4183), 1,
      sym__simple_expression,
    STATE(4207), 1,
      sym_parenthesized_operator,
    STATE(4211), 1,
      sym__constructor_name,
    STATE(4244), 1,
      sym_attribute,
    STATE(4374), 1,
      sym__value_name,
    STATE(17956), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4363), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4159), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122548] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4247), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5171), 1,
      sym__simple_expression,
    STATE(5244), 1,
      sym__value_name,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122666] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8322), 1,
      sym__lowercase_identifier,
    ACTIONS(8324), 1,
      anon_sym_LPAREN,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8330), 1,
      anon_sym_LBRACE,
    ACTIONS(8332), 1,
      anon_sym_object,
    ACTIONS(8334), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8336), 1,
      anon_sym_new,
    ACTIONS(8338), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8340), 1,
      anon_sym_begin,
    ACTIONS(8342), 1,
      sym_ocamlyacc_value,
    ACTIONS(8344), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8346), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8348), 1,
      aux_sym_number_token1,
    ACTIONS(8350), 1,
      anon_sym_SQUOTE,
    ACTIONS(8352), 1,
      anon_sym_DQUOTE,
    ACTIONS(8354), 1,
      sym_prefix_operator,
    ACTIONS(8356), 1,
      sym__uppercase_identifier,
    ACTIONS(8358), 1,
      aux_sym_tag_token1,
    STATE(4248), 1,
      sym_attribute,
    STATE(7199), 1,
      sym_parenthesized_operator,
    STATE(7200), 1,
      sym__value_name,
    STATE(7303), 1,
      sym__constructor_name,
    STATE(7315), 1,
      sym__simple_expression,
    STATE(18462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7336), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122924] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6255), 1,
      sym__lowercase_identifier,
    ACTIONS(6259), 1,
      anon_sym_LPAREN,
    ACTIONS(6261), 1,
      anon_sym_LBRACK,
    ACTIONS(6265), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(6269), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6271), 1,
      anon_sym_new,
    ACTIONS(6273), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6275), 1,
      anon_sym_begin,
    ACTIONS(6277), 1,
      sym_ocamlyacc_value,
    ACTIONS(6283), 1,
      aux_sym_number_token1,
    ACTIONS(6285), 1,
      anon_sym_SQUOTE,
    ACTIONS(6287), 1,
      anon_sym_DQUOTE,
    ACTIONS(6289), 1,
      sym_prefix_operator,
    ACTIONS(6291), 1,
      sym__uppercase_identifier,
    ACTIONS(6293), 1,
      aux_sym_tag_token1,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4251), 1,
      sym_attribute,
    STATE(6707), 1,
      sym__value_name,
    STATE(6852), 1,
      sym__simple_expression,
    STATE(6922), 1,
      sym_parenthesized_operator,
    STATE(7085), 1,
      sym__constructor_name,
    STATE(18324), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6263), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7086), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6864), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123042] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACK,
    ACTIONS(1181), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_object,
    ACTIONS(1187), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__uppercase_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4711), 1,
      sym__lowercase_identifier,
    STATE(4252), 1,
      sym_attribute,
    STATE(5286), 1,
      sym__constructor_name,
    STATE(5296), 1,
      sym_parenthesized_operator,
    STATE(5318), 1,
      sym__simple_expression,
    STATE(5354), 1,
      sym__value_name,
    STATE(17701), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1179), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5273), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123160] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2313), 1,
      anon_sym_LPAREN,
    ACTIONS(2315), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_object,
    ACTIONS(2325), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2335), 1,
      anon_sym_new,
    ACTIONS(2337), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2339), 1,
      anon_sym_begin,
    ACTIONS(2341), 1,
      sym_ocamlyacc_value,
    ACTIONS(2343), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2345), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2347), 1,
      aux_sym_number_token1,
    ACTIONS(2349), 1,
      anon_sym_SQUOTE,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(2353), 1,
      sym_prefix_operator,
    ACTIONS(2357), 1,
      sym__uppercase_identifier,
    ACTIONS(2359), 1,
      aux_sym_tag_token1,
    ACTIONS(5325), 1,
      sym__lowercase_identifier,
    STATE(4253), 1,
      sym_attribute,
    STATE(6234), 1,
      sym__constructor_name,
    STATE(6281), 1,
      sym_parenthesized_operator,
    STATE(6517), 1,
      sym__value_name,
    STATE(6585), 1,
      sym__simple_expression,
    STATE(17996), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2317), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6196), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123278] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    ACTIONS(1125), 1,
      anon_sym_LBRACK,
    ACTIONS(1129), 1,
      anon_sym_LBRACE,
    ACTIONS(1131), 1,
      anon_sym_object,
    ACTIONS(1135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1145), 1,
      anon_sym_new,
    ACTIONS(1147), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1149), 1,
      anon_sym_begin,
    ACTIONS(1151), 1,
      sym_ocamlyacc_value,
    ACTIONS(1153), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1155), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1157), 1,
      aux_sym_number_token1,
    ACTIONS(1159), 1,
      anon_sym_SQUOTE,
    ACTIONS(1161), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      sym_prefix_operator,
    ACTIONS(1167), 1,
      sym__uppercase_identifier,
    ACTIONS(1169), 1,
      aux_sym_tag_token1,
    ACTIONS(4561), 1,
      sym__lowercase_identifier,
    STATE(4254), 1,
      sym_attribute,
    STATE(4948), 1,
      sym__constructor_name,
    STATE(4957), 1,
      sym__simple_expression,
    STATE(4987), 1,
      sym__value_name,
    STATE(5065), 1,
      sym_parenthesized_operator,
    STATE(17646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5087), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123396] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(983), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_LBRACE,
    ACTIONS(991), 1,
      anon_sym_object,
    ACTIONS(995), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1005), 1,
      anon_sym_new,
    ACTIONS(1007), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1009), 1,
      anon_sym_begin,
    ACTIONS(1011), 1,
      sym_ocamlyacc_value,
    ACTIONS(1017), 1,
      aux_sym_number_token1,
    ACTIONS(1019), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DQUOTE,
    ACTIONS(1023), 1,
      sym_prefix_operator,
    ACTIONS(1027), 1,
      sym__uppercase_identifier,
    ACTIONS(1029), 1,
      aux_sym_tag_token1,
    ACTIONS(3047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4551), 1,
      sym__lowercase_identifier,
    STATE(4255), 1,
      sym_attribute,
    STATE(4904), 1,
      sym_parenthesized_operator,
    STATE(4921), 1,
      sym__value_name,
    STATE(4931), 1,
      sym__simple_expression,
    STATE(4936), 1,
      sym__constructor_name,
    STATE(17753), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(987), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4928), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4886), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123514] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8322), 1,
      sym__lowercase_identifier,
    ACTIONS(8324), 1,
      anon_sym_LPAREN,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8330), 1,
      anon_sym_LBRACE,
    ACTIONS(8332), 1,
      anon_sym_object,
    ACTIONS(8334), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8336), 1,
      anon_sym_new,
    ACTIONS(8338), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8340), 1,
      anon_sym_begin,
    ACTIONS(8342), 1,
      sym_ocamlyacc_value,
    ACTIONS(8344), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8346), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8348), 1,
      aux_sym_number_token1,
    ACTIONS(8350), 1,
      anon_sym_SQUOTE,
    ACTIONS(8352), 1,
      anon_sym_DQUOTE,
    ACTIONS(8354), 1,
      sym_prefix_operator,
    ACTIONS(8356), 1,
      sym__uppercase_identifier,
    ACTIONS(8358), 1,
      aux_sym_tag_token1,
    STATE(4256), 1,
      sym_attribute,
    STATE(7199), 1,
      sym_parenthesized_operator,
    STATE(7200), 1,
      sym__value_name,
    STATE(7303), 1,
      sym__constructor_name,
    STATE(7333), 1,
      sym__simple_expression,
    STATE(18462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7336), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123632] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(815), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      anon_sym_object,
    ACTIONS(827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(837), 1,
      anon_sym_new,
    ACTIONS(839), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(841), 1,
      anon_sym_begin,
    ACTIONS(843), 1,
      sym_ocamlyacc_value,
    ACTIONS(849), 1,
      aux_sym_number_token1,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      sym_prefix_operator,
    ACTIONS(859), 1,
      sym__uppercase_identifier,
    ACTIONS(861), 1,
      aux_sym_tag_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3297), 1,
      sym__lowercase_identifier,
    STATE(3939), 1,
      sym__simple_expression,
    STATE(4105), 1,
      sym_parenthesized_operator,
    STATE(4134), 1,
      sym__constructor_name,
    STATE(4135), 1,
      sym__value_name,
    STATE(4257), 1,
      sym_attribute,
    STATE(17426), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4145), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3946), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123750] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      sym__lowercase_identifier,
    ACTIONS(7665), 1,
      anon_sym_LPAREN,
    ACTIONS(7667), 1,
      anon_sym_LBRACK,
    ACTIONS(7671), 1,
      anon_sym_LBRACE,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7675), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7677), 1,
      anon_sym_new,
    ACTIONS(7679), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7681), 1,
      anon_sym_begin,
    ACTIONS(7683), 1,
      sym_ocamlyacc_value,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7689), 1,
      aux_sym_number_token1,
    ACTIONS(7691), 1,
      anon_sym_SQUOTE,
    ACTIONS(7693), 1,
      anon_sym_DQUOTE,
    ACTIONS(7695), 1,
      sym_prefix_operator,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    STATE(4258), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(8991), 1,
      sym__simple_expression,
    STATE(8994), 1,
      sym_parenthesized_operator,
    STATE(9008), 1,
      sym__value_name,
    STATE(17811), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9123), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9036), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123868] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    ACTIONS(2575), 1,
      anon_sym_LBRACK,
    ACTIONS(2579), 1,
      anon_sym_LBRACE,
    ACTIONS(2581), 1,
      anon_sym_object,
    ACTIONS(2585), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2595), 1,
      anon_sym_new,
    ACTIONS(2597), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2599), 1,
      anon_sym_begin,
    ACTIONS(2601), 1,
      sym_ocamlyacc_value,
    ACTIONS(2603), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2605), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2607), 1,
      aux_sym_number_token1,
    ACTIONS(2609), 1,
      anon_sym_SQUOTE,
    ACTIONS(2611), 1,
      anon_sym_DQUOTE,
    ACTIONS(2613), 1,
      sym_prefix_operator,
    ACTIONS(2617), 1,
      sym__uppercase_identifier,
    ACTIONS(2619), 1,
      aux_sym_tag_token1,
    ACTIONS(5473), 1,
      sym__lowercase_identifier,
    STATE(4259), 1,
      sym_attribute,
    STATE(6753), 1,
      sym__constructor_name,
    STATE(6781), 1,
      sym__simple_expression,
    STATE(6956), 1,
      sym__value_name,
    STATE(7146), 1,
      sym_parenthesized_operator,
    STATE(18772), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2577), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6984), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6807), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123986] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6255), 1,
      sym__lowercase_identifier,
    ACTIONS(6259), 1,
      anon_sym_LPAREN,
    ACTIONS(6261), 1,
      anon_sym_LBRACK,
    ACTIONS(6265), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(6269), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6271), 1,
      anon_sym_new,
    ACTIONS(6273), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6275), 1,
      anon_sym_begin,
    ACTIONS(6277), 1,
      sym_ocamlyacc_value,
    ACTIONS(6283), 1,
      aux_sym_number_token1,
    ACTIONS(6285), 1,
      anon_sym_SQUOTE,
    ACTIONS(6287), 1,
      anon_sym_DQUOTE,
    ACTIONS(6289), 1,
      sym_prefix_operator,
    ACTIONS(6291), 1,
      sym__uppercase_identifier,
    ACTIONS(6293), 1,
      aux_sym_tag_token1,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4260), 1,
      sym_attribute,
    STATE(6707), 1,
      sym__value_name,
    STATE(6825), 1,
      sym__simple_expression,
    STATE(6922), 1,
      sym_parenthesized_operator,
    STATE(7085), 1,
      sym__constructor_name,
    STATE(18324), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6263), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7086), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6864), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124104] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7661), 1,
      sym__lowercase_identifier,
    ACTIONS(7665), 1,
      anon_sym_LPAREN,
    ACTIONS(7667), 1,
      anon_sym_LBRACK,
    ACTIONS(7671), 1,
      anon_sym_LBRACE,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7675), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7677), 1,
      anon_sym_new,
    ACTIONS(7679), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7681), 1,
      anon_sym_begin,
    ACTIONS(7683), 1,
      sym_ocamlyacc_value,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7689), 1,
      aux_sym_number_token1,
    ACTIONS(7691), 1,
      anon_sym_SQUOTE,
    ACTIONS(7693), 1,
      anon_sym_DQUOTE,
    ACTIONS(7695), 1,
      sym_prefix_operator,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    STATE(4261), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(8933), 1,
      sym__simple_expression,
    STATE(8994), 1,
      sym_parenthesized_operator,
    STATE(9008), 1,
      sym__value_name,
    STATE(17811), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9123), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9036), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124222] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_object,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1369), 1,
      anon_sym_new,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1373), 1,
      anon_sym_begin,
    ACTIONS(1375), 1,
      sym_ocamlyacc_value,
    ACTIONS(1377), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1381), 1,
      aux_sym_number_token1,
    ACTIONS(1383), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_prefix_operator,
    ACTIONS(1391), 1,
      sym__uppercase_identifier,
    ACTIONS(1393), 1,
      aux_sym_tag_token1,
    ACTIONS(5075), 1,
      sym__lowercase_identifier,
    STATE(4262), 1,
      sym_attribute,
    STATE(5757), 1,
      sym__simple_expression,
    STATE(5777), 1,
      sym__value_name,
    STATE(5781), 1,
      sym__constructor_name,
    STATE(5791), 1,
      sym_parenthesized_operator,
    STATE(17591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5793), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5797), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124410] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_object,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1369), 1,
      anon_sym_new,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1373), 1,
      anon_sym_begin,
    ACTIONS(1375), 1,
      sym_ocamlyacc_value,
    ACTIONS(1377), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1381), 1,
      aux_sym_number_token1,
    ACTIONS(1383), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_prefix_operator,
    ACTIONS(1391), 1,
      sym__uppercase_identifier,
    ACTIONS(1393), 1,
      aux_sym_tag_token1,
    ACTIONS(5075), 1,
      sym__lowercase_identifier,
    STATE(4264), 1,
      sym_attribute,
    STATE(5714), 1,
      sym__simple_expression,
    STATE(5777), 1,
      sym__value_name,
    STATE(5781), 1,
      sym__constructor_name,
    STATE(5791), 1,
      sym_parenthesized_operator,
    STATE(17591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5793), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5797), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124528] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2573), 1,
      anon_sym_LPAREN,
    ACTIONS(2575), 1,
      anon_sym_LBRACK,
    ACTIONS(2579), 1,
      anon_sym_LBRACE,
    ACTIONS(2581), 1,
      anon_sym_object,
    ACTIONS(2585), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2595), 1,
      anon_sym_new,
    ACTIONS(2597), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2599), 1,
      anon_sym_begin,
    ACTIONS(2601), 1,
      sym_ocamlyacc_value,
    ACTIONS(2603), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2605), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2607), 1,
      aux_sym_number_token1,
    ACTIONS(2609), 1,
      anon_sym_SQUOTE,
    ACTIONS(2611), 1,
      anon_sym_DQUOTE,
    ACTIONS(2613), 1,
      sym_prefix_operator,
    ACTIONS(2617), 1,
      sym__uppercase_identifier,
    ACTIONS(2619), 1,
      aux_sym_tag_token1,
    ACTIONS(5473), 1,
      sym__lowercase_identifier,
    STATE(4265), 1,
      sym_attribute,
    STATE(6753), 1,
      sym__constructor_name,
    STATE(6956), 1,
      sym__value_name,
    STATE(6971), 1,
      sym__simple_expression,
    STATE(7146), 1,
      sym_parenthesized_operator,
    STATE(18772), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2577), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6984), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6807), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124646] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6807), 1,
      sym__lowercase_identifier,
    ACTIONS(6811), 1,
      anon_sym_LPAREN,
    ACTIONS(6813), 1,
      anon_sym_LBRACK,
    ACTIONS(6817), 1,
      anon_sym_LBRACE,
    ACTIONS(6819), 1,
      anon_sym_object,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6823), 1,
      anon_sym_new,
    ACTIONS(6825), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6827), 1,
      anon_sym_begin,
    ACTIONS(6829), 1,
      sym_ocamlyacc_value,
    ACTIONS(6835), 1,
      aux_sym_number_token1,
    ACTIONS(6837), 1,
      anon_sym_SQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DQUOTE,
    ACTIONS(6841), 1,
      sym_prefix_operator,
    ACTIONS(6843), 1,
      sym__uppercase_identifier,
    ACTIONS(6845), 1,
      aux_sym_tag_token1,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4266), 1,
      sym_attribute,
    STATE(7686), 1,
      sym__value_name,
    STATE(7848), 1,
      sym__constructor_name,
    STATE(7908), 1,
      sym_parenthesized_operator,
    STATE(7944), 1,
      sym__simple_expression,
    STATE(17375), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6815), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7852), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7906), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124904] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6807), 1,
      sym__lowercase_identifier,
    ACTIONS(6811), 1,
      anon_sym_LPAREN,
    ACTIONS(6813), 1,
      anon_sym_LBRACK,
    ACTIONS(6817), 1,
      anon_sym_LBRACE,
    ACTIONS(6819), 1,
      anon_sym_object,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6823), 1,
      anon_sym_new,
    ACTIONS(6825), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6827), 1,
      anon_sym_begin,
    ACTIONS(6829), 1,
      sym_ocamlyacc_value,
    ACTIONS(6835), 1,
      aux_sym_number_token1,
    ACTIONS(6837), 1,
      anon_sym_SQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DQUOTE,
    ACTIONS(6841), 1,
      sym_prefix_operator,
    ACTIONS(6843), 1,
      sym__uppercase_identifier,
    ACTIONS(6845), 1,
      aux_sym_tag_token1,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4269), 1,
      sym_attribute,
    STATE(7686), 1,
      sym__value_name,
    STATE(7848), 1,
      sym__constructor_name,
    STATE(7908), 1,
      sym_parenthesized_operator,
    STATE(7934), 1,
      sym__simple_expression,
    STATE(17375), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6815), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7852), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7906), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125022] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2503), 1,
      anon_sym_LPAREN,
    ACTIONS(2505), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2511), 1,
      anon_sym_object,
    ACTIONS(2515), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2525), 1,
      anon_sym_new,
    ACTIONS(2527), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2529), 1,
      anon_sym_begin,
    ACTIONS(2531), 1,
      sym_ocamlyacc_value,
    ACTIONS(2533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2537), 1,
      aux_sym_number_token1,
    ACTIONS(2539), 1,
      anon_sym_SQUOTE,
    ACTIONS(2541), 1,
      anon_sym_DQUOTE,
    ACTIONS(2543), 1,
      sym_prefix_operator,
    ACTIONS(2547), 1,
      sym__uppercase_identifier,
    ACTIONS(2549), 1,
      aux_sym_tag_token1,
    ACTIONS(5255), 1,
      sym__lowercase_identifier,
    STATE(4270), 1,
      sym_attribute,
    STATE(6274), 1,
      sym_parenthesized_operator,
    STATE(6302), 1,
      sym__value_name,
    STATE(6308), 1,
      sym__constructor_name,
    STATE(6450), 1,
      sym__simple_expression,
    STATE(18482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2507), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6305), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6501), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125560] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2837), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
    ACTIONS(2845), 1,
      anon_sym_object,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2859), 1,
      anon_sym_new,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2863), 1,
      anon_sym_begin,
    ACTIONS(2865), 1,
      sym_ocamlyacc_value,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2871), 1,
      aux_sym_number_token1,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    ACTIONS(2875), 1,
      anon_sym_DQUOTE,
    ACTIONS(2877), 1,
      sym_prefix_operator,
    ACTIONS(2881), 1,
      sym__uppercase_identifier,
    ACTIONS(2883), 1,
      aux_sym_tag_token1,
    ACTIONS(5377), 1,
      sym__lowercase_identifier,
    STATE(4277), 1,
      sym_attribute,
    STATE(6621), 1,
      sym__constructor_name,
    STATE(6975), 1,
      sym_parenthesized_operator,
    STATE(7118), 1,
      sym__simple_expression,
    STATE(7145), 1,
      sym__value_name,
    STATE(20232), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2841), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6756), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7138), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125748] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6255), 1,
      sym__lowercase_identifier,
    ACTIONS(6259), 1,
      anon_sym_LPAREN,
    ACTIONS(6261), 1,
      anon_sym_LBRACK,
    ACTIONS(6265), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(6269), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6271), 1,
      anon_sym_new,
    ACTIONS(6273), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6275), 1,
      anon_sym_begin,
    ACTIONS(6277), 1,
      sym_ocamlyacc_value,
    ACTIONS(6283), 1,
      aux_sym_number_token1,
    ACTIONS(6285), 1,
      anon_sym_SQUOTE,
    ACTIONS(6287), 1,
      anon_sym_DQUOTE,
    ACTIONS(6289), 1,
      sym_prefix_operator,
    ACTIONS(6291), 1,
      sym__uppercase_identifier,
    ACTIONS(6293), 1,
      aux_sym_tag_token1,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4279), 1,
      sym_attribute,
    STATE(6707), 1,
      sym__value_name,
    STATE(6922), 1,
      sym_parenthesized_operator,
    STATE(6937), 1,
      sym__simple_expression,
    STATE(7085), 1,
      sym__constructor_name,
    STATE(18324), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6263), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7086), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6864), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125866] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(8402), 1,
      sym__lowercase_identifier,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_begin,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(4280), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(7459), 1,
      sym__simple_expression,
    STATE(18973), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7468), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126054] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2691), 1,
      anon_sym_LPAREN,
    ACTIONS(2693), 1,
      anon_sym_LBRACK,
    ACTIONS(2697), 1,
      anon_sym_LBRACE,
    ACTIONS(2699), 1,
      anon_sym_object,
    ACTIONS(2703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2713), 1,
      anon_sym_new,
    ACTIONS(2715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2717), 1,
      anon_sym_begin,
    ACTIONS(2719), 1,
      sym_ocamlyacc_value,
    ACTIONS(2721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2725), 1,
      aux_sym_number_token1,
    ACTIONS(2727), 1,
      anon_sym_SQUOTE,
    ACTIONS(2729), 1,
      anon_sym_DQUOTE,
    ACTIONS(2731), 1,
      sym_prefix_operator,
    ACTIONS(2735), 1,
      sym__uppercase_identifier,
    ACTIONS(2737), 1,
      aux_sym_tag_token1,
    ACTIONS(5387), 1,
      sym__lowercase_identifier,
    STATE(4282), 1,
      sym_attribute,
    STATE(6863), 1,
      sym__simple_expression,
    STATE(6894), 1,
      sym__value_name,
    STATE(6947), 1,
      sym_parenthesized_operator,
    STATE(7049), 1,
      sym__constructor_name,
    STATE(17481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7053), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6858), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126172] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4175), 1,
      anon_sym_DOT,
    STATE(4283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [126314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126454] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(983), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_LBRACE,
    ACTIONS(991), 1,
      anon_sym_object,
    ACTIONS(995), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1005), 1,
      anon_sym_new,
    ACTIONS(1007), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1009), 1,
      anon_sym_begin,
    ACTIONS(1011), 1,
      sym_ocamlyacc_value,
    ACTIONS(1017), 1,
      aux_sym_number_token1,
    ACTIONS(1019), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DQUOTE,
    ACTIONS(1023), 1,
      sym_prefix_operator,
    ACTIONS(1027), 1,
      sym__uppercase_identifier,
    ACTIONS(1029), 1,
      aux_sym_tag_token1,
    ACTIONS(3047), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3049), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4551), 1,
      sym__lowercase_identifier,
    STATE(4287), 1,
      sym_attribute,
    STATE(4904), 1,
      sym_parenthesized_operator,
    STATE(4912), 1,
      sym__simple_expression,
    STATE(4921), 1,
      sym__value_name,
    STATE(4936), 1,
      sym__constructor_name,
    STATE(17753), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(987), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4928), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4886), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [126712] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(8402), 1,
      sym__lowercase_identifier,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_begin,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(4290), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(7183), 1,
      sym__simple_expression,
    STATE(18973), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7468), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126830] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2625), 1,
      anon_sym_LPAREN,
    ACTIONS(2627), 1,
      anon_sym_LBRACK,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    ACTIONS(2633), 1,
      anon_sym_object,
    ACTIONS(2637), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2647), 1,
      anon_sym_new,
    ACTIONS(2649), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2651), 1,
      anon_sym_begin,
    ACTIONS(2653), 1,
      sym_ocamlyacc_value,
    ACTIONS(2655), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2657), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2659), 1,
      aux_sym_number_token1,
    ACTIONS(2661), 1,
      anon_sym_SQUOTE,
    ACTIONS(2663), 1,
      anon_sym_DQUOTE,
    ACTIONS(2665), 1,
      sym_prefix_operator,
    ACTIONS(2669), 1,
      sym__uppercase_identifier,
    ACTIONS(2671), 1,
      aux_sym_tag_token1,
    ACTIONS(5397), 1,
      sym__lowercase_identifier,
    STATE(4291), 1,
      sym_attribute,
    STATE(6680), 1,
      sym__constructor_name,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(6980), 1,
      sym__value_name,
    STATE(7050), 1,
      sym__simple_expression,
    STATE(19427), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2629), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6623), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6994), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127018] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(309), 1,
      anon_sym_LPAREN,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_object,
    ACTIONS(321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(331), 1,
      anon_sym_new,
    ACTIONS(333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(335), 1,
      anon_sym_begin,
    ACTIONS(337), 1,
      sym_ocamlyacc_value,
    ACTIONS(345), 1,
      aux_sym_number_token1,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      sym_prefix_operator,
    ACTIONS(357), 1,
      sym__uppercase_identifier,
    ACTIONS(359), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      sym__lowercase_identifier,
    ACTIONS(3101), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3103), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3127), 1,
      sym__constructor_name,
    STATE(3142), 1,
      sym__simple_expression,
    STATE(3154), 1,
      sym_parenthesized_operator,
    STATE(3193), 1,
      sym__value_name,
    STATE(4293), 1,
      sym_attribute,
    STATE(18364), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3149), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3064), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127486] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(107), 1,
      aux_sym_number_token1,
    ACTIONS(111), 1,
      anon_sym_SQUOTE,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(115), 1,
      sym_prefix_operator,
    ACTIONS(123), 1,
      sym__uppercase_identifier,
    ACTIONS(127), 1,
      aux_sym_tag_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3981), 1,
      sym__lowercase_identifier,
    STATE(4166), 1,
      sym__simple_expression,
    STATE(4299), 1,
      sym_attribute,
    STATE(4315), 1,
      sym__constructor_name,
    STATE(4317), 1,
      sym_parenthesized_operator,
    STATE(4406), 1,
      sym__value_name,
    STATE(20176), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4187), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4214), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127744] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    ACTIONS(1285), 1,
      anon_sym_LBRACE,
    ACTIONS(1287), 1,
      anon_sym_object,
    ACTIONS(1291), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1309), 1,
      anon_sym_new,
    ACTIONS(1311), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1313), 1,
      anon_sym_begin,
    ACTIONS(1315), 1,
      sym_ocamlyacc_value,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1319), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1321), 1,
      aux_sym_number_token1,
    ACTIONS(1323), 1,
      anon_sym_SQUOTE,
    ACTIONS(1325), 1,
      anon_sym_DQUOTE,
    ACTIONS(1327), 1,
      sym_prefix_operator,
    ACTIONS(1331), 1,
      sym__uppercase_identifier,
    ACTIONS(1333), 1,
      aux_sym_tag_token1,
    ACTIONS(4901), 1,
      sym__lowercase_identifier,
    STATE(4302), 1,
      sym_attribute,
    STATE(5524), 1,
      sym__constructor_name,
    STATE(5641), 1,
      sym_parenthesized_operator,
    STATE(5675), 1,
      sym__value_name,
    STATE(5697), 1,
      sym__simple_expression,
    STATE(18560), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1283), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5531), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5616), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127932] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1399), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_object,
    ACTIONS(1411), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1421), 1,
      anon_sym_new,
    ACTIONS(1423), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1425), 1,
      anon_sym_begin,
    ACTIONS(1427), 1,
      sym_ocamlyacc_value,
    ACTIONS(1429), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1433), 1,
      aux_sym_number_token1,
    ACTIONS(1435), 1,
      anon_sym_SQUOTE,
    ACTIONS(1437), 1,
      anon_sym_DQUOTE,
    ACTIONS(1439), 1,
      sym_prefix_operator,
    ACTIONS(1443), 1,
      sym__uppercase_identifier,
    ACTIONS(1445), 1,
      aux_sym_tag_token1,
    ACTIONS(5197), 1,
      sym__lowercase_identifier,
    STATE(4304), 1,
      sym_attribute,
    STATE(5842), 1,
      sym_parenthesized_operator,
    STATE(5960), 1,
      sym__constructor_name,
    STATE(6045), 1,
      sym__simple_expression,
    STATE(6097), 1,
      sym__value_name,
    STATE(18521), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1403), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5964), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5968), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128120] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(399), 1,
      aux_sym_number_token1,
    ACTIONS(401), 1,
      anon_sym_SQUOTE,
    ACTIONS(403), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      sym_prefix_operator,
    ACTIONS(409), 1,
      sym__uppercase_identifier,
    ACTIONS(411), 1,
      aux_sym_tag_token1,
    ACTIONS(3059), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3061), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3105), 1,
      sym__lowercase_identifier,
    STATE(2954), 1,
      sym__constructor_name,
    STATE(3028), 1,
      sym__value_name,
    STATE(3216), 1,
      sym_parenthesized_operator,
    STATE(3243), 1,
      sym__simple_expression,
    STATE(4306), 1,
      sym_attribute,
    STATE(18674), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2953), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3242), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128238] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3985), 1,
      anon_sym_DOT,
    STATE(4307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128310] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(589), 1,
      anon_sym_LPAREN,
    ACTIONS(591), 1,
      anon_sym_LBRACK,
    ACTIONS(595), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      anon_sym_object,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(611), 1,
      anon_sym_new,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(615), 1,
      anon_sym_begin,
    ACTIONS(617), 1,
      sym_ocamlyacc_value,
    ACTIONS(623), 1,
      aux_sym_number_token1,
    ACTIONS(625), 1,
      anon_sym_SQUOTE,
    ACTIONS(627), 1,
      anon_sym_DQUOTE,
    ACTIONS(629), 1,
      sym_prefix_operator,
    ACTIONS(633), 1,
      sym__uppercase_identifier,
    ACTIONS(635), 1,
      aux_sym_tag_token1,
    ACTIONS(3097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3167), 1,
      sym__lowercase_identifier,
    STATE(3500), 1,
      sym__constructor_name,
    STATE(3504), 1,
      sym__simple_expression,
    STATE(3518), 1,
      sym__value_name,
    STATE(3595), 1,
      sym_parenthesized_operator,
    STATE(4308), 1,
      sym_attribute,
    STATE(18712), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(593), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128638] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_LBRACE,
    ACTIONS(2375), 1,
      anon_sym_object,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2389), 1,
      anon_sym_new,
    ACTIONS(2391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2393), 1,
      anon_sym_begin,
    ACTIONS(2395), 1,
      sym_ocamlyacc_value,
    ACTIONS(2397), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2399), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2401), 1,
      aux_sym_number_token1,
    ACTIONS(2403), 1,
      anon_sym_SQUOTE,
    ACTIONS(2405), 1,
      anon_sym_DQUOTE,
    ACTIONS(2407), 1,
      sym_prefix_operator,
    ACTIONS(2411), 1,
      sym__uppercase_identifier,
    ACTIONS(2413), 1,
      aux_sym_tag_token1,
    ACTIONS(5241), 1,
      sym__lowercase_identifier,
    STATE(4312), 1,
      sym_attribute,
    STATE(6129), 1,
      sym__constructor_name,
    STATE(6189), 1,
      sym_parenthesized_operator,
    STATE(6543), 1,
      sym__simple_expression,
    STATE(6574), 1,
      sym__value_name,
    STATE(17914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2371), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6132), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129106] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6295), 1,
      sym__lowercase_identifier,
    ACTIONS(6299), 1,
      anon_sym_LPAREN,
    ACTIONS(6301), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(6309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6311), 1,
      anon_sym_new,
    ACTIONS(6313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6315), 1,
      anon_sym_begin,
    ACTIONS(6317), 1,
      sym_ocamlyacc_value,
    ACTIONS(6323), 1,
      aux_sym_number_token1,
    ACTIONS(6325), 1,
      anon_sym_SQUOTE,
    ACTIONS(6327), 1,
      anon_sym_DQUOTE,
    ACTIONS(6329), 1,
      sym_prefix_operator,
    ACTIONS(6331), 1,
      sym__uppercase_identifier,
    ACTIONS(6333), 1,
      aux_sym_tag_token1,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4318), 1,
      sym_attribute,
    STATE(6706), 1,
      sym_parenthesized_operator,
    STATE(6918), 1,
      sym__value_name,
    STATE(7035), 1,
      sym__simple_expression,
    STATE(7135), 1,
      sym__constructor_name,
    STATE(18160), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6303), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7132), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7064), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129224] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6295), 1,
      sym__lowercase_identifier,
    ACTIONS(6299), 1,
      anon_sym_LPAREN,
    ACTIONS(6301), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(6309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6311), 1,
      anon_sym_new,
    ACTIONS(6313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6315), 1,
      anon_sym_begin,
    ACTIONS(6317), 1,
      sym_ocamlyacc_value,
    ACTIONS(6323), 1,
      aux_sym_number_token1,
    ACTIONS(6325), 1,
      anon_sym_SQUOTE,
    ACTIONS(6327), 1,
      anon_sym_DQUOTE,
    ACTIONS(6329), 1,
      sym_prefix_operator,
    ACTIONS(6331), 1,
      sym__uppercase_identifier,
    ACTIONS(6333), 1,
      aux_sym_tag_token1,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4319), 1,
      sym_attribute,
    STATE(6706), 1,
      sym_parenthesized_operator,
    STATE(6918), 1,
      sym__value_name,
    STATE(7006), 1,
      sym__simple_expression,
    STATE(7135), 1,
      sym__constructor_name,
    STATE(18160), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6303), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7132), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7064), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129342] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8360), 1,
      sym__lowercase_identifier,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8364), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_LBRACE,
    ACTIONS(8370), 1,
      anon_sym_object,
    ACTIONS(8372), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8374), 1,
      anon_sym_new,
    ACTIONS(8376), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8378), 1,
      anon_sym_begin,
    ACTIONS(8380), 1,
      sym_ocamlyacc_value,
    ACTIONS(8382), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8384), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      aux_sym_number_token1,
    ACTIONS(8388), 1,
      anon_sym_SQUOTE,
    ACTIONS(8390), 1,
      anon_sym_DQUOTE,
    ACTIONS(8392), 1,
      sym_prefix_operator,
    ACTIONS(8394), 1,
      sym__uppercase_identifier,
    ACTIONS(8396), 1,
      aux_sym_tag_token1,
    STATE(4320), 1,
      sym_attribute,
    STATE(9350), 1,
      sym__constructor_name,
    STATE(9400), 1,
      sym__value_name,
    STATE(9422), 1,
      sym__simple_expression,
    STATE(9517), 1,
      sym_parenthesized_operator,
    STATE(17955), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8366), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9539), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129530] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8360), 1,
      sym__lowercase_identifier,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8364), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_LBRACE,
    ACTIONS(8370), 1,
      anon_sym_object,
    ACTIONS(8372), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8374), 1,
      anon_sym_new,
    ACTIONS(8376), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8378), 1,
      anon_sym_begin,
    ACTIONS(8380), 1,
      sym_ocamlyacc_value,
    ACTIONS(8382), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8384), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      aux_sym_number_token1,
    ACTIONS(8388), 1,
      anon_sym_SQUOTE,
    ACTIONS(8390), 1,
      anon_sym_DQUOTE,
    ACTIONS(8392), 1,
      sym_prefix_operator,
    ACTIONS(8394), 1,
      sym__uppercase_identifier,
    ACTIONS(8396), 1,
      aux_sym_tag_token1,
    STATE(4322), 1,
      sym_attribute,
    STATE(9350), 1,
      sym__constructor_name,
    STATE(9400), 1,
      sym__value_name,
    STATE(9517), 1,
      sym_parenthesized_operator,
    STATE(9628), 1,
      sym__simple_expression,
    STATE(17955), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8366), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9539), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129648] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8360), 1,
      sym__lowercase_identifier,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8364), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_LBRACE,
    ACTIONS(8370), 1,
      anon_sym_object,
    ACTIONS(8372), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8374), 1,
      anon_sym_new,
    ACTIONS(8376), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8378), 1,
      anon_sym_begin,
    ACTIONS(8380), 1,
      sym_ocamlyacc_value,
    ACTIONS(8382), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8384), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8386), 1,
      aux_sym_number_token1,
    ACTIONS(8388), 1,
      anon_sym_SQUOTE,
    ACTIONS(8390), 1,
      anon_sym_DQUOTE,
    ACTIONS(8392), 1,
      sym_prefix_operator,
    ACTIONS(8394), 1,
      sym__uppercase_identifier,
    ACTIONS(8396), 1,
      aux_sym_tag_token1,
    STATE(4323), 1,
      sym_attribute,
    STATE(9350), 1,
      sym__constructor_name,
    STATE(9400), 1,
      sym__value_name,
    STATE(9517), 1,
      sym_parenthesized_operator,
    STATE(9563), 1,
      sym__simple_expression,
    STATE(17955), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8366), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9539), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129766] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_object,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1369), 1,
      anon_sym_new,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1373), 1,
      anon_sym_begin,
    ACTIONS(1375), 1,
      sym_ocamlyacc_value,
    ACTIONS(1377), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1381), 1,
      aux_sym_number_token1,
    ACTIONS(1383), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_prefix_operator,
    ACTIONS(1391), 1,
      sym__uppercase_identifier,
    ACTIONS(1393), 1,
      aux_sym_tag_token1,
    ACTIONS(5075), 1,
      sym__lowercase_identifier,
    STATE(4324), 1,
      sym_attribute,
    STATE(5777), 1,
      sym__value_name,
    STATE(5781), 1,
      sym__constructor_name,
    STATE(5789), 1,
      sym__simple_expression,
    STATE(5791), 1,
      sym_parenthesized_operator,
    STATE(17591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5793), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5797), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129884] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(399), 1,
      aux_sym_number_token1,
    ACTIONS(401), 1,
      anon_sym_SQUOTE,
    ACTIONS(403), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      sym_prefix_operator,
    ACTIONS(409), 1,
      sym__uppercase_identifier,
    ACTIONS(411), 1,
      aux_sym_tag_token1,
    ACTIONS(3059), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3061), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3105), 1,
      sym__lowercase_identifier,
    STATE(2954), 1,
      sym__constructor_name,
    STATE(3028), 1,
      sym__value_name,
    STATE(3104), 1,
      sym__simple_expression,
    STATE(3216), 1,
      sym_parenthesized_operator,
    STATE(4325), 1,
      sym_attribute,
    STATE(18674), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2953), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3242), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130002] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    ACTIONS(475), 1,
      anon_sym_LBRACE,
    ACTIONS(477), 1,
      anon_sym_object,
    ACTIONS(481), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(491), 1,
      anon_sym_new,
    ACTIONS(493), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(495), 1,
      anon_sym_begin,
    ACTIONS(497), 1,
      sym_ocamlyacc_value,
    ACTIONS(503), 1,
      aux_sym_number_token1,
    ACTIONS(505), 1,
      anon_sym_SQUOTE,
    ACTIONS(507), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      sym_prefix_operator,
    ACTIONS(513), 1,
      sym__uppercase_identifier,
    ACTIONS(515), 1,
      aux_sym_tag_token1,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3041), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3221), 1,
      sym__lowercase_identifier,
    STATE(3334), 1,
      sym__simple_expression,
    STATE(3435), 1,
      sym__value_name,
    STATE(3581), 1,
      sym__constructor_name,
    STATE(3704), 1,
      sym_parenthesized_operator,
    STATE(4326), 1,
      sym_attribute,
    STATE(17567), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(473), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3583), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3374), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130190] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    ACTIONS(475), 1,
      anon_sym_LBRACE,
    ACTIONS(477), 1,
      anon_sym_object,
    ACTIONS(481), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(491), 1,
      anon_sym_new,
    ACTIONS(493), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(495), 1,
      anon_sym_begin,
    ACTIONS(497), 1,
      sym_ocamlyacc_value,
    ACTIONS(503), 1,
      aux_sym_number_token1,
    ACTIONS(505), 1,
      anon_sym_SQUOTE,
    ACTIONS(507), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      sym_prefix_operator,
    ACTIONS(513), 1,
      sym__uppercase_identifier,
    ACTIONS(515), 1,
      aux_sym_tag_token1,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3041), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3221), 1,
      sym__lowercase_identifier,
    STATE(3284), 1,
      sym__simple_expression,
    STATE(3435), 1,
      sym__value_name,
    STATE(3581), 1,
      sym__constructor_name,
    STATE(3704), 1,
      sym_parenthesized_operator,
    STATE(4328), 1,
      sym_attribute,
    STATE(17567), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(473), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3583), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3374), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130308] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8322), 1,
      sym__lowercase_identifier,
    ACTIONS(8324), 1,
      anon_sym_LPAREN,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8330), 1,
      anon_sym_LBRACE,
    ACTIONS(8332), 1,
      anon_sym_object,
    ACTIONS(8334), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8336), 1,
      anon_sym_new,
    ACTIONS(8338), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8340), 1,
      anon_sym_begin,
    ACTIONS(8342), 1,
      sym_ocamlyacc_value,
    ACTIONS(8344), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8346), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8348), 1,
      aux_sym_number_token1,
    ACTIONS(8350), 1,
      anon_sym_SQUOTE,
    ACTIONS(8352), 1,
      anon_sym_DQUOTE,
    ACTIONS(8354), 1,
      sym_prefix_operator,
    ACTIONS(8356), 1,
      sym__uppercase_identifier,
    ACTIONS(8358), 1,
      aux_sym_tag_token1,
    STATE(4329), 1,
      sym_attribute,
    STATE(7199), 1,
      sym_parenthesized_operator,
    STATE(7200), 1,
      sym__value_name,
    STATE(7264), 1,
      sym__simple_expression,
    STATE(7303), 1,
      sym__constructor_name,
    STATE(18462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7336), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130566] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3985), 1,
      anon_sym_DOT,
    ACTIONS(3987), 1,
      anon_sym_POUND,
    ACTIONS(3989), 1,
      sym_hash_operator,
    STATE(4332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130712] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5587), 1,
      sym__lowercase_identifier,
    ACTIONS(5595), 1,
      anon_sym_LPAREN,
    ACTIONS(5597), 1,
      anon_sym_LBRACK,
    ACTIONS(5601), 1,
      anon_sym_LBRACE,
    ACTIONS(5603), 1,
      anon_sym_object,
    ACTIONS(5605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5607), 1,
      anon_sym_new,
    ACTIONS(5609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5611), 1,
      anon_sym_begin,
    ACTIONS(5613), 1,
      sym_ocamlyacc_value,
    ACTIONS(5619), 1,
      aux_sym_number_token1,
    ACTIONS(5621), 1,
      anon_sym_SQUOTE,
    ACTIONS(5623), 1,
      anon_sym_DQUOTE,
    ACTIONS(5625), 1,
      sym_prefix_operator,
    ACTIONS(5627), 1,
      sym__uppercase_identifier,
    ACTIONS(5629), 1,
      aux_sym_tag_token1,
    ACTIONS(8472), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8474), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4334), 1,
      sym_attribute,
    STATE(5821), 1,
      sym__simple_expression,
    STATE(5874), 1,
      sym__value_name,
    STATE(6004), 1,
      sym__constructor_name,
    STATE(6021), 1,
      sym_parenthesized_operator,
    STATE(18404), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6006), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5804), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131110] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(107), 1,
      aux_sym_number_token1,
    ACTIONS(111), 1,
      anon_sym_SQUOTE,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(115), 1,
      sym_prefix_operator,
    ACTIONS(123), 1,
      sym__uppercase_identifier,
    ACTIONS(127), 1,
      aux_sym_tag_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3981), 1,
      sym__lowercase_identifier,
    STATE(4307), 1,
      sym__simple_expression,
    STATE(4315), 1,
      sym__constructor_name,
    STATE(4317), 1,
      sym_parenthesized_operator,
    STATE(4339), 1,
      sym_attribute,
    STATE(4406), 1,
      sym__value_name,
    STATE(20176), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4187), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4214), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131228] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5587), 1,
      sym__lowercase_identifier,
    ACTIONS(5595), 1,
      anon_sym_LPAREN,
    ACTIONS(5597), 1,
      anon_sym_LBRACK,
    ACTIONS(5601), 1,
      anon_sym_LBRACE,
    ACTIONS(5603), 1,
      anon_sym_object,
    ACTIONS(5605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5607), 1,
      anon_sym_new,
    ACTIONS(5609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5611), 1,
      anon_sym_begin,
    ACTIONS(5613), 1,
      sym_ocamlyacc_value,
    ACTIONS(5619), 1,
      aux_sym_number_token1,
    ACTIONS(5621), 1,
      anon_sym_SQUOTE,
    ACTIONS(5623), 1,
      anon_sym_DQUOTE,
    ACTIONS(5625), 1,
      sym_prefix_operator,
    ACTIONS(5627), 1,
      sym__uppercase_identifier,
    ACTIONS(5629), 1,
      aux_sym_tag_token1,
    ACTIONS(8472), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8474), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4340), 1,
      sym_attribute,
    STATE(5809), 1,
      sym__simple_expression,
    STATE(5874), 1,
      sym__value_name,
    STATE(6004), 1,
      sym__constructor_name,
    STATE(6021), 1,
      sym_parenthesized_operator,
    STATE(18404), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6006), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5804), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131486] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(869), 1,
      anon_sym_LBRACK,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(875), 1,
      anon_sym_object,
    ACTIONS(879), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(889), 1,
      anon_sym_new,
    ACTIONS(891), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(893), 1,
      anon_sym_begin,
    ACTIONS(895), 1,
      sym_ocamlyacc_value,
    ACTIONS(901), 1,
      aux_sym_number_token1,
    ACTIONS(903), 1,
      anon_sym_SQUOTE,
    ACTIONS(905), 1,
      anon_sym_DQUOTE,
    ACTIONS(907), 1,
      sym_prefix_operator,
    ACTIONS(911), 1,
      sym__uppercase_identifier,
    ACTIONS(913), 1,
      aux_sym_tag_token1,
    ACTIONS(3043), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3045), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3349), 1,
      sym__lowercase_identifier,
    STATE(3982), 1,
      sym_parenthesized_operator,
    STATE(4042), 1,
      sym__simple_expression,
    STATE(4106), 1,
      sym__value_name,
    STATE(4126), 1,
      sym__constructor_name,
    STATE(4343), 1,
      sym_attribute,
    STATE(18242), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(871), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4132), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3990), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131604] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    ACTIONS(1285), 1,
      anon_sym_LBRACE,
    ACTIONS(1287), 1,
      anon_sym_object,
    ACTIONS(1291), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1309), 1,
      anon_sym_new,
    ACTIONS(1311), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1313), 1,
      anon_sym_begin,
    ACTIONS(1315), 1,
      sym_ocamlyacc_value,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1319), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1321), 1,
      aux_sym_number_token1,
    ACTIONS(1323), 1,
      anon_sym_SQUOTE,
    ACTIONS(1325), 1,
      anon_sym_DQUOTE,
    ACTIONS(1327), 1,
      sym_prefix_operator,
    ACTIONS(1331), 1,
      sym__uppercase_identifier,
    ACTIONS(1333), 1,
      aux_sym_tag_token1,
    ACTIONS(4901), 1,
      sym__lowercase_identifier,
    STATE(4344), 1,
      sym_attribute,
    STATE(5524), 1,
      sym__constructor_name,
    STATE(5641), 1,
      sym_parenthesized_operator,
    STATE(5655), 1,
      sym__simple_expression,
    STATE(5675), 1,
      sym__value_name,
    STATE(18560), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1283), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5531), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5616), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131722] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2313), 1,
      anon_sym_LPAREN,
    ACTIONS(2315), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_object,
    ACTIONS(2325), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2335), 1,
      anon_sym_new,
    ACTIONS(2337), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2339), 1,
      anon_sym_begin,
    ACTIONS(2341), 1,
      sym_ocamlyacc_value,
    ACTIONS(2343), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2345), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2347), 1,
      aux_sym_number_token1,
    ACTIONS(2349), 1,
      anon_sym_SQUOTE,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(2353), 1,
      sym_prefix_operator,
    ACTIONS(2357), 1,
      sym__uppercase_identifier,
    ACTIONS(2359), 1,
      aux_sym_tag_token1,
    ACTIONS(5325), 1,
      sym__lowercase_identifier,
    STATE(4345), 1,
      sym_attribute,
    STATE(6234), 1,
      sym__constructor_name,
    STATE(6281), 1,
      sym_parenthesized_operator,
    STATE(6517), 1,
      sym__value_name,
    STATE(6582), 1,
      sym__simple_expression,
    STATE(17996), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2317), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6196), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131840] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2625), 1,
      anon_sym_LPAREN,
    ACTIONS(2627), 1,
      anon_sym_LBRACK,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    ACTIONS(2633), 1,
      anon_sym_object,
    ACTIONS(2637), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2647), 1,
      anon_sym_new,
    ACTIONS(2649), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2651), 1,
      anon_sym_begin,
    ACTIONS(2653), 1,
      sym_ocamlyacc_value,
    ACTIONS(2655), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2657), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2659), 1,
      aux_sym_number_token1,
    ACTIONS(2661), 1,
      anon_sym_SQUOTE,
    ACTIONS(2663), 1,
      anon_sym_DQUOTE,
    ACTIONS(2665), 1,
      sym_prefix_operator,
    ACTIONS(2669), 1,
      sym__uppercase_identifier,
    ACTIONS(2671), 1,
      aux_sym_tag_token1,
    ACTIONS(5397), 1,
      sym__lowercase_identifier,
    STATE(4346), 1,
      sym_attribute,
    STATE(6680), 1,
      sym__constructor_name,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(6814), 1,
      sym__simple_expression,
    STATE(6980), 1,
      sym__value_name,
    STATE(19427), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2629), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6623), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6994), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132028] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(8402), 1,
      sym__lowercase_identifier,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_begin,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(4348), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(7362), 1,
      sym__simple_expression,
    STATE(18973), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7468), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132216] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4350), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5244), 1,
      sym__value_name,
    STATE(5262), 1,
      sym__simple_expression,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132404] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4175), 1,
      anon_sym_DOT,
    ACTIONS(4177), 1,
      anon_sym_POUND,
    ACTIONS(4179), 1,
      sym_hash_operator,
    STATE(4352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132480] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_LBRACE,
    ACTIONS(711), 1,
      anon_sym_object,
    ACTIONS(715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(725), 1,
      anon_sym_new,
    ACTIONS(727), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(729), 1,
      anon_sym_begin,
    ACTIONS(731), 1,
      sym_ocamlyacc_value,
    ACTIONS(737), 1,
      aux_sym_number_token1,
    ACTIONS(739), 1,
      anon_sym_SQUOTE,
    ACTIONS(741), 1,
      anon_sym_DQUOTE,
    ACTIONS(743), 1,
      sym_prefix_operator,
    ACTIONS(747), 1,
      sym__uppercase_identifier,
    ACTIONS(749), 1,
      aux_sym_tag_token1,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      sym__lowercase_identifier,
    STATE(3768), 1,
      sym_parenthesized_operator,
    STATE(3807), 1,
      sym__value_name,
    STATE(3814), 1,
      sym__simple_expression,
    STATE(3899), 1,
      sym__constructor_name,
    STATE(4353), 1,
      sym_attribute,
    STATE(18443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(707), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3896), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3883), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132668] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(417), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(423), 1,
      anon_sym_LBRACE,
    ACTIONS(425), 1,
      anon_sym_object,
    ACTIONS(429), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(441), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(443), 1,
      anon_sym_begin,
    ACTIONS(445), 1,
      sym_ocamlyacc_value,
    ACTIONS(451), 1,
      aux_sym_number_token1,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(457), 1,
      sym_prefix_operator,
    ACTIONS(461), 1,
      sym__uppercase_identifier,
    ACTIONS(463), 1,
      aux_sym_tag_token1,
    ACTIONS(3051), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3185), 1,
      sym__lowercase_identifier,
    STATE(3420), 1,
      sym__simple_expression,
    STATE(3593), 1,
      sym_parenthesized_operator,
    STATE(3596), 1,
      sym__constructor_name,
    STATE(3597), 1,
      sym__value_name,
    STATE(4355), 1,
      sym_attribute,
    STATE(18201), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(421), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3587), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3700), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132996] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    ACTIONS(475), 1,
      anon_sym_LBRACE,
    ACTIONS(477), 1,
      anon_sym_object,
    ACTIONS(481), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(491), 1,
      anon_sym_new,
    ACTIONS(493), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(495), 1,
      anon_sym_begin,
    ACTIONS(497), 1,
      sym_ocamlyacc_value,
    ACTIONS(503), 1,
      aux_sym_number_token1,
    ACTIONS(505), 1,
      anon_sym_SQUOTE,
    ACTIONS(507), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      sym_prefix_operator,
    ACTIONS(513), 1,
      sym__uppercase_identifier,
    ACTIONS(515), 1,
      aux_sym_tag_token1,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3041), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3221), 1,
      sym__lowercase_identifier,
    STATE(3368), 1,
      sym__simple_expression,
    STATE(3435), 1,
      sym__value_name,
    STATE(3581), 1,
      sym__constructor_name,
    STATE(3704), 1,
      sym_parenthesized_operator,
    STATE(4359), 1,
      sym_attribute,
    STATE(17567), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(473), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3583), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3374), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133184] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    ACTIONS(1125), 1,
      anon_sym_LBRACK,
    ACTIONS(1129), 1,
      anon_sym_LBRACE,
    ACTIONS(1131), 1,
      anon_sym_object,
    ACTIONS(1135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1145), 1,
      anon_sym_new,
    ACTIONS(1147), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1149), 1,
      anon_sym_begin,
    ACTIONS(1151), 1,
      sym_ocamlyacc_value,
    ACTIONS(1153), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1155), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1157), 1,
      aux_sym_number_token1,
    ACTIONS(1159), 1,
      anon_sym_SQUOTE,
    ACTIONS(1161), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      sym_prefix_operator,
    ACTIONS(1167), 1,
      sym__uppercase_identifier,
    ACTIONS(1169), 1,
      aux_sym_tag_token1,
    ACTIONS(4561), 1,
      sym__lowercase_identifier,
    STATE(4361), 1,
      sym_attribute,
    STATE(4948), 1,
      sym__constructor_name,
    STATE(4987), 1,
      sym__value_name,
    STATE(5060), 1,
      sym__simple_expression,
    STATE(5065), 1,
      sym_parenthesized_operator,
    STATE(17646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5087), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133512] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    ACTIONS(1125), 1,
      anon_sym_LBRACK,
    ACTIONS(1129), 1,
      anon_sym_LBRACE,
    ACTIONS(1131), 1,
      anon_sym_object,
    ACTIONS(1135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1145), 1,
      anon_sym_new,
    ACTIONS(1147), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1149), 1,
      anon_sym_begin,
    ACTIONS(1151), 1,
      sym_ocamlyacc_value,
    ACTIONS(1153), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1155), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1157), 1,
      aux_sym_number_token1,
    ACTIONS(1159), 1,
      anon_sym_SQUOTE,
    ACTIONS(1161), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      sym_prefix_operator,
    ACTIONS(1167), 1,
      sym__uppercase_identifier,
    ACTIONS(1169), 1,
      aux_sym_tag_token1,
    ACTIONS(4561), 1,
      sym__lowercase_identifier,
    STATE(4365), 1,
      sym_attribute,
    STATE(4948), 1,
      sym__constructor_name,
    STATE(4987), 1,
      sym__value_name,
    STATE(5030), 1,
      sym__simple_expression,
    STATE(5065), 1,
      sym_parenthesized_operator,
    STATE(17646), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5087), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133700] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(869), 1,
      anon_sym_LBRACK,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(875), 1,
      anon_sym_object,
    ACTIONS(879), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(889), 1,
      anon_sym_new,
    ACTIONS(891), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(893), 1,
      anon_sym_begin,
    ACTIONS(895), 1,
      sym_ocamlyacc_value,
    ACTIONS(901), 1,
      aux_sym_number_token1,
    ACTIONS(903), 1,
      anon_sym_SQUOTE,
    ACTIONS(905), 1,
      anon_sym_DQUOTE,
    ACTIONS(907), 1,
      sym_prefix_operator,
    ACTIONS(911), 1,
      sym__uppercase_identifier,
    ACTIONS(913), 1,
      aux_sym_tag_token1,
    ACTIONS(3043), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3045), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3349), 1,
      sym__lowercase_identifier,
    STATE(3982), 1,
      sym_parenthesized_operator,
    STATE(4106), 1,
      sym__value_name,
    STATE(4116), 1,
      sym__simple_expression,
    STATE(4126), 1,
      sym__constructor_name,
    STATE(4367), 1,
      sym_attribute,
    STATE(18242), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(871), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4132), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3990), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133888] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(589), 1,
      anon_sym_LPAREN,
    ACTIONS(591), 1,
      anon_sym_LBRACK,
    ACTIONS(595), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      anon_sym_object,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(611), 1,
      anon_sym_new,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(615), 1,
      anon_sym_begin,
    ACTIONS(617), 1,
      sym_ocamlyacc_value,
    ACTIONS(623), 1,
      aux_sym_number_token1,
    ACTIONS(625), 1,
      anon_sym_SQUOTE,
    ACTIONS(627), 1,
      anon_sym_DQUOTE,
    ACTIONS(629), 1,
      sym_prefix_operator,
    ACTIONS(633), 1,
      sym__uppercase_identifier,
    ACTIONS(635), 1,
      aux_sym_tag_token1,
    ACTIONS(3097), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3099), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3167), 1,
      sym__lowercase_identifier,
    STATE(3412), 1,
      sym__simple_expression,
    STATE(3500), 1,
      sym__constructor_name,
    STATE(3518), 1,
      sym__value_name,
    STATE(3595), 1,
      sym_parenthesized_operator,
    STATE(4369), 1,
      sym_attribute,
    STATE(18712), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(593), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134216] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    ACTIONS(2447), 1,
      anon_sym_LBRACE,
    ACTIONS(2449), 1,
      anon_sym_object,
    ACTIONS(2453), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2463), 1,
      anon_sym_new,
    ACTIONS(2465), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2467), 1,
      anon_sym_begin,
    ACTIONS(2469), 1,
      sym_ocamlyacc_value,
    ACTIONS(2471), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2473), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2475), 1,
      aux_sym_number_token1,
    ACTIONS(2477), 1,
      anon_sym_SQUOTE,
    ACTIONS(2479), 1,
      anon_sym_DQUOTE,
    ACTIONS(2481), 1,
      sym_prefix_operator,
    ACTIONS(2485), 1,
      sym__uppercase_identifier,
    ACTIONS(2487), 1,
      aux_sym_tag_token1,
    ACTIONS(5347), 1,
      sym__lowercase_identifier,
    STATE(4373), 1,
      sym_attribute,
    STATE(6130), 1,
      sym_parenthesized_operator,
    STATE(6210), 1,
      sym__simple_expression,
    STATE(6289), 1,
      sym__value_name,
    STATE(6298), 1,
      sym__constructor_name,
    STATE(17866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2445), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6306), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6252), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134614] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2837), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
    ACTIONS(2845), 1,
      anon_sym_object,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2859), 1,
      anon_sym_new,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2863), 1,
      anon_sym_begin,
    ACTIONS(2865), 1,
      sym_ocamlyacc_value,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2871), 1,
      aux_sym_number_token1,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    ACTIONS(2875), 1,
      anon_sym_DQUOTE,
    ACTIONS(2877), 1,
      sym_prefix_operator,
    ACTIONS(2881), 1,
      sym__uppercase_identifier,
    ACTIONS(2883), 1,
      aux_sym_tag_token1,
    ACTIONS(5377), 1,
      sym__lowercase_identifier,
    STATE(4378), 1,
      sym_attribute,
    STATE(6621), 1,
      sym__constructor_name,
    STATE(6975), 1,
      sym_parenthesized_operator,
    STATE(7145), 1,
      sym__value_name,
    STATE(7149), 1,
      sym__simple_expression,
    STATE(20232), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2841), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6756), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7138), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134802] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2313), 1,
      anon_sym_LPAREN,
    ACTIONS(2315), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_LBRACE,
    ACTIONS(2321), 1,
      anon_sym_object,
    ACTIONS(2325), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2335), 1,
      anon_sym_new,
    ACTIONS(2337), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2339), 1,
      anon_sym_begin,
    ACTIONS(2341), 1,
      sym_ocamlyacc_value,
    ACTIONS(2343), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2345), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2347), 1,
      aux_sym_number_token1,
    ACTIONS(2349), 1,
      anon_sym_SQUOTE,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(2353), 1,
      sym_prefix_operator,
    ACTIONS(2357), 1,
      sym__uppercase_identifier,
    ACTIONS(2359), 1,
      aux_sym_tag_token1,
    ACTIONS(5325), 1,
      sym__lowercase_identifier,
    STATE(4380), 1,
      sym_attribute,
    STATE(6234), 1,
      sym__constructor_name,
    STATE(6281), 1,
      sym_parenthesized_operator,
    STATE(6296), 1,
      sym__simple_expression,
    STATE(6517), 1,
      sym__value_name,
    STATE(17996), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2317), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6196), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134920] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(8402), 1,
      sym__lowercase_identifier,
    STATE(4381), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(14394), 1,
      sym__simple_expression,
    STATE(18177), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135038] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2691), 1,
      anon_sym_LPAREN,
    ACTIONS(2693), 1,
      anon_sym_LBRACK,
    ACTIONS(2697), 1,
      anon_sym_LBRACE,
    ACTIONS(2699), 1,
      anon_sym_object,
    ACTIONS(2703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2713), 1,
      anon_sym_new,
    ACTIONS(2715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2717), 1,
      anon_sym_begin,
    ACTIONS(2719), 1,
      sym_ocamlyacc_value,
    ACTIONS(2721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2725), 1,
      aux_sym_number_token1,
    ACTIONS(2727), 1,
      anon_sym_SQUOTE,
    ACTIONS(2729), 1,
      anon_sym_DQUOTE,
    ACTIONS(2731), 1,
      sym_prefix_operator,
    ACTIONS(2735), 1,
      sym__uppercase_identifier,
    ACTIONS(2737), 1,
      aux_sym_tag_token1,
    ACTIONS(5387), 1,
      sym__lowercase_identifier,
    STATE(4382), 1,
      sym_attribute,
    STATE(6873), 1,
      sym__simple_expression,
    STATE(6894), 1,
      sym__value_name,
    STATE(6947), 1,
      sym_parenthesized_operator,
    STATE(7049), 1,
      sym__constructor_name,
    STATE(17481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7053), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6858), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135226] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5587), 1,
      sym__lowercase_identifier,
    ACTIONS(5595), 1,
      anon_sym_LPAREN,
    ACTIONS(5597), 1,
      anon_sym_LBRACK,
    ACTIONS(5601), 1,
      anon_sym_LBRACE,
    ACTIONS(5603), 1,
      anon_sym_object,
    ACTIONS(5605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5607), 1,
      anon_sym_new,
    ACTIONS(5609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5611), 1,
      anon_sym_begin,
    ACTIONS(5613), 1,
      sym_ocamlyacc_value,
    ACTIONS(5619), 1,
      aux_sym_number_token1,
    ACTIONS(5621), 1,
      anon_sym_SQUOTE,
    ACTIONS(5623), 1,
      anon_sym_DQUOTE,
    ACTIONS(5625), 1,
      sym_prefix_operator,
    ACTIONS(5627), 1,
      sym__uppercase_identifier,
    ACTIONS(5629), 1,
      aux_sym_tag_token1,
    ACTIONS(8472), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8474), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4384), 1,
      sym_attribute,
    STATE(5874), 1,
      sym__value_name,
    STATE(5925), 1,
      sym__simple_expression,
    STATE(6004), 1,
      sym__constructor_name,
    STATE(6021), 1,
      sym_parenthesized_operator,
    STATE(18404), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6006), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5804), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135344] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(417), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(423), 1,
      anon_sym_LBRACE,
    ACTIONS(425), 1,
      anon_sym_object,
    ACTIONS(429), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(441), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(443), 1,
      anon_sym_begin,
    ACTIONS(445), 1,
      sym_ocamlyacc_value,
    ACTIONS(451), 1,
      aux_sym_number_token1,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(457), 1,
      sym_prefix_operator,
    ACTIONS(461), 1,
      sym__uppercase_identifier,
    ACTIONS(463), 1,
      aux_sym_tag_token1,
    ACTIONS(3051), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3185), 1,
      sym__lowercase_identifier,
    STATE(3593), 1,
      sym_parenthesized_operator,
    STATE(3596), 1,
      sym__constructor_name,
    STATE(3597), 1,
      sym__value_name,
    STATE(3681), 1,
      sym__simple_expression,
    STATE(4385), 1,
      sym_attribute,
    STATE(18201), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(421), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3587), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3700), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135532] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2441), 1,
      anon_sym_LPAREN,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    ACTIONS(2447), 1,
      anon_sym_LBRACE,
    ACTIONS(2449), 1,
      anon_sym_object,
    ACTIONS(2453), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2463), 1,
      anon_sym_new,
    ACTIONS(2465), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2467), 1,
      anon_sym_begin,
    ACTIONS(2469), 1,
      sym_ocamlyacc_value,
    ACTIONS(2471), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2473), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2475), 1,
      aux_sym_number_token1,
    ACTIONS(2477), 1,
      anon_sym_SQUOTE,
    ACTIONS(2479), 1,
      anon_sym_DQUOTE,
    ACTIONS(2481), 1,
      sym_prefix_operator,
    ACTIONS(2485), 1,
      sym__uppercase_identifier,
    ACTIONS(2487), 1,
      aux_sym_tag_token1,
    ACTIONS(5347), 1,
      sym__lowercase_identifier,
    STATE(4387), 1,
      sym_attribute,
    STATE(6130), 1,
      sym_parenthesized_operator,
    STATE(6192), 1,
      sym__simple_expression,
    STATE(6289), 1,
      sym__value_name,
    STATE(6298), 1,
      sym__constructor_name,
    STATE(17866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2445), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6306), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6252), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135650] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(417), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(423), 1,
      anon_sym_LBRACE,
    ACTIONS(425), 1,
      anon_sym_object,
    ACTIONS(429), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(441), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(443), 1,
      anon_sym_begin,
    ACTIONS(445), 1,
      sym_ocamlyacc_value,
    ACTIONS(451), 1,
      aux_sym_number_token1,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(457), 1,
      sym_prefix_operator,
    ACTIONS(461), 1,
      sym__uppercase_identifier,
    ACTIONS(463), 1,
      aux_sym_tag_token1,
    ACTIONS(3051), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3185), 1,
      sym__lowercase_identifier,
    STATE(3593), 1,
      sym_parenthesized_operator,
    STATE(3596), 1,
      sym__constructor_name,
    STATE(3597), 1,
      sym__value_name,
    STATE(3612), 1,
      sym__simple_expression,
    STATE(4388), 1,
      sym_attribute,
    STATE(18201), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(421), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3587), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3700), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135768] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8476), 1,
      anon_sym_COLON,
    STATE(4389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [135840] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(4390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135912] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5543), 1,
      sym__lowercase_identifier,
    ACTIONS(5551), 1,
      anon_sym_LPAREN,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5557), 1,
      anon_sym_LBRACE,
    ACTIONS(5559), 1,
      anon_sym_object,
    ACTIONS(5561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5563), 1,
      anon_sym_new,
    ACTIONS(5565), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5567), 1,
      anon_sym_begin,
    ACTIONS(5569), 1,
      sym_ocamlyacc_value,
    ACTIONS(5575), 1,
      aux_sym_number_token1,
    ACTIONS(5577), 1,
      anon_sym_SQUOTE,
    ACTIONS(5579), 1,
      anon_sym_DQUOTE,
    ACTIONS(5581), 1,
      sym_prefix_operator,
    ACTIONS(5583), 1,
      sym__uppercase_identifier,
    ACTIONS(5585), 1,
      aux_sym_tag_token1,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8456), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4391), 1,
      sym_attribute,
    STATE(5876), 1,
      sym__constructor_name,
    STATE(5889), 1,
      sym_parenthesized_operator,
    STATE(5902), 1,
      sym__simple_expression,
    STATE(6067), 1,
      sym__value_name,
    STATE(17756), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5870), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6013), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136030] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2259), 1,
      anon_sym_LPAREN,
    ACTIONS(2261), 1,
      anon_sym_LBRACK,
    ACTIONS(2265), 1,
      anon_sym_LBRACE,
    ACTIONS(2267), 1,
      anon_sym_object,
    ACTIONS(2271), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2281), 1,
      anon_sym_new,
    ACTIONS(2283), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2285), 1,
      anon_sym_begin,
    ACTIONS(2287), 1,
      sym_ocamlyacc_value,
    ACTIONS(2289), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2291), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2293), 1,
      aux_sym_number_token1,
    ACTIONS(2295), 1,
      anon_sym_SQUOTE,
    ACTIONS(2297), 1,
      anon_sym_DQUOTE,
    ACTIONS(2299), 1,
      sym_prefix_operator,
    ACTIONS(2303), 1,
      sym__uppercase_identifier,
    ACTIONS(2305), 1,
      aux_sym_tag_token1,
    ACTIONS(5337), 1,
      sym__lowercase_identifier,
    STATE(4392), 1,
      sym_attribute,
    STATE(6161), 1,
      sym__simple_expression,
    STATE(6253), 1,
      sym__value_name,
    STATE(6373), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym__constructor_name,
    STATE(18037), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2263), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6477), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6524), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136288] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(703), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_LBRACE,
    ACTIONS(711), 1,
      anon_sym_object,
    ACTIONS(715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(725), 1,
      anon_sym_new,
    ACTIONS(727), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(729), 1,
      anon_sym_begin,
    ACTIONS(731), 1,
      sym_ocamlyacc_value,
    ACTIONS(737), 1,
      aux_sym_number_token1,
    ACTIONS(739), 1,
      anon_sym_SQUOTE,
    ACTIONS(741), 1,
      anon_sym_DQUOTE,
    ACTIONS(743), 1,
      sym_prefix_operator,
    ACTIONS(747), 1,
      sym__uppercase_identifier,
    ACTIONS(749), 1,
      aux_sym_tag_token1,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      sym__lowercase_identifier,
    STATE(3768), 1,
      sym_parenthesized_operator,
    STATE(3807), 1,
      sym__value_name,
    STATE(3857), 1,
      sym__simple_expression,
    STATE(3899), 1,
      sym__constructor_name,
    STATE(4395), 1,
      sym_attribute,
    STATE(18443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(707), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3896), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3883), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136616] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(923), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_LBRACK,
    ACTIONS(929), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      anon_sym_object,
    ACTIONS(935), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(953), 1,
      anon_sym_new,
    ACTIONS(955), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(957), 1,
      anon_sym_begin,
    ACTIONS(959), 1,
      sym_ocamlyacc_value,
    ACTIONS(965), 1,
      aux_sym_number_token1,
    ACTIONS(967), 1,
      anon_sym_SQUOTE,
    ACTIONS(969), 1,
      anon_sym_DQUOTE,
    ACTIONS(971), 1,
      sym_prefix_operator,
    ACTIONS(975), 1,
      sym__uppercase_identifier,
    ACTIONS(977), 1,
      aux_sym_tag_token1,
    ACTIONS(3093), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3095), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4541), 1,
      sym__lowercase_identifier,
    STATE(4399), 1,
      sym_attribute,
    STATE(4743), 1,
      sym__value_name,
    STATE(4781), 1,
      sym__constructor_name,
    STATE(4815), 1,
      sym_parenthesized_operator,
    STATE(4820), 1,
      sym__simple_expression,
    STATE(18283), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(927), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4789), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4788), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136804] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2503), 1,
      anon_sym_LPAREN,
    ACTIONS(2505), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2511), 1,
      anon_sym_object,
    ACTIONS(2515), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2525), 1,
      anon_sym_new,
    ACTIONS(2527), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2529), 1,
      anon_sym_begin,
    ACTIONS(2531), 1,
      sym_ocamlyacc_value,
    ACTIONS(2533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2537), 1,
      aux_sym_number_token1,
    ACTIONS(2539), 1,
      anon_sym_SQUOTE,
    ACTIONS(2541), 1,
      anon_sym_DQUOTE,
    ACTIONS(2543), 1,
      sym_prefix_operator,
    ACTIONS(2547), 1,
      sym__uppercase_identifier,
    ACTIONS(2549), 1,
      aux_sym_tag_token1,
    ACTIONS(5255), 1,
      sym__lowercase_identifier,
    STATE(4401), 1,
      sym_attribute,
    STATE(6274), 1,
      sym_parenthesized_operator,
    STATE(6302), 1,
      sym__value_name,
    STATE(6308), 1,
      sym__constructor_name,
    STATE(6486), 1,
      sym__simple_expression,
    STATE(18482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2507), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6305), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6501), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136992] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7944), 1,
      anon_sym_LPAREN,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      anon_sym_LBRACE,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7958), 1,
      anon_sym_begin,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7962), 1,
      sym_prefix_operator,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(8402), 1,
      sym__lowercase_identifier,
    STATE(4403), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(7183), 1,
      sym__simple_expression,
    STATE(18177), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137180] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACK,
    ACTIONS(1181), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_object,
    ACTIONS(1187), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__uppercase_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4711), 1,
      sym__lowercase_identifier,
    STATE(4405), 1,
      sym_attribute,
    STATE(5286), 1,
      sym__constructor_name,
    STATE(5296), 1,
      sym_parenthesized_operator,
    STATE(5354), 1,
      sym__value_name,
    STATE(5363), 1,
      sym__simple_expression,
    STATE(17701), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1179), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5273), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [137438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137578] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(869), 1,
      anon_sym_LBRACK,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(875), 1,
      anon_sym_object,
    ACTIONS(879), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(889), 1,
      anon_sym_new,
    ACTIONS(891), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(893), 1,
      anon_sym_begin,
    ACTIONS(895), 1,
      sym_ocamlyacc_value,
    ACTIONS(901), 1,
      aux_sym_number_token1,
    ACTIONS(903), 1,
      anon_sym_SQUOTE,
    ACTIONS(905), 1,
      anon_sym_DQUOTE,
    ACTIONS(907), 1,
      sym_prefix_operator,
    ACTIONS(911), 1,
      sym__uppercase_identifier,
    ACTIONS(913), 1,
      aux_sym_tag_token1,
    ACTIONS(3043), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3045), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3349), 1,
      sym__lowercase_identifier,
    STATE(3982), 1,
      sym_parenthesized_operator,
    STATE(4065), 1,
      sym__simple_expression,
    STATE(4106), 1,
      sym__value_name,
    STATE(4126), 1,
      sym__constructor_name,
    STATE(4410), 1,
      sym_attribute,
    STATE(18242), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(871), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4132), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3990), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137696] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(399), 1,
      aux_sym_number_token1,
    ACTIONS(401), 1,
      anon_sym_SQUOTE,
    ACTIONS(403), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      sym_prefix_operator,
    ACTIONS(409), 1,
      sym__uppercase_identifier,
    ACTIONS(411), 1,
      aux_sym_tag_token1,
    ACTIONS(3059), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3061), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3105), 1,
      sym__lowercase_identifier,
    STATE(2944), 1,
      sym__simple_expression,
    STATE(2954), 1,
      sym__constructor_name,
    STATE(3028), 1,
      sym__value_name,
    STATE(3216), 1,
      sym_parenthesized_operator,
    STATE(4411), 1,
      sym_attribute,
    STATE(18674), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2953), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3242), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137884] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACK,
    ACTIONS(1181), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_object,
    ACTIONS(1187), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__uppercase_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4711), 1,
      sym__lowercase_identifier,
    STATE(4413), 1,
      sym_attribute,
    STATE(5286), 1,
      sym__constructor_name,
    STATE(5296), 1,
      sym_parenthesized_operator,
    STATE(5330), 1,
      sym__simple_expression,
    STATE(5354), 1,
      sym__value_name,
    STATE(17701), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1179), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5273), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138072] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__uppercase_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4641), 1,
      sym__lowercase_identifier,
    STATE(4415), 1,
      sym_attribute,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5220), 1,
      sym__simple_expression,
    STATE(5244), 1,
      sym__value_name,
    STATE(17971), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5117), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5257), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138260] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(761), 1,
      anon_sym_LPAREN,
    ACTIONS(763), 1,
      anon_sym_LBRACK,
    ACTIONS(767), 1,
      anon_sym_LBRACE,
    ACTIONS(769), 1,
      anon_sym_object,
    ACTIONS(773), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(783), 1,
      anon_sym_new,
    ACTIONS(785), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(787), 1,
      anon_sym_begin,
    ACTIONS(789), 1,
      sym_ocamlyacc_value,
    ACTIONS(795), 1,
      aux_sym_number_token1,
    ACTIONS(797), 1,
      anon_sym_SQUOTE,
    ACTIONS(799), 1,
      anon_sym_DQUOTE,
    ACTIONS(801), 1,
      sym_prefix_operator,
    ACTIONS(805), 1,
      sym__uppercase_identifier,
    ACTIONS(807), 1,
      aux_sym_tag_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3249), 1,
      sym__lowercase_identifier,
    STATE(3745), 1,
      sym__simple_expression,
    STATE(3746), 1,
      sym_parenthesized_operator,
    STATE(3842), 1,
      sym__value_name,
    STATE(3859), 1,
      sym__constructor_name,
    STATE(4417), 1,
      sym_attribute,
    STATE(18078), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(765), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3906), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3752), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138378] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1399), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_object,
    ACTIONS(1411), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1421), 1,
      anon_sym_new,
    ACTIONS(1423), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1425), 1,
      anon_sym_begin,
    ACTIONS(1427), 1,
      sym_ocamlyacc_value,
    ACTIONS(1429), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1433), 1,
      aux_sym_number_token1,
    ACTIONS(1435), 1,
      anon_sym_SQUOTE,
    ACTIONS(1437), 1,
      anon_sym_DQUOTE,
    ACTIONS(1439), 1,
      sym_prefix_operator,
    ACTIONS(1443), 1,
      sym__uppercase_identifier,
    ACTIONS(1445), 1,
      aux_sym_tag_token1,
    ACTIONS(5197), 1,
      sym__lowercase_identifier,
    STATE(4418), 1,
      sym_attribute,
    STATE(5842), 1,
      sym_parenthesized_operator,
    STATE(5960), 1,
      sym__constructor_name,
    STATE(6080), 1,
      sym__simple_expression,
    STATE(6097), 1,
      sym__value_name,
    STATE(18521), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1403), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5964), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5968), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138496] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(643), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_object,
    ACTIONS(653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(663), 1,
      anon_sym_new,
    ACTIONS(665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(667), 1,
      anon_sym_begin,
    ACTIONS(669), 1,
      sym_ocamlyacc_value,
    ACTIONS(675), 1,
      aux_sym_number_token1,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      sym_prefix_operator,
    ACTIONS(685), 1,
      sym__uppercase_identifier,
    ACTIONS(687), 1,
      aux_sym_tag_token1,
    ACTIONS(3029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3129), 1,
      sym__lowercase_identifier,
    STATE(3310), 1,
      sym_parenthesized_operator,
    STATE(3394), 1,
      sym__constructor_name,
    STATE(3415), 1,
      sym__value_name,
    STATE(3533), 1,
      sym__simple_expression,
    STATE(4419), 1,
      sym_attribute,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3391), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138614] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8322), 1,
      sym__lowercase_identifier,
    ACTIONS(8324), 1,
      anon_sym_LPAREN,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8330), 1,
      anon_sym_LBRACE,
    ACTIONS(8332), 1,
      anon_sym_object,
    ACTIONS(8334), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8336), 1,
      anon_sym_new,
    ACTIONS(8338), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8340), 1,
      anon_sym_begin,
    ACTIONS(8342), 1,
      sym_ocamlyacc_value,
    ACTIONS(8344), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8346), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8348), 1,
      aux_sym_number_token1,
    ACTIONS(8350), 1,
      anon_sym_SQUOTE,
    ACTIONS(8352), 1,
      anon_sym_DQUOTE,
    ACTIONS(8354), 1,
      sym_prefix_operator,
    ACTIONS(8356), 1,
      sym__uppercase_identifier,
    ACTIONS(8358), 1,
      aux_sym_tag_token1,
    STATE(4420), 1,
      sym_attribute,
    STATE(7199), 1,
      sym_parenthesized_operator,
    STATE(7200), 1,
      sym__value_name,
    STATE(7242), 1,
      sym__simple_expression,
    STATE(7303), 1,
      sym__constructor_name,
    STATE(18462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7336), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138732] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(4421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138874] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_LBRACE,
    ACTIONS(2375), 1,
      anon_sym_object,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2389), 1,
      anon_sym_new,
    ACTIONS(2391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2393), 1,
      anon_sym_begin,
    ACTIONS(2395), 1,
      sym_ocamlyacc_value,
    ACTIONS(2397), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2399), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2401), 1,
      aux_sym_number_token1,
    ACTIONS(2403), 1,
      anon_sym_SQUOTE,
    ACTIONS(2405), 1,
      anon_sym_DQUOTE,
    ACTIONS(2407), 1,
      sym_prefix_operator,
    ACTIONS(2411), 1,
      sym__uppercase_identifier,
    ACTIONS(2413), 1,
      aux_sym_tag_token1,
    ACTIONS(5241), 1,
      sym__lowercase_identifier,
    STATE(4423), 1,
      sym_attribute,
    STATE(6129), 1,
      sym__constructor_name,
    STATE(6189), 1,
      sym_parenthesized_operator,
    STATE(6452), 1,
      sym__simple_expression,
    STATE(6574), 1,
      sym__value_name,
    STATE(17914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2371), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6132), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138992] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(643), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_object,
    ACTIONS(653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(663), 1,
      anon_sym_new,
    ACTIONS(665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(667), 1,
      anon_sym_begin,
    ACTIONS(669), 1,
      sym_ocamlyacc_value,
    ACTIONS(675), 1,
      aux_sym_number_token1,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      sym_prefix_operator,
    ACTIONS(685), 1,
      sym__uppercase_identifier,
    ACTIONS(687), 1,
      aux_sym_tag_token1,
    ACTIONS(3029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3129), 1,
      sym__lowercase_identifier,
    STATE(3310), 1,
      sym_parenthesized_operator,
    STATE(3394), 1,
      sym__constructor_name,
    STATE(3415), 1,
      sym__value_name,
    STATE(3691), 1,
      sym__simple_expression,
    STATE(4424), 1,
      sym_attribute,
    STATE(18636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3391), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139110] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1399), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_object,
    ACTIONS(1411), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1421), 1,
      anon_sym_new,
    ACTIONS(1423), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1425), 1,
      anon_sym_begin,
    ACTIONS(1427), 1,
      sym_ocamlyacc_value,
    ACTIONS(1429), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1433), 1,
      aux_sym_number_token1,
    ACTIONS(1435), 1,
      anon_sym_SQUOTE,
    ACTIONS(1437), 1,
      anon_sym_DQUOTE,
    ACTIONS(1439), 1,
      sym_prefix_operator,
    ACTIONS(1443), 1,
      sym__uppercase_identifier,
    ACTIONS(1445), 1,
      aux_sym_tag_token1,
    ACTIONS(5197), 1,
      sym__lowercase_identifier,
    STATE(4425), 1,
      sym_attribute,
    STATE(5842), 1,
      sym_parenthesized_operator,
    STATE(5960), 1,
      sym__constructor_name,
    STATE(6005), 1,
      sym__simple_expression,
    STATE(6097), 1,
      sym__value_name,
    STATE(18521), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1403), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5964), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5968), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139228] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2181), 1,
      anon_sym_LPAREN,
    ACTIONS(2183), 1,
      anon_sym_LBRACK,
    ACTIONS(2187), 1,
      anon_sym_LBRACE,
    ACTIONS(2189), 1,
      anon_sym_object,
    ACTIONS(2193), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2203), 1,
      anon_sym_new,
    ACTIONS(2205), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2207), 1,
      anon_sym_begin,
    ACTIONS(2209), 1,
      sym_ocamlyacc_value,
    ACTIONS(2211), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2213), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2215), 1,
      aux_sym_number_token1,
    ACTIONS(2217), 1,
      anon_sym_SQUOTE,
    ACTIONS(2219), 1,
      anon_sym_DQUOTE,
    ACTIONS(2221), 1,
      sym_prefix_operator,
    ACTIONS(2225), 1,
      sym__uppercase_identifier,
    ACTIONS(2227), 1,
      aux_sym_tag_token1,
    ACTIONS(5357), 1,
      sym__lowercase_identifier,
    STATE(4426), 1,
      sym_attribute,
    STATE(6162), 1,
      sym_parenthesized_operator,
    STATE(6190), 1,
      sym__constructor_name,
    STATE(6303), 1,
      sym__simple_expression,
    STATE(6356), 1,
      sym__value_name,
    STATE(17536), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2185), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6187), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6419), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139346] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7950), 1,
      anon_sym_object,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7954), 1,
      anon_sym_new,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7960), 1,
      sym_ocamlyacc_value,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(8402), 1,
      sym__lowercase_identifier,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_begin,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      aux_sym_tag_token1,
    STATE(4427), 1,
      sym_attribute,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(7173), 1,
      sym__value_name,
    STATE(7460), 1,
      sym__simple_expression,
    STATE(18973), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7468), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139534] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    ACTIONS(1285), 1,
      anon_sym_LBRACE,
    ACTIONS(1287), 1,
      anon_sym_object,
    ACTIONS(1291), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1309), 1,
      anon_sym_new,
    ACTIONS(1311), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1313), 1,
      anon_sym_begin,
    ACTIONS(1315), 1,
      sym_ocamlyacc_value,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1319), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1321), 1,
      aux_sym_number_token1,
    ACTIONS(1323), 1,
      anon_sym_SQUOTE,
    ACTIONS(1325), 1,
      anon_sym_DQUOTE,
    ACTIONS(1327), 1,
      sym_prefix_operator,
    ACTIONS(1331), 1,
      sym__uppercase_identifier,
    ACTIONS(1333), 1,
      aux_sym_tag_token1,
    ACTIONS(4901), 1,
      sym__lowercase_identifier,
    STATE(4429), 1,
      sym_attribute,
    STATE(5524), 1,
      sym__constructor_name,
    STATE(5627), 1,
      sym__simple_expression,
    STATE(5641), 1,
      sym_parenthesized_operator,
    STATE(5675), 1,
      sym__value_name,
    STATE(18560), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1283), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5531), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5616), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [139722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139792] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(309), 1,
      anon_sym_LPAREN,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_object,
    ACTIONS(321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(331), 1,
      anon_sym_new,
    ACTIONS(333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(335), 1,
      anon_sym_begin,
    ACTIONS(337), 1,
      sym_ocamlyacc_value,
    ACTIONS(345), 1,
      aux_sym_number_token1,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      sym_prefix_operator,
    ACTIONS(357), 1,
      sym__uppercase_identifier,
    ACTIONS(359), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      sym__lowercase_identifier,
    ACTIONS(3101), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3103), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3127), 1,
      sym__constructor_name,
    STATE(3154), 1,
      sym_parenthesized_operator,
    STATE(3193), 1,
      sym__value_name,
    STATE(3212), 1,
      sym__simple_expression,
    STATE(4432), 1,
      sym_attribute,
    STATE(18364), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3149), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3064), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139910] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_LBRACE,
    ACTIONS(2375), 1,
      anon_sym_object,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2389), 1,
      anon_sym_new,
    ACTIONS(2391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2393), 1,
      anon_sym_begin,
    ACTIONS(2395), 1,
      sym_ocamlyacc_value,
    ACTIONS(2397), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2399), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2401), 1,
      aux_sym_number_token1,
    ACTIONS(2403), 1,
      anon_sym_SQUOTE,
    ACTIONS(2405), 1,
      anon_sym_DQUOTE,
    ACTIONS(2407), 1,
      sym_prefix_operator,
    ACTIONS(2411), 1,
      sym__uppercase_identifier,
    ACTIONS(2413), 1,
      aux_sym_tag_token1,
    ACTIONS(5241), 1,
      sym__lowercase_identifier,
    STATE(4433), 1,
      sym_attribute,
    STATE(6129), 1,
      sym__constructor_name,
    STATE(6189), 1,
      sym_parenthesized_operator,
    STATE(6361), 1,
      sym__simple_expression,
    STATE(6574), 1,
      sym__value_name,
    STATE(17914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2371), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6132), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140028] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2625), 1,
      anon_sym_LPAREN,
    ACTIONS(2627), 1,
      anon_sym_LBRACK,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    ACTIONS(2633), 1,
      anon_sym_object,
    ACTIONS(2637), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2647), 1,
      anon_sym_new,
    ACTIONS(2649), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2651), 1,
      anon_sym_begin,
    ACTIONS(2653), 1,
      sym_ocamlyacc_value,
    ACTIONS(2655), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2657), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2659), 1,
      aux_sym_number_token1,
    ACTIONS(2661), 1,
      anon_sym_SQUOTE,
    ACTIONS(2663), 1,
      anon_sym_DQUOTE,
    ACTIONS(2665), 1,
      sym_prefix_operator,
    ACTIONS(2669), 1,
      sym__uppercase_identifier,
    ACTIONS(2671), 1,
      aux_sym_tag_token1,
    ACTIONS(5397), 1,
      sym__lowercase_identifier,
    STATE(4434), 1,
      sym_attribute,
    STATE(6680), 1,
      sym__constructor_name,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(6925), 1,
      sym__simple_expression,
    STATE(6980), 1,
      sym__value_name,
    STATE(19427), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2629), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6623), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6994), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140356] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4438), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140485] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4439), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140614] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4440), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140743] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8478), 1,
      anon_sym_RPAREN,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4441), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(14070), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140872] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(4442), 1,
      sym_attribute,
    STATE(4597), 1,
      sym__attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8723), 1,
      sym__binding_pattern,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141001] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4443), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141130] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8480), 1,
      anon_sym_rec,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(2479), 1,
      sym__binding_pattern,
    STATE(4444), 1,
      sym_attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(11583), 1,
      sym_let_binding,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [141328] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4446), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141457] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4447), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141586] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4448), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141715] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    ACTIONS(8482), 1,
      anon_sym_rec,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4449), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14475), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141844] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(6743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8484), 1,
      anon_sym_RPAREN,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4450), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(14047), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141973] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4451), 1,
      sym_attribute,
    STATE(4601), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13108), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142102] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8486), 1,
      anon_sym_RPAREN,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4452), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(14153), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142231] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4453), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142360] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4454), 1,
      sym_attribute,
    STATE(4595), 1,
      sym__attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13934), 1,
      sym__binding_pattern,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [142558] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      anon_sym_rec,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4456), 1,
      sym_attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(11443), 1,
      sym_let_binding,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142687] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4457), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142816] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4458), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142945] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4459), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143074] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4460), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143203] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4461), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143332] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4462), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143461] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4463), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143590] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4464), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143719] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4465), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143848] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4466), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143977] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8490), 1,
      anon_sym_COLON,
    STATE(4467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [144048] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4468), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144177] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4469), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144306] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(6753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_RPAREN,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4470), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(14082), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144435] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4471), 1,
      sym_attribute,
    STATE(4581), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13108), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [144633] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4473), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144762] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(4474), 1,
      sym_attribute,
    STATE(4582), 1,
      sym__attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5394), 1,
      sym__binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144891] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8494), 1,
      anon_sym_rec,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4475), 1,
      sym_attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11627), 1,
      sym_let_binding,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145020] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(6733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8496), 1,
      anon_sym_RPAREN,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4476), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(14059), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145149] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8498), 1,
      anon_sym_COLON,
    STATE(4477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [145220] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4478), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145349] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4479), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145478] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4480), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145607] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4481), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145736] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4482), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145865] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4483), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145994] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6709), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8500), 1,
      anon_sym_RPAREN,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4484), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13985), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146123] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4485), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146252] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4486), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146381] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4487), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146510] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4488), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146639] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4489), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146768] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4490), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146897] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(6723), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8502), 1,
      anon_sym_RPAREN,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4491), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(14160), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147026] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4492), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [147224] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(4494), 1,
      sym_attribute,
    STATE(4617), 1,
      sym__attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5558), 1,
      sym__binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147353] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4495), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147482] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(4496), 1,
      sym_attribute,
    STATE(4579), 1,
      sym__attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5603), 1,
      sym__binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147611] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4497), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147740] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4498), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147869] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4499), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147998] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4500), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148127] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4501), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148256] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4502), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148385] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4503), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148514] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(4504), 1,
      sym_attribute,
    STATE(4577), 1,
      sym__attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(5430), 1,
      sym__binding_pattern,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148643] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8504), 1,
      anon_sym_rec,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4505), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(11117), 1,
      sym_let_binding,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148772] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3147), 1,
      anon_sym_RPAREN,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4506), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148901] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8506), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4507), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149027] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(2479), 1,
      sym__binding_pattern,
    STATE(4508), 1,
      sym_attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(11579), 1,
      sym_let_binding,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149153] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8508), 1,
      anon_sym_COLON,
    STATE(4509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [149223] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4510), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14439), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149349] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8510), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4511), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149475] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(2479), 1,
      sym__binding_pattern,
    STATE(4512), 1,
      sym_attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(11578), 1,
      sym_let_binding,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149601] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8512), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4513), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149727] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8514), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4514), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13434), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149853] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8516), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4515), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13536), 1,
      sym__binding_pattern,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149979] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4516), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13508), 1,
      sym__binding_pattern,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150105] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8520), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4517), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13625), 1,
      sym__binding_pattern,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150231] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4518), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(11489), 1,
      sym_let_binding,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150357] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8522), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4519), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150483] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8524), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4520), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13630), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150609] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4521), 1,
      sym_attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(11443), 1,
      sym_let_binding,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150735] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8526), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4522), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150861] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8528), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4523), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13431), 1,
      sym__binding_pattern,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150987] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8530), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4524), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13348), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151113] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8532), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4525), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13352), 1,
      sym__binding_pattern,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151239] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4526), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(15357), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151365] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8534), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4527), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151491] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8536), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4528), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13386), 1,
      sym__binding_pattern,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151617] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4529), 1,
      sym_attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11627), 1,
      sym_let_binding,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151743] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4530), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13387), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151869] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4531), 1,
      sym_attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(11422), 1,
      sym_let_binding,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151995] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4532), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14475), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152189] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4534), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(11356), 1,
      sym_let_binding,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152315] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4535), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152441] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8542), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4536), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152567] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8544), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4537), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13580), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152693] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8546), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4538), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__binding_pattern,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152819] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8548), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4539), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153013] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8550), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4541), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13510), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153139] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8552), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4542), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153265] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8554), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4543), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153391] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8556), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4544), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153517] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8558), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4545), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153643] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8560), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4546), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153769] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(2479), 1,
      sym__binding_pattern,
    STATE(4547), 1,
      sym_attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(11417), 1,
      sym_let_binding,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153895] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8562), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4548), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154021] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8564), 1,
      anon_sym_COLON,
    STATE(4549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [154091] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8566), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4550), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [154285] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8568), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4552), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154411] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(2640), 1,
      sym__binding_pattern,
    STATE(4553), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(14498), 1,
      sym_let_binding,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154537] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8570), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4554), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154663] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8572), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4555), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154789] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8574), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4556), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154915] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8576), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4557), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155041] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4558), 1,
      sym_attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11716), 1,
      sym_let_binding,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155167] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(2479), 1,
      sym__binding_pattern,
    STATE(4559), 1,
      sym_attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(11583), 1,
      sym_let_binding,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [155361] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8578), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4561), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155487] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8580), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4562), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155613] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4563), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(11117), 1,
      sym_let_binding,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155739] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4564), 1,
      sym_attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11660), 1,
      sym_let_binding,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155865] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8582), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4565), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155991] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4566), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(11417), 1,
      sym_let_binding,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156117] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4567), 1,
      sym_attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(11417), 1,
      sym_let_binding,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156243] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8584), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4568), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13528), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156369] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4569), 1,
      sym_attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(11417), 1,
      sym_let_binding,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156495] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(2467), 1,
      sym__binding_pattern,
    STATE(4570), 1,
      sym_attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(11058), 1,
      sym_let_binding,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156621] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    ACTIONS(8586), 1,
      anon_sym_RBRACK,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4571), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156747] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8588), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4572), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156873] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8590), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4573), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156999] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    ACTIONS(8592), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4574), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157125] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(4575), 1,
      sym_attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5661), 1,
      sym__binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157248] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(4576), 1,
      sym_attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5657), 1,
      sym__binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157371] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(4577), 1,
      sym_attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(5442), 1,
      sym__binding_pattern,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157494] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(4578), 1,
      sym_attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5653), 1,
      sym__binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157617] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5163), 1,
      sym__lowercase_identifier,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(5173), 1,
      anon_sym_POUND,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5177), 1,
      anon_sym_lazy,
    ACTIONS(5179), 1,
      anon_sym_begin,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(5193), 1,
      sym__uppercase_identifier,
    ACTIONS(5195), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2438), 1,
      sym_tag,
    STATE(2440), 1,
      sym_constructor_path,
    STATE(4579), 1,
      sym_attribute,
    STATE(5436), 1,
      sym__constructor_name,
    STATE(5479), 1,
      sym__signed_constant,
    STATE(5521), 1,
      sym_list_binding_pattern,
    STATE(5525), 1,
      sym_record_binding_pattern,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5652), 1,
      sym__binding_pattern,
    STATE(5681), 1,
      sym_array_binding_pattern,
    STATE(19408), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5169), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5526), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [157807] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4581), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13138), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157930] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(4582), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(5495), 1,
      sym__binding_pattern,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158053] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4583), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13372), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158176] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4584), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13379), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [158366] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4586), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13385), 1,
      sym__binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158489] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(4587), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(5515), 1,
      sym__binding_pattern,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158612] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5429), 1,
      anon_sym_COLON2,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8594), 1,
      anon_sym_COLON_GT,
    ACTIONS(8596), 1,
      anon_sym_EQ,
    STATE(4588), 1,
      sym_attribute,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(16352), 1,
      sym__polymorphic_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [158733] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4589), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13903), 1,
      sym__binding_pattern,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158856] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4590), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13879), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158979] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(4591), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(5496), 1,
      sym__binding_pattern,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159102] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4592), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13897), 1,
      sym__binding_pattern,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159225] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5429), 1,
      anon_sym_COLON2,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8598), 1,
      anon_sym_COLON_GT,
    ACTIONS(8600), 1,
      anon_sym_EQ,
    STATE(4593), 1,
      sym_attribute,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(16448), 1,
      sym__polymorphic_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159346] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4594), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13901), 1,
      sym__binding_pattern,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159469] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4595), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13909), 1,
      sym__binding_pattern,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159592] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5095), 1,
      sym__lowercase_identifier,
    ACTIONS(5097), 1,
      anon_sym_LPAREN,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_POUND,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5109), 1,
      anon_sym_lazy,
    ACTIONS(5111), 1,
      anon_sym_begin,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5125), 1,
      sym__uppercase_identifier,
    ACTIONS(5127), 1,
      aux_sym_tag_token1,
    ACTIONS(7573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7575), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2431), 1,
      sym_tag,
    STATE(2432), 1,
      sym_constructor_path,
    STATE(4596), 1,
      sym_attribute,
    STATE(5271), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym_record_binding_pattern,
    STATE(5383), 1,
      sym_list_binding_pattern,
    STATE(5412), 1,
      sym_array_binding_pattern,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(5501), 1,
      sym__binding_pattern,
    STATE(20126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5101), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5380), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159715] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(4597), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(8736), 1,
      sym__binding_pattern,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159838] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4598), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13855), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159961] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(7697), 1,
      sym__uppercase_identifier,
    ACTIONS(7699), 1,
      aux_sym_tag_token1,
    ACTIONS(8260), 1,
      sym__lowercase_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8266), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8270), 1,
      anon_sym_lazy,
    STATE(3529), 1,
      sym_tag,
    STATE(3539), 1,
      sym_constructor_path,
    STATE(4599), 1,
      sym_attribute,
    STATE(8128), 1,
      sym__constructor_name,
    STATE(13464), 1,
      sym__signed_constant,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13960), 1,
      sym_array_binding_pattern,
    STATE(13965), 1,
      sym__binding_pattern,
    STATE(13968), 1,
      sym_list_binding_pattern,
    STATE(13969), 1,
      sym_record_binding_pattern,
    STATE(18783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160084] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(4600), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(8738), 1,
      sym__binding_pattern,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160207] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4601), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13138), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160330] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(4602), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(8741), 1,
      sym__binding_pattern,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160453] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7298), 1,
      sym__lowercase_identifier,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LBRACE,
    ACTIONS(7308), 1,
      anon_sym_POUND,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7312), 1,
      anon_sym_lazy,
    ACTIONS(7314), 1,
      anon_sym_begin,
    ACTIONS(7316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(7328), 1,
      sym__uppercase_identifier,
    ACTIONS(7330), 1,
      aux_sym_tag_token1,
    STATE(2566), 1,
      sym_constructor_path,
    STATE(2568), 1,
      sym_tag,
    STATE(4603), 1,
      sym_attribute,
    STATE(8446), 1,
      sym__signed_constant,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(8727), 1,
      sym_array_binding_pattern,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8731), 1,
      sym_list_binding_pattern,
    STATE(8733), 1,
      sym_record_binding_pattern,
    STATE(8744), 1,
      sym__binding_pattern,
    STATE(20219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8735), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160576] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4604), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13946), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160699] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4605), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13947), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160822] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5429), 1,
      anon_sym_COLON2,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8602), 1,
      anon_sym_COLON_GT,
    ACTIONS(8604), 1,
      anon_sym_EQ,
    STATE(4606), 1,
      sym_attribute,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17205), 1,
      sym__polymorphic_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160943] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(4607), 1,
      sym_attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(5443), 1,
      sym__binding_pattern,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [161133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [161200] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(4610), 1,
      sym_attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(5444), 1,
      sym__binding_pattern,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161323] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_LBRACE,
    ACTIONS(4925), 1,
      anon_sym_POUND,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4929), 1,
      anon_sym_lazy,
    ACTIONS(4931), 1,
      anon_sym_begin,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(4945), 1,
      sym__uppercase_identifier,
    ACTIONS(4947), 1,
      aux_sym_tag_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2423), 1,
      sym_tag,
    STATE(2436), 1,
      sym_constructor_path,
    STATE(4611), 1,
      sym_attribute,
    STATE(5356), 1,
      sym__constructor_name,
    STATE(5374), 1,
      sym__signed_constant,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5416), 1,
      sym_record_binding_pattern,
    STATE(5417), 1,
      sym_list_binding_pattern,
    STATE(5418), 1,
      sym_array_binding_pattern,
    STATE(5446), 1,
      sym__binding_pattern,
    STATE(18957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4921), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5415), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161446] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(4612), 1,
      sym_attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(5650), 1,
      sym__binding_pattern,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161569] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_lazy,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    STATE(3548), 1,
      sym_constructor_path,
    STATE(3549), 1,
      sym_tag,
    STATE(4613), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13948), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161692] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(4614), 1,
      sym_attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(5666), 1,
      sym__binding_pattern,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161815] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(4615), 1,
      sym_attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(5684), 1,
      sym__binding_pattern,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161938] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5429), 1,
      anon_sym_COLON2,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8606), 1,
      anon_sym_COLON_GT,
    ACTIONS(8608), 1,
      anon_sym_EQ,
    STATE(4616), 1,
      sym_attribute,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(16583), 1,
      sym__polymorphic_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162059] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5207), 1,
      sym__lowercase_identifier,
    ACTIONS(5209), 1,
      anon_sym_LPAREN,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_POUND,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5221), 1,
      anon_sym_lazy,
    ACTIONS(5223), 1,
      anon_sym_begin,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      sym__uppercase_identifier,
    ACTIONS(5239), 1,
      aux_sym_tag_token1,
    ACTIONS(8428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2442), 1,
      sym_tag,
    STATE(4617), 1,
      sym_attribute,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(5462), 1,
      sym__signed_constant,
    STATE(5534), 1,
      sym_record_binding_pattern,
    STATE(5537), 1,
      sym_array_binding_pattern,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym_list_binding_pattern,
    STATE(5642), 1,
      sym__binding_pattern,
    STATE(18724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5213), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5533), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162182] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8066), 1,
      sym__lowercase_identifier,
    ACTIONS(8068), 1,
      anon_sym_lazy,
    STATE(3036), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(4618), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(13052), 1,
      sym__signed_constant,
    STATE(13090), 1,
      sym_record_binding_pattern,
    STATE(13093), 1,
      sym_list_binding_pattern,
    STATE(13094), 1,
      sym_array_binding_pattern,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(13853), 1,
      sym__binding_pattern,
    STATE(17931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13089), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162305] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5429), 1,
      anon_sym_COLON2,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8610), 1,
      anon_sym_COLON_GT,
    ACTIONS(8612), 1,
      anon_sym_EQ,
    STATE(4619), 1,
      sym_attribute,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(16545), 1,
      sym__polymorphic_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162426] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7138), 1,
      anon_sym_COLON2,
    ACTIONS(8614), 1,
      sym__lowercase_identifier,
    ACTIONS(8620), 1,
      anon_sym_LPAREN,
    ACTIONS(8623), 1,
      anon_sym_LBRACK,
    ACTIONS(8629), 1,
      anon_sym_LBRACE,
    ACTIONS(8632), 1,
      anon_sym_POUND,
    ACTIONS(8635), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8638), 1,
      anon_sym_begin,
    ACTIONS(8641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8647), 1,
      aux_sym_number_token1,
    ACTIONS(8650), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8653), 1,
      anon_sym_SQUOTE,
    ACTIONS(8656), 1,
      anon_sym_DQUOTE,
    ACTIONS(8659), 1,
      sym__uppercase_identifier,
    ACTIONS(8662), 1,
      aux_sym_tag_token1,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8617), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(8626), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4620), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(7136), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162541] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8667), 1,
      anon_sym_DASH_GT,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4621), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17478), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162659] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8671), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4622), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18640), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162777] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8673), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4623), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18172), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162895] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8675), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4624), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19321), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163013] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8677), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4625), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19537), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163131] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8679), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4626), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19794), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163249] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4627), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17917), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163367] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8683), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4628), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19823), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [163551] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8685), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4630), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19448), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163669] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8687), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4631), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19486), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163787] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8689), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4632), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19603), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163905] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4633), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8693), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8691), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [163973] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8698), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4634), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17568), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164091] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8700), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4635), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19080), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164209] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8702), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4636), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19157), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164327] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8704), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4637), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19151), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164445] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8706), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4638), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18241), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164563] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8708), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4639), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19005), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164681] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8710), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4640), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19668), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164799] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8712), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4641), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18684), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164917] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8714), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4642), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19305), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165035] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8716), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4643), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19134), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165153] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8718), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4644), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19824), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165271] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8720), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4645), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17805), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165389] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8722), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4646), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19978), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165507] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8724), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4647), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(20237), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165625] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8726), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4648), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(17990), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165743] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8728), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4649), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17666), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165861] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8730), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4650), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19853), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165979] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8732), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4651), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19859), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166097] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8734), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4652), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18120), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166215] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8736), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4653), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18561), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166333] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8738), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4654), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19389), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166451] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8740), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4655), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19233), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166569] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8742), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4656), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19734), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166687] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8744), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4657), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18675), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166805] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8746), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4658), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(20043), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166923] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8748), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4659), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19812), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167041] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8750), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4660), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19883), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167159] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8756), 1,
      aux_sym_attribute_id_token1,
    STATE(4661), 1,
      sym_attribute,
    STATE(4672), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8754), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8752), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [167229] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8758), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4662), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18507), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167347] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8760), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4663), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19635), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167465] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8762), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4664), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18601), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167583] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8764), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4665), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18793), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167701] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8766), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4666), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19962), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167819] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8768), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4667), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17386), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167937] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8770), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4668), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19147), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168055] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8772), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4669), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17833), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168173] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8774), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4670), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19980), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168291] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8776), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4671), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17370), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168409] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8756), 1,
      aux_sym_attribute_id_token1,
    STATE(4633), 1,
      aux_sym_attribute_id_repeat1,
    STATE(4672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8780), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8778), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [168479] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8782), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4673), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17776), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168597] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8784), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4674), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(20014), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168715] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8786), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4675), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19115), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168833] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8788), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4676), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(20197), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169017] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8790), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4678), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19348), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169135] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8792), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4679), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17366), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169253] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8794), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4680), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18897), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169371] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8796), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4681), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19489), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169489] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8798), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4682), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18792), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169607] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8800), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4683), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18948), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169725] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8802), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4684), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18607), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169843] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8804), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4685), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18494), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169961] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8806), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4686), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19350), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170079] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8808), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4687), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17853), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170197] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8810), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4688), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18961), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170315] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8812), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4689), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17733), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170631] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8814), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4693), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(20233), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170749] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8816), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4694), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(20142), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170867] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8818), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4695), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19982), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170985] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8820), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4696), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17633), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171103] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8822), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4697), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17679), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171221] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8824), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4698), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19059), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171339] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8826), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4699), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19598), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171457] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8828), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4700), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17624), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171575] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8830), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4701), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19259), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171693] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8832), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4702), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(17979), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171811] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8834), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4703), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17851), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171929] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8836), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4704), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17915), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172047] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8838), 1,
      anon_sym_LT_DASH,
    STATE(4705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172115] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4706), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18572), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172233] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8842), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4707), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17768), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172351] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8844), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4708), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18874), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172469] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8846), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4709), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18017), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172587] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8848), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4710), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18928), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172705] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8850), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4711), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18365), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172823] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8852), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4712), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19018), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172941] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8854), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4713), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17487), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173059] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(4714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173127] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8856), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4715), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19711), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173245] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8858), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4716), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18999), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173429] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8860), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4718), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18056), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173613] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8862), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4720), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18536), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173797] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8864), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4722), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(18375), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173915] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8866), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4723), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(17970), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174033] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8868), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4724), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    STATE(19456), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174217] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON2,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8870), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4726), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17569), 1,
      sym__simple_typed,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174335] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8872), 1,
      anon_sym_LT_DASH,
    STATE(4727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174922] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4668), 1,
      aux_sym_let_binding_repeat1,
    STATE(4736), 1,
      sym_attribute,
    STATE(4972), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175037] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4671), 1,
      aux_sym_let_binding_repeat1,
    STATE(4737), 1,
      sym_attribute,
    STATE(4994), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175217] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4723), 1,
      aux_sym_let_binding_repeat1,
    STATE(4739), 1,
      sym_attribute,
    STATE(5054), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175332] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(4740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175789] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4647), 1,
      aux_sym_let_binding_repeat1,
    STATE(4747), 1,
      sym_attribute,
    STATE(4955), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176034] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4666), 1,
      aux_sym_let_binding_repeat1,
    STATE(4750), 1,
      sym_attribute,
    STATE(5086), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176214] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4653), 1,
      aux_sym_let_binding_repeat1,
    STATE(4752), 1,
      sym_attribute,
    STATE(4989), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176329] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4700), 1,
      aux_sym_let_binding_repeat1,
    STATE(4753), 1,
      sym_attribute,
    STATE(4958), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176444] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4625), 1,
      aux_sym_let_binding_repeat1,
    STATE(4754), 1,
      sym_attribute,
    STATE(5061), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177014] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4698), 1,
      aux_sym_let_binding_repeat1,
    STATE(4762), 1,
      sym_attribute,
    STATE(5095), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177129] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4638), 1,
      aux_sym_let_binding_repeat1,
    STATE(4763), 1,
      sym_attribute,
    STATE(4973), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177244] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4702), 1,
      aux_sym_let_binding_repeat1,
    STATE(4764), 1,
      sym_attribute,
    STATE(5051), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177879] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4697), 1,
      aux_sym_let_binding_repeat1,
    STATE(4773), 1,
      sym_attribute,
    STATE(5080), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178059] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4622), 1,
      aux_sym_let_binding_repeat1,
    STATE(4775), 1,
      sym_attribute,
    STATE(5059), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [178174] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4715), 1,
      aux_sym_let_binding_repeat1,
    STATE(4776), 1,
      sym_attribute,
    STATE(5058), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [178289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178419] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(4779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178616] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4649), 1,
      aux_sym_let_binding_repeat1,
    STATE(4782), 1,
      sym_attribute,
    STATE(4980), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [178731] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4678), 1,
      aux_sym_let_binding_repeat1,
    STATE(4783), 1,
      sym_attribute,
    STATE(4960), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [178846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178976] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4684), 1,
      aux_sym_let_binding_repeat1,
    STATE(4786), 1,
      sym_attribute,
    STATE(5007), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179351] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4712), 1,
      aux_sym_let_binding_repeat1,
    STATE(4791), 1,
      sym_attribute,
    STATE(4974), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179466] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4627), 1,
      aux_sym_let_binding_repeat1,
    STATE(4792), 1,
      sym_attribute,
    STATE(4962), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179646] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4655), 1,
      aux_sym_let_binding_repeat1,
    STATE(4794), 1,
      sym_attribute,
    STATE(5071), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179761] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4726), 1,
      aux_sym_let_binding_repeat1,
    STATE(4795), 1,
      sym_attribute,
    STATE(5096), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179941] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4628), 1,
      aux_sym_let_binding_repeat1,
    STATE(4797), 1,
      sym_attribute,
    STATE(5085), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180121] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4674), 1,
      aux_sym_let_binding_repeat1,
    STATE(4799), 1,
      sym_attribute,
    STATE(5068), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180366] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4680), 1,
      aux_sym_let_binding_repeat1,
    STATE(4802), 1,
      sym_attribute,
    STATE(5077), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180481] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4711), 1,
      aux_sym_let_binding_repeat1,
    STATE(4803), 1,
      sym_attribute,
    STATE(5075), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180596] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4624), 1,
      aux_sym_let_binding_repeat1,
    STATE(4804), 1,
      sym_attribute,
    STATE(5082), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180711] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4641), 1,
      aux_sym_let_binding_repeat1,
    STATE(4805), 1,
      sym_attribute,
    STATE(4966), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180956] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4709), 1,
      aux_sym_let_binding_repeat1,
    STATE(4808), 1,
      sym_attribute,
    STATE(4985), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181071] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_POUND,
    ACTIONS(4549), 1,
      sym_hash_operator,
    STATE(4809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181142] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4708), 1,
      aux_sym_let_binding_repeat1,
    STATE(4810), 1,
      sym_attribute,
    STATE(5055), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181322] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4635), 1,
      aux_sym_let_binding_repeat1,
    STATE(4812), 1,
      sym_attribute,
    STATE(5052), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181437] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4685), 1,
      aux_sym_let_binding_repeat1,
    STATE(4813), 1,
      sym_attribute,
    STATE(4979), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181552] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4814), 1,
      sym_attribute,
    STATE(5083), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181732] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(4816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181799] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4656), 1,
      aux_sym_let_binding_repeat1,
    STATE(4817), 1,
      sym_attribute,
    STATE(5048), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182044] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_POUND,
    ACTIONS(4549), 1,
      sym_hash_operator,
    STATE(4820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8693), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8691), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [182180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182245] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    STATE(4823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182312] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4660), 1,
      aux_sym_let_binding_repeat1,
    STATE(4824), 1,
      sym_attribute,
    STATE(4953), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182492] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4662), 1,
      aux_sym_let_binding_repeat1,
    STATE(4826), 1,
      sym_attribute,
    STATE(5047), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182737] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4651), 1,
      aux_sym_let_binding_repeat1,
    STATE(4829), 1,
      sym_attribute,
    STATE(5070), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182852] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4724), 1,
      aux_sym_let_binding_repeat1,
    STATE(4830), 1,
      sym_attribute,
    STATE(4961), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182967] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4631), 1,
      aux_sym_let_binding_repeat1,
    STATE(4831), 1,
      sym_attribute,
    STATE(5079), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183082] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4695), 1,
      aux_sym_let_binding_repeat1,
    STATE(4832), 1,
      sym_attribute,
    STATE(5056), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183327] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4679), 1,
      aux_sym_let_binding_repeat1,
    STATE(4835), 1,
      sym_attribute,
    STATE(4975), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183767] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4657), 1,
      aux_sym_let_binding_repeat1,
    STATE(4841), 1,
      sym_attribute,
    STATE(5043), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183947] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4648), 1,
      aux_sym_let_binding_repeat1,
    STATE(4843), 1,
      sym_attribute,
    STATE(5028), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [184062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184387] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4640), 1,
      aux_sym_let_binding_repeat1,
    STATE(4849), 1,
      sym_attribute,
    STATE(5078), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [184502] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4703), 1,
      aux_sym_let_binding_repeat1,
    STATE(4850), 1,
      sym_attribute,
    STATE(4983), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [184617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184682] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4696), 1,
      aux_sym_let_binding_repeat1,
    STATE(4852), 1,
      sym_attribute,
    STATE(5036), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [184797] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8874), 1,
      anon_sym_LT_DASH,
    STATE(4853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185059] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_PERCENT,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4646), 1,
      aux_sym_let_binding_repeat1,
    STATE(4857), 1,
      sym_attribute,
    STATE(5073), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [185174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185302] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8876), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4860), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [185414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185542] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8878), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4863), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [185654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185718] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4555), 1,
      anon_sym_DOT,
    ACTIONS(4557), 1,
      anon_sym_POUND,
    ACTIONS(4559), 1,
      sym_hash_operator,
    STATE(4865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186300] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8880), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4874), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [186412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186476] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4555), 1,
      anon_sym_DOT,
    ACTIONS(4557), 1,
      anon_sym_POUND,
    ACTIONS(4559), 1,
      sym_hash_operator,
    STATE(4876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7745), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7747), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7771), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7731), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7727), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187762] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7777), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187954] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(4899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7735), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4555), 1,
      anon_sym_DOT,
    STATE(4912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188854] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8882), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4913), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [188966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(4915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189544] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8884), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4923), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190168] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(4932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190298] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8669), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8886), 1,
      anon_sym_DASH_GT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4934), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190538] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8888), 1,
      anon_sym_LT_DASH,
    STATE(4937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190604] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7753), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [190668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190924] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7737), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7739), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [190988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7914), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7894), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7731), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7753), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191432] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7898), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7727), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191558] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4659), 1,
      aux_sym_let_binding_repeat1,
    STATE(4953), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7735), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191730] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4676), 1,
      aux_sym_let_binding_repeat1,
    STATE(4955), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191839] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8892), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4956), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8895), 18,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8890), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [191904] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4565), 1,
      anon_sym_DOT,
    ACTIONS(4567), 1,
      anon_sym_POUND,
    ACTIONS(4569), 1,
      sym_hash_operator,
    STATE(4957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7862), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7864), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191973] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4634), 1,
      aux_sym_let_binding_repeat1,
    STATE(4958), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7922), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192145] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4699), 1,
      aux_sym_let_binding_repeat1,
    STATE(4960), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192254] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4654), 1,
      aux_sym_let_binding_repeat1,
    STATE(4961), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192363] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4687), 1,
      aux_sym_let_binding_repeat1,
    STATE(4962), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192472] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8897), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4963), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8895), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8890), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [192537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7777), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7737), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7739), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192663] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4639), 1,
      aux_sym_let_binding_repeat1,
    STATE(4966), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7753), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7771), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193024] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4860), 1,
      aux_sym_let_binding_repeat1,
    STATE(4971), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193133] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4675), 1,
      aux_sym_let_binding_repeat1,
    STATE(4972), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193242] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4623), 1,
      aux_sym_let_binding_repeat1,
    STATE(4973), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193351] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4716), 1,
      aux_sym_let_binding_repeat1,
    STATE(4974), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193460] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4713), 1,
      aux_sym_let_binding_repeat1,
    STATE(4975), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7735), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193632] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7731), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7727), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193758] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4722), 1,
      aux_sym_let_binding_repeat1,
    STATE(4979), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193867] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4645), 1,
      aux_sym_let_binding_repeat1,
    STATE(4980), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7745), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7747), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194039] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4565), 1,
      anon_sym_DOT,
    ACTIONS(4567), 1,
      anon_sym_POUND,
    ACTIONS(4569), 1,
      sym_hash_operator,
    STATE(4982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194108] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4689), 1,
      aux_sym_let_binding_repeat1,
    STATE(4983), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7777), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194280] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4718), 1,
      aux_sym_let_binding_repeat1,
    STATE(4985), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194389] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4923), 1,
      aux_sym_let_binding_repeat1,
    STATE(4986), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7737), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7739), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194624] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4706), 1,
      aux_sym_let_binding_repeat1,
    STATE(4989), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8008), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8000), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194922] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(4993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194987] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4667), 1,
      aux_sym_let_binding_repeat1,
    STATE(4994), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7996), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7852), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7854), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7856), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7858), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7860), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7868), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7872), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195474] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7936), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8012), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8004), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8034), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8038), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195789] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4913), 1,
      aux_sym_let_binding_repeat1,
    STATE(5006), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195898] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4720), 1,
      aux_sym_let_binding_repeat1,
    STATE(5007), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196007] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8900), 1,
      anon_sym_lazy,
    STATE(2930), 1,
      sym_constructor_path,
    STATE(2999), 1,
      sym_tag,
    STATE(5008), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(18630), 1,
      sym__effect_pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12796), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [196118] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8072), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8084), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7992), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196433] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4863), 1,
      aux_sym_let_binding_repeat1,
    STATE(5014), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8098), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8102), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196668] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8106), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8110), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196857] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8114), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7980), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196983] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7976), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7745), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7747), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7972), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7940), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197235] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4934), 1,
      aux_sym_let_binding_repeat1,
    STATE(5026), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8118), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197407] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4652), 1,
      aux_sym_let_binding_repeat1,
    STATE(5028), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197516] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7932), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197579] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4565), 1,
      anon_sym_DOT,
    STATE(5030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197707] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7884), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8190), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8186), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8182), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197961] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4673), 1,
      aux_sym_let_binding_repeat1,
    STATE(5036), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198070] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8902), 1,
      anon_sym_COLON,
    STATE(5037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [198135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8170), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198198] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8126), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7988), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198450] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4665), 1,
      aux_sym_let_binding_repeat1,
    STATE(5043), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7926), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7771), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198748] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4664), 1,
      aux_sym_let_binding_repeat1,
    STATE(5047), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198857] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4694), 1,
      aux_sym_let_binding_repeat1,
    STATE(5048), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7918), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7910), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199092] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4701), 1,
      aux_sym_let_binding_repeat1,
    STATE(5051), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199201] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4643), 1,
      aux_sym_let_binding_repeat1,
    STATE(5052), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199310] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8900), 1,
      anon_sym_lazy,
    STATE(2930), 1,
      sym_constructor_path,
    STATE(2999), 1,
      sym_tag,
    STATE(5053), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(19801), 1,
      sym__effect_pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12796), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [199421] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4704), 1,
      aux_sym_let_binding_repeat1,
    STATE(5054), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199530] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4710), 1,
      aux_sym_let_binding_repeat1,
    STATE(5055), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199639] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4693), 1,
      aux_sym_let_binding_repeat1,
    STATE(5056), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199748] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7902), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199811] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4681), 1,
      aux_sym_let_binding_repeat1,
    STATE(5058), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199920] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4688), 1,
      aux_sym_let_binding_repeat1,
    STATE(5059), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200092] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4632), 1,
      aux_sym_let_binding_repeat1,
    STATE(5061), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8028), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200264] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8134), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200390] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200453] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym__uppercase_identifier,
    ACTIONS(4993), 1,
      aux_sym_tag_token1,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8900), 1,
      anon_sym_lazy,
    STATE(2930), 1,
      sym_constructor_path,
    STATE(2999), 1,
      sym_tag,
    STATE(5066), 1,
      sym_attribute,
    STATE(8368), 1,
      sym__constructor_name,
    STATE(17854), 1,
      sym__effect_pattern,
    STATE(20125), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(12798), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12796), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [200564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200627] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4670), 1,
      aux_sym_let_binding_repeat1,
    STATE(5068), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8122), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200799] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4644), 1,
      aux_sym_let_binding_repeat1,
    STATE(5070), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200908] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4686), 1,
      aux_sym_let_binding_repeat1,
    STATE(5071), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8024), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201080] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4658), 1,
      aux_sym_let_binding_repeat1,
    STATE(5073), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8020), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201252] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4707), 1,
      aux_sym_let_binding_repeat1,
    STATE(5075), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8016), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201424] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4682), 1,
      aux_sym_let_binding_repeat1,
    STATE(5077), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201533] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4663), 1,
      aux_sym_let_binding_repeat1,
    STATE(5078), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201642] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4630), 1,
      aux_sym_let_binding_repeat1,
    STATE(5079), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201751] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4621), 1,
      aux_sym_let_binding_repeat1,
    STATE(5080), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201923] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4642), 1,
      aux_sym_let_binding_repeat1,
    STATE(5082), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202032] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5083), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202141] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4874), 1,
      aux_sym_let_binding_repeat1,
    STATE(5084), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202250] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4626), 1,
      aux_sym_let_binding_repeat1,
    STATE(5085), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202359] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4650), 1,
      aux_sym_let_binding_repeat1,
    STATE(5086), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202468] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202531] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7876), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7906), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7984), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8904), 1,
      anon_sym_LT_DASH,
    STATE(5091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7880), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(5093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202913] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7884), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202978] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4683), 1,
      aux_sym_let_binding_repeat1,
    STATE(5095), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203087] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5419), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4669), 1,
      aux_sym_let_binding_repeat1,
    STATE(5096), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10059), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5417), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10067), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7890), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7894), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8024), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203383] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7926), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8126), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8906), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [203569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7918), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203631] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7914), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7910), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7984), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7906), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7894), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203941] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8000), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7898), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7876), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8020), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7890), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8024), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8028), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7932), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7932), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8016), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204809] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7884), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7940), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204997] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7884), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8118), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205185] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [205249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8906), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [205311] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7884), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7988), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7996), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205561] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4575), 1,
      anon_sym_DOT,
    ACTIONS(4577), 1,
      anon_sym_POUND,
    ACTIONS(4579), 1,
      sym_hash_operator,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [205691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7880), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7984), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205815] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8122), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7992), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7992), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7922), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7852), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8134), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7854), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7856), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7902), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7753), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7858), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7860), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8020), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8170), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206931] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7884), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7735), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7980), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7976), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7972), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7940), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7926), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7918), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7914), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7731), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7910), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207615] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7906), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7890), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207739] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7880), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207801] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4645), 1,
      anon_sym_DOT,
    ACTIONS(4647), 1,
      anon_sym_POUND,
    ACTIONS(4649), 1,
      sym_hash_operator,
    STATE(5171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7862), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7864), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7876), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7868), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7727), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7872), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7745), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7747), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8182), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8186), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8008), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208365] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8012), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8190), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7936), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8118), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208737] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(5186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [208863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8034), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8038), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209111] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8072), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8084), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209297] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4575), 1,
      anon_sym_DOT,
    STATE(5195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8114), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8110), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8106), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8102), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209671] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8012), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8098), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209795] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7884), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209859] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [209923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8008), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8098), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8102), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210171] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8910), 1,
      anon_sym_LT_DASH,
    STATE(5209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8106), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210297] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7777), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8110), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7988), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7737), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7739), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8000), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8114), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210793] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7884), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210857] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4645), 1,
      anon_sym_DOT,
    STATE(5220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210983] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211045] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4575), 1,
      anon_sym_DOT,
    ACTIONS(4577), 1,
      anon_sym_POUND,
    ACTIONS(4579), 1,
      sym_hash_operator,
    STATE(5223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7862), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7864), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8004), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8084), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7996), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8072), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8190), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7771), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8038), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8034), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211671] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8004), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211733] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8912), 1,
      anon_sym_LT_DASH,
    STATE(5234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8186), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8182), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7852), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211983] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7854), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7856), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7858), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7860), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8028), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7922), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8170), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212417] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7936), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7980), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212603] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8914), 1,
      anon_sym_COLON,
    STATE(5248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [212667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8134), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7976), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7972), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8122), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212977] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7898), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213039] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7902), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7872), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213349] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4645), 1,
      anon_sym_DOT,
    ACTIONS(4647), 1,
      anon_sym_POUND,
    ACTIONS(4649), 1,
      sym_hash_operator,
    STATE(5260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213417] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7868), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213602] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7922), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [213724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8034), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213907] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7884), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8004), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7890), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214336] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8924), 1,
      anon_sym_LT_DASH,
    STATE(5276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7918), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214460] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8038), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7936), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214582] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7872), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7868), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7880), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7876), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214826] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7884), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7926), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214950] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7894), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7988), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8072), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8118), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7910), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8084), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7984), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7932), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7876), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215804] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8098), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8102), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8106), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8110), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7880), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7890), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8012), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7858), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7860), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7854), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7856), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8926), 1,
      anon_sym_COLON,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8316), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216599] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8008), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216660] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7906), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7914), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [216843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7852), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216904] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    ACTIONS(4717), 1,
      anon_sym_POUND,
    ACTIONS(4719), 1,
      sym_hash_operator,
    STATE(5318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7862), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7864), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7906), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7984), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7918), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7926), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7926), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [217459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7940), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [217581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8114), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217642] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    STATE(5330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217705] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7972), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217766] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7976), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7980), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217949] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7992), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218010] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7884), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7996), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7988), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [218256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8000), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8190), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218378] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8186), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8182), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8918), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8170), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218622] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8932), 1,
      anon_sym_DOT_DOT,
    STATE(5346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7902), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218990] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7898), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219051] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7890), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8934), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [219541] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    ACTIONS(4717), 1,
      anon_sym_POUND,
    ACTIONS(4719), 1,
      sym_hash_operator,
    STATE(5361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8938), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [219669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8028), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8024), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219852] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8020), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219913] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7884), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220098] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8134), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220281] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220344] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8942), 1,
      anon_sym_DOT_DOT,
    STATE(5374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4915), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8122), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220468] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8434), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8944), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220588] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(5378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220770] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_COLON,
    STATE(5381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8316), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8950), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8952), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8956), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8960), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8964), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8968), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4915), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8950), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8954), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8982), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8918), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8986), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7926), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8958), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8966), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8970), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8974), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223892] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8990), 1,
      anon_sym_LT_DASH,
    STATE(5433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [223954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8978), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8992), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8996), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9008), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224494] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5471), 1,
      anon_sym_COLON_COLON,
    STATE(5443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9012), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224556] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5465), 1,
      anon_sym_COMMA,
    ACTIONS(5471), 1,
      anon_sym_COLON_COLON,
    STATE(5444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9016), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224680] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5471), 1,
      anon_sym_COLON_COLON,
    STATE(5446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9024), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7940), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9028), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9032), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9036), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7890), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7988), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7926), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7918), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9040), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225642] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9052), 1,
      anon_sym_DOT_DOT,
    STATE(5462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4915), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7984), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8918), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225944] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9054), 1,
      anon_sym_COLON,
    STATE(5467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8316), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7906), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7890), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7880), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7876), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8962), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226666] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9060), 1,
      anon_sym_DOT_DOT,
    STATE(5479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9066), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9074), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9010), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227688] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5421), 1,
      anon_sym_COMMA,
    ACTIONS(5437), 1,
      anon_sym_COLON_COLON,
    STATE(5496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9016), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227992] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5437), 1,
      anon_sym_COLON_COLON,
    STATE(5501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9094), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9086), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228834] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5437), 1,
      anon_sym_COLON_COLON,
    STATE(5515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9014), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9090), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8956), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8950), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8952), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4915), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8950), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8952), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230551] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7940), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230789] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9102), 1,
      anon_sym_LT_DASH,
    STATE(5548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8960), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8964), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8968), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231735] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9104), 1,
      anon_sym_LT_DASH,
    STATE(5564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7940), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232683] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(5580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8434), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8956), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8960), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8968), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235517] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4907), 1,
      anon_sym_POUND,
    ACTIONS(4909), 1,
      sym_hash_operator,
    STATE(5628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8964), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236821] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5833), 1,
      anon_sym_COLON_COLON,
    STATE(5650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9012), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [236882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9010), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237000] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5761), 1,
      anon_sym_COLON_COLON,
    STATE(5653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9014), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237120] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    STATE(5655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237240] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5755), 1,
      anon_sym_COMMA,
    ACTIONS(5761), 1,
      anon_sym_COLON_COLON,
    STATE(5657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9018), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237303] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9106), 1,
      anon_sym_COLON,
    STATE(5658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8316), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237482] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5761), 1,
      anon_sym_COLON_COLON,
    STATE(5661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237779] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5827), 1,
      anon_sym_COMMA,
    ACTIONS(5833), 1,
      anon_sym_COLON_COLON,
    STATE(5666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9016), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [237842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8434), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238845] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5833), 1,
      anon_sym_COLON_COLON,
    STATE(5684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9024), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [238906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239614] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4907), 1,
      anon_sym_POUND,
    ACTIONS(4909), 1,
      sym_hash_operator,
    STATE(5697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240151] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240615] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5079), 1,
      anon_sym_DOT,
    STATE(5714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240675] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9108), 1,
      anon_sym_LT_DASH,
    STATE(5715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241779] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8434), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [241955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242071] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7437), 1,
      sym__lowercase_identifier,
    ACTIONS(7445), 1,
      anon_sym_LBRACK,
    ACTIONS(7451), 1,
      anon_sym_LBRACE,
    ACTIONS(7455), 1,
      anon_sym_POUND,
    ACTIONS(7457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7459), 1,
      anon_sym_begin,
    ACTIONS(7467), 1,
      aux_sym_number_token1,
    ACTIONS(7469), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7471), 1,
      anon_sym_SQUOTE,
    ACTIONS(7473), 1,
      anon_sym_DQUOTE,
    ACTIONS(7475), 1,
      sym__uppercase_identifier,
    ACTIONS(7477), 1,
      aux_sym_tag_token1,
    ACTIONS(9110), 1,
      anon_sym_LPAREN,
    ACTIONS(9112), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9114), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5739), 1,
      sym_attribute,
    STATE(8521), 1,
      sym__constructor_name,
    STATE(8591), 1,
      sym__simple_pattern,
    STATE(18952), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7447), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8694), 2,
      sym__constant,
      sym_signed_number,
    STATE(8460), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8559), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242169] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7021), 1,
      sym__lowercase_identifier,
    ACTIONS(7029), 1,
      anon_sym_LBRACK,
    ACTIONS(7035), 1,
      anon_sym_LBRACE,
    ACTIONS(7037), 1,
      anon_sym_POUND,
    ACTIONS(7039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7041), 1,
      anon_sym_begin,
    ACTIONS(7047), 1,
      aux_sym_number_token1,
    ACTIONS(7049), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7051), 1,
      anon_sym_SQUOTE,
    ACTIONS(7053), 1,
      anon_sym_DQUOTE,
    ACTIONS(7055), 1,
      sym__uppercase_identifier,
    ACTIONS(7057), 1,
      aux_sym_tag_token1,
    ACTIONS(9116), 1,
      anon_sym_LPAREN,
    ACTIONS(9118), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9120), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5740), 1,
      sym_attribute,
    STATE(7857), 1,
      sym__simple_pattern,
    STATE(7952), 1,
      sym__constructor_name,
    STATE(18719), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7031), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7910), 2,
      sym__constant,
      sym_signed_number,
    STATE(7959), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7832), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243021] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9122), 1,
      anon_sym_LPAREN,
    ACTIONS(9124), 1,
      sym__uppercase_identifier,
    STATE(5754), 1,
      sym_attribute,
    STATE(12777), 1,
      sym__simple_pattern,
    STATE(13210), 1,
      sym__constructor_name,
    STATE(17948), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12796), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244279] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6847), 1,
      sym__lowercase_identifier,
    ACTIONS(6859), 1,
      anon_sym_LBRACK,
    ACTIONS(6865), 1,
      anon_sym_LBRACE,
    ACTIONS(6867), 1,
      anon_sym_POUND,
    ACTIONS(6869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6871), 1,
      anon_sym_begin,
    ACTIONS(6877), 1,
      aux_sym_number_token1,
    ACTIONS(6879), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6881), 1,
      anon_sym_SQUOTE,
    ACTIONS(6883), 1,
      anon_sym_DQUOTE,
    ACTIONS(6885), 1,
      sym__uppercase_identifier,
    ACTIONS(6887), 1,
      aux_sym_tag_token1,
    ACTIONS(9126), 1,
      anon_sym_LPAREN,
    ACTIONS(9128), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9130), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5775), 1,
      sym_attribute,
    STATE(7464), 1,
      sym__simple_pattern,
    STATE(7488), 1,
      sym__constructor_name,
    STATE(18161), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7416), 2,
      sym__constant,
      sym_signed_number,
    STATE(7486), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7518), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244377] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7061), 1,
      sym__lowercase_identifier,
    ACTIONS(7069), 1,
      anon_sym_LBRACK,
    ACTIONS(7075), 1,
      anon_sym_LBRACE,
    ACTIONS(7077), 1,
      anon_sym_POUND,
    ACTIONS(7079), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7081), 1,
      anon_sym_begin,
    ACTIONS(7087), 1,
      aux_sym_number_token1,
    ACTIONS(7089), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7091), 1,
      anon_sym_SQUOTE,
    ACTIONS(7093), 1,
      anon_sym_DQUOTE,
    ACTIONS(7095), 1,
      sym__uppercase_identifier,
    ACTIONS(7097), 1,
      aux_sym_tag_token1,
    ACTIONS(9132), 1,
      anon_sym_LPAREN,
    ACTIONS(9134), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9136), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5776), 1,
      sym_attribute,
    STATE(7679), 1,
      sym__constructor_name,
    STATE(7954), 1,
      sym__simple_pattern,
    STATE(19396), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7071), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7755), 2,
      sym__constant,
      sym_signed_number,
    STATE(7853), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7690), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244533] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9138), 1,
      anon_sym_LT_DASH,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244593] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5079), 1,
      anon_sym_DOT,
    ACTIONS(5081), 1,
      anon_sym_POUND,
    ACTIONS(5083), 1,
      sym_hash_operator,
    STATE(5779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244657] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245123] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7332), 1,
      sym__lowercase_identifier,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_POUND,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7350), 1,
      anon_sym_begin,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(9140), 1,
      anon_sym_LPAREN,
    ACTIONS(9142), 1,
      sym__uppercase_identifier,
    ACTIONS(9144), 1,
      aux_sym_tag_token1,
    STATE(5788), 1,
      sym_attribute,
    STATE(13750), 1,
      sym__constructor_name,
    STATE(13972), 1,
      sym__simple_pattern,
    STATE(17745), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7338), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13944), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245221] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5079), 1,
      anon_sym_DOT,
    ACTIONS(5081), 1,
      anon_sym_POUND,
    ACTIONS(5083), 1,
      sym_hash_operator,
    STATE(5789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245633] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245751] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6757), 1,
      sym__lowercase_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6775), 1,
      anon_sym_LBRACE,
    ACTIONS(6777), 1,
      anon_sym_POUND,
    ACTIONS(6779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6781), 1,
      anon_sym_begin,
    ACTIONS(6789), 1,
      aux_sym_number_token1,
    ACTIONS(6791), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6793), 1,
      anon_sym_SQUOTE,
    ACTIONS(6795), 1,
      anon_sym_DQUOTE,
    ACTIONS(6797), 1,
      sym__uppercase_identifier,
    ACTIONS(6799), 1,
      aux_sym_tag_token1,
    ACTIONS(9146), 1,
      anon_sym_LPAREN,
    ACTIONS(9148), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9150), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5798), 1,
      sym_attribute,
    STATE(7432), 1,
      sym__constructor_name,
    STATE(7571), 1,
      sym__simple_pattern,
    STATE(20216), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6771), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7450), 2,
      sym__constant,
      sym_signed_number,
    STATE(7492), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7364), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245849] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      sym__lowercase_identifier,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5431), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym_POUND,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5441), 1,
      anon_sym_begin,
    ACTIONS(5449), 1,
      aux_sym_number_token1,
    ACTIONS(5451), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5453), 1,
      anon_sym_SQUOTE,
    ACTIONS(5455), 1,
      anon_sym_DQUOTE,
    ACTIONS(5457), 1,
      sym__uppercase_identifier,
    ACTIONS(5459), 1,
      aux_sym_tag_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9152), 1,
      anon_sym_LPAREN,
    STATE(5799), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10009), 1,
      sym__simple_pattern,
    STATE(17929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10115), 2,
      sym__constant,
      sym_signed_number,
    STATE(10063), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245947] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4949), 1,
      sym__lowercase_identifier,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7017), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9154), 1,
      anon_sym_LPAREN,
    ACTIONS(9156), 1,
      sym__uppercase_identifier,
    STATE(5800), 1,
      sym_attribute,
    STATE(8798), 1,
      sym__constructor_name,
    STATE(12777), 1,
      sym__simple_pattern,
    STATE(18447), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4959), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12796), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246045] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9158), 1,
      anon_sym_LT_DASH,
    STATE(5801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247187] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_DOT,
    STATE(5821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247531] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_LT_DASH,
    STATE(5827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247647] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9164), 1,
      anon_sym_LT_DASH,
    STATE(5829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8016), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [248276] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9166), 1,
      anon_sym_LT_DASH,
    STATE(5840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248392] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248449] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8020), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [248563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8024), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [248620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8028), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [249532] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LT_DASH,
    STATE(5862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249705] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249876] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250391] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250961] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251305] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9170), 1,
      anon_sym_DOT,
    ACTIONS(9172), 1,
      anon_sym_POUND,
    ACTIONS(9174), 1,
      sym_hash_operator,
    STATE(5893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251824] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9170), 1,
      anon_sym_DOT,
    ACTIONS(9172), 1,
      anon_sym_POUND,
    ACTIONS(9174), 1,
      sym_hash_operator,
    STATE(5902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251887] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(5903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252003] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9176), 1,
      anon_sym_LT_DASH,
    STATE(5905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252689] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253145] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_DOT,
    ACTIONS(9178), 1,
      anon_sym_POUND,
    ACTIONS(9180), 1,
      sym_hash_operator,
    STATE(5925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253550] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_DOT,
    ACTIONS(9178), 1,
      anon_sym_POUND,
    ACTIONS(9180), 1,
      sym_hash_operator,
    STATE(5933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253670] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253841] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254240] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(5944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254698] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255384] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255441] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(5965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255500] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256013] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(5975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256756] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256870] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256984] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257098] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257155] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(5995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257442] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257556] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257841] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5201), 1,
      anon_sym_DOT,
    ACTIONS(5203), 1,
      anon_sym_POUND,
    ACTIONS(5205), 1,
      sym_hash_operator,
    STATE(6007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257904] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258305] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(6015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259162] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259504] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9170), 1,
      anon_sym_DOT,
    STATE(6036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259848] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9182), 1,
      anon_sym_COLON,
    STATE(6042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259964] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_LT_DASH,
    STATE(6044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260023] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5201), 1,
      anon_sym_DOT,
    STATE(6045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260082] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(6046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260198] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260312] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260882] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261395] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(6069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261739] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262024] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5201), 1,
      anon_sym_DOT,
    ACTIONS(5203), 1,
      anon_sym_POUND,
    ACTIONS(5205), 1,
      sym_hash_operator,
    STATE(6080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262144] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264185] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264579] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265027] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265141] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265365] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9186), 1,
      sym__lowercase_identifier,
    ACTIONS(9188), 1,
      anon_sym_LPAREN,
    ACTIONS(9190), 1,
      anon_sym_private,
    ACTIONS(9192), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9194), 1,
      anon_sym_PIPE,
    ACTIONS(9196), 1,
      anon_sym_LBRACK,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    STATE(6139), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10270), 1,
      sym__tuple_type,
    STATE(10473), 1,
      sym__type,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(18267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10199), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [265473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265585] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265977] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266201] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(6153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266315] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266595] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9218), 1,
      anon_sym_LT_DASH,
    STATE(6160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266653] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5341), 1,
      anon_sym_DOT,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    ACTIONS(5345), 1,
      sym_hash_operator,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267779] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267949] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268007] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9220), 1,
      anon_sym_LT_DASH,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268345] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268739] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268795] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268851] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269075] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269411] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5351), 1,
      anon_sym_DOT,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269749] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269805] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269973] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270141] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270365] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270421] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_LT_DASH,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271377] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272889] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9224), 1,
      anon_sym_COLON,
    STATE(6272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273283] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273339] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273787] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9226), 1,
      anon_sym_LT_DASH,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273901] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273957] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274237] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5329), 1,
      anon_sym_DOT,
    ACTIONS(5331), 1,
      anon_sym_POUND,
    ACTIONS(5333), 1,
      sym_hash_operator,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274523] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274637] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5361), 1,
      anon_sym_DOT,
    ACTIONS(5363), 1,
      anon_sym_POUND,
    ACTIONS(5365), 1,
      sym_hash_operator,
    STATE(6303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274979] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275653] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276103] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276271] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276383] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276831] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276999] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5361), 1,
      anon_sym_DOT,
    ACTIONS(5363), 1,
      anon_sym_POUND,
    ACTIONS(5365), 1,
      sym_hash_operator,
    STATE(6345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277565] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277677] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5341), 1,
      anon_sym_DOT,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    ACTIONS(5345), 1,
      sym_hash_operator,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277739] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277795] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277851] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278019] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5351), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_POUND,
    ACTIONS(5355), 1,
      sym_hash_operator,
    STATE(6363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278193] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278417] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278585] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278697] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5341), 1,
      anon_sym_DOT,
    STATE(6375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279203] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279315] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279987] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5361), 1,
      anon_sym_DOT,
    STATE(6398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280157] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280213] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280381] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280885] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5259), 1,
      anon_sym_DOT,
    ACTIONS(5261), 1,
      anon_sym_POUND,
    ACTIONS(5263), 1,
      sym_hash_operator,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281283] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281339] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282739] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282795] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9186), 1,
      sym__lowercase_identifier,
    ACTIONS(9188), 1,
      anon_sym_LPAREN,
    ACTIONS(9194), 1,
      anon_sym_PIPE,
    ACTIONS(9196), 1,
      anon_sym_LBRACK,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9228), 1,
      anon_sym_private,
    ACTIONS(9230), 1,
      anon_sym_DOT_DOT,
    STATE(6448), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10270), 1,
      sym__tuple_type,
    STATE(10473), 1,
      sym__type,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(18267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10277), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [282903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282959] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5259), 1,
      anon_sym_DOT,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283073] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5245), 1,
      anon_sym_DOT,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283299] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9232), 1,
      sym__lowercase_identifier,
    ACTIONS(9234), 1,
      anon_sym_LPAREN,
    ACTIONS(9236), 1,
      anon_sym_private,
    ACTIONS(9238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    STATE(6456), 1,
      sym_attribute,
    STATE(9064), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10216), 1,
      sym__tuple_type,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10462), 1,
      sym__type,
    STATE(10926), 1,
      sym_constructor_declaration,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(18954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10394), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [283407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283519] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283631] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283967] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284191] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284247] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284415] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5329), 1,
      anon_sym_DOT,
    ACTIONS(5331), 1,
      anon_sym_POUND,
    ACTIONS(5333), 1,
      sym_hash_operator,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284477] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284759] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5259), 1,
      anon_sym_DOT,
    ACTIONS(5261), 1,
      anon_sym_POUND,
    ACTIONS(5263), 1,
      sym_hash_operator,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284821] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284933] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9260), 1,
      sym__lowercase_identifier,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_private,
    ACTIONS(9266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9270), 1,
      anon_sym_LBRACK,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    STATE(6484), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9600), 1,
      sym__simple_type,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(10836), 1,
      sym__tuple_type,
    STATE(11524), 1,
      sym__type,
    STATE(11606), 1,
      sym_constructor_declaration,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18376), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10935), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [285041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285153] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9260), 1,
      sym__lowercase_identifier,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9270), 1,
      anon_sym_LBRACK,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9288), 1,
      anon_sym_private,
    ACTIONS(9290), 1,
      anon_sym_DOT_DOT,
    STATE(6487), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9600), 1,
      sym__simple_type,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(10836), 1,
      sym__tuple_type,
    STATE(11524), 1,
      sym__type,
    STATE(11606), 1,
      sym_constructor_declaration,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18376), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10860), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [285261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285485] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9232), 1,
      sym__lowercase_identifier,
    ACTIONS(9234), 1,
      anon_sym_LPAREN,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9292), 1,
      anon_sym_private,
    ACTIONS(9294), 1,
      anon_sym_DOT_DOT,
    STATE(6492), 1,
      sym_attribute,
    STATE(9064), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10216), 1,
      sym__tuple_type,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10462), 1,
      sym__type,
    STATE(10926), 1,
      sym_constructor_declaration,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(18954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10392), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [285593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285705] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286377] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286715] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9296), 1,
      anon_sym_LT_DASH,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286829] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286999] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5351), 1,
      anon_sym_DOT,
    ACTIONS(5353), 1,
      anon_sym_POUND,
    ACTIONS(5355), 1,
      sym_hash_operator,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287565] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287789] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287845] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9298), 1,
      anon_sym_LT_DASH,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [287903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288407] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5245), 1,
      anon_sym_DOT,
    ACTIONS(5247), 1,
      anon_sym_POUND,
    ACTIONS(5249), 1,
      sym_hash_operator,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288749] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288805] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288861] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289535] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9300), 1,
      anon_sym_LT_DASH,
    STATE(6563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289593] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9302), 1,
      anon_sym_LT_DASH,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289651] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9304), 1,
      anon_sym_LT_DASH,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LT_DASH,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289935] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290497] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290611] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5329), 1,
      anon_sym_DOT,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290725] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5245), 1,
      anon_sym_DOT,
    ACTIONS(5247), 1,
      anon_sym_POUND,
    ACTIONS(5249), 1,
      sym_hash_operator,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291123] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_LT_DASH,
    STATE(6591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291349] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291517] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291909] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      sym__lowercase_identifier,
    ACTIONS(9310), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_private,
    ACTIONS(9314), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9316), 1,
      anon_sym_PIPE,
    ACTIONS(9318), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    STATE(6605), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9479), 1,
      sym__simple_type,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(10978), 1,
      sym__tuple_type,
    STATE(11265), 1,
      sym__type,
    STATE(11559), 1,
      sym_constructor_declaration,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17467), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10943), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [292017] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      sym__lowercase_identifier,
    ACTIONS(9310), 1,
      anon_sym_LPAREN,
    ACTIONS(9316), 1,
      anon_sym_PIPE,
    ACTIONS(9318), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9336), 1,
      anon_sym_private,
    ACTIONS(9338), 1,
      anon_sym_DOT_DOT,
    STATE(6606), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9479), 1,
      sym__simple_type,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(10978), 1,
      sym__tuple_type,
    STATE(11265), 1,
      sym__type,
    STATE(11559), 1,
      sym_constructor_declaration,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17467), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11003), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [292125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292788] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293008] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293063] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293230] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293450] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293505] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293615] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      sym__lowercase_identifier,
    ACTIONS(9310), 1,
      anon_sym_LPAREN,
    ACTIONS(9316), 1,
      anon_sym_PIPE,
    ACTIONS(9318), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9340), 1,
      anon_sym_DOT_DOT,
    STATE(6634), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9479), 1,
      sym__simple_type,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(10978), 1,
      sym__tuple_type,
    STATE(11390), 1,
      sym__type,
    STATE(11559), 1,
      sym_constructor_declaration,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17467), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10948), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [293720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293940] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294050] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294380] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294490] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [294820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [294930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295040] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295260] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295427] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      sym__lowercase_identifier,
    ACTIONS(9310), 1,
      anon_sym_LPAREN,
    ACTIONS(9316), 1,
      anon_sym_PIPE,
    ACTIONS(9318), 1,
      anon_sym_LBRACK,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9342), 1,
      anon_sym_DOT_DOT,
    STATE(6666), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9479), 1,
      sym__simple_type,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(10978), 1,
      sym__tuple_type,
    STATE(11390), 1,
      sym__type,
    STATE(11559), 1,
      sym_constructor_declaration,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17467), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10922), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [295532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295752] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296082] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296306] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5371), 1,
      anon_sym_DOT,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296638] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296748] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7765), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [297023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297078] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297133] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297630] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297852] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298402] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298514] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299009] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5477), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      anon_sym_POUND,
    ACTIONS(5481), 1,
      sym_hash_operator,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299290] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9344), 1,
      anon_sym_LT_DASH,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299347] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9232), 1,
      sym__lowercase_identifier,
    ACTIONS(9234), 1,
      anon_sym_LPAREN,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT_DOT,
    STATE(6736), 1,
      sym_attribute,
    STATE(9064), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10216), 1,
      sym__tuple_type,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10487), 1,
      sym__type,
    STATE(10926), 1,
      sym_constructor_declaration,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(18954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10194), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [299452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300332] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300442] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300552] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301599] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301874] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5477), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      anon_sym_POUND,
    ACTIONS(5481), 1,
      sym_hash_operator,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302265] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5371), 1,
      anon_sym_DOT,
    ACTIONS(5373), 1,
      anon_sym_POUND,
    ACTIONS(5375), 1,
      sym_hash_operator,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302326] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302381] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302656] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302766] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302821] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303151] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [303261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [303426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303536] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303591] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9348), 1,
      anon_sym_LT_DASH,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8202), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [303703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5401), 1,
      anon_sym_DOT,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303815] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [303925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304310] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_DOT,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [304367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304422] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304477] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [304697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304752] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [304917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304972] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9352), 1,
      anon_sym_COLON,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305029] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9260), 1,
      sym__lowercase_identifier,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9270), 1,
      anon_sym_LBRACK,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9354), 1,
      anon_sym_DOT_DOT,
    STATE(6838), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9600), 1,
      sym__simple_type,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(10836), 1,
      sym__tuple_type,
    STATE(11481), 1,
      sym__type,
    STATE(11606), 1,
      sym_constructor_declaration,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18376), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10785), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [305134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305574] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9232), 1,
      sym__lowercase_identifier,
    ACTIONS(9234), 1,
      anon_sym_LPAREN,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9356), 1,
      anon_sym_DOT_DOT,
    STATE(6847), 1,
      sym_attribute,
    STATE(9064), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10216), 1,
      sym__tuple_type,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10487), 1,
      sym__type,
    STATE(10926), 1,
      sym_constructor_declaration,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(18954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10357), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [305679] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9260), 1,
      sym__lowercase_identifier,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9270), 1,
      anon_sym_LBRACK,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9358), 1,
      anon_sym_DOT_DOT,
    STATE(6848), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9600), 1,
      sym__simple_type,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(10836), 1,
      sym__tuple_type,
    STATE(11481), 1,
      sym__type,
    STATE(11606), 1,
      sym_constructor_declaration,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18376), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10870), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [305784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [306004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [306059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [306114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [306169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [306279] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [306664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306831] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306941] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5391), 1,
      anon_sym_DOT,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307163] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      anon_sym_DOT,
    ACTIONS(5383), 1,
      anon_sym_POUND,
    ACTIONS(5385), 1,
      sym_hash_operator,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307279] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [307444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307884] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308379] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9362), 1,
      anon_sym_COLON,
    STATE(6896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8314), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308436] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5391), 1,
      anon_sym_DOT,
    ACTIONS(5393), 1,
      anon_sym_POUND,
    ACTIONS(5395), 1,
      sym_hash_operator,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308827] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5391), 1,
      anon_sym_DOT,
    ACTIONS(5393), 1,
      anon_sym_POUND,
    ACTIONS(5395), 1,
      sym_hash_operator,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309383] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5371), 1,
      anon_sym_DOT,
    ACTIONS(5373), 1,
      anon_sym_POUND,
    ACTIONS(5375), 1,
      sym_hash_operator,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310434] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310654] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_DOT,
    ACTIONS(9364), 1,
      anon_sym_POUND,
    ACTIONS(9366), 1,
      sym_hash_operator,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310770] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311375] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_DOT,
    ACTIONS(9364), 1,
      anon_sym_POUND,
    ACTIONS(9366), 1,
      sym_hash_operator,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311601] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9186), 1,
      sym__lowercase_identifier,
    ACTIONS(9188), 1,
      anon_sym_LPAREN,
    ACTIONS(9194), 1,
      anon_sym_PIPE,
    ACTIONS(9196), 1,
      anon_sym_LBRACK,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9368), 1,
      anon_sym_DOT_DOT,
    STATE(6954), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10270), 1,
      sym__tuple_type,
    STATE(10458), 1,
      sym__type,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(18267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10234), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [311706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312036] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5477), 1,
      anon_sym_DOT,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313360] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9370), 1,
      anon_sym_LT_DASH,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313857] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313912] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313967] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314132] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9186), 1,
      sym__lowercase_identifier,
    ACTIONS(9188), 1,
      anon_sym_LPAREN,
    ACTIONS(9194), 1,
      anon_sym_PIPE,
    ACTIONS(9196), 1,
      anon_sym_LBRACK,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9214), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9372), 1,
      anon_sym_DOT_DOT,
    STATE(6999), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10270), 1,
      sym__tuple_type,
    STATE(10458), 1,
      sym__type,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(18267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10220), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [314237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314512] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314569] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9374), 1,
      anon_sym_DOT,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314901] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314956] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315286] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315396] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316276] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316991] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5401), 1,
      anon_sym_DOT,
    ACTIONS(5403), 1,
      anon_sym_POUND,
    ACTIONS(5405), 1,
      sym_hash_operator,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317162] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317382] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317494] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317604] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317714] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318264] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318759] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      anon_sym_DOT,
    ACTIONS(5383), 1,
      anon_sym_POUND,
    ACTIONS(5385), 1,
      sym_hash_operator,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319040] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319427] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9374), 1,
      anon_sym_DOT,
    ACTIONS(9376), 1,
      anon_sym_POUND,
    ACTIONS(9378), 1,
      sym_hash_operator,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319708] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319873] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9374), 1,
      anon_sym_DOT,
    ACTIONS(9376), 1,
      anon_sym_POUND,
    ACTIONS(9378), 1,
      sym_hash_operator,
    STATE(7102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7932), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [319989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320209] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7884), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [320266] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320761] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5381), 1,
      anon_sym_DOT,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321203] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321260] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321315] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321480] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321590] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321645] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7910), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [321865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322030] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322142] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7884), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [322199] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9380), 1,
      anon_sym_LT_DASH,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7894), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [322421] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5401), 1,
      anon_sym_DOT,
    ACTIONS(5403), 1,
      anon_sym_POUND,
    ACTIONS(5405), 1,
      sym_hash_operator,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322702] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8028), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [322975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8012), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8008), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8126), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8118), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7922), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9390), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7902), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7898), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8078), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7753), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8150), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7759), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8062), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8122), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7898), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8130), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7902), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8134), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8142), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8138), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [324325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8146), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8158), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8162), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8170), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7922), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8182), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8186), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8190), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7771), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [324811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7745), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7747), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8176), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324919] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_COLON,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8114), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8138), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7765), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325137] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9400), 1,
      anon_sym_COLON,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8202), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8062), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8110), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8000), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8106), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8116), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7735), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7731), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7727), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8102), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7996), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7852), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7854), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7856), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [325895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8098), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325949] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [326005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7858), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7860), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7777), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7737), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7739), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7743), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7868), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7872), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8004), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8034), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8038), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8072), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326599] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [326655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8084), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8094), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8124), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7920), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8098), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8102), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8106), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8110), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8008), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8114), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327519] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9402), 1,
      anon_sym_DOT,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8154), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8176), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7745), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7747), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9390), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8094), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8190), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8186), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8182), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8012), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [328169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [328223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8170), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8162), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8158), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8088), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [328439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8084), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [328493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [328547] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9408), 1,
      anon_sym_COLON,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [328603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [328657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9410), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [328711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8146), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328765] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9414), 1,
      anon_sym_COLON,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8142), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8134), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8130), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8122), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329037] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7884), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [329093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8072), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8038), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8034), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8004), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7936), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8078), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7759), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7992), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329687] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7884), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [329743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7872), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7868), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7743), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7980), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7737), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7739), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7777), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7858), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7860), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330175] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9402), 1,
      anon_sym_DOT,
    ACTIONS(9420), 1,
      anon_sym_POUND,
    ACTIONS(9422), 1,
      sym_hash_operator,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9416), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330235] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9402), 1,
      anon_sym_DOT,
    ACTIONS(9420), 1,
      anon_sym_POUND,
    ACTIONS(9422), 1,
      sym_hash_operator,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9424), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8432), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7976), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330403] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9428), 1,
      anon_sym_COLON,
    STATE(7295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7972), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7940), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7854), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7856), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7852), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8118), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330729] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7884), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7894), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7727), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7731), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7735), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331055] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7884), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7932), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8000), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7920), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331273] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9430), 1,
      anon_sym_COLON,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8126), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7910), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8150), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331491] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9402), 1,
      anon_sym_DOT,
    ACTIONS(9420), 1,
      anon_sym_POUND,
    ACTIONS(9422), 1,
      sym_hash_operator,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9432), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7996), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7988), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7926), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7918), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7914), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8024), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8020), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332307] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9436), 1,
      anon_sym_COLON,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7984), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7906), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332471] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9402), 1,
      anon_sym_DOT,
    ACTIONS(9420), 1,
      anon_sym_POUND,
    ACTIONS(9422), 1,
      sym_hash_operator,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9438), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8016), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7890), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7880), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332747] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9442), 1,
      anon_sym_COLON,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [332803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7876), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8116), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9410), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [333019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8124), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [333073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9444), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [333126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9450), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7771), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [333285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8072), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9454), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9458), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8016), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8020), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9462), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8024), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8028), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8084), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9074), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [333868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9466), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334027] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      anon_sym_DOT,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [334082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8094), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7011), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7015), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9406), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7932), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334294] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7884), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9472), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7910), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9476), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8986), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7894), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334614] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7884), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9480), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9484), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9492), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7988), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9496), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9500), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9504), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9508), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7984), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8098), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7992), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9512), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7980), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7976), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7972), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7940), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9488), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8102), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7926), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7918), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7914), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9446), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9516), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7906), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8038), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7890), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7880), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7876), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8106), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8110), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8922), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8920), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7735), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8962), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9520), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7731), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8114), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9524), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8916), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7727), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337001] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      anon_sym_DOT,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8154), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8176), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7745), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7747), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337215] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9528), 1,
      anon_sym_COLON,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7876), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [337323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9532), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8190), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9522), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9536), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8186), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8182), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7996), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7894), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337800] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9538), 1,
      anon_sym_COLON,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [337855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8170), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8162), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8158), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7852), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7854), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7856), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7753), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338226] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9540), 1,
      anon_sym_COLON,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9534), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9530), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8000), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9544), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [338652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7880), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8918), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8964), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9460), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7765), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339076] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9546), 1,
      anon_sym_COLON,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339184] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      anon_sym_DOT,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(9550), 1,
      sym_hash_operator,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9438), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339243] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      anon_sym_DOT,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(9550), 1,
      sym_hash_operator,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9432), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8202), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9448), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9552), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8146), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7890), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9542), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8142), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9556), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9558), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9560), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9566), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9564), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8134), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9568), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7906), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [340256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9572), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7876), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7753), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [340468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8130), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7880), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340786] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      anon_sym_DOT,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(9550), 1,
      sym_hash_operator,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9416), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [340845] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      anon_sym_DOT,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(9550), 1,
      sym_hash_operator,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9424), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [340904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7890), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7976), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7918), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8034), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7932), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7771), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7992), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7984), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7980), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8016), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7906), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7984), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8020), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8024), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7910), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7914), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7011), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7015), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7918), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7926), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342494] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9556), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7988), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7972), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [342706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8122), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7858), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7860), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8028), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7940), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7972), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [343077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7976), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [343130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7980), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [343183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9456), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9452), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7992), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [343342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9036), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8934), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [343448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7940), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [343501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343554] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9576), 1,
      anon_sym_COLON,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9464), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343715] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      anon_sym_DOT,
    ACTIONS(9578), 1,
      anon_sym_POUND,
    ACTIONS(9580), 1,
      sym_hash_operator,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9438), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343774] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      anon_sym_DOT,
    ACTIONS(9578), 1,
      anon_sym_POUND,
    ACTIONS(9580), 1,
      sym_hash_operator,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9432), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7777), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7737), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7739), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344098] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9582), 1,
      anon_sym_COLON,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [344153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9490), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9494), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9498), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [344312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7743), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8150), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8126), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8118), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8078), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8012), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8008), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7922), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7902), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7898), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7868), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7872), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9502), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [345001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9508), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9506), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [345054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [345107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9552), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9554), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345213] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_COLON,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345268] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      anon_sym_DOT,
    ACTIONS(9578), 1,
      anon_sym_POUND,
    ACTIONS(9580), 1,
      sym_hash_operator,
    STATE(7573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9424), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345327] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      anon_sym_DOT,
    ACTIONS(9578), 1,
      anon_sym_POUND,
    ACTIONS(9580), 1,
      sym_hash_operator,
    STATE(7574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9416), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [345439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [345492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7988), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [345545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7926), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [345598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8938), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [345651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8138), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [345810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9574), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9570), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8004), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7759), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9566), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [346128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8062), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9562), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7914), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [346287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [346339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [346391] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9586), 1,
      anon_sym_PIPE,
    ACTIONS(9588), 1,
      anon_sym_RBRACK,
    STATE(7594), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16140), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346491] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7884), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346545] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9590), 1,
      anon_sym_PIPE,
    ACTIONS(9592), 1,
      anon_sym_RBRACK,
    STATE(7596), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15313), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346645] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9594), 1,
      anon_sym_PIPE,
    ACTIONS(9596), 1,
      anon_sym_RBRACK,
    STATE(7597), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(14948), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346745] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9598), 1,
      anon_sym_PIPE,
    ACTIONS(9600), 1,
      anon_sym_RBRACK,
    STATE(7598), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16206), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346897] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9602), 1,
      anon_sym_PIPE,
    ACTIONS(9604), 1,
      anon_sym_RBRACK,
    STATE(7600), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16078), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346997] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9606), 1,
      anon_sym_PIPE,
    ACTIONS(9608), 1,
      anon_sym_RBRACK,
    STATE(7601), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14900), 1,
      sym__tag_spec,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [347149] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9610), 1,
      anon_sym_COLON,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [347203] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      anon_sym_PIPE,
    ACTIONS(9614), 1,
      anon_sym_RBRACK,
    STATE(7604), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16472), 1,
      sym_tag_specification,
    STATE(19385), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347303] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9616), 1,
      anon_sym_PIPE,
    ACTIONS(9618), 1,
      anon_sym_RBRACK,
    STATE(7605), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15096), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347403] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9620), 1,
      anon_sym_PIPE,
    ACTIONS(9622), 1,
      anon_sym_RBRACK,
    STATE(7606), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16002), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347503] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9624), 1,
      anon_sym_PIPE,
    ACTIONS(9626), 1,
      anon_sym_RBRACK,
    STATE(7607), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16273), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347603] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [347657] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9628), 1,
      anon_sym_PIPE,
    ACTIONS(9630), 1,
      anon_sym_RBRACK,
    STATE(7609), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16013), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347809] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9632), 1,
      anon_sym_PIPE,
    ACTIONS(9634), 1,
      anon_sym_RBRACK,
    STATE(7611), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15634), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347909] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347961] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348223] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7884), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348485] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9636), 1,
      anon_sym_PIPE,
    ACTIONS(9638), 1,
      anon_sym_RBRACK,
    STATE(7623), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15834), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348585] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9640), 1,
      anon_sym_PIPE,
    ACTIONS(9642), 1,
      anon_sym_RBRACK,
    STATE(7624), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16032), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348737] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9644), 1,
      anon_sym_PIPE,
    ACTIONS(9646), 1,
      anon_sym_RBRACK,
    STATE(7626), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16117), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348837] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9648), 1,
      anon_sym_PIPE,
    ACTIONS(9650), 1,
      anon_sym_RBRACK,
    STATE(7627), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15737), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348937] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9652), 1,
      anon_sym_PIPE,
    ACTIONS(9654), 1,
      anon_sym_RBRACK,
    STATE(7628), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17203), 1,
      sym_tag_specification,
    STATE(19225), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349037] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9656), 1,
      anon_sym_PIPE,
    ACTIONS(9658), 1,
      anon_sym_RBRACK,
    STATE(7629), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16665), 1,
      sym_tag_specification,
    STATE(18950), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349137] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9660), 1,
      anon_sym_COLON,
    STATE(7630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9410), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349451] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9662), 1,
      anon_sym_PIPE,
    ACTIONS(9664), 1,
      anon_sym_RBRACK,
    STATE(7636), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15574), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349551] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9666), 1,
      anon_sym_PIPE,
    ACTIONS(9668), 1,
      anon_sym_RBRACK,
    STATE(7637), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15927), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349703] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9670), 1,
      anon_sym_PIPE,
    ACTIONS(9672), 1,
      anon_sym_RBRACK,
    STATE(7639), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15934), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349855] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9674), 1,
      anon_sym_PIPE,
    ACTIONS(9676), 1,
      anon_sym_RBRACK,
    STATE(7641), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16207), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349955] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_PIPE,
    ACTIONS(9680), 1,
      anon_sym_RBRACK,
    STATE(7642), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15673), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350055] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9682), 1,
      anon_sym_PIPE,
    ACTIONS(9684), 1,
      anon_sym_RBRACK,
    STATE(7643), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15843), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350207] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_PIPE,
    ACTIONS(9688), 1,
      anon_sym_RBRACK,
    STATE(7645), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15461), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9410), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350359] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9690), 1,
      anon_sym_PIPE,
    ACTIONS(9692), 1,
      anon_sym_RBRACK,
    STATE(7647), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16976), 1,
      sym_tag_specification,
    STATE(19318), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9466), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350561] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9694), 1,
      anon_sym_RBRACK,
    STATE(7650), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15582), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350760] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9696), 1,
      anon_sym_RBRACK,
    STATE(7653), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15825), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350857] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9698), 1,
      anon_sym_RBRACK,
    STATE(7654), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15850), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9556), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9558), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351056] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9700), 1,
      anon_sym_PIPE,
    STATE(7657), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17309), 1,
      sym_tag_specification,
    STATE(19471), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351153] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9702), 1,
      anon_sym_RBRACK,
    STATE(7658), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15918), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9706), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9704), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [351301] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9708), 1,
      sym__lowercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9712), 1,
      anon_sym_QMARK,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7660), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10579), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16370), 1,
      sym_extended_module_path,
    STATE(17148), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9961), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [351394] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9722), 1,
      anon_sym_RBRACK,
    STATE(7661), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15489), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7920), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351593] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9724), 1,
      anon_sym_PIPE,
    STATE(7664), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14687), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351690] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9726), 1,
      anon_sym_PIPE,
    STATE(7665), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17226), 1,
      sym_tag_specification,
    STATE(19455), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351787] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9728), 1,
      anon_sym_PIPE,
    STATE(7666), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17117), 1,
      sym_tag_specification,
    STATE(19487), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351884] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9730), 1,
      anon_sym_PIPE,
    STATE(7667), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14754), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351981] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9732), 1,
      anon_sym_PIPE,
    STATE(7668), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14546), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352078] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9708), 1,
      sym__lowercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9712), 1,
      anon_sym_QMARK,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7669), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10703), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16370), 1,
      sym_extended_module_path,
    STATE(17148), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9961), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [352171] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9734), 1,
      sym__lowercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_QMARK,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7670), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10703), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16869), 1,
      sym__tuple_type,
    STATE(17247), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10546), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [352264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7932), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8986), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352366] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9742), 1,
      anon_sym_PIPE,
    STATE(7673), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16943), 1,
      sym_tag_specification,
    STATE(19077), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352463] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9708), 1,
      sym__lowercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9712), 1,
      anon_sym_QMARK,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7674), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10731), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16370), 1,
      sym_extended_module_path,
    STATE(17148), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9961), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [352556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8988), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352607] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9744), 1,
      sym__lowercase_identifier,
    ACTIONS(9746), 1,
      anon_sym_let,
    ACTIONS(9748), 1,
      anon_sym_QMARK,
    ACTIONS(9750), 1,
      anon_sym_LBRACK,
    STATE(7676), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10687), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16555), 1,
      sym_extended_module_path,
    STATE(17278), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13787), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [352700] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9752), 1,
      anon_sym_PIPE,
    STATE(7677), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16529), 1,
      sym_tag_specification,
    STATE(19503), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352797] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9754), 1,
      anon_sym_PIPE,
    STATE(7678), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14663), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7894), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352945] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9756), 1,
      anon_sym_PIPE,
    STATE(7680), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16914), 1,
      sym_tag_specification,
    STATE(19439), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9084), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353093] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9758), 1,
      anon_sym_PIPE,
    STATE(7682), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14781), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353190] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9760), 1,
      anon_sym_RBRACK,
    STATE(7683), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15069), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353287] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9762), 1,
      anon_sym_DOT,
    ACTIONS(9764), 1,
      anon_sym_POUND,
    ACTIONS(9766), 1,
      sym_hash_operator,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353344] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9768), 1,
      anon_sym_PIPE,
    STATE(7685), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13869), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16303), 1,
      sym_tag_specification,
    STATE(20218), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9076), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9772), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9770), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9406), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7011), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7015), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9534), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9072), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353849] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9774), 1,
      anon_sym_PIPE,
    STATE(7694), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16410), 1,
      sym_tag_specification,
    STATE(19519), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353946] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9776), 1,
      anon_sym_PIPE,
    STATE(7695), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14828), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9530), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354145] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9778), 1,
      anon_sym_PIPE,
    STATE(7698), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14620), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354242] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9762), 1,
      anon_sym_DOT,
    ACTIONS(9764), 1,
      anon_sym_POUND,
    ACTIONS(9766), 1,
      sym_hash_operator,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7864), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7862), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354299] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9734), 1,
      sym__lowercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_QMARK,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7700), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10731), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16869), 1,
      sym__tuple_type,
    STATE(17247), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10546), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [354392] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9780), 1,
      anon_sym_PIPE,
    STATE(7701), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16471), 1,
      sym_tag_specification,
    STATE(19423), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354489] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(4955), 1,
      anon_sym_type,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    STATE(7702), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12456), 1,
      sym_polymorphic_type,
    STATE(12457), 1,
      sym__polymorphic_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(12746), 1,
      sym_type_variable,
    STATE(13509), 1,
      sym__type,
    STATE(14749), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(19842), 1,
      sym__abstract_type,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [354588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9784), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9782), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354639] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9734), 1,
      sym__lowercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_QMARK,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7704), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10687), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16869), 1,
      sym__tuple_type,
    STATE(17247), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10546), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [354732] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    STATE(7705), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16147), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9458), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [354880] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9788), 1,
      anon_sym_PIPE,
    STATE(7707), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14280), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354977] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9652), 1,
      anon_sym_PIPE,
    STATE(7708), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17203), 1,
      sym_tag_specification,
    STATE(19225), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355074] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9768), 1,
      anon_sym_PIPE,
    STATE(7709), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16303), 1,
      sym_tag_specification,
    STATE(20218), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9454), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9064), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9460), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355477] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15750), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355625] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9792), 1,
      anon_sym_PIPE,
    STATE(7718), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16371), 1,
      sym_tag_specification,
    STATE(19535), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355773] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9794), 1,
      anon_sym_PIPE,
    STATE(7720), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17328), 1,
      sym_tag_specification,
    STATE(19263), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355870] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9796), 1,
      anon_sym_PIPE,
    STATE(7721), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14328), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355967] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9798), 1,
      anon_sym_PIPE,
    STATE(7722), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14860), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7731), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7729), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7725), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9802), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9800), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9806), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9804), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8028), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [356523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9810), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9808), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9536), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [356829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9532), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [356880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9814), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9812), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9818), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9816), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9822), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9820), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8116), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9826), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9824), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7856), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7854), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8922), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [357288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9830), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9828), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8964), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [357441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9834), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9832), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357492] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9836), 1,
      anon_sym_RBRACK,
    STATE(7751), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15950), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357589] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9838), 1,
      sym__lowercase_identifier,
    ACTIONS(9840), 1,
      anon_sym_QMARK,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7752), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10687), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16615), 1,
      sym_extended_module_path,
    STATE(17011), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10528), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [357682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9074), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8918), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [357835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357886] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9734), 1,
      sym__lowercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_QMARK,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7757), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10579), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16869), 1,
      sym__tuple_type,
    STATE(17247), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10546), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [357979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9472), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [358081] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9846), 1,
      sym__lowercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_QMARK,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7760), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10579), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16475), 1,
      sym__tuple_type,
    STATE(16477), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10060), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [358174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7860), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7858), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9476), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [358276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358327] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9854), 1,
      anon_sym_RBRACK,
    STATE(7764), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16211), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9480), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [358475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7775), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358526] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358630] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    STATE(7769), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15658), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358727] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    STATE(7770), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16198), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9522), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358875] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9860), 1,
      anon_sym_PIPE,
    STATE(7772), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14585), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9484), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [359125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359227] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9862), 1,
      anon_sym_PIPE,
    STATE(7778), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16330), 1,
      sym_tag_specification,
    STATE(19404), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3081), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [359375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7739), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7737), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9444), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9508), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9506), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9502), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7868), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7866), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9498), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7872), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7870), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9494), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360038] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9864), 1,
      anon_sym_RBRACK,
    STATE(7793), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16087), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9490), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360186] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9866), 1,
      anon_sym_PIPE,
    STATE(7795), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17189), 1,
      sym_tag_specification,
    STATE(19292), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9870), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9868), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7751), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8024), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [360589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8032), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9462), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [360793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8020), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [360844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8036), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360895] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9872), 1,
      anon_sym_PIPE,
    STATE(7808), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14379), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9492), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [361094] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9874), 1,
      anon_sym_PIPE,
    STATE(7811), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14714), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9496), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [361242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361293] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9876), 1,
      anon_sym_RBRACK,
    STATE(7814), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16215), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9500), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [361492] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9846), 1,
      sym__lowercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_QMARK,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7817), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10731), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16475), 1,
      sym__tuple_type,
    STATE(16477), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10060), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [361585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9504), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [361687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9508), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [361738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9464), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361891] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9878), 1,
      anon_sym_PIPE,
    STATE(7824), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14868), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9452), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9456), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362243] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4955), 1,
      anon_sym_type,
    ACTIONS(9880), 1,
      sym__lowercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    STATE(7830), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10261), 1,
      sym__simple_type,
    STATE(10322), 1,
      sym_type_variable,
    STATE(12044), 1,
      sym__tuple_type,
    STATE(12111), 1,
      sym__type,
    STATE(12495), 1,
      sym_polymorphic_type,
    STATE(12537), 1,
      sym__polymorphic_type,
    STATE(14247), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(17760), 1,
      sym_typed_label,
    STATE(17941), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10798), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [362342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7011), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7015), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362495] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9900), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7834), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8693), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8691), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [362548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362599] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4955), 1,
      anon_sym_type,
    ACTIONS(9903), 1,
      sym__lowercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    STATE(7836), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10181), 1,
      sym_type_variable,
    STATE(10253), 1,
      sym__simple_type,
    STATE(11770), 1,
      sym__tuple_type,
    STATE(12223), 1,
      sym__type,
    STATE(12495), 1,
      sym_polymorphic_type,
    STATE(12537), 1,
      sym__polymorphic_type,
    STATE(14281), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(18049), 1,
      sym_typed_label,
    STATE(18644), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10900), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [362698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8016), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [362749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9574), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [362800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9570), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [362851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9566), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [362902] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9923), 1,
      anon_sym_PIPE,
    STATE(7841), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14237), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363050] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9925), 1,
      aux_sym_attribute_id_token1,
    STATE(7834), 1,
      aux_sym_attribute_id_repeat1,
    STATE(7843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8780), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8778), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [363105] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9925), 1,
      aux_sym_attribute_id_token1,
    STATE(7843), 1,
      aux_sym_attribute_id_repeat1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8754), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8752), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [363160] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9744), 1,
      sym__lowercase_identifier,
    ACTIONS(9746), 1,
      anon_sym_let,
    ACTIONS(9748), 1,
      anon_sym_QMARK,
    ACTIONS(9750), 1,
      anon_sym_LBRACK,
    STATE(7845), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10579), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16555), 1,
      sym_extended_module_path,
    STATE(17278), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13787), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [363253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9448), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7876), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [363457] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9838), 1,
      sym__lowercase_identifier,
    ACTIONS(9840), 1,
      anon_sym_QMARK,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7850), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10731), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16615), 1,
      sym_extended_module_path,
    STATE(17011), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10528), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [363550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7880), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [363601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7890), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [363703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9929), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9927), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363805] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(7856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9552), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363960] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4955), 1,
      anon_sym_type,
    ACTIONS(9931), 1,
      sym__lowercase_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    STATE(7859), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11742), 1,
      sym__simple_type,
    STATE(11907), 1,
      sym_type_variable,
    STATE(12456), 1,
      sym_polymorphic_type,
    STATE(12457), 1,
      sym__polymorphic_type,
    STATE(12942), 1,
      sym__tuple_type,
    STATE(12975), 1,
      sym__type,
    STATE(14295), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17254), 1,
      sym_extended_module_path,
    STATE(17645), 1,
      sym__abstract_type,
    STATE(19521), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12511), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [364059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9562), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364314] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9838), 1,
      sym__lowercase_identifier,
    ACTIONS(9840), 1,
      anon_sym_QMARK,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7865), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10703), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16615), 1,
      sym_extended_module_path,
    STATE(17011), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10528), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [364407] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9951), 1,
      anon_sym_RBRACK,
    STATE(7866), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15945), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364504] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9953), 1,
      anon_sym_RBRACK,
    STATE(7867), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(14925), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364703] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9846), 1,
      sym__lowercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_QMARK,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7870), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10687), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16475), 1,
      sym__tuple_type,
    STATE(16477), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10060), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [364796] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9690), 1,
      anon_sym_PIPE,
    STATE(7871), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16976), 1,
      sym_tag_specification,
    STATE(19318), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364893] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9955), 1,
      anon_sym_PIPE,
    STATE(7872), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14434), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365041] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9957), 1,
      anon_sym_PIPE,
    STATE(7874), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14551), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365138] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9612), 1,
      anon_sym_PIPE,
    STATE(7875), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16472), 1,
      sym_tag_specification,
    STATE(19385), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7938), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9512), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9516), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365490] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9959), 1,
      anon_sym_PIPE,
    STATE(7881), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16716), 1,
      sym_tag_specification,
    STATE(19551), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365587] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    STATE(7882), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14635), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7906), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7984), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9965), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9963), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9969), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9967), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9971), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9977), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9975), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9556), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366041] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9979), 1,
      anon_sym_RBRACK,
    STATE(7890), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15068), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9544), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366189] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9981), 1,
      anon_sym_RBRACK,
    STATE(7892), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15644), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7769), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7910), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7914), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7918), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7924), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7916), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9038), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7926), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7988), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9985), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9983), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367000] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(9991), 1,
      anon_sym_LPAREN,
    ACTIONS(9995), 1,
      anon_sym_LBRACE,
    ACTIONS(9997), 1,
      anon_sym_begin,
    ACTIONS(9999), 1,
      aux_sym_number_token1,
    ACTIONS(10001), 1,
      anon_sym_SQUOTE,
    ACTIONS(10003), 1,
      anon_sym_DQUOTE,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    STATE(7907), 1,
      sym_attribute,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(11928), 1,
      sym_module_path,
    STATE(12169), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9993), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12313), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(9987), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(12417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9989), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [367079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367130] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10007), 1,
      anon_sym_PIPE,
    STATE(7909), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14309), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [367227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8916), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367329] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    STATE(7912), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16024), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [367426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9036), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9542), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367630] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    STATE(7917), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16020), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [367727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9520), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367778] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9744), 1,
      sym__lowercase_identifier,
    ACTIONS(9746), 1,
      anon_sym_let,
    ACTIONS(9748), 1,
      anon_sym_QMARK,
    ACTIONS(9750), 1,
      anon_sym_LBRACK,
    STATE(7919), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10703), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16555), 1,
      sym_extended_module_path,
    STATE(17278), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13787), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [367871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8134), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367973] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10013), 1,
      anon_sym_RBRACK,
    STATE(7922), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16280), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [368070] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6695), 1,
      sym__lowercase_identifier,
    ACTIONS(9991), 1,
      anon_sym_LPAREN,
    ACTIONS(9995), 1,
      anon_sym_LBRACE,
    ACTIONS(9997), 1,
      anon_sym_begin,
    ACTIONS(9999), 1,
      aux_sym_number_token1,
    ACTIONS(10001), 1,
      anon_sym_SQUOTE,
    ACTIONS(10003), 1,
      anon_sym_DQUOTE,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    STATE(7923), 1,
      sym_attribute,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(11928), 1,
      sym_module_path,
    STATE(12169), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9993), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12313), 2,
      sym__constant,
      sym_value_path,
    STATE(12417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9987), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(9989), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [368149] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4955), 1,
      anon_sym_type,
    ACTIONS(10015), 1,
      sym__lowercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    STATE(7924), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(11454), 1,
      sym_type_variable,
    STATE(12456), 1,
      sym_polymorphic_type,
    STATE(12457), 1,
      sym__polymorphic_type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(12719), 1,
      sym__type,
    STATE(14221), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    STATE(18269), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [368248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9560), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9524), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368401] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9744), 1,
      sym__lowercase_identifier,
    ACTIONS(9746), 1,
      anon_sym_let,
    ACTIONS(9748), 1,
      anon_sym_QMARK,
    ACTIONS(9750), 1,
      anon_sym_LBRACK,
    STATE(7928), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10731), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16555), 1,
      sym_extended_module_path,
    STATE(17278), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13787), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [368494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9566), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9564), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368545] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10035), 1,
      anon_sym_PIPE,
    STATE(7930), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17023), 1,
      sym_tag_specification,
    STATE(19567), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [368642] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10037), 1,
      anon_sym_PIPE,
    STATE(7931), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14515), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [368739] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10039), 1,
      anon_sym_PIPE,
    STATE(7932), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16629), 1,
      sym_tag_specification,
    STATE(19365), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [368836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9568), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368938] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10041), 1,
      anon_sym_PIPE,
    STATE(7935), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14414), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [369035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7940), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [369086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10045), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10043), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7972), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [369188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10049), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10047), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9572), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7976), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [369341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7980), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [369392] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9656), 1,
      anon_sym_PIPE,
    STATE(7943), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16665), 1,
      sym_tag_specification,
    STATE(18950), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [369489] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9762), 1,
      anon_sym_DOT,
    STATE(7944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369695] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10051), 1,
      anon_sym_PIPE,
    STATE(7948), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17066), 1,
      sym_tag_specification,
    STATE(19152), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [369792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369843] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9846), 1,
      sym__lowercase_identifier,
    ACTIONS(9848), 1,
      anon_sym_QMARK,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7950), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10703), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16475), 1,
      sym__tuple_type,
    STATE(16477), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10060), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [369936] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10053), 1,
      anon_sym_RBRACK,
    STATE(7951), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15299), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [370033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370084] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9838), 1,
      sym__lowercase_identifier,
    ACTIONS(9840), 1,
      anon_sym_QMARK,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7953), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10579), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16615), 1,
      sym_extended_module_path,
    STATE(17011), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10528), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [370177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9552), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9554), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [370228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7747), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7745), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370279] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10055), 1,
      anon_sym_PIPE,
    STATE(7956), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16779), 1,
      sym_tag_specification,
    STATE(19344), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [370376] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(10057), 1,
      anon_sym_PIPE,
    STATE(7957), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14479), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [370473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7888), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9446), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [370728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8962), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8922), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8920), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8188), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9450), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [370932] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9708), 1,
      sym__lowercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9712), 1,
      anon_sym_QMARK,
    ACTIONS(9714), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7967), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10687), 1,
      sym__class_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16370), 1,
      sym_extended_module_path,
    STATE(17148), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9961), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10676), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9745), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11768), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [371025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371076] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(9768), 1,
      anon_sym_PIPE,
    STATE(7969), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13713), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16303), 1,
      sym_tag_specification,
    STATE(20218), 1,
      sym__tag_spec,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7992), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [371224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9929), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9927), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [371274] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7972), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14835), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9818), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9816), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [371418] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7974), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15890), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371512] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7975), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14690), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9814), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9812), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [371656] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7977), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16087), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371750] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7978), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14483), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371844] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7979), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14238), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371938] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7980), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16100), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372032] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7981), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15644), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372126] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7982), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14302), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372220] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7983), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15918), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372314] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10063), 1,
      anon_sym_else,
    STATE(7984), 1,
      sym_attribute,
    STATE(8076), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9830), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9828), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9826), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9824), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9802), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9800), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9822), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9820), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9818), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9816), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9810), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9808), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372668] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7992), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [372718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9772), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9770), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372768] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10065), 1,
      anon_sym_COMMA,
    ACTIONS(10067), 1,
      anon_sym_SEMI,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10085), 1,
      sym_assign_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(7993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372842] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7994), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15836), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7932), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [372986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(7997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [373088] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(7998), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14384), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9810), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9808), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373232] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8000), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15594), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373326] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8001), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14720), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373420] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8002), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15950), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3081), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373564] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8004), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15825), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10087), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373708] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8006), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15786), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9929), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9927), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9965), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9963), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9969), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9967), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373952] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8010), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16147), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9971), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374096] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8012), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14518), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9870), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9868), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374240] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8014), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16161), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374334] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8015), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14214), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9806), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9804), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374478] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8017), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15582), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9985), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9983), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374622] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8019), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15658), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374716] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8020), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15989), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374810] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8021), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14758), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374904] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8022), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15567), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374998] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8023), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14661), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375092] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8024), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15767), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375186] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8025), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16020), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7910), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [375330] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8027), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15299), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375424] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8028), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15489), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375518] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10109), 1,
      sym_or_operator,
    ACTIONS(10111), 1,
      sym_assign_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [375590] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8030), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16188), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375684] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    STATE(8031), 1,
      sym_attribute,
    STATE(8057), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [375738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9706), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9704), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375788] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10109), 1,
      sym_or_operator,
    ACTIONS(10111), 1,
      sym_assign_operator,
    ACTIONS(10119), 1,
      anon_sym_SEMI,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [375862] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8034), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14613), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375956] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8035), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16215), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376050] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    STATE(8036), 1,
      sym_attribute,
    STATE(8058), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [376104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8934), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376154] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10125), 1,
      anon_sym_PIPE,
    STATE(8038), 1,
      sym_attribute,
    STATE(8040), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [376208] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10125), 1,
      anon_sym_PIPE,
    STATE(8039), 1,
      sym_attribute,
    STATE(8040), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [376262] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10135), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8040), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [376314] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8041), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14785), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376408] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8042), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15232), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10049), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10047), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10045), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10043), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9977), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9975), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376652] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8046), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14825), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376746] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8047), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16041), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376890] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8049), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14442), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376984] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8050), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16024), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377078] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8051), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16211), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377172] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10138), 1,
      anon_sym_else,
    STATE(8052), 1,
      sym_attribute,
    STATE(8076), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377226] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8053), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14554), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377320] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377372] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10144), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8055), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377424] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8056), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15442), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377518] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    STATE(8055), 1,
      aux_sym__match_cases_repeat1,
    STATE(8057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377572] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    STATE(8055), 1,
      aux_sym__match_cases_repeat1,
    STATE(8058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10149), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10147), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [377726] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10109), 1,
      sym_or_operator,
    ACTIONS(10111), 1,
      sym_assign_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377798] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10138), 1,
      anon_sym_else,
    STATE(8062), 1,
      sym_attribute,
    STATE(8109), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377852] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10109), 1,
      sym_or_operator,
    ACTIONS(10111), 1,
      sym_assign_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377924] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10065), 1,
      anon_sym_COMMA,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10085), 1,
      sym_assign_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9772), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9770), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378046] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10171), 1,
      anon_sym_RPAREN,
    STATE(8066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10169), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10167), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [378098] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378154] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_COMMA,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10109), 1,
      sym_or_operator,
    ACTIONS(10111), 1,
      sym_assign_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378226] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10109), 1,
      sym_or_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378294] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378360] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378422] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9784), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9782), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378534] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10099), 1,
      sym_pow_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378588] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10099), 1,
      sym_pow_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9870), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9868), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378692] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378752] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8078), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15510), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378846] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_pow_operator,
    ACTIONS(10101), 1,
      sym_mult_operator,
    ACTIONS(10103), 1,
      sym_concat_operator,
    ACTIONS(10105), 1,
      sym_rel_operator,
    ACTIONS(10107), 1,
      sym_and_operator,
    ACTIONS(10109), 1,
      sym_or_operator,
    STATE(2364), 1,
      sym_add_operator,
    STATE(8079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [378914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8693), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8691), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [378964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9822), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9820), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9834), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9832), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379064] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379132] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8084), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16224), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379226] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9814), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9812), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379336] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8087), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(14925), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8938), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379480] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8089), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15965), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      sym_pow_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379628] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10125), 1,
      anon_sym_PIPE,
    STATE(8038), 1,
      aux_sym__match_cases_repeat1,
    STATE(8091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379682] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379744] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379806] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10125), 1,
      anon_sym_PIPE,
    STATE(8039), 1,
      aux_sym__match_cases_repeat1,
    STATE(8094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9806), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9804), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10149), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10147), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380010] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8098), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14385), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380104] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8099), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15945), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9802), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9800), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380248] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380364] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380432] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10065), 1,
      anon_sym_COMMA,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10085), 1,
      sym_assign_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380504] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8105), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16131), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380598] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380654] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8107), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15664), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380748] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8108), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14624), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9826), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9824), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380892] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10065), 1,
      anon_sym_COMMA,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10085), 1,
      sym_assign_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380964] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8111), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15069), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381058] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381112] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10065), 1,
      anon_sym_COMMA,
    ACTIONS(10069), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10085), 1,
      sym_assign_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381184] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8114), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16198), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381278] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9985), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9983), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9784), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9782), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381430] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381484] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8119), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15068), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9830), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9828), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381628] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8121), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14286), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381722] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8122), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14837), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381816] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8123), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15003), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381910] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8124), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16280), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382004] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8125), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15750), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382098] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8126), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14589), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382192] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      sym_pow_operator,
    STATE(2196), 1,
      sym_add_operator,
    STATE(8127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382246] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7894), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3081), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382346] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(8130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382398] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382452] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8132), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15850), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382546] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8133), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14332), 1,
      sym__tag_spec,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382640] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8134), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15870), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382734] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8135), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(16268), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9965), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9963), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382932] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10063), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10049), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10047), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383036] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8140), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15047), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9969), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9967), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10045), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10043), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9971), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9834), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9832), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10087), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9706), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9704), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383430] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(8147), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(14871), 1,
      sym_tag,
    STATE(14901), 1,
      sym_tag_specification,
    STATE(15084), 1,
      sym__tag_spec,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9977), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9975), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_PIPE,
    STATE(8149), 1,
      sym_attribute,
    STATE(8188), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383627] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COMMA,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    ACTIONS(10201), 1,
      sym_rel_operator,
    ACTIONS(10203), 1,
      sym_and_operator,
    ACTIONS(10205), 1,
      sym_or_operator,
    ACTIONS(10207), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383698] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10209), 1,
      anon_sym_COLON,
    STATE(8151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8314), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383749] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    STATE(8152), 1,
      sym_attribute,
    STATE(8192), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383802] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383857] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    ACTIONS(10221), 1,
      sym_rel_operator,
    ACTIONS(10223), 1,
      sym_and_operator,
    ACTIONS(10225), 1,
      sym_or_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383924] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COMMA,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    ACTIONS(10201), 1,
      sym_rel_operator,
    ACTIONS(10203), 1,
      sym_and_operator,
    ACTIONS(10205), 1,
      sym_or_operator,
    ACTIONS(10207), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383995] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(9658), 1,
      anon_sym_RPAREN,
    ACTIONS(10227), 1,
      anon_sym_module,
    STATE(8156), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14114), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384086] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384137] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_PIPE,
    STATE(8158), 1,
      sym_attribute,
    STATE(8191), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384190] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    ACTIONS(10221), 1,
      sym_rel_operator,
    ACTIONS(10223), 1,
      sym_and_operator,
    ACTIONS(10225), 1,
      sym_or_operator,
    ACTIONS(10229), 1,
      anon_sym_COMMA,
    ACTIONS(10231), 1,
      sym_assign_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384261] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    STATE(8160), 1,
      sym_attribute,
    STATE(8190), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384314] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    ACTIONS(10241), 1,
      sym_rel_operator,
    ACTIONS(10243), 1,
      sym_and_operator,
    ACTIONS(10245), 1,
      sym_or_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384381] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    ACTIONS(10201), 1,
      sym_rel_operator,
    ACTIONS(10203), 1,
      sym_and_operator,
    ACTIONS(10205), 1,
      sym_or_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384448] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384507] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COMMA,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    ACTIONS(10201), 1,
      sym_rel_operator,
    ACTIONS(10203), 1,
      sym_and_operator,
    ACTIONS(10205), 1,
      sym_or_operator,
    ACTIONS(10207), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384578] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    ACTIONS(10201), 1,
      sym_rel_operator,
    ACTIONS(10203), 1,
      sym_and_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384643] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384704] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10235), 1,
      sym_pow_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384757] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384818] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10235), 1,
      sym_pow_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384871] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384932] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10247), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384985] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10195), 1,
      sym_pow_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385038] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385099] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    ACTIONS(10241), 1,
      sym_rel_operator,
    ACTIONS(10243), 1,
      sym_and_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385164] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10249), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385217] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    ACTIONS(10241), 1,
      sym_rel_operator,
    ACTIONS(10243), 1,
      sym_and_operator,
    ACTIONS(10245), 1,
      sym_or_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10251), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [385333] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    ACTIONS(10241), 1,
      sym_rel_operator,
    ACTIONS(10243), 1,
      sym_and_operator,
    ACTIONS(10245), 1,
      sym_or_operator,
    ACTIONS(10255), 1,
      anon_sym_COMMA,
    ACTIONS(10257), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385404] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10195), 1,
      sym_pow_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385457] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385512] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    ACTIONS(10241), 1,
      sym_rel_operator,
    ACTIONS(10243), 1,
      sym_and_operator,
    ACTIONS(10245), 1,
      sym_or_operator,
    ACTIONS(10255), 1,
      anon_sym_COMMA,
    ACTIONS(10257), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385583] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10259), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385636] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    ACTIONS(10241), 1,
      sym_rel_operator,
    ACTIONS(10243), 1,
      sym_and_operator,
    ACTIONS(10245), 1,
      sym_or_operator,
    ACTIONS(10255), 1,
      anon_sym_COMMA,
    ACTIONS(10257), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385707] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385758] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10259), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385811] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10261), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8186), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8187), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385913] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_PIPE,
    STATE(8187), 1,
      aux_sym__match_cases_repeat1,
    STATE(8188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385966] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10267), 1,
      anon_sym_COMMA,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    ACTIONS(10277), 1,
      sym_rel_operator,
    ACTIONS(10279), 1,
      sym_and_operator,
    ACTIONS(10281), 1,
      sym_or_operator,
    ACTIONS(10283), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386037] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    STATE(8186), 1,
      aux_sym__match_cases_repeat1,
    STATE(8190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386090] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_PIPE,
    STATE(8187), 1,
      aux_sym__match_cases_repeat1,
    STATE(8191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386143] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    STATE(8186), 1,
      aux_sym__match_cases_repeat1,
    STATE(8192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10169), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10167), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [386245] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10285), 1,
      anon_sym_PIPE,
    STATE(8194), 1,
      sym_attribute,
    STATE(8223), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386298] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(9614), 1,
      anon_sym_RPAREN,
    ACTIONS(10287), 1,
      anon_sym_module,
    STATE(8195), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [386389] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(9692), 1,
      anon_sym_RPAREN,
    ACTIONS(10289), 1,
      anon_sym_module,
    STATE(8196), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13998), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [386480] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    ACTIONS(10221), 1,
      sym_rel_operator,
    ACTIONS(10223), 1,
      sym_and_operator,
    ACTIONS(10225), 1,
      sym_or_operator,
    ACTIONS(10229), 1,
      anon_sym_COMMA,
    ACTIONS(10231), 1,
      sym_assign_operator,
    ACTIONS(10291), 1,
      anon_sym_SEMI,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386553] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10285), 1,
      anon_sym_PIPE,
    STATE(8198), 1,
      sym_attribute,
    STATE(8199), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386606] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10285), 1,
      anon_sym_PIPE,
    STATE(8199), 1,
      sym_attribute,
    STATE(8223), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386659] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    ACTIONS(10277), 1,
      sym_rel_operator,
    ACTIONS(10279), 1,
      sym_and_operator,
    ACTIONS(10281), 1,
      sym_or_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386726] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10249), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386779] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386838] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386897] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    ACTIONS(10201), 1,
      sym_rel_operator,
    ACTIONS(10203), 1,
      sym_and_operator,
    ACTIONS(10205), 1,
      sym_or_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386964] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    ACTIONS(10221), 1,
      sym_rel_operator,
    ACTIONS(10223), 1,
      sym_and_operator,
    ACTIONS(10225), 1,
      sym_or_operator,
    ACTIONS(10229), 1,
      anon_sym_COMMA,
    ACTIONS(10231), 1,
      sym_assign_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387035] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(9654), 1,
      anon_sym_RPAREN,
    ACTIONS(10293), 1,
      anon_sym_module,
    STATE(8206), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14138), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [387126] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10271), 1,
      sym_pow_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387179] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387234] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10295), 1,
      anon_sym_PIPE,
    STATE(8209), 1,
      sym_attribute,
    STATE(8234), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387287] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10247), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387340] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    ACTIONS(10221), 1,
      sym_rel_operator,
    ACTIONS(10223), 1,
      sym_and_operator,
    ACTIONS(10225), 1,
      sym_or_operator,
    ACTIONS(10229), 1,
      anon_sym_COMMA,
    ACTIONS(10231), 1,
      sym_assign_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387411] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    ACTIONS(10221), 1,
      sym_rel_operator,
    ACTIONS(10223), 1,
      sym_and_operator,
    ACTIONS(10225), 1,
      sym_or_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387478] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10271), 1,
      sym_pow_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387531] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    ACTIONS(10221), 1,
      sym_rel_operator,
    ACTIONS(10223), 1,
      sym_and_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387596] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387657] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387718] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    ACTIONS(10241), 1,
      sym_rel_operator,
    ACTIONS(10243), 1,
      sym_and_operator,
    ACTIONS(10245), 1,
      sym_or_operator,
    ACTIONS(10255), 1,
      anon_sym_COMMA,
    ACTIONS(10257), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387789] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10295), 1,
      anon_sym_PIPE,
    STATE(8218), 1,
      sym_attribute,
    STATE(8237), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387842] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387903] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10215), 1,
      sym_pow_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387956] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10171), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10297), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [388005] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10215), 1,
      sym_pow_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388058] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10299), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8223), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388109] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COMMA,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    ACTIONS(10201), 1,
      sym_rel_operator,
    ACTIONS(10203), 1,
      sym_and_operator,
    ACTIONS(10205), 1,
      sym_or_operator,
    ACTIONS(10207), 1,
      sym_assign_operator,
    ACTIONS(10302), 1,
      anon_sym_SEMI,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388182] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388241] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388302] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    ACTIONS(10277), 1,
      sym_rel_operator,
    ACTIONS(10279), 1,
      sym_and_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388367] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    ACTIONS(10277), 1,
      sym_rel_operator,
    ACTIONS(10279), 1,
      sym_and_operator,
    ACTIONS(10281), 1,
      sym_or_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388434] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10267), 1,
      anon_sym_COMMA,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    ACTIONS(10277), 1,
      sym_rel_operator,
    ACTIONS(10279), 1,
      sym_and_operator,
    ACTIONS(10281), 1,
      sym_or_operator,
    ACTIONS(10283), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388505] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10285), 1,
      anon_sym_PIPE,
    STATE(8194), 1,
      aux_sym__match_cases_repeat1,
    STATE(8230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8231), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388609] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388664] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10267), 1,
      anon_sym_COMMA,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    ACTIONS(10277), 1,
      sym_rel_operator,
    ACTIONS(10279), 1,
      sym_and_operator,
    ACTIONS(10281), 1,
      sym_or_operator,
    ACTIONS(10283), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388735] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10295), 1,
      anon_sym_PIPE,
    STATE(8231), 1,
      aux_sym__match_cases_repeat1,
    STATE(8234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388788] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10235), 1,
      sym_pow_operator,
    ACTIONS(10237), 1,
      sym_mult_operator,
    ACTIONS(10239), 1,
      sym_concat_operator,
    ACTIONS(10241), 1,
      sym_rel_operator,
    ACTIONS(10243), 1,
      sym_and_operator,
    ACTIONS(10245), 1,
      sym_or_operator,
    ACTIONS(10255), 1,
      anon_sym_COMMA,
    ACTIONS(10257), 1,
      sym_assign_operator,
    ACTIONS(10307), 1,
      anon_sym_SEMI,
    STATE(2230), 1,
      sym_add_operator,
    STATE(8235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388861] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10267), 1,
      anon_sym_COMMA,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    ACTIONS(10277), 1,
      sym_rel_operator,
    ACTIONS(10279), 1,
      sym_and_operator,
    ACTIONS(10281), 1,
      sym_or_operator,
    ACTIONS(10283), 1,
      sym_assign_operator,
    ACTIONS(10309), 1,
      anon_sym_SEMI,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388934] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10295), 1,
      anon_sym_PIPE,
    STATE(8231), 1,
      aux_sym__match_cases_repeat1,
    STATE(8237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388987] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10311), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389040] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389091] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10311), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389144] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389195] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10267), 1,
      anon_sym_COMMA,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_pow_operator,
    ACTIONS(10273), 1,
      sym_mult_operator,
    ACTIONS(10275), 1,
      sym_concat_operator,
    ACTIONS(10277), 1,
      sym_rel_operator,
    ACTIONS(10279), 1,
      sym_and_operator,
    ACTIONS(10281), 1,
      sym_or_operator,
    ACTIONS(10283), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389266] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10313), 1,
      anon_sym_PIPE,
    STATE(8243), 1,
      sym_attribute,
    STATE(8278), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389318] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(691), 1,
      anon_sym_RBRACK,
    ACTIONS(10315), 1,
      anon_sym_let,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10319), 1,
      anon_sym_type,
    ACTIONS(10321), 1,
      anon_sym_exception,
    ACTIONS(10323), 1,
      anon_sym_module,
    ACTIONS(10325), 1,
      anon_sym_open,
    ACTIONS(10327), 1,
      anon_sym_include,
    ACTIONS(10329), 1,
      anon_sym_class,
    ACTIONS(10331), 1,
      sym_let_operator,
    STATE(104), 1,
      aux_sym__structure_repeat1,
    STATE(7923), 1,
      sym_directive,
    STATE(8244), 1,
      sym_attribute,
    STATE(8248), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [389402] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10333), 1,
      anon_sym_COMMA,
    ACTIONS(10335), 1,
      anon_sym_SEMI,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    ACTIONS(10345), 1,
      sym_rel_operator,
    ACTIONS(10347), 1,
      sym_and_operator,
    ACTIONS(10349), 1,
      sym_or_operator,
    ACTIONS(10351), 1,
      sym_assign_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389474] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10353), 1,
      anon_sym_PIPE,
    STATE(8246), 1,
      sym_attribute,
    STATE(8302), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389574] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10355), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10358), 1,
      anon_sym_let,
    ACTIONS(10361), 1,
      anon_sym_external,
    ACTIONS(10364), 1,
      anon_sym_type,
    ACTIONS(10367), 1,
      anon_sym_RBRACK,
    ACTIONS(10369), 1,
      anon_sym_exception,
    ACTIONS(10372), 1,
      anon_sym_module,
    ACTIONS(10375), 1,
      anon_sym_open,
    ACTIONS(10378), 1,
      anon_sym_include,
    ACTIONS(10381), 1,
      anon_sym_class,
    ACTIONS(10384), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10387), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10390), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10393), 1,
      sym_let_operator,
    ACTIONS(10396), 1,
      aux_sym_directive_token1,
    STATE(108), 1,
      aux_sym__structure_repeat1,
    STATE(7923), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8248), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [389656] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    ACTIONS(10345), 1,
      sym_rel_operator,
    ACTIONS(10347), 1,
      sym_and_operator,
    ACTIONS(10349), 1,
      sym_or_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389722] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389780] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10339), 1,
      sym_pow_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389832] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10339), 1,
      sym_pow_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389884] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10355), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10361), 1,
      anon_sym_external,
    ACTIONS(10367), 1,
      anon_sym_end,
    ACTIONS(10375), 1,
      anon_sym_open,
    ACTIONS(10378), 1,
      anon_sym_include,
    ACTIONS(10384), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10387), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10390), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10399), 1,
      anon_sym_let,
    ACTIONS(10402), 1,
      anon_sym_type,
    ACTIONS(10405), 1,
      anon_sym_exception,
    ACTIONS(10408), 1,
      anon_sym_module,
    ACTIONS(10411), 1,
      anon_sym_class,
    ACTIONS(10414), 1,
      sym_let_operator,
    ACTIONS(10417), 1,
      aux_sym_directive_token1,
    STATE(107), 1,
      aux_sym__structure_repeat1,
    STATE(7907), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8253), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [389966] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390026] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390086] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    ACTIONS(10345), 1,
      sym_rel_operator,
    ACTIONS(10347), 1,
      sym_and_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390150] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    ACTIONS(10345), 1,
      sym_rel_operator,
    ACTIONS(10347), 1,
      sym_and_operator,
    ACTIONS(10349), 1,
      sym_or_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8432), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [390264] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(581), 1,
      aux_sym_directive_token1,
    ACTIONS(691), 1,
      anon_sym_end,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10325), 1,
      anon_sym_open,
    ACTIONS(10327), 1,
      anon_sym_include,
    ACTIONS(10420), 1,
      anon_sym_let,
    ACTIONS(10422), 1,
      anon_sym_type,
    ACTIONS(10424), 1,
      anon_sym_exception,
    ACTIONS(10426), 1,
      anon_sym_module,
    ACTIONS(10428), 1,
      anon_sym_class,
    ACTIONS(10430), 1,
      sym_let_operator,
    STATE(106), 1,
      aux_sym__structure_repeat1,
    STATE(7907), 1,
      sym_directive,
    STATE(8253), 1,
      aux_sym__structure_repeat2,
    STATE(8259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [390348] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10333), 1,
      anon_sym_COMMA,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    ACTIONS(10345), 1,
      sym_rel_operator,
    ACTIONS(10347), 1,
      sym_and_operator,
    ACTIONS(10349), 1,
      sym_or_operator,
    ACTIONS(10351), 1,
      sym_assign_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390418] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390472] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10333), 1,
      anon_sym_COMMA,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    ACTIONS(10345), 1,
      sym_rel_operator,
    ACTIONS(10347), 1,
      sym_and_operator,
    ACTIONS(10349), 1,
      sym_or_operator,
    ACTIONS(10351), 1,
      sym_assign_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390542] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10333), 1,
      anon_sym_COMMA,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    ACTIONS(10345), 1,
      sym_rel_operator,
    ACTIONS(10347), 1,
      sym_and_operator,
    ACTIONS(10349), 1,
      sym_or_operator,
    ACTIONS(10351), 1,
      sym_assign_operator,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390612] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(581), 1,
      aux_sym_directive_token1,
    ACTIONS(755), 1,
      anon_sym_end,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10325), 1,
      anon_sym_open,
    ACTIONS(10327), 1,
      anon_sym_include,
    ACTIONS(10420), 1,
      anon_sym_let,
    ACTIONS(10422), 1,
      anon_sym_type,
    ACTIONS(10424), 1,
      anon_sym_exception,
    ACTIONS(10426), 1,
      anon_sym_module,
    ACTIONS(10428), 1,
      anon_sym_class,
    ACTIONS(10430), 1,
      sym_let_operator,
    STATE(99), 1,
      aux_sym__structure_repeat1,
    STATE(7907), 1,
      sym_directive,
    STATE(8253), 1,
      aux_sym__structure_repeat2,
    STATE(8264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [390696] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390746] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(8266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7884), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390796] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      anon_sym_COMMA,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    ACTIONS(10442), 1,
      sym_rel_operator,
    ACTIONS(10444), 1,
      sym_and_operator,
    ACTIONS(10446), 1,
      sym_or_operator,
    ACTIONS(10448), 1,
      sym_assign_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390866] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(755), 1,
      anon_sym_RBRACK,
    ACTIONS(10315), 1,
      anon_sym_let,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10319), 1,
      anon_sym_type,
    ACTIONS(10321), 1,
      anon_sym_exception,
    ACTIONS(10323), 1,
      anon_sym_module,
    ACTIONS(10325), 1,
      anon_sym_open,
    ACTIONS(10327), 1,
      anon_sym_include,
    ACTIONS(10329), 1,
      anon_sym_class,
    ACTIONS(10331), 1,
      sym_let_operator,
    STATE(102), 1,
      aux_sym__structure_repeat1,
    STATE(7923), 1,
      sym_directive,
    STATE(8248), 1,
      aux_sym__structure_repeat2,
    STATE(8268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [390950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(8269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7884), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [391048] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(697), 1,
      anon_sym_RBRACK,
    ACTIONS(10315), 1,
      anon_sym_let,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10319), 1,
      anon_sym_type,
    ACTIONS(10321), 1,
      anon_sym_exception,
    ACTIONS(10323), 1,
      anon_sym_module,
    ACTIONS(10325), 1,
      anon_sym_open,
    ACTIONS(10327), 1,
      anon_sym_include,
    ACTIONS(10329), 1,
      anon_sym_class,
    ACTIONS(10331), 1,
      sym_let_operator,
    STATE(97), 1,
      aux_sym__structure_repeat1,
    STATE(7923), 1,
      sym_directive,
    STATE(8244), 1,
      aux_sym__structure_repeat2,
    STATE(8271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [391132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [391180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [391228] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10313), 1,
      anon_sym_PIPE,
    STATE(8243), 1,
      aux_sym__match_cases_repeat1,
    STATE(8274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391280] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391330] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10313), 1,
      anon_sym_PIPE,
    STATE(8276), 1,
      sym_attribute,
    STATE(8284), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391382] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      anon_sym_COMMA,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    ACTIONS(10442), 1,
      sym_rel_operator,
    ACTIONS(10444), 1,
      sym_and_operator,
    ACTIONS(10446), 1,
      sym_or_operator,
    ACTIONS(10448), 1,
      sym_assign_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391452] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8278), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391502] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391556] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      anon_sym_COMMA,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    ACTIONS(10442), 1,
      sym_rel_operator,
    ACTIONS(10444), 1,
      sym_and_operator,
    ACTIONS(10446), 1,
      sym_or_operator,
    ACTIONS(10448), 1,
      sym_assign_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391626] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    ACTIONS(10442), 1,
      sym_rel_operator,
    ACTIONS(10444), 1,
      sym_and_operator,
    ACTIONS(10446), 1,
      sym_or_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391692] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    ACTIONS(10442), 1,
      sym_rel_operator,
    ACTIONS(10444), 1,
      sym_and_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391756] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391816] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10313), 1,
      anon_sym_PIPE,
    STATE(8278), 1,
      aux_sym__match_cases_repeat1,
    STATE(8284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [391916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(8286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7884), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391966] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392026] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10215), 1,
      sym_pow_operator,
    ACTIONS(10217), 1,
      sym_mult_operator,
    ACTIONS(10219), 1,
      sym_concat_operator,
    ACTIONS(10221), 1,
      sym_rel_operator,
    ACTIONS(10223), 1,
      sym_and_operator,
    ACTIONS(10225), 1,
      sym_or_operator,
    ACTIONS(10229), 1,
      anon_sym_COMMA,
    ACTIONS(10231), 1,
      sym_assign_operator,
    ACTIONS(10453), 1,
      anon_sym_SEMI,
    STATE(1828), 1,
      sym_add_operator,
    STATE(8288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392098] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10436), 1,
      sym_pow_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392150] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(691), 1,
      anon_sym_RBRACK,
    ACTIONS(10315), 1,
      anon_sym_let,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10319), 1,
      anon_sym_type,
    ACTIONS(10321), 1,
      anon_sym_exception,
    ACTIONS(10323), 1,
      anon_sym_module,
    ACTIONS(10325), 1,
      anon_sym_open,
    ACTIONS(10327), 1,
      anon_sym_include,
    ACTIONS(10329), 1,
      anon_sym_class,
    ACTIONS(10331), 1,
      sym_let_operator,
    STATE(104), 1,
      aux_sym__structure_repeat1,
    STATE(7923), 1,
      sym_directive,
    STATE(8268), 1,
      aux_sym__structure_repeat2,
    STATE(8290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [392234] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COMMA,
    ACTIONS(10193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10195), 1,
      sym_pow_operator,
    ACTIONS(10197), 1,
      sym_mult_operator,
    ACTIONS(10199), 1,
      sym_concat_operator,
    ACTIONS(10201), 1,
      sym_rel_operator,
    ACTIONS(10203), 1,
      sym_and_operator,
    ACTIONS(10205), 1,
      sym_or_operator,
    ACTIONS(10207), 1,
      sym_assign_operator,
    ACTIONS(10455), 1,
      anon_sym_SEMI,
    STATE(2244), 1,
      sym_add_operator,
    STATE(8291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392306] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10436), 1,
      sym_pow_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392358] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(581), 1,
      aux_sym_directive_token1,
    ACTIONS(697), 1,
      anon_sym_end,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10325), 1,
      anon_sym_open,
    ACTIONS(10327), 1,
      anon_sym_include,
    ACTIONS(10420), 1,
      anon_sym_let,
    ACTIONS(10422), 1,
      anon_sym_type,
    ACTIONS(10424), 1,
      anon_sym_exception,
    ACTIONS(10426), 1,
      anon_sym_module,
    ACTIONS(10428), 1,
      anon_sym_class,
    ACTIONS(10430), 1,
      sym_let_operator,
    STATE(103), 1,
      aux_sym__structure_repeat1,
    STATE(7907), 1,
      sym_directive,
    STATE(8259), 1,
      aux_sym__structure_repeat2,
    STATE(8293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [392442] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392500] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    ACTIONS(10442), 1,
      sym_rel_operator,
    ACTIONS(10444), 1,
      sym_and_operator,
    ACTIONS(10446), 1,
      sym_or_operator,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9410), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [392614] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10353), 1,
      anon_sym_PIPE,
    STATE(8297), 1,
      sym_attribute,
    STATE(8303), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392666] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(8298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7884), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392716] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      anon_sym_COMMA,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    ACTIONS(10442), 1,
      sym_rel_operator,
    ACTIONS(10444), 1,
      sym_and_operator,
    ACTIONS(10446), 1,
      sym_or_operator,
    ACTIONS(10448), 1,
      sym_assign_operator,
    ACTIONS(10457), 1,
      anon_sym_SEMI,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8940), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392788] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(581), 1,
      aux_sym_directive_token1,
    ACTIONS(691), 1,
      anon_sym_end,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10325), 1,
      anon_sym_open,
    ACTIONS(10327), 1,
      anon_sym_include,
    ACTIONS(10420), 1,
      anon_sym_let,
    ACTIONS(10422), 1,
      anon_sym_type,
    ACTIONS(10424), 1,
      anon_sym_exception,
    ACTIONS(10426), 1,
      anon_sym_module,
    ACTIONS(10428), 1,
      anon_sym_class,
    ACTIONS(10430), 1,
      sym_let_operator,
    STATE(106), 1,
      aux_sym__structure_repeat1,
    STATE(7907), 1,
      sym_directive,
    STATE(8264), 1,
      aux_sym__structure_repeat2,
    STATE(8300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12265), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12407), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [392872] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10459), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8301), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392922] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10353), 1,
      anon_sym_PIPE,
    STATE(8301), 1,
      aux_sym__match_cases_repeat1,
    STATE(8302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392974] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10353), 1,
      anon_sym_PIPE,
    STATE(8301), 1,
      aux_sym__match_cases_repeat1,
    STATE(8303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393026] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10462), 1,
      anon_sym_module,
    STATE(8304), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14176), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393111] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10464), 1,
      anon_sym_module,
    STATE(8305), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15885), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393196] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10466), 1,
      anon_sym_COMMA,
    ACTIONS(10468), 1,
      anon_sym_SEMI,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    ACTIONS(10478), 1,
      sym_rel_operator,
    ACTIONS(10480), 1,
      sym_and_operator,
    ACTIONS(10482), 1,
      sym_or_operator,
    ACTIONS(10484), 1,
      sym_assign_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [393267] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(8307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7884), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [393316] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10486), 1,
      anon_sym_module,
    STATE(8308), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14026), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393401] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7910), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [393448] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10488), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [393499] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10486), 1,
      anon_sym_module,
    STATE(8311), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15971), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393584] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      anon_sym_PIPE,
    STATE(8312), 1,
      sym_attribute,
    STATE(8363), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [393635] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      anon_sym_PIPE,
    STATE(8312), 1,
      aux_sym__match_cases_repeat1,
    STATE(8313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [393686] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    ACTIONS(10478), 1,
      sym_rel_operator,
    ACTIONS(10480), 1,
      sym_and_operator,
    ACTIONS(10482), 1,
      sym_or_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [393751] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10492), 1,
      anon_sym_module,
    STATE(8315), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14119), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393836] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      anon_sym_COMMA,
    ACTIONS(10434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_pow_operator,
    ACTIONS(10438), 1,
      sym_mult_operator,
    ACTIONS(10440), 1,
      sym_concat_operator,
    ACTIONS(10442), 1,
      sym_rel_operator,
    ACTIONS(10444), 1,
      sym_and_operator,
    ACTIONS(10446), 1,
      sym_or_operator,
    ACTIONS(10448), 1,
      sym_assign_operator,
    ACTIONS(10494), 1,
      anon_sym_SEMI,
    STATE(1943), 1,
      sym_add_operator,
    STATE(8316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393907] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [393964] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10472), 1,
      sym_pow_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394015] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10472), 1,
      sym_pow_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394066] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394125] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394184] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    ACTIONS(10478), 1,
      sym_rel_operator,
    ACTIONS(10480), 1,
      sym_and_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394247] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    ACTIONS(10478), 1,
      sym_rel_operator,
    ACTIONS(10480), 1,
      sym_and_operator,
    ACTIONS(10482), 1,
      sym_or_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394312] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10466), 1,
      anon_sym_COMMA,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    ACTIONS(10478), 1,
      sym_rel_operator,
    ACTIONS(10480), 1,
      sym_and_operator,
    ACTIONS(10482), 1,
      sym_or_operator,
    ACTIONS(10484), 1,
      sym_assign_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [394381] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_module,
    STATE(8325), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15980), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394466] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394519] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10466), 1,
      anon_sym_COMMA,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    ACTIONS(10478), 1,
      sym_rel_operator,
    ACTIONS(10480), 1,
      sym_and_operator,
    ACTIONS(10482), 1,
      sym_or_operator,
    ACTIONS(10484), 1,
      sym_assign_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [394588] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      anon_sym_PIPE,
    STATE(8328), 1,
      sym_attribute,
    STATE(8342), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7910), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [394686] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(8330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7884), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [394735] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10492), 1,
      anon_sym_module,
    STATE(8331), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15547), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394820] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8332), 1,
      sym_attribute,
    STATE(8794), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10500), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10498), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [394877] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10508), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394928] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10287), 1,
      anon_sym_module,
    STATE(8334), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16226), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395013] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10466), 1,
      anon_sym_COMMA,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    ACTIONS(10478), 1,
      sym_rel_operator,
    ACTIONS(10480), 1,
      sym_and_operator,
    ACTIONS(10482), 1,
      sym_or_operator,
    ACTIONS(10484), 1,
      sym_assign_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [395082] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      sym__lowercase_identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10514), 1,
      anon_sym_private,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    STATE(8336), 1,
      sym_attribute,
    STATE(8803), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9854), 1,
      sym__tuple_type,
    STATE(10105), 1,
      sym__type,
    STATE(17151), 1,
      sym_extended_module_path,
    STATE(17749), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9054), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7932), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395214] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10532), 1,
      sym__lowercase_identifier,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(10536), 1,
      anon_sym_private,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10540), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10544), 1,
      anon_sym_LT,
    ACTIONS(10546), 1,
      anon_sym_POUND,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10552), 1,
      aux_sym_type_variable_token1,
    STATE(8338), 1,
      sym_attribute,
    STATE(8785), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9681), 1,
      sym__tuple_type,
    STATE(10053), 1,
      sym__type,
    STATE(17198), 1,
      sym_extended_module_path,
    STATE(19571), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395299] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10289), 1,
      anon_sym_module,
    STATE(8339), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13998), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395384] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10289), 1,
      anon_sym_module,
    STATE(8340), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16042), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395469] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10554), 1,
      anon_sym_PIPE,
    STATE(8341), 1,
      sym_attribute,
    STATE(8390), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [395520] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      anon_sym_PIPE,
    STATE(8342), 1,
      sym_attribute,
    STATE(8363), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [395571] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10556), 1,
      sym__lowercase_identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10560), 1,
      anon_sym_private,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    STATE(8343), 1,
      sym_attribute,
    STATE(12449), 1,
      sym__simple_type,
    STATE(13042), 1,
      sym__tuple_type,
    STATE(13044), 1,
      sym_tuple_type,
    STATE(13131), 1,
      sym__type,
    STATE(17166), 1,
      sym_extended_module_path,
    STATE(18764), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13224), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12706), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395656] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8344), 1,
      sym_attribute,
    STATE(8794), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10580), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10578), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [395713] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10582), 1,
      anon_sym_module,
    STATE(8345), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15775), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395798] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7932), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395845] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(8347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7884), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395894] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10554), 1,
      anon_sym_PIPE,
    STATE(8348), 1,
      sym_attribute,
    STATE(8392), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [395945] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10584), 1,
      anon_sym_module,
    STATE(8349), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15670), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396030] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396079] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10586), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396130] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10586), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396181] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10582), 1,
      anon_sym_module,
    STATE(8353), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14102), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396266] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_module,
    STATE(8354), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14136), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396351] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10590), 1,
      sym__lowercase_identifier,
    ACTIONS(10592), 1,
      anon_sym_LPAREN,
    ACTIONS(10594), 1,
      anon_sym_private,
    ACTIONS(10596), 1,
      anon_sym_LBRACK,
    ACTIONS(10598), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10602), 1,
      anon_sym_LT,
    ACTIONS(10604), 1,
      anon_sym_POUND,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10608), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10610), 1,
      aux_sym_type_variable_token1,
    STATE(8355), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(12747), 1,
      sym__simple_type,
    STATE(13301), 1,
      sym__tuple_type,
    STATE(13486), 1,
      sym__type,
    STATE(17349), 1,
      sym_extended_module_path,
    STATE(18770), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396436] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10614), 1,
      anon_sym_private,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    STATE(8356), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9479), 1,
      sym__simple_type,
    STATE(10978), 1,
      sym__tuple_type,
    STATE(11265), 1,
      sym__type,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17467), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396521] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10618), 1,
      anon_sym_module,
    STATE(8357), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14013), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396606] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_module,
    STATE(8358), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14085), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396691] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10618), 1,
      anon_sym_module,
    STATE(8359), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16101), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396776] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9186), 1,
      sym__lowercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10622), 1,
      anon_sym_private,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    STATE(8360), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10270), 1,
      sym__tuple_type,
    STATE(10473), 1,
      sym__type,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(18267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396861] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10462), 1,
      anon_sym_module,
    STATE(8361), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15598), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396946] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10588), 1,
      anon_sym_module,
    STATE(8362), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15216), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397031] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10626), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8363), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397080] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9232), 1,
      sym__lowercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10631), 1,
      anon_sym_private,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    STATE(8364), 1,
      sym_attribute,
    STATE(9064), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10216), 1,
      sym__tuple_type,
    STATE(10462), 1,
      sym__type,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(18954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397165] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10584), 1,
      anon_sym_module,
    STATE(8365), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14204), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397250] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10508), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397301] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10635), 1,
      anon_sym_module,
    STATE(8367), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15873), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7894), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [397433] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10637), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397484] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(8370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7884), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [397533] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10635), 1,
      anon_sym_module,
    STATE(8371), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14081), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7992), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [397665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7894), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [397712] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10227), 1,
      anon_sym_module,
    STATE(8374), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14114), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397797] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10293), 1,
      anon_sym_module,
    STATE(8375), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14138), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397882] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9260), 1,
      sym__lowercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10641), 1,
      anon_sym_private,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    STATE(8376), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9600), 1,
      sym__simple_type,
    STATE(10836), 1,
      sym__tuple_type,
    STATE(11524), 1,
      sym__type,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18376), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397967] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10645), 1,
      anon_sym_module,
    STATE(8377), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16122), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398052] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10647), 1,
      anon_sym_module,
    STATE(8378), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14208), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398137] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [398186] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10649), 1,
      anon_sym_module,
    STATE(8380), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15832), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398271] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10651), 1,
      anon_sym_module,
    STATE(8381), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14027), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398356] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10653), 1,
      anon_sym_module,
    STATE(8382), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14177), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398441] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10655), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8383), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [398490] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10658), 1,
      sym__lowercase_identifier,
    ACTIONS(10660), 1,
      anon_sym_LPAREN,
    ACTIONS(10662), 1,
      anon_sym_private,
    ACTIONS(10664), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10668), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10670), 1,
      anon_sym_LT,
    ACTIONS(10672), 1,
      anon_sym_POUND,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10678), 1,
      aux_sym_type_variable_token1,
    STATE(8384), 1,
      sym_attribute,
    STATE(9135), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10312), 1,
      sym__tuple_type,
    STATE(10423), 1,
      sym__type,
    STATE(17235), 1,
      sym_extended_module_path,
    STATE(20155), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9505), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398575] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10649), 1,
      anon_sym_module,
    STATE(8385), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13987), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398660] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10466), 1,
      anon_sym_COMMA,
    ACTIONS(10470), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_pow_operator,
    ACTIONS(10474), 1,
      sym_mult_operator,
    ACTIONS(10476), 1,
      sym_concat_operator,
    ACTIONS(10478), 1,
      sym_rel_operator,
    ACTIONS(10480), 1,
      sym_and_operator,
    ACTIONS(10482), 1,
      sym_or_operator,
    ACTIONS(10484), 1,
      sym_assign_operator,
    STATE(2135), 1,
      sym_add_operator,
    STATE(8386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [398729] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10651), 1,
      anon_sym_module,
    STATE(8387), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16162), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398814] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10680), 1,
      sym__lowercase_identifier,
    ACTIONS(10682), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_private,
    ACTIONS(10686), 1,
      anon_sym_LBRACK,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10690), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10692), 1,
      anon_sym_LT,
    ACTIONS(10694), 1,
      anon_sym_POUND,
    ACTIONS(10696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10700), 1,
      aux_sym_type_variable_token1,
    STATE(8388), 1,
      sym_attribute,
    STATE(9067), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10217), 1,
      sym__tuple_type,
    STATE(10770), 1,
      sym__type,
    STATE(17298), 1,
      sym_extended_module_path,
    STATE(19027), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9604), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398899] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10702), 1,
      anon_sym_COLON,
    STATE(8389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [398948] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10554), 1,
      anon_sym_PIPE,
    STATE(8383), 1,
      aux_sym__match_cases_repeat1,
    STATE(8390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [398999] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10645), 1,
      anon_sym_module,
    STATE(8391), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14060), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399084] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10554), 1,
      anon_sym_PIPE,
    STATE(8383), 1,
      aux_sym__match_cases_repeat1,
    STATE(8392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399135] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10704), 1,
      anon_sym_module,
    STATE(8393), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16175), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399220] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10647), 1,
      anon_sym_module,
    STATE(8394), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15059), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399305] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10653), 1,
      anon_sym_module,
    STATE(8395), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14996), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399390] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COMMA,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    ACTIONS(10716), 1,
      sym_rel_operator,
    ACTIONS(10718), 1,
      sym_and_operator,
    ACTIONS(10720), 1,
      sym_or_operator,
    ACTIONS(10722), 1,
      sym_assign_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [399459] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10637), 1,
      anon_sym_else,
    STATE(8109), 1,
      sym_else_clause,
    STATE(8397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399510] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COMMA,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    ACTIONS(10716), 1,
      sym_rel_operator,
    ACTIONS(10718), 1,
      sym_and_operator,
    ACTIONS(10720), 1,
      sym_or_operator,
    ACTIONS(10722), 1,
      sym_assign_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [399579] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10704), 1,
      anon_sym_module,
    STATE(8399), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14068), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399664] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399717] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10287), 1,
      anon_sym_module,
    STATE(8401), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399802] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10488), 1,
      anon_sym_else,
    STATE(8076), 1,
      sym_else_clause,
    STATE(8402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399853] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10333), 1,
      anon_sym_COMMA,
    ACTIONS(10337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_pow_operator,
    ACTIONS(10341), 1,
      sym_mult_operator,
    ACTIONS(10343), 1,
      sym_concat_operator,
    ACTIONS(10345), 1,
      sym_rel_operator,
    ACTIONS(10347), 1,
      sym_and_operator,
    ACTIONS(10349), 1,
      sym_or_operator,
    ACTIONS(10351), 1,
      sym_assign_operator,
    ACTIONS(10724), 1,
      anon_sym_SEMI,
    STATE(2081), 1,
      sym_add_operator,
    STATE(8403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [399924] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COMMA,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    ACTIONS(10716), 1,
      sym_rel_operator,
    ACTIONS(10718), 1,
      sym_and_operator,
    ACTIONS(10720), 1,
      sym_or_operator,
    ACTIONS(10722), 1,
      sym_assign_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [399993] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    ACTIONS(10716), 1,
      sym_rel_operator,
    ACTIONS(10718), 1,
      sym_and_operator,
    ACTIONS(10720), 1,
      sym_or_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400058] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    ACTIONS(10716), 1,
      sym_rel_operator,
    ACTIONS(10718), 1,
      sym_and_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400121] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400180] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10726), 1,
      anon_sym_module,
    STATE(8408), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15666), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400265] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400324] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10710), 1,
      sym_pow_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400375] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10726), 1,
      anon_sym_module,
    STATE(8411), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14198), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400460] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10710), 1,
      sym_pow_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400511] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400568] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    ACTIONS(10716), 1,
      sym_rel_operator,
    ACTIONS(10718), 1,
      sym_and_operator,
    ACTIONS(10720), 1,
      sym_or_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400633] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COMMA,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    ACTIONS(10716), 1,
      sym_rel_operator,
    ACTIONS(10718), 1,
      sym_and_operator,
    ACTIONS(10720), 1,
      sym_or_operator,
    ACTIONS(10722), 1,
      sym_assign_operator,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [400702] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10464), 1,
      anon_sym_module,
    STATE(8416), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14094), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400787] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COMMA,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_pow_operator,
    ACTIONS(10712), 1,
      sym_mult_operator,
    ACTIONS(10714), 1,
      sym_concat_operator,
    ACTIONS(10716), 1,
      sym_rel_operator,
    ACTIONS(10718), 1,
      sym_and_operator,
    ACTIONS(10720), 1,
      sym_or_operator,
    ACTIONS(10722), 1,
      sym_assign_operator,
    ACTIONS(10728), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_add_operator,
    STATE(8417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [400858] = 24,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10730), 1,
      anon_sym_AMP,
    STATE(8418), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13507), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400943] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10227), 1,
      anon_sym_module,
    STATE(8419), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15512), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7992), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [401075] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10732), 1,
      anon_sym_module,
    STATE(8421), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14051), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401160] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10293), 1,
      anon_sym_module,
    STATE(8422), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15773), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401245] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7701), 1,
      sym__lowercase_identifier,
    ACTIONS(10732), 1,
      anon_sym_module,
    STATE(8423), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16263), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401330] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8424), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15647), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401412] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8425), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16023), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401494] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10734), 1,
      sym__lowercase_identifier,
    STATE(8426), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10253), 1,
      sym__simple_type,
    STATE(11770), 1,
      sym__tuple_type,
    STATE(12389), 1,
      sym__type,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(18049), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401576] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10736), 1,
      sym__lowercase_identifier,
    STATE(8427), 1,
      sym_attribute,
    STATE(8803), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9854), 1,
      sym__tuple_type,
    STATE(10012), 1,
      sym__type,
    STATE(17151), 1,
      sym_extended_module_path,
    STATE(17749), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9054), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7976), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [401704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7980), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [401750] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10540), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10544), 1,
      anon_sym_LT,
    ACTIONS(10546), 1,
      anon_sym_POUND,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10552), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10738), 1,
      sym__lowercase_identifier,
    STATE(8430), 1,
      sym_attribute,
    STATE(8785), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9681), 1,
      sym__tuple_type,
    STATE(9986), 1,
      sym__type,
    STATE(17198), 1,
      sym_extended_module_path,
    STATE(19571), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401832] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8431), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15284), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401914] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8432), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14983), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401996] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8433), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15273), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402078] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8434), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16178), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402160] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8435), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16245), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7992), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402288] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8437), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16077), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9038), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402416] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8439), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14966), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7992), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402544] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10682), 1,
      anon_sym_LPAREN,
    ACTIONS(10686), 1,
      anon_sym_LBRACK,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10690), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10692), 1,
      anon_sym_LT,
    ACTIONS(10694), 1,
      anon_sym_POUND,
    ACTIONS(10696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10700), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10740), 1,
      sym__lowercase_identifier,
    STATE(8441), 1,
      sym_attribute,
    STATE(9067), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10217), 1,
      sym__tuple_type,
    STATE(10734), 1,
      sym__type,
    STATE(17298), 1,
      sym_extended_module_path,
    STATE(19027), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9604), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402626] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10592), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK,
    ACTIONS(10598), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10602), 1,
      anon_sym_LT,
    ACTIONS(10604), 1,
      anon_sym_POUND,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10608), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10610), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10742), 1,
      sym__lowercase_identifier,
    STATE(8442), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(12747), 1,
      sym__simple_type,
    STATE(13301), 1,
      sym__tuple_type,
    STATE(13522), 1,
      sym__type,
    STATE(17349), 1,
      sym_extended_module_path,
    STATE(18770), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9532), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9536), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8934), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [402846] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10744), 1,
      anon_sym_DOT_DOT,
    STATE(8446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(4913), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402894] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8447), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14125), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402976] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8448), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15806), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403058] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8449), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16135), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403140] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8450), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15721), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9556), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9558), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403268] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(8452), 1,
      sym_attribute,
    STATE(8463), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [403318] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8453), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15820), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7910), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403446] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(10748), 1,
      sym__lowercase_identifier,
    STATE(8455), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9600), 1,
      sym__simple_type,
    STATE(10836), 1,
      sym__tuple_type,
    STATE(11481), 1,
      sym__type,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18376), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403528] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10682), 1,
      anon_sym_LPAREN,
    ACTIONS(10686), 1,
      anon_sym_LBRACK,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10690), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10692), 1,
      anon_sym_LT,
    ACTIONS(10694), 1,
      anon_sym_POUND,
    ACTIONS(10696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10700), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10740), 1,
      sym__lowercase_identifier,
    STATE(8456), 1,
      sym_attribute,
    STATE(9067), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10217), 1,
      sym__tuple_type,
    STATE(10691), 1,
      sym__type,
    STATE(17298), 1,
      sym_extended_module_path,
    STATE(19027), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9604), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403610] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8457), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13554), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403692] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8458), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16058), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403774] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(10750), 1,
      sym__lowercase_identifier,
    STATE(8459), 1,
      sym_attribute,
    STATE(9064), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10216), 1,
      sym__tuple_type,
    STATE(10660), 1,
      sym__type,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(18954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7890), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403902] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8461), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16145), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403984] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8462), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15949), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404066] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10752), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8463), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [404114] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8464), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16254), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404196] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8465), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14898), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404278] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8466), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16239), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404360] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8467), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13324), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404442] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10755), 1,
      sym__lowercase_identifier,
    STATE(8468), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11742), 1,
      sym__simple_type,
    STATE(12942), 1,
      sym__tuple_type,
    STATE(12974), 1,
      sym__type,
    STATE(17254), 1,
      sym_extended_module_path,
    STATE(19521), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12511), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404524] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10755), 1,
      sym__lowercase_identifier,
    STATE(8469), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11742), 1,
      sym__simple_type,
    STATE(12702), 1,
      sym__type,
    STATE(12942), 1,
      sym__tuple_type,
    STATE(17254), 1,
      sym_extended_module_path,
    STATE(19521), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12511), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404606] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10755), 1,
      sym__lowercase_identifier,
    STATE(8470), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11742), 1,
      sym__simple_type,
    STATE(12942), 1,
      sym__tuple_type,
    STATE(12977), 1,
      sym__type,
    STATE(17254), 1,
      sym_extended_module_path,
    STATE(19521), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12511), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404688] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10734), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10253), 1,
      sym__simple_type,
    STATE(11770), 1,
      sym__tuple_type,
    STATE(12129), 1,
      sym__type,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(18049), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404770] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8472), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16177), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404852] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8473), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13323), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8918), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404980] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8475), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14887), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405062] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10736), 1,
      sym__lowercase_identifier,
    STATE(8476), 1,
      sym_attribute,
    STATE(8803), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9854), 1,
      sym__tuple_type,
    STATE(9959), 1,
      sym__type,
    STATE(17151), 1,
      sym_extended_module_path,
    STATE(17749), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9054), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405144] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10757), 1,
      anon_sym_PIPE,
    STATE(8477), 1,
      sym_attribute,
    STATE(8478), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [405194] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10759), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8478), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [405242] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8479), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15176), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405324] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10734), 1,
      sym__lowercase_identifier,
    STATE(8480), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10253), 1,
      sym__simple_type,
    STATE(11770), 1,
      sym__tuple_type,
    STATE(12390), 1,
      sym__type,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(18049), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405406] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8481), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13847), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405488] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8482), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15620), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405570] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8483), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(12645), 1,
      sym__type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405652] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8484), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16265), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405734] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8485), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16264), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7906), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7972), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405908] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8488), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(12710), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405990] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10764), 1,
      anon_sym_COMMA,
    ACTIONS(10766), 1,
      anon_sym_SEMI,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    ACTIONS(10776), 1,
      sym_rel_operator,
    ACTIONS(10778), 1,
      sym_and_operator,
    ACTIONS(10780), 1,
      sym_or_operator,
    ACTIONS(10782), 1,
      sym_assign_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [406060] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8490), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15837), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406142] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10757), 1,
      anon_sym_PIPE,
    STATE(8478), 1,
      aux_sym__match_cases_repeat1,
    STATE(8491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [406192] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8492), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14923), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7940), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [406320] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8494), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15749), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406402] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8495), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14108), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406484] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8496), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16251), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406566] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8497), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15265), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406648] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8498), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15889), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7984), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [406776] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10764), 1,
      anon_sym_COMMA,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    ACTIONS(10776), 1,
      sym_rel_operator,
    ACTIONS(10778), 1,
      sym_and_operator,
    ACTIONS(10780), 1,
      sym_or_operator,
    ACTIONS(10782), 1,
      sym_assign_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [406844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8922), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [406890] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8502), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15957), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406972] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      anon_sym_COMMA,
    ACTIONS(10786), 1,
      anon_sym_SEMI,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    ACTIONS(10796), 1,
      sym_rel_operator,
    ACTIONS(10798), 1,
      sym_and_operator,
    ACTIONS(10800), 1,
      sym_or_operator,
    ACTIONS(10802), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [407042] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8504), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14950), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407124] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8505), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15550), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407206] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8506), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15719), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407288] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8507), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15932), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407370] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8508), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15355), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407452] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8509), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15328), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407534] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(10804), 1,
      sym__lowercase_identifier,
    STATE(8510), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10270), 1,
      sym__tuple_type,
    STATE(10909), 1,
      sym__type,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(18267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407616] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(10748), 1,
      sym__lowercase_identifier,
    STATE(8511), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9600), 1,
      sym__simple_type,
    STATE(10836), 1,
      sym__tuple_type,
    STATE(11374), 1,
      sym__type,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18376), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407698] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8512), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16193), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407780] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8513), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14020), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407862] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(10748), 1,
      sym__lowercase_identifier,
    STATE(8514), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9600), 1,
      sym__simple_type,
    STATE(10836), 1,
      sym__tuple_type,
    STATE(11650), 1,
      sym__type,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18376), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407944] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8515), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16111), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408026] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8516), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16203), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408108] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8517), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16089), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408190] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8518), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15060), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408272] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8519), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15781), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408354] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8520), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16384), 1,
      sym__type,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7894), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [408482] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8522), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16049), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408564] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8523), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15953), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408646] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8524), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15992), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408728] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8525), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12496), 1,
      sym__type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408810] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8526), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12465), 1,
      sym__type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408892] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8527), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12541), 1,
      sym__type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408974] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8528), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15769), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409056] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10806), 1,
      sym__lowercase_identifier,
    STATE(8529), 1,
      sym_attribute,
    STATE(12449), 1,
      sym__simple_type,
    STATE(13042), 1,
      sym__tuple_type,
    STATE(13044), 1,
      sym_tuple_type,
    STATE(13062), 1,
      sym__type,
    STATE(17166), 1,
      sym_extended_module_path,
    STATE(18764), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13224), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12706), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409138] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8530), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15180), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409220] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8531), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15729), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409302] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10806), 1,
      sym__lowercase_identifier,
    STATE(8532), 1,
      sym_attribute,
    STATE(12449), 1,
      sym__simple_type,
    STATE(13042), 1,
      sym__tuple_type,
    STATE(13044), 1,
      sym_tuple_type,
    STATE(13184), 1,
      sym__type,
    STATE(17166), 1,
      sym_extended_module_path,
    STATE(18764), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13224), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12706), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409384] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8533), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15905), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409466] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(10804), 1,
      sym__lowercase_identifier,
    STATE(8534), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10270), 1,
      sym__tuple_type,
    STATE(10458), 1,
      sym__type,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(18267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409548] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10757), 1,
      anon_sym_PIPE,
    STATE(8491), 1,
      aux_sym__match_cases_repeat1,
    STATE(8535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [409598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9084), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [409644] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8537), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15077), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409726] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8538), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(12653), 1,
      sym__type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409808] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8539), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15915), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409890] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(10808), 1,
      sym__lowercase_identifier,
    STATE(8540), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9479), 1,
      sym__simple_type,
    STATE(10978), 1,
      sym__tuple_type,
    STATE(11366), 1,
      sym__type,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17467), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409972] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8541), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15921), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410054] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8542), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15757), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9462), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410182] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10764), 1,
      anon_sym_COMMA,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    ACTIONS(10776), 1,
      sym_rel_operator,
    ACTIONS(10778), 1,
      sym_and_operator,
    ACTIONS(10780), 1,
      sym_or_operator,
    ACTIONS(10782), 1,
      sym_assign_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [410250] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8545), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16338), 1,
      sym__type,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410332] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10660), 1,
      anon_sym_LPAREN,
    ACTIONS(10664), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10668), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10670), 1,
      anon_sym_LT,
    ACTIONS(10672), 1,
      anon_sym_POUND,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10678), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10810), 1,
      sym__lowercase_identifier,
    STATE(8546), 1,
      sym_attribute,
    STATE(9135), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10312), 1,
      sym__tuple_type,
    STATE(10497), 1,
      sym__type,
    STATE(17235), 1,
      sym_extended_module_path,
    STATE(20155), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9505), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7876), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410460] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8548), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15948), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410542] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8549), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15534), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7880), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410670] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8551), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15590), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410752] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [410804] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(10750), 1,
      sym__lowercase_identifier,
    STATE(8553), 1,
      sym_attribute,
    STATE(9064), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10216), 1,
      sym__tuple_type,
    STATE(10487), 1,
      sym__type,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(18954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410886] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10764), 1,
      anon_sym_COMMA,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    ACTIONS(10776), 1,
      sym_rel_operator,
    ACTIONS(10778), 1,
      sym_and_operator,
    ACTIONS(10780), 1,
      sym_or_operator,
    ACTIONS(10782), 1,
      sym_assign_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [410954] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10806), 1,
      sym__lowercase_identifier,
    STATE(8555), 1,
      sym_attribute,
    STATE(12449), 1,
      sym__simple_type,
    STATE(13042), 1,
      sym__tuple_type,
    STATE(13044), 1,
      sym_tuple_type,
    STATE(13177), 1,
      sym__type,
    STATE(17166), 1,
      sym_extended_module_path,
    STATE(18764), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13224), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12706), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7890), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411082] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8557), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16093), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9406), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7015), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7011), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411256] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(10750), 1,
      sym__lowercase_identifier,
    STATE(8560), 1,
      sym_attribute,
    STATE(9064), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10216), 1,
      sym__tuple_type,
    STATE(11007), 1,
      sym__type,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(18954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411338] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8561), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12446), 1,
      sym__type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411420] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8562), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15145), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411502] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8563), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16130), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7894), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411630] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8565), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15868), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411712] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    ACTIONS(10776), 1,
      sym_rel_operator,
    ACTIONS(10778), 1,
      sym_and_operator,
    ACTIONS(10780), 1,
      sym_or_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411776] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10660), 1,
      anon_sym_LPAREN,
    ACTIONS(10664), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10668), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10670), 1,
      anon_sym_LT,
    ACTIONS(10672), 1,
      anon_sym_POUND,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10678), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10810), 1,
      sym__lowercase_identifier,
    STATE(8567), 1,
      sym_attribute,
    STATE(9135), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10312), 1,
      sym__tuple_type,
    STATE(10457), 1,
      sym__type,
    STATE(17235), 1,
      sym_extended_module_path,
    STATE(20155), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9505), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411858] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8568), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15855), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411940] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8569), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16284), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412022] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8570), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16123), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412104] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8571), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15194), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9450), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [412232] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8573), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15572), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412314] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8574), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15182), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412396] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8575), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15627), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412478] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8576), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15471), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412560] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    ACTIONS(10776), 1,
      sym_rel_operator,
    ACTIONS(10778), 1,
      sym_and_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [412622] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8578), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16267), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412704] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [412762] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [412820] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10770), 1,
      sym_pow_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [412870] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10770), 1,
      sym_pow_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [412920] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [412976] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    ACTIONS(10776), 1,
      sym_rel_operator,
    ACTIONS(10778), 1,
      sym_and_operator,
    ACTIONS(10780), 1,
      sym_or_operator,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413040] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8585), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(12671), 1,
      sym__type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413122] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8586), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15405), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413204] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10660), 1,
      anon_sym_LPAREN,
    ACTIONS(10664), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10668), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10670), 1,
      anon_sym_LT,
    ACTIONS(10672), 1,
      anon_sym_POUND,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10678), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10810), 1,
      sym__lowercase_identifier,
    STATE(8587), 1,
      sym_attribute,
    STATE(9135), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10312), 1,
      sym__tuple_type,
    STATE(10478), 1,
      sym__type,
    STATE(17235), 1,
      sym_extended_module_path,
    STATE(20155), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9505), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413286] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8588), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16072), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9458), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [413414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9454), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [413460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9552), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9554), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [413506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7932), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [413552] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8593), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14162), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413634] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10592), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK,
    ACTIONS(10598), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10602), 1,
      anon_sym_LT,
    ACTIONS(10604), 1,
      anon_sym_POUND,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10608), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10610), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10742), 1,
      sym__lowercase_identifier,
    STATE(8594), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(12747), 1,
      sym__simple_type,
    STATE(13301), 1,
      sym__tuple_type,
    STATE(13470), 1,
      sym__type,
    STATE(17349), 1,
      sym_extended_module_path,
    STATE(18770), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7910), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [413762] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413810] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8597), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12471), 1,
      sym__type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7914), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [413938] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8599), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16241), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414020] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8600), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14033), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414102] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8601), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14066), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414184] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8602), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16171), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414266] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8603), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15367), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414348] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8604), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15326), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414430] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8605), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15247), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414512] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8606), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15400), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414594] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(10804), 1,
      sym__lowercase_identifier,
    STATE(8607), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10270), 1,
      sym__tuple_type,
    STATE(10675), 1,
      sym__type,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(18267), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414676] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(8463), 1,
      aux_sym__match_cases_repeat1,
    STATE(8608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [414726] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8609), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16164), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414808] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10736), 1,
      sym__lowercase_identifier,
    STATE(8610), 1,
      sym_attribute,
    STATE(8803), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9854), 1,
      sym__tuple_type,
    STATE(10143), 1,
      sym__type,
    STATE(17151), 1,
      sym_extended_module_path,
    STATE(17749), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9054), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414890] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8611), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15395), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414972] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8612), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16169), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7918), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [415100] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8614), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16181), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415182] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(8452), 1,
      aux_sym__match_cases_repeat1,
    STATE(8615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [415232] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10682), 1,
      anon_sym_LPAREN,
    ACTIONS(10686), 1,
      anon_sym_LBRACK,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10690), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10692), 1,
      anon_sym_LT,
    ACTIONS(10694), 1,
      anon_sym_POUND,
    ACTIONS(10696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10700), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10740), 1,
      sym__lowercase_identifier,
    STATE(8616), 1,
      sym_attribute,
    STATE(9067), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10217), 1,
      sym__tuple_type,
    STATE(10663), 1,
      sym__type,
    STATE(17298), 1,
      sym_extended_module_path,
    STATE(19027), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9604), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415314] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8617), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(13525), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415396] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8618), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15345), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415478] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8619), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15356), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415560] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8620), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15154), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415642] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10755), 1,
      sym__lowercase_identifier,
    STATE(8621), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11742), 1,
      sym__simple_type,
    STATE(12942), 1,
      sym__tuple_type,
    STATE(12969), 1,
      sym__type,
    STATE(17254), 1,
      sym_extended_module_path,
    STATE(19521), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12511), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415724] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(10808), 1,
      sym__lowercase_identifier,
    STATE(8622), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9479), 1,
      sym__simple_type,
    STATE(10978), 1,
      sym__tuple_type,
    STATE(11390), 1,
      sym__type,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17467), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9466), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [415852] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8624), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15731), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415934] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8625), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(12726), 1,
      sym__type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416016] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8626), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(12730), 1,
      sym__type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7926), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9472), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9476), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9480), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9484), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416328] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8632), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15200), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416410] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8633), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15130), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416492] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8634), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15376), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9574), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9492), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9496), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416712] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8638), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15112), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7988), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9500), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416886] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10755), 1,
      sym__lowercase_identifier,
    STATE(8641), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11742), 1,
      sym__simple_type,
    STATE(12942), 1,
      sym__tuple_type,
    STATE(13009), 1,
      sym__type,
    STATE(17254), 1,
      sym_extended_module_path,
    STATE(19521), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12511), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9504), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417014] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10540), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10544), 1,
      anon_sym_LT,
    ACTIONS(10546), 1,
      anon_sym_POUND,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10552), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10738), 1,
      sym__lowercase_identifier,
    STATE(8643), 1,
      sym_attribute,
    STATE(8785), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9681), 1,
      sym__tuple_type,
    STATE(10026), 1,
      sym__type,
    STATE(17198), 1,
      sym_extended_module_path,
    STATE(19571), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9508), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7926), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9570), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8988), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417280] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8648), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16230), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7876), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417408] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8650), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16066), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9512), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417536] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8652), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15365), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9488), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417664] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8654), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14062), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9446), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417792] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8656), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15797), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417874] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8657), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16054), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417956] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8658), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14906), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418038] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8659), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15171), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418120] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8660), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15715), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418202] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8661), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15413), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418284] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      anon_sym_COMMA,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    ACTIONS(10796), 1,
      sym_rel_operator,
    ACTIONS(10798), 1,
      sym_and_operator,
    ACTIONS(10800), 1,
      sym_or_operator,
    ACTIONS(10802), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10155), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [418352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9566), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418398] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10757), 1,
      anon_sym_PIPE,
    STATE(8477), 1,
      aux_sym__match_cases_repeat1,
    STATE(8664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [418448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7988), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418494] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8666), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15708), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7880), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9520), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8016), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9524), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418760] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8671), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15264), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8020), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8024), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7918), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418980] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10812), 1,
      sym__lowercase_identifier,
    STATE(8675), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10261), 1,
      sym__simple_type,
    STATE(12044), 1,
      sym__tuple_type,
    STATE(12152), 1,
      sym__type,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(17760), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [419108] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8677), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14912), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9516), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419236] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [419284] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10812), 1,
      sym__lowercase_identifier,
    STATE(8680), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10261), 1,
      sym__simple_type,
    STATE(12044), 1,
      sym__tuple_type,
    STATE(12064), 1,
      sym__type,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(17760), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419366] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8681), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16110), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9076), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9072), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419540] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10812), 1,
      sym__lowercase_identifier,
    STATE(8684), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10261), 1,
      sym__simple_type,
    STATE(12044), 1,
      sym__tuple_type,
    STATE(12061), 1,
      sym__type,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(17760), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7906), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8938), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [419714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9064), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7932), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9544), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419852] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10540), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10544), 1,
      anon_sym_LT,
    ACTIONS(10546), 1,
      anon_sym_POUND,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10552), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10738), 1,
      sym__lowercase_identifier,
    STATE(8690), 1,
      sym_attribute,
    STATE(8785), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9681), 1,
      sym__tuple_type,
    STATE(9949), 1,
      sym__type,
    STATE(17198), 1,
      sym_extended_module_path,
    STATE(19571), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419934] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    ACTIONS(10796), 1,
      sym_rel_operator,
    ACTIONS(10798), 1,
      sym_and_operator,
    ACTIONS(10800), 1,
      sym_or_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [419998] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8692), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14046), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7984), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8918), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420172] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8695), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15305), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8028), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420300] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8697), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(14032), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420382] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8698), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16008), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420464] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8699), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(16012), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420546] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    ACTIONS(10796), 1,
      sym_rel_operator,
    ACTIONS(10798), 1,
      sym_and_operator,
    ACTIONS(10800), 1,
      sym_or_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [420610] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(10808), 1,
      sym__lowercase_identifier,
    STATE(8701), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9479), 1,
      sym__simple_type,
    STATE(10978), 1,
      sym__tuple_type,
    STATE(11593), 1,
      sym__type,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17467), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420692] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8702), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15063), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420774] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [420830] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      sym_pow_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [420880] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8705), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15272), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420962] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(8608), 1,
      aux_sym__match_cases_repeat1,
    STATE(8706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [421012] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      sym_pow_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [421062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9562), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421108] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10762), 1,
      sym__lowercase_identifier,
    STATE(8709), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(10944), 1,
      sym__simple_type,
    STATE(12621), 1,
      sym__tuple_type,
    STATE(12631), 1,
      sym__type,
    STATE(16787), 1,
      sym_extended_module_path,
    STATE(17742), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421190] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8710), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15099), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421272] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [421330] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [421388] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    ACTIONS(10796), 1,
      sym_rel_operator,
    ACTIONS(10798), 1,
      sym_and_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [421450] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      anon_sym_COMMA,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    ACTIONS(10796), 1,
      sym_rel_operator,
    ACTIONS(10798), 1,
      sym_and_operator,
    ACTIONS(10800), 1,
      sym_or_operator,
    ACTIONS(10802), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10173), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [421518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8964), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8922), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421610] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [421662] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10592), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK,
    ACTIONS(10598), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10602), 1,
      anon_sym_LT,
    ACTIONS(10604), 1,
      anon_sym_POUND,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10608), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10610), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10742), 1,
      sym__lowercase_identifier,
    STATE(8718), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(12747), 1,
      sym__simple_type,
    STATE(13301), 1,
      sym__tuple_type,
    STATE(13475), 1,
      sym__type,
    STATE(17349), 1,
      sym_extended_module_path,
    STATE(18770), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421744] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8719), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15962), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421826] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      anon_sym_COMMA,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    ACTIONS(10796), 1,
      sym_rel_operator,
    ACTIONS(10798), 1,
      sym_and_operator,
    ACTIONS(10800), 1,
      sym_or_operator,
    ACTIONS(10802), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10163), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [421894] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8721), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym__tuple_type,
    STATE(15738), 1,
      sym__type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9465), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8976), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8972), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9002), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8024), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9088), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8984), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9006), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7928), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [422336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8202), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8956), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9080), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8950), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8952), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7940), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4915), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(4913), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9010), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7765), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422696] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7587), 1,
      anon_sym_COLON_COLON,
    STATE(8738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9014), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422743] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10818), 1,
      anon_sym_let,
    STATE(8739), 1,
      sym_attribute,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10549), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10816), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [422804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8988), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422849] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7581), 1,
      anon_sym_COMMA,
    ACTIONS(7587), 1,
      anon_sym_COLON_COLON,
    STATE(8741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9018), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9022), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9064), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422988] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7587), 1,
      anon_sym_COLON_COLON,
    STATE(8744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9026), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7914), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423080] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(8746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7884), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [423127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9030), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9038), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9034), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8960), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8968), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8020), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8994), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423442] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10822), 1,
      anon_sym_let,
    STATE(8754), 1,
      sym_attribute,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10540), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10820), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [423503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8980), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9072), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9076), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423638] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10824), 1,
      anon_sym_type,
    ACTIONS(10826), 1,
      anon_sym_exception,
    ACTIONS(10828), 1,
      anon_sym_module,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10832), 1,
      anon_sym_include,
    ACTIONS(10834), 1,
      anon_sym_class,
    ACTIONS(10836), 1,
      anon_sym_val,
    ACTIONS(10838), 1,
      anon_sym_end,
    STATE(8758), 1,
      sym_attribute,
    STATE(8793), 1,
      aux_sym__signature_repeat1,
    STATE(8850), 1,
      aux_sym__structure_repeat1,
    STATE(12667), 1,
      sym__signature_item,
    STATE(19881), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [423715] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_DOT,
    STATE(8759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10840), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [423762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9042), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9046), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8964), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10846), 28,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [423942] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      anon_sym_COMMA,
    ACTIONS(10788), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_pow_operator,
    ACTIONS(10792), 1,
      sym_mult_operator,
    ACTIONS(10794), 1,
      sym_concat_operator,
    ACTIONS(10796), 1,
      sym_rel_operator,
    ACTIONS(10798), 1,
      sym_and_operator,
    ACTIONS(10800), 1,
      sym_or_operator,
    ACTIONS(10802), 1,
      sym_assign_operator,
    ACTIONS(10850), 1,
      anon_sym_SEMI,
    STATE(2288), 1,
      sym_add_operator,
    STATE(8764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9050), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9058), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424101] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10824), 1,
      anon_sym_type,
    ACTIONS(10826), 1,
      anon_sym_exception,
    ACTIONS(10828), 1,
      anon_sym_module,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10832), 1,
      anon_sym_include,
    ACTIONS(10834), 1,
      anon_sym_class,
    ACTIONS(10836), 1,
      anon_sym_val,
    ACTIONS(10852), 1,
      anon_sym_end,
    STATE(8767), 1,
      sym_attribute,
    STATE(8793), 1,
      aux_sym__signature_repeat1,
    STATE(8850), 1,
      aux_sym__structure_repeat1,
    STATE(12667), 1,
      sym__signature_item,
    STATE(18661), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [424178] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(8768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7884), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9084), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9068), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10854), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7886), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8016), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7980), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424450] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10764), 1,
      anon_sym_COMMA,
    ACTIONS(10768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10770), 1,
      sym_pow_operator,
    ACTIONS(10772), 1,
      sym_mult_operator,
    ACTIONS(10774), 1,
      sym_concat_operator,
    ACTIONS(10776), 1,
      sym_rel_operator,
    ACTIONS(10778), 1,
      sym_and_operator,
    ACTIONS(10780), 1,
      sym_or_operator,
    ACTIONS(10782), 1,
      sym_assign_operator,
    ACTIONS(10856), 1,
      anon_sym_SEMI,
    STATE(2073), 1,
      sym_add_operator,
    STATE(8774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9092), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8946), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9096), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9100), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8028), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8998), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7976), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424834] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10860), 1,
      anon_sym_let,
    STATE(8782), 1,
      sym_attribute,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10618), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10858), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7972), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7910), 27,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424985] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    ACTIONS(10868), 1,
      anon_sym_POUND,
    STATE(8785), 1,
      sym_attribute,
    STATE(8864), 1,
      sym_type_constructor_path,
    STATE(16987), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10866), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [425039] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    ACTIONS(10868), 1,
      anon_sym_POUND,
    STATE(8786), 1,
      sym_attribute,
    STATE(8864), 1,
      sym_type_constructor_path,
    STATE(16987), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10872), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [425093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10876), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10874), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425137] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    ACTIONS(10882), 1,
      anon_sym_POUND,
    STATE(8788), 1,
      sym_attribute,
    STATE(9133), 1,
      sym_type_constructor_path,
    STATE(16987), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10880), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [425191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10886), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10884), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10890), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10888), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10894), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10892), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425323] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10896), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10899), 1,
      anon_sym_external,
    ACTIONS(10902), 1,
      anon_sym_type,
    ACTIONS(10905), 1,
      anon_sym_exception,
    ACTIONS(10908), 1,
      anon_sym_module,
    ACTIONS(10911), 1,
      anon_sym_open,
    ACTIONS(10914), 1,
      anon_sym_include,
    ACTIONS(10917), 1,
      anon_sym_class,
    ACTIONS(10920), 1,
      anon_sym_val,
    ACTIONS(10923), 1,
      anon_sym_end,
    ACTIONS(10925), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10928), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10931), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9062), 1,
      aux_sym__structure_repeat1,
    STATE(12667), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8792), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [425395] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10824), 1,
      anon_sym_type,
    ACTIONS(10826), 1,
      anon_sym_exception,
    ACTIONS(10828), 1,
      anon_sym_module,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10832), 1,
      anon_sym_include,
    ACTIONS(10834), 1,
      anon_sym_class,
    ACTIONS(10836), 1,
      anon_sym_val,
    ACTIONS(10934), 1,
      anon_sym_end,
    STATE(8792), 1,
      aux_sym__signature_repeat1,
    STATE(8793), 1,
      sym_attribute,
    STATE(8859), 1,
      aux_sym__structure_repeat1,
    STATE(12667), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [425469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10938), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10936), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10942), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10940), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10946), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10950), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10948), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7894), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425689] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10952), 1,
      sym__lowercase_identifier,
    ACTIONS(10954), 1,
      anon_sym_POUND,
    STATE(8799), 1,
      sym_attribute,
    STATE(8901), 1,
      sym_type_constructor_path,
    STATE(16962), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10880), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [425743] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10952), 1,
      sym__lowercase_identifier,
    ACTIONS(10956), 1,
      anon_sym_POUND,
    STATE(8800), 1,
      sym_attribute,
    STATE(9130), 1,
      sym_type_constructor_path,
    STATE(16962), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10872), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [425797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7932), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425841] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10934), 1,
      anon_sym_RBRACK,
    ACTIONS(10958), 1,
      anon_sym_type,
    ACTIONS(10960), 1,
      anon_sym_exception,
    ACTIONS(10962), 1,
      anon_sym_module,
    ACTIONS(10964), 1,
      anon_sym_include,
    ACTIONS(10966), 1,
      anon_sym_class,
    ACTIONS(10968), 1,
      anon_sym_val,
    STATE(8802), 1,
      sym_attribute,
    STATE(8807), 1,
      aux_sym__signature_repeat1,
    STATE(8818), 1,
      aux_sym__structure_repeat1,
    STATE(12667), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [425915] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10952), 1,
      sym__lowercase_identifier,
    ACTIONS(10956), 1,
      anon_sym_POUND,
    STATE(8803), 1,
      sym_attribute,
    STATE(9130), 1,
      sym_type_constructor_path,
    STATE(16962), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10866), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [425969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10972), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10970), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10976), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10974), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10840), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426101] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10896), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10899), 1,
      anon_sym_external,
    ACTIONS(10911), 1,
      anon_sym_open,
    ACTIONS(10923), 1,
      anon_sym_RBRACK,
    ACTIONS(10925), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10928), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10931), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10978), 1,
      anon_sym_type,
    ACTIONS(10981), 1,
      anon_sym_exception,
    ACTIONS(10984), 1,
      anon_sym_module,
    ACTIONS(10987), 1,
      anon_sym_include,
    ACTIONS(10990), 1,
      anon_sym_class,
    ACTIONS(10993), 1,
      anon_sym_val,
    STATE(9066), 1,
      aux_sym__structure_repeat1,
    STATE(12667), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8807), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [426173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10998), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10996), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426217] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(8809), 1,
      sym_attribute,
    STATE(9791), 1,
      sym__simple_type,
    STATE(10084), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14404), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    STATE(18077), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [426294] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(8810), 1,
      sym_attribute,
    STATE(9265), 1,
      sym__simple_type,
    STATE(9645), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14338), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17276), 1,
      sym_extended_module_path,
    STATE(17400), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [426371] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(8811), 1,
      sym_attribute,
    STATE(9250), 1,
      sym__simple_type,
    STATE(9645), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14335), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17276), 1,
      sym_extended_module_path,
    STATE(17407), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [426448] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(8812), 1,
      sym_attribute,
    STATE(9698), 1,
      sym__simple_type,
    STATE(10133), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14459), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17268), 1,
      sym_extended_module_path,
    STATE(18618), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [426525] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(8813), 1,
      sym_attribute,
    STATE(9696), 1,
      sym__simple_type,
    STATE(10133), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14460), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17268), 1,
      sym_extended_module_path,
    STATE(18619), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [426602] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(8814), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(13045), 1,
      sym__simple_type,
    STATE(13238), 1,
      sym_type_variable,
    STATE(14734), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16311), 1,
      sym_extended_module_path,
    STATE(17695), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [426679] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(8815), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(13043), 1,
      sym__simple_type,
    STATE(13238), 1,
      sym_type_variable,
    STATE(14731), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16311), 1,
      sym_extended_module_path,
    STATE(17632), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [426756] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_COLON2,
    STATE(8816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [426801] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(8817), 1,
      sym_attribute,
    STATE(9306), 1,
      sym__simple_type,
    STATE(9531), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14494), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17092), 1,
      sym_extended_module_path,
    STATE(18891), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [426878] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10958), 1,
      anon_sym_type,
    ACTIONS(10960), 1,
      anon_sym_exception,
    ACTIONS(10962), 1,
      anon_sym_module,
    ACTIONS(10964), 1,
      anon_sym_include,
    ACTIONS(10966), 1,
      anon_sym_class,
    ACTIONS(10968), 1,
      anon_sym_val,
    ACTIONS(11090), 1,
      anon_sym_RBRACK,
    STATE(8818), 1,
      sym_attribute,
    STATE(12626), 1,
      aux_sym__structure_repeat1,
    STATE(12669), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [426949] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11094), 1,
      anon_sym_let,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(8819), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10847), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11092), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427008] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(8820), 1,
      sym_attribute,
    STATE(9843), 1,
      sym__simple_type,
    STATE(9930), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14643), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16824), 1,
      sym_extended_module_path,
    STATE(19542), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427085] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    STATE(8821), 1,
      sym_attribute,
    STATE(9286), 1,
      sym_type_constructor_path,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10880), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427138] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(8822), 1,
      sym_attribute,
    STATE(10243), 1,
      sym__simple_type,
    STATE(10322), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14573), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(20008), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427215] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(8823), 1,
      sym_attribute,
    STATE(9307), 1,
      sym__simple_type,
    STATE(9531), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14495), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17092), 1,
      sym_extended_module_path,
    STATE(18892), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427292] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(8824), 1,
      sym_attribute,
    STATE(9445), 1,
      sym__simple_type,
    STATE(9671), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14437), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18328), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427369] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(8825), 1,
      sym_attribute,
    STATE(9709), 1,
      sym__simple_type,
    STATE(10133), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14456), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17268), 1,
      sym_extended_module_path,
    STATE(18599), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427446] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(8826), 1,
      sym_attribute,
    STATE(10181), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10393), 1,
      sym__simple_type,
    STATE(14626), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(19090), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427523] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(8827), 1,
      sym_attribute,
    STATE(9165), 1,
      sym__simple_type,
    STATE(9210), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14531), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(19244), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427600] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(8828), 1,
      sym_attribute,
    STATE(9809), 1,
      sym__simple_type,
    STATE(9930), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14561), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16824), 1,
      sym_extended_module_path,
    STATE(19352), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427677] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10934), 1,
      anon_sym_RBRACK,
    ACTIONS(10958), 1,
      anon_sym_type,
    ACTIONS(10960), 1,
      anon_sym_exception,
    ACTIONS(10962), 1,
      anon_sym_module,
    ACTIONS(10964), 1,
      anon_sym_include,
    ACTIONS(10966), 1,
      anon_sym_class,
    ACTIONS(10968), 1,
      anon_sym_val,
    STATE(8829), 1,
      sym_attribute,
    STATE(12626), 1,
      aux_sym__structure_repeat1,
    STATE(12669), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [427748] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11130), 1,
      anon_sym_let,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(8830), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11209), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11128), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427807] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(8831), 1,
      sym_attribute,
    STATE(10281), 1,
      sym__simple_type,
    STATE(10322), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14568), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(19896), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427884] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8832), 1,
      sym_attribute,
    STATE(8968), 1,
      sym__simple_type,
    STATE(9212), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14346), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(17465), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427961] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(8833), 1,
      sym_attribute,
    STATE(9472), 1,
      sym__simple_type,
    STATE(9671), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14441), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18362), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428038] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(8834), 1,
      sym_attribute,
    STATE(9471), 1,
      sym__simple_type,
    STATE(9671), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14440), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18349), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428115] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8835), 1,
      sym_attribute,
    STATE(8996), 1,
      sym__simple_type,
    STATE(9212), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14347), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(17479), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428192] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(8836), 1,
      sym_attribute,
    STATE(9910), 1,
      sym__simple_type,
    STATE(10084), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14402), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    STATE(18052), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428269] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8837), 1,
      sym_attribute,
    STATE(8998), 1,
      sym__simple_type,
    STATE(9212), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14348), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(17485), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428346] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(8838), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(13034), 1,
      sym__simple_type,
    STATE(13238), 1,
      sym_type_variable,
    STATE(14724), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16311), 1,
      sym_extended_module_path,
    STATE(17623), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10848), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [428466] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(8840), 1,
      sym_attribute,
    STATE(9166), 1,
      sym__simple_type,
    STATE(9210), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14532), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(19247), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428543] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(8841), 1,
      sym_attribute,
    STATE(9266), 1,
      sym__simple_type,
    STATE(9645), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14339), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17276), 1,
      sym_extended_module_path,
    STATE(17398), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428620] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11136), 1,
      anon_sym_POUND,
    STATE(8842), 1,
      sym_attribute,
    STATE(9328), 1,
      sym_type_constructor_path,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10880), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [428673] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(8843), 1,
      sym_attribute,
    STATE(9864), 1,
      sym__simple_type,
    STATE(9930), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14636), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16824), 1,
      sym_extended_module_path,
    STATE(19540), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10848), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [428793] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8845), 1,
      sym_attribute,
    STATE(9689), 1,
      sym__simple_type,
    STATE(10148), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14364), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17323), 1,
      sym_extended_module_path,
    STATE(17672), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428870] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(8846), 1,
      sym_attribute,
    STATE(9138), 1,
      sym__simple_type,
    STATE(9210), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14529), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(19220), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428947] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11156), 1,
      anon_sym_let,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(8847), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11553), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11154), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429006] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_COLON2,
    STATE(8848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [429051] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8849), 1,
      sym_attribute,
    STATE(9549), 1,
      sym__simple_type,
    STATE(9823), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14392), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17864), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429128] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10824), 1,
      anon_sym_type,
    ACTIONS(10826), 1,
      anon_sym_exception,
    ACTIONS(10828), 1,
      anon_sym_module,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10832), 1,
      anon_sym_include,
    ACTIONS(10834), 1,
      anon_sym_class,
    ACTIONS(10836), 1,
      anon_sym_val,
    ACTIONS(10934), 1,
      anon_sym_end,
    STATE(8850), 1,
      sym_attribute,
    STATE(12626), 1,
      aux_sym__structure_repeat1,
    STATE(12669), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [429199] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8851), 1,
      sym_attribute,
    STATE(9532), 1,
      sym__simple_type,
    STATE(9823), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14391), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17863), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429276] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8852), 1,
      sym_attribute,
    STATE(9814), 1,
      sym__simple_type,
    STATE(10148), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14366), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17323), 1,
      sym_extended_module_path,
    STATE(17698), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429353] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11162), 1,
      anon_sym_let,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(8853), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10983), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11160), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429412] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8854), 1,
      sym_attribute,
    STATE(9789), 1,
      sym__simple_type,
    STATE(10148), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14365), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17323), 1,
      sym_extended_module_path,
    STATE(17696), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429489] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(8855), 1,
      sym_attribute,
    STATE(10181), 1,
      sym_type_variable,
    STATE(10327), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14630), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(19081), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429566] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(8856), 1,
      sym_attribute,
    STATE(10181), 1,
      sym_type_variable,
    STATE(10326), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14631), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(19074), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429643] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(10504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      anon_sym_let,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(8857), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10863), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11164), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429702] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(8858), 1,
      sym_attribute,
    STATE(9318), 1,
      sym__simple_type,
    STATE(9531), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14491), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17092), 1,
      sym_extended_module_path,
    STATE(18876), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429779] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10824), 1,
      anon_sym_type,
    ACTIONS(10826), 1,
      anon_sym_exception,
    ACTIONS(10828), 1,
      anon_sym_module,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10832), 1,
      anon_sym_include,
    ACTIONS(10834), 1,
      anon_sym_class,
    ACTIONS(10836), 1,
      anon_sym_val,
    ACTIONS(11090), 1,
      anon_sym_end,
    STATE(8859), 1,
      sym_attribute,
    STATE(12626), 1,
      aux_sym__structure_repeat1,
    STATE(12669), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [429850] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(8860), 1,
      sym_attribute,
    STATE(10244), 1,
      sym__simple_type,
    STATE(10322), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14572), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(19999), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429927] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(8861), 1,
      sym_attribute,
    STATE(9784), 1,
      sym__simple_type,
    STATE(10084), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14406), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    STATE(18079), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430004] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8862), 1,
      sym_attribute,
    STATE(9521), 1,
      sym__simple_type,
    STATE(9823), 1,
      sym_type_variable,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(14390), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17838), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430081] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      anon_sym_LBRACE,
    STATE(8863), 1,
      sym_attribute,
    STATE(13160), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    STATE(16591), 1,
      sym__constructor_argument,
    STATE(16593), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11170), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [430195] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(8865), 1,
      sym_attribute,
    STATE(9242), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17276), 1,
      sym_extended_module_path,
    STATE(17413), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430267] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8866), 1,
      sym_attribute,
    STATE(9336), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17819), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430339] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(8867), 1,
      sym_attribute,
    STATE(9358), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7898), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8114), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430495] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11176), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11178), 1,
      anon_sym_GT,
    STATE(8870), 1,
      sym_attribute,
    STATE(13258), 1,
      sym__simple_type,
    STATE(15309), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11180), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [430609] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8872), 1,
      sym_attribute,
    STATE(9420), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17825), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430681] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(8873), 1,
      sym_attribute,
    STATE(9232), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17276), 1,
      sym_extended_module_path,
    STATE(17414), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430753] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11184), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11186), 1,
      anon_sym_GT,
    STATE(8874), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430825] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11188), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11190), 1,
      anon_sym_GT,
    STATE(8875), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430897] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(8876), 1,
      sym_attribute,
    STATE(9291), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17092), 1,
      sym_extended_module_path,
    STATE(18864), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11194), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11192), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [431011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11196), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431053] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(8879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7884), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431097] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(8880), 1,
      sym_attribute,
    STATE(9288), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17092), 1,
      sym_extended_module_path,
    STATE(18863), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11200), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11204), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7902), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431295] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8884), 1,
      sym_attribute,
    STATE(9434), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16896), 1,
      sym_extended_module_path,
    STATE(17826), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11208), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431409] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11212), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11214), 1,
      anon_sym_GT,
    STATE(8886), 1,
      sym_attribute,
    STATE(13242), 1,
      sym__simple_type,
    STATE(16082), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11216), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431523] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(8888), 1,
      sym_attribute,
    STATE(10025), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8110), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431637] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11220), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11222), 1,
      anon_sym_GT,
    STATE(8890), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431709] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11226), 1,
      anon_sym_GT,
    STATE(8891), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7980), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431823] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(8893), 1,
      sym_attribute,
    STATE(9228), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17276), 1,
      sym_extended_module_path,
    STATE(17415), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8106), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8102), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11228), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8098), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432063] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(8898), 1,
      sym_attribute,
    STATE(9358), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432135] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(8899), 1,
      sym_attribute,
    STATE(9358), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432207] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11232), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11234), 1,
      anon_sym_GT,
    STATE(8900), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11236), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432321] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11240), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11242), 1,
      anon_sym_GT,
    STATE(8902), 1,
      sym_attribute,
    STATE(13295), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8094), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8014), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8018), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8022), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8026), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8088), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432645] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7988), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8084), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8072), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11244), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432813] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11250), 1,
      anon_sym_GT,
    STATE(8913), 1,
      sym_attribute,
    STATE(13269), 1,
      sym__simple_type,
    STATE(15576), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432885] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(8914), 1,
      sym_attribute,
    STATE(9515), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432957] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11252), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11254), 1,
      anon_sym_GT,
    STATE(8915), 1,
      sym_attribute,
    STATE(13261), 1,
      sym__simple_type,
    STATE(16208), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433029] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11256), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11258), 1,
      anon_sym_GT,
    STATE(8916), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7922), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433143] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11262), 1,
      anon_sym_GT,
    STATE(8918), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433215] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8919), 1,
      sym_attribute,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [433273] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(8920), 1,
      sym_attribute,
    STATE(9269), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17092), 1,
      sym_extended_module_path,
    STATE(18855), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433345] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11276), 1,
      anon_sym_GT,
    STATE(8921), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433417] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11280), 1,
      anon_sym_GT,
    STATE(8922), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8014), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433531] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11282), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11284), 1,
      anon_sym_GT,
    STATE(8924), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8018), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433645] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8926), 1,
      sym_attribute,
    STATE(9840), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8038), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8022), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433801] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11288), 1,
      anon_sym_GT,
    STATE(8929), 1,
      sym_attribute,
    STATE(13250), 1,
      sym__simple_type,
    STATE(14975), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8034), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8026), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11290), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433999] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11294), 1,
      anon_sym_DOT,
    STATE(8933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8154), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434043] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(8934), 1,
      sym_attribute,
    STATE(9927), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16824), 1,
      sym_extended_module_path,
    STATE(19266), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434115] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(8935), 1,
      sym_attribute,
    STATE(10025), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11296), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8004), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434271] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(8938), 1,
      sym_attribute,
    STATE(9425), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18298), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8176), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434385] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8940), 1,
      sym_attribute,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [434443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7936), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7984), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434527] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8943), 1,
      sym_attribute,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [434585] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7872), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434627] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11308), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11310), 1,
      anon_sym_GT,
    STATE(8945), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434699] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11312), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11314), 1,
      anon_sym_GT,
    STATE(8946), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8986), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7868), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434855] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(8949), 1,
      sym_attribute,
    STATE(10025), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434927] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11316), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11318), 1,
      anon_sym_GT,
    STATE(8950), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434999] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11320), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11322), 1,
      anon_sym_GT,
    STATE(8951), 1,
      sym_attribute,
    STATE(13254), 1,
      sym__simple_type,
    STATE(15468), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435071] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11324), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11326), 1,
      anon_sym_GT,
    STATE(8952), 1,
      sym_attribute,
    STATE(13314), 1,
      sym__simple_type,
    STATE(15831), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435143] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11328), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11330), 1,
      anon_sym_GT,
    STATE(8953), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7745), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7747), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435257] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7743), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8190), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7737), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7739), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435383] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7777), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8186), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7858), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7860), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435509] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11294), 1,
      anon_sym_DOT,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    ACTIONS(11334), 1,
      sym_hash_operator,
    STATE(8961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7862), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7864), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [435599] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11336), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11338), 1,
      anon_sym_GT,
    STATE(8963), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435671] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7854), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7856), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435713] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11340), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11342), 1,
      anon_sym_GT,
    STATE(8965), 1,
      sym_attribute,
    STATE(13245), 1,
      sym__simple_type,
    STATE(15844), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7852), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7996), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435869] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8968), 1,
      sym_attribute,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11346), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [435927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8182), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8170), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8162), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8158), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436095] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(8973), 1,
      sym_attribute,
    STATE(9758), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16824), 1,
      sym_extended_module_path,
    STATE(19226), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8130), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7731), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436251] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11348), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11350), 1,
      anon_sym_GT,
    STATE(8976), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436323] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8977), 1,
      sym_attribute,
    STATE(9840), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436395] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11354), 1,
      anon_sym_GT,
    STATE(8978), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436467] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8979), 1,
      sym_attribute,
    STATE(9840), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7735), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11356), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [436623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8000), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11360), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [436707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11366), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11364), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11368), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [436791] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11372), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11374), 1,
      anon_sym_GT,
    STATE(8986), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436863] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8987), 1,
      sym_attribute,
    STATE(10007), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436935] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8988), 1,
      sym_attribute,
    STATE(10007), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7976), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437049] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11378), 1,
      anon_sym_GT,
    STATE(8990), 1,
      sym_attribute,
    STATE(13315), 1,
      sym__simple_type,
    STATE(15937), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8146), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10848), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [437205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11380), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [437247] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8202), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437289] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11388), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437333] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8996), 1,
      sym_attribute,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11392), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437391] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(8997), 1,
      sym_attribute,
    STATE(9427), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18300), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437463] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8998), 1,
      sym_attribute,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11396), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437521] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8999), 1,
      sym_attribute,
    STATE(10007), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [437635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7972), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11402), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [437719] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11406), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11408), 1,
      anon_sym_GT,
    STATE(9003), 1,
      sym_attribute,
    STATE(13304), 1,
      sym__simple_type,
    STATE(15924), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437791] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11410), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11412), 1,
      anon_sym_GT,
    STATE(9004), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7940), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8126), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437947] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9007), 1,
      sym_attribute,
    STATE(9915), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16824), 1,
      sym_extended_module_path,
    STATE(19265), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8062), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438061] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11414), 1,
      sym__lowercase_identifier,
    ACTIONS(11416), 1,
      anon_sym_POUND,
    STATE(9009), 1,
      sym_attribute,
    STATE(9542), 1,
      sym_type_constructor_path,
    STATE(17001), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [438113] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9010), 1,
      sym_attribute,
    STATE(9435), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16487), 1,
      sym_extended_module_path,
    STATE(18302), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438185] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9011), 1,
      sym_attribute,
    STATE(9093), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(19159), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11418), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438299] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11422), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11424), 1,
      anon_sym_GT,
    STATE(9013), 1,
      sym_attribute,
    STATE(13281), 1,
      sym__simple_type,
    STATE(16014), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438371] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9014), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(10636), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438443] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11428), 1,
      anon_sym_GT,
    STATE(9015), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11388), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [438557] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11432), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11434), 1,
      anon_sym_GT,
    STATE(9017), 1,
      sym_attribute,
    STATE(13278), 1,
      sym__simple_type,
    STATE(15093), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438629] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9018), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(10636), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438701] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11436), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11438), 1,
      anon_sym_GT,
    STATE(9019), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8008), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438815] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(9021), 1,
      sym_attribute,
    STATE(9515), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8142), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438929] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(9023), 1,
      sym_attribute,
    STATE(9515), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439001] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9024), 1,
      sym_attribute,
    STATE(9661), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17323), 1,
      sym_extended_module_path,
    STATE(17653), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439073] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9025), 1,
      sym_attribute,
    STATE(9667), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17323), 1,
      sym_extended_module_path,
    STATE(17650), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439145] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9026), 1,
      sym_attribute,
    STATE(9113), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(19162), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439217] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9027), 1,
      sym_attribute,
    STATE(9115), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17076), 1,
      sym_extended_module_path,
    STATE(19167), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439331] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11444), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11446), 1,
      anon_sym_GT,
    STATE(9029), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439403] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11448), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11450), 1,
      anon_sym_GT,
    STATE(9030), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439475] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11452), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11454), 1,
      anon_sym_GT,
    STATE(9031), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8134), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8122), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439631] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9034), 1,
      sym_attribute,
    STATE(9674), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17323), 1,
      sym_extended_module_path,
    STATE(17648), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7765), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7759), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439787] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11456), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11458), 1,
      anon_sym_GT,
    STATE(9037), 1,
      sym_attribute,
    STATE(13303), 1,
      sym__simple_type,
    STATE(16026), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7727), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439901] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11460), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11462), 1,
      anon_sym_GT,
    STATE(9039), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439973] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9040), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(10532), 1,
      sym__simple_type,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8078), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [440129] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9043), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10532), 1,
      sym__simple_type,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8138), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [440243] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9045), 1,
      sym_attribute,
    STATE(9182), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440315] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11468), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11470), 1,
      anon_sym_GT,
    STATE(9046), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440387] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9047), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(13023), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    STATE(17577), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440459] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11472), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11474), 1,
      anon_sym_GT,
    STATE(9048), 1,
      sym_attribute,
    STATE(13292), 1,
      sym__simple_type,
    STATE(16001), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440531] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11476), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11478), 1,
      anon_sym_GT,
    STATE(9049), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11480), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440645] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11484), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11486), 1,
      anon_sym_GT,
    STATE(9051), 1,
      sym_attribute,
    STATE(13271), 1,
      sym__simple_type,
    STATE(16277), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440717] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11294), 1,
      anon_sym_DOT,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    ACTIONS(11334), 1,
      sym_hash_operator,
    STATE(9052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8222), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [440765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11488), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440849] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11414), 1,
      sym__lowercase_identifier,
    ACTIONS(11496), 1,
      anon_sym_POUND,
    STATE(9055), 1,
      sym_attribute,
    STATE(9513), 1,
      sym_type_constructor_path,
    STATE(17001), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [440901] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11498), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11500), 1,
      anon_sym_GT,
    STATE(9056), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440973] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(11508), 1,
      anon_sym_DOT,
    STATE(9057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11502), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [441019] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9058), 1,
      sym_attribute,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10872), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [441071] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11512), 1,
      anon_sym_GT,
    STATE(9059), 1,
      sym_attribute,
    STATE(13253), 1,
      sym__simple_type,
    STATE(16142), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441143] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9060), 1,
      sym_attribute,
    STATE(9876), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441215] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9061), 1,
      sym_attribute,
    STATE(9992), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441287] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10824), 1,
      anon_sym_type,
    ACTIONS(10826), 1,
      anon_sym_exception,
    ACTIONS(10828), 1,
      anon_sym_module,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10832), 1,
      anon_sym_include,
    ACTIONS(10834), 1,
      anon_sym_class,
    ACTIONS(10836), 1,
      anon_sym_val,
    STATE(9062), 1,
      sym_attribute,
    STATE(12626), 1,
      aux_sym__structure_repeat1,
    STATE(12669), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [441355] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11514), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11516), 1,
      anon_sym_GT,
    STATE(9063), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441427] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9064), 1,
      sym_attribute,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10866), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [441479] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9065), 1,
      sym_attribute,
    STATE(9876), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441551] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7703), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10317), 1,
      anon_sym_external,
    ACTIONS(10830), 1,
      anon_sym_open,
    ACTIONS(10958), 1,
      anon_sym_type,
    ACTIONS(10960), 1,
      anon_sym_exception,
    ACTIONS(10962), 1,
      anon_sym_module,
    ACTIONS(10964), 1,
      anon_sym_include,
    ACTIONS(10966), 1,
      anon_sym_class,
    ACTIONS(10968), 1,
      anon_sym_val,
    STATE(9066), 1,
      sym_attribute,
    STATE(12626), 1,
      aux_sym__structure_repeat1,
    STATE(12669), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12666), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [441619] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11520), 1,
      sym__lowercase_identifier,
    ACTIONS(11522), 1,
      anon_sym_POUND,
    STATE(9067), 1,
      sym_attribute,
    STATE(9632), 1,
      sym_type_constructor_path,
    STATE(17058), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10866), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [441671] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11526), 1,
      anon_sym_GT,
    STATE(9068), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441743] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9069), 1,
      sym_attribute,
    STATE(9876), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441815] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9070), 1,
      sym_attribute,
    STATE(9904), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17358), 1,
      sym_extended_module_path,
    STATE(18032), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441887] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11528), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11530), 1,
      anon_sym_GT,
    STATE(9071), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441959] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9072), 1,
      sym_attribute,
    STATE(9182), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442031] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9073), 1,
      sym_attribute,
    STATE(9182), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442103] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9074), 1,
      sym_attribute,
    STATE(9898), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17358), 1,
      sym_extended_module_path,
    STATE(18021), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442175] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11532), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11534), 1,
      anon_sym_GT,
    STATE(9075), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442247] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9076), 1,
      sym_attribute,
    STATE(9749), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17268), 1,
      sym_extended_module_path,
    STATE(18576), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442319] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9077), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(10636), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442391] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11538), 1,
      anon_sym_GT,
    STATE(9078), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442463] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11540), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11542), 1,
      anon_sym_GT,
    STATE(9079), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442535] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11544), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11546), 1,
      anon_sym_GT,
    STATE(9080), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442607] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9081), 1,
      sym_attribute,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10866), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [442659] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9082), 1,
      sym_attribute,
    STATE(9742), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17268), 1,
      sym_extended_module_path,
    STATE(18453), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442731] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9083), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(13026), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    STATE(17587), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442803] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11548), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11550), 1,
      anon_sym_GT,
    STATE(9084), 1,
      sym_attribute,
    STATE(13285), 1,
      sym__simple_type,
    STATE(15635), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442875] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9085), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(13032), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    STATE(17588), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442947] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9086), 1,
      sym_attribute,
    STATE(9737), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17268), 1,
      sym_extended_module_path,
    STATE(18580), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443019] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9087), 1,
      sym_attribute,
    STATE(9992), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11228), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11488), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8118), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [443217] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9091), 1,
      sym_attribute,
    STATE(10109), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11480), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443331] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9093), 1,
      sym_attribute,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [443389] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11552), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11554), 1,
      anon_sym_GT,
    STATE(9094), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443461] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9095), 1,
      sym_attribute,
    STATE(10109), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443575] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11556), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11558), 1,
      anon_sym_GT,
    STATE(9097), 1,
      sym_attribute,
    STATE(13286), 1,
      sym__simple_type,
    STATE(16204), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11560), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443731] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(9100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7884), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [443775] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9101), 1,
      sym_attribute,
    STATE(10314), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(19838), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443847] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11564), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11566), 1,
      anon_sym_GT,
    STATE(9102), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443919] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9103), 1,
      sym_attribute,
    STATE(10316), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(19830), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443991] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9104), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10532), 1,
      sym__simple_type,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11418), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7926), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444147] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11568), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11570), 1,
      anon_sym_GT,
    STATE(9107), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11402), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444261] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11572), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11574), 1,
      anon_sym_GT,
    STATE(9109), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444333] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      anon_sym_LBRACE,
    STATE(9110), 1,
      sym_attribute,
    STATE(13160), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    STATE(16593), 1,
      sym_record_declaration,
    STATE(16595), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444405] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11520), 1,
      sym__lowercase_identifier,
    ACTIONS(11522), 1,
      anon_sym_POUND,
    STATE(9111), 1,
      sym_attribute,
    STATE(9632), 1,
      sym_type_constructor_path,
    STATE(17058), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [444457] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9112), 1,
      sym_attribute,
    STATE(9765), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17358), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444529] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9113), 1,
      sym_attribute,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [444587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7918), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444629] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9115), 1,
      sym_attribute,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [444687] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9116), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10334), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    STATE(19809), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444801] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11578), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11576), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [444845] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11582), 1,
      anon_sym_GT,
    STATE(9119), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7914), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8150), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7906), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7890), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445085] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9124), 1,
      sym_attribute,
    STATE(9992), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445157] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7880), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7876), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8986), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445325] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11586), 1,
      anon_sym_GT,
    STATE(9129), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11170), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11380), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11244), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11236), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445565] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9134), 1,
      sym_attribute,
    STATE(9272), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10510), 1,
      sym__constructor_argument,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445637] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11414), 1,
      sym__lowercase_identifier,
    ACTIONS(11496), 1,
      anon_sym_POUND,
    STATE(9135), 1,
      sym_attribute,
    STATE(9513), 1,
      sym_type_constructor_path,
    STATE(17001), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10866), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [445689] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9136), 1,
      sym_attribute,
    STATE(10109), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11180), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445803] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9138), 1,
      sym_attribute,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11346), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [445861] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9139), 1,
      sym_attribute,
    STATE(9272), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10552), 1,
      sym__constructor_argument,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445933] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8012), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11560), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446017] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8919), 1,
      sym__simple_type,
    STATE(9142), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(17448), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446131] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11590), 1,
      anon_sym_GT,
    STATE(9144), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10848), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446245] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      anon_sym_LBRACE,
    STATE(9146), 1,
      sym_attribute,
    STATE(13160), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    STATE(16593), 1,
      sym_record_declaration,
    STATE(16601), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446317] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11592), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11594), 1,
      anon_sym_GT,
    STATE(9147), 1,
      sym_attribute,
    STATE(13294), 1,
      sym__simple_type,
    STATE(14902), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446389] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11596), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11598), 1,
      anon_sym_GT,
    STATE(9148), 1,
      sym_attribute,
    STATE(13264), 1,
      sym__simple_type,
    STATE(15739), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446461] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9149), 1,
      sym_attribute,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10872), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [446513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7753), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11216), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446597] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9152), 1,
      sym_attribute,
    STATE(10321), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(19303), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11208), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446711] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9154), 1,
      sym_attribute,
    STATE(10319), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(19786), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11196), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11200), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446867] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11602), 1,
      anon_sym_GT,
    STATE(9157), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11204), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446981] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11604), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11606), 1,
      anon_sym_GT,
    STATE(9159), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11368), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447095] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9161), 1,
      sym_attribute,
    STATE(9272), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(10545), 1,
      sym__constructor_argument,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447167] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8940), 1,
      sym__simple_type,
    STATE(9162), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(17450), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447239] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8943), 1,
      sym__simple_type,
    STATE(9163), 1,
      sym_attribute,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(17181), 1,
      sym_extended_module_path,
    STATE(17451), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11290), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447353] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9165), 1,
      sym_attribute,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11392), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [447411] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9166), 1,
      sym_attribute,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11396), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [447469] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    ACTIONS(11608), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11610), 1,
      anon_sym_GT,
    STATE(9167), 1,
      sym_attribute,
    STATE(13274), 1,
      sym__simple_type,
    STATE(16153), 1,
      sym_method_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8028), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8024), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8020), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447667] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9171), 1,
      sym_attribute,
    STATE(10283), 1,
      sym__simple_type,
    STATE(10328), 1,
      sym_record_declaration,
    STATE(16644), 1,
      sym_extended_module_path,
    STATE(19394), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11296), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11360), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8016), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11356), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447907] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11520), 1,
      sym__lowercase_identifier,
    ACTIONS(11612), 1,
      anon_sym_POUND,
    STATE(9176), 1,
      sym_attribute,
    STATE(9593), 1,
      sym_type_constructor_path,
    STATE(17058), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [447959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7771), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448001] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11616), 1,
      anon_sym_let,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(11622), 1,
      anon_sym_COLON2,
    STATE(9178), 1,
      sym_attribute,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9937), 1,
      sym__module_typed,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10722), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11618), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11614), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [448060] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9179), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16920), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448129] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9038), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11628), 1,
      anon_sym_let,
    ACTIONS(11630), 1,
      anon_sym_EQ,
    ACTIONS(11632), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    STATE(9180), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9947), 1,
      sym__type_equation,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10204), 1,
      aux_sym_type_binding_repeat1,
    STATE(10693), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [448190] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [448233] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    ACTIONS(11638), 1,
      anon_sym_STAR,
    STATE(9182), 1,
      sym_attribute,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(10408), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11636), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [448288] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9183), 1,
      sym_attribute,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16928), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448357] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(11640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(9184), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10847), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11092), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [448412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11228), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11380), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8026), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8022), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448617] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COMMA,
    ACTIONS(11646), 1,
      anon_sym_SEMI,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    ACTIONS(11656), 1,
      sym_rel_operator,
    ACTIONS(11658), 1,
      sym_and_operator,
    ACTIONS(11660), 1,
      sym_or_operator,
    ACTIONS(11662), 1,
      sym_assign_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [448682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8018), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448723] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(11666), 1,
      anon_sym_let,
    ACTIONS(11670), 1,
      anon_sym_COLON2,
    STATE(9192), 1,
      sym_attribute,
    STATE(9223), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10029), 1,
      sym__module_typed,
    STATE(10655), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11668), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11664), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [448782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11402), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11360), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11356), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448905] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11672), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(9196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [448950] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11388), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [448993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11296), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11290), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11200), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11418), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449157] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_COLON2,
    STATE(9202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [449200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11204), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8986), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11200), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11196), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11676), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11674), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [449405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11228), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11208), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11204), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449571] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8014), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11216), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11170), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11196), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11208), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11216), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7932), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11682), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11680), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [449983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11368), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450024] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11616), 1,
      anon_sym_let,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(11670), 1,
      anon_sym_COLON2,
    STATE(9223), 1,
      sym_attribute,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9937), 1,
      sym__module_typed,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10722), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11618), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11614), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11368), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8986), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11684), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11480), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450247] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9228), 1,
      sym_attribute,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [450304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11488), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450345] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11694), 1,
      anon_sym_POUND,
    STATE(9230), 1,
      sym_attribute,
    STATE(9706), 1,
      sym_type_constructor_path,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [450396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11672), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(9231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [450441] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9232), 1,
      sym_attribute,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [450498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10866), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10864), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450580] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11696), 1,
      anon_sym_COLON2,
    STATE(9235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7992), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10866), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 25,
      ts_builtin_sym_end,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [450746] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9038), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11628), 1,
      anon_sym_let,
    ACTIONS(11698), 1,
      anon_sym_EQ,
    ACTIONS(11700), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    STATE(9239), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10099), 1,
      sym__type_equation,
    STATE(10317), 1,
      aux_sym_type_binding_repeat1,
    STATE(10693), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450807] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(9240), 1,
      sym_attribute,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17048), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450876] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(9241), 1,
      sym_attribute,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17044), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450945] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9242), 1,
      sym_attribute,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [451002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10848), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [451043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10848), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [451084] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_COLON2,
    STATE(9245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [451127] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11706), 1,
      anon_sym_POUND,
    STATE(9246), 1,
      sym_attribute,
    STATE(9848), 1,
      sym_type_constructor_path,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [451178] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(9247), 1,
      sym_attribute,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16566), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451247] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(9248), 1,
      sym_attribute,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16554), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451316] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11696), 1,
      anon_sym_COLON2,
    STATE(9249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451359] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9250), 1,
      sym_attribute,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11346), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [451416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7940), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [451457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7910), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11712), 1,
      anon_sym_LPAREN,
    STATE(9928), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9254), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11710), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11708), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8014), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451666] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(11622), 1,
      anon_sym_COLON2,
    ACTIONS(11666), 1,
      anon_sym_let,
    STATE(9178), 1,
      aux_sym_module_binding_repeat1,
    STATE(9257), 1,
      sym_attribute,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10029), 1,
      sym__module_typed,
    STATE(10655), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11668), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11664), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451725] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COMMA,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    ACTIONS(11656), 1,
      sym_rel_operator,
    ACTIONS(11658), 1,
      sym_and_operator,
    ACTIONS(11660), 1,
      sym_or_operator,
    ACTIONS(11662), 1,
      sym_assign_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [451788] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9038), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11632), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(11717), 1,
      anon_sym_let,
    ACTIONS(11719), 1,
      anon_sym_EQ,
    STATE(9259), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10135), 1,
      sym__type_equation,
    STATE(10367), 1,
      aux_sym_type_binding_repeat1,
    STATE(10476), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11715), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8018), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8022), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11723), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11721), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8026), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452013] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    ACTIONS(11656), 1,
      sym_rel_operator,
    ACTIONS(11658), 1,
      sym_and_operator,
    ACTIONS(11660), 1,
      sym_or_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [452072] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9265), 1,
      sym_attribute,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11392), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [452129] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9266), 1,
      sym_attribute,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11396), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [452186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7972), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [452227] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(9268), 1,
      sym_attribute,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17311), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452296] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(9269), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [452353] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9038), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11700), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(11717), 1,
      anon_sym_let,
    ACTIONS(11729), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9270), 1,
      sym_attribute,
    STATE(9933), 1,
      sym__type_equation,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10245), 1,
      aux_sym_type_binding_repeat1,
    STATE(10476), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11715), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [452414] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(9271), 1,
      sym_attribute,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17172), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452483] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    ACTIONS(11731), 1,
      anon_sym_STAR,
    STATE(9272), 1,
      sym_attribute,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(10571), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11636), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [452538] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(9273), 1,
      sym_attribute,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17183), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11560), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11290), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11296), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11356), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11180), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7976), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [452853] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9238), 1,
      sym_tuple_type,
    STATE(9280), 1,
      sym_attribute,
    STATE(11355), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(17306), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7980), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [452963] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11733), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(9282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453008] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11733), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(9283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11236), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453217] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(9288), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [453274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11244), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453356] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(9291), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [453413] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    ACTIONS(11656), 1,
      sym_rel_operator,
    ACTIONS(11658), 1,
      sym_and_operator,
    ACTIONS(11660), 1,
      sym_or_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [453472] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453523] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11650), 1,
      sym_pow_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453609] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11650), 1,
      sym_pow_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7914), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [453695] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [453748] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [453801] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11735), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9300), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453844] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    ACTIONS(11656), 1,
      sym_rel_operator,
    ACTIONS(11658), 1,
      sym_and_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [453901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11380), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11418), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11244), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11402), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454065] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(9306), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11392), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454122] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(9307), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11396), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454179] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11738), 1,
      anon_sym_PIPE,
    STATE(9300), 1,
      aux_sym__match_cases_repeat1,
    STATE(9308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [454224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454265] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6819), 1,
      anon_sym_object,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11740), 1,
      sym__lowercase_identifier,
    ACTIONS(11742), 1,
      anon_sym_let,
    ACTIONS(11744), 1,
      anon_sym_LPAREN,
    ACTIONS(11746), 1,
      anon_sym_BANG,
    ACTIONS(11748), 1,
      anon_sym_LBRACK,
    ACTIONS(11750), 1,
      anon_sym_fun,
    STATE(2518), 1,
      sym__simple_class_expression,
    STATE(9310), 1,
      sym_attribute,
    STATE(12740), 1,
      sym__class_expression,
    STATE(19724), 1,
      sym_value_definition,
    STATE(20186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8296), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [454336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7894), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [454377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11560), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11488), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5591), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(5589), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454500] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11738), 1,
      anon_sym_PIPE,
    STATE(9300), 1,
      aux_sym__match_cases_repeat1,
    STATE(9315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [454545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11480), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454627] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(9318), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11346), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454725] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11738), 1,
      anon_sym_PIPE,
    STATE(9308), 1,
      aux_sym__match_cases_repeat1,
    STATE(9320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [454770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11170), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11180), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454852] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11738), 1,
      anon_sym_PIPE,
    STATE(9315), 1,
      aux_sym__match_cases_repeat1,
    STATE(9323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [454897] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COMMA,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    ACTIONS(11656), 1,
      sym_rel_operator,
    ACTIONS(11658), 1,
      sym_and_operator,
    ACTIONS(11660), 1,
      sym_or_operator,
    ACTIONS(11662), 1,
      sym_assign_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [454960] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COMMA,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    ACTIONS(11656), 1,
      sym_rel_operator,
    ACTIONS(11658), 1,
      sym_and_operator,
    ACTIONS(11660), 1,
      sym_or_operator,
    ACTIONS(11662), 1,
      sym_assign_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10165), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [455023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11360), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455064] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [455111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11236), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455152] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COMMA,
    ACTIONS(11648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11650), 1,
      sym_pow_operator,
    ACTIONS(11652), 1,
      sym_mult_operator,
    ACTIONS(11654), 1,
      sym_concat_operator,
    ACTIONS(11656), 1,
      sym_rel_operator,
    ACTIONS(11658), 1,
      sym_and_operator,
    ACTIONS(11660), 1,
      sym_or_operator,
    ACTIONS(11662), 1,
      sym_assign_operator,
    STATE(2346), 1,
      sym_add_operator,
    STATE(9329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [455215] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(11640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(9330), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10863), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11164), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [455270] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(11640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(9331), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10983), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11160), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [455325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8130), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455365] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9333), 1,
      sym_attribute,
    STATE(10574), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [455433] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(9334), 1,
      sym_attribute,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11770), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7735), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455523] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9336), 1,
      sym_attribute,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [455579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7731), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7727), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7996), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7852), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455739] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9341), 1,
      sym_attribute,
    STATE(10765), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [455807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7980), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7854), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7856), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7992), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7984), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [455967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10846), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [456007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7858), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7860), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7988), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456087] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(9349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7884), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7894), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7910), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7775), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7777), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7737), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7739), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456289] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(9354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7884), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7932), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456371] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9226), 1,
      sym__class_expression,
    STATE(9356), 1,
      sym_attribute,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [456439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7743), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456479] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    ACTIONS(11790), 1,
      anon_sym_STAR,
    STATE(9358), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(11001), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11636), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [456533] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11792), 1,
      anon_sym_DOT,
    ACTIONS(11794), 1,
      anon_sym_POUND,
    ACTIONS(11796), 1,
      sym_hash_operator,
    STATE(9359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9416), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456579] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11792), 1,
      anon_sym_DOT,
    ACTIONS(11794), 1,
      anon_sym_POUND,
    ACTIONS(11796), 1,
      sym_hash_operator,
    STATE(9360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9424), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7972), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7940), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11296), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [456745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7926), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7918), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7914), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [456865] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9367), 1,
      sym_attribute,
    STATE(10574), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [456933] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9368), 1,
      sym_attribute,
    STATE(10736), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8014), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7866), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7868), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457081] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11808), 1,
      sym__lowercase_identifier,
    ACTIONS(11810), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_LPAREN,
    ACTIONS(11814), 1,
      anon_sym_LBRACK,
    ACTIONS(11816), 1,
      anon_sym_fun,
    STATE(2789), 1,
      sym__simple_class_expression,
    STATE(9371), 1,
      sym_attribute,
    STATE(15907), 1,
      sym__class_expression,
    STATE(17528), 1,
      sym_module_path,
    STATE(18918), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9715), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11290), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457189] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9373), 1,
      sym_attribute,
    STATE(10745), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8034), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457297] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9375), 1,
      sym_attribute,
    STATE(10679), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457365] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9376), 1,
      sym_attribute,
    STATE(10747), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7870), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7872), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8018), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8022), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457553] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11818), 1,
      anon_sym_PIPE,
    STATE(9380), 1,
      sym_attribute,
    STATE(9488), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457597] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9381), 1,
      sym_attribute,
    STATE(10698), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457665] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6819), 1,
      anon_sym_object,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11740), 1,
      sym__lowercase_identifier,
    ACTIONS(11742), 1,
      anon_sym_let,
    ACTIONS(11744), 1,
      anon_sym_LPAREN,
    ACTIONS(11748), 1,
      anon_sym_LBRACK,
    ACTIONS(11750), 1,
      anon_sym_fun,
    STATE(2518), 1,
      sym__simple_class_expression,
    STATE(9382), 1,
      sym_attribute,
    STATE(12744), 1,
      sym__class_expression,
    STATE(19724), 1,
      sym_value_definition,
    STATE(20186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8296), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8026), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8000), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457813] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9385), 1,
      sym_attribute,
    STATE(10704), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457881] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9386), 1,
      sym_attribute,
    STATE(10736), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457949] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9387), 1,
      sym_attribute,
    STATE(10745), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458017] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9388), 1,
      sym_attribute,
    STATE(10747), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458085] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9221), 1,
      sym__class_expression,
    STATE(9389), 1,
      sym_attribute,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458153] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11808), 1,
      sym__lowercase_identifier,
    ACTIONS(11810), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_LPAREN,
    ACTIONS(11814), 1,
      anon_sym_LBRACK,
    ACTIONS(11816), 1,
      anon_sym_fun,
    STATE(2789), 1,
      sym__simple_class_expression,
    STATE(9390), 1,
      sym_attribute,
    STATE(15223), 1,
      sym__class_expression,
    STATE(17528), 1,
      sym_module_path,
    STATE(18918), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9715), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11488), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458261] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9392), 1,
      sym_attribute,
    STATE(10768), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11204), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7898), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [458409] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9395), 1,
      sym_attribute,
    STATE(10768), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11822), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(11820), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__lowercase_identifier,
  [458517] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9397), 1,
      sym_attribute,
    STATE(10765), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7902), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [458625] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9399), 1,
      sym_attribute,
    STATE(10671), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8062), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [458733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8014), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8018), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8022), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11200), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11196), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11208), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11216), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459053] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6819), 1,
      anon_sym_object,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11740), 1,
      sym__lowercase_identifier,
    ACTIONS(11742), 1,
      anon_sym_let,
    ACTIONS(11744), 1,
      anon_sym_LPAREN,
    ACTIONS(11748), 1,
      anon_sym_LBRACK,
    ACTIONS(11750), 1,
      anon_sym_fun,
    STATE(2518), 1,
      sym__simple_class_expression,
    STATE(9226), 1,
      sym__class_expression,
    STATE(9409), 1,
      sym_attribute,
    STATE(19724), 1,
      sym_value_definition,
    STATE(20186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8296), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11356), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459161] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9411), 1,
      sym_attribute,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7922), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [459269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11360), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459309] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9414), 1,
      sym_attribute,
    STATE(10698), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7906), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [459417] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9416), 1,
      sym_attribute,
    STATE(10602), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7890), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [459525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7880), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [459565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [459605] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9420), 1,
      sym_attribute,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [459661] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11824), 1,
      anon_sym_COMMA,
    ACTIONS(11826), 1,
      anon_sym_SEMI,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    ACTIONS(11836), 1,
      sym_rel_operator,
    ACTIONS(11838), 1,
      sym_and_operator,
    ACTIONS(11840), 1,
      sym_or_operator,
    ACTIONS(11842), 1,
      sym_assign_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [459725] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11792), 1,
      anon_sym_DOT,
    ACTIONS(11794), 1,
      anon_sym_POUND,
    ACTIONS(11796), 1,
      sym_hash_operator,
    STATE(9422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9438), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [459771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7876), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [459811] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9424), 1,
      sym_attribute,
    STATE(10671), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459879] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9425), 1,
      sym_attribute,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [459935] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11846), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    ACTIONS(11854), 1,
      sym_concat_operator,
    ACTIONS(11856), 1,
      sym_rel_operator,
    ACTIONS(11858), 1,
      sym_and_operator,
    ACTIONS(11860), 1,
      sym_or_operator,
    ACTIONS(11862), 1,
      sym_assign_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [459997] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9427), 1,
      sym_attribute,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [460053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7771), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [460093] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9429), 1,
      sym_attribute,
    STATE(10468), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460161] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9430), 1,
      sym_attribute,
    STATE(10606), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460229] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9431), 1,
      sym_attribute,
    STATE(10689), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460297] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9432), 1,
      sym_attribute,
    STATE(10468), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460365] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11818), 1,
      anon_sym_PIPE,
    STATE(9380), 1,
      aux_sym__match_cases_repeat1,
    STATE(9433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [460409] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9434), 1,
      sym_attribute,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [460465] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9435), 1,
      sym_attribute,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [460521] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11808), 1,
      sym__lowercase_identifier,
    ACTIONS(11810), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_LPAREN,
    ACTIONS(11814), 1,
      anon_sym_LBRACK,
    ACTIONS(11816), 1,
      anon_sym_fun,
    STATE(2789), 1,
      sym__simple_class_expression,
    STATE(9436), 1,
      sym_attribute,
    STATE(15622), 1,
      sym__class_expression,
    STATE(17528), 1,
      sym_module_path,
    STATE(18918), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9715), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11368), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460629] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [460679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8004), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [460719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8016), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [460759] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9441), 1,
      sym_attribute,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [460809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8020), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [460849] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9443), 1,
      sym_attribute,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [460899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8038), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [460939] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9445), 1,
      sym_attribute,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11346), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [460995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8024), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461035] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11818), 1,
      anon_sym_PIPE,
    STATE(9447), 1,
      sym_attribute,
    STATE(9478), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [461079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8028), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8008), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461159] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11808), 1,
      sym__lowercase_identifier,
    ACTIONS(11810), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_LPAREN,
    ACTIONS(11814), 1,
      anon_sym_LBRACK,
    ACTIONS(11816), 1,
      anon_sym_fun,
    STATE(2789), 1,
      sym__simple_class_expression,
    STATE(9450), 1,
      sym_attribute,
    STATE(15810), 1,
      sym__class_expression,
    STATE(17528), 1,
      sym_module_path,
    STATE(18918), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9715), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11864), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(9451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [461271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8072), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8026), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [461351] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11846), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    ACTIONS(11854), 1,
      sym_concat_operator,
    ACTIONS(11856), 1,
      sym_rel_operator,
    ACTIONS(11858), 1,
      sym_and_operator,
    ACTIONS(11860), 1,
      sym_or_operator,
    ACTIONS(11862), 1,
      sym_assign_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10165), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [461413] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11824), 1,
      anon_sym_COMMA,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    ACTIONS(11836), 1,
      sym_rel_operator,
    ACTIONS(11838), 1,
      sym_and_operator,
    ACTIONS(11840), 1,
      sym_or_operator,
    ACTIONS(11842), 1,
      sym_assign_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [461475] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [461521] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11846), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    ACTIONS(11854), 1,
      sym_concat_operator,
    ACTIONS(11856), 1,
      sym_rel_operator,
    ACTIONS(11858), 1,
      sym_and_operator,
    ACTIONS(11860), 1,
      sym_or_operator,
    ACTIONS(11862), 1,
      sym_assign_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [461583] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    ACTIONS(11854), 1,
      sym_concat_operator,
    ACTIONS(11856), 1,
      sym_rel_operator,
    ACTIONS(11858), 1,
      sym_and_operator,
    ACTIONS(11860), 1,
      sym_or_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [461641] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    ACTIONS(11854), 1,
      sym_concat_operator,
    ACTIONS(11856), 1,
      sym_rel_operator,
    ACTIONS(11858), 1,
      sym_and_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10173), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [461697] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    ACTIONS(11854), 1,
      sym_concat_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [461749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11868), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11866), 24,
      ts_builtin_sym_end,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [461789] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [461831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8012), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461871] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11864), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(9464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [461915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11872), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 24,
      ts_builtin_sym_end,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [461955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11876), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11874), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461995] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9467), 1,
      sym_attribute,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462063] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11824), 1,
      anon_sym_COMMA,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    ACTIONS(11836), 1,
      sym_rel_operator,
    ACTIONS(11838), 1,
      sym_and_operator,
    ACTIONS(11840), 1,
      sym_or_operator,
    ACTIONS(11842), 1,
      sym_assign_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [462125] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11878), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(9469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [462169] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11846), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    ACTIONS(11854), 1,
      sym_concat_operator,
    ACTIONS(11856), 1,
      sym_rel_operator,
    ACTIONS(11858), 1,
      sym_and_operator,
    ACTIONS(11860), 1,
      sym_or_operator,
    ACTIONS(11862), 1,
      sym_assign_operator,
    ACTIONS(11880), 1,
      anon_sym_SEMI,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [462233] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9471), 1,
      sym_attribute,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11392), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [462289] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9472), 1,
      sym_attribute,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11396), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [462345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11884), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11882), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462385] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11824), 1,
      anon_sym_COMMA,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    ACTIONS(11836), 1,
      sym_rel_operator,
    ACTIONS(11838), 1,
      sym_and_operator,
    ACTIONS(11840), 1,
      sym_or_operator,
    ACTIONS(11842), 1,
      sym_assign_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [462447] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [462493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8084), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462533] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9221), 1,
      sym__class_expression,
    STATE(9477), 1,
      sym_attribute,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462601] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11818), 1,
      anon_sym_PIPE,
    STATE(9478), 1,
      sym_attribute,
    STATE(9488), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [462645] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9479), 1,
      sym_attribute,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10866), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [462695] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11824), 1,
      anon_sym_COMMA,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    ACTIONS(11836), 1,
      sym_rel_operator,
    ACTIONS(11838), 1,
      sym_and_operator,
    ACTIONS(11840), 1,
      sym_or_operator,
    ACTIONS(11842), 1,
      sym_assign_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [462757] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    ACTIONS(11836), 1,
      sym_rel_operator,
    ACTIONS(11838), 1,
      sym_and_operator,
    ACTIONS(11840), 1,
      sym_or_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [462815] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    ACTIONS(11836), 1,
      sym_rel_operator,
    ACTIONS(11838), 1,
      sym_and_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [462871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [462911] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [462963] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9485), 1,
      sym_attribute,
    STATE(10689), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463031] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [463083] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9487), 1,
      sym_attribute,
    STATE(10602), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463151] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11886), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9488), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463193] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11830), 1,
      sym_pow_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463237] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9226), 1,
      sym__class_expression,
    STATE(9490), 1,
      sym_attribute,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463305] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11830), 1,
      sym_pow_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463349] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463399] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11830), 1,
      sym_pow_operator,
    ACTIONS(11832), 1,
      sym_mult_operator,
    ACTIONS(11834), 1,
      sym_concat_operator,
    ACTIONS(11836), 1,
      sym_rel_operator,
    ACTIONS(11838), 1,
      sym_and_operator,
    ACTIONS(11840), 1,
      sym_or_operator,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [463457] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    ACTIONS(11854), 1,
      sym_concat_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [463509] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9495), 1,
      sym_attribute,
    STATE(10494), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463577] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11850), 1,
      sym_pow_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463621] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11850), 1,
      sym_pow_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463665] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9498), 1,
      sym_attribute,
    STATE(10494), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11891), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11889), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [463773] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11848), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11850), 1,
      sym_pow_operator,
    ACTIONS(11852), 1,
      sym_mult_operator,
    ACTIONS(11854), 1,
      sym_concat_operator,
    ACTIONS(11856), 1,
      sym_rel_operator,
    ACTIONS(11858), 1,
      sym_and_operator,
    ACTIONS(11860), 1,
      sym_or_operator,
    STATE(1941), 1,
      sym_add_operator,
    STATE(9500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [463831] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11808), 1,
      sym__lowercase_identifier,
    ACTIONS(11810), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_LPAREN,
    ACTIONS(11814), 1,
      anon_sym_LBRACK,
    ACTIONS(11816), 1,
      anon_sym_fun,
    STATE(2789), 1,
      sym__simple_class_expression,
    STATE(9501), 1,
      sym_attribute,
    STATE(15538), 1,
      sym__class_expression,
    STATE(17528), 1,
      sym_module_path,
    STATE(18918), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9715), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8138), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [463939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11895), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11893), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [463979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10848), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464059] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11792), 1,
      anon_sym_DOT,
    ACTIONS(11794), 1,
      anon_sym_POUND,
    ACTIONS(11796), 1,
      sym_hash_operator,
    STATE(9506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9432), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [464105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464145] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11901), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    STATE(9508), 1,
      sym_attribute,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10775), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11899), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11905), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11897), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11480), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11911), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11909), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11402), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11360), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11170), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464437] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    ACTIONS(11913), 1,
      anon_sym_STAR,
    STATE(9515), 1,
      sym_attribute,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(11018), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11636), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [464491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11418), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8202), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [464571] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_POUND,
    STATE(9518), 1,
      sym_attribute,
    STATE(10017), 1,
      sym_type_constructor_path,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10880), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [464621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8078), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [464661] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9520), 1,
      sym_attribute,
    STATE(10679), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464729] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9521), 1,
      sym_attribute,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11346), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [464785] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9522), 1,
      sym_attribute,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8118), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [464893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8126), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [464933] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9221), 1,
      sym__class_expression,
    STATE(9525), 1,
      sym_attribute,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8094), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11402), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7753), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8150), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465201] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [465243] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9532), 1,
      sym_attribute,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11392), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [465299] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9533), 1,
      sym_attribute,
    STATE(10494), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11380), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465407] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9535), 1,
      sym_attribute,
    STATE(10468), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7765), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11228), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465555] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9221), 1,
      sym__class_expression,
    STATE(9538), 1,
      sym_attribute,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7759), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11244), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465703] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9541), 1,
      sym_attribute,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11236), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11180), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465851] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11927), 1,
      anon_sym_COLON,
    STATE(9544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8316), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [465893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11560), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465933] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11808), 1,
      sym__lowercase_identifier,
    ACTIONS(11810), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_LPAREN,
    ACTIONS(11814), 1,
      anon_sym_LBRACK,
    ACTIONS(11816), 1,
      anon_sym_fun,
    STATE(2789), 1,
      sym__simple_class_expression,
    STATE(9546), 1,
      sym_attribute,
    STATE(15703), 1,
      sym__class_expression,
    STATE(17528), 1,
      sym_module_path,
    STATE(18918), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9715), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11560), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [466041] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9226), 1,
      sym__class_expression,
    STATE(9548), 1,
      sym_attribute,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466109] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9549), 1,
      sym_attribute,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11396), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [466165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8122), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466205] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9551), 1,
      sym_attribute,
    STATE(10671), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8098), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11931), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10848), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [466393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7976), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11576), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8132), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8134), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466513] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9558), 1,
      sym_attribute,
    STATE(10679), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466581] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9559), 1,
      sym_attribute,
    STATE(10574), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8142), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466689] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9561), 1,
      sym_attribute,
    STATE(10606), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11216), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [466797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8146), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466837] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9564), 1,
      sym_attribute,
    STATE(10698), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466905] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9565), 1,
      sym_attribute,
    STATE(10704), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466973] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9566), 1,
      sym_attribute,
    STATE(10736), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11208), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467081] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9568), 1,
      sym_attribute,
    STATE(10745), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467149] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9569), 1,
      sym_attribute,
    STATE(10747), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11180), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8158), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8162), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8170), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11196), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467417] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9575), 1,
      sym_attribute,
    STATE(10765), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467485] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9576), 1,
      sym_attribute,
    STATE(10768), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8182), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11200), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8186), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11204), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8190), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467753] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11878), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(9582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [467797] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9583), 1,
      sym_attribute,
    STATE(10606), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467865] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9584), 1,
      sym_attribute,
    STATE(10747), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467933] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9585), 1,
      sym_attribute,
    STATE(10745), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468001] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9586), 1,
      sym_attribute,
    STATE(10736), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11228), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468109] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9588), 1,
      sym_attribute,
    STATE(10704), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468177] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9589), 1,
      sym_attribute,
    STATE(10698), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468245] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2319), 1,
      sym_add_operator,
    STATE(9590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [468287] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      sym__lowercase_identifier,
    ACTIONS(11776), 1,
      anon_sym_let,
    ACTIONS(11778), 1,
      anon_sym_LPAREN,
    ACTIONS(11780), 1,
      anon_sym_LBRACK,
    ACTIONS(11782), 1,
      anon_sym_object,
    ACTIONS(11784), 1,
      anon_sym_fun,
    ACTIONS(11786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9591), 1,
      sym_attribute,
    STATE(10679), 1,
      sym__class_expression,
    STATE(17921), 1,
      sym_module_path,
    STATE(18911), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7263), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468355] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(9592), 1,
      sym_attribute,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11770), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11236), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11290), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11872), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8102), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11296), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11356), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7745), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7747), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468685] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9600), 1,
      sym_attribute,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10866), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [468735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11244), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11380), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8106), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468895] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9226), 1,
      sym__class_expression,
    STATE(9605), 1,
      sym_attribute,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468963] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9606), 1,
      sym_attribute,
    STATE(10768), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469031] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9607), 1,
      sym_attribute,
    STATE(10765), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469099] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9608), 1,
      sym_attribute,
    STATE(10602), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11368), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469207] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11174), 1,
      sym__lowercase_identifier,
    STATE(9610), 1,
      sym_attribute,
    STATE(13513), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    STATE(16397), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10848), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469313] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11933), 1,
      anon_sym_POUND,
    STATE(9612), 1,
      sym_attribute,
    STATE(10127), 1,
      sym_type_constructor_path,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10880), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [469363] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9613), 1,
      sym_attribute,
    STATE(10689), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469431] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9614), 1,
      sym_attribute,
    STATE(10689), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469499] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9615), 1,
      sym_attribute,
    STATE(10602), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469567] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11808), 1,
      sym__lowercase_identifier,
    ACTIONS(11810), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_LPAREN,
    ACTIONS(11814), 1,
      anon_sym_LBRACK,
    ACTIONS(11816), 1,
      anon_sym_fun,
    STATE(2789), 1,
      sym__simple_class_expression,
    STATE(9226), 1,
      sym__class_expression,
    STATE(9616), 1,
      sym_attribute,
    STATE(17528), 1,
      sym_module_path,
    STATE(18918), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9715), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469635] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6307), 1,
      anon_sym_object,
    ACTIONS(8460), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8462), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11798), 1,
      sym__lowercase_identifier,
    ACTIONS(11800), 1,
      anon_sym_let,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_LBRACK,
    ACTIONS(11806), 1,
      anon_sym_fun,
    STATE(2503), 1,
      sym__simple_class_expression,
    STATE(9617), 1,
      sym_attribute,
    STATE(10671), 1,
      sym__class_expression,
    STATE(17492), 1,
      sym_module_path,
    STATE(20137), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7646), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469703] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11752), 1,
      sym__lowercase_identifier,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_LPAREN,
    ACTIONS(11758), 1,
      anon_sym_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_object,
    ACTIONS(11762), 1,
      anon_sym_fun,
    ACTIONS(11764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11766), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9618), 1,
      sym_attribute,
    STATE(10704), 1,
      sym__class_expression,
    STATE(17727), 1,
      sym_module_path,
    STATE(17799), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7341), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [469771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8986), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11488), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11480), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11822), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(11820), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__lowercase_identifier,
  [469931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470051] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6819), 1,
      anon_sym_object,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11740), 1,
      sym__lowercase_identifier,
    ACTIONS(11742), 1,
      anon_sym_let,
    ACTIONS(11744), 1,
      anon_sym_LPAREN,
    ACTIONS(11748), 1,
      anon_sym_LBRACK,
    ACTIONS(11750), 1,
      anon_sym_fun,
    STATE(2518), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9626), 1,
      sym_attribute,
    STATE(19724), 1,
      sym_value_definition,
    STATE(20186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8296), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8176), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470159] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11792), 1,
      anon_sym_DOT,
    STATE(9628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8154), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8114), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470281] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9631), 1,
      sym_attribute,
    STATE(10606), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11170), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470389] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9633), 1,
      sym_attribute,
    STATE(10574), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470457] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11937), 1,
      anon_sym_LBRACK,
    STATE(9634), 1,
      sym_attribute,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10969), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11899), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11939), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11897), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [470509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11418), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8986), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470629] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11943), 1,
      anon_sym_let,
    ACTIONS(11945), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9638), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11941), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [470673] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9639), 1,
      sym_attribute,
    STATE(10494), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470741] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6267), 1,
      anon_sym_object,
    ACTIONS(8468), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8470), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11917), 1,
      sym__lowercase_identifier,
    ACTIONS(11919), 1,
      anon_sym_let,
    ACTIONS(11921), 1,
      anon_sym_LPAREN,
    ACTIONS(11923), 1,
      anon_sym_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_fun,
    STATE(2494), 1,
      sym__simple_class_expression,
    STATE(9640), 1,
      sym_attribute,
    STATE(10468), 1,
      sym__class_expression,
    STATE(17712), 1,
      sym_module_path,
    STATE(19301), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7631), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11868), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11866), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [470849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8110), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470889] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6819), 1,
      anon_sym_object,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11740), 1,
      sym__lowercase_identifier,
    ACTIONS(11742), 1,
      anon_sym_let,
    ACTIONS(11744), 1,
      anon_sym_LPAREN,
    ACTIONS(11748), 1,
      anon_sym_LBRACK,
    ACTIONS(11750), 1,
      anon_sym_fun,
    STATE(2518), 1,
      sym__simple_class_expression,
    STATE(9221), 1,
      sym__class_expression,
    STATE(9643), 1,
      sym_attribute,
    STATE(19724), 1,
      sym_value_definition,
    STATE(20186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8296), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470957] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11808), 1,
      sym__lowercase_identifier,
    ACTIONS(11810), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_LPAREN,
    ACTIONS(11814), 1,
      anon_sym_LBRACK,
    ACTIONS(11816), 1,
      anon_sym_fun,
    STATE(2789), 1,
      sym__simple_class_expression,
    STATE(9221), 1,
      sym__class_expression,
    STATE(9644), 1,
      sym_attribute,
    STATE(17528), 1,
      sym_module_path,
    STATE(18918), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9715), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471025] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [471067] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7673), 1,
      anon_sym_object,
    ACTIONS(7685), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7687), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(11808), 1,
      sym__lowercase_identifier,
    ACTIONS(11810), 1,
      anon_sym_let,
    ACTIONS(11812), 1,
      anon_sym_LPAREN,
    ACTIONS(11814), 1,
      anon_sym_LBRACK,
    ACTIONS(11816), 1,
      anon_sym_fun,
    STATE(2789), 1,
      sym__simple_class_expression,
    STATE(9207), 1,
      sym__class_expression,
    STATE(9646), 1,
      sym_attribute,
    STATE(17528), 1,
      sym_module_path,
    STATE(18918), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9314), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9715), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11200), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8432), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8434), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471213] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11948), 1,
      sym__lowercase_identifier,
    STATE(9649), 1,
      sym_attribute,
    STATE(12437), 1,
      sym__simple_type,
    STATE(17166), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12706), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471276] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(9650), 1,
      sym_attribute,
    STATE(10108), 1,
      sym__simple_type,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471339] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(9651), 1,
      sym_attribute,
    STATE(10098), 1,
      sym__simple_type,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471402] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11954), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9652), 1,
      sym_attribute,
    STATE(9760), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11952), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11950), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [471447] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(9653), 1,
      sym_attribute,
    STATE(10096), 1,
      sym__simple_type,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471510] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9654), 1,
      sym_attribute,
    STATE(10273), 1,
      sym__simple_type,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11216), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11208), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11196), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471690] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(9658), 1,
      sym_attribute,
    STATE(10056), 1,
      sym__simple_type,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471753] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9659), 1,
      sym_attribute,
    STATE(10290), 1,
      sym__simple_type,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11200), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471855] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(9661), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [471910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11204), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471949] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9663), 1,
      sym_attribute,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472012] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9664), 1,
      sym_attribute,
    STATE(11159), 1,
      sym__simple_type,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472075] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9396), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [472114] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9666), 1,
      sym_attribute,
    STATE(10956), 1,
      sym__simple_type,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472177] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(9667), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [472232] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9668), 1,
      sym_attribute,
    STATE(10291), 1,
      sym__simple_type,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472295] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9669), 1,
      sym_attribute,
    STATE(10292), 1,
      sym__simple_type,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11228), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472397] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472438] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(9672), 1,
      sym_attribute,
    STATE(10049), 1,
      sym__simple_type,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8022), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472540] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(9674), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [472595] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9675), 1,
      sym_attribute,
    STATE(11054), 1,
      sym__simple_type,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472658] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(9676), 1,
      sym_attribute,
    STATE(10021), 1,
      sym__simple_type,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472721] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9592), 1,
      sym__simple_type,
    STATE(9677), 1,
      sym_attribute,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472784] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(11018), 1,
      anon_sym_LPAREN,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11026), 1,
      anon_sym_LT,
    ACTIONS(11028), 1,
      anon_sym_POUND,
    ACTIONS(11030), 1,
      aux_sym_type_variable_token1,
    STATE(9678), 1,
      sym_attribute,
    STATE(9808), 1,
      sym__simple_type,
    STATE(17276), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9993), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472847] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9679), 1,
      sym_attribute,
    STATE(10293), 1,
      sym__simple_type,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472910] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11960), 1,
      sym__lowercase_identifier,
    STATE(9680), 1,
      sym_attribute,
    STATE(11727), 1,
      sym__simple_type,
    STATE(17254), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12511), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472973] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11962), 1,
      anon_sym_STAR,
    STATE(9681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11872), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [473014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8018), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [473053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8026), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [473092] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9684), 1,
      sym_attribute,
    STATE(9788), 1,
      sym__simple_type,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473155] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11964), 1,
      anon_sym_COLON,
    STATE(9685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9406), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [473196] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(11966), 1,
      anon_sym_COLON2,
    STATE(9686), 1,
      sym_attribute,
    STATE(9890), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10029), 1,
      sym__module_typed,
    STATE(10655), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11668), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11664), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [473251] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9687), 1,
      sym_attribute,
    STATE(13834), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8022), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [473353] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(9689), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11346), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [473408] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(9690), 1,
      sym_attribute,
    STATE(9728), 1,
      sym__simple_type,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473471] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(9691), 1,
      sym_attribute,
    STATE(10103), 1,
      sym__simple_type,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473534] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(9692), 1,
      sym_attribute,
    STATE(10100), 1,
      sym__simple_type,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473597] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9693), 1,
      sym_attribute,
    STATE(10274), 1,
      sym__simple_type,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11968), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [473699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [473738] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(9696), 1,
      sym_attribute,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11396), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [473793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11560), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [473832] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(9698), 1,
      sym_attribute,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11392), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [473887] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9441), 1,
      sym__simple_type,
    STATE(9699), 1,
      sym_attribute,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473950] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9700), 1,
      sym_attribute,
    STATE(9782), 1,
      sym__simple_type,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8014), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474052] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9702), 1,
      sym_attribute,
    STATE(13473), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11488), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8986), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11180), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11236), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11244), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11296), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474349] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(9709), 1,
      sym_attribute,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11346), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [474404] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9149), 1,
      sym__simple_type,
    STATE(9710), 1,
      sym_attribute,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474467] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11976), 1,
      anon_sym_LPAREN,
    ACTIONS(11978), 1,
      anon_sym_LBRACK,
    STATE(9711), 1,
      sym_attribute,
    STATE(10749), 1,
      sym__constructor_name,
    STATE(11474), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11899), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11980), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11897), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [474518] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9038), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11982), 1,
      anon_sym_EQ,
    ACTIONS(11984), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9712), 1,
      sym_attribute,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10693), 1,
      aux_sym_expression_item_repeat1,
    STATE(10740), 1,
      sym__type_equation,
    STATE(11016), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [474575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8018), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [474614] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(9714), 1,
      sym_attribute,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11990), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [474663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9412), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [474702] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11992), 1,
      sym__lowercase_identifier,
    STATE(8800), 1,
      sym__simple_type,
    STATE(9716), 1,
      sym_attribute,
    STATE(17151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9054), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11996), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [474804] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9718), 1,
      sym_attribute,
    STATE(13477), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11356), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8018), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474984] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9038), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11998), 1,
      anon_sym_EQ,
    ACTIONS(12000), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9722), 1,
      sym_attribute,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10444), 1,
      sym__type_equation,
    STATE(10476), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [475041] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9723), 1,
      sym_attribute,
    STATE(13471), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11368), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11380), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475182] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9726), 1,
      sym_attribute,
    STATE(10743), 1,
      sym__simple_type,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475245] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(9727), 1,
      sym_attribute,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12006), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475294] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(9728), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11770), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475343] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9729), 1,
      sym_attribute,
    STATE(11059), 1,
      sym__simple_type,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475406] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(9730), 1,
      sym_attribute,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12010), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8022), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475494] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9732), 1,
      sym_attribute,
    STATE(10249), 1,
      sym__simple_type,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475557] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9733), 1,
      sym_attribute,
    STATE(10595), 1,
      sym__simple_type,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475659] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9735), 1,
      sym_attribute,
    STATE(10149), 1,
      sym__simple_type,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11402), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475761] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(9737), 1,
      sym_attribute,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11418), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8986), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475894] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9740), 1,
      sym_attribute,
    STATE(11061), 1,
      sym__simple_type,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475957] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(12012), 1,
      anon_sym_COLON2,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9741), 1,
      sym_attribute,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9937), 1,
      sym__module_typed,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10722), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11618), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11614), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [476012] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(9742), 1,
      sym_attribute,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [476067] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9743), 1,
      sym_attribute,
    STATE(13501), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8014), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [476169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12016), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12014), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [476208] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(9746), 1,
      sym_attribute,
    STATE(10061), 1,
      sym__simple_type,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12020), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12018), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [476310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476349] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(9749), 1,
      sym_attribute,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [476404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8014), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476443] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(9751), 1,
      sym_attribute,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [476492] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9751), 1,
      sym__simple_type,
    STATE(9752), 1,
      sym_attribute,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476555] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10500), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(11640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(9753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10498), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [476604] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10592), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK,
    ACTIONS(10598), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10602), 1,
      anon_sym_LT,
    ACTIONS(10604), 1,
      anon_sym_POUND,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10608), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10610), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12022), 1,
      sym__lowercase_identifier,
    STATE(9754), 1,
      sym_attribute,
    STATE(12745), 1,
      sym__simple_type,
    STATE(17349), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12980), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476667] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9755), 1,
      sym_attribute,
    STATE(10760), 1,
      sym__simple_type,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476730] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9756), 1,
      sym_attribute,
    STATE(10174), 1,
      sym__simple_type,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476793] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      sym__lowercase_identifier,
    ACTIONS(12024), 1,
      anon_sym_COLON2,
    STATE(9757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11370), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11368), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [476838] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(9758), 1,
      sym_attribute,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [476893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476932] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12034), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12032), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9760), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [476975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8028), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [477014] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(12012), 1,
      anon_sym_COLON2,
    STATE(9741), 1,
      aux_sym_module_binding_repeat1,
    STATE(9762), 1,
      sym_attribute,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10029), 1,
      sym__module_typed,
    STATE(10655), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11668), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11664), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [477069] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(9763), 1,
      sym_attribute,
    STATE(10058), 1,
      sym__simple_type,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11170), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477171] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(9765), 1,
      sym_attribute,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [477226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11480), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477265] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11696), 1,
      anon_sym_COLON2,
    STATE(9767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477306] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9730), 1,
      sym__simple_type,
    STATE(9768), 1,
      sym_attribute,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477369] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9727), 1,
      sym__simple_type,
    STATE(9769), 1,
      sym_attribute,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477432] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(9770), 1,
      sym_attribute,
    STATE(10057), 1,
      sym__simple_type,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477495] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9714), 1,
      sym__simple_type,
    STATE(9771), 1,
      sym_attribute,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12043), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12041), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [477597] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9773), 1,
      sym_attribute,
    STATE(13487), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477660] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9774), 1,
      sym_attribute,
    STATE(10179), 1,
      sym__simple_type,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8026), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477762] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9776), 1,
      sym_attribute,
    STATE(10177), 1,
      sym__simple_type,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477825] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11954), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9652), 1,
      aux_sym_type_binding_repeat1,
    STATE(9777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12047), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [477870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477909] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9779), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__simple_type,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477972] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10540), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10544), 1,
      anon_sym_LT,
    ACTIONS(10546), 1,
      anon_sym_POUND,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10552), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12049), 1,
      sym__lowercase_identifier,
    STATE(8786), 1,
      sym__simple_type,
    STATE(9780), 1,
      sym_attribute,
    STATE(17198), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478035] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9781), 1,
      sym_attribute,
    STATE(10178), 1,
      sym__simple_type,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478098] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(9782), 1,
      sym_attribute,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [478147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478186] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(9784), 1,
      sym_attribute,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11396), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [478241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11170), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11480), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11488), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478358] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11116), 1,
      sym__lowercase_identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9321), 1,
      sym_type_constructor_path,
    STATE(9788), 1,
      sym_attribute,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [478407] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(9789), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11392), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [478462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478501] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(9791), 1,
      sym_attribute,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11392), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [478556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12051), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [478595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11418), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478634] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12055), 1,
      anon_sym_COMMA,
    ACTIONS(12057), 1,
      anon_sym_SEMI,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    ACTIONS(12067), 1,
      sym_rel_operator,
    ACTIONS(12069), 1,
      sym_and_operator,
    ACTIONS(12071), 1,
      sym_or_operator,
    ACTIONS(12073), 1,
      sym_assign_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [478697] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10025), 1,
      anon_sym_LT,
    ACTIONS(10027), 1,
      anon_sym_POUND,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10031), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10033), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    STATE(9795), 1,
      sym_attribute,
    STATE(10933), 1,
      sym__simple_type,
    STATE(16787), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11603), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478760] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9850), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9852), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11084), 1,
      anon_sym_LT,
    ACTIONS(11086), 1,
      anon_sym_POUND,
    ACTIONS(11088), 1,
      aux_sym_type_variable_token1,
    STATE(9796), 1,
      sym_attribute,
    STATE(10054), 1,
      sym__simple_type,
    STATE(17092), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10024), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11402), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11380), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478940] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9800), 1,
      sym_attribute,
    STATE(11388), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479003] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11954), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9801), 1,
      sym_attribute,
    STATE(9863), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11952), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11950), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [479048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8024), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [479087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8020), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [479126] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10682), 1,
      anon_sym_LPAREN,
    ACTIONS(10686), 1,
      anon_sym_LBRACK,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10690), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10692), 1,
      anon_sym_LT,
    ACTIONS(10694), 1,
      anon_sym_POUND,
    ACTIONS(10696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10700), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12077), 1,
      sym__lowercase_identifier,
    STATE(9111), 1,
      sym__simple_type,
    STATE(9804), 1,
      sym_attribute,
    STATE(17298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9604), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11360), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12081), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12079), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [479267] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12055), 1,
      anon_sym_COMMA,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    ACTIONS(12067), 1,
      sym_rel_operator,
    ACTIONS(12069), 1,
      sym_and_operator,
    ACTIONS(12071), 1,
      sym_or_operator,
    ACTIONS(12073), 1,
      sym_assign_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [479328] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9808), 1,
      sym_attribute,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11770), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479377] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(9809), 1,
      sym_attribute,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11346), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479432] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9810), 1,
      sym_attribute,
    STATE(11384), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8222), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479534] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9812), 1,
      sym_attribute,
    STATE(10739), 1,
      sym__simple_type,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479597] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9813), 1,
      sym_attribute,
    STATE(11383), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479660] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(9814), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11396), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [479715] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9815), 1,
      sym_attribute,
    STATE(11063), 1,
      sym__simple_type,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479778] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9816), 1,
      sym_attribute,
    STATE(10240), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479841] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12055), 1,
      anon_sym_COMMA,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    ACTIONS(12067), 1,
      sym_rel_operator,
    ACTIONS(12069), 1,
      sym_and_operator,
    ACTIONS(12071), 1,
      sym_or_operator,
    ACTIONS(12073), 1,
      sym_assign_operator,
    ACTIONS(12083), 1,
      anon_sym_SEMI,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [479904] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479945] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9819), 1,
      sym_attribute,
    STATE(10235), 1,
      sym__simple_type,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480008] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9206), 1,
      anon_sym_LT,
    ACTIONS(9208), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9212), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9216), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9058), 1,
      sym__simple_type,
    STATE(9820), 1,
      sym_attribute,
    STATE(17181), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12087), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12085), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480149] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480190] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9824), 1,
      sym_attribute,
    STATE(10673), 1,
      sym__simple_type,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480253] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(11098), 1,
      anon_sym_LPAREN,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11106), 1,
      anon_sym_LT,
    ACTIONS(11108), 1,
      anon_sym_POUND,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11112), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      aux_sym_type_variable_token1,
    STATE(9825), 1,
      sym_attribute,
    STATE(10523), 1,
      sym__simple_type,
    STATE(16824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480316] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9826), 1,
      sym_attribute,
    STATE(10670), 1,
      sym__simple_type,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8026), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480418] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9828), 1,
      sym_attribute,
    STATE(10702), 1,
      sym__simple_type,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480481] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12089), 1,
      anon_sym_LPAREN,
    ACTIONS(12091), 1,
      anon_sym_LBRACK,
    STATE(9829), 1,
      sym_attribute,
    STATE(10688), 1,
      sym__constructor_name,
    STATE(11458), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11899), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12093), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11897), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480532] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9830), 1,
      sym_attribute,
    STATE(10669), 1,
      sym__simple_type,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11290), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480634] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9832), 1,
      sym_attribute,
    STATE(10668), 1,
      sym__simple_type,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480697] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9833), 1,
      sym_attribute,
    STATE(11378), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480760] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9913), 1,
      anon_sym_LT,
    ACTIONS(9915), 1,
      anon_sym_POUND,
    ACTIONS(9917), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9919), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    STATE(9834), 1,
      sym_attribute,
    STATE(10203), 1,
      sym__simple_type,
    STATE(16644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10900), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480823] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12095), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9835), 1,
      sym_attribute,
    STATE(9856), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12047), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12099), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12097), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480907] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(9837), 1,
      sym_attribute,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11356), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11296), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481034] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    ACTIONS(12101), 1,
      anon_sym_STAR,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(9840), 1,
      sym_attribute,
    STATE(11495), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11636), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [481087] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9841), 1,
      sym_attribute,
    STATE(10701), 1,
      sym__simple_type,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11290), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481189] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(9843), 1,
      sym_attribute,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11396), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [481244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9392), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [481283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11368), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9388), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [481361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11244), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11236), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481439] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12095), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9849), 1,
      sym_attribute,
    STATE(9868), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11952), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11950), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [481484] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(9850), 1,
      sym_attribute,
    STATE(11242), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11768), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481547] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9851), 1,
      sym_attribute,
    STATE(10667), 1,
      sym__simple_type,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481610] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11696), 1,
      anon_sym_COLON2,
    STATE(9852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481651] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9853), 1,
      sym_attribute,
    STATE(10685), 1,
      sym__simple_type,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481714] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12103), 1,
      anon_sym_STAR,
    STATE(9854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11872), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [481755] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(9855), 1,
      sym_attribute,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [481804] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12095), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9856), 1,
      sym_attribute,
    STATE(9869), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11952), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11950), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [481849] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10660), 1,
      anon_sym_LPAREN,
    ACTIONS(10664), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10668), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10670), 1,
      anon_sym_LT,
    ACTIONS(10672), 1,
      anon_sym_POUND,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10678), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12105), 1,
      sym__lowercase_identifier,
    STATE(9055), 1,
      sym__simple_type,
    STATE(9857), 1,
      sym_attribute,
    STATE(17235), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9505), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481912] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9858), 1,
      sym_attribute,
    STATE(10686), 1,
      sym__simple_type,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481975] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9859), 1,
      sym_attribute,
    STATE(10403), 1,
      sym__simple_type,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8016), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [482077] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9861), 1,
      sym_attribute,
    STATE(10518), 1,
      sym__simple_type,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482140] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9862), 1,
      sym_attribute,
    STATE(10404), 1,
      sym__simple_type,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482203] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11954), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9760), 1,
      aux_sym_type_binding_repeat1,
    STATE(9863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12107), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482248] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(9864), 1,
      sym_attribute,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11392), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [482303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11180), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482342] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9866), 1,
      sym_attribute,
    STATE(10409), 1,
      sym__simple_type,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482405] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9038), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11984), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    ACTIONS(12111), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9867), 1,
      sym_attribute,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10476), 1,
      aux_sym_expression_item_repeat1,
    STATE(10603), 1,
      sym__type_equation,
    STATE(10967), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [482462] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12095), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9868), 1,
      sym_attribute,
    STATE(9869), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12109), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12107), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482507] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12113), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12032), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9869), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482550] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(11002), 1,
      anon_sym_LPAREN,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11010), 1,
      anon_sym_LT,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    ACTIONS(11014), 1,
      aux_sym_type_variable_token1,
    STATE(9870), 1,
      sym_attribute,
    STATE(10699), 1,
      sym__simple_type,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10420), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12118), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482652] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(9872), 1,
      sym_attribute,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11990), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [482701] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9873), 1,
      sym_attribute,
    STATE(11358), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482764] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9334), 1,
      sym__simple_type,
    STATE(9874), 1,
      sym_attribute,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482827] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9837), 1,
      sym__simple_type,
    STATE(9875), 1,
      sym_attribute,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482890] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    ACTIONS(12120), 1,
      anon_sym_STAR,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(9876), 1,
      sym_attribute,
    STATE(11116), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11636), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [482943] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9855), 1,
      sym__simple_type,
    STATE(9877), 1,
      sym_attribute,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483006] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9878), 1,
      sym_attribute,
    STATE(10666), 1,
      sym__simple_type,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483069] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9879), 1,
      sym_attribute,
    STATE(11352), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      sym__lowercase_identifier,
    ACTIONS(12122), 1,
      anon_sym_COLON2,
    STATE(9880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11370), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11368), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [483177] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9881), 1,
      sym_attribute,
    STATE(10416), 1,
      sym__simple_type,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483240] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9882), 1,
      anon_sym_LPAREN,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9890), 1,
      anon_sym_LT,
    ACTIONS(9892), 1,
      anon_sym_POUND,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9898), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    STATE(9882), 1,
      sym_attribute,
    STATE(10904), 1,
      sym__simple_type,
    STATE(17003), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483303] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(9883), 1,
      sym_attribute,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12006), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [483352] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(9884), 1,
      sym_attribute,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12010), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [483401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11228), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11204), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11196), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11560), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483557] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9889), 1,
      sym_attribute,
    STATE(13498), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483620] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(11966), 1,
      anon_sym_COLON2,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9890), 1,
      sym_attribute,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9937), 1,
      sym__module_typed,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10722), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11618), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11614), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [483675] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9891), 1,
      sym_attribute,
    STATE(13499), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483738] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9892), 1,
      sym_attribute,
    STATE(10419), 1,
      sym__simple_type,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11208), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483840] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9038), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12000), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    ACTIONS(12124), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9894), 1,
      sym_attribute,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10693), 1,
      aux_sym_expression_item_repeat1,
    STATE(10723), 1,
      sym__type_equation,
    STATE(11014), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [483897] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9844), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9895), 1,
      sym_attribute,
    STATE(10225), 1,
      sym__simple_type,
    STATE(17323), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10524), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483960] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9896), 1,
      sym_attribute,
    STATE(13309), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13322), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11216), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [484062] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(9898), 1,
      sym_attribute,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [484117] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9899), 1,
      sym_attribute,
    STATE(10664), 1,
      sym__simple_type,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484180] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9900), 1,
      sym_attribute,
    STATE(10044), 1,
      sym__simple_type,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484243] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9901), 1,
      sym_attribute,
    STATE(9909), 1,
      sym__simple_type,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484306] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9902), 1,
      sym_attribute,
    STATE(10186), 1,
      sym__simple_type,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [484408] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(9904), 1,
      sym_attribute,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [484463] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    ACTIONS(12067), 1,
      sym_rel_operator,
    ACTIONS(12069), 1,
      sym_and_operator,
    ACTIONS(12071), 1,
      sym_or_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [484520] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [484569] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(11034), 1,
      anon_sym_LPAREN,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11042), 1,
      anon_sym_LT,
    ACTIONS(11044), 1,
      anon_sym_POUND,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11050), 1,
      aux_sym_type_variable_token1,
    STATE(9907), 1,
      sym_attribute,
    STATE(10188), 1,
      sym__simple_type,
    STATE(17268), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10406), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484632] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      sym_pow_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [484675] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11134), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_POUND,
    STATE(9215), 1,
      sym_type_constructor_path,
    STATE(9909), 1,
      sym_attribute,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [484724] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(9910), 1,
      sym_attribute,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11346), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [484779] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      sym_pow_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [484822] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    STATE(9912), 1,
      sym_attribute,
    STATE(10183), 1,
      sym__simple_type,
    STATE(16487), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9790), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484885] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9884), 1,
      sym__simple_type,
    STATE(9913), 1,
      sym_attribute,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484948] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9883), 1,
      sym__simple_type,
    STATE(9914), 1,
      sym_attribute,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485011] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(9915), 1,
      sym_attribute,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485066] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12055), 1,
      anon_sym_COMMA,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    ACTIONS(12067), 1,
      sym_rel_operator,
    ACTIONS(12069), 1,
      sym_and_operator,
    ACTIONS(12071), 1,
      sym_or_operator,
    ACTIONS(12073), 1,
      sym_assign_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [485127] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [485178] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [485229] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    ACTIONS(12067), 1,
      sym_rel_operator,
    ACTIONS(12069), 1,
      sym_and_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [485284] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    STATE(9872), 1,
      sym__simple_type,
    STATE(9920), 1,
      sym_attribute,
    STATE(17076), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9233), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485347] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    ACTIONS(12067), 1,
      sym_rel_operator,
    ACTIONS(12069), 1,
      sym_and_operator,
    ACTIONS(12071), 1,
      sym_or_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [485404] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12055), 1,
      anon_sym_COMMA,
    ACTIONS(12059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    ACTIONS(12065), 1,
      sym_concat_operator,
    ACTIONS(12067), 1,
      sym_rel_operator,
    ACTIONS(12069), 1,
      sym_and_operator,
    ACTIONS(12071), 1,
      sym_or_operator,
    ACTIONS(12073), 1,
      sym_assign_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [485465] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9326), 1,
      anon_sym_LT,
    ACTIONS(9328), 1,
      anon_sym_POUND,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9332), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9334), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9443), 1,
      sym__simple_type,
    STATE(9923), 1,
      sym_attribute,
    STATE(16896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9759), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485528] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      sym_pow_operator,
    ACTIONS(12063), 1,
      sym_mult_operator,
    STATE(2030), 1,
      sym_add_operator,
    STATE(9924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [485573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9384), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11360), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [485651] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(9927), 1,
      sym_attribute,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12128), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9406), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485783] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [485823] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9931), 1,
      sym_attribute,
    STATE(10445), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16085), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [485889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11170), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [485927] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9933), 1,
      sym_attribute,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10167), 1,
      aux_sym_type_binding_repeat1,
    STATE(10421), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12146), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485979] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12152), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(9934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [486021] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9935), 1,
      sym_attribute,
    STATE(10604), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16209), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [486087] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [486137] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12164), 1,
      anon_sym_let,
    STATE(9937), 1,
      sym_attribute,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10622), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11418), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [486221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9544), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486259] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    ACTIONS(12168), 1,
      sym_rel_operator,
    ACTIONS(12170), 1,
      sym_and_operator,
    ACTIONS(12172), 1,
      sym_or_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [486315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11200), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [486353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9084), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11360), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [486429] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9944), 1,
      sym_attribute,
    STATE(10593), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15920), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [486495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9520), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486533] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    ACTIONS(12168), 1,
      sym_rel_operator,
    ACTIONS(12170), 1,
      sym_and_operator,
    ACTIONS(12172), 1,
      sym_or_operator,
    ACTIONS(12174), 1,
      anon_sym_COMMA,
    ACTIONS(12176), 1,
      sym_assign_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10173), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [486593] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12180), 1,
      anon_sym_let,
    ACTIONS(12182), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9947), 1,
      sym_attribute,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10378), 1,
      aux_sym_type_binding_repeat1,
    STATE(10463), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486645] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9064), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486683] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12188), 1,
      anon_sym_DASH_GT,
    ACTIONS(12190), 1,
      anon_sym_as,
    STATE(9949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12186), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12184), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486725] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [486769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7976), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9570), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486845] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12192), 1,
      aux_sym_attribute_id_token1,
    STATE(9953), 1,
      sym_attribute,
    STATE(9981), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8752), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8754), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486887] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9954), 1,
      sym_attribute,
    STATE(10554), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15827), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [486953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11370), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486991] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9956), 1,
      sym_attribute,
    STATE(10507), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15847), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [487057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11356), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487133] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12198), 1,
      anon_sym_DASH_GT,
    STATE(9959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12196), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12194), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [487175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11418), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487213] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11492), 1,
      sym__lowercase_identifier,
    STATE(9961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12014), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12016), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [487255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11402), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487293] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    ACTIONS(12168), 1,
      sym_rel_operator,
    ACTIONS(12170), 1,
      sym_and_operator,
    ACTIONS(12172), 1,
      sym_or_operator,
    ACTIONS(12174), 1,
      anon_sym_COMMA,
    ACTIONS(12176), 1,
      sym_assign_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10163), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [487353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11296), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487391] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7980), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9574), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11290), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487505] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9968), 1,
      sym_attribute,
    STATE(10614), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(14921), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [487571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8986), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487609] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    ACTIONS(12168), 1,
      sym_rel_operator,
    ACTIONS(12170), 1,
      sym_and_operator,
    ACTIONS(12172), 1,
      sym_or_operator,
    ACTIONS(12174), 1,
      anon_sym_COMMA,
    ACTIONS(12176), 1,
      sym_assign_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10155), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [487669] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9971), 1,
      sym_attribute,
    STATE(10482), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15970), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [487735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7015), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7011), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11204), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487849] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [487899] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12156), 1,
      sym_pow_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [487941] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12200), 1,
      anon_sym_POUND,
    STATE(9977), 1,
      sym_attribute,
    STATE(10718), 1,
      sym_type_constructor_path,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10880), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [487989] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9978), 1,
      sym_attribute,
    STATE(10450), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16213), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [488055] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(9979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [488097] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    ACTIONS(12168), 1,
      sym_rel_operator,
    ACTIONS(12170), 1,
      sym_and_operator,
    ACTIONS(12172), 1,
      sym_or_operator,
    ACTIONS(12174), 1,
      anon_sym_COMMA,
    ACTIONS(12176), 1,
      sym_assign_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10093), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10091), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [488157] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12192), 1,
      aux_sym_attribute_id_token1,
    STATE(9981), 1,
      sym_attribute,
    STATE(10075), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8778), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8780), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488199] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12156), 1,
      sym_pow_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [488241] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [488289] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8986), 1,
      sym__lowercase_identifier,
    STATE(9984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11466), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12206), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12204), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488369] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12188), 1,
      anon_sym_DASH_GT,
    STATE(9986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12210), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12208), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11380), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7940), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488485] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12212), 1,
      anon_sym_DASH_GT,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12216), 1,
      anon_sym_functor,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9989), 1,
      sym_attribute,
    STATE(10672), 1,
      sym__attribute,
    STATE(11680), 1,
      sym__module_type,
    STATE(14780), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [488551] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    ACTIONS(12168), 1,
      sym_rel_operator,
    ACTIONS(12170), 1,
      sym_and_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [488605] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    ACTIONS(12168), 1,
      sym_rel_operator,
    ACTIONS(12170), 1,
      sym_and_operator,
    ACTIONS(12172), 1,
      sym_or_operator,
    STATE(1886), 1,
      sym_add_operator,
    STATE(9991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10181), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [488661] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    ACTIONS(12222), 1,
      anon_sym_STAR,
    STATE(9992), 1,
      sym_attribute,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(11705), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11636), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488751] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9994), 1,
      sym_attribute,
    STATE(10511), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15660), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [488817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11368), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11244), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488893] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_DASH_GT,
    ACTIONS(12226), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(9997), 1,
      sym_attribute,
    STATE(10560), 1,
      sym__attribute,
    STATE(11598), 1,
      sym__module_type,
    STATE(14827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [488959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11360), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12230), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12228), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9524), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11196), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489111] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12232), 1,
      anon_sym_RPAREN,
    ACTIONS(12234), 1,
      anon_sym__,
    ACTIONS(12236), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10002), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15033), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [489177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9562), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9492), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8016), 19,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [489291] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11899), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12238), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    STATE(10006), 1,
      sym_attribute,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(11673), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12242), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11897), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [489341] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    ACTIONS(12244), 1,
      anon_sym_STAR,
    STATE(10007), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(11659), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11636), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [489393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9500), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9552), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9554), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489469] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10010), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8691), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8693), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9504), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489547] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12198), 1,
      anon_sym_DASH_GT,
    STATE(10012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12186), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12184), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489589] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12249), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10013), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11943), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(11941), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11356), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9450), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8016), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11236), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8988), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11228), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11296), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489897] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(10021), 1,
      sym_attribute,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489945] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      aux_sym_attribute_id_token1,
    STATE(10010), 1,
      aux_sym_attribute_id_repeat1,
    STATE(10022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8778), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8780), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489987] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11899), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12254), 1,
      anon_sym_LPAREN,
    ACTIONS(12256), 1,
      anon_sym_LBRACK,
    STATE(10023), 1,
      sym_attribute,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(11594), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12258), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11897), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [490037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490075] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    ACTIONS(12260), 1,
      anon_sym_STAR,
    STATE(10025), 1,
      sym_attribute,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(11576), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11636), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [490127] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12188), 1,
      anon_sym_DASH_GT,
    ACTIONS(12190), 1,
      anon_sym_as,
    STATE(10026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12196), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12194), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11488), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490245] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11616), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10029), 1,
      sym_attribute,
    STATE(10722), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11618), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11614), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490291] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10030), 1,
      sym_attribute,
    STATE(10651), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16022), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [490357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11180), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490395] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12264), 1,
      anon_sym_let,
    ACTIONS(12266), 1,
      anon_sym_DQUOTE,
    STATE(10032), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10729), 1,
      aux_sym_external_repeat1,
    STATE(11015), 1,
      aux_sym_expression_item_repeat1,
    STATE(11293), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9076), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11480), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9508), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9484), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11290), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490635] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12252), 1,
      aux_sym_attribute_id_token1,
    STATE(10022), 1,
      aux_sym_attribute_id_repeat1,
    STATE(10038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8752), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8754), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490677] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10039), 1,
      sym_attribute,
    STATE(10590), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16016), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [490743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9496), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490781] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10041), 1,
      sym_attribute,
    STATE(10472), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15303), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [490847] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8986), 1,
      sym__lowercase_identifier,
    STATE(10042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11466), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11464), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [490889] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7972), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490927] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(10044), 1,
      sym_attribute,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11770), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [490975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11228), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7876), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491051] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      sym_pow_operator,
    ACTIONS(12158), 1,
      sym_mult_operator,
    ACTIONS(12160), 1,
      sym_concat_operator,
    ACTIONS(12168), 1,
      sym_rel_operator,
    ACTIONS(12170), 1,
      sym_and_operator,
    ACTIONS(12172), 1,
      sym_or_operator,
    ACTIONS(12174), 1,
      anon_sym_COMMA,
    ACTIONS(12176), 1,
      sym_assign_operator,
    ACTIONS(12268), 1,
      anon_sym_SEMI,
    STATE(1886), 1,
      sym_add_operator,
    STATE(10047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [491113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11480), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491151] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(10049), 1,
      sym_attribute,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9072), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491237] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10051), 1,
      sym_attribute,
    STATE(10490), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16144), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9516), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491341] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12188), 1,
      anon_sym_DASH_GT,
    ACTIONS(12190), 1,
      anon_sym_as,
    STATE(10053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12272), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12270), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491383] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(10054), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11990), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7880), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491469] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(10056), 1,
      sym_attribute,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491517] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(10057), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12006), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491565] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(10058), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12010), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9532), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491651] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11492), 1,
      sym__lowercase_identifier,
    STATE(10060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12014), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12016), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491693] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(10061), 1,
      sym_attribute,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7890), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10846), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [491855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9480), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11488), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9536), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9446), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9476), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9472), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11170), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492121] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12274), 1,
      anon_sym_PIPE,
    STATE(10072), 1,
      sym_attribute,
    STATE(10118), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [492163] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10073), 1,
      sym_attribute,
    STATE(10713), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15943), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [492229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9454), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492267] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12276), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10075), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8691), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8693), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492307] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10076), 1,
      sym_attribute,
    STATE(10470), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15642), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [492373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11204), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11560), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492487] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(10080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [492529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9458), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9556), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9558), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11402), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492643] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [492683] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10085), 1,
      sym_attribute,
    STATE(10710), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16200), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [492749] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9466), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11200), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7906), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12281), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12279), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11196), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492977] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10092), 1,
      sym_attribute,
    STATE(10427), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15081), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [493043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8020), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8024), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493119] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12274), 1,
      anon_sym_PIPE,
    STATE(10095), 1,
      sym_attribute,
    STATE(10145), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [493161] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(10096), 1,
      sym_attribute,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12010), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8964), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493247] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(10098), 1,
      sym_attribute,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12006), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493295] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12180), 1,
      anon_sym_let,
    ACTIONS(12283), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10099), 1,
      sym_attribute,
    STATE(10254), 1,
      aux_sym_type_binding_repeat1,
    STATE(10463), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493347] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(10100), 1,
      sym_attribute,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7918), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9566), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493471] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11725), 1,
      sym__lowercase_identifier,
    ACTIONS(11727), 1,
      anon_sym_POUND,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(10103), 1,
      sym_attribute,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11208), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493557] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12198), 1,
      anon_sym_DASH_GT,
    STATE(10105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12272), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12270), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11208), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10848), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [493675] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11688), 1,
      sym__lowercase_identifier,
    ACTIONS(11690), 1,
      anon_sym_POUND,
    STATE(9932), 1,
      sym_type_constructor_path,
    STATE(10108), 1,
      sym_attribute,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11990), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493723] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    ACTIONS(12285), 1,
      anon_sym_STAR,
    STATE(10109), 1,
      sym_attribute,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(11687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11636), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493775] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(12287), 1,
      anon_sym_POUND,
    STATE(10110), 1,
      sym_attribute,
    STATE(10566), 1,
      sym_type_constructor_path,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [493823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10846), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [493861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8922), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8986), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11466), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8918), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494013] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10116), 1,
      sym_attribute,
    STATE(10430), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15005), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [494079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11380), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494117] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12274), 1,
      anon_sym_PIPE,
    STATE(10118), 1,
      sym_attribute,
    STATE(10151), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [494159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8024), 19,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [494197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9038), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9462), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494273] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12266), 1,
      anon_sym_DQUOTE,
    ACTIONS(12291), 1,
      anon_sym_let,
    STATE(10122), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10729), 1,
      aux_sym_external_repeat1,
    STATE(10893), 1,
      aux_sym_expression_item_repeat1,
    STATE(11293), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12289), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10848), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7914), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7984), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11244), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11236), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9488), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494551] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10129), 1,
      sym_attribute,
    STATE(10555), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15580), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [494617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11180), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7926), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7988), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494731] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494809] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12293), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10135), 1,
      sym_attribute,
    STATE(10384), 1,
      aux_sym_type_binding_repeat1,
    STATE(10421), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12146), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11216), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11560), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8028), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8020), 19,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [495013] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12295), 1,
      anon_sym_POUND,
    STATE(10140), 1,
      sym_attribute,
    STATE(10431), 1,
      sym_type_constructor_path,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [495061] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12152), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(10141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [495103] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10142), 1,
      sym_attribute,
    STATE(10435), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15485), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [495169] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_DASH_GT,
    STATE(10143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12210), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12208), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495209] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(12297), 1,
      anon_sym_POUND,
    STATE(10144), 1,
      sym_attribute,
    STATE(10526), 1,
      sym_type_constructor_path,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10880), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495257] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12274), 1,
      anon_sym_PIPE,
    STATE(10145), 1,
      sym_attribute,
    STATE(10151), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [495299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8028), 19,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [495337] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1886), 1,
      sym_add_operator,
    STATE(10147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [495377] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [495417] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(10149), 1,
      sym_attribute,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11770), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [495465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495503] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12299), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10151), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [495543] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10152), 1,
      sym_attribute,
    STATE(10753), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16278), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [495609] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10153), 1,
      sym_attribute,
    STATE(10711), 1,
      sym__attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15743), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [495675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9512), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495713] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12232), 1,
      anon_sym_RPAREN,
    ACTIONS(12234), 1,
      anon_sym__,
    ACTIONS(12236), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10155), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15506), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [495779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11368), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11216), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495855] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10158), 1,
      sym_attribute,
    STATE(10212), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12304), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [495898] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12306), 1,
      anon_sym_PIPE,
    STATE(10159), 1,
      sym_attribute,
    STATE(10263), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [495939] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12308), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10160), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8691), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8693), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495978] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12313), 1,
      anon_sym_POUND,
    STATE(10161), 1,
      sym_attribute,
    STATE(10818), 1,
      sym_type_constructor_path,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [496025] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12315), 1,
      aux_sym_attribute_id_token1,
    STATE(10160), 1,
      aux_sym_attribute_id_repeat1,
    STATE(10162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8778), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8780), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9834), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9832), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [496103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(8202), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496140] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10165), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12319), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12317), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [496183] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_LPAREN,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12327), 1,
      anon_sym_end,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    STATE(10166), 1,
      sym_attribute,
    STATE(10821), 1,
      sym__attribute,
    STATE(11224), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [496246] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12343), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10167), 1,
      sym_attribute,
    STATE(10700), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496295] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12345), 1,
      anon_sym_LPAREN,
    ACTIONS(12347), 1,
      anon_sym_end,
    STATE(10168), 1,
      sym_attribute,
    STATE(11019), 1,
      sym__attribute,
    STATE(11099), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [496358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10848), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [496395] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12349), 1,
      anon_sym_LPAREN,
    ACTIONS(12351), 1,
      anon_sym_end,
    STATE(10170), 1,
      sym_attribute,
    STATE(11009), 1,
      sym__attribute,
    STATE(11203), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [496458] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12353), 1,
      anon_sym_LPAREN,
    ACTIONS(12355), 1,
      anon_sym_end,
    STATE(10171), 1,
      sym_attribute,
    STATE(10973), 1,
      sym__attribute,
    STATE(11295), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [496521] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12315), 1,
      aux_sym_attribute_id_token1,
    STATE(10162), 1,
      aux_sym_attribute_id_repeat1,
    STATE(10172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8752), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8754), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496562] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12357), 1,
      anon_sym_LPAREN,
    ACTIONS(12359), 1,
      anon_sym_end,
    STATE(10173), 1,
      sym_attribute,
    STATE(10803), 1,
      sym__attribute,
    STATE(11181), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [496625] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(10174), 1,
      sym_attribute,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11990), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [496672] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12361), 1,
      anon_sym_LPAREN,
    ACTIONS(12363), 1,
      anon_sym_end,
    STATE(10175), 1,
      sym_attribute,
    STATE(10857), 1,
      sym__attribute,
    STATE(11412), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [496735] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12365), 1,
      anon_sym_LPAREN,
    ACTIONS(12367), 1,
      anon_sym_end,
    STATE(10176), 1,
      sym_attribute,
    STATE(10799), 1,
      sym__attribute,
    STATE(11133), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [496798] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(10177), 1,
      sym_attribute,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12010), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [496845] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(10178), 1,
      sym_attribute,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [496892] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(10179), 1,
      sym_attribute,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12006), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [496939] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12371), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10180), 1,
      sym_attribute,
    STATE(10762), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12369), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496988] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497027] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12375), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10182), 1,
      sym_attribute,
    STATE(10491), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497076] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(10183), 1,
      sym_attribute,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [497123] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10184), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12379), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12377), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [497166] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12381), 1,
      anon_sym_LPAREN,
    ACTIONS(12383), 1,
      anon_sym_end,
    STATE(10185), 1,
      sym_attribute,
    STATE(10816), 1,
      sym__attribute,
    STATE(11211), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [497229] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11692), 1,
      sym__lowercase_identifier,
    ACTIONS(11844), 1,
      anon_sym_POUND,
    STATE(9764), 1,
      sym_type_constructor_path,
    STATE(10186), 1,
      sym_attribute,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [497276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12387), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12385), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497313] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(10188), 1,
      sym_attribute,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11770), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [497360] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10165), 1,
      aux_sym_expression_item_repeat1,
    STATE(10189), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12391), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12389), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [497403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12395), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12393), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497440] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12397), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11891), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10191), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11889), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497479] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12402), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10192), 1,
      sym_attribute,
    STATE(10346), 1,
      aux_sym_type_binding_repeat1,
    STATE(10498), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8691), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8693), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [497565] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12406), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10194), 1,
      sym_attribute,
    STATE(10337), 1,
      aux_sym_type_binding_repeat1,
    STATE(10503), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12404), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497614] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10195), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12410), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12408), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [497657] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12412), 1,
      anon_sym_LPAREN,
    ACTIONS(12414), 1,
      anon_sym_end,
    STATE(10196), 1,
      sym_attribute,
    STATE(10800), 1,
      sym__attribute,
    STATE(11128), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [497720] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11899), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12416), 1,
      anon_sym_LPAREN,
    ACTIONS(12418), 1,
      anon_sym_LBRACK,
    STATE(10197), 1,
      sym_attribute,
    STATE(11230), 1,
      sym__constructor_name,
    STATE(11821), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12420), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11897), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [497769] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12424), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10198), 1,
      sym_attribute,
    STATE(10514), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12422), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497818] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12428), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10199), 1,
      sym_attribute,
    STATE(10247), 1,
      aux_sym_type_binding_repeat1,
    STATE(10712), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12426), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497867] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12430), 1,
      anon_sym_LPAREN,
    ACTIONS(12432), 1,
      anon_sym_end,
    STATE(10200), 1,
      sym_attribute,
    STATE(10811), 1,
      sym__attribute,
    STATE(11187), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [497930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [497969] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12375), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10202), 1,
      sym_attribute,
    STATE(10491), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498018] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10203), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [498065] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12180), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10204), 1,
      sym_attribute,
    STATE(10463), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9806), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9804), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [498151] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12438), 1,
      anon_sym_LPAREN,
    ACTIONS(12440), 1,
      anon_sym_end,
    STATE(10206), 1,
      sym_attribute,
    STATE(10985), 1,
      sym__attribute,
    STATE(11233), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [498214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9802), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9800), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [498251] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12442), 1,
      anon_sym_LPAREN,
    ACTIONS(12444), 1,
      anon_sym_end,
    STATE(10208), 1,
      sym_attribute,
    STATE(10839), 1,
      sym__attribute,
    STATE(11441), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [498314] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12446), 1,
      anon_sym_LPAREN,
    ACTIONS(12448), 1,
      anon_sym_end,
    STATE(10209), 1,
      sym_attribute,
    STATE(10850), 1,
      sym__attribute,
    STATE(11535), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [498377] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12032), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12450), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10210), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9814), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9812), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [498455] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10212), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12453), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [498498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8691), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8693), 13,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [498535] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(12463), 1,
      anon_sym_of,
    ACTIONS(12465), 1,
      anon_sym_COLON2,
    STATE(10214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(7765), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498615] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12467), 1,
      anon_sym_STAR,
    STATE(10216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11872), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498654] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11872), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12469), 1,
      anon_sym_STAR,
    STATE(10217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498693] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12473), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10218), 1,
      sym_attribute,
    STATE(10725), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498742] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    ACTIONS(12477), 1,
      anon_sym_end,
    STATE(10219), 1,
      sym_attribute,
    STATE(10776), 1,
      sym__attribute,
    STATE(11031), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [498805] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12481), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10202), 1,
      aux_sym_type_binding_repeat1,
    STATE(10220), 1,
      sym_attribute,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498854] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_and,
    STATE(10191), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12485), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12483), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10149), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10147), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [498932] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12047), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(10223), 1,
      sym_attribute,
    STATE(10260), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12045), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498975] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(10224), 1,
      sym_attribute,
    STATE(10246), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11950), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [499018] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(10225), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11770), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [499065] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12491), 1,
      anon_sym_LPAREN,
    ACTIONS(12493), 1,
      anon_sym_end,
    STATE(10226), 1,
      sym_attribute,
    STATE(10828), 1,
      sym__attribute,
    STATE(11551), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9977), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9975), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499165] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12495), 1,
      anon_sym_LPAREN,
    ACTIONS(12497), 1,
      anon_sym_end,
    STATE(10228), 1,
      sym_attribute,
    STATE(11005), 1,
      sym__attribute,
    STATE(11197), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499228] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(12505), 1,
      anon_sym_of,
    ACTIONS(12507), 1,
      anon_sym_COLON2,
    STATE(10229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12499), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10045), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10043), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3083), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3081), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10049), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10047), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499382] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12402), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10233), 1,
      sym_attribute,
    STATE(10305), 1,
      aux_sym_type_binding_repeat1,
    STATE(10498), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499431] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12406), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10234), 1,
      sym_attribute,
    STATE(10307), 1,
      aux_sym_type_binding_repeat1,
    STATE(10503), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12404), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499480] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(10235), 1,
      sym_attribute,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11770), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [499527] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12509), 1,
      anon_sym_COMMA,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    ACTIONS(12517), 1,
      sym_concat_operator,
    ACTIONS(12519), 1,
      sym_rel_operator,
    ACTIONS(12521), 1,
      sym_and_operator,
    ACTIONS(12523), 1,
      sym_or_operator,
    ACTIONS(12525), 1,
      sym_assign_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10157), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10155), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [499586] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(12529), 1,
      anon_sym_end,
    STATE(10237), 1,
      sym_attribute,
    STATE(10910), 1,
      sym__attribute,
    STATE(11537), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499649] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(12537), 1,
      anon_sym_of,
    ACTIONS(12539), 1,
      anon_sym_COLON2,
    STATE(10238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12531), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499692] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(12543), 1,
      anon_sym_end,
    STATE(10239), 1,
      sym_attribute,
    STATE(10952), 1,
      sym__attribute,
    STATE(11370), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499755] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10240), 1,
      sym_attribute,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [499802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8988), 18,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [499839] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LPAREN,
    ACTIONS(12549), 1,
      anon_sym_end,
    STATE(10242), 1,
      sym_attribute,
    STATE(10842), 1,
      sym__attribute,
    STATE(11482), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499902] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10243), 1,
      sym_attribute,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11396), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [499955] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10244), 1,
      sym_attribute,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11392), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500008] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12148), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10245), 1,
      sym_attribute,
    STATE(10421), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12146), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500057] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12109), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(10210), 1,
      aux_sym_type_binding_repeat1,
    STATE(10246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12107), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [500100] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12424), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10247), 1,
      sym_attribute,
    STATE(10514), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12422), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9985), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9983), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500186] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(10249), 1,
      sym_attribute,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9870), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9868), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500270] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12551), 1,
      anon_sym_LPAREN,
    ACTIONS(12553), 1,
      anon_sym_end,
    STATE(10251), 1,
      sym_attribute,
    STATE(11012), 1,
      sym__attribute,
    STATE(11210), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [500333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9971), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500370] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10253), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10866), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [500417] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12557), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10254), 1,
      sym_attribute,
    STATE(10414), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12555), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500466] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11899), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12559), 1,
      anon_sym_LPAREN,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    STATE(10255), 1,
      sym_attribute,
    STATE(11334), 1,
      sym__constructor_name,
    STATE(11763), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11897), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [500515] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12565), 1,
      anon_sym_LPAREN,
    ACTIONS(12567), 1,
      anon_sym_end,
    STATE(10256), 1,
      sym_attribute,
    STATE(11011), 1,
      sym__attribute,
    STATE(11161), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [500578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9969), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9967), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9965), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9963), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500689] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12489), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(10210), 1,
      aux_sym_type_binding_repeat1,
    STATE(10260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11950), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [500732] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10261), 1,
      sym_attribute,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10866), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [500779] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12509), 1,
      anon_sym_COMMA,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    ACTIONS(12517), 1,
      sym_concat_operator,
    ACTIONS(12519), 1,
      sym_rel_operator,
    ACTIONS(12521), 1,
      sym_and_operator,
    ACTIONS(12523), 1,
      sym_or_operator,
    ACTIONS(12525), 1,
      sym_assign_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10165), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10163), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [500838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12569), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10263), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [500877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9929), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9927), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500951] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [500994] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12572), 1,
      anon_sym_LPAREN,
    ACTIONS(12574), 1,
      anon_sym_end,
    STATE(10267), 1,
      sym_attribute,
    STATE(10979), 1,
      sym__attribute,
    STATE(11276), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501057] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12509), 1,
      anon_sym_COMMA,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    ACTIONS(12517), 1,
      sym_concat_operator,
    ACTIONS(12519), 1,
      sym_rel_operator,
    ACTIONS(12521), 1,
      sym_and_operator,
    ACTIONS(12523), 1,
      sym_or_operator,
    ACTIONS(12525), 1,
      sym_assign_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10173), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [501116] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    ACTIONS(12517), 1,
      sym_concat_operator,
    ACTIONS(12519), 1,
      sym_rel_operator,
    ACTIONS(12521), 1,
      sym_and_operator,
    ACTIONS(12523), 1,
      sym_or_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [501171] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12576), 1,
      anon_sym_STAR,
    STATE(10270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11872), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11870), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501210] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    ACTIONS(12517), 1,
      sym_concat_operator,
    ACTIONS(12519), 1,
      sym_rel_operator,
    ACTIONS(12521), 1,
      sym_and_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [501263] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    ACTIONS(12517), 1,
      sym_concat_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [501312] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(10273), 1,
      sym_attribute,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11770), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [501359] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(10274), 1,
      sym_attribute,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501406] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    ACTIONS(12517), 1,
      sym_concat_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [501455] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12578), 1,
      anon_sym_LPAREN,
    ACTIONS(12580), 1,
      anon_sym_end,
    STATE(10276), 1,
      sym_attribute,
    STATE(10867), 1,
      sym__attribute,
    STATE(11093), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501518] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12584), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10218), 1,
      aux_sym_type_binding_repeat1,
    STATE(10277), 1,
      sym_attribute,
    STATE(10483), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501567] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12306), 1,
      anon_sym_PIPE,
    STATE(10159), 1,
      aux_sym__match_cases_repeat1,
    STATE(10278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [501608] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      sym_pow_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10175), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [501649] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12513), 1,
      sym_pow_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10175), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [501690] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10281), 1,
      sym_attribute,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11346), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501743] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(12588), 1,
      anon_sym_end,
    STATE(10282), 1,
      sym_attribute,
    STATE(11022), 1,
      sym__attribute,
    STATE(11070), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501806] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10283), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [501859] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10284), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12592), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12590), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [501902] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12594), 1,
      anon_sym_LPAREN,
    ACTIONS(12596), 1,
      anon_sym_end,
    STATE(10285), 1,
      sym_attribute,
    STATE(10809), 1,
      sym__attribute,
    STATE(11176), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501965] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12032), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12598), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10286), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [502006] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [502053] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12601), 1,
      anon_sym_LPAREN,
    ACTIONS(12603), 1,
      anon_sym_end,
    STATE(10288), 1,
      sym_attribute,
    STATE(10998), 1,
      sym__attribute,
    STATE(11219), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [502116] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    ACTIONS(12517), 1,
      sym_concat_operator,
    ACTIONS(12519), 1,
      sym_rel_operator,
    ACTIONS(12521), 1,
      sym_and_operator,
    ACTIONS(12523), 1,
      sym_or_operator,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10183), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10181), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [502171] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(10290), 1,
      sym_attribute,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [502218] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(10291), 1,
      sym_attribute,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12010), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [502265] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(10292), 1,
      sym_attribute,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12006), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [502312] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11704), 1,
      sym__lowercase_identifier,
    ACTIONS(11772), 1,
      anon_sym_POUND,
    STATE(9785), 1,
      sym_type_constructor_path,
    STATE(10293), 1,
      sym_attribute,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11990), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [502359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9830), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9828), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [502396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9826), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9824), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [502433] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12605), 1,
      anon_sym_LPAREN,
    ACTIONS(12607), 1,
      anon_sym_end,
    STATE(10296), 1,
      sym_attribute,
    STATE(10877), 1,
      sym__attribute,
    STATE(11174), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [502496] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12609), 1,
      anon_sym_COMMA,
    ACTIONS(12611), 1,
      anon_sym_SEMI,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    ACTIONS(12621), 1,
      sym_rel_operator,
    ACTIONS(12623), 1,
      sym_and_operator,
    ACTIONS(12625), 1,
      sym_or_operator,
    ACTIONS(12627), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [502557] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12047), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12629), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(10298), 1,
      sym_attribute,
    STATE(10304), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12045), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [502600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [502637] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12629), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(10300), 1,
      sym_attribute,
    STATE(10333), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11950), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [502680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9822), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9820), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [502717] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    ACTIONS(12621), 1,
      sym_rel_operator,
    ACTIONS(12623), 1,
      sym_and_operator,
    ACTIONS(12625), 1,
      sym_or_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [502772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9818), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9816), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [502809] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12629), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(10286), 1,
      aux_sym_type_binding_repeat1,
    STATE(10304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11950), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [502852] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12633), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10305), 1,
      sym_attribute,
    STATE(10741), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9810), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9808), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [502938] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12637), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10307), 1,
      sym_attribute,
    STATE(10717), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502987] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12306), 1,
      anon_sym_PIPE,
    STATE(10263), 1,
      aux_sym__match_cases_repeat1,
    STATE(10308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [503028] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12639), 1,
      anon_sym_LPAREN,
    ACTIONS(12641), 1,
      anon_sym_end,
    STATE(10309), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__attribute,
    STATE(11528), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [503091] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12643), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(10310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [503132] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12645), 1,
      anon_sym_LPAREN,
    ACTIONS(12647), 1,
      anon_sym_end,
    STATE(10311), 1,
      sym_attribute,
    STATE(10880), 1,
      sym__attribute,
    STATE(11218), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [503195] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11872), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12649), 1,
      anon_sym_STAR,
    STATE(10312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [503234] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12609), 1,
      anon_sym_COMMA,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    ACTIONS(12621), 1,
      sym_rel_operator,
    ACTIONS(12623), 1,
      sym_and_operator,
    ACTIONS(12625), 1,
      sym_or_operator,
    ACTIONS(12627), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [503293] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10314), 1,
      sym_attribute,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [503346] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12653), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10315), 1,
      sym_attribute,
    STATE(10332), 1,
      aux_sym_type_binding_repeat1,
    STATE(10720), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503395] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10316), 1,
      sym_attribute,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [503448] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12180), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10317), 1,
      sym_attribute,
    STATE(10463), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8934), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503534] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10319), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [503587] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      sym__lowercase_identifier,
    ACTIONS(12655), 1,
      anon_sym_COLON2,
    STATE(10320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11370), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11368), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [503630] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10321), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [503683] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [503722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9706), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9704), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503759] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12657), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11891), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10324), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11889), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503798] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12660), 1,
      anon_sym_LPAREN,
    ACTIONS(12662), 1,
      anon_sym_end,
    STATE(10325), 1,
      sym_attribute,
    STATE(10901), 1,
      sym__attribute,
    STATE(11446), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [503861] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10326), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11396), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [503914] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10327), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11392), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [503967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11636), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11268), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504004] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      sym__lowercase_identifier,
    ACTIONS(12664), 1,
      anon_sym_COLON2,
    STATE(10329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11370), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11368), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [504047] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10330), 1,
      sym_attribute,
    STATE(10353), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12668), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12666), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [504090] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12670), 1,
      anon_sym_LPAREN,
    ACTIONS(12672), 1,
      anon_sym_end,
    STATE(10331), 1,
      sym_attribute,
    STATE(10954), 1,
      sym__attribute,
    STATE(11344), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504153] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11702), 1,
      anon_sym_constraint,
    ACTIONS(12371), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10332), 1,
      sym_attribute,
    STATE(10762), 1,
      aux_sym_expression_item_repeat1,
    STATE(10852), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12369), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12109), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12629), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(10286), 1,
      aux_sym_type_binding_repeat1,
    STATE(10333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12107), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [504245] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10334), 1,
      sym_attribute,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [504298] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12609), 1,
      anon_sym_COMMA,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    ACTIONS(12621), 1,
      sym_rel_operator,
    ACTIONS(12623), 1,
      sym_and_operator,
    ACTIONS(12625), 1,
      sym_or_operator,
    ACTIONS(12627), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [504357] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12674), 1,
      anon_sym_LPAREN,
    ACTIONS(12676), 1,
      anon_sym_end,
    STATE(10336), 1,
      sym_attribute,
    STATE(10942), 1,
      sym__attribute,
    STATE(11415), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504420] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12637), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10337), 1,
      sym_attribute,
    STATE(10717), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504469] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12678), 1,
      anon_sym_LPAREN,
    ACTIONS(12680), 1,
      anon_sym_end,
    STATE(10338), 1,
      sym_attribute,
    STATE(11028), 1,
      sym__attribute,
    STATE(11042), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10087), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [504569] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_and,
    STATE(10221), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12682), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504610] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12686), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(10341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [504651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9406), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [504688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(12688), 1,
      anon_sym_of,
    ACTIONS(12690), 1,
      anon_sym_COLON2,
    STATE(10343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504731] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12692), 1,
      anon_sym_POUND,
    STATE(10344), 1,
      sym_attribute,
    STATE(10885), 1,
      sym_type_constructor_path,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [504778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8938), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [504815] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12633), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10346), 1,
      sym_attribute,
    STATE(10741), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504864] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12686), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(10347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [504905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9784), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9782), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [504942] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [504981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12696), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12694), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505018] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12609), 1,
      anon_sym_COMMA,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    ACTIONS(12621), 1,
      sym_rel_operator,
    ACTIONS(12623), 1,
      sym_and_operator,
    ACTIONS(12625), 1,
      sym_or_operator,
    ACTIONS(12627), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10165), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [505077] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10195), 1,
      aux_sym_expression_item_repeat1,
    STATE(10352), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12700), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12698), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [505120] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10353), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12704), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12702), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [505163] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12706), 1,
      anon_sym_and,
    STATE(10324), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12485), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12483), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505204] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12708), 1,
      anon_sym_LPAREN,
    ACTIONS(12710), 1,
      anon_sym_end,
    STATE(10355), 1,
      sym_attribute,
    STATE(10971), 1,
      sym__attribute,
    STATE(11299), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [505267] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12712), 1,
      anon_sym_LPAREN,
    ACTIONS(12714), 1,
      anon_sym_end,
    STATE(10356), 1,
      sym_attribute,
    STATE(10929), 1,
      sym__attribute,
    STATE(11433), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [505330] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12481), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10182), 1,
      aux_sym_type_binding_repeat1,
    STATE(10357), 1,
      sym_attribute,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10848), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [505416] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [505459] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12643), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(10360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [505500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8016), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [505537] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12473), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10362), 1,
      sym_attribute,
    STATE(10725), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505586] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(12716), 1,
      anon_sym_of,
    ACTIONS(12718), 1,
      anon_sym_COLON2,
    STATE(10363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12499), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505629] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(12720), 1,
      anon_sym_of,
    ACTIONS(12722), 1,
      anon_sym_COLON2,
    STATE(10364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12531), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505672] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12306), 1,
      anon_sym_PIPE,
    STATE(10308), 1,
      aux_sym__match_cases_repeat1,
    STATE(10365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [505713] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12609), 1,
      anon_sym_COMMA,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    ACTIONS(12621), 1,
      sym_rel_operator,
    ACTIONS(12623), 1,
      sym_and_operator,
    ACTIONS(12625), 1,
      sym_or_operator,
    ACTIONS(12627), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [505772] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12148), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10367), 1,
      sym_attribute,
    STATE(10421), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12146), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505821] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    ACTIONS(12621), 1,
      sym_rel_operator,
    ACTIONS(12623), 1,
      sym_and_operator,
    ACTIONS(12625), 1,
      sym_or_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [505876] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12724), 1,
      anon_sym_LPAREN,
    ACTIONS(12726), 1,
      anon_sym_end,
    STATE(10369), 1,
      sym_attribute,
    STATE(10941), 1,
      sym__attribute,
    STATE(11404), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [505939] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    ACTIONS(12621), 1,
      sym_rel_operator,
    ACTIONS(12623), 1,
      sym_and_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [505992] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [506041] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    ACTIONS(12619), 1,
      sym_concat_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [506090] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12615), 1,
      sym_pow_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [506131] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12615), 1,
      sym_pow_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [506172] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12613), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12615), 1,
      sym_pow_operator,
    ACTIONS(12617), 1,
      sym_mult_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(10375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [506219] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12728), 1,
      anon_sym_LPAREN,
    ACTIONS(12730), 1,
      anon_sym_end,
    STATE(10376), 1,
      sym_attribute,
    STATE(10887), 1,
      sym__attribute,
    STATE(11354), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506282] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12706), 1,
      anon_sym_and,
    STATE(10354), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12682), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506323] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12557), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10378), 1,
      sym_attribute,
    STATE(10414), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12555), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506372] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12732), 1,
      anon_sym_LPAREN,
    ACTIONS(12734), 1,
      anon_sym_end,
    STATE(10379), 1,
      sym_attribute,
    STATE(10894), 1,
      sym__attribute,
    STATE(11389), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8020), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [506472] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12653), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10180), 1,
      aux_sym_type_binding_repeat1,
    STATE(10381), 1,
      sym_attribute,
    STATE(10720), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8024), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [506558] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12736), 1,
      anon_sym_LPAREN,
    ACTIONS(12738), 1,
      anon_sym_end,
    STATE(10383), 1,
      sym_attribute,
    STATE(10928), 1,
      sym__attribute,
    STATE(11429), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506621] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12343), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10384), 1,
      sym_attribute,
    STATE(10700), 1,
      aux_sym_expression_item_repeat1,
    STATE(10936), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506670] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12740), 1,
      anon_sym_LPAREN,
    ACTIONS(12742), 1,
      anon_sym_end,
    STATE(10385), 1,
      sym_attribute,
    STATE(10915), 1,
      sym__attribute,
    STATE(11516), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506733] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12509), 1,
      anon_sym_COMMA,
    ACTIONS(12511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12513), 1,
      sym_pow_operator,
    ACTIONS(12515), 1,
      sym_mult_operator,
    ACTIONS(12517), 1,
      sym_concat_operator,
    ACTIONS(12519), 1,
      sym_rel_operator,
    ACTIONS(12521), 1,
      sym_and_operator,
    ACTIONS(12523), 1,
      sym_or_operator,
    ACTIONS(12525), 1,
      sym_assign_operator,
    ACTIONS(12744), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_add_operator,
    STATE(10386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [506794] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12746), 1,
      anon_sym_LPAREN,
    ACTIONS(12748), 1,
      anon_sym_end,
    STATE(10387), 1,
      sym_attribute,
    STATE(10882), 1,
      sym__attribute,
    STATE(11251), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8026), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [506894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9772), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9770), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [506931] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12750), 1,
      anon_sym_LPAREN,
    ACTIONS(12752), 1,
      anon_sym_end,
    STATE(10390), 1,
      sym_attribute,
    STATE(10966), 1,
      sym__attribute,
    STATE(11303), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8028), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [507031] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12428), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10198), 1,
      aux_sym_type_binding_repeat1,
    STATE(10392), 1,
      sym_attribute,
    STATE(10712), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12426), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507080] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10393), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11346), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [507133] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11634), 1,
      anon_sym_constraint,
    ACTIONS(12584), 1,
      anon_sym_let,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10362), 1,
      aux_sym_type_binding_repeat1,
    STATE(10394), 1,
      sym_attribute,
    STATE(10483), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8022), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [507219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8018), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [507256] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10284), 1,
      aux_sym_expression_item_repeat1,
    STATE(10397), 1,
      sym_attribute,
    STATE(10662), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12756), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12754), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [507299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8014), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [507336] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12758), 1,
      anon_sym_LPAREN,
    ACTIONS(12760), 1,
      anon_sym_end,
    STATE(10399), 1,
      sym_attribute,
    STATE(10932), 1,
      sym__attribute,
    STATE(11428), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [507399] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12339), 1,
      anon_sym_PERCENT,
    ACTIONS(12762), 1,
      anon_sym_LPAREN,
    ACTIONS(12764), 1,
      anon_sym_end,
    STATE(10400), 1,
      sym_attribute,
    STATE(10945), 1,
      sym__attribute,
    STATE(11387), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [507462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11170), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11480), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [507534] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(10403), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11990), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [507580] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(10404), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12010), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [507626] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12766), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11770), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10405), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [507736] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11638), 1,
      anon_sym_STAR,
    STATE(10405), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(10408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12769), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507776] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(10409), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [507822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11170), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [507858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507894] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12773), 1,
      sym__lowercase_identifier,
    ACTIONS(12775), 1,
      anon_sym_LPAREN,
    ACTIONS(12777), 1,
      anon_sym_DASH_GT,
    ACTIONS(12779), 1,
      anon_sym_module,
    ACTIONS(12781), 1,
      anon_sym_sig,
    ACTIONS(12783), 1,
      anon_sym_functor,
    ACTIONS(12785), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10412), 1,
      sym_attribute,
    STATE(13531), 1,
      sym__module_type,
    STATE(14303), 1,
      aux_sym_module_binding_repeat1,
    STATE(17104), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13632), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [507954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11418), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [507990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12789), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11402), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508068] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(10416), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [508114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11488), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508186] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(10419), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [508232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508268] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12343), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508310] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [508356] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12272), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12797), 1,
      anon_sym_DASH_GT,
    STATE(10423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12270), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [508396] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12799), 1,
      anon_sym_DASH_GT,
    ACTIONS(12801), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10424), 1,
      sym_attribute,
    STATE(10965), 1,
      sym__module_type,
    STATE(14852), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [508456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11368), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11380), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508528] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10427), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15007), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [508588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11480), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11244), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508660] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10430), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15361), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [508720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11236), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11180), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11170), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508864] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10435), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15508), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [508924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11480), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11290), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8986), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509032] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12807), 1,
      sym_rel_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10165), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [509090] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [509132] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12807), 1,
      sym_rel_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [509190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11560), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509226] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12807), 1,
      sym_rel_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [509280] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    ACTIONS(12815), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10421), 1,
      aux_sym_expression_item_repeat1,
    STATE(10444), 1,
      sym_attribute,
    STATE(10851), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12146), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [509328] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10445), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16097), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509388] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12819), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10446), 1,
      sym_attribute,
    STATE(10658), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509430] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12807), 1,
      sym_rel_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [509482] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10448), 1,
      sym_attribute,
    STATE(14057), 1,
      sym__module_type,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509542] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12805), 1,
      sym_concat_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [509590] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10450), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16195), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509650] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12805), 1,
      sym_concat_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [509698] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10452), 1,
      sym_attribute,
    STATE(10652), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509740] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12827), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509782] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12793), 1,
      sym_pow_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [509822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11356), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509858] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12799), 1,
      anon_sym_DASH_GT,
    ACTIONS(12801), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10456), 1,
      sym_attribute,
    STATE(10980), 1,
      sym__module_type,
    STATE(14852), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509918] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12797), 1,
      anon_sym_DASH_GT,
    STATE(10457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12184), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [509958] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12829), 1,
      anon_sym_DASH_GT,
    STATE(10458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12186), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11488), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510034] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12793), 1,
      sym_pow_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [510074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11360), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510110] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12831), 1,
      anon_sym_DASH_GT,
    STATE(10462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12272), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510150] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12557), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12555), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510192] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12807), 1,
      sym_rel_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [510246] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12212), 1,
      anon_sym_DASH_GT,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12216), 1,
      anon_sym_functor,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10465), 1,
      sym_attribute,
    STATE(11225), 1,
      sym__module_type,
    STATE(14780), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [510306] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12799), 1,
      anon_sym_DASH_GT,
    ACTIONS(12801), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10466), 1,
      sym_attribute,
    STATE(10585), 1,
      sym__module_type,
    STATE(14852), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [510366] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(12833), 1,
      anon_sym_of,
    ACTIONS(12835), 1,
      anon_sym_COLON2,
    STATE(10467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12531), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510408] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12839), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10468), 1,
      sym_attribute,
    STATE(10648), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12837), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510450] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12845), 1,
      anon_sym_DASH_GT,
    ACTIONS(12847), 1,
      anon_sym_with,
    STATE(10469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12841), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510490] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10470), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15662), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [510550] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12851), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12849), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510592] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10472), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15235), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [510652] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12829), 1,
      anon_sym_DASH_GT,
    STATE(10473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12272), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11418), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510728] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12853), 1,
      anon_sym_DASH_GT,
    ACTIONS(12855), 1,
      anon_sym_functor,
    STATE(9503), 1,
      sym__module_type,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10475), 1,
      sym_attribute,
    STATE(14845), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [510788] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12148), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510830] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12859), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10453), 1,
      aux_sym_expression_item_repeat1,
    STATE(10477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12857), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510872] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12196), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12797), 1,
      anon_sym_DASH_GT,
    STATE(10478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12194), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [510912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11296), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11488), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511020] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10482), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15840), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511080] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12473), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11290), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511158] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9503), 1,
      sym__module_type,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10485), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11418), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511254] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12831), 1,
      anon_sym_DASH_GT,
    STATE(10487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12186), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11402), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511366] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10490), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16159), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511426] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12863), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12861), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511468] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12867), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12865), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511510] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12807), 1,
      sym_rel_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(12869), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [511570] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12873), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10494), 1,
      sym_attribute,
    STATE(10599), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12871), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11216), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [511648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11208), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [511684] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12797), 1,
      anon_sym_DASH_GT,
    STATE(10497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [511722] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12633), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11196), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [511800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11380), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11402), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511872] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12877), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12875), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511914] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12637), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511956] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10504), 1,
      sym_attribute,
    STATE(14133), 1,
      sym__module_type,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [512016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11200), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11204), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512088] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10507), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15866), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [512148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11228), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512184] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12212), 1,
      anon_sym_DASH_GT,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12216), 1,
      anon_sym_functor,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10509), 1,
      sym_attribute,
    STATE(11111), 1,
      sym__module_type,
    STATE(14780), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [512244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11396), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11394), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512280] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10511), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15575), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [512340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8016), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [512376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512412] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12881), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12879), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8986), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11296), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11356), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512562] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11956), 1,
      sym__lowercase_identifier,
    ACTIONS(11958), 1,
      anon_sym_POUND,
    STATE(10518), 1,
      sym_attribute,
    STATE(10541), 1,
      sym_type_constructor_path,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12006), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [512608] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6915), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6913), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11360), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512686] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12885), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12883), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11356), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512764] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(10523), 1,
      sym_attribute,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11488), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11236), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11180), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512954] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11492), 1,
      sym__lowercase_identifier,
    STATE(10528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12014), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12016), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [512994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11560), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513030] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12889), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12887), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513072] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12893), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10531), 1,
      sym_attribute,
    STATE(10567), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12891), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513114] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      anon_sym_STAR,
    STATE(10532), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(12164), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11636), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [513164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11480), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [513200] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12773), 1,
      sym__lowercase_identifier,
    ACTIONS(12775), 1,
      anon_sym_LPAREN,
    ACTIONS(12777), 1,
      anon_sym_DASH_GT,
    ACTIONS(12779), 1,
      anon_sym_module,
    ACTIONS(12781), 1,
      anon_sym_sig,
    ACTIONS(12783), 1,
      anon_sym_functor,
    ACTIONS(12785), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10534), 1,
      sym_attribute,
    STATE(13539), 1,
      sym__module_type,
    STATE(14303), 1,
      aux_sym_module_binding_repeat1,
    STATE(17104), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13632), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11368), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [513296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [513332] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12853), 1,
      anon_sym_DASH_GT,
    ACTIONS(12855), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10537), 1,
      sym_attribute,
    STATE(10550), 1,
      sym__module_type,
    STATE(14845), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513392] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10538), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15333), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8014), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513488] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12899), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12897), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11170), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [513566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11380), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8986), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [513638] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8986), 1,
      sym__lowercase_identifier,
    STATE(10544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11466), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11464), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [513678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11344), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513714] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11492), 1,
      sym__lowercase_identifier,
    STATE(10546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12014), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12016), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [513754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9036), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12903), 1,
      anon_sym_let,
    STATE(10548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12901), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513826] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12907), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12905), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513868] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12845), 1,
      anon_sym_DASH_GT,
    ACTIONS(12847), 1,
      anon_sym_with,
    STATE(10550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12911), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12909), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11418), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [513944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11390), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11402), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514016] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10554), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15788), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [514076] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10555), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15592), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [514136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8018), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8022), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514244] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12853), 1,
      anon_sym_DASH_GT,
    ACTIONS(12855), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10559), 1,
      sym_attribute,
    STATE(10846), 1,
      sym__module_type,
    STATE(14845), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [514304] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_DASH_GT,
    ACTIONS(12226), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10560), 1,
      sym_attribute,
    STATE(11610), 1,
      sym__module_type,
    STATE(14827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [514364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10251), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10253), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [514400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11380), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514436] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12845), 1,
      anon_sym_DASH_GT,
    ACTIONS(12847), 1,
      anon_sym_with,
    STATE(10563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12913), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514476] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12853), 1,
      anon_sym_DASH_GT,
    ACTIONS(12855), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10469), 1,
      sym__module_type,
    STATE(10564), 1,
      sym_attribute,
    STATE(14845), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [514536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11216), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11236), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514608] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12919), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12917), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11208), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11196), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11180), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514758] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11731), 1,
      anon_sym_STAR,
    STATE(10571), 1,
      sym_attribute,
    STATE(10578), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12769), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8026), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11244), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514870] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12923), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10574), 1,
      sym_attribute,
    STATE(10755), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12921), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514912] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12927), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12925), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11560), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11200), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515026] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12929), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11770), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10578), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12934), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12932), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515100] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10251), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10253), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11204), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [515208] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12773), 1,
      sym__lowercase_identifier,
    ACTIONS(12775), 1,
      anon_sym_LPAREN,
    ACTIONS(12777), 1,
      anon_sym_DASH_GT,
    ACTIONS(12779), 1,
      anon_sym_module,
    ACTIONS(12781), 1,
      anon_sym_sig,
    ACTIONS(12783), 1,
      anon_sym_functor,
    ACTIONS(12785), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10583), 1,
      sym_attribute,
    STATE(13572), 1,
      sym__module_type,
    STATE(14303), 1,
      aux_sym_module_binding_repeat1,
    STATE(17104), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13632), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [515268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11244), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515304] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12940), 1,
      anon_sym_DASH_GT,
    ACTIONS(12942), 1,
      anon_sym_with,
    STATE(10585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12938), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515344] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12853), 1,
      anon_sym_DASH_GT,
    ACTIONS(12855), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10563), 1,
      sym__module_type,
    STATE(10586), 1,
      sym_attribute,
    STATE(14845), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [515404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11228), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515440] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12946), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12944), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515482] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12845), 1,
      anon_sym_DASH_GT,
    ACTIONS(12847), 1,
      anon_sym_with,
    STATE(10589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12938), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515522] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10590), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16037), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [515582] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [515620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6891), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515662] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10593), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15892), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [515722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [515758] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(10595), 1,
      sym_attribute,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515804] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6761), 1,
      anon_sym_let,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6759), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8018), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8022), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515918] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12950), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12948), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11492), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515996] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(10601), 1,
      sym_attribute,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516042] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12954), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10471), 1,
      aux_sym_expression_item_repeat1,
    STATE(10602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12952), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516084] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    ACTIONS(12956), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10421), 1,
      aux_sym_expression_item_repeat1,
    STATE(10603), 1,
      sym_attribute,
    STATE(10940), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12146), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516132] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10604), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16222), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516192] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12773), 1,
      sym__lowercase_identifier,
    ACTIONS(12775), 1,
      anon_sym_LPAREN,
    ACTIONS(12777), 1,
      anon_sym_DASH_GT,
    ACTIONS(12779), 1,
      anon_sym_module,
    ACTIONS(12781), 1,
      anon_sym_sig,
    ACTIONS(12783), 1,
      anon_sym_functor,
    ACTIONS(12785), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10605), 1,
      sym_attribute,
    STATE(13612), 1,
      sym__module_type,
    STATE(14303), 1,
      aux_sym_module_binding_repeat1,
    STATE(17104), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13632), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516252] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12960), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10606), 1,
      sym_attribute,
    STATE(10772), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516294] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12853), 1,
      anon_sym_DASH_GT,
    ACTIONS(12855), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10607), 1,
      sym_attribute,
    STATE(10959), 1,
      sym__module_type,
    STATE(14845), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516354] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_DASH_GT,
    ACTIONS(12226), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10608), 1,
      sym_attribute,
    STATE(11644), 1,
      sym__module_type,
    STATE(14827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11290), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11296), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8026), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11216), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11696), 1,
      anon_sym_COLON2,
    STATE(10613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516596] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10614), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15040), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516656] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_DASH_GT,
    ACTIONS(12226), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10615), 1,
      sym_attribute,
    STATE(11573), 1,
      sym__module_type,
    STATE(14827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11208), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8014), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516788] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12964), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12962), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11196), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516866] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11696), 1,
      anon_sym_COLON2,
    STATE(10620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12230), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12228), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [516940] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12968), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11200), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11204), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11228), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8028), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [517126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11204), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11200), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11228), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12281), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12279), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [517306] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12773), 1,
      sym__lowercase_identifier,
    ACTIONS(12775), 1,
      anon_sym_LPAREN,
    ACTIONS(12777), 1,
      anon_sym_DASH_GT,
    ACTIONS(12779), 1,
      anon_sym_module,
    ACTIONS(12781), 1,
      anon_sym_sig,
    ACTIONS(12783), 1,
      anon_sym_functor,
    ACTIONS(12785), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10632), 1,
      sym_attribute,
    STATE(13482), 1,
      sym__module_type,
    STATE(14303), 1,
      aux_sym_module_binding_repeat1,
    STATE(17104), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13632), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11356), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11196), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11290), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517474] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    ACTIONS(12970), 1,
      anon_sym_STAR,
    STATE(10636), 1,
      sym_attribute,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(12171), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11636), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [517524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11296), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11208), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517596] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8986), 1,
      sym__lowercase_identifier,
    STATE(10639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11466), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11464), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [517636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11216), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11360), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11360), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517744] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12940), 1,
      anon_sym_DASH_GT,
    ACTIONS(12942), 1,
      anon_sym_with,
    STATE(10643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12841), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517784] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12940), 1,
      anon_sym_DASH_GT,
    ACTIONS(12942), 1,
      anon_sym_with,
    STATE(10644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12911), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12909), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517824] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12940), 1,
      anon_sym_DASH_GT,
    ACTIONS(12942), 1,
      anon_sym_with,
    STATE(10645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12913), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11368), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517900] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12212), 1,
      anon_sym_DASH_GT,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12216), 1,
      anon_sym_functor,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10647), 1,
      sym_attribute,
    STATE(11434), 1,
      sym__module_type,
    STATE(14780), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517960] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12974), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12972), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518002] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10649), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15562), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518062] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(12976), 1,
      anon_sym_of,
    ACTIONS(12978), 1,
      anon_sym_COLON2,
    STATE(10650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518104] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10651), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15993), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518164] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12982), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12980), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8986), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [518242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12986), 1,
      anon_sym_let,
    STATE(10654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12984), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518278] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11616), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11614), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518320] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10656), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15566), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518380] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10657), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15322), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518440] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12990), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518482] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12853), 1,
      anon_sym_DASH_GT,
    ACTIONS(12855), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10589), 1,
      sym__module_type,
    STATE(10659), 1,
      sym_attribute,
    STATE(14845), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518542] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12831), 1,
      anon_sym_DASH_GT,
    STATE(10660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12210), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12208), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518580] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12994), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12206), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [518658] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12996), 1,
      anon_sym_DASH_GT,
    STATE(10663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [518696] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(10664), 1,
      sym_attribute,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11306), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518742] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6803), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6801), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518784] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(10666), 1,
      sym_attribute,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11302), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518830] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(10667), 1,
      sym_attribute,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518876] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(10668), 1,
      sym_attribute,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12010), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518922] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(10669), 1,
      sym_attribute,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12006), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518968] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11972), 1,
      sym__lowercase_identifier,
    ACTIONS(11974), 1,
      anon_sym_POUND,
    STATE(10434), 1,
      sym_type_constructor_path,
    STATE(10670), 1,
      sym_attribute,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11990), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519014] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13000), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10671), 1,
      sym_attribute,
    STATE(10759), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12998), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519056] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12212), 1,
      anon_sym_DASH_GT,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12216), 1,
      anon_sym_functor,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10672), 1,
      sym_attribute,
    STATE(11623), 1,
      sym__module_type,
    STATE(14780), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [519116] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(10673), 1,
      sym_attribute,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11990), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [519162] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13004), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10521), 1,
      aux_sym_expression_item_repeat1,
    STATE(10674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13002), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519204] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12829), 1,
      anon_sym_DASH_GT,
    STATE(10675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12210), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12208), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13008), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13006), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519278] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13012), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10530), 1,
      aux_sym_expression_item_repeat1,
    STATE(10677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13010), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519320] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13016), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13014), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519362] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13020), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10678), 1,
      aux_sym_expression_item_repeat1,
    STATE(10679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13018), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519404] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10680), 1,
      sym_attribute,
    STATE(14090), 1,
      sym__module_type,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [519464] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13024), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13022), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519506] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13028), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13026), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13032), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13030), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519626] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(10685), 1,
      sym_attribute,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12006), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [519672] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(10686), 1,
      sym_attribute,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12010), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [519718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13036), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13034), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(13038), 1,
      anon_sym_of,
    ACTIONS(13040), 1,
      anon_sym_COLON2,
    STATE(10688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12499), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519796] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13044), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10502), 1,
      aux_sym_expression_item_repeat1,
    STATE(10689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13042), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519838] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12799), 1,
      anon_sym_DASH_GT,
    ACTIONS(12801), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10645), 1,
      sym__module_type,
    STATE(10690), 1,
      sym_attribute,
    STATE(14852), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [519898] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12196), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12996), 1,
      anon_sym_DASH_GT,
    STATE(10691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12194), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [519938] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12799), 1,
      anon_sym_DASH_GT,
    ACTIONS(12801), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10643), 1,
      sym__module_type,
    STATE(10692), 1,
      sym_attribute,
    STATE(14852), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [519998] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12180), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520040] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12799), 1,
      anon_sym_DASH_GT,
    ACTIONS(12801), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10644), 1,
      sym__module_type,
    STATE(10694), 1,
      sym_attribute,
    STATE(14852), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520100] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(13046), 1,
      anon_sym_of,
    ACTIONS(13048), 1,
      anon_sym_COLON2,
    STATE(10695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12531), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520142] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13052), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13050), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520184] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13056), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520226] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13060), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10681), 1,
      aux_sym_expression_item_repeat1,
    STATE(10698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13058), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520268] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(10699), 1,
      sym_attribute,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [520314] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13064), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13062), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520356] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(10701), 1,
      sym_attribute,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [520402] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12037), 1,
      sym__lowercase_identifier,
    ACTIONS(12039), 1,
      anon_sym_POUND,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(10702), 1,
      sym_attribute,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [520448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13068), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13066), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520484] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13072), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10682), 1,
      aux_sym_expression_item_repeat1,
    STATE(10704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13070), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11244), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520562] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13076), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13074), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520604] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13080), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520646] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13084), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10684), 1,
      aux_sym_expression_item_repeat1,
    STATE(10708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13088), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520730] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10710), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16141), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520790] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10711), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15764), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520850] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12424), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12422), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520892] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10713), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(15963), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520952] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12212), 1,
      anon_sym_DASH_GT,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12216), 1,
      anon_sym_functor,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10714), 1,
      sym_attribute,
    STATE(11611), 1,
      sym__module_type,
    STATE(14780), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [521012] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12807), 1,
      sym_rel_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(10715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [521070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13092), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13090), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521106] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13096), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11236), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11180), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521220] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12369), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521262] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12799), 1,
      anon_sym_DASH_GT,
    ACTIONS(12801), 1,
      anon_sym_functor,
    STATE(9503), 1,
      sym__module_type,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10721), 1,
      sym_attribute,
    STATE(14852), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [521322] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12164), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521364] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    ACTIONS(13098), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10463), 1,
      aux_sym_expression_item_repeat1,
    STATE(10723), 1,
      sym_attribute,
    STATE(10934), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521412] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12212), 1,
      anon_sym_DASH_GT,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12216), 1,
      anon_sym_functor,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10724), 1,
      sym_attribute,
    STATE(11614), 1,
      sym__module_type,
    STATE(14780), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [521472] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13102), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13100), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11368), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521550] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12375), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521592] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13106), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521634] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13112), 1,
      anon_sym_DQUOTE,
    STATE(11293), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13110), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10729), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(13108), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(9038), 17,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [521710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13117), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521746] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13121), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13119), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11560), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521824] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12996), 1,
      anon_sym_DASH_GT,
    STATE(10734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12184), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521864] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13123), 1,
      anon_sym_of,
    ACTIONS(13125), 1,
      anon_sym_COLON2,
    STATE(10735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521906] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13129), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10661), 1,
      aux_sym_expression_item_repeat1,
    STATE(10736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13127), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521948] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12212), 1,
      anon_sym_DASH_GT,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12216), 1,
      anon_sym_functor,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10737), 1,
      sym_attribute,
    STATE(11452), 1,
      sym__module_type,
    STATE(14780), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [522008] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13133), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13131), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522050] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(10739), 1,
      sym_attribute,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12010), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522096] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    ACTIONS(13135), 1,
      anon_sym_EQ,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10463), 1,
      aux_sym_expression_item_repeat1,
    STATE(10740), 1,
      sym_attribute,
    STATE(10982), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522144] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13139), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13137), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522186] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_DASH_GT,
    ACTIONS(12226), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10742), 1,
      sym_attribute,
    STATE(11398), 1,
      sym__module_type,
    STATE(14827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [522246] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(10743), 1,
      sym_attribute,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12006), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522292] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_DASH_GT,
    ACTIONS(12226), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10744), 1,
      sym_attribute,
    STATE(11512), 1,
      sym__module_type,
    STATE(14827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [522352] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13143), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10706), 1,
      aux_sym_expression_item_repeat1,
    STATE(10745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13141), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522394] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13147), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13145), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522436] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13151), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10707), 1,
      aux_sym_expression_item_repeat1,
    STATE(10747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13149), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522514] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(13153), 1,
      anon_sym_of,
    ACTIONS(13155), 1,
      anon_sym_COLON2,
    STATE(10749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12499), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522556] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13159), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13157), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8020), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [522634] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13163), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10752), 1,
      sym_attribute,
    STATE(10758), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13161), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522676] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10753), 1,
      sym_attribute,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16270), 1,
      sym__module_type,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [522736] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13167), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10709), 1,
      aux_sym_expression_item_repeat1,
    STATE(10754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13165), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13171), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13169), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8024), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [522856] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_DASH_GT,
    ACTIONS(12226), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10757), 1,
      sym_attribute,
    STATE(11376), 1,
      sym__module_type,
    STATE(14827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [522916] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13175), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522958] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13179), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13177), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523000] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12026), 1,
      sym__lowercase_identifier,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    STATE(10401), 1,
      sym_type_constructor_path,
    STATE(10760), 1,
      sym_attribute,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11990), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [523046] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12212), 1,
      anon_sym_DASH_GT,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12216), 1,
      anon_sym_functor,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9503), 1,
      sym__module_type,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10761), 1,
      sym_attribute,
    STATE(14780), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523106] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13183), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13181), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523184] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_DASH_GT,
    ACTIONS(12226), 1,
      anon_sym_functor,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10764), 1,
      sym_attribute,
    STATE(11406), 1,
      sym__module_type,
    STATE(14827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523244] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13187), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10750), 1,
      aux_sym_expression_item_repeat1,
    STATE(10765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13185), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523286] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13191), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13189), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523328] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12134), 1,
      anon_sym_DASH_GT,
    ACTIONS(12136), 1,
      anon_sym_module,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12140), 1,
      anon_sym_functor,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10767), 1,
      sym_attribute,
    STATE(14367), 1,
      sym__module_type,
    STATE(14839), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523388] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13195), 1,
      anon_sym_let,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10746), 1,
      aux_sym_expression_item_repeat1,
    STATE(10768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13193), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523430] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13199), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13197), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523472] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12272), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12996), 1,
      anon_sym_DASH_GT,
    STATE(10770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12270), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523512] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6931), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6929), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523554] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13203), 1,
      anon_sym_let,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13201), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8691), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8693), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [523632] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      sym__lowercase_identifier,
    ACTIONS(12132), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_sig,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(12214), 1,
      anon_sym_module,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_DASH_GT,
    ACTIONS(12226), 1,
      anon_sym_functor,
    STATE(9503), 1,
      sym__module_type,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(10774), 1,
      sym_attribute,
    STATE(14827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523692] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13209), 1,
      anon_sym_PIPE,
    STATE(10775), 1,
      sym_attribute,
    STATE(11008), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13205), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523731] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13211), 1,
      anon_sym_LPAREN,
    ACTIONS(13213), 1,
      anon_sym_end,
    STATE(10776), 1,
      sym_attribute,
    STATE(11304), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [523788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11244), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11560), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523858] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10720), 1,
      aux_sym_expression_item_repeat1,
    STATE(10779), 1,
      sym_attribute,
    STATE(10782), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11380), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523938] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10717), 1,
      aux_sym_expression_item_repeat1,
    STATE(10781), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523983] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10762), 1,
      aux_sym_expression_item_repeat1,
    STATE(10782), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12369), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [524028] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10741), 1,
      aux_sym_expression_item_repeat1,
    STATE(10783), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [524073] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10514), 1,
      aux_sym_expression_item_repeat1,
    STATE(10784), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12422), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [524118] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10503), 1,
      aux_sym_expression_item_repeat1,
    STATE(10781), 1,
      aux_sym_type_binding_repeat1,
    STATE(10785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12404), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [524163] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13217), 1,
      anon_sym_BANG,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8759), 1,
      sym_module_path,
    STATE(8819), 1,
      sym__module_expression,
    STATE(10786), 1,
      sym_attribute,
    STATE(11721), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [524220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524255] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10498), 1,
      aux_sym_expression_item_repeat1,
    STATE(10783), 1,
      aux_sym_type_binding_repeat1,
    STATE(10788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12400), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [524300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11402), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11418), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524370] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6931), 1,
      anon_sym_let,
    ACTIONS(6941), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10732), 1,
      aux_sym_expression_item_repeat1,
    STATE(10791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6929), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524413] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13199), 1,
      anon_sym_let,
    ACTIONS(13223), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10738), 1,
      aux_sym_expression_item_repeat1,
    STATE(10792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13197), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11170), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524526] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13106), 1,
      anon_sym_let,
    ACTIONS(13225), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10492), 1,
      aux_sym_expression_item_repeat1,
    STATE(10795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13104), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11480), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11488), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524674] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13227), 1,
      anon_sym_LPAREN,
    ACTIONS(13229), 1,
      anon_sym_end,
    STATE(10799), 1,
      sym_attribute,
    STATE(11375), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524731] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13231), 1,
      anon_sym_LPAREN,
    ACTIONS(13233), 1,
      anon_sym_end,
    STATE(10800), 1,
      sym_attribute,
    STATE(11096), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524788] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13235), 1,
      anon_sym_else,
    STATE(10295), 1,
      sym_else_clause,
    STATE(10801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [524827] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13121), 1,
      anon_sym_let,
    ACTIONS(13237), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10696), 1,
      aux_sym_expression_item_repeat1,
    STATE(10802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13119), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524870] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13239), 1,
      anon_sym_LPAREN,
    ACTIONS(13241), 1,
      anon_sym_end,
    STATE(10803), 1,
      sym_attribute,
    STATE(11192), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11216), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11208), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11196), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11200), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11204), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525102] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13243), 1,
      anon_sym_LPAREN,
    ACTIONS(13245), 1,
      anon_sym_end,
    STATE(10809), 1,
      sym_attribute,
    STATE(11238), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11228), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525194] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13247), 1,
      anon_sym_LPAREN,
    ACTIONS(13249), 1,
      anon_sym_end,
    STATE(10811), 1,
      sym_attribute,
    STATE(11142), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525251] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12533), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(13251), 1,
      anon_sym_of,
    ACTIONS(13253), 1,
      anon_sym_COLON2,
    STATE(10812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [525292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11290), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11296), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525362] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(13255), 1,
      anon_sym_of,
    ACTIONS(13257), 1,
      anon_sym_COLON2,
    STATE(10815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [525403] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13259), 1,
      anon_sym_LPAREN,
    ACTIONS(13261), 1,
      anon_sym_end,
    STATE(10816), 1,
      sym_attribute,
    STATE(11247), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11356), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11236), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525530] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13263), 1,
      anon_sym_of,
    ACTIONS(13265), 1,
      anon_sym_COLON2,
    STATE(10819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [525571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8986), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525606] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13267), 1,
      anon_sym_LPAREN,
    ACTIONS(13269), 1,
      anon_sym_end,
    STATE(10821), 1,
      sym_attribute,
    STATE(11401), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11360), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11368), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525768] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13273), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13271), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525809] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13273), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10826), 1,
      sym_attribute,
    STATE(10957), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13271), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8014), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525885] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13275), 1,
      anon_sym_LPAREN,
    ACTIONS(13277), 1,
      anon_sym_end,
    STATE(10828), 1,
      sym_attribute,
    STATE(11267), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8018), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525977] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13279), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10830), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [526014] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13282), 1,
      anon_sym_PIPE,
    STATE(10830), 1,
      aux_sym__match_cases_repeat1,
    STATE(10831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [526053] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13282), 1,
      anon_sym_PIPE,
    STATE(10830), 1,
      aux_sym__match_cases_repeat1,
    STATE(10832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [526092] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13282), 1,
      anon_sym_PIPE,
    STATE(10831), 1,
      aux_sym__match_cases_repeat1,
    STATE(10833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [526131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8022), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526166] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13282), 1,
      anon_sym_PIPE,
    STATE(10832), 1,
      aux_sym__match_cases_repeat1,
    STATE(10835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [526205] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11872), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13284), 1,
      anon_sym_STAR,
    STATE(10836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [526242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8026), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526277] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13288), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10838), 1,
      sym_attribute,
    STATE(10960), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13290), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13286), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526320] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13292), 1,
      anon_sym_LPAREN,
    ACTIONS(13294), 1,
      anon_sym_end,
    STATE(10839), 1,
      sym_attribute,
    STATE(11540), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526412] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12684), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13296), 1,
      anon_sym_and,
    STATE(10841), 1,
      sym_attribute,
    STATE(10873), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12682), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [526451] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13298), 1,
      anon_sym_LPAREN,
    ACTIONS(13300), 1,
      anon_sym_end,
    STATE(10842), 1,
      sym_attribute,
    STATE(11394), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13304), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10251), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10253), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [526619] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12845), 1,
      anon_sym_DASH_GT,
    ACTIONS(12847), 1,
      anon_sym_with,
    ACTIONS(13308), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10846), 1,
      sym_attribute,
    STATE(10968), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526664] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11162), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11160), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526705] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10491), 1,
      aux_sym_expression_item_repeat1,
    STATE(10848), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [526750] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11891), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13310), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10849), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11889), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [526787] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(13315), 1,
      anon_sym_end,
    STATE(10850), 1,
      sym_attribute,
    STATE(11367), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526844] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10700), 1,
      aux_sym_expression_item_repeat1,
    STATE(10851), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [526889] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13317), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12032), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10852), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526928] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13320), 1,
      sym__lowercase_identifier,
    ACTIONS(13322), 1,
      anon_sym_POUND,
    STATE(10853), 1,
      sym_attribute,
    STATE(11560), 1,
      sym_type_constructor_path,
    STATE(17251), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [526973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10846), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [527008] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13324), 1,
      anon_sym_LPAREN,
    ACTIONS(13326), 1,
      anon_sym_end,
    STATE(10855), 1,
      sym_attribute,
    STATE(11449), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11368), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527100] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13328), 1,
      anon_sym_LPAREN,
    ACTIONS(13330), 1,
      anon_sym_end,
    STATE(10857), 1,
      sym_attribute,
    STATE(11090), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527157] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6761), 1,
      anon_sym_let,
    ACTIONS(6763), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10769), 1,
      aux_sym_expression_item_repeat1,
    STATE(10858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6759), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527200] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6891), 1,
      anon_sym_let,
    ACTIONS(6893), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10697), 1,
      aux_sym_expression_item_repeat1,
    STATE(10859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527243] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10712), 1,
      aux_sym_expression_item_repeat1,
    STATE(10784), 1,
      aux_sym_type_binding_repeat1,
    STATE(10860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12426), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527288] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12946), 1,
      anon_sym_let,
    ACTIONS(13332), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10766), 1,
      aux_sym_expression_item_repeat1,
    STATE(10861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12944), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11360), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527366] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13336), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13334), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11356), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11296), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11290), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527512] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13338), 1,
      anon_sym_LPAREN,
    ACTIONS(13340), 1,
      anon_sym_end,
    STATE(10867), 1,
      sym_attribute,
    STATE(11260), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11228), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527604] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10725), 1,
      aux_sym_expression_item_repeat1,
    STATE(10869), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527649] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10848), 1,
      aux_sym_type_binding_repeat1,
    STATE(10870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11204), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11200), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527764] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13296), 1,
      anon_sym_and,
    STATE(10849), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12483), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11196), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11208), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11216), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527908] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13342), 1,
      anon_sym_LPAREN,
    ACTIONS(13344), 1,
      anon_sym_end,
    STATE(10877), 1,
      sym_attribute,
    STATE(11319), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8986), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528000] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12684), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13346), 1,
      anon_sym_and,
    STATE(10879), 1,
      sym_attribute,
    STATE(10950), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12682), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528039] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13348), 1,
      anon_sym_LPAREN,
    ACTIONS(13350), 1,
      anon_sym_end,
    STATE(10880), 1,
      sym_attribute,
    STATE(11249), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528096] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13354), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13352), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528137] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13356), 1,
      anon_sym_LPAREN,
    ACTIONS(13358), 1,
      anon_sym_end,
    STATE(10882), 1,
      sym_attribute,
    STATE(11186), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11560), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528229] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13362), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10884), 1,
      sym_attribute,
    STATE(11020), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13360), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11236), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11244), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528340] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13364), 1,
      anon_sym_LPAREN,
    ACTIONS(13366), 1,
      anon_sym_end,
    STATE(10887), 1,
      sym_attribute,
    STATE(11193), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11380), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11402), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11418), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528537] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13370), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10825), 1,
      aux_sym_expression_item_repeat1,
    STATE(10892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13368), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528578] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13374), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13372), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528619] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13376), 1,
      anon_sym_LPAREN,
    ACTIONS(13378), 1,
      anon_sym_end,
    STATE(10894), 1,
      sym_attribute,
    STATE(11294), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11170), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11480), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528781] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13382), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13380), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11488), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528892] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13384), 1,
      anon_sym_LPAREN,
    ACTIONS(13386), 1,
      anon_sym_end,
    STATE(10901), 1,
      sym_attribute,
    STATE(11523), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11180), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528984] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10762), 1,
      aux_sym_expression_item_repeat1,
    STATE(10903), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12369), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529029] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(10904), 1,
      sym_attribute,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11770), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [529074] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13390), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10843), 1,
      aux_sym_expression_item_repeat1,
    STATE(10905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13392), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13388), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8014), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8018), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8022), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529222] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12829), 1,
      anon_sym_DASH_GT,
    STATE(10909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12196), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12194), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529261] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13394), 1,
      anon_sym_LPAREN,
    ACTIONS(13396), 1,
      anon_sym_end,
    STATE(10910), 1,
      sym_attribute,
    STATE(11409), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529318] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10720), 1,
      aux_sym_expression_item_repeat1,
    STATE(10903), 1,
      aux_sym_type_binding_repeat1,
    STATE(10911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529363] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COMMA,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    ACTIONS(13408), 1,
      sym_rel_operator,
    ACTIONS(13410), 1,
      sym_and_operator,
    ACTIONS(13412), 1,
      sym_or_operator,
    ACTIONS(13414), 1,
      sym_assign_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10093), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [529420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8026), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529455] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13235), 1,
      anon_sym_else,
    STATE(10250), 1,
      sym_else_clause,
    STATE(10914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [529494] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_end,
    STATE(10915), 1,
      sym_attribute,
    STATE(11484), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529551] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10717), 1,
      aux_sym_expression_item_repeat1,
    STATE(10916), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529596] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13288), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10917), 1,
      sym_attribute,
    STATE(10960), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13420), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13286), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529639] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13209), 1,
      anon_sym_PIPE,
    STATE(10918), 1,
      sym_attribute,
    STATE(11027), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11899), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11897), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529678] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10741), 1,
      aux_sym_expression_item_repeat1,
    STATE(10919), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11180), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529758] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10514), 1,
      aux_sym_expression_item_repeat1,
    STATE(10921), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12422), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529803] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10503), 1,
      aux_sym_expression_item_repeat1,
    STATE(10916), 1,
      aux_sym_type_binding_repeat1,
    STATE(10922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12404), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529848] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [529885] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10498), 1,
      aux_sym_expression_item_repeat1,
    STATE(10919), 1,
      aux_sym_type_binding_repeat1,
    STATE(10924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12400), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529930] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10421), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12146), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529975] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13422), 1,
      anon_sym_PIPE,
    STATE(10926), 1,
      sym_attribute,
    STATE(10951), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11899), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11897), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530014] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13424), 1,
      anon_sym_else,
    STATE(10250), 1,
      sym_else_clause,
    STATE(10927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [530053] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13426), 1,
      anon_sym_LPAREN,
    ACTIONS(13428), 1,
      anon_sym_end,
    STATE(10928), 1,
      sym_attribute,
    STATE(11393), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530110] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_LPAREN,
    ACTIONS(13432), 1,
      anon_sym_end,
    STATE(10929), 1,
      sym_attribute,
    STATE(11467), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530167] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12533), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(13434), 1,
      anon_sym_of,
    ACTIONS(13436), 1,
      anon_sym_COLON2,
    STATE(10930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530208] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(13438), 1,
      anon_sym_of,
    ACTIONS(13440), 1,
      anon_sym_COLON2,
    STATE(10931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530249] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13442), 1,
      anon_sym_LPAREN,
    ACTIONS(13444), 1,
      anon_sym_end,
    STATE(10932), 1,
      sym_attribute,
    STATE(11396), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530306] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13320), 1,
      sym__lowercase_identifier,
    ACTIONS(13446), 1,
      anon_sym_POUND,
    STATE(10933), 1,
      sym_attribute,
    STATE(11575), 1,
      sym_type_constructor_path,
    STATE(17251), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [530351] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10414), 1,
      aux_sym_expression_item_repeat1,
    STATE(10934), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12555), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530396] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10483), 1,
      aux_sym_expression_item_repeat1,
    STATE(10869), 1,
      aux_sym_type_binding_repeat1,
    STATE(10935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530441] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12032), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10936), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530480] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10491), 1,
      aux_sym_expression_item_repeat1,
    STATE(10937), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12373), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530525] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11891), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13451), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10938), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11889), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530562] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13454), 1,
      anon_sym_of,
    ACTIONS(13456), 1,
      anon_sym_COLON2,
    STATE(10939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530603] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10700), 1,
      aux_sym_expression_item_repeat1,
    STATE(10940), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530648] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13458), 1,
      anon_sym_LPAREN,
    ACTIONS(13460), 1,
      anon_sym_end,
    STATE(10941), 1,
      sym_attribute,
    STATE(11380), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530705] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13462), 1,
      anon_sym_LPAREN,
    ACTIONS(13464), 1,
      anon_sym_end,
    STATE(10942), 1,
      sym_attribute,
    STATE(11438), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530762] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10712), 1,
      aux_sym_expression_item_repeat1,
    STATE(10921), 1,
      aux_sym_type_binding_repeat1,
    STATE(10943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12426), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530807] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13320), 1,
      sym__lowercase_identifier,
    ACTIONS(13446), 1,
      anon_sym_POUND,
    STATE(10944), 1,
      sym_attribute,
    STATE(11575), 1,
      sym_type_constructor_path,
    STATE(17251), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10866), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [530852] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13466), 1,
      anon_sym_LPAREN,
    ACTIONS(13468), 1,
      anon_sym_end,
    STATE(10945), 1,
      sym_attribute,
    STATE(11314), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530909] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10725), 1,
      aux_sym_expression_item_repeat1,
    STATE(10946), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12471), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [530989] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10937), 1,
      aux_sym_type_binding_repeat1,
    STATE(10948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [531034] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6915), 1,
      anon_sym_let,
    ACTIONS(6917), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10588), 1,
      aux_sym_expression_item_repeat1,
    STATE(10949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6913), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531077] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13346), 1,
      anon_sym_and,
    STATE(10938), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12483), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [531116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13422), 1,
      anon_sym_PIPE,
    STATE(10951), 1,
      sym_attribute,
    STATE(11010), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13205), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531155] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13470), 1,
      anon_sym_LPAREN,
    ACTIONS(13472), 1,
      anon_sym_end,
    STATE(10952), 1,
      sym_attribute,
    STATE(11457), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531212] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9556), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9558), 11,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [531247] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13476), 1,
      anon_sym_end,
    STATE(10954), 1,
      sym_attribute,
    STATE(11195), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531304] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6891), 1,
      anon_sym_let,
    ACTIONS(6909), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10697), 1,
      aux_sym_expression_item_repeat1,
    STATE(10955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531347] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(10956), 1,
      sym_attribute,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11770), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [531392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13480), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13478), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531433] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COMMA,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    ACTIONS(13408), 1,
      sym_rel_operator,
    ACTIONS(13410), 1,
      sym_and_operator,
    ACTIONS(13412), 1,
      sym_or_operator,
    ACTIONS(13414), 1,
      sym_assign_operator,
    ACTIONS(13482), 1,
      anon_sym_SEMI,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [531492] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12845), 1,
      anon_sym_DASH_GT,
    ACTIONS(12847), 1,
      anon_sym_with,
    ACTIONS(13486), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10881), 1,
      aux_sym_expression_item_repeat1,
    STATE(10959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13484), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531537] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13490), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13488), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531578] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6803), 1,
      anon_sym_let,
    ACTIONS(6895), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10728), 1,
      aux_sym_expression_item_repeat1,
    STATE(10961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6801), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531621] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13056), 1,
      anon_sym_let,
    ACTIONS(13492), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10575), 1,
      aux_sym_expression_item_repeat1,
    STATE(10962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13054), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531664] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13106), 1,
      anon_sym_let,
    ACTIONS(13494), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10492), 1,
      aux_sym_expression_item_repeat1,
    STATE(10963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13104), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531707] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6915), 1,
      anon_sym_let,
    ACTIONS(6925), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10588), 1,
      aux_sym_expression_item_repeat1,
    STATE(10964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6913), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531750] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12940), 1,
      anon_sym_DASH_GT,
    ACTIONS(12942), 1,
      anon_sym_with,
    ACTIONS(13308), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10965), 1,
      sym_attribute,
    STATE(10968), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531795] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13496), 1,
      anon_sym_LPAREN,
    ACTIONS(13498), 1,
      anon_sym_end,
    STATE(10966), 1,
      sym_attribute,
    STATE(11236), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531852] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10421), 1,
      aux_sym_expression_item_repeat1,
    STATE(10967), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12146), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [531897] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13502), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13500), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531938] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13422), 1,
      anon_sym_PIPE,
    STATE(10969), 1,
      sym_attribute,
    STATE(11013), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13205), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531977] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12946), 1,
      anon_sym_let,
    ACTIONS(13504), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10766), 1,
      aux_sym_expression_item_repeat1,
    STATE(10970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12944), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532020] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13506), 1,
      anon_sym_LPAREN,
    ACTIONS(13508), 1,
      anon_sym_end,
    STATE(10971), 1,
      sym_attribute,
    STATE(11399), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532077] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6761), 1,
      anon_sym_let,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7009), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10769), 1,
      aux_sym_expression_item_repeat1,
    STATE(10972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6759), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532120] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13510), 1,
      anon_sym_LPAREN,
    ACTIONS(13512), 1,
      anon_sym_end,
    STATE(10973), 1,
      sym_attribute,
    STATE(11395), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532177] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13199), 1,
      anon_sym_let,
    ACTIONS(13514), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10738), 1,
      aux_sym_expression_item_repeat1,
    STATE(10974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13197), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532220] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6931), 1,
      anon_sym_let,
    ACTIONS(6933), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10732), 1,
      aux_sym_expression_item_repeat1,
    STATE(10975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6929), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532263] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13390), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10843), 1,
      aux_sym_expression_item_repeat1,
    STATE(10976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13516), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13388), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532306] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13121), 1,
      anon_sym_let,
    ACTIONS(13518), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10696), 1,
      aux_sym_expression_item_repeat1,
    STATE(10977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13119), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11872), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13520), 1,
      anon_sym_STAR,
    STATE(10978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [532386] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13522), 1,
      anon_sym_LPAREN,
    ACTIONS(13524), 1,
      anon_sym_end,
    STATE(10979), 1,
      sym_attribute,
    STATE(11279), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532443] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12940), 1,
      anon_sym_DASH_GT,
    ACTIONS(12942), 1,
      anon_sym_with,
    ACTIONS(13486), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10881), 1,
      aux_sym_expression_item_repeat1,
    STATE(10980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13484), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532488] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13526), 1,
      anon_sym_LPAREN,
    ACTIONS(13528), 1,
      anon_sym_BANG,
    ACTIONS(13530), 1,
      anon_sym_functor,
    ACTIONS(13532), 1,
      anon_sym_struct,
    ACTIONS(13534), 1,
      sym__uppercase_identifier,
    STATE(10981), 1,
      sym_attribute,
    STATE(11764), 1,
      sym__attribute,
    STATE(12676), 1,
      sym__module_expression,
    STATE(12978), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13061), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [532545] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10414), 1,
      aux_sym_expression_item_repeat1,
    STATE(10982), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12555), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [532590] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11166), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11164), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532631] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    ACTIONS(13408), 1,
      sym_rel_operator,
    ACTIONS(13410), 1,
      sym_and_operator,
    ACTIONS(13412), 1,
      sym_or_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [532684] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13536), 1,
      anon_sym_LPAREN,
    ACTIONS(13538), 1,
      anon_sym_end,
    STATE(10985), 1,
      sym_attribute,
    STATE(11268), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532741] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532786] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      sym_pow_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532825] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      sym_pow_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532864] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532911] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13540), 1,
      anon_sym_BANG,
    ACTIONS(13542), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(9184), 1,
      sym__module_expression,
    STATE(10990), 1,
      sym_attribute,
    STATE(11749), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [532968] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533015] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13544), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13092), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10992), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13090), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533052] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    ACTIONS(13408), 1,
      sym_rel_operator,
    ACTIONS(13410), 1,
      sym_and_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [533103] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    ACTIONS(13408), 1,
      sym_rel_operator,
    ACTIONS(13410), 1,
      sym_and_operator,
    ACTIONS(13412), 1,
      sym_or_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [533156] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COMMA,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    ACTIONS(13408), 1,
      sym_rel_operator,
    ACTIONS(13410), 1,
      sym_and_operator,
    ACTIONS(13412), 1,
      sym_or_operator,
    ACTIONS(13414), 1,
      sym_assign_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [533213] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533254] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COMMA,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    ACTIONS(13408), 1,
      sym_rel_operator,
    ACTIONS(13410), 1,
      sym_and_operator,
    ACTIONS(13412), 1,
      sym_or_operator,
    ACTIONS(13414), 1,
      sym_assign_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(10997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10165), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [533311] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13547), 1,
      anon_sym_LPAREN,
    ACTIONS(13549), 1,
      anon_sym_end,
    STATE(10998), 1,
      sym_attribute,
    STATE(11302), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533368] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13424), 1,
      anon_sym_else,
    STATE(10295), 1,
      sym_else_clause,
    STATE(10999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533407] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COMMA,
    ACTIONS(13400), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13402), 1,
      sym_pow_operator,
    ACTIONS(13404), 1,
      sym_mult_operator,
    ACTIONS(13406), 1,
      sym_concat_operator,
    ACTIONS(13408), 1,
      sym_rel_operator,
    ACTIONS(13410), 1,
      sym_and_operator,
    ACTIONS(13412), 1,
      sym_or_operator,
    ACTIONS(13414), 1,
      sym_assign_operator,
    STATE(1798), 1,
      sym_add_operator,
    STATE(11000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [533464] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11790), 1,
      anon_sym_STAR,
    STATE(11001), 1,
      sym_attribute,
    STATE(11002), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12769), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533503] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13551), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11770), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11002), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533540] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10483), 1,
      aux_sym_expression_item_repeat1,
    STATE(10946), 1,
      aux_sym_type_binding_repeat1,
    STATE(11003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12582), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [533585] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6803), 1,
      anon_sym_let,
    ACTIONS(6805), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10728), 1,
      aux_sym_expression_item_repeat1,
    STATE(11004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6801), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533628] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13554), 1,
      anon_sym_LPAREN,
    ACTIONS(13556), 1,
      anon_sym_end,
    STATE(11005), 1,
      sym_attribute,
    STATE(11167), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533685] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13056), 1,
      anon_sym_let,
    ACTIONS(13558), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10575), 1,
      aux_sym_expression_item_repeat1,
    STATE(11006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13054), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533728] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12831), 1,
      anon_sym_DASH_GT,
    STATE(11007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12196), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12194), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533767] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13209), 1,
      anon_sym_PIPE,
    STATE(10992), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13562), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533806] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13564), 1,
      anon_sym_LPAREN,
    ACTIONS(13566), 1,
      anon_sym_end,
    STATE(11009), 1,
      sym_attribute,
    STATE(11285), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533863] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13568), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13092), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11010), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13090), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533900] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13571), 1,
      anon_sym_LPAREN,
    ACTIONS(13573), 1,
      anon_sym_end,
    STATE(11011), 1,
      sym_attribute,
    STATE(11189), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533957] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13575), 1,
      anon_sym_LPAREN,
    ACTIONS(13577), 1,
      anon_sym_end,
    STATE(11012), 1,
      sym_attribute,
    STATE(11201), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534014] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13422), 1,
      anon_sym_PIPE,
    STATE(11010), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13562), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534053] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12002), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10463), 1,
      aux_sym_expression_item_repeat1,
    STATE(11014), 1,
      sym_attribute,
    STATE(11612), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [534098] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12291), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12289), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534139] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10463), 1,
      aux_sym_expression_item_repeat1,
    STATE(11016), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12178), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [534184] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13579), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11770), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11017), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534221] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11913), 1,
      anon_sym_STAR,
    STATE(11017), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12769), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534260] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_end,
    STATE(11019), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534317] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13586), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534358] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11021), 1,
      sym_attribute,
    STATE(11026), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13586), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534399] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13590), 1,
      anon_sym_LPAREN,
    ACTIONS(13592), 1,
      anon_sym_end,
    STATE(11022), 1,
      sym_attribute,
    STATE(11084), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534456] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13596), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11023), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534497] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13600), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13598), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534538] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13600), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10898), 1,
      aux_sym_expression_item_repeat1,
    STATE(11025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13598), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534579] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13604), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13602), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534620] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13209), 1,
      anon_sym_PIPE,
    STATE(10992), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13205), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534659] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13606), 1,
      anon_sym_LPAREN,
    ACTIONS(13608), 1,
      anon_sym_end,
    STATE(11028), 1,
      sym_attribute,
    STATE(11065), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534716] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13610), 1,
      anon_sym_end,
    STATE(11029), 1,
      sym_attribute,
    STATE(11325), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534770] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11030), 1,
      sym_attribute,
    STATE(11809), 1,
      sym__attribute,
    STATE(12804), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [534824] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13213), 1,
      anon_sym_end,
    STATE(11031), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13614), 1,
      anon_sym_PIPE,
    STATE(11032), 1,
      sym_attribute,
    STATE(11044), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534916] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(11033), 1,
      sym_attribute,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534960] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13616), 1,
      anon_sym_end,
    STATE(11034), 1,
      sym_attribute,
    STATE(11078), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535014] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13614), 1,
      anon_sym_PIPE,
    STATE(11035), 1,
      sym_attribute,
    STATE(11044), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535052] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13614), 1,
      anon_sym_PIPE,
    STATE(11032), 1,
      aux_sym__match_cases_repeat1,
    STATE(11036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535090] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13614), 1,
      anon_sym_PIPE,
    STATE(11035), 1,
      aux_sym__match_cases_repeat1,
    STATE(11037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535128] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13616), 1,
      anon_sym_end,
    STATE(11038), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535182] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13622), 1,
      anon_sym_and,
    ACTIONS(13624), 1,
      sym_let_and_operator,
    STATE(11039), 1,
      sym_attribute,
    STATE(11057), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13618), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535222] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13626), 1,
      anon_sym_end,
    STATE(11040), 1,
      sym_attribute,
    STATE(11072), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13628), 1,
      anon_sym_end,
    STATE(11041), 1,
      sym_attribute,
    STATE(11100), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13608), 1,
      anon_sym_end,
    STATE(11042), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535384] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13630), 1,
      anon_sym_end,
    STATE(11043), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535438] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13632), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11044), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535474] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13635), 1,
      anon_sym_end,
    STATE(11038), 1,
      aux_sym_object_expression_repeat1,
    STATE(11045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535528] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13630), 1,
      anon_sym_end,
    STATE(11046), 1,
      sym_attribute,
    STATE(11049), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535582] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13637), 1,
      anon_sym_end,
    STATE(11043), 1,
      aux_sym_object_expression_repeat1,
    STATE(11047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535636] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13622), 1,
      anon_sym_and,
    ACTIONS(13624), 1,
      sym_let_and_operator,
    STATE(11048), 1,
      sym_attribute,
    STATE(11057), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13641), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13639), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535676] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13643), 1,
      anon_sym_end,
    STATE(11049), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535730] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13645), 1,
      anon_sym_else,
    STATE(10295), 1,
      sym_else_clause,
    STATE(11050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535768] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13643), 1,
      anon_sym_end,
    STATE(11051), 1,
      sym_attribute,
    STATE(11052), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535822] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13647), 1,
      anon_sym_end,
    STATE(11052), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535876] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13649), 1,
      anon_sym_end,
    STATE(11053), 1,
      sym_attribute,
    STATE(11055), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535930] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(11054), 1,
      sym_attribute,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [535974] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13651), 1,
      anon_sym_end,
    STATE(11055), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(7992), 17,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
      aux_sym_tag_token1,
  [536062] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13657), 1,
      anon_sym_and,
    ACTIONS(13660), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13655), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11057), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13653), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536100] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13622), 1,
      anon_sym_and,
    ACTIONS(13624), 1,
      sym_let_and_operator,
    STATE(11058), 1,
      sym_attribute,
    STATE(11068), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13641), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13639), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536140] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(11059), 1,
      sym_attribute,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12010), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [536184] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13663), 1,
      anon_sym_end,
    STATE(11060), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536238] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(11061), 1,
      sym_attribute,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12006), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [536282] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13665), 1,
      anon_sym_end,
    STATE(11062), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536336] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(11063), 1,
      sym_attribute,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11990), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [536380] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13665), 1,
      anon_sym_end,
    STATE(11064), 1,
      sym_attribute,
    STATE(11141), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536434] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13667), 1,
      anon_sym_end,
    STATE(11065), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536488] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13669), 1,
      anon_sym_end,
    STATE(11066), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536542] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13671), 1,
      anon_sym_end,
    STATE(11067), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536596] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13622), 1,
      anon_sym_and,
    ACTIONS(13624), 1,
      sym_let_and_operator,
    STATE(11057), 1,
      aux_sym_value_definition_repeat1,
    STATE(11068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13675), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13673), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10846), 17,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [536670] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_end,
    STATE(11070), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13677), 1,
      anon_sym_end,
    STATE(11071), 1,
      sym_attribute,
    STATE(11127), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13679), 1,
      anon_sym_end,
    STATE(11072), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536832] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13681), 1,
      anon_sym_end,
    STATE(11073), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536886] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13683), 1,
      anon_sym_of,
    ACTIONS(13685), 1,
      anon_sym_COLON2,
    STATE(11074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536926] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13687), 1,
      anon_sym_end,
    STATE(11075), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536980] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13669), 1,
      anon_sym_end,
    STATE(11076), 1,
      sym_attribute,
    STATE(11085), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537034] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13689), 1,
      anon_sym_end,
    STATE(11073), 1,
      aux_sym_object_expression_repeat1,
    STATE(11077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537088] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13691), 1,
      anon_sym_end,
    STATE(11078), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537142] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10880), 1,
      anon_sym_as,
    ACTIONS(13693), 1,
      sym__lowercase_identifier,
    ACTIONS(13695), 1,
      anon_sym_POUND,
    STATE(11079), 1,
      sym_attribute,
    STATE(11940), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [537186] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13691), 1,
      anon_sym_end,
    STATE(11080), 1,
      sym_attribute,
    STATE(11087), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537240] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11081), 1,
      sym_attribute,
    STATE(12025), 1,
      sym__attribute,
    STATE(12897), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [537294] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13689), 1,
      anon_sym_end,
    STATE(11082), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537348] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13697), 1,
      anon_sym_end,
    STATE(11083), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537402] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13699), 1,
      anon_sym_end,
    STATE(11084), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537456] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13701), 1,
      anon_sym_end,
    STATE(11085), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537510] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13649), 1,
      anon_sym_end,
    STATE(11086), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537564] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13703), 1,
      anon_sym_end,
    STATE(11087), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537618] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13626), 1,
      anon_sym_end,
    STATE(11088), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537672] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11089), 1,
      sym_attribute,
    STATE(11726), 1,
      sym__attribute,
    STATE(12891), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [537726] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13705), 1,
      anon_sym_end,
    STATE(11090), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537780] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13679), 1,
      anon_sym_end,
    STATE(11091), 1,
      sym_attribute,
    STATE(11109), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537834] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13707), 1,
      anon_sym_end,
    STATE(11092), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537888] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13340), 1,
      anon_sym_end,
    STATE(11093), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537942] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8759), 1,
      sym_module_path,
    STATE(8847), 1,
      sym__module_expression,
    STATE(11094), 1,
      sym_attribute,
    STATE(11719), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [537996] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13709), 1,
      anon_sym_end,
    STATE(11095), 1,
      sym_attribute,
    STATE(11120), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538050] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13711), 1,
      anon_sym_end,
    STATE(11096), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538104] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13713), 1,
      anon_sym_end,
    STATE(11082), 1,
      aux_sym_object_expression_repeat1,
    STATE(11097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538158] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13715), 1,
      anon_sym_end,
    STATE(11098), 1,
      sym_attribute,
    STATE(11173), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538212] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13584), 1,
      anon_sym_end,
    STATE(11099), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538266] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13717), 1,
      anon_sym_end,
    STATE(11100), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538320] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13717), 1,
      anon_sym_end,
    STATE(11101), 1,
      sym_attribute,
    STATE(11125), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538374] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13719), 1,
      anon_sym_end,
    STATE(11092), 1,
      aux_sym_object_expression_repeat1,
    STATE(11102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538428] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13721), 1,
      anon_sym_end,
    STATE(11103), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538482] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13719), 1,
      anon_sym_end,
    STATE(11104), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538536] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13713), 1,
      anon_sym_end,
    STATE(11105), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538590] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11106), 1,
      sym_attribute,
    STATE(12027), 1,
      sym__attribute,
    STATE(12870), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [538644] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13723), 1,
      anon_sym_end,
    STATE(11107), 1,
      sym_attribute,
    STATE(11113), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538698] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13725), 1,
      anon_sym_end,
    STATE(11088), 1,
      aux_sym_object_expression_repeat1,
    STATE(11108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538752] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13727), 1,
      anon_sym_end,
    STATE(11109), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538806] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13729), 1,
      anon_sym_end,
    STATE(11110), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538860] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12911), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    ACTIONS(13733), 1,
      anon_sym_with,
    STATE(11111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12909), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [538898] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11770), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13735), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11112), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [538934] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13738), 1,
      anon_sym_end,
    STATE(11113), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538988] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    ACTIONS(13746), 1,
      sym_concat_operator,
    ACTIONS(13748), 1,
      sym_rel_operator,
    ACTIONS(13750), 1,
      sym_and_operator,
    ACTIONS(13752), 1,
      sym_or_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [539040] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539084] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12120), 1,
      anon_sym_STAR,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11112), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539122] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13754), 1,
      anon_sym_and,
    ACTIONS(13756), 1,
      sym_let_and_operator,
    STATE(11117), 1,
      sym_attribute,
    STATE(11510), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13618), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539162] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13758), 1,
      anon_sym_end,
    STATE(11104), 1,
      aux_sym_object_expression_repeat1,
    STATE(11118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539216] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13758), 1,
      anon_sym_end,
    STATE(11119), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539270] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13760), 1,
      anon_sym_end,
    STATE(11120), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539324] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13760), 1,
      anon_sym_end,
    STATE(11121), 1,
      sym_attribute,
    STATE(11131), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539378] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13762), 1,
      anon_sym_end,
    STATE(11086), 1,
      aux_sym_object_expression_repeat1,
    STATE(11122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13742), 1,
      sym_pow_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13738), 1,
      anon_sym_end,
    STATE(11124), 1,
      sym_attribute,
    STATE(11223), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13764), 1,
      anon_sym_end,
    STATE(11125), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539578] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13754), 1,
      anon_sym_and,
    ACTIONS(13756), 1,
      sym_let_and_operator,
    STATE(11126), 1,
      sym_attribute,
    STATE(11498), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13618), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539618] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13766), 1,
      anon_sym_end,
    STATE(11127), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539672] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13233), 1,
      anon_sym_end,
    STATE(11128), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539726] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13766), 1,
      anon_sym_end,
    STATE(11129), 1,
      sym_attribute,
    STATE(11143), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539780] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11130), 1,
      sym_attribute,
    STATE(11989), 1,
      sym__attribute,
    STATE(12935), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [539834] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13768), 1,
      anon_sym_end,
    STATE(11131), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539888] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13768), 1,
      anon_sym_end,
    STATE(11132), 1,
      sym_attribute,
    STATE(11136), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539942] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13229), 1,
      anon_sym_end,
    STATE(11133), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539996] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13770), 1,
      anon_sym_end,
    STATE(11119), 1,
      aux_sym_object_expression_repeat1,
    STATE(11134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540050] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13742), 1,
      sym_pow_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540088] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13772), 1,
      anon_sym_end,
    STATE(11136), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540142] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    ACTIONS(13746), 1,
      sym_concat_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540188] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13774), 1,
      anon_sym_end,
    STATE(11138), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540242] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13776), 1,
      anon_sym_end,
    STATE(11139), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540296] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13778), 1,
      anon_sym_end,
    STATE(11139), 1,
      aux_sym_object_expression_repeat1,
    STATE(11140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540350] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13780), 1,
      anon_sym_end,
    STATE(11141), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540404] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13782), 1,
      anon_sym_end,
    STATE(11142), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540458] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13784), 1,
      anon_sym_end,
    STATE(11143), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540512] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13762), 1,
      anon_sym_end,
    STATE(11144), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540566] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13784), 1,
      anon_sym_end,
    STATE(11145), 1,
      sym_attribute,
    STATE(11154), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540620] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_and,
    ACTIONS(13786), 1,
      anon_sym_COMMA,
    ACTIONS(13788), 1,
      anon_sym_SEMI,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    ACTIONS(13798), 1,
      sym_rel_operator,
    ACTIONS(13800), 1,
      sym_and_operator,
    ACTIONS(13802), 1,
      sym_or_operator,
    ACTIONS(13804), 1,
      sym_assign_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [540678] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13778), 1,
      anon_sym_end,
    STATE(11147), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540732] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    ACTIONS(13746), 1,
      sym_concat_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540778] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    ACTIONS(13746), 1,
      sym_concat_operator,
    ACTIONS(13748), 1,
      sym_rel_operator,
    ACTIONS(13750), 1,
      sym_and_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [540828] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13764), 1,
      anon_sym_end,
    STATE(11150), 1,
      sym_attribute,
    STATE(11158), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540882] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13806), 1,
      anon_sym_constraint,
    ACTIONS(13809), 1,
      anon_sym_val,
    ACTIONS(13812), 1,
      anon_sym_end,
    ACTIONS(13814), 1,
      anon_sym_inherit,
    ACTIONS(13817), 1,
      anon_sym_method,
    ACTIONS(13820), 1,
      anon_sym_initializer,
    ACTIONS(13823), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13826), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13829), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11151), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540934] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    ACTIONS(13746), 1,
      sym_concat_operator,
    ACTIONS(13748), 1,
      sym_rel_operator,
    ACTIONS(13750), 1,
      sym_and_operator,
    ACTIONS(13752), 1,
      sym_or_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [540986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13832), 1,
      anon_sym_end,
    STATE(11062), 1,
      aux_sym_object_expression_repeat1,
    STATE(11153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13834), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541094] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13836), 1,
      anon_sym_end,
    STATE(11147), 1,
      aux_sym_object_expression_repeat1,
    STATE(11155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541148] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13836), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541202] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13838), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541256] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13840), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541310] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12434), 1,
      sym__lowercase_identifier,
    ACTIONS(12436), 1,
      anon_sym_POUND,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(11159), 1,
      sym_attribute,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [541354] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13842), 1,
      anon_sym_end,
    STATE(11160), 1,
      sym_attribute,
    STATE(11198), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541408] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13573), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541462] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13687), 1,
      anon_sym_end,
    STATE(11162), 1,
      sym_attribute,
    STATE(11369), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541516] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    ACTIONS(13746), 1,
      sym_concat_operator,
    ACTIONS(13748), 1,
      sym_rel_operator,
    ACTIONS(13750), 1,
      sym_and_operator,
    ACTIONS(13752), 1,
      sym_or_operator,
    ACTIONS(13844), 1,
      anon_sym_COMMA,
    ACTIONS(13846), 1,
      sym_assign_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [541572] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541612] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    ACTIONS(13746), 1,
      sym_concat_operator,
    ACTIONS(13748), 1,
      sym_rel_operator,
    ACTIONS(13750), 1,
      sym_and_operator,
    ACTIONS(13752), 1,
      sym_or_operator,
    ACTIONS(13844), 1,
      anon_sym_COMMA,
    ACTIONS(13846), 1,
      sym_assign_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10165), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [541668] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13848), 1,
      anon_sym_end,
    STATE(11157), 1,
      aux_sym_object_expression_repeat1,
    STATE(11166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541722] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13850), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541776] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13848), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541830] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11169), 1,
      sym_attribute,
    STATE(11985), 1,
      sym__attribute,
    STATE(12815), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [541884] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13838), 1,
      anon_sym_end,
    STATE(11138), 1,
      aux_sym_object_expression_repeat1,
    STATE(11170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13852), 1,
      anon_sym_end,
    STATE(11156), 1,
      aux_sym_object_expression_repeat1,
    STATE(11171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541992] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13754), 1,
      anon_sym_and,
    ACTIONS(13756), 1,
      sym_let_and_operator,
    STATE(11172), 1,
      sym_attribute,
    STATE(11498), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13675), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13673), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542032] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13832), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542086] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13344), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542140] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13854), 1,
      anon_sym_end,
    STATE(11175), 1,
      sym_attribute,
    STATE(11199), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13245), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13856), 1,
      anon_sym_end,
    STATE(11060), 1,
      aux_sym_object_expression_repeat1,
    STATE(11177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542302] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    ACTIONS(13746), 1,
      sym_concat_operator,
    ACTIONS(13748), 1,
      sym_rel_operator,
    ACTIONS(13750), 1,
      sym_and_operator,
    ACTIONS(13752), 1,
      sym_or_operator,
    ACTIONS(13844), 1,
      anon_sym_COMMA,
    ACTIONS(13846), 1,
      sym_assign_operator,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [542358] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13858), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542412] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13860), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542466] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13241), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542520] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13862), 1,
      anon_sym_end,
    STATE(11179), 1,
      aux_sym_object_expression_repeat1,
    STATE(11182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542574] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13862), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542628] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11184), 1,
      sym_attribute,
    STATE(11956), 1,
      sym__attribute,
    STATE(12785), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [542682] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13864), 1,
      anon_sym_of,
    ACTIONS(13866), 1,
      anon_sym_COLON2,
    STATE(11185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542722] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13868), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542776] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13249), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542830] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13870), 1,
      anon_sym_end,
    STATE(11183), 1,
      aux_sym_object_expression_repeat1,
    STATE(11188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542884] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13872), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13870), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542992] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11191), 1,
      sym_attribute,
    STATE(11962), 1,
      sym__attribute,
    STATE(12959), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [543046] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13874), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543100] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13876), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543154] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11194), 1,
      sym_attribute,
    STATE(11960), 1,
      sym__attribute,
    STATE(12953), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [543208] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13878), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543262] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13880), 1,
      anon_sym_end,
    STATE(11196), 1,
      sym_attribute,
    STATE(11215), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543316] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13556), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543370] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13882), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543424] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13884), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543478] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13886), 1,
      anon_sym_of,
    ACTIONS(13888), 1,
      anon_sym_COLON2,
    STATE(11200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [543518] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13890), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543572] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13894), 1,
      anon_sym_let,
    ACTIONS(13896), 1,
      anon_sym_and,
    STATE(11202), 1,
      sym_attribute,
    STATE(11541), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13892), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543610] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13566), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13898), 1,
      anon_sym_else,
    STATE(10250), 1,
      sym_else_clause,
    STATE(11204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543738] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13900), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543792] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13900), 1,
      anon_sym_end,
    STATE(11207), 1,
      sym_attribute,
    STATE(11254), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543846] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13894), 1,
      anon_sym_let,
    ACTIONS(13896), 1,
      anon_sym_and,
    STATE(11208), 1,
      sym_attribute,
    STATE(11264), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13892), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543884] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13904), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13902), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543924] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13577), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543978] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13261), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544032] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13906), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544086] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11213), 1,
      sym_attribute,
    STATE(11955), 1,
      sym__attribute,
    STATE(12903), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [544140] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13908), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13092), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11214), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13090), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544176] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544230] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11216), 1,
      sym_attribute,
    STATE(11722), 1,
      sym__attribute,
    STATE(12800), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [544284] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13913), 1,
      anon_sym_end,
    STATE(11105), 1,
      aux_sym_object_expression_repeat1,
    STATE(11217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544338] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544392] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13549), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544446] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13882), 1,
      anon_sym_end,
    STATE(11220), 1,
      sym_attribute,
    STATE(11222), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544500] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_end,
    STATE(11221), 1,
      sym_attribute,
    STATE(11235), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544554] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13915), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544608] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13917), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544662] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13269), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544716] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12843), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    ACTIONS(13733), 1,
      anon_sym_with,
    STATE(11225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12841), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [544754] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13917), 1,
      anon_sym_end,
    STATE(11226), 1,
      sym_attribute,
    STATE(11229), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544808] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13919), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13915), 1,
      anon_sym_end,
    STATE(11228), 1,
      sym_attribute,
    STATE(11231), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544916] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13921), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544970] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(13923), 1,
      anon_sym_of,
    ACTIONS(13925), 1,
      anon_sym_COLON2,
    STATE(11230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545010] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13927), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545064] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12533), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(13929), 1,
      anon_sym_of,
    ACTIONS(13931), 1,
      anon_sym_COLON2,
    STATE(11232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545104] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13538), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545158] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11234), 1,
      sym_attribute,
    STATE(11950), 1,
      sym__attribute,
    STATE(12843), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545212] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13933), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545266] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13935), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545320] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13933), 1,
      anon_sym_end,
    STATE(11237), 1,
      sym_attribute,
    STATE(11244), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545374] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13937), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545428] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13939), 1,
      anon_sym_end,
    STATE(11168), 1,
      aux_sym_object_expression_repeat1,
    STATE(11239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545482] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11240), 1,
      sym_attribute,
    STATE(11741), 1,
      sym__attribute,
    STATE(12912), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545536] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11241), 1,
      sym_attribute,
    STATE(11729), 1,
      sym__attribute,
    STATE(12890), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545590] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10872), 1,
      anon_sym_as,
    ACTIONS(13693), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    STATE(11242), 1,
      sym_attribute,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [545634] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13943), 1,
      anon_sym_end,
    STATE(11243), 1,
      sym_attribute,
    STATE(11253), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545688] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13945), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545742] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11245), 1,
      sym_attribute,
    STATE(11932), 1,
      sym__attribute,
    STATE(12764), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545796] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11246), 1,
      sym_attribute,
    STATE(11953), 1,
      sym__attribute,
    STATE(12863), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545850] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13947), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545904] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13949), 1,
      anon_sym_end,
    STATE(11248), 1,
      sym_attribute,
    STATE(11324), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545958] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13951), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546012] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13953), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546066] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13358), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546120] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11252), 1,
      sym_attribute,
    STATE(11922), 1,
      sym__attribute,
    STATE(12792), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [546174] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13955), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546228] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13957), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546282] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8759), 1,
      sym_module_path,
    STATE(8853), 1,
      sym__module_expression,
    STATE(11255), 1,
      sym_attribute,
    STATE(11812), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [546336] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13884), 1,
      anon_sym_end,
    STATE(11256), 1,
      sym_attribute,
    STATE(11419), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546390] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13959), 1,
      anon_sym_of,
    ACTIONS(13961), 1,
      anon_sym_COLON2,
    STATE(11257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546430] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13963), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546484] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_and,
    ACTIONS(13786), 1,
      anon_sym_COMMA,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    ACTIONS(13798), 1,
      sym_rel_operator,
    ACTIONS(13800), 1,
      sym_and_operator,
    ACTIONS(13802), 1,
      sym_or_operator,
    ACTIONS(13804), 1,
      sym_assign_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [546540] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13965), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546594] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13957), 1,
      anon_sym_end,
    STATE(11261), 1,
      sym_attribute,
    STATE(11263), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546648] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13967), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546702] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13969), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546756] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13973), 1,
      anon_sym_let,
    ACTIONS(13975), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11264), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(13971), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546792] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12272), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13978), 1,
      anon_sym_DASH_GT,
    STATE(11265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12270), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [546830] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13980), 1,
      anon_sym_end,
    STATE(11075), 1,
      aux_sym_object_expression_repeat1,
    STATE(11266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546884] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13982), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546992] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_end,
    STATE(11269), 1,
      sym_attribute,
    STATE(11421), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547046] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13988), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547100] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_end,
    STATE(11258), 1,
      aux_sym_object_expression_repeat1,
    STATE(11271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547154] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_PIPE,
    STATE(11214), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13205), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547192] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13994), 1,
      anon_sym_end,
    STATE(11270), 1,
      aux_sym_object_expression_repeat1,
    STATE(11273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547246] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13994), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547300] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547354] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13524), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547408] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13996), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547462] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13998), 1,
      anon_sym_end,
    STATE(11206), 1,
      aux_sym_object_expression_repeat1,
    STATE(11278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547516] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14000), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547570] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13955), 1,
      anon_sym_end,
    STATE(11212), 1,
      aux_sym_object_expression_repeat1,
    STATE(11280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547624] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14002), 1,
      anon_sym_end,
    STATE(11277), 1,
      aux_sym_object_expression_repeat1,
    STATE(11281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547678] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14004), 1,
      anon_sym_end,
    STATE(11275), 1,
      aux_sym_object_expression_repeat1,
    STATE(11282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547732] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14006), 1,
      anon_sym_end,
    STATE(11262), 1,
      aux_sym_object_expression_repeat1,
    STATE(11283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547786] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14004), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547840] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14008), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547894] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13663), 1,
      anon_sym_end,
    STATE(11083), 1,
      aux_sym_object_expression_repeat1,
    STATE(11286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547948] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14012), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14010), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547988] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14014), 1,
      anon_sym_end,
    STATE(11274), 1,
      aux_sym_object_expression_repeat1,
    STATE(11288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548042] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14014), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548096] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14016), 1,
      anon_sym_end,
    STATE(11290), 1,
      sym_attribute,
    STATE(11300), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548150] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14002), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548204] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14018), 1,
      anon_sym_end,
    STATE(11144), 1,
      aux_sym_object_expression_repeat1,
    STATE(11292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14022), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14020), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [548292] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14024), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548346] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13512), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548400] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11296), 1,
      sym_attribute,
    STATE(11893), 1,
      sym__attribute,
    STATE(12829), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [548454] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14026), 1,
      anon_sym_end,
    STATE(11297), 1,
      sym_attribute,
    STATE(11321), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548508] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14028), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548562] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13508), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548616] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14030), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548670] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14030), 1,
      anon_sym_end,
    STATE(11301), 1,
      sym_attribute,
    STATE(11313), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14032), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13498), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548832] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14034), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548886] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14036), 1,
      anon_sym_RPAREN,
    ACTIONS(14038), 1,
      anon_sym_DOT,
    STATE(11305), 1,
      sym_attribute,
    STATE(19632), 1,
      sym__infix_operator,
    STATE(20118), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(14040), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [548932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13906), 1,
      anon_sym_end,
    STATE(11306), 1,
      sym_attribute,
    STATE(11317), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14042), 1,
      anon_sym_end,
    STATE(11307), 1,
      sym_attribute,
    STATE(11363), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14044), 1,
      anon_sym_end,
    STATE(11227), 1,
      aux_sym_object_expression_repeat1,
    STATE(11308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549094] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11309), 1,
      sym_attribute,
    STATE(11897), 1,
      sym__attribute,
    STATE(12807), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [549148] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14046), 1,
      anon_sym_end,
    STATE(11298), 1,
      aux_sym_object_expression_repeat1,
    STATE(11310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549202] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14048), 1,
      anon_sym_end,
    STATE(11291), 1,
      aux_sym_object_expression_repeat1,
    STATE(11311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549256] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14046), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549310] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14050), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549364] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14052), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549418] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14044), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549472] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14048), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549526] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14054), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549580] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14056), 1,
      anon_sym_PIPE,
    STATE(11318), 1,
      sym_attribute,
    STATE(11336), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13205), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549618] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14058), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549672] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14060), 1,
      anon_sym_end,
    STATE(11312), 1,
      aux_sym_object_expression_repeat1,
    STATE(11320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549726] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14062), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549780] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14062), 1,
      anon_sym_end,
    STATE(11322), 1,
      sym_attribute,
    STATE(11332), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549834] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11323), 1,
      sym_attribute,
    STATE(11746), 1,
      sym__attribute,
    STATE(12913), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [549888] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14064), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549942] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14066), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549996] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14060), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550050] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14070), 1,
      anon_sym_let,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11287), 1,
      aux_sym_expression_item_repeat1,
    STATE(11327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14068), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550090] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14072), 1,
      anon_sym_end,
    STATE(11328), 1,
      sym_attribute,
    STATE(11407), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550144] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14056), 1,
      anon_sym_PIPE,
    STATE(11329), 1,
      sym_attribute,
    STATE(11336), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13562), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550182] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14074), 1,
      anon_sym_end,
    STATE(11316), 1,
      aux_sym_object_expression_repeat1,
    STATE(11330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550236] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14076), 1,
      anon_sym_end,
    STATE(11190), 1,
      aux_sym_object_expression_repeat1,
    STATE(11331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550290] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14078), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550344] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14078), 1,
      anon_sym_end,
    STATE(11333), 1,
      sym_attribute,
    STATE(11337), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550398] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(14080), 1,
      anon_sym_of,
    ACTIONS(14082), 1,
      anon_sym_COLON2,
    STATE(11334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550438] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11335), 1,
      sym_attribute,
    STATE(11739), 1,
      sym__attribute,
    STATE(12756), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [550492] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14084), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13092), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11336), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13090), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550528] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14087), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550582] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11338), 1,
      sym_attribute,
    STATE(11874), 1,
      sym__attribute,
    STATE(12918), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [550636] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14064), 1,
      anon_sym_end,
    STATE(11339), 1,
      sym_attribute,
    STATE(11340), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550690] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14089), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550744] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14050), 1,
      anon_sym_end,
    STATE(11341), 1,
      sym_attribute,
    STATE(11342), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550798] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14091), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550852] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14089), 1,
      anon_sym_end,
    STATE(11343), 1,
      sym_attribute,
    STATE(11451), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550906] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13476), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550960] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14093), 1,
      anon_sym_end,
    STATE(11289), 1,
      aux_sym_object_expression_repeat1,
    STATE(11345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [551048] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_COLON2,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14095), 1,
      anon_sym_SEMI,
    ACTIONS(14097), 1,
      sym_rel_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(11347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8938), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [551106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7984), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [551140] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14066), 1,
      anon_sym_end,
    STATE(11349), 1,
      sym_attribute,
    STATE(11364), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14099), 1,
      anon_sym_end,
    STATE(11350), 1,
      sym_attribute,
    STATE(11372), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14101), 1,
      anon_sym_end,
    STATE(11180), 1,
      aux_sym_object_expression_repeat1,
    STATE(11351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551302] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(11352), 1,
      sym_attribute,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11306), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [551346] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12533), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(14103), 1,
      anon_sym_of,
    ACTIONS(14105), 1,
      anon_sym_COLON2,
    STATE(11353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551386] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13366), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551440] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10866), 1,
      anon_sym_as,
    ACTIONS(13693), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    STATE(11355), 1,
      sym_attribute,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [551484] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13754), 1,
      anon_sym_and,
    ACTIONS(13756), 1,
      sym_let_and_operator,
    STATE(11126), 1,
      aux_sym_value_definition_repeat1,
    STATE(11356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14109), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14107), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14111), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551578] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(11358), 1,
      sym_attribute,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11300), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11302), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [551622] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11359), 1,
      sym_attribute,
    STATE(11759), 1,
      sym__attribute,
    STATE(12919), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551676] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14113), 1,
      anon_sym_end,
    STATE(11326), 1,
      aux_sym_object_expression_repeat1,
    STATE(11360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551730] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14115), 1,
      anon_sym_end,
    STATE(11284), 1,
      aux_sym_object_expression_repeat1,
    STATE(11361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551784] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13526), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      anon_sym_functor,
    ACTIONS(13532), 1,
      anon_sym_struct,
    ACTIONS(13534), 1,
      sym__uppercase_identifier,
    STATE(11362), 1,
      sym_attribute,
    STATE(11756), 1,
      sym__attribute,
    STATE(12723), 1,
      sym__module_expression,
    STATE(12978), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13061), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551838] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14072), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551892] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14117), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551946] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14119), 1,
      anon_sym_end,
    STATE(11365), 1,
      sym_attribute,
    STATE(11519), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552000] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13978), 1,
      anon_sym_DASH_GT,
    STATE(11366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552036] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14121), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552090] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14123), 1,
      anon_sym_end,
    STATE(11110), 1,
      aux_sym_object_expression_repeat1,
    STATE(11368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552144] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14125), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552198] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13472), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552252] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13896), 1,
      anon_sym_and,
    ACTIONS(14129), 1,
      anon_sym_let,
    STATE(11208), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14127), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552290] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14131), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552344] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(14133), 1,
      anon_sym_of,
    ACTIONS(14135), 1,
      anon_sym_COLON2,
    STATE(11373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12499), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552384] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 1,
      anon_sym_DASH_GT,
    STATE(11374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552420] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14139), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552474] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12938), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    ACTIONS(14143), 1,
      anon_sym_with,
    STATE(11376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12936), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552512] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(14145), 1,
      anon_sym_of,
    ACTIONS(14147), 1,
      anon_sym_COLON2,
    STATE(11377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12531), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552552] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(11378), 1,
      sym_attribute,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [552596] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11379), 1,
      sym_attribute,
    STATE(11863), 1,
      sym__attribute,
    STATE(12840), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [552650] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14149), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552704] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11381), 1,
      sym_attribute,
    STATE(11856), 1,
      sym__attribute,
    STATE(12916), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [552758] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14131), 1,
      anon_sym_end,
    STATE(11382), 1,
      sym_attribute,
    STATE(11500), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552812] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(11383), 1,
      sym_attribute,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12010), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [552856] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(11384), 1,
      sym_attribute,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12004), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12006), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [552900] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14151), 1,
      anon_sym_end,
    STATE(11385), 1,
      sym_attribute,
    STATE(11423), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552954] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14123), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553008] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13468), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553062] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    ACTIONS(12545), 1,
      anon_sym_POUND,
    STATE(10793), 1,
      sym_type_constructor_path,
    STATE(11388), 1,
      sym_attribute,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11990), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [553106] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553160] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(13978), 1,
      anon_sym_DASH_GT,
    STATE(11390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12184), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553198] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_COLON2,
    STATE(11391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9038), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [553234] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14117), 1,
      anon_sym_end,
    STATE(11392), 1,
      sym_attribute,
    STATE(11400), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553288] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14153), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553342] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14155), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553396] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14157), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553450] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14159), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553504] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11397), 1,
      sym_attribute,
    STATE(11853), 1,
      sym__attribute,
    STATE(12808), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [553558] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12915), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    ACTIONS(14143), 1,
      anon_sym_with,
    STATE(11398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12913), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553596] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14161), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553650] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14163), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553704] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14165), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553758] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14111), 1,
      anon_sym_end,
    STATE(11386), 1,
      aux_sym_object_expression_repeat1,
    STATE(11402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553812] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12503), 1,
      anon_sym_EQ,
    ACTIONS(14167), 1,
      anon_sym_of,
    ACTIONS(14169), 1,
      anon_sym_COLON2,
    STATE(11403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12501), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12499), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553852] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553906] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11405), 1,
      sym_attribute,
    STATE(11760), 1,
      sym__attribute,
    STATE(12902), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [553960] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12911), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    ACTIONS(14143), 1,
      anon_sym_with,
    STATE(11406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12909), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553998] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14101), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554052] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13742), 1,
      sym_pow_operator,
    ACTIONS(13744), 1,
      sym_mult_operator,
    ACTIONS(13746), 1,
      sym_concat_operator,
    ACTIONS(13748), 1,
      sym_rel_operator,
    ACTIONS(13750), 1,
      sym_and_operator,
    ACTIONS(13752), 1,
      sym_or_operator,
    ACTIONS(13844), 1,
      anon_sym_COMMA,
    ACTIONS(13846), 1,
      sym_assign_operator,
    ACTIONS(14171), 1,
      anon_sym_SEMI,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(8938), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [554110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14173), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554164] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12535), 1,
      anon_sym_EQ,
    ACTIONS(14175), 1,
      anon_sym_of,
    ACTIONS(14177), 1,
      anon_sym_COLON2,
    STATE(11410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12531), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554204] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11411), 1,
      sym_attribute,
    STATE(11857), 1,
      sym__attribute,
    STATE(12908), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554258] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554312] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11413), 1,
      sym_attribute,
    STATE(11957), 1,
      sym__attribute,
    STATE(12966), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554366] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_PIPE,
    STATE(11214), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13562), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554404] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13464), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554458] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11416), 1,
      sym_attribute,
    STATE(11844), 1,
      sym__attribute,
    STATE(12836), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13655), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13653), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [554546] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14179), 1,
      anon_sym_end,
    STATE(11418), 1,
      sym_attribute,
    STATE(11554), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14181), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554654] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11420), 1,
      sym_attribute,
    STATE(11787), 1,
      sym__attribute,
    STATE(12758), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554708] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14183), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554762] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13622), 1,
      anon_sym_and,
    ACTIONS(13624), 1,
      sym_let_and_operator,
    STATE(11039), 1,
      aux_sym_value_definition_repeat1,
    STATE(11422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14109), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14107), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554802] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14185), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554856] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14125), 1,
      anon_sym_end,
    STATE(11424), 1,
      sym_attribute,
    STATE(11445), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554910] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14183), 1,
      anon_sym_end,
    STATE(11425), 1,
      sym_attribute,
    STATE(11469), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554964] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14187), 1,
      anon_sym_end,
    STATE(11426), 1,
      sym_attribute,
    STATE(11476), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555018] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14189), 1,
      anon_sym_end,
    STATE(11427), 1,
      sym_attribute,
    STATE(11480), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555072] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13444), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555126] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13428), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555180] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14191), 1,
      anon_sym_end,
    STATE(11315), 1,
      aux_sym_object_expression_repeat1,
    STATE(11430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555234] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14191), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555288] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14193), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555342] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13432), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12938), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    ACTIONS(13733), 1,
      anon_sym_with,
    STATE(11434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12936), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555434] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11435), 1,
      sym_attribute,
    STATE(11843), 1,
      sym__attribute,
    STATE(12814), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [555488] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14195), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555542] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14197), 1,
      anon_sym_end,
    STATE(11436), 1,
      aux_sym_object_expression_repeat1,
    STATE(11437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555596] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14199), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555650] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14201), 1,
      anon_sym_end,
    STATE(11439), 1,
      sym_attribute,
    STATE(11514), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555704] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14203), 1,
      anon_sym_end,
    STATE(11440), 1,
      sym_attribute,
    STATE(11546), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555758] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13294), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555812] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14185), 1,
      anon_sym_end,
    STATE(11442), 1,
      sym_attribute,
    STATE(11450), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555866] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13622), 1,
      anon_sym_and,
    ACTIONS(13624), 1,
      sym_let_and_operator,
    STATE(11048), 1,
      aux_sym_value_definition_repeat1,
    STATE(11443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13618), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555906] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11444), 1,
      sym_attribute,
    STATE(11847), 1,
      sym__attribute,
    STATE(12899), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [555960] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14205), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556014] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13386), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556068] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    ACTIONS(14207), 1,
      anon_sym_RPAREN,
    ACTIONS(14209), 1,
      anon_sym_val,
    STATE(8759), 1,
      sym_module_path,
    STATE(11447), 1,
      sym_attribute,
    STATE(12788), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [556122] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13697), 1,
      anon_sym_end,
    STATE(11103), 1,
      aux_sym_object_expression_repeat1,
    STATE(11448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556176] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14211), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556230] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14213), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556284] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14215), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556338] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12915), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    ACTIONS(13733), 1,
      anon_sym_with,
    STATE(11452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12913), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556376] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_PIPE,
    STATE(11272), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11899), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11897), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556414] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556450] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14213), 1,
      anon_sym_end,
    STATE(11455), 1,
      sym_attribute,
    STATE(11511), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556504] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14197), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556558] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14217), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556612] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_PIPE,
    STATE(11414), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13205), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556650] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11459), 1,
      sym_attribute,
    STATE(11781), 1,
      sym__attribute,
    STATE(12751), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [556704] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14219), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556758] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11461), 1,
      sym_attribute,
    STATE(11826), 1,
      sym__attribute,
    STATE(12778), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [556812] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14221), 1,
      anon_sym_end,
    STATE(11432), 1,
      aux_sym_object_expression_repeat1,
    STATE(11462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556866] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14223), 1,
      anon_sym_end,
    STATE(11456), 1,
      aux_sym_object_expression_repeat1,
    STATE(11463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556920] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11464), 1,
      sym_attribute,
    STATE(11737), 1,
      sym__attribute,
    STATE(12791), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [556974] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14223), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557028] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14221), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557082] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14225), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557136] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14227), 1,
      anon_sym_end,
    STATE(11460), 1,
      aux_sym_object_expression_repeat1,
    STATE(11468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557190] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14229), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557244] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14231), 1,
      anon_sym_end,
    STATE(11357), 1,
      aux_sym_object_expression_repeat1,
    STATE(11470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557298] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11471), 1,
      sym_attribute,
    STATE(11827), 1,
      sym__attribute,
    STATE(12789), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [557352] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14229), 1,
      anon_sym_end,
    STATE(11472), 1,
      sym_attribute,
    STATE(11522), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557406] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11473), 1,
      sym_attribute,
    STATE(11772), 1,
      sym__attribute,
    STATE(12865), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [557460] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14056), 1,
      anon_sym_PIPE,
    STATE(11329), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13207), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13205), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557498] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14233), 1,
      anon_sym_end,
    STATE(11465), 1,
      aux_sym_object_expression_repeat1,
    STATE(11475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557552] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14235), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557606] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13542), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(9331), 1,
      sym__module_expression,
    STATE(11477), 1,
      sym_attribute,
    STATE(12032), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [557660] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14056), 1,
      anon_sym_PIPE,
    STATE(11318), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11899), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11897), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557698] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14235), 1,
      anon_sym_end,
    STATE(11479), 1,
      sym_attribute,
    STATE(11486), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557752] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14237), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557806] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(14137), 1,
      anon_sym_DASH_GT,
    STATE(11481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12184), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557844] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13300), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557898] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14237), 1,
      anon_sym_end,
    STATE(11483), 1,
      sym_attribute,
    STATE(11499), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557952] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14239), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558006] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11485), 1,
      sym_attribute,
    STATE(11735), 1,
      sym__attribute,
    STATE(12801), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [558060] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14241), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558114] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14241), 1,
      anon_sym_end,
    STATE(11487), 1,
      sym_attribute,
    STATE(11488), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558168] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14243), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558222] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13754), 1,
      anon_sym_and,
    ACTIONS(13756), 1,
      sym_let_and_operator,
    STATE(11172), 1,
      aux_sym_value_definition_repeat1,
    STATE(11489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13641), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13639), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558262] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_and,
    ACTIONS(13786), 1,
      anon_sym_COMMA,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    ACTIONS(13798), 1,
      sym_rel_operator,
    ACTIONS(13800), 1,
      sym_and_operator,
    ACTIONS(13802), 1,
      sym_or_operator,
    ACTIONS(13804), 1,
      sym_assign_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [558318] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11770), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14245), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11491), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558354] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13898), 1,
      anon_sym_else,
    STATE(10295), 1,
      sym_else_clause,
    STATE(11492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [558392] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_and,
    ACTIONS(13786), 1,
      anon_sym_COMMA,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    ACTIONS(13798), 1,
      sym_rel_operator,
    ACTIONS(13800), 1,
      sym_and_operator,
    ACTIONS(13802), 1,
      sym_or_operator,
    ACTIONS(13804), 1,
      sym_assign_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [558448] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14227), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558502] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12101), 1,
      anon_sym_STAR,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11491), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558540] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14248), 1,
      anon_sym_end,
    STATE(11496), 1,
      sym_attribute,
    STATE(11520), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558594] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [558634] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14250), 1,
      anon_sym_and,
    ACTIONS(14253), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13655), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11498), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13653), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558672] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14179), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558726] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14256), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558780] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_and,
    ACTIONS(13786), 1,
      anon_sym_COMMA,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    ACTIONS(13798), 1,
      sym_rel_operator,
    ACTIONS(13800), 1,
      sym_and_operator,
    ACTIONS(13802), 1,
      sym_or_operator,
    ACTIONS(13804), 1,
      sym_assign_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [558836] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_and,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    ACTIONS(13798), 1,
      sym_rel_operator,
    ACTIONS(13800), 1,
      sym_and_operator,
    ACTIONS(13802), 1,
      sym_or_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [558888] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    ACTIONS(13798), 1,
      sym_rel_operator,
    ACTIONS(13800), 1,
      sym_and_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [558938] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [558984] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [559030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      sym_pow_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [559068] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13792), 1,
      sym_pow_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [559106] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [559150] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_and,
    ACTIONS(13790), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13792), 1,
      sym_pow_operator,
    ACTIONS(13794), 1,
      sym_mult_operator,
    ACTIONS(13796), 1,
      sym_concat_operator,
    ACTIONS(13798), 1,
      sym_rel_operator,
    ACTIONS(13800), 1,
      sym_and_operator,
    ACTIONS(13802), 1,
      sym_or_operator,
    STATE(1789), 1,
      sym_add_operator,
    STATE(11509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [559202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13754), 1,
      anon_sym_and,
    ACTIONS(13756), 1,
      sym_let_and_operator,
    STATE(11498), 1,
      aux_sym_value_definition_repeat1,
    STATE(11510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13641), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13639), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559242] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14258), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559296] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12843), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    ACTIONS(14143), 1,
      anon_sym_with,
    STATE(11512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12841), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559334] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11513), 1,
      sym_attribute,
    STATE(11820), 1,
      sym__attribute,
    STATE(12754), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [559388] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14260), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559442] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11515), 1,
      sym_attribute,
    STATE(11817), 1,
      sym__attribute,
    STATE(12955), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [559496] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13418), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559550] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14262), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559604] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_end,
    STATE(11466), 1,
      aux_sym_object_expression_repeat1,
    STATE(11518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559658] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559712] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14266), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559766] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14266), 1,
      anon_sym_end,
    STATE(11521), 1,
      sym_attribute,
    STATE(11531), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559820] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14268), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559874] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14270), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559928] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12272), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 1,
      anon_sym_DASH_GT,
    STATE(11524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12270), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559966] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1907), 1,
      sym_add_operator,
    STATE(11525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [560002] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14260), 1,
      anon_sym_end,
    STATE(11526), 1,
      sym_attribute,
    STATE(11548), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560056] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14272), 1,
      anon_sym_end,
    STATE(11494), 1,
      aux_sym_object_expression_repeat1,
    STATE(11527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13326), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560164] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14272), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560218] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13645), 1,
      anon_sym_else,
    STATE(10250), 1,
      sym_else_clause,
    STATE(11530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [560256] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14274), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560310] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14274), 1,
      anon_sym_end,
    STATE(11532), 1,
      sym_attribute,
    STATE(11536), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560364] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14276), 1,
      anon_sym_end,
    STATE(11431), 1,
      aux_sym_object_expression_repeat1,
    STATE(11533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560418] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14278), 1,
      anon_sym_end,
    STATE(11517), 1,
      aux_sym_object_expression_repeat1,
    STATE(11534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560472] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13315), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560526] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14280), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560580] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13396), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560634] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14278), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560688] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14282), 1,
      anon_sym_end,
    STATE(11529), 1,
      aux_sym_object_expression_repeat1,
    STATE(11539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560742] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560796] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13896), 1,
      anon_sym_and,
    ACTIONS(14288), 1,
      anon_sym_let,
    STATE(11264), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14286), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560834] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    ACTIONS(14290), 1,
      anon_sym_RPAREN,
    ACTIONS(14292), 1,
      anon_sym_val,
    STATE(8759), 1,
      sym_module_path,
    STATE(11542), 1,
      sym_attribute,
    STATE(12894), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [560888] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14181), 1,
      anon_sym_end,
    STATE(11250), 1,
      aux_sym_object_expression_repeat1,
    STATE(11543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560942] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13967), 1,
      anon_sym_end,
    STATE(11066), 1,
      aux_sym_object_expression_repeat1,
    STATE(11544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560996] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11545), 1,
      sym_attribute,
    STATE(11798), 1,
      sym__attribute,
    STATE(12858), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [561050] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14294), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561104] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14296), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561158] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14298), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561212] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14256), 1,
      anon_sym_end,
    STATE(11547), 1,
      aux_sym_object_expression_repeat1,
    STATE(11549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561266] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14298), 1,
      anon_sym_end,
    STATE(11550), 1,
      sym_attribute,
    STATE(11552), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561320] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13277), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561374] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14300), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561428] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11130), 1,
      anon_sym_let,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11128), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561468] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14302), 1,
      anon_sym_end,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    STATE(11554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561522] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12323), 1,
      anon_sym_constraint,
    ACTIONS(12325), 1,
      anon_sym_val,
    ACTIONS(12329), 1,
      anon_sym_inherit,
    ACTIONS(12331), 1,
      anon_sym_method,
    ACTIONS(12333), 1,
      anon_sym_initializer,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14294), 1,
      anon_sym_end,
    STATE(11538), 1,
      aux_sym_object_expression_repeat1,
    STATE(11555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13171), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13217), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561576] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [561615] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14308), 1,
      anon_sym_else,
    STATE(10250), 1,
      sym_else_clause,
    STATE(11557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [561652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11380), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11382), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [561685] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11899), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14310), 1,
      anon_sym_PIPE,
    STATE(11559), 1,
      sym_attribute,
    STATE(11643), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11897), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11238), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [561755] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_and,
    ACTIONS(14312), 1,
      anon_sym_COMMA,
    ACTIONS(14314), 1,
      anon_sym_SEMI,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    ACTIONS(14324), 1,
      sym_rel_operator,
    ACTIONS(14326), 1,
      sym_and_operator,
    ACTIONS(14328), 1,
      sym_or_operator,
    ACTIONS(14330), 1,
      sym_assign_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [561812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11400), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [561845] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7109), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10728), 1,
      aux_sym_expression_item_repeat1,
    STATE(11563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6801), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11182), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [561917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11402), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11404), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [561950] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7107), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10732), 1,
      aux_sym_expression_item_repeat1,
    STATE(11566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6929), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11562), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [562022] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562057] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11770), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14332), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11569), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562092] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14335), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10575), 1,
      aux_sym_expression_item_repeat1,
    STATE(11570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13054), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9038), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [562164] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14337), 1,
      anon_sym_else,
    STATE(10250), 1,
      sym_else_clause,
    STATE(11572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [562201] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    ACTIONS(14143), 1,
      anon_sym_with,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10968), 1,
      aux_sym_expression_item_repeat1,
    STATE(11573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562242] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [562277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11170), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11172), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [562310] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12260), 1,
      anon_sym_STAR,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11569), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562347] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13675), 1,
      anon_sym_let,
    ACTIONS(14339), 1,
      anon_sym_and,
    ACTIONS(14341), 1,
      sym_let_and_operator,
    STATE(11577), 1,
      sym_attribute,
    STATE(11580), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13673), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562386] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14109), 1,
      anon_sym_let,
    ACTIONS(14339), 1,
      anon_sym_and,
    ACTIONS(14341), 1,
      sym_let_and_operator,
    STATE(11578), 1,
      sym_attribute,
    STATE(11584), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14107), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562425] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13641), 1,
      anon_sym_let,
    ACTIONS(14339), 1,
      anon_sym_and,
    ACTIONS(14341), 1,
      sym_let_and_operator,
    STATE(11577), 1,
      aux_sym_value_definition_repeat1,
    STATE(11579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13639), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562464] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13655), 1,
      anon_sym_let,
    ACTIONS(14343), 1,
      anon_sym_and,
    ACTIONS(14346), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11580), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13653), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562501] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13641), 1,
      anon_sym_let,
    ACTIONS(14339), 1,
      anon_sym_and,
    ACTIONS(14341), 1,
      sym_let_and_operator,
    STATE(11580), 1,
      aux_sym_value_definition_repeat1,
    STATE(11581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13639), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11442), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [562573] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13620), 1,
      anon_sym_let,
    ACTIONS(14339), 1,
      anon_sym_and,
    ACTIONS(14341), 1,
      sym_let_and_operator,
    STATE(11581), 1,
      aux_sym_value_definition_repeat1,
    STATE(11583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13618), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562612] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13620), 1,
      anon_sym_let,
    ACTIONS(14339), 1,
      anon_sym_and,
    ACTIONS(14341), 1,
      sym_let_and_operator,
    STATE(11580), 1,
      aux_sym_value_definition_repeat1,
    STATE(11584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13618), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562651] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6703), 1,
      anon_sym_DOT,
    STATE(11585), 1,
      sym_attribute,
    STATE(18059), 1,
      sym__infix_operator,
    STATE(20118), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6715), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [562694] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1769), 1,
      anon_sym_DOT,
    STATE(11586), 1,
      sym_attribute,
    STATE(18311), 1,
      sym__infix_operator,
    STATE(20118), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(1777), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [562737] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13675), 1,
      anon_sym_let,
    ACTIONS(14349), 1,
      anon_sym_and,
    ACTIONS(14351), 1,
      sym_let_and_operator,
    STATE(11587), 1,
      sym_attribute,
    STATE(11672), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13673), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562776] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14353), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10492), 1,
      aux_sym_expression_item_repeat1,
    STATE(11588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13104), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562815] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13092), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14355), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11589), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13090), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562850] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6739), 1,
      anon_sym_DOT,
    STATE(11590), 1,
      sym_attribute,
    STATE(18701), 1,
      sym__infix_operator,
    STATE(20118), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6745), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [562893] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13562), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14358), 1,
      anon_sym_PIPE,
    STATE(11589), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11482), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [562963] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12196), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13978), 1,
      anon_sym_DASH_GT,
    STATE(11593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12194), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563000] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14310), 1,
      anon_sym_PIPE,
    STATE(11594), 1,
      sym_attribute,
    STATE(11645), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563037] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7111), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10588), 1,
      aux_sym_expression_item_repeat1,
    STATE(11595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6913), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11218), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [563109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11210), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [563142] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    ACTIONS(14143), 1,
      anon_sym_with,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11598), 1,
      sym_attribute,
    STATE(11848), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14360), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11198), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [563216] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_COLON2,
    STATE(11600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9038), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [563251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11490), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [563284] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14362), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10696), 1,
      aux_sym_expression_item_repeat1,
    STATE(11602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13119), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11492), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11494), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [563356] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7101), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10732), 1,
      aux_sym_expression_item_repeat1,
    STATE(11604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6929), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563395] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14364), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10738), 1,
      aux_sym_expression_item_repeat1,
    STATE(11605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13197), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563434] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11899), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14358), 1,
      anon_sym_PIPE,
    STATE(11606), 1,
      sym_attribute,
    STATE(11628), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11897), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11202), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [563504] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7023), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10769), 1,
      aux_sym_expression_item_repeat1,
    STATE(11608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6759), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563543] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14366), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10766), 1,
      aux_sym_expression_item_repeat1,
    STATE(11609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12944), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563582] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    ACTIONS(14143), 1,
      anon_sym_with,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11610), 1,
      sym_attribute,
    STATE(11802), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14368), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563623] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    ACTIONS(13733), 1,
      anon_sym_with,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10968), 1,
      aux_sym_expression_item_repeat1,
    STATE(11611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13306), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12032), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14370), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11612), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563701] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7103), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10588), 1,
      aux_sym_expression_item_repeat1,
    STATE(11613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6913), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563740] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    ACTIONS(13733), 1,
      anon_sym_with,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10881), 1,
      aux_sym_expression_item_repeat1,
    STATE(11614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13484), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8988), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [563814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14375), 1,
      anon_sym_let,
    STATE(11616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14373), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563847] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14377), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10492), 1,
      aux_sym_expression_item_repeat1,
    STATE(11617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13104), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563886] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6749), 1,
      anon_sym_DOT,
    STATE(11618), 1,
      sym_attribute,
    STATE(19407), 1,
      sym__infix_operator,
    STATE(20118), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6755), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [563929] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(14379), 1,
      anon_sym_LPAREN,
    ACTIONS(14383), 1,
      anon_sym_LBRACE,
    ACTIONS(14385), 1,
      anon_sym_begin,
    STATE(11619), 1,
      sym_attribute,
    STATE(12939), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14381), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12700), 2,
      sym__constant,
      sym_signed_number,
    STATE(11804), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [563980] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5185), 1,
      aux_sym_number_token1,
    ACTIONS(5187), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5189), 1,
      anon_sym_SQUOTE,
    ACTIONS(5191), 1,
      anon_sym_DQUOTE,
    ACTIONS(14387), 1,
      anon_sym_LPAREN,
    ACTIONS(14391), 1,
      anon_sym_LBRACE,
    ACTIONS(14393), 1,
      anon_sym_begin,
    STATE(5662), 1,
      sym__signed_constant,
    STATE(11620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5466), 2,
      sym__constant,
      sym_signed_number,
    STATE(5471), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [564031] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      anon_sym_DOT,
    STATE(11621), 1,
      sym_attribute,
    STATE(18265), 1,
      sym__infix_operator,
    STATE(20118), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(5093), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [564074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11206), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [564107] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    ACTIONS(13733), 1,
      anon_sym_with,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11623), 1,
      sym_attribute,
    STATE(11802), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14368), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564148] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14395), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10766), 1,
      aux_sym_expression_item_repeat1,
    STATE(11624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12944), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11230), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [564220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8028), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [564253] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13620), 1,
      anon_sym_let,
    ACTIONS(14349), 1,
      anon_sym_and,
    ACTIONS(14351), 1,
      sym_let_and_operator,
    STATE(11627), 1,
      sym_attribute,
    STATE(11637), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13618), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564292] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14358), 1,
      anon_sym_PIPE,
    STATE(11589), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564329] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14397), 1,
      anon_sym_COMMA,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    ACTIONS(14403), 1,
      sym_rel_operator,
    ACTIONS(14405), 1,
      sym_and_operator,
    ACTIONS(14407), 1,
      sym_or_operator,
    ACTIONS(14409), 1,
      sym_assign_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [564384] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14308), 1,
      anon_sym_else,
    STATE(10295), 1,
      sym_else_clause,
    STATE(11630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [564421] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7123), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10769), 1,
      aux_sym_expression_item_repeat1,
    STATE(11631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6759), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564460] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14411), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10575), 1,
      aux_sym_expression_item_repeat1,
    STATE(11632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13054), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564499] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14397), 1,
      anon_sym_COMMA,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    ACTIONS(14403), 1,
      sym_rel_operator,
    ACTIONS(14405), 1,
      sym_and_operator,
    ACTIONS(14407), 1,
      sym_or_operator,
    ACTIONS(14409), 1,
      sym_assign_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [564554] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14413), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10738), 1,
      aux_sym_expression_item_repeat1,
    STATE(11634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13197), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564593] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7115), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10728), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6801), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11246), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [564665] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13641), 1,
      anon_sym_let,
    ACTIONS(14349), 1,
      anon_sym_and,
    ACTIONS(14351), 1,
      sym_let_and_operator,
    STATE(11637), 1,
      sym_attribute,
    STATE(11672), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13639), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11420), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [564737] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14397), 1,
      anon_sym_COMMA,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    ACTIONS(14403), 1,
      sym_rel_operator,
    ACTIONS(14405), 1,
      sym_and_operator,
    ACTIONS(14407), 1,
      sym_or_operator,
    ACTIONS(14409), 1,
      sym_assign_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [564792] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    ACTIONS(14403), 1,
      sym_rel_operator,
    ACTIONS(14405), 1,
      sym_and_operator,
    ACTIONS(14407), 1,
      sym_or_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [564843] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    ACTIONS(14403), 1,
      sym_rel_operator,
    ACTIONS(14405), 1,
      sym_and_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [564892] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [564937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14310), 1,
      anon_sym_PIPE,
    STATE(11643), 1,
      sym_attribute,
    STATE(11647), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564974] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    ACTIONS(14143), 1,
      anon_sym_with,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10881), 1,
      aux_sym_expression_item_repeat1,
    STATE(11644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13484), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565015] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13562), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14310), 1,
      anon_sym_PIPE,
    STATE(11645), 1,
      sym_attribute,
    STATE(11647), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565052] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [565097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13092), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14415), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11647), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13090), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565132] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14304), 1,
      sym_pow_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565169] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10843), 1,
      aux_sym_expression_item_repeat1,
    STATE(11649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14418), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13388), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565208] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(12196), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 1,
      anon_sym_DASH_GT,
    STATE(11650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12194), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565245] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14304), 1,
      sym_pow_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565282] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7131), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10697), 1,
      aux_sym_expression_item_repeat1,
    STATE(11652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565321] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565364] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14420), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10696), 1,
      aux_sym_expression_item_repeat1,
    STATE(11654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13119), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565403] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    ACTIONS(14403), 1,
      sym_rel_operator,
    ACTIONS(14405), 1,
      sym_and_operator,
    ACTIONS(14407), 1,
      sym_or_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [565454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11290), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11292), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11296), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11298), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11358), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565553] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12244), 1,
      anon_sym_STAR,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11659), 1,
      sym_attribute,
    STATE(11662), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565590] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14109), 1,
      anon_sym_let,
    ACTIONS(14349), 1,
      anon_sym_and,
    ACTIONS(14351), 1,
      sym_let_and_operator,
    STATE(11660), 1,
      sym_attribute,
    STATE(11694), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14107), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13973), 1,
      anon_sym_let,
    STATE(11661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13971), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565662] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11770), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14422), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11662), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565697] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5229), 1,
      aux_sym_number_token1,
    ACTIONS(5231), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5233), 1,
      anon_sym_SQUOTE,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(14425), 1,
      anon_sym_LPAREN,
    ACTIONS(14429), 1,
      anon_sym_LBRACE,
    ACTIONS(14431), 1,
      anon_sym_begin,
    STATE(5699), 1,
      sym__signed_constant,
    STATE(11663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5423), 2,
      sym__constant,
      sym_signed_number,
    STATE(5451), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [565748] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    ACTIONS(14292), 1,
      anon_sym_val,
    STATE(8759), 1,
      sym_module_path,
    STATE(11664), 1,
      sym_attribute,
    STATE(12894), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [565799] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14337), 1,
      anon_sym_else,
    STATE(10295), 1,
      sym_else_clause,
    STATE(11665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565836] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14433), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11770), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11666), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11362), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565904] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14436), 1,
      anon_sym_PIPE,
    STATE(11668), 1,
      sym_attribute,
    STATE(11671), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565941] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14436), 1,
      anon_sym_PIPE,
    STATE(11669), 1,
      sym_attribute,
    STATE(11675), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565978] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    ACTIONS(14209), 1,
      anon_sym_val,
    STATE(8759), 1,
      sym_module_path,
    STATE(11670), 1,
      sym_attribute,
    STATE(12788), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [566029] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14436), 1,
      anon_sym_PIPE,
    STATE(11671), 1,
      sym_attribute,
    STATE(11676), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [566066] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13655), 1,
      anon_sym_let,
    ACTIONS(14438), 1,
      anon_sym_and,
    ACTIONS(14441), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11672), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13653), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566103] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14358), 1,
      anon_sym_PIPE,
    STATE(11591), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566140] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12032), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14444), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11674), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566177] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14436), 1,
      anon_sym_PIPE,
    STATE(11675), 1,
      sym_attribute,
    STATE(11676), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [566214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14447), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11676), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [566249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14452), 1,
      anon_sym_let,
    STATE(11677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14450), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11370), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566315] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7320), 1,
      aux_sym_number_token1,
    ACTIONS(7322), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7324), 1,
      anon_sym_SQUOTE,
    ACTIONS(7326), 1,
      anon_sym_DQUOTE,
    ACTIONS(14454), 1,
      anon_sym_LPAREN,
    ACTIONS(14458), 1,
      anon_sym_LBRACE,
    ACTIONS(14460), 1,
      anon_sym_begin,
    STATE(8747), 1,
      sym__signed_constant,
    STATE(11679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14456), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8474), 2,
      sym__constant,
      sym_signed_number,
    STATE(8556), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [566366] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    ACTIONS(13733), 1,
      anon_sym_with,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11680), 1,
      sym_attribute,
    STATE(11848), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14360), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566407] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7358), 1,
      aux_sym_number_token1,
    ACTIONS(7360), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7362), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      anon_sym_DQUOTE,
    ACTIONS(14462), 1,
      anon_sym_LPAREN,
    ACTIONS(14466), 1,
      anon_sym_LBRACE,
    ACTIONS(14468), 1,
      anon_sym_begin,
    STATE(11681), 1,
      sym_attribute,
    STATE(13895), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14464), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13392), 2,
      sym__constant,
      sym_signed_number,
    STATE(13402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [566458] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14038), 1,
      anon_sym_DOT,
    STATE(11682), 1,
      sym_attribute,
    STATE(19632), 1,
      sym__infix_operator,
    STATE(20118), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(14040), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [566501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11466), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566534] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_and,
    ACTIONS(14312), 1,
      anon_sym_COMMA,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    ACTIONS(14324), 1,
      sym_rel_operator,
    ACTIONS(14326), 1,
      sym_and_operator,
    ACTIONS(14328), 1,
      sym_or_operator,
    ACTIONS(14330), 1,
      sym_assign_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [566589] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10843), 1,
      aux_sym_expression_item_repeat1,
    STATE(11685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14470), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13388), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566628] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14472), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11770), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11686), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566663] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12285), 1,
      anon_sym_STAR,
    STATE(11686), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12769), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8024), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8020), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566766] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14475), 1,
      anon_sym_LPAREN,
    ACTIONS(14477), 1,
      anon_sym_constraint,
    ACTIONS(14479), 1,
      anon_sym_val,
    ACTIONS(14481), 1,
      anon_sym_end,
    ACTIONS(14483), 1,
      anon_sym_inherit,
    ACTIONS(14485), 1,
      anon_sym_method,
    STATE(11690), 1,
      sym_attribute,
    STATE(11919), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13246), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13247), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [566819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14489), 1,
      anon_sym_let,
    STATE(11691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14487), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566852] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5117), 1,
      aux_sym_number_token1,
    ACTIONS(5119), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5121), 1,
      anon_sym_SQUOTE,
    ACTIONS(5123), 1,
      anon_sym_DQUOTE,
    ACTIONS(14491), 1,
      anon_sym_LPAREN,
    ACTIONS(14495), 1,
      anon_sym_LBRACE,
    ACTIONS(14497), 1,
      anon_sym_begin,
    STATE(5504), 1,
      sym__signed_constant,
    STATE(11692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14493), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5275), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [566903] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(11693), 1,
      sym_attribute,
    STATE(20058), 1,
      sym__infix_operator,
    STATE(20118), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6735), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [566946] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13620), 1,
      anon_sym_let,
    ACTIONS(14349), 1,
      anon_sym_and,
    ACTIONS(14351), 1,
      sym_let_and_operator,
    STATE(11672), 1,
      aux_sym_value_definition_repeat1,
    STATE(11694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13618), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566985] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4937), 1,
      aux_sym_number_token1,
    ACTIONS(4939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4941), 1,
      anon_sym_SQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DQUOTE,
    ACTIONS(14499), 1,
      anon_sym_LPAREN,
    ACTIONS(14503), 1,
      anon_sym_LBRACE,
    ACTIONS(14505), 1,
      anon_sym_begin,
    STATE(5448), 1,
      sym__signed_constant,
    STATE(11695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5268), 2,
      sym__constant,
      sym_signed_number,
    STATE(5357), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [567036] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10960), 1,
      aux_sym_expression_item_repeat1,
    STATE(11696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14507), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13286), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8016), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567108] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(10960), 1,
      aux_sym_expression_item_repeat1,
    STATE(11698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14509), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13286), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567147] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_and,
    ACTIONS(14312), 1,
      anon_sym_COMMA,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    ACTIONS(14324), 1,
      sym_rel_operator,
    ACTIONS(14326), 1,
      sym_and_operator,
    ACTIONS(14328), 1,
      sym_or_operator,
    ACTIONS(14330), 1,
      sym_assign_operator,
    ACTIONS(14511), 1,
      anon_sym_SEMI,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [567204] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_and,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    ACTIONS(14324), 1,
      sym_rel_operator,
    ACTIONS(14326), 1,
      sym_and_operator,
    ACTIONS(14328), 1,
      sym_or_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [567255] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6719), 1,
      anon_sym_DOT,
    STATE(11701), 1,
      sym_attribute,
    STATE(19215), 1,
      sym__infix_operator,
    STATE(20118), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6725), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [567298] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [567341] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14318), 1,
      sym_pow_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [567378] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14318), 1,
      sym_pow_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [567415] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12222), 1,
      anon_sym_STAR,
    STATE(11666), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(11705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12769), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567452] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [567497] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7121), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(10697), 1,
      aux_sym_expression_item_repeat1,
    STATE(11707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567536] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [567581] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14397), 1,
      anon_sym_COMMA,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    ACTIONS(14403), 1,
      sym_rel_operator,
    ACTIONS(14405), 1,
      sym_and_operator,
    ACTIONS(14407), 1,
      sym_or_operator,
    ACTIONS(14409), 1,
      sym_assign_operator,
    ACTIONS(14513), 1,
      anon_sym_SEMI,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [567638] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    ACTIONS(14324), 1,
      sym_rel_operator,
    ACTIONS(14326), 1,
      sym_and_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [567687] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_and,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    ACTIONS(14324), 1,
      sym_rel_operator,
    ACTIONS(14326), 1,
      sym_and_operator,
    ACTIONS(14328), 1,
      sym_or_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [567738] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_and,
    ACTIONS(14312), 1,
      anon_sym_COMMA,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    ACTIONS(14324), 1,
      sym_rel_operator,
    ACTIONS(14326), 1,
      sym_and_operator,
    ACTIONS(14328), 1,
      sym_or_operator,
    ACTIONS(14330), 1,
      sym_assign_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [567793] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [567832] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14304), 1,
      sym_pow_operator,
    ACTIONS(14306), 1,
      sym_mult_operator,
    ACTIONS(14397), 1,
      anon_sym_COMMA,
    ACTIONS(14399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14401), 1,
      sym_concat_operator,
    ACTIONS(14403), 1,
      sym_rel_operator,
    ACTIONS(14405), 1,
      sym_and_operator,
    ACTIONS(14407), 1,
      sym_or_operator,
    ACTIONS(14409), 1,
      sym_assign_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(11714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [567887] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_and,
    ACTIONS(14312), 1,
      anon_sym_COMMA,
    ACTIONS(14316), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14318), 1,
      sym_pow_operator,
    ACTIONS(14320), 1,
      sym_mult_operator,
    ACTIONS(14322), 1,
      sym_concat_operator,
    ACTIONS(14324), 1,
      sym_rel_operator,
    ACTIONS(14326), 1,
      sym_and_operator,
    ACTIONS(14328), 1,
      sym_or_operator,
    ACTIONS(14330), 1,
      sym_assign_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(11715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [567942] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13641), 1,
      anon_sym_let,
    ACTIONS(14349), 1,
      anon_sym_and,
    ACTIONS(14351), 1,
      sym_let_and_operator,
    STATE(11587), 1,
      aux_sym_value_definition_repeat1,
    STATE(11716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13639), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567981] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [568025] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7906), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [568057] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8759), 1,
      sym_module_path,
    STATE(8830), 1,
      sym__module_expression,
    STATE(11719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568105] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14523), 1,
      anon_sym_EQ,
    ACTIONS(14525), 1,
      anon_sym_of,
    ACTIONS(14527), 1,
      anon_sym_COLON2,
    STATE(11720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568143] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8759), 1,
      sym_module_path,
    STATE(8853), 1,
      sym__module_expression,
    STATE(11721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568191] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11722), 1,
      sym_attribute,
    STATE(12802), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568239] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14529), 1,
      anon_sym_EQ,
    ACTIONS(14531), 1,
      anon_sym_of,
    ACTIONS(14533), 1,
      anon_sym_COLON2,
    STATE(11723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568277] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14535), 1,
      anon_sym_PIPE,
    STATE(11724), 1,
      sym_attribute,
    STATE(11744), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [568313] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14539), 1,
      anon_sym_let,
    ACTIONS(14541), 1,
      anon_sym_and,
    STATE(11725), 1,
      sym_attribute,
    STATE(11981), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14537), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568349] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11726), 1,
      sym_attribute,
    STATE(12910), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568397] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(14543), 1,
      sym__lowercase_identifier,
    ACTIONS(14545), 1,
      anon_sym_POUND,
    STATE(11727), 1,
      sym_attribute,
    STATE(12500), 1,
      sym_type_constructor_path,
    STATE(17022), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [568439] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12533), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14547), 1,
      anon_sym_EQ,
    ACTIONS(14549), 1,
      anon_sym_of,
    ACTIONS(14551), 1,
      anon_sym_COLON2,
    STATE(11728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568477] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11729), 1,
      sym_attribute,
    STATE(12924), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568525] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14555), 1,
      anon_sym_let,
    ACTIONS(14557), 1,
      anon_sym_and,
    STATE(11730), 1,
      sym_attribute,
    STATE(11887), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568561] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14559), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11731), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8693), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8691), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [568595] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14562), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14566), 1,
      anon_sym_nonrec,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    STATE(11732), 1,
      sym_attribute,
    STATE(12489), 1,
      sym_type_binding,
    STATE(12584), 1,
      sym__attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14642), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20013), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [568655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14539), 1,
      anon_sym_let,
    ACTIONS(14576), 1,
      anon_sym_and,
    STATE(11733), 1,
      sym_attribute,
    STATE(11752), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14537), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568691] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14535), 1,
      anon_sym_PIPE,
    STATE(11734), 1,
      sym_attribute,
    STATE(11747), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [568727] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11735), 1,
      sym_attribute,
    STATE(12803), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568775] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13542), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(9753), 1,
      sym__module_expression,
    STATE(11736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568823] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11737), 1,
      sym_attribute,
    STATE(12784), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568871] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_PIPE,
    STATE(11738), 1,
      sym_attribute,
    STATE(11808), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [568907] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11739), 1,
      sym_attribute,
    STATE(12772), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568955] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14557), 1,
      anon_sym_and,
    ACTIONS(14582), 1,
      anon_sym_let,
    STATE(11740), 1,
      sym_attribute,
    STATE(11859), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14580), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568991] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11741), 1,
      sym_attribute,
    STATE(12887), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569039] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(14543), 1,
      sym__lowercase_identifier,
    ACTIONS(14545), 1,
      anon_sym_POUND,
    STATE(11742), 1,
      sym_attribute,
    STATE(12500), 1,
      sym_type_constructor_path,
    STATE(17022), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10866), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [569081] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13526), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      anon_sym_functor,
    ACTIONS(13532), 1,
      anon_sym_struct,
    ACTIONS(13534), 1,
      sym__uppercase_identifier,
    STATE(11743), 1,
      sym_attribute,
    STATE(12660), 1,
      sym__module_expression,
    STATE(12978), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13061), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569129] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14535), 1,
      anon_sym_PIPE,
    STATE(11744), 1,
      sym_attribute,
    STATE(11866), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569165] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14584), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(11745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569201] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11746), 1,
      sym_attribute,
    STATE(12852), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569249] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14535), 1,
      anon_sym_PIPE,
    STATE(11747), 1,
      sym_attribute,
    STATE(11866), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569285] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14523), 1,
      anon_sym_EQ,
    ACTIONS(14586), 1,
      anon_sym_of,
    ACTIONS(14588), 1,
      anon_sym_COLON2,
    STATE(11748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569323] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13542), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(9331), 1,
      sym__module_expression,
    STATE(11749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569371] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12533), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14547), 1,
      anon_sym_EQ,
    ACTIONS(14590), 1,
      anon_sym_of,
    ACTIONS(14592), 1,
      anon_sym_COLON2,
    STATE(11750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569409] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14576), 1,
      anon_sym_and,
    ACTIONS(14596), 1,
      anon_sym_let,
    STATE(11751), 1,
      sym_attribute,
    STATE(11977), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14594), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569445] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14576), 1,
      anon_sym_and,
    ACTIONS(14596), 1,
      anon_sym_let,
    STATE(11752), 1,
      sym_attribute,
    STATE(11961), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14594), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569481] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14529), 1,
      anon_sym_EQ,
    ACTIONS(14598), 1,
      anon_sym_of,
    ACTIONS(14600), 1,
      anon_sym_COLON2,
    STATE(11753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569519] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7926), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [569551] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14604), 1,
      anon_sym_let,
    ACTIONS(14606), 1,
      anon_sym_and,
    STATE(11755), 1,
      sym_attribute,
    STATE(11823), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14602), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569587] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13526), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      anon_sym_functor,
    ACTIONS(13532), 1,
      anon_sym_struct,
    ACTIONS(13534), 1,
      sym__uppercase_identifier,
    STATE(11756), 1,
      sym_attribute,
    STATE(12749), 1,
      sym__module_expression,
    STATE(12978), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13061), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569635] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14608), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569671] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11899), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14610), 1,
      anon_sym_PIPE,
    STATE(11758), 1,
      sym_attribute,
    STATE(11899), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11897), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569707] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11759), 1,
      sym_attribute,
    STATE(12905), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569755] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11760), 1,
      sym_attribute,
    STATE(12857), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569803] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11761), 1,
      sym_attribute,
    STATE(11949), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14608), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569839] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(14612), 1,
      sym__lowercase_identifier,
    ACTIONS(14614), 1,
      anon_sym_nonrec,
    STATE(11740), 1,
      sym_type_binding,
    STATE(11762), 1,
      sym_attribute,
    STATE(12481), 1,
      sym__attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14590), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20028), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [569899] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14610), 1,
      anon_sym_PIPE,
    STATE(11763), 1,
      sym_attribute,
    STATE(11935), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569935] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13526), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      anon_sym_functor,
    ACTIONS(13532), 1,
      anon_sym_struct,
    ACTIONS(13534), 1,
      sym__uppercase_identifier,
    STATE(11764), 1,
      sym_attribute,
    STATE(12723), 1,
      sym__module_expression,
    STATE(12978), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13061), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569983] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(14616), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11765), 1,
      sym_attribute,
    STATE(12661), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570031] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14618), 1,
      anon_sym_COMMA,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    ACTIONS(14628), 1,
      sym_rel_operator,
    ACTIONS(14630), 1,
      sym_and_operator,
    ACTIONS(14632), 1,
      sym_or_operator,
    ACTIONS(14634), 1,
      sym_assign_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [570085] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14584), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(11767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11492), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11494), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [570153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14638), 1,
      anon_sym_let,
    ACTIONS(14640), 1,
      anon_sym_and,
    STATE(11769), 1,
      sym_attribute,
    STATE(11777), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14636), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570189] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11872), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14642), 1,
      anon_sym_STAR,
    STATE(11770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570223] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14640), 1,
      anon_sym_and,
    ACTIONS(14646), 1,
      anon_sym_let,
    STATE(11769), 1,
      aux_sym_module_definition_repeat1,
    STATE(11771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570259] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11772), 1,
      sym_attribute,
    STATE(12838), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570307] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570341] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14648), 1,
      anon_sym_COMMA,
    ACTIONS(14650), 1,
      anon_sym_SEMI,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    ACTIONS(14660), 1,
      sym_rel_operator,
    ACTIONS(14662), 1,
      sym_and_operator,
    ACTIONS(14664), 1,
      sym_or_operator,
    ACTIONS(14666), 1,
      sym_assign_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [570397] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14668), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(11775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570433] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14670), 1,
      anon_sym_COMMA,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    ACTIONS(14680), 1,
      sym_rel_operator,
    ACTIONS(14682), 1,
      sym_and_operator,
    ACTIONS(14684), 1,
      sym_or_operator,
    ACTIONS(14686), 1,
      sym_assign_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [570487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14452), 1,
      anon_sym_let,
    ACTIONS(14688), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11777), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570521] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14691), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(11778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570557] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570591] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14693), 1,
      anon_sym_else,
    STATE(10250), 1,
      sym_else_clause,
    STATE(11780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570627] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11781), 1,
      sym_attribute,
    STATE(12847), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570675] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14648), 1,
      anon_sym_COMMA,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    ACTIONS(14660), 1,
      sym_rel_operator,
    ACTIONS(14662), 1,
      sym_and_operator,
    ACTIONS(14664), 1,
      sym_or_operator,
    ACTIONS(14666), 1,
      sym_assign_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [570729] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14477), 1,
      anon_sym_constraint,
    ACTIONS(14479), 1,
      anon_sym_val,
    ACTIONS(14483), 1,
      anon_sym_inherit,
    ACTIONS(14485), 1,
      anon_sym_method,
    ACTIONS(14695), 1,
      anon_sym_end,
    STATE(11783), 1,
      sym_attribute,
    STATE(12052), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13246), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13247), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [570779] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1987), 1,
      sym_add_operator,
    STATE(11784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11218), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [570845] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14697), 1,
      anon_sym_PIPE,
    STATE(11786), 1,
      sym_attribute,
    STATE(11872), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570881] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11787), 1,
      sym_attribute,
    STATE(12769), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570929] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14668), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(11788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570965] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11789), 1,
      sym_attribute,
    STATE(12995), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571013] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14699), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(11790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571049] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14701), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(11791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571085] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14604), 1,
      anon_sym_let,
    ACTIONS(14640), 1,
      anon_sym_and,
    STATE(11792), 1,
      sym_attribute,
    STATE(11803), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14602), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571121] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13526), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      anon_sym_functor,
    ACTIONS(13532), 1,
      anon_sym_struct,
    ACTIONS(13534), 1,
      sym__uppercase_identifier,
    STATE(11793), 1,
      sym_attribute,
    STATE(12386), 1,
      sym__module_expression,
    STATE(12978), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13061), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571169] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14703), 1,
      anon_sym_COMMA,
    ACTIONS(14705), 1,
      anon_sym_SEMI,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    ACTIONS(14715), 1,
      sym_rel_operator,
    ACTIONS(14717), 1,
      sym_and_operator,
    ACTIONS(14719), 1,
      sym_or_operator,
    ACTIONS(14721), 1,
      sym_assign_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [571225] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571259] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14640), 1,
      anon_sym_and,
    ACTIONS(14646), 1,
      anon_sym_let,
    STATE(11777), 1,
      aux_sym_module_definition_repeat1,
    STATE(11796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7984), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [571327] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11798), 1,
      sym_attribute,
    STATE(12885), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571375] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_PIPE,
    STATE(11738), 1,
      aux_sym__match_cases_repeat1,
    STATE(11799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571411] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_PIPE,
    STATE(11800), 1,
      sym_attribute,
    STATE(11805), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11210), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [571479] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571515] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14640), 1,
      anon_sym_and,
    ACTIONS(14727), 1,
      anon_sym_let,
    STATE(11777), 1,
      aux_sym_module_definition_repeat1,
    STATE(11803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14725), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7890), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [571583] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_PIPE,
    STATE(11805), 1,
      sym_attribute,
    STATE(11808), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11202), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [571651] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14729), 1,
      anon_sym_else,
    STATE(10295), 1,
      sym_else_clause,
    STATE(11807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571687] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14731), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11808), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571721] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11809), 1,
      sym_attribute,
    STATE(12787), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11206), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [571801] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14734), 1,
      anon_sym_COMMA,
    ACTIONS(14736), 1,
      anon_sym_SEMI,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    ACTIONS(14746), 1,
      sym_rel_operator,
    ACTIONS(14748), 1,
      sym_and_operator,
    ACTIONS(14750), 1,
      sym_or_operator,
    ACTIONS(14752), 1,
      sym_assign_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [571857] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8759), 1,
      sym_module_path,
    STATE(8857), 1,
      sym__module_expression,
    STATE(11812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571905] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(14754), 1,
      anon_sym_COLON_GT,
    ACTIONS(14756), 1,
      anon_sym_RPAREN,
    ACTIONS(14758), 1,
      anon_sym_COLON2,
    STATE(1780), 1,
      sym_add_operator,
    STATE(11813), 1,
      sym_attribute,
    STATE(16894), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [571963] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14760), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(11814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11490), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [572031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11198), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [572063] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11817), 1,
      sym_attribute,
    STATE(12949), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572111] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14582), 1,
      anon_sym_let,
    ACTIONS(14762), 1,
      anon_sym_and,
    STATE(11818), 1,
      sym_attribute,
    STATE(11934), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14580), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11230), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [572179] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11820), 1,
      sym_attribute,
    STATE(12771), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14764), 1,
      anon_sym_PIPE,
    STATE(11821), 1,
      sym_attribute,
    STATE(12029), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [572263] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14762), 1,
      anon_sym_and,
    ACTIONS(14768), 1,
      anon_sym_let,
    STATE(11822), 1,
      sym_attribute,
    STATE(11920), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572299] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14606), 1,
      anon_sym_and,
    ACTIONS(14727), 1,
      anon_sym_let,
    STATE(11823), 1,
      sym_attribute,
    STATE(11923), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14725), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572335] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14640), 1,
      anon_sym_and,
    ACTIONS(14727), 1,
      anon_sym_let,
    STATE(11796), 1,
      aux_sym_module_definition_repeat1,
    STATE(11824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14725), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572371] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14762), 1,
      anon_sym_and,
    ACTIONS(14772), 1,
      anon_sym_let,
    STATE(11825), 1,
      sym_attribute,
    STATE(11920), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14770), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572407] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11826), 1,
      sym_attribute,
    STATE(12774), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572455] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11827), 1,
      sym_attribute,
    STATE(12794), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572503] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    ACTIONS(14715), 1,
      sym_rel_operator,
    ACTIONS(14717), 1,
      sym_and_operator,
    ACTIONS(14719), 1,
      sym_or_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [572553] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8754), 1,
      sym__module_expression,
    STATE(8759), 1,
      sym_module_path,
    STATE(11829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572601] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572643] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14699), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(11831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572679] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14709), 1,
      sym_pow_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572715] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14709), 1,
      sym_pow_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572751] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [572795] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [572839] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    ACTIONS(14715), 1,
      sym_rel_operator,
    ACTIONS(14717), 1,
      sym_and_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [572887] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    ACTIONS(14715), 1,
      sym_rel_operator,
    ACTIONS(14717), 1,
      sym_and_operator,
    ACTIONS(14719), 1,
      sym_or_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [572937] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14703), 1,
      anon_sym_COMMA,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    ACTIONS(14715), 1,
      sym_rel_operator,
    ACTIONS(14717), 1,
      sym_and_operator,
    ACTIONS(14719), 1,
      sym_or_operator,
    ACTIONS(14721), 1,
      sym_assign_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [572991] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573029] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14703), 1,
      anon_sym_COMMA,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    ACTIONS(14715), 1,
      sym_rel_operator,
    ACTIONS(14717), 1,
      sym_and_operator,
    ACTIONS(14719), 1,
      sym_or_operator,
    ACTIONS(14721), 1,
      sym_assign_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [573083] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14703), 1,
      anon_sym_COMMA,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    ACTIONS(14715), 1,
      sym_rel_operator,
    ACTIONS(14717), 1,
      sym_and_operator,
    ACTIONS(14719), 1,
      sym_or_operator,
    ACTIONS(14721), 1,
      sym_assign_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(11841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [573137] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14774), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(11842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573173] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11843), 1,
      sym_attribute,
    STATE(12817), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573221] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11844), 1,
      sym_attribute,
    STATE(12821), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10846), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [573301] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11899), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14764), 1,
      anon_sym_PIPE,
    STATE(11846), 1,
      sym_attribute,
    STATE(12022), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11897), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573337] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11847), 1,
      sym_attribute,
    STATE(12883), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573385] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14368), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573421] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8759), 1,
      sym_module_path,
    STATE(8782), 1,
      sym__module_expression,
    STATE(11849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573469] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14776), 1,
      anon_sym_constraint,
    ACTIONS(14779), 1,
      anon_sym_val,
    ACTIONS(14782), 1,
      anon_sym_end,
    ACTIONS(14784), 1,
      anon_sym_inherit,
    ACTIONS(14787), 1,
      anon_sym_method,
    ACTIONS(14790), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14793), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14796), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11850), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(13246), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13247), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [573517] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11757), 1,
      aux_sym_expression_item_repeat1,
    STATE(11851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14799), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573553] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    ACTIONS(14801), 1,
      anon_sym_COMMA,
    ACTIONS(14803), 1,
      sym_rel_operator,
    ACTIONS(14805), 1,
      sym_and_operator,
    ACTIONS(14807), 1,
      sym_or_operator,
    ACTIONS(14809), 1,
      sym_assign_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [573607] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11853), 1,
      sym_attribute,
    STATE(12811), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14606), 1,
      anon_sym_and,
    ACTIONS(14638), 1,
      anon_sym_let,
    STATE(11854), 1,
      sym_attribute,
    STATE(11923), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14636), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573691] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    ACTIONS(14801), 1,
      anon_sym_COMMA,
    ACTIONS(14803), 1,
      sym_rel_operator,
    ACTIONS(14805), 1,
      sym_and_operator,
    ACTIONS(14807), 1,
      sym_or_operator,
    ACTIONS(14809), 1,
      sym_assign_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [573745] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11856), 1,
      sym_attribute,
    STATE(12909), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573793] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11857), 1,
      sym_attribute,
    STATE(12930), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573841] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14606), 1,
      anon_sym_and,
    ACTIONS(14727), 1,
      anon_sym_let,
    STATE(11858), 1,
      sym_attribute,
    STATE(11884), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14725), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573877] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14555), 1,
      anon_sym_let,
    ACTIONS(14557), 1,
      anon_sym_and,
    STATE(11859), 1,
      sym_attribute,
    STATE(11888), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573913] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7880), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [573983] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13526), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      anon_sym_functor,
    ACTIONS(13532), 1,
      anon_sym_struct,
    ACTIONS(13534), 1,
      sym__uppercase_identifier,
    STATE(11862), 1,
      sym_attribute,
    STATE(12663), 1,
      sym__module_expression,
    STATE(12978), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13061), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574031] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11863), 1,
      sym_attribute,
    STATE(12849), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7876), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [574111] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(14616), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11865), 1,
      sym_attribute,
    STATE(12658), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574159] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14811), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11866), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574193] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14814), 1,
      aux_sym_attribute_id_token1,
    STATE(11731), 1,
      aux_sym_attribute_id_repeat1,
    STATE(11867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8780), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8778), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [574229] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13526), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      anon_sym_functor,
    ACTIONS(13532), 1,
      anon_sym_struct,
    ACTIONS(13534), 1,
      sym__uppercase_identifier,
    STATE(11868), 1,
      sym_attribute,
    STATE(12412), 1,
      sym__module_expression,
    STATE(12978), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13061), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574277] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574315] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14816), 1,
      anon_sym_PIPE,
    STATE(11870), 1,
      sym_attribute,
    STATE(12048), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574351] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14697), 1,
      anon_sym_PIPE,
    STATE(11871), 1,
      sym_attribute,
    STATE(11873), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574387] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14697), 1,
      anon_sym_PIPE,
    STATE(11872), 1,
      sym_attribute,
    STATE(11876), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574423] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14697), 1,
      anon_sym_PIPE,
    STATE(11873), 1,
      sym_attribute,
    STATE(11876), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574459] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11874), 1,
      sym_attribute,
    STATE(12958), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574507] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    ACTIONS(14746), 1,
      sym_rel_operator,
    ACTIONS(14748), 1,
      sym_and_operator,
    ACTIONS(14750), 1,
      sym_or_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [574557] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14818), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11876), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574591] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574633] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14740), 1,
      sym_pow_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574669] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14740), 1,
      sym_pow_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574705] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [574749] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [574793] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    ACTIONS(14746), 1,
      sym_rel_operator,
    ACTIONS(14748), 1,
      sym_and_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [574841] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    ACTIONS(14746), 1,
      sym_rel_operator,
    ACTIONS(14748), 1,
      sym_and_operator,
    ACTIONS(14750), 1,
      sym_or_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [574891] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14606), 1,
      anon_sym_and,
    ACTIONS(14646), 1,
      anon_sym_let,
    STATE(11884), 1,
      sym_attribute,
    STATE(11923), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574927] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14734), 1,
      anon_sym_COMMA,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    ACTIONS(14746), 1,
      sym_rel_operator,
    ACTIONS(14748), 1,
      sym_and_operator,
    ACTIONS(14750), 1,
      sym_or_operator,
    ACTIONS(14752), 1,
      sym_assign_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [574981] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14734), 1,
      anon_sym_COMMA,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    ACTIONS(14746), 1,
      sym_rel_operator,
    ACTIONS(14748), 1,
      sym_and_operator,
    ACTIONS(14750), 1,
      sym_or_operator,
    ACTIONS(14752), 1,
      sym_assign_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [575035] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14557), 1,
      anon_sym_and,
    ACTIONS(14768), 1,
      anon_sym_let,
    STATE(11887), 1,
      sym_attribute,
    STATE(11888), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575071] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14375), 1,
      anon_sym_let,
    ACTIONS(14821), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11888), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14373), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575105] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14557), 1,
      anon_sym_and,
    ACTIONS(14768), 1,
      anon_sym_let,
    STATE(11889), 1,
      sym_attribute,
    STATE(11892), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575141] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14762), 1,
      anon_sym_and,
    ACTIONS(14768), 1,
      anon_sym_let,
    STATE(11825), 1,
      aux_sym_type_definition_repeat1,
    STATE(11890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575177] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14814), 1,
      aux_sym_attribute_id_token1,
    STATE(11867), 1,
      aux_sym_attribute_id_repeat1,
    STATE(11891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8754), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8752), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [575213] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14557), 1,
      anon_sym_and,
    ACTIONS(14772), 1,
      anon_sym_let,
    STATE(11888), 1,
      aux_sym_type_definition_repeat1,
    STATE(11892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14770), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575249] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11893), 1,
      sym_attribute,
    STATE(12759), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575297] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14489), 1,
      anon_sym_let,
    ACTIONS(14824), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11894), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14487), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575331] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    ACTIONS(14801), 1,
      anon_sym_COMMA,
    ACTIONS(14803), 1,
      sym_rel_operator,
    ACTIONS(14805), 1,
      sym_and_operator,
    ACTIONS(14807), 1,
      sym_or_operator,
    ACTIONS(14809), 1,
      sym_assign_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [575385] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    ACTIONS(14803), 1,
      sym_rel_operator,
    ACTIONS(14805), 1,
      sym_and_operator,
    ACTIONS(14807), 1,
      sym_or_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [575435] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11897), 1,
      sym_attribute,
    STATE(12805), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575483] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14648), 1,
      anon_sym_COMMA,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    ACTIONS(14660), 1,
      sym_rel_operator,
    ACTIONS(14662), 1,
      sym_and_operator,
    ACTIONS(14664), 1,
      sym_or_operator,
    ACTIONS(14666), 1,
      sym_assign_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [575537] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14610), 1,
      anon_sym_PIPE,
    STATE(11899), 1,
      sym_attribute,
    STATE(11933), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [575573] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14691), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(11900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575609] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14760), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(11901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575645] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    ACTIONS(14803), 1,
      sym_rel_operator,
    ACTIONS(14805), 1,
      sym_and_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [575693] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575727] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14827), 1,
      anon_sym_COMMA,
    ACTIONS(14829), 1,
      anon_sym_SEMI,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    ACTIONS(14839), 1,
      sym_rel_operator,
    ACTIONS(14841), 1,
      sym_and_operator,
    ACTIONS(14843), 1,
      sym_or_operator,
    ACTIONS(14845), 1,
      sym_assign_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(11904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [575783] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14774), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(11905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575819] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14648), 1,
      anon_sym_COMMA,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    ACTIONS(14660), 1,
      sym_rel_operator,
    ACTIONS(14662), 1,
      sym_and_operator,
    ACTIONS(14664), 1,
      sym_or_operator,
    ACTIONS(14666), 1,
      sym_assign_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [575873] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [575907] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    ACTIONS(14801), 1,
      anon_sym_COMMA,
    ACTIONS(14803), 1,
      sym_rel_operator,
    ACTIONS(14805), 1,
      sym_and_operator,
    ACTIONS(14807), 1,
      sym_or_operator,
    ACTIONS(14809), 1,
      sym_assign_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [575961] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575999] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14517), 1,
      sym_pow_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576035] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11482), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [576101] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14648), 1,
      anon_sym_COMMA,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    ACTIONS(14660), 1,
      sym_rel_operator,
    ACTIONS(14662), 1,
      sym_and_operator,
    ACTIONS(14664), 1,
      sym_or_operator,
    ACTIONS(14666), 1,
      sym_assign_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [576155] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    ACTIONS(14660), 1,
      sym_rel_operator,
    ACTIONS(14662), 1,
      sym_and_operator,
    ACTIONS(14664), 1,
      sym_or_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [576205] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    ACTIONS(14660), 1,
      sym_rel_operator,
    ACTIONS(14662), 1,
      sym_and_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [576253] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [576297] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8739), 1,
      sym__module_expression,
    STATE(8759), 1,
      sym_module_path,
    STATE(11917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11380), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11382), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [576377] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14477), 1,
      anon_sym_constraint,
    ACTIONS(14479), 1,
      anon_sym_val,
    ACTIONS(14483), 1,
      anon_sym_inherit,
    ACTIONS(14485), 1,
      anon_sym_method,
    ACTIONS(14847), 1,
      anon_sym_end,
    STATE(11850), 1,
      aux_sym_class_body_type_repeat1,
    STATE(11919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13246), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13247), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [576427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14375), 1,
      anon_sym_let,
    ACTIONS(14849), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11920), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14373), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576461] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14852), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(11921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576497] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11922), 1,
      sym_attribute,
    STATE(12781), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576545] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14452), 1,
      anon_sym_let,
    ACTIONS(14854), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11923), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576579] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14606), 1,
      anon_sym_and,
    ACTIONS(14646), 1,
      anon_sym_let,
    STATE(11854), 1,
      aux_sym_module_definition_repeat1,
    STATE(11924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576615] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14827), 1,
      anon_sym_COMMA,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    ACTIONS(14839), 1,
      sym_rel_operator,
    ACTIONS(14841), 1,
      sym_and_operator,
    ACTIONS(14843), 1,
      sym_or_operator,
    ACTIONS(14845), 1,
      sym_assign_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(11925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [576669] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14555), 1,
      anon_sym_let,
    ACTIONS(14762), 1,
      anon_sym_and,
    STATE(11822), 1,
      aux_sym_type_definition_repeat1,
    STATE(11926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576705] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14541), 1,
      anon_sym_and,
    ACTIONS(14859), 1,
      anon_sym_let,
    STATE(11894), 1,
      aux_sym_class_definition_repeat1,
    STATE(11927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14857), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576741] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14863), 1,
      anon_sym_let,
    ACTIONS(14865), 1,
      anon_sym_DOT,
    STATE(11928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14861), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11402), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11404), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [576807] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14734), 1,
      anon_sym_COMMA,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    ACTIONS(14746), 1,
      sym_rel_operator,
    ACTIONS(14748), 1,
      sym_and_operator,
    ACTIONS(14750), 1,
      sym_or_operator,
    ACTIONS(14752), 1,
      sym_assign_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(11930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [576861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11246), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [576893] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11932), 1,
      sym_attribute,
    STATE(12766), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576941] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13092), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14867), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11933), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13090), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [576975] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14555), 1,
      anon_sym_let,
    ACTIONS(14762), 1,
      anon_sym_and,
    STATE(11920), 1,
      aux_sym_type_definition_repeat1,
    STATE(11934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577011] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13562), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14610), 1,
      anon_sym_PIPE,
    STATE(11933), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577047] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14852), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(11936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577083] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14618), 1,
      anon_sym_COMMA,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    ACTIONS(14628), 1,
      sym_rel_operator,
    ACTIONS(14630), 1,
      sym_and_operator,
    ACTIONS(14632), 1,
      sym_or_operator,
    ACTIONS(14634), 1,
      sym_assign_operator,
    ACTIONS(14870), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      sym_add_operator,
    STATE(11937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [577139] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14517), 1,
      sym_pow_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11400), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [577207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11238), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [577239] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(14758), 1,
      anon_sym_COLON2,
    ACTIONS(14872), 1,
      anon_sym_COLON_GT,
    ACTIONS(14874), 1,
      anon_sym_RPAREN,
    STATE(1780), 1,
      sym_add_operator,
    STATE(11941), 1,
      sym_attribute,
    STATE(16521), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [577297] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [577341] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14654), 1,
      sym_pow_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577377] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14654), 1,
      sym_pow_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577413] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577455] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14652), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14654), 1,
      sym_pow_operator,
    ACTIONS(14656), 1,
      sym_mult_operator,
    ACTIONS(14658), 1,
      sym_concat_operator,
    ACTIONS(14660), 1,
      sym_rel_operator,
    ACTIONS(14662), 1,
      sym_and_operator,
    ACTIONS(14664), 1,
      sym_or_operator,
    STATE(1890), 1,
      sym_add_operator,
    STATE(11946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [577505] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577547] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    ACTIONS(14803), 1,
      sym_rel_operator,
    ACTIONS(14805), 1,
      sym_and_operator,
    ACTIONS(14807), 1,
      sym_or_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [577597] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5443), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10013), 1,
      aux_sym_expression_item_repeat1,
    STATE(10662), 1,
      sym_item_attribute,
    STATE(11949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14876), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577633] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11950), 1,
      sym_attribute,
    STATE(12864), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577681] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(14878), 1,
      sym__lowercase_identifier,
    ACTIONS(14880), 1,
      anon_sym_nonrec,
    STATE(11951), 1,
      sym_attribute,
    STATE(12559), 1,
      sym__attribute,
    STATE(12614), 1,
      sym_type_binding,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14752), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(19991), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [577741] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8344), 1,
      sym__module_expression,
    STATE(8759), 1,
      sym_module_path,
    STATE(11952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577789] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11953), 1,
      sym_attribute,
    STATE(12874), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577837] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13219), 1,
      anon_sym_functor,
    ACTIONS(13221), 1,
      anon_sym_struct,
    STATE(8332), 1,
      sym__module_expression,
    STATE(8759), 1,
      sym_module_path,
    STATE(11954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577885] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11955), 1,
      sym_attribute,
    STATE(12888), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577933] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11956), 1,
      sym_attribute,
    STATE(12793), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577981] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11957), 1,
      sym_attribute,
    STATE(12917), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578029] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14827), 1,
      anon_sym_COMMA,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    ACTIONS(14839), 1,
      sym_rel_operator,
    ACTIONS(14841), 1,
      sym_and_operator,
    ACTIONS(14843), 1,
      sym_or_operator,
    ACTIONS(14845), 1,
      sym_assign_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(11958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [578083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7988), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [578115] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11960), 1,
      sym_attribute,
    STATE(12954), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578163] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14489), 1,
      anon_sym_let,
    ACTIONS(14882), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11961), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14487), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578197] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11962), 1,
      sym_attribute,
    STATE(12964), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578245] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14729), 1,
      anon_sym_else,
    STATE(10250), 1,
      sym_else_clause,
    STATE(11963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578281] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11370), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [578313] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    ACTIONS(14680), 1,
      sym_rel_operator,
    ACTIONS(14682), 1,
      sym_and_operator,
    ACTIONS(14684), 1,
      sym_or_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [578363] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578405] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14674), 1,
      sym_pow_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11442), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [578473] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14670), 1,
      anon_sym_COMMA,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    ACTIONS(14680), 1,
      sym_rel_operator,
    ACTIONS(14682), 1,
      sym_and_operator,
    ACTIONS(14684), 1,
      sym_or_operator,
    ACTIONS(14686), 1,
      sym_assign_operator,
    ACTIONS(14885), 1,
      anon_sym_SEMI,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [578529] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14674), 1,
      sym_pow_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578565] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14887), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(11971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578601] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [578645] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [578689] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    ACTIONS(14680), 1,
      sym_rel_operator,
    ACTIONS(14682), 1,
      sym_and_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [578737] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    ACTIONS(14680), 1,
      sym_rel_operator,
    ACTIONS(14682), 1,
      sym_and_operator,
    ACTIONS(14684), 1,
      sym_or_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [578787] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14670), 1,
      anon_sym_COMMA,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    ACTIONS(14680), 1,
      sym_rel_operator,
    ACTIONS(14682), 1,
      sym_and_operator,
    ACTIONS(14684), 1,
      sym_or_operator,
    ACTIONS(14686), 1,
      sym_assign_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [578841] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14576), 1,
      anon_sym_and,
    ACTIONS(14859), 1,
      anon_sym_let,
    STATE(11961), 1,
      aux_sym_class_definition_repeat1,
    STATE(11977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14857), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578877] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13526), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      anon_sym_functor,
    ACTIONS(13532), 1,
      anon_sym_struct,
    ACTIONS(13534), 1,
      sym__uppercase_identifier,
    STATE(11978), 1,
      sym_attribute,
    STATE(12662), 1,
      sym__module_expression,
    STATE(12978), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13061), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578925] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14693), 1,
      anon_sym_else,
    STATE(10295), 1,
      sym_else_clause,
    STATE(11979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578961] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14541), 1,
      anon_sym_and,
    ACTIONS(14596), 1,
      anon_sym_let,
    STATE(11927), 1,
      aux_sym_class_definition_repeat1,
    STATE(11980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14594), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578997] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14541), 1,
      anon_sym_and,
    ACTIONS(14596), 1,
      anon_sym_let,
    STATE(11894), 1,
      aux_sym_class_definition_repeat1,
    STATE(11981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14594), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11358), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [579065] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [579109] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579147] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11985), 1,
      sym_attribute,
    STATE(12833), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579195] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14670), 1,
      anon_sym_COMMA,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    ACTIONS(14680), 1,
      sym_rel_operator,
    ACTIONS(14682), 1,
      sym_and_operator,
    ACTIONS(14684), 1,
      sym_or_operator,
    ACTIONS(14686), 1,
      sym_assign_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [579249] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14670), 1,
      anon_sym_COMMA,
    ACTIONS(14672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14674), 1,
      sym_pow_operator,
    ACTIONS(14676), 1,
      sym_mult_operator,
    ACTIONS(14678), 1,
      sym_concat_operator,
    ACTIONS(14680), 1,
      sym_rel_operator,
    ACTIONS(14682), 1,
      sym_and_operator,
    ACTIONS(14684), 1,
      sym_or_operator,
    ACTIONS(14686), 1,
      sym_assign_operator,
    STATE(2050), 1,
      sym_add_operator,
    STATE(11987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [579303] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(11988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579339] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(11989), 1,
      sym_attribute,
    STATE(12750), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11420), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [579419] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14517), 1,
      sym_pow_operator,
    ACTIONS(14519), 1,
      sym_mult_operator,
    ACTIONS(14521), 1,
      sym_concat_operator,
    ACTIONS(14801), 1,
      anon_sym_COMMA,
    ACTIONS(14803), 1,
      sym_rel_operator,
    ACTIONS(14805), 1,
      sym_and_operator,
    ACTIONS(14807), 1,
      sym_or_operator,
    ACTIONS(14809), 1,
      sym_assign_operator,
    ACTIONS(14891), 1,
      anon_sym_SEMI,
    STATE(2127), 1,
      sym_add_operator,
    STATE(11991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [579475] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14827), 1,
      anon_sym_COMMA,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    ACTIONS(14839), 1,
      sym_rel_operator,
    ACTIONS(14841), 1,
      sym_and_operator,
    ACTIONS(14843), 1,
      sym_or_operator,
    ACTIONS(14845), 1,
      sym_assign_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(11992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [579529] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(11993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579567] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14827), 1,
      anon_sym_COMMA,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    ACTIONS(14839), 1,
      sym_rel_operator,
    ACTIONS(14841), 1,
      sym_and_operator,
    ACTIONS(14843), 1,
      sym_or_operator,
    ACTIONS(14845), 1,
      sym_assign_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(11994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [579621] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    ACTIONS(14839), 1,
      sym_rel_operator,
    ACTIONS(14841), 1,
      sym_and_operator,
    ACTIONS(14843), 1,
      sym_or_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(11995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [579671] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(14543), 1,
      sym__lowercase_identifier,
    ACTIONS(14893), 1,
      anon_sym_POUND,
    STATE(11996), 1,
      sym_attribute,
    STATE(12517), 1,
      sym_type_constructor_path,
    STATE(17022), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10880), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [579713] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14895), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11997), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579747] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14898), 1,
      anon_sym_PIPE,
    STATE(11997), 1,
      aux_sym__match_cases_repeat1,
    STATE(11998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579783] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14898), 1,
      anon_sym_PIPE,
    STATE(11997), 1,
      aux_sym__match_cases_repeat1,
    STATE(11999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579819] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14898), 1,
      anon_sym_PIPE,
    STATE(11998), 1,
      aux_sym__match_cases_repeat1,
    STATE(12000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579855] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    ACTIONS(14839), 1,
      sym_rel_operator,
    ACTIONS(14841), 1,
      sym_and_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(12001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [579903] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14898), 1,
      anon_sym_PIPE,
    STATE(11999), 1,
      aux_sym__match_cases_repeat1,
    STATE(12002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579939] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14618), 1,
      anon_sym_COMMA,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    ACTIONS(14628), 1,
      sym_rel_operator,
    ACTIONS(14630), 1,
      sym_and_operator,
    ACTIONS(14632), 1,
      sym_or_operator,
    ACTIONS(14634), 1,
      sym_assign_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [579993] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14701), 1,
      anon_sym_else,
    STATE(7986), 1,
      sym_else_clause,
    STATE(12004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580029] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(12005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [580073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11562), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [580105] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14618), 1,
      anon_sym_COMMA,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    ACTIONS(14628), 1,
      sym_rel_operator,
    ACTIONS(14630), 1,
      sym_and_operator,
    ACTIONS(14632), 1,
      sym_or_operator,
    ACTIONS(14634), 1,
      sym_assign_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [580159] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580197] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14618), 1,
      anon_sym_COMMA,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    ACTIONS(14628), 1,
      sym_rel_operator,
    ACTIONS(14630), 1,
      sym_and_operator,
    ACTIONS(14632), 1,
      sym_or_operator,
    ACTIONS(14634), 1,
      sym_assign_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [580251] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    ACTIONS(14628), 1,
      sym_rel_operator,
    ACTIONS(14630), 1,
      sym_and_operator,
    ACTIONS(14632), 1,
      sym_or_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [580301] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    ACTIONS(14628), 1,
      sym_rel_operator,
    ACTIONS(14630), 1,
      sym_and_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [580349] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [580393] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [580437] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14622), 1,
      sym_pow_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580473] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14622), 1,
      sym_pow_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580509] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580551] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14622), 1,
      sym_pow_operator,
    ACTIONS(14624), 1,
      sym_mult_operator,
    ACTIONS(14626), 1,
      sym_concat_operator,
    ACTIONS(14628), 1,
      sym_rel_operator,
    ACTIONS(14630), 1,
      sym_and_operator,
    ACTIONS(14632), 1,
      sym_or_operator,
    STATE(1814), 1,
      sym_add_operator,
    STATE(12017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [580601] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(12018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [580645] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14833), 1,
      sym_pow_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(12019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580681] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14833), 1,
      sym_pow_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(12020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11182), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [580749] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13207), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14764), 1,
      anon_sym_PIPE,
    STATE(12022), 1,
      sym_attribute,
    STATE(12030), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580785] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(12023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580827] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14831), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14833), 1,
      sym_pow_operator,
    ACTIONS(14835), 1,
      sym_mult_operator,
    ACTIONS(14837), 1,
      sym_concat_operator,
    ACTIONS(14839), 1,
      sym_rel_operator,
    ACTIONS(14841), 1,
      sym_and_operator,
    ACTIONS(14843), 1,
      sym_or_operator,
    STATE(1987), 1,
      sym_add_operator,
    STATE(12024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [580877] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(12025), 1,
      sym_attribute,
    STATE(12901), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580925] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14900), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12026), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580959] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13612), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(12027), 1,
      sym_attribute,
    STATE(12855), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [581007] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14903), 1,
      anon_sym_PIPE,
    STATE(12026), 1,
      aux_sym__match_cases_repeat1,
    STATE(12028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581043] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13562), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14764), 1,
      anon_sym_PIPE,
    STATE(12029), 1,
      sym_attribute,
    STATE(12030), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581079] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13092), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14905), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12030), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13090), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11362), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [581145] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(13215), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_struct,
    ACTIONS(13542), 1,
      anon_sym_functor,
    STATE(8759), 1,
      sym_module_path,
    STATE(9330), 1,
      sym__module_expression,
    STATE(12032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8806), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [581193] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14903), 1,
      anon_sym_PIPE,
    STATE(12026), 1,
      aux_sym__match_cases_repeat1,
    STATE(12033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581229] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14903), 1,
      anon_sym_PIPE,
    STATE(12028), 1,
      aux_sym__match_cases_repeat1,
    STATE(12034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581265] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14903), 1,
      anon_sym_PIPE,
    STATE(12033), 1,
      aux_sym__match_cases_repeat1,
    STATE(12035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581301] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7916), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7918), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [581333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11170), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11172), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [581365] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14908), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12038), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581399] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14911), 1,
      anon_sym_PIPE,
    STATE(12038), 1,
      aux_sym__match_cases_repeat1,
    STATE(12039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581435] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10093), 1,
      anon_sym_PIPE,
    ACTIONS(14703), 1,
      anon_sym_COMMA,
    ACTIONS(14707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14709), 1,
      sym_pow_operator,
    ACTIONS(14711), 1,
      sym_mult_operator,
    ACTIONS(14713), 1,
      sym_concat_operator,
    ACTIONS(14715), 1,
      sym_rel_operator,
    ACTIONS(14717), 1,
      sym_and_operator,
    ACTIONS(14719), 1,
      sym_or_operator,
    ACTIONS(14721), 1,
      sym_assign_operator,
    STATE(1972), 1,
      sym_add_operator,
    STATE(12040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [581489] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14816), 1,
      anon_sym_PIPE,
    STATE(11870), 1,
      aux_sym__match_cases_repeat1,
    STATE(12041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11290), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11292), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [581557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11296), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11298), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [581589] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11872), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14913), 1,
      anon_sym_STAR,
    STATE(12044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581623] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14816), 1,
      anon_sym_PIPE,
    STATE(12045), 1,
      sym_attribute,
    STATE(12056), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581659] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14911), 1,
      anon_sym_PIPE,
    STATE(12038), 1,
      aux_sym__match_cases_repeat1,
    STATE(12046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581695] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14911), 1,
      anon_sym_PIPE,
    STATE(12039), 1,
      aux_sym__match_cases_repeat1,
    STATE(12047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581731] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14915), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12048), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581765] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2127), 1,
      sym_add_operator,
    STATE(12049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581799] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(14918), 1,
      sym__lowercase_identifier,
    ACTIONS(14920), 1,
      anon_sym_nonrec,
    STATE(11818), 1,
      sym_type_binding,
    STATE(12050), 1,
      sym_attribute,
    STATE(12545), 1,
      sym__attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14805), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [581859] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14911), 1,
      anon_sym_PIPE,
    STATE(12046), 1,
      aux_sym__match_cases_repeat1,
    STATE(12051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581895] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12335), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12337), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14477), 1,
      anon_sym_constraint,
    ACTIONS(14479), 1,
      anon_sym_val,
    ACTIONS(14483), 1,
      anon_sym_inherit,
    ACTIONS(14485), 1,
      anon_sym_method,
    ACTIONS(14922), 1,
      anon_sym_end,
    STATE(11850), 1,
      aux_sym_class_body_type_repeat1,
    STATE(12052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13246), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13247), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [581945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11466), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [581977] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14887), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(12054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582013] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_else,
    STATE(8013), 1,
      sym_else_clause,
    STATE(12055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582049] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14816), 1,
      anon_sym_PIPE,
    STATE(12048), 1,
      aux_sym__match_cases_repeat1,
    STATE(12056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582085] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    ACTIONS(14930), 1,
      sym_concat_operator,
    ACTIONS(14932), 1,
      sym_rel_operator,
    ACTIONS(14934), 1,
      sym_and_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [582132] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582165] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14936), 1,
      anon_sym_COMMA,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    ACTIONS(14946), 1,
      sym_rel_operator,
    ACTIONS(14948), 1,
      sym_and_operator,
    ACTIONS(14950), 1,
      sym_or_operator,
    ACTIONS(14952), 1,
      sym_assign_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [582216] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [582269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(14974), 1,
      anon_sym_DASH_GT,
    ACTIONS(14976), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582304] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14978), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12062), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582337] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_PIPE,
    STATE(12062), 1,
      aux_sym__match_cases_repeat1,
    STATE(12063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582372] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(14974), 1,
      anon_sym_DASH_GT,
    ACTIONS(14985), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14983), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582407] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_done,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14987), 1,
      anon_sym_COMMA,
    ACTIONS(14989), 1,
      anon_sym_SEMI,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    ACTIONS(14999), 1,
      sym_rel_operator,
    ACTIONS(15001), 1,
      sym_and_operator,
    ACTIONS(15003), 1,
      sym_or_operator,
    ACTIONS(15005), 1,
      sym_assign_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [582462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582495] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15007), 1,
      anon_sym_RBRACK,
    ACTIONS(15009), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12067), 1,
      sym_attribute,
    STATE(16056), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [582550] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    ACTIONS(15019), 1,
      sym_rel_operator,
    ACTIONS(15021), 1,
      sym_and_operator,
    ACTIONS(15023), 1,
      sym_or_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [582597] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [582650] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582687] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [582740] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [582789] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582830] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15013), 1,
      sym_pow_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582865] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [582912] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15013), 1,
      sym_pow_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582947] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [582990] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14936), 1,
      anon_sym_COMMA,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    ACTIONS(14946), 1,
      sym_rel_operator,
    ACTIONS(14948), 1,
      sym_and_operator,
    ACTIONS(14950), 1,
      sym_or_operator,
    ACTIONS(14952), 1,
      sym_assign_operator,
    ACTIONS(15025), 1,
      anon_sym_SEMI,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583043] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [583086] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(15027), 1,
      anon_sym_COMMA,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    ACTIONS(15035), 1,
      sym_concat_operator,
    ACTIONS(15037), 1,
      sym_rel_operator,
    ACTIONS(15039), 1,
      sym_and_operator,
    ACTIONS(15041), 1,
      sym_or_operator,
    ACTIONS(15043), 1,
      sym_assign_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583139] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_end,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    ACTIONS(14930), 1,
      sym_concat_operator,
    ACTIONS(14932), 1,
      sym_rel_operator,
    ACTIONS(14934), 1,
      sym_and_operator,
    ACTIONS(15045), 1,
      anon_sym_COMMA,
    ACTIONS(15047), 1,
      anon_sym_SEMI,
    ACTIONS(15049), 1,
      sym_or_operator,
    ACTIONS(15051), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583194] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15053), 1,
      anon_sym_SEMI,
    ACTIONS(15055), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12082), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583249] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14958), 1,
      sym_pow_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [583284] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14958), 1,
      sym_pow_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [583319] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583360] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [583409] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(15027), 1,
      anon_sym_COMMA,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    ACTIONS(15035), 1,
      sym_concat_operator,
    ACTIONS(15037), 1,
      sym_rel_operator,
    ACTIONS(15039), 1,
      sym_and_operator,
    ACTIONS(15041), 1,
      sym_or_operator,
    ACTIONS(15043), 1,
      sym_assign_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583462] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [583505] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [583548] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      sym_or_operator,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    ACTIONS(15019), 1,
      sym_rel_operator,
    ACTIONS(15021), 1,
      sym_and_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [583595] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    ACTIONS(15019), 1,
      sym_rel_operator,
    ACTIONS(15021), 1,
      sym_and_operator,
    ACTIONS(15023), 1,
      sym_or_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [583642] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    ACTIONS(15019), 1,
      sym_rel_operator,
    ACTIONS(15021), 1,
      sym_and_operator,
    ACTIONS(15023), 1,
      sym_or_operator,
    ACTIONS(15057), 1,
      anon_sym_COMMA,
    ACTIONS(15059), 1,
      sym_assign_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [583693] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583730] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    ACTIONS(15019), 1,
      sym_rel_operator,
    ACTIONS(15021), 1,
      sym_and_operator,
    ACTIONS(15023), 1,
      sym_or_operator,
    ACTIONS(15057), 1,
      anon_sym_COMMA,
    ACTIONS(15059), 1,
      sym_assign_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [583781] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15061), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(12095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583816] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15063), 1,
      anon_sym_COLON_GT,
    ACTIONS(15065), 1,
      anon_sym_EQ,
    ACTIONS(15067), 1,
      anon_sym_COLON2,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12096), 1,
      sym_attribute,
    STATE(12655), 1,
      sym__typed,
    STATE(12823), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15069), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [583859] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583896] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15027), 1,
      anon_sym_COMMA,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    ACTIONS(15035), 1,
      sym_concat_operator,
    ACTIONS(15037), 1,
      sym_rel_operator,
    ACTIONS(15039), 1,
      sym_and_operator,
    ACTIONS(15041), 1,
      sym_or_operator,
    ACTIONS(15043), 1,
      sym_assign_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583949] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15071), 1,
      anon_sym_DQUOTE,
    STATE(12099), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(20023), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [583990] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    ACTIONS(15035), 1,
      sym_concat_operator,
    ACTIONS(15037), 1,
      sym_rel_operator,
    ACTIONS(15039), 1,
      sym_and_operator,
    ACTIONS(15041), 1,
      sym_or_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [584039] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    ACTIONS(15035), 1,
      sym_concat_operator,
    ACTIONS(15037), 1,
      sym_rel_operator,
    ACTIONS(15039), 1,
      sym_and_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [584086] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15079), 1,
      anon_sym_SEMI,
    ACTIONS(15081), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12102), 1,
      sym_attribute,
    STATE(15879), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584141] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15083), 1,
      anon_sym_RBRACK,
    ACTIONS(15085), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12103), 1,
      sym_attribute,
    STATE(15883), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584196] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15067), 1,
      anon_sym_COLON2,
    ACTIONS(15087), 1,
      anon_sym_COLON_GT,
    ACTIONS(15089), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12104), 1,
      sym_attribute,
    STATE(12668), 1,
      sym__typed,
    STATE(12768), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15091), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [584239] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    ACTIONS(15019), 1,
      sym_rel_operator,
    ACTIONS(15021), 1,
      sym_and_operator,
    ACTIONS(15023), 1,
      sym_or_operator,
    ACTIONS(15057), 1,
      anon_sym_COMMA,
    ACTIONS(15059), 1,
      sym_assign_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [584290] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15093), 1,
      anon_sym_DQUOTE,
    STATE(12106), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18499), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584331] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    ACTIONS(15035), 1,
      sym_concat_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [584374] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      sym_pow_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [584409] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15095), 1,
      anon_sym_DQUOTE,
    STATE(12109), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17958), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584450] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(12110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584485] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(14974), 1,
      anon_sym_DASH_GT,
    ACTIONS(15101), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15099), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [584520] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_PIPE,
    STATE(12062), 1,
      aux_sym__match_cases_repeat1,
    STATE(12112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584555] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_PIPE,
    STATE(12063), 1,
      aux_sym__match_cases_repeat1,
    STATE(12113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584590] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15103), 1,
      anon_sym_DQUOTE,
    STATE(12114), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17474), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584631] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15105), 1,
      anon_sym_RBRACK,
    ACTIONS(15107), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12115), 1,
      sym_attribute,
    STATE(15675), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584686] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15109), 1,
      anon_sym_COMMA,
    ACTIONS(15111), 1,
      anon_sym_SEMI,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    ACTIONS(15121), 1,
      sym_rel_operator,
    ACTIONS(15123), 1,
      sym_and_operator,
    ACTIONS(15125), 1,
      sym_or_operator,
    ACTIONS(15127), 1,
      sym_assign_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584739] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      sym_pow_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [584774] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584815] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584848] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    ACTIONS(15035), 1,
      sym_concat_operator,
    ACTIONS(15037), 1,
      sym_rel_operator,
    ACTIONS(15039), 1,
      sym_and_operator,
    ACTIONS(15041), 1,
      sym_or_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [584897] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11696), 1,
      anon_sym_COLON2,
    STATE(12121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [584930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584963] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14734), 1,
      anon_sym_COMMA,
    ACTIONS(14738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14740), 1,
      sym_pow_operator,
    ACTIONS(14742), 1,
      sym_mult_operator,
    ACTIONS(14744), 1,
      sym_concat_operator,
    ACTIONS(14746), 1,
      sym_rel_operator,
    ACTIONS(14748), 1,
      sym_and_operator,
    ACTIONS(14750), 1,
      sym_or_operator,
    ACTIONS(14752), 1,
      sym_assign_operator,
    ACTIONS(15129), 1,
      anon_sym_SEMI,
    STATE(2275), 1,
      sym_add_operator,
    STATE(12123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585049] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15131), 1,
      anon_sym_SEMI,
    ACTIONS(15133), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12125), 1,
      sym_attribute,
    STATE(15679), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585104] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15135), 1,
      anon_sym_PIPE,
    STATE(12126), 1,
      sym_attribute,
    STATE(12180), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585139] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15137), 1,
      anon_sym_RBRACK,
    ACTIONS(15139), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12127), 1,
      sym_attribute,
    STATE(15529), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585194] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15109), 1,
      anon_sym_COMMA,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    ACTIONS(15121), 1,
      sym_rel_operator,
    ACTIONS(15123), 1,
      sym_and_operator,
    ACTIONS(15125), 1,
      sym_or_operator,
    ACTIONS(15127), 1,
      sym_assign_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [585245] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15141), 1,
      anon_sym_DASH_GT,
    STATE(12129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [585278] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15143), 1,
      anon_sym_DQUOTE,
    STATE(12130), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19510), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [585319] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15145), 1,
      anon_sym_DQUOTE,
    STATE(12131), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(20046), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [585360] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15147), 1,
      anon_sym_DQUOTE,
    STATE(12132), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17599), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [585401] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15149), 1,
      anon_sym_SEMI,
    ACTIONS(15151), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12133), 1,
      sym_attribute,
    STATE(15511), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585456] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15153), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(12134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585491] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15155), 1,
      anon_sym_RBRACK,
    ACTIONS(15157), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12135), 1,
      sym_attribute,
    STATE(14947), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15159), 1,
      anon_sym_let,
    STATE(12136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10367), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585577] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15161), 1,
      anon_sym_RBRACK,
    ACTIONS(15163), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12137), 1,
      sym_attribute,
    STATE(16218), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585632] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15165), 1,
      anon_sym_SEMI,
    ACTIONS(15167), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12138), 1,
      sym_attribute,
    STATE(14954), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585687] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_do,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(15169), 1,
      anon_sym_COMMA,
    ACTIONS(15171), 1,
      anon_sym_SEMI,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    ACTIONS(15179), 1,
      sym_concat_operator,
    ACTIONS(15181), 1,
      sym_rel_operator,
    ACTIONS(15183), 1,
      sym_and_operator,
    ACTIONS(15185), 1,
      sym_or_operator,
    ACTIONS(15187), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585742] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15189), 1,
      anon_sym_SEMI,
    ACTIONS(15191), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12140), 1,
      sym_attribute,
    STATE(16236), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585797] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15193), 1,
      anon_sym_SEMI,
    ACTIONS(15195), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12141), 1,
      sym_attribute,
    STATE(15552), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585852] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_with,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(15197), 1,
      anon_sym_COMMA,
    ACTIONS(15199), 1,
      anon_sym_SEMI,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    ACTIONS(15207), 1,
      sym_concat_operator,
    ACTIONS(15209), 1,
      sym_rel_operator,
    ACTIONS(15211), 1,
      sym_and_operator,
    ACTIONS(15213), 1,
      sym_or_operator,
    ACTIONS(15215), 1,
      sym_assign_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585907] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_PIPE,
    STATE(12112), 1,
      aux_sym__match_cases_repeat1,
    STATE(12143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585942] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15217), 1,
      anon_sym_DQUOTE,
    STATE(12144), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18501), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [585983] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11770), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15219), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12145), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586016] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15222), 1,
      anon_sym_RBRACK,
    ACTIONS(15224), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12146), 1,
      sym_attribute,
    STATE(15539), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586071] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    ACTIONS(14999), 1,
      sym_rel_operator,
    ACTIONS(15001), 1,
      sym_and_operator,
    ACTIONS(15003), 1,
      sym_or_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [586120] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15226), 1,
      anon_sym_DQUOTE,
    STATE(12148), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18596), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [586161] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [586202] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15228), 1,
      anon_sym_DQUOTE,
    STATE(12150), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17934), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [586243] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14993), 1,
      sym_pow_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [586278] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14974), 1,
      anon_sym_DASH_GT,
    STATE(12152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586311] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [586354] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [586397] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    ACTIONS(14999), 1,
      sym_rel_operator,
    ACTIONS(15001), 1,
      sym_and_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [586444] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15230), 1,
      anon_sym_RBRACK,
    ACTIONS(15232), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12156), 1,
      sym_attribute,
    STATE(15998), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586499] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15234), 1,
      anon_sym_RBRACK,
    ACTIONS(15236), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12157), 1,
      sym_attribute,
    STATE(15771), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586554] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    ACTIONS(15179), 1,
      sym_concat_operator,
    ACTIONS(15181), 1,
      sym_rel_operator,
    ACTIONS(15183), 1,
      sym_and_operator,
    ACTIONS(15185), 1,
      sym_or_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [586603] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15238), 1,
      anon_sym_SEMI,
    ACTIONS(15240), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12159), 1,
      sym_attribute,
    STATE(15983), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586658] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [586699] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15175), 1,
      sym_pow_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [586734] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15242), 1,
      anon_sym_SEMI,
    ACTIONS(15244), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12162), 1,
      sym_attribute,
    STATE(16143), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586789] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15246), 1,
      anon_sym_SEMI,
    ACTIONS(15248), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12163), 1,
      sym_attribute,
    STATE(15669), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586844] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12895), 1,
      anon_sym_STAR,
    STATE(12145), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(12164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586879] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    ACTIONS(14999), 1,
      sym_rel_operator,
    ACTIONS(15001), 1,
      sym_and_operator,
    ACTIONS(15003), 1,
      sym_or_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [586928] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14987), 1,
      anon_sym_COMMA,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    ACTIONS(14999), 1,
      sym_rel_operator,
    ACTIONS(15001), 1,
      sym_and_operator,
    ACTIONS(15003), 1,
      sym_or_operator,
    ACTIONS(15005), 1,
      sym_assign_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586981] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587018] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14987), 1,
      anon_sym_COMMA,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    ACTIONS(14999), 1,
      sym_rel_operator,
    ACTIONS(15001), 1,
      sym_and_operator,
    ACTIONS(15003), 1,
      sym_or_operator,
    ACTIONS(15005), 1,
      sym_assign_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8060), 1,
      anon_sym_let,
    STATE(12169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587102] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14993), 1,
      sym_pow_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [587137] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12970), 1,
      anon_sym_STAR,
    STATE(12171), 1,
      sym_attribute,
    STATE(12172), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587172] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11770), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15250), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12172), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11768), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587205] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15253), 1,
      anon_sym_DQUOTE,
    STATE(12173), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19885), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [587246] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15255), 1,
      anon_sym_RBRACK,
    ACTIONS(15257), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12174), 1,
      sym_attribute,
    STATE(15094), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587301] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15135), 1,
      anon_sym_PIPE,
    STATE(12175), 1,
      sym_attribute,
    STATE(12276), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587336] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15259), 1,
      anon_sym_RBRACK,
    ACTIONS(15261), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12176), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587391] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15175), 1,
      sym_pow_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [587426] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15263), 1,
      anon_sym_SEMI,
    ACTIONS(15265), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12178), 1,
      sym_attribute,
    STATE(15973), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587481] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15267), 1,
      anon_sym_RBRACK,
    ACTIONS(15269), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12179), 1,
      sym_attribute,
    STATE(15041), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587536] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15135), 1,
      anon_sym_PIPE,
    STATE(12180), 1,
      sym_attribute,
    STATE(12277), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587571] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15271), 1,
      anon_sym_RBRACK,
    ACTIONS(15273), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12181), 1,
      sym_attribute,
    STATE(15977), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587626] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    ACTIONS(15179), 1,
      sym_concat_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [587669] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    ACTIONS(15035), 1,
      sym_concat_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [587712] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14987), 1,
      anon_sym_COMMA,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    ACTIONS(14999), 1,
      sym_rel_operator,
    ACTIONS(15001), 1,
      sym_and_operator,
    ACTIONS(15003), 1,
      sym_or_operator,
    ACTIONS(15005), 1,
      sym_assign_operator,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587765] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15275), 1,
      anon_sym_DQUOTE,
    STATE(12185), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17424), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [587806] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15277), 1,
      anon_sym_SEMI,
    ACTIONS(15279), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12186), 1,
      sym_attribute,
    STATE(15604), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587861] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15281), 1,
      anon_sym_SEMI,
    ACTIONS(15283), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12187), 1,
      sym_attribute,
    STATE(15886), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587916] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15285), 1,
      anon_sym_SEMI,
    ACTIONS(15287), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12188), 1,
      sym_attribute,
    STATE(14973), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8136), 1,
      anon_sym_let,
    STATE(12189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588002] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15289), 1,
      anon_sym_SEMI,
    ACTIONS(15291), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12190), 1,
      sym_attribute,
    STATE(15048), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588057] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15293), 1,
      anon_sym_RBRACK,
    ACTIONS(15295), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12191), 1,
      sym_attribute,
    STATE(14884), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588112] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15297), 1,
      anon_sym_RBRACK,
    ACTIONS(15299), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12192), 1,
      sym_attribute,
    STATE(15602), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588167] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15301), 1,
      anon_sym_DQUOTE,
    STATE(12193), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18082), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588208] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    ACTIONS(15179), 1,
      sym_concat_operator,
    ACTIONS(15181), 1,
      sym_rel_operator,
    ACTIONS(15183), 1,
      sym_and_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [588255] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15303), 1,
      anon_sym_RBRACK,
    ACTIONS(15305), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12195), 1,
      sym_attribute,
    STATE(14956), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588310] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15307), 1,
      anon_sym_SEMI,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588365] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15309), 1,
      anon_sym_DQUOTE,
    STATE(12197), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19067), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588406] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15311), 1,
      anon_sym_RBRACK,
    ACTIONS(15313), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12198), 1,
      sym_attribute,
    STATE(15878), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588461] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15315), 1,
      anon_sym_SEMI,
    ACTIONS(15317), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12199), 1,
      sym_attribute,
    STATE(15393), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588516] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15319), 1,
      anon_sym_RBRACK,
    ACTIONS(15321), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12200), 1,
      sym_attribute,
    STATE(15391), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588571] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15323), 1,
      anon_sym_RBRACK,
    ACTIONS(15325), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12201), 1,
      sym_attribute,
    STATE(15385), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588626] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15327), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12202), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10087), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10149), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10147), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588752] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15330), 1,
      anon_sym_DQUOTE,
    STATE(12206), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19576), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588793] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15332), 1,
      anon_sym_DQUOTE,
    STATE(12207), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19922), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588834] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15334), 1,
      anon_sym_PIPE,
    STATE(12202), 1,
      aux_sym__match_cases_repeat1,
    STATE(12208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588869] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15153), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(12209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588904] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15336), 1,
      anon_sym_DQUOTE,
    STATE(12210), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18693), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588945] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    ACTIONS(15179), 1,
      sym_concat_operator,
    ACTIONS(15181), 1,
      sym_rel_operator,
    ACTIONS(15183), 1,
      sym_and_operator,
    ACTIONS(15185), 1,
      sym_or_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [588994] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15338), 1,
      anon_sym_SEMI,
    ACTIONS(15340), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12212), 1,
      sym_attribute,
    STATE(15380), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589049] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15342), 1,
      anon_sym_DQUOTE,
    STATE(12213), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18468), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [589121] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15344), 1,
      anon_sym_DQUOTE,
    STATE(12215), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19032), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589162] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15346), 1,
      anon_sym_SEMI,
    ACTIONS(15348), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12216), 1,
      sym_attribute,
    STATE(15038), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589217] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15169), 1,
      anon_sym_COMMA,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    ACTIONS(15179), 1,
      sym_concat_operator,
    ACTIONS(15181), 1,
      sym_rel_operator,
    ACTIONS(15183), 1,
      sym_and_operator,
    ACTIONS(15185), 1,
      sym_or_operator,
    ACTIONS(15187), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589270] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15350), 1,
      anon_sym_SEMI,
    ACTIONS(15352), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12218), 1,
      sym_attribute,
    STATE(14890), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589325] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15354), 1,
      anon_sym_RBRACK,
    ACTIONS(15356), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12219), 1,
      sym_attribute,
    STATE(16076), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589380] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15358), 1,
      anon_sym_SEMI,
    ACTIONS(15360), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12220), 1,
      sym_attribute,
    STATE(16046), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589435] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_then,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    ACTIONS(15027), 1,
      anon_sym_COMMA,
    ACTIONS(15029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15031), 1,
      sym_pow_operator,
    ACTIONS(15033), 1,
      sym_mult_operator,
    ACTIONS(15035), 1,
      sym_concat_operator,
    ACTIONS(15037), 1,
      sym_rel_operator,
    ACTIONS(15039), 1,
      sym_and_operator,
    ACTIONS(15041), 1,
      sym_or_operator,
    ACTIONS(15043), 1,
      sym_assign_operator,
    ACTIONS(15362), 1,
      anon_sym_SEMI,
    STATE(2251), 1,
      sym_add_operator,
    STATE(12221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589490] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15364), 1,
      anon_sym_DQUOTE,
    STATE(12222), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19702), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589531] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(15101), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15141), 1,
      anon_sym_DASH_GT,
    STATE(12223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15099), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589566] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15366), 1,
      anon_sym_SEMI,
    ACTIONS(15368), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12224), 1,
      sym_attribute,
    STATE(15521), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589621] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15370), 1,
      anon_sym_RBRACK,
    ACTIONS(15372), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12225), 1,
      sym_attribute,
    STATE(15517), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589676] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15374), 1,
      anon_sym_RBRACK,
    ACTIONS(15376), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12226), 1,
      sym_attribute,
    STATE(14934), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589731] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15380), 1,
      anon_sym_let,
    ACTIONS(15382), 1,
      anon_sym_in,
    STATE(12227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15378), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589764] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15384), 1,
      anon_sym_DQUOTE,
    STATE(12228), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18672), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589805] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [589842] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15386), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(12230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [589877] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15388), 1,
      anon_sym_SEMI,
    ACTIONS(15390), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12231), 1,
      sym_attribute,
    STATE(15122), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589932] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15392), 1,
      anon_sym_RBRACK,
    ACTIONS(15394), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12232), 1,
      sym_attribute,
    STATE(15135), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589987] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15396), 1,
      anon_sym_DQUOTE,
    STATE(12233), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19264), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590061] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15398), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(12235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590096] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15334), 1,
      anon_sym_PIPE,
    STATE(12202), 1,
      aux_sym__match_cases_repeat1,
    STATE(12236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590131] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15400), 1,
      anon_sym_RBRACK,
    ACTIONS(15402), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12237), 1,
      sym_attribute,
    STATE(15822), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590186] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15334), 1,
      anon_sym_PIPE,
    STATE(12208), 1,
      aux_sym__match_cases_repeat1,
    STATE(12238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590221] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15404), 1,
      anon_sym_SEMI,
    ACTIONS(15406), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12239), 1,
      sym_attribute,
    STATE(15923), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590276] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15408), 1,
      anon_sym_SEMI,
    ACTIONS(15410), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12240), 1,
      sym_attribute,
    STATE(15142), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590331] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(15169), 1,
      anon_sym_COMMA,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    ACTIONS(15179), 1,
      sym_concat_operator,
    ACTIONS(15181), 1,
      sym_rel_operator,
    ACTIONS(15183), 1,
      sym_and_operator,
    ACTIONS(15185), 1,
      sym_or_operator,
    ACTIONS(15187), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590384] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15412), 1,
      anon_sym_DQUOTE,
    STATE(12242), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18836), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590425] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15414), 1,
      anon_sym_SEMI,
    ACTIONS(15416), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12243), 1,
      sym_attribute,
    STATE(15358), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7978), 1,
      anon_sym_let,
    STATE(12244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590511] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(15169), 1,
      anon_sym_COMMA,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    ACTIONS(15179), 1,
      sym_concat_operator,
    ACTIONS(15181), 1,
      sym_rel_operator,
    ACTIONS(15183), 1,
      sym_and_operator,
    ACTIONS(15185), 1,
      sym_or_operator,
    ACTIONS(15187), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590564] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15418), 1,
      anon_sym_RBRACK,
    ACTIONS(15420), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12246), 1,
      sym_attribute,
    STATE(16103), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590619] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    ACTIONS(15019), 1,
      sym_rel_operator,
    ACTIONS(15021), 1,
      sym_and_operator,
    ACTIONS(15023), 1,
      sym_or_operator,
    ACTIONS(15057), 1,
      anon_sym_COMMA,
    ACTIONS(15059), 1,
      sym_assign_operator,
    ACTIONS(15422), 1,
      anon_sym_SEMI,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590672] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15424), 1,
      anon_sym_SEMI,
    ACTIONS(15426), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12248), 1,
      sym_attribute,
    STATE(16108), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590727] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15428), 1,
      anon_sym_RBRACK,
    ACTIONS(15430), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12249), 1,
      sym_attribute,
    STATE(16038), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590782] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15432), 1,
      anon_sym_SEMI,
    ACTIONS(15434), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12250), 1,
      sym_attribute,
    STATE(14959), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590837] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15436), 1,
      anon_sym_RBRACK,
    ACTIONS(15438), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12251), 1,
      sym_attribute,
    STATE(15350), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590892] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    ACTIONS(15207), 1,
      sym_concat_operator,
    ACTIONS(15209), 1,
      sym_rel_operator,
    ACTIONS(15211), 1,
      sym_and_operator,
    ACTIONS(15213), 1,
      sym_or_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [590941] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590982] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15203), 1,
      sym_pow_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [591017] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15334), 1,
      anon_sym_PIPE,
    STATE(12236), 1,
      aux_sym__match_cases_repeat1,
    STATE(12255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591052] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15203), 1,
      sym_pow_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [591087] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15386), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(12257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591122] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15440), 1,
      anon_sym_RBRACK,
    ACTIONS(15442), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12258), 1,
      sym_attribute,
    STATE(14940), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591177] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    ACTIONS(14946), 1,
      sym_rel_operator,
    ACTIONS(14948), 1,
      sym_and_operator,
    ACTIONS(14950), 1,
      sym_or_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [591224] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15444), 1,
      anon_sym_DQUOTE,
    STATE(12260), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17387), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591265] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15446), 1,
      anon_sym_DQUOTE,
    STATE(12261), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19871), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591306] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15448), 1,
      anon_sym_DQUOTE,
    STATE(12262), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17947), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591347] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15450), 1,
      anon_sym_DQUOTE,
    STATE(12263), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19168), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591388] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    ACTIONS(15207), 1,
      sym_concat_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [591431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15454), 1,
      anon_sym_let,
    STATE(12265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15452), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591462] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15456), 1,
      anon_sym_DQUOTE,
    STATE(12266), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(20053), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591503] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15458), 1,
      anon_sym_SEMI,
    ACTIONS(15460), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12267), 1,
      sym_attribute,
    STATE(16114), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591558] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15462), 1,
      anon_sym_SEMI,
    ACTIONS(15464), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12268), 1,
      sym_attribute,
    STATE(15808), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591613] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15466), 1,
      anon_sym_SEMI,
    ACTIONS(15468), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12269), 1,
      sym_attribute,
    STATE(16017), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591668] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15067), 1,
      anon_sym_COLON2,
    ACTIONS(15470), 1,
      anon_sym_COLON_GT,
    ACTIONS(15472), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12270), 1,
      sym_attribute,
    STATE(12657), 1,
      sym__typed,
    STATE(12884), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15474), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591711] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15476), 1,
      anon_sym_RBRACK,
    ACTIONS(15478), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12271), 1,
      sym_attribute,
    STATE(16119), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591766] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591799] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15480), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(12273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591834] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15482), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(12274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591869] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15484), 1,
      anon_sym_DQUOTE,
    STATE(12275), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19518), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591910] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15135), 1,
      anon_sym_PIPE,
    STATE(12276), 1,
      sym_attribute,
    STATE(12277), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15486), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12277), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591978] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    ACTIONS(15207), 1,
      sym_concat_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [592021] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15489), 1,
      anon_sym_PIPE,
    STATE(12279), 1,
      sym_attribute,
    STATE(12282), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592056] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15491), 1,
      anon_sym_DQUOTE,
    STATE(12280), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18912), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [592097] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15489), 1,
      anon_sym_PIPE,
    STATE(12281), 1,
      sym_attribute,
    STATE(12284), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592132] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15489), 1,
      anon_sym_PIPE,
    STATE(12282), 1,
      sym_attribute,
    STATE(12287), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592167] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    ACTIONS(15207), 1,
      sym_concat_operator,
    ACTIONS(15209), 1,
      sym_rel_operator,
    ACTIONS(15211), 1,
      sym_and_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [592214] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15489), 1,
      anon_sym_PIPE,
    STATE(12284), 1,
      sym_attribute,
    STATE(12287), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592249] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    ACTIONS(15207), 1,
      sym_concat_operator,
    ACTIONS(15209), 1,
      sym_rel_operator,
    ACTIONS(15211), 1,
      sym_and_operator,
    ACTIONS(15213), 1,
      sym_or_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [592298] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592331] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15493), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12287), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592364] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15496), 1,
      anon_sym_RBRACK,
    ACTIONS(15498), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12288), 1,
      sym_attribute,
    STATE(15681), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592419] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15500), 1,
      anon_sym_RBRACK,
    ACTIONS(15502), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12289), 1,
      sym_attribute,
    STATE(15229), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592474] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15504), 1,
      anon_sym_COMMA,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    ACTIONS(15514), 1,
      sym_rel_operator,
    ACTIONS(15516), 1,
      sym_and_operator,
    ACTIONS(15518), 1,
      sym_or_operator,
    ACTIONS(15520), 1,
      sym_assign_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [592525] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(12291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592560] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15522), 1,
      anon_sym_RBRACK,
    ACTIONS(15524), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12292), 1,
      sym_attribute,
    STATE(15697), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592615] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15526), 1,
      anon_sym_SEMI,
    ACTIONS(15528), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12293), 1,
      sym_attribute,
    STATE(15236), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592670] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15530), 1,
      anon_sym_SEMI,
    ACTIONS(15532), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12294), 1,
      sym_attribute,
    STATE(15726), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592725] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(15197), 1,
      anon_sym_COMMA,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    ACTIONS(15207), 1,
      sym_concat_operator,
    ACTIONS(15209), 1,
      sym_rel_operator,
    ACTIONS(15211), 1,
      sym_and_operator,
    ACTIONS(15213), 1,
      sym_or_operator,
    ACTIONS(15215), 1,
      sym_assign_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592778] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592815] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15534), 1,
      anon_sym_SEMI,
    ACTIONS(15536), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12297), 1,
      sym_attribute,
    STATE(15710), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592870] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(15197), 1,
      anon_sym_COMMA,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    ACTIONS(15207), 1,
      sym_concat_operator,
    ACTIONS(15209), 1,
      sym_rel_operator,
    ACTIONS(15211), 1,
      sym_and_operator,
    ACTIONS(15213), 1,
      sym_or_operator,
    ACTIONS(15215), 1,
      sym_assign_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592923] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(15197), 1,
      anon_sym_COMMA,
    ACTIONS(15201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15203), 1,
      sym_pow_operator,
    ACTIONS(15205), 1,
      sym_mult_operator,
    ACTIONS(15207), 1,
      sym_concat_operator,
    ACTIONS(15209), 1,
      sym_rel_operator,
    ACTIONS(15211), 1,
      sym_and_operator,
    ACTIONS(15213), 1,
      sym_or_operator,
    ACTIONS(15215), 1,
      sym_assign_operator,
    STATE(2066), 1,
      sym_add_operator,
    STATE(12299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592976] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    ACTIONS(14930), 1,
      sym_concat_operator,
    ACTIONS(14932), 1,
      sym_rel_operator,
    ACTIONS(14934), 1,
      sym_and_operator,
    ACTIONS(15049), 1,
      sym_or_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [593025] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15538), 1,
      anon_sym_DQUOTE,
    STATE(12301), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18318), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593066] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_DQUOTE,
    STATE(12302), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19132), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593107] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10179), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593148] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15542), 1,
      anon_sym_DQUOTE,
    STATE(12304), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19409), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593189] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14926), 1,
      sym_pow_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [593224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8693), 6,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_attribute_id_token1,
    ACTIONS(8691), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [593255] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    ACTIONS(15514), 1,
      sym_rel_operator,
    ACTIONS(15516), 1,
      sym_and_operator,
    ACTIONS(15518), 1,
      sym_or_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [593302] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15544), 1,
      anon_sym_DQUOTE,
    STATE(12308), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18286), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593343] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15480), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(12309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593378] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593419] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15546), 1,
      anon_sym_SEMI,
    ACTIONS(15548), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12311), 1,
      sym_attribute,
    STATE(15206), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593474] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15550), 1,
      anon_sym_RBRACK,
    ACTIONS(15552), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12312), 1,
      sym_attribute,
    STATE(16163), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14863), 1,
      anon_sym_let,
    STATE(12313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14861), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593560] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15508), 1,
      sym_pow_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593595] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14926), 1,
      sym_pow_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10175), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [593630] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15508), 1,
      sym_pow_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593665] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    ACTIONS(14930), 1,
      sym_concat_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [593708] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [593751] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15554), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12319), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593784] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [593827] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      sym_or_operator,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    ACTIONS(15514), 1,
      sym_rel_operator,
    ACTIONS(15516), 1,
      sym_and_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [593874] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15557), 1,
      anon_sym_RBRACK,
    ACTIONS(15559), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12322), 1,
      sym_attribute,
    STATE(15214), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593929] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    ACTIONS(15514), 1,
      sym_rel_operator,
    ACTIONS(15516), 1,
      sym_and_operator,
    ACTIONS(15518), 1,
      sym_or_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [593976] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15504), 1,
      anon_sym_COMMA,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    ACTIONS(15514), 1,
      sym_rel_operator,
    ACTIONS(15516), 1,
      sym_and_operator,
    ACTIONS(15518), 1,
      sym_or_operator,
    ACTIONS(15520), 1,
      sym_assign_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [594027] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15561), 1,
      anon_sym_RBRACK,
    ACTIONS(15563), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12325), 1,
      sym_attribute,
    STATE(15910), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594082] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15565), 1,
      anon_sym_RBRACK,
    ACTIONS(15567), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12326), 1,
      sym_attribute,
    STATE(15532), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594137] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15569), 1,
      anon_sym_PIPE,
    STATE(12319), 1,
      aux_sym__match_cases_repeat1,
    STATE(12327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594172] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15569), 1,
      anon_sym_PIPE,
    STATE(12319), 1,
      aux_sym__match_cases_repeat1,
    STATE(12328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594207] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15569), 1,
      anon_sym_PIPE,
    STATE(12327), 1,
      aux_sym__match_cases_repeat1,
    STATE(12329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594242] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15571), 1,
      anon_sym_SEMI,
    ACTIONS(15573), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12330), 1,
      sym_attribute,
    STATE(16257), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594297] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15575), 1,
      anon_sym_DQUOTE,
    STATE(12331), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17508), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594338] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15577), 1,
      anon_sym_SEMI,
    ACTIONS(15579), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12332), 1,
      sym_attribute,
    STATE(15502), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594393] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15581), 1,
      anon_sym_RBRACK,
    ACTIONS(15583), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12333), 1,
      sym_attribute,
    STATE(16261), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594448] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15569), 1,
      anon_sym_PIPE,
    STATE(12328), 1,
      aux_sym__match_cases_repeat1,
    STATE(12334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594483] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    ACTIONS(14930), 1,
      sym_concat_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [594526] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    ACTIONS(14930), 1,
      sym_concat_operator,
    ACTIONS(14932), 1,
      sym_rel_operator,
    ACTIONS(14934), 1,
      sym_and_operator,
    ACTIONS(15049), 1,
      sym_or_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [594575] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594612] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      anon_sym_PIPE,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    ACTIONS(14930), 1,
      sym_concat_operator,
    ACTIONS(14932), 1,
      sym_rel_operator,
    ACTIONS(14934), 1,
      sym_and_operator,
    ACTIONS(15045), 1,
      anon_sym_COMMA,
    ACTIONS(15049), 1,
      sym_or_operator,
    ACTIONS(15051), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594665] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15109), 1,
      anon_sym_COMMA,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    ACTIONS(15121), 1,
      sym_rel_operator,
    ACTIONS(15123), 1,
      sym_and_operator,
    ACTIONS(15125), 1,
      sym_or_operator,
    ACTIONS(15127), 1,
      sym_assign_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [594716] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594753] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15398), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(12341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7986), 1,
      anon_sym_let,
    STATE(12342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594819] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15585), 1,
      anon_sym_DQUOTE,
    STATE(12343), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19508), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594860] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15587), 1,
      anon_sym_DQUOTE,
    STATE(12344), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19339), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594901] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15589), 1,
      anon_sym_SEMI,
    ACTIONS(15591), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12345), 1,
      sym_attribute,
    STATE(15619), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594956] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15109), 1,
      anon_sym_COMMA,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    ACTIONS(15121), 1,
      sym_rel_operator,
    ACTIONS(15123), 1,
      sym_and_operator,
    ACTIONS(15125), 1,
      sym_or_operator,
    ACTIONS(15127), 1,
      sym_assign_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [595007] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10165), 1,
      anon_sym_PIPE,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    ACTIONS(14930), 1,
      sym_concat_operator,
    ACTIONS(14932), 1,
      sym_rel_operator,
    ACTIONS(14934), 1,
      sym_and_operator,
    ACTIONS(15045), 1,
      anon_sym_COMMA,
    ACTIONS(15049), 1,
      sym_or_operator,
    ACTIONS(15051), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595060] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15504), 1,
      anon_sym_COMMA,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    ACTIONS(15514), 1,
      sym_rel_operator,
    ACTIONS(15516), 1,
      sym_and_operator,
    ACTIONS(15518), 1,
      sym_or_operator,
    ACTIONS(15520), 1,
      sym_assign_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [595111] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      anon_sym_PIPE,
    ACTIONS(14924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14926), 1,
      sym_pow_operator,
    ACTIONS(14928), 1,
      sym_mult_operator,
    ACTIONS(14930), 1,
      sym_concat_operator,
    ACTIONS(14932), 1,
      sym_rel_operator,
    ACTIONS(14934), 1,
      sym_and_operator,
    ACTIONS(15045), 1,
      anon_sym_COMMA,
    ACTIONS(15049), 1,
      sym_or_operator,
    ACTIONS(15051), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(12349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595164] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15593), 1,
      anon_sym_DQUOTE,
    STATE(12350), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18486), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595205] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15595), 1,
      anon_sym_DQUOTE,
    STATE(12351), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(20147), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7982), 1,
      anon_sym_let,
    STATE(12352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595277] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15597), 1,
      anon_sym_DQUOTE,
    STATE(12353), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18531), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595318] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15175), 1,
      sym_pow_operator,
    ACTIONS(15177), 1,
      sym_mult_operator,
    ACTIONS(15179), 1,
      sym_concat_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(12354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10175), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [595361] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15599), 1,
      anon_sym_RBRACK,
    ACTIONS(15601), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12355), 1,
      sym_attribute,
    STATE(15257), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595416] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595453] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15603), 1,
      anon_sym_DQUOTE,
    STATE(12357), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18586), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595494] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15605), 1,
      anon_sym_DQUOTE,
    STATE(12358), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19466), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595535] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15607), 1,
      anon_sym_DQUOTE,
    STATE(12359), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18651), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595576] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595617] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15109), 1,
      anon_sym_COMMA,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    ACTIONS(15121), 1,
      sym_rel_operator,
    ACTIONS(15123), 1,
      sym_and_operator,
    ACTIONS(15125), 1,
      sym_or_operator,
    ACTIONS(15127), 1,
      sym_assign_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [595668] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14940), 1,
      sym_pow_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595703] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15609), 1,
      anon_sym_RBRACK,
    ACTIONS(15611), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12363), 1,
      sym_attribute,
    STATE(15677), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595758] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15613), 1,
      anon_sym_DQUOTE,
    STATE(12364), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18734), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595799] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15615), 1,
      anon_sym_RBRACK,
    ACTIONS(15617), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12365), 1,
      sym_attribute,
    STATE(15228), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595854] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15619), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(12366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595889] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    ACTIONS(15121), 1,
      sym_rel_operator,
    ACTIONS(15123), 1,
      sym_and_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [595936] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15621), 1,
      anon_sym_DQUOTE,
    STATE(12368), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17362), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595977] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15623), 1,
      anon_sym_DQUOTE,
    STATE(12369), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18861), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596018] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [596061] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15625), 1,
      anon_sym_DQUOTE,
    STATE(12371), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18895), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596102] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15504), 1,
      anon_sym_COMMA,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    ACTIONS(15514), 1,
      sym_rel_operator,
    ACTIONS(15516), 1,
      sym_and_operator,
    ACTIONS(15518), 1,
      sym_or_operator,
    ACTIONS(15520), 1,
      sym_assign_operator,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [596153] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [596196] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15115), 1,
      sym_pow_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596231] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15627), 1,
      anon_sym_DQUOTE,
    STATE(12375), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18914), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596272] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15115), 1,
      sym_pow_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596307] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15629), 1,
      anon_sym_DQUOTE,
    STATE(12377), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18937), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596348] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15631), 1,
      anon_sym_DQUOTE,
    STATE(12378), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(18978), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596389] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15633), 1,
      anon_sym_DQUOTE,
    STATE(12379), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19035), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596430] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15635), 1,
      anon_sym_DQUOTE,
    STATE(12380), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19103), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596471] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10177), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596512] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15619), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(12382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596547] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596580] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15637), 1,
      anon_sym_SEMI,
    ACTIONS(15639), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12384), 1,
      sym_attribute,
    STATE(15251), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596635] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    ACTIONS(15121), 1,
      sym_rel_operator,
    ACTIONS(15123), 1,
      sym_and_operator,
    ACTIONS(15125), 1,
      sym_or_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [596682] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15641), 1,
      anon_sym_LPAREN,
    STATE(12386), 1,
      sym_attribute,
    STATE(13056), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10578), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [596721] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15115), 1,
      sym_pow_operator,
    ACTIONS(15117), 1,
      sym_mult_operator,
    ACTIONS(15119), 1,
      sym_concat_operator,
    ACTIONS(15121), 1,
      sym_rel_operator,
    ACTIONS(15123), 1,
      sym_and_operator,
    ACTIONS(15125), 1,
      sym_or_operator,
    STATE(1951), 1,
      sym_add_operator,
    STATE(12387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [596768] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15643), 1,
      anon_sym_DQUOTE,
    STATE(12388), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17660), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596809] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(14976), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15141), 1,
      anon_sym_DASH_GT,
    STATE(12389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596844] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12190), 1,
      anon_sym_as,
    ACTIONS(14985), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15141), 1,
      anon_sym_DASH_GT,
    STATE(12390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14983), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596879] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15645), 1,
      anon_sym_PIPE,
    STATE(12391), 1,
      sym_attribute,
    STATE(12393), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10123), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10121), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596914] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15645), 1,
      anon_sym_PIPE,
    STATE(12392), 1,
      sym_attribute,
    STATE(12394), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596949] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15645), 1,
      anon_sym_PIPE,
    STATE(12393), 1,
      sym_attribute,
    STATE(12396), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10113), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596984] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15645), 1,
      anon_sym_PIPE,
    STATE(12394), 1,
      sym_attribute,
    STATE(12396), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10129), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10127), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597019] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14936), 1,
      anon_sym_COMMA,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    ACTIONS(14946), 1,
      sym_rel_operator,
    ACTIONS(14948), 1,
      sym_and_operator,
    ACTIONS(14950), 1,
      sym_or_operator,
    ACTIONS(14952), 1,
      sym_assign_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10155), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [597070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15647), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12396), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10133), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597103] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15482), 1,
      anon_sym_else,
    STATE(7744), 1,
      sym_else_clause,
    STATE(12397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597138] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15650), 1,
      anon_sym_DQUOTE,
    STATE(12398), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19169), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [597179] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15504), 1,
      anon_sym_COMMA,
    ACTIONS(15506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15508), 1,
      sym_pow_operator,
    ACTIONS(15510), 1,
      sym_mult_operator,
    ACTIONS(15512), 1,
      sym_concat_operator,
    ACTIONS(15514), 1,
      sym_rel_operator,
    ACTIONS(15516), 1,
      sym_and_operator,
    ACTIONS(15518), 1,
      sym_or_operator,
    ACTIONS(15520), 1,
      sym_assign_operator,
    ACTIONS(15652), 1,
      anon_sym_SEMI,
    STATE(1851), 1,
      sym_add_operator,
    STATE(12399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8938), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597232] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15654), 1,
      anon_sym_RBRACK,
    ACTIONS(15656), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12400), 1,
      sym_attribute,
    STATE(15778), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597287] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14936), 1,
      anon_sym_COMMA,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    ACTIONS(14946), 1,
      sym_rel_operator,
    ACTIONS(14948), 1,
      sym_and_operator,
    ACTIONS(14950), 1,
      sym_or_operator,
    ACTIONS(14952), 1,
      sym_assign_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10163), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [597338] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15013), 1,
      sym_pow_operator,
    ACTIONS(15015), 1,
      sym_mult_operator,
    ACTIONS(15017), 1,
      sym_concat_operator,
    ACTIONS(15019), 1,
      sym_rel_operator,
    ACTIONS(15021), 1,
      sym_and_operator,
    ACTIONS(15023), 1,
      sym_or_operator,
    ACTIONS(15057), 1,
      anon_sym_COMMA,
    ACTIONS(15059), 1,
      sym_assign_operator,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [597389] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15658), 1,
      anon_sym_SEMI,
    ACTIONS(15660), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12403), 1,
      sym_attribute,
    STATE(16232), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597444] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(15662), 1,
      anon_sym_RBRACK,
    ACTIONS(15664), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12404), 1,
      sym_attribute,
    STATE(16227), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597499] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15380), 1,
      anon_sym_let,
    ACTIONS(15666), 1,
      anon_sym_in,
    STATE(12405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15378), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597532] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15668), 1,
      anon_sym_DQUOTE,
    STATE(12406), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19683), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [597573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15380), 1,
      anon_sym_let,
    STATE(12407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15378), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597604] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15670), 1,
      anon_sym_SEMI,
    ACTIONS(15672), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12408), 1,
      sym_attribute,
    STATE(15783), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597659] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597696] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14936), 1,
      anon_sym_COMMA,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    ACTIONS(14946), 1,
      sym_rel_operator,
    ACTIONS(14948), 1,
      sym_and_operator,
    ACTIONS(14950), 1,
      sym_or_operator,
    ACTIONS(14952), 1,
      sym_assign_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [597747] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    ACTIONS(14946), 1,
      sym_rel_operator,
    ACTIONS(14948), 1,
      sym_and_operator,
    ACTIONS(14950), 1,
      sym_or_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [597794] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15641), 1,
      anon_sym_LPAREN,
    STATE(12412), 1,
      sym_attribute,
    STATE(13056), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10498), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [597833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7874), 1,
      anon_sym_let,
    STATE(12413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597864] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      sym_or_operator,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    ACTIONS(14946), 1,
      sym_rel_operator,
    ACTIONS(14948), 1,
      sym_and_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [597911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7878), 1,
      anon_sym_let,
    STATE(12415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597942] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [597985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7888), 1,
      anon_sym_let,
    STATE(12417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7904), 1,
      anon_sym_let,
    STATE(12418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598047] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15674), 1,
      anon_sym_DQUOTE,
    STATE(12419), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(17886), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [598088] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15061), 1,
      anon_sym_else,
    STATE(7796), 1,
      sym_else_clause,
    STATE(12420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10061), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10059), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598123] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2337), 1,
      sym_add_operator,
    STATE(12421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598156] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15676), 1,
      anon_sym_SEMI,
    ACTIONS(15678), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12422), 1,
      sym_attribute,
    STATE(16174), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7912), 1,
      anon_sym_let,
    STATE(12423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598242] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14940), 1,
      sym_pow_operator,
    ACTIONS(14942), 1,
      sym_mult_operator,
    ACTIONS(14944), 1,
      sym_concat_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [598285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7916), 1,
      anon_sym_let,
    STATE(12425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7924), 1,
      anon_sym_let,
    STATE(12426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_let,
    STATE(12427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7970), 1,
      anon_sym_let,
    STATE(12428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598409] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    ACTIONS(15680), 1,
      anon_sym_SEMI,
    ACTIONS(15682), 1,
      anon_sym_PIPE_RBRACK,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12429), 1,
      sym_attribute,
    STATE(15227), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598464] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14940), 1,
      sym_pow_operator,
    STATE(1841), 1,
      sym_add_operator,
    STATE(12430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598499] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15684), 1,
      anon_sym_DQUOTE,
    STATE(12431), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    STATE(19898), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [598540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7974), 1,
      anon_sym_let,
    STATE(12432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598571] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(763), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(785), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15686), 1,
      sym__lowercase_identifier,
    ACTIONS(15688), 1,
      anon_sym_LPAREN,
    ACTIONS(15690), 1,
      anon_sym_LBRACE,
    ACTIONS(15692), 1,
      sym__uppercase_identifier,
    STATE(3746), 1,
      sym_parenthesized_operator,
    STATE(3749), 1,
      sym__value_name,
    STATE(3875), 1,
      sym__constructor_name,
    STATE(12433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3748), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [598619] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    ACTIONS(15702), 1,
      sym_rel_operator,
    ACTIONS(15704), 1,
      sym_and_operator,
    ACTIONS(15706), 1,
      sym_or_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [598665] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_do,
    ACTIONS(15708), 1,
      anon_sym_COMMA,
    ACTIONS(15710), 1,
      anon_sym_SEMI,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    ACTIONS(15720), 1,
      sym_rel_operator,
    ACTIONS(15722), 1,
      sym_and_operator,
    ACTIONS(15724), 1,
      sym_or_operator,
    ACTIONS(15726), 1,
      sym_assign_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598717] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15728), 1,
      sym__lowercase_identifier,
    ACTIONS(15730), 1,
      anon_sym_LPAREN,
    ACTIONS(15732), 1,
      anon_sym_LBRACE,
    ACTIONS(15734), 1,
      sym__uppercase_identifier,
    STATE(3097), 1,
      sym__constructor_name,
    STATE(3154), 1,
      sym_parenthesized_operator,
    STATE(3210), 1,
      sym__value_name,
    STATE(12436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3143), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [598765] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15736), 1,
      sym__lowercase_identifier,
    ACTIONS(15738), 1,
      anon_sym_POUND,
    STATE(12437), 1,
      sym_attribute,
    STATE(12713), 1,
      sym_type_constructor_path,
    STATE(16975), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10872), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [598805] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2627), 1,
      anon_sym_LBRACK,
    ACTIONS(2637), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2649), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15740), 1,
      sym__lowercase_identifier,
    ACTIONS(15742), 1,
      anon_sym_LPAREN,
    ACTIONS(15744), 1,
      anon_sym_LBRACE,
    ACTIONS(15746), 1,
      sym__uppercase_identifier,
    STATE(6641), 1,
      sym__constructor_name,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(6810), 1,
      sym__value_name,
    STATE(12438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6811), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [598853] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_with,
    ACTIONS(15748), 1,
      anon_sym_COMMA,
    ACTIONS(15750), 1,
      anon_sym_SEMI,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    ACTIONS(15760), 1,
      sym_rel_operator,
    ACTIONS(15762), 1,
      sym_and_operator,
    ACTIONS(15764), 1,
      sym_or_operator,
    ACTIONS(15766), 1,
      sym_assign_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598905] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2315), 1,
      anon_sym_LBRACK,
    ACTIONS(2325), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2337), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15768), 1,
      sym__lowercase_identifier,
    ACTIONS(15770), 1,
      anon_sym_LPAREN,
    ACTIONS(15772), 1,
      anon_sym_LBRACE,
    ACTIONS(15774), 1,
      sym__uppercase_identifier,
    STATE(6281), 1,
      sym_parenthesized_operator,
    STATE(6366), 1,
      sym__value_name,
    STATE(6567), 1,
      sym__constructor_name,
    STATE(12440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6579), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [598953] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2693), 1,
      anon_sym_LBRACK,
    ACTIONS(2703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15776), 1,
      sym__lowercase_identifier,
    ACTIONS(15778), 1,
      anon_sym_LPAREN,
    ACTIONS(15780), 1,
      anon_sym_LBRACE,
    ACTIONS(15782), 1,
      sym__uppercase_identifier,
    STATE(6610), 1,
      sym__constructor_name,
    STATE(6903), 1,
      sym__value_name,
    STATE(6947), 1,
      sym_parenthesized_operator,
    STATE(12441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6875), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [599001] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15784), 1,
      sym__lowercase_identifier,
    ACTIONS(15786), 1,
      anon_sym_LPAREN,
    ACTIONS(15788), 1,
      anon_sym_LBRACE,
    ACTIONS(15790), 1,
      sym__uppercase_identifier,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7103), 1,
      sym__constructor_name,
    STATE(7196), 1,
      sym__value_name,
    STATE(12442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7195), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [599049] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15792), 1,
      sym__lowercase_identifier,
    ACTIONS(15794), 1,
      anon_sym_LBRACK,
    STATE(10754), 1,
      sym__simple_class_type,
    STATE(12443), 1,
      sym_attribute,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9745), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [599095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15796), 1,
      anon_sym_and,
    STATE(12444), 1,
      sym_attribute,
    STATE(12486), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14725), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599127] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8278), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8290), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15798), 1,
      sym__lowercase_identifier,
    ACTIONS(15800), 1,
      anon_sym_LPAREN,
    ACTIONS(15802), 1,
      anon_sym_LBRACE,
    ACTIONS(15804), 1,
      sym__uppercase_identifier,
    STATE(7366), 1,
      sym__constructor_name,
    STATE(7462), 1,
      sym_parenthesized_operator,
    STATE(7580), 1,
      sym__value_name,
    STATE(12445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7414), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [599175] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15806), 1,
      anon_sym_EQ,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12446), 1,
      sym_attribute,
    STATE(12795), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15810), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599215] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(995), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1007), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15814), 1,
      sym__lowercase_identifier,
    ACTIONS(15816), 1,
      anon_sym_LPAREN,
    ACTIONS(15818), 1,
      anon_sym_LBRACE,
    ACTIONS(15820), 1,
      sym__uppercase_identifier,
    STATE(4893), 1,
      sym__constructor_name,
    STATE(4904), 1,
      sym_parenthesized_operator,
    STATE(4941), 1,
      sym__value_name,
    STATE(12447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4901), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [599263] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15792), 1,
      sym__lowercase_identifier,
    ACTIONS(15794), 1,
      anon_sym_LBRACK,
    STATE(10708), 1,
      sym__simple_class_type,
    STATE(12448), 1,
      sym_attribute,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9745), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [599309] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15736), 1,
      sym__lowercase_identifier,
    ACTIONS(15738), 1,
      anon_sym_POUND,
    STATE(12449), 1,
      sym_attribute,
    STATE(12713), 1,
      sym_type_constructor_path,
    STATE(16975), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10866), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [599349] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    ACTIONS(15702), 1,
      sym_rel_operator,
    ACTIONS(15704), 1,
      sym_and_operator,
    ACTIONS(15706), 1,
      sym_or_operator,
    ACTIONS(15822), 1,
      anon_sym_COMMA,
    ACTIONS(15824), 1,
      sym_assign_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15826), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12451), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14487), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599429] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15829), 1,
      anon_sym_and,
    STATE(12451), 1,
      aux_sym_class_definition_repeat1,
    STATE(12452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14857), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599461] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599497] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15754), 1,
      sym_pow_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599531] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15754), 1,
      sym_pow_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15099), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15833), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15831), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599625] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    ACTIONS(15702), 1,
      sym_rel_operator,
    ACTIONS(15704), 1,
      sym_and_operator,
    ACTIONS(15706), 1,
      sym_or_operator,
    ACTIONS(15822), 1,
      anon_sym_COMMA,
    ACTIONS(15824), 1,
      sym_assign_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599675] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599715] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    ACTIONS(15702), 1,
      sym_rel_operator,
    ACTIONS(15704), 1,
      sym_and_operator,
    ACTIONS(15706), 1,
      sym_or_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [599761] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2787), 1,
      anon_sym_LBRACK,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2809), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15835), 1,
      sym__lowercase_identifier,
    ACTIONS(15837), 1,
      anon_sym_LPAREN,
    ACTIONS(15839), 1,
      anon_sym_LBRACE,
    ACTIONS(15841), 1,
      sym__uppercase_identifier,
    STATE(6622), 1,
      sym_parenthesized_operator,
    STATE(6672), 1,
      sym__value_name,
    STATE(6723), 1,
      sym__constructor_name,
    STATE(12461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6676), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [599809] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15788), 1,
      anon_sym_LBRACE,
    ACTIONS(15790), 1,
      sym__uppercase_identifier,
    ACTIONS(15843), 1,
      sym__lowercase_identifier,
    ACTIONS(15845), 1,
      anon_sym_LPAREN,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7103), 1,
      sym__constructor_name,
    STATE(7196), 1,
      sym__value_name,
    STATE(12462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7195), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [599857] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15847), 1,
      anon_sym_and,
    STATE(12463), 1,
      sym_attribute,
    STATE(12551), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599889] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    ACTIONS(15760), 1,
      sym_rel_operator,
    ACTIONS(15762), 1,
      sym_and_operator,
    ACTIONS(15764), 1,
      sym_or_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [599935] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(15849), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12465), 1,
      sym_attribute,
    STATE(12907), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15851), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599975] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15853), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600055] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(591), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15855), 1,
      sym__lowercase_identifier,
    ACTIONS(15857), 1,
      anon_sym_LPAREN,
    ACTIONS(15859), 1,
      anon_sym_LBRACE,
    ACTIONS(15861), 1,
      sym__uppercase_identifier,
    STATE(3508), 1,
      sym__value_name,
    STATE(3517), 1,
      sym__constructor_name,
    STATE(3595), 1,
      sym_parenthesized_operator,
    STATE(12468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3474), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600103] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15792), 1,
      sym__lowercase_identifier,
    ACTIONS(15794), 1,
      anon_sym_LBRACK,
    STATE(9806), 1,
      sym__simple_class_type,
    STATE(12469), 1,
      sym_attribute,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9745), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [600149] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    ACTIONS(2453), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2465), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15863), 1,
      sym__lowercase_identifier,
    ACTIONS(15865), 1,
      anon_sym_LPAREN,
    ACTIONS(15867), 1,
      anon_sym_LBRACE,
    ACTIONS(15869), 1,
      sym__uppercase_identifier,
    STATE(6130), 1,
      sym_parenthesized_operator,
    STATE(6174), 1,
      sym__constructor_name,
    STATE(6459), 1,
      sym__value_name,
    STATE(12470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6213), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600197] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(15871), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12471), 1,
      sym_attribute,
    STATE(12753), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15873), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600237] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [600279] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(817), 1,
      anon_sym_LBRACK,
    ACTIONS(827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(839), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15875), 1,
      sym__lowercase_identifier,
    ACTIONS(15877), 1,
      anon_sym_LPAREN,
    ACTIONS(15879), 1,
      anon_sym_LBRACE,
    ACTIONS(15881), 1,
      sym__uppercase_identifier,
    STATE(3958), 1,
      sym__value_name,
    STATE(4105), 1,
      sym_parenthesized_operator,
    STATE(4110), 1,
      sym__constructor_name,
    STATE(12473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3934), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600327] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(9746), 1,
      anon_sym_let,
    ACTIONS(15883), 1,
      sym__lowercase_identifier,
    ACTIONS(15885), 1,
      anon_sym_LBRACK,
    STATE(9806), 1,
      sym__simple_class_type,
    STATE(12474), 1,
      sym_attribute,
    STATE(16304), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9745), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [600373] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [600415] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15796), 1,
      anon_sym_and,
    STATE(12476), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14602), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8986), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600477] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      sym_or_operator,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    ACTIONS(15702), 1,
      sym_rel_operator,
    ACTIONS(15704), 1,
      sym_and_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [600523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9036), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600553] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15887), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600603] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14612), 1,
      sym__lowercase_identifier,
    ACTIONS(15889), 1,
      anon_sym_nonrec,
    STATE(11730), 1,
      sym_type_binding,
    STATE(12481), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14590), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20028), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [600657] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15891), 1,
      sym__lowercase_identifier,
    ACTIONS(15893), 1,
      anon_sym_LPAREN,
    ACTIONS(15895), 1,
      anon_sym_LBRACE,
    ACTIONS(15897), 1,
      sym__uppercase_identifier,
    STATE(5724), 1,
      sym__constructor_name,
    STATE(5791), 1,
      sym_parenthesized_operator,
    STATE(5792), 1,
      sym__value_name,
    STATE(12482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5717), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600705] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10251), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [600735] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15796), 1,
      anon_sym_and,
    STATE(12484), 1,
      sym_attribute,
    STATE(12491), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14725), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600767] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2505), 1,
      anon_sym_LBRACK,
    ACTIONS(2515), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2527), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15899), 1,
      sym__lowercase_identifier,
    ACTIONS(15901), 1,
      anon_sym_LPAREN,
    ACTIONS(15903), 1,
      anon_sym_LBRACE,
    ACTIONS(15905), 1,
      sym__uppercase_identifier,
    STATE(6176), 1,
      sym__value_name,
    STATE(6274), 1,
      sym_parenthesized_operator,
    STATE(6323), 1,
      sym__constructor_name,
    STATE(12485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6446), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600815] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15796), 1,
      anon_sym_and,
    STATE(12486), 1,
      sym_attribute,
    STATE(12491), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600847] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1177), 1,
      anon_sym_LBRACK,
    ACTIONS(1187), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15907), 1,
      sym__lowercase_identifier,
    ACTIONS(15909), 1,
      anon_sym_LPAREN,
    ACTIONS(15911), 1,
      anon_sym_LBRACE,
    ACTIONS(15913), 1,
      sym__uppercase_identifier,
    STATE(5295), 1,
      sym__constructor_name,
    STATE(5296), 1,
      sym_parenthesized_operator,
    STATE(5371), 1,
      sym__value_name,
    STATE(12487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5329), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600895] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2183), 1,
      anon_sym_LBRACK,
    ACTIONS(2193), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2205), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15915), 1,
      sym__lowercase_identifier,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    ACTIONS(15919), 1,
      anon_sym_LBRACE,
    ACTIONS(15921), 1,
      sym__uppercase_identifier,
    STATE(6162), 1,
      sym_parenthesized_operator,
    STATE(6231), 1,
      sym__constructor_name,
    STATE(6319), 1,
      sym__value_name,
    STATE(12488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6397), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600943] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15847), 1,
      anon_sym_and,
    STATE(12489), 1,
      sym_attribute,
    STATE(12565), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14580), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600975] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(705), 1,
      anon_sym_LBRACK,
    ACTIONS(715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(727), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15923), 1,
      sym__lowercase_identifier,
    ACTIONS(15925), 1,
      anon_sym_LPAREN,
    ACTIONS(15927), 1,
      anon_sym_LBRACE,
    ACTIONS(15929), 1,
      sym__uppercase_identifier,
    STATE(3718), 1,
      sym__constructor_name,
    STATE(3768), 1,
      sym_parenthesized_operator,
    STATE(3866), 1,
      sym__value_name,
    STATE(12490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3808), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [601023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15931), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12491), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14450), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601053] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15796), 1,
      anon_sym_and,
    STATE(12492), 1,
      sym_attribute,
    STATE(12526), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11490), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11488), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601115] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15934), 1,
      sym__lowercase_identifier,
    ACTIONS(15936), 1,
      anon_sym_LPAREN,
    ACTIONS(15938), 1,
      anon_sym_LBRACE,
    ACTIONS(15940), 1,
      sym__uppercase_identifier,
    STATE(4207), 1,
      sym_parenthesized_operator,
    STATE(4347), 1,
      sym__value_name,
    STATE(4436), 1,
      sym__constructor_name,
    STATE(12494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4331), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [601163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15099), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601193] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(15942), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12496), 1,
      sym_attribute,
    STATE(12889), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15944), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11482), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11480), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601263] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    ACTIONS(481), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(493), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15946), 1,
      sym__lowercase_identifier,
    ACTIONS(15948), 1,
      anon_sym_LPAREN,
    ACTIONS(15950), 1,
      anon_sym_LBRACE,
    ACTIONS(15952), 1,
      sym__uppercase_identifier,
    STATE(3480), 1,
      sym__value_name,
    STATE(3701), 1,
      sym__constructor_name,
    STATE(3704), 1,
      sym_parenthesized_operator,
    STATE(12498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3311), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [601311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11356), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11172), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11170), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11418), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601401] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15954), 1,
      anon_sym_and,
    STATE(12502), 1,
      sym_attribute,
    STATE(12637), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14770), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601433] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [601475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11404), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11402), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601505] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      sym_or_operator,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    ACTIONS(15760), 1,
      sym_rel_operator,
    ACTIONS(15762), 1,
      sym_and_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [601551] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5553), 1,
      anon_sym_LBRACK,
    ACTIONS(5561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5565), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15956), 1,
      sym__lowercase_identifier,
    ACTIONS(15958), 1,
      anon_sym_LPAREN,
    ACTIONS(15960), 1,
      anon_sym_LBRACE,
    ACTIONS(15962), 1,
      sym__uppercase_identifier,
    STATE(5889), 1,
      sym_parenthesized_operator,
    STATE(5890), 1,
      sym__constructor_name,
    STATE(6051), 1,
      sym__value_name,
    STATE(12506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6041), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [601599] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [601641] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15696), 1,
      sym_pow_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11382), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11380), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11492), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601765] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15708), 1,
      anon_sym_COMMA,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    ACTIONS(15720), 1,
      sym_rel_operator,
    ACTIONS(15722), 1,
      sym_and_operator,
    ACTIONS(15724), 1,
      sym_or_operator,
    ACTIONS(15726), 1,
      sym_assign_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601815] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1125), 1,
      anon_sym_LBRACK,
    ACTIONS(1135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1147), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15964), 1,
      sym__lowercase_identifier,
    ACTIONS(15966), 1,
      anon_sym_LPAREN,
    ACTIONS(15968), 1,
      anon_sym_LBRACE,
    ACTIONS(15970), 1,
      sym__uppercase_identifier,
    STATE(4970), 1,
      sym__value_name,
    STATE(5029), 1,
      sym__constructor_name,
    STATE(5065), 1,
      sym_parenthesized_operator,
    STATE(12513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5020), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [601863] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(925), 1,
      anon_sym_LBRACK,
    ACTIONS(935), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(955), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15972), 1,
      sym__lowercase_identifier,
    ACTIONS(15974), 1,
      anon_sym_LPAREN,
    ACTIONS(15976), 1,
      anon_sym_LBRACE,
    ACTIONS(15978), 1,
      sym__uppercase_identifier,
    STATE(4735), 1,
      sym__constructor_name,
    STATE(4815), 1,
      sym_parenthesized_operator,
    STATE(4839), 1,
      sym__value_name,
    STATE(12514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4819), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [601911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11244), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601941] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15696), 1,
      sym_pow_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11236), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602005] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15980), 1,
      sym__lowercase_identifier,
    ACTIONS(15982), 1,
      anon_sym_LPAREN,
    ACTIONS(15984), 1,
      anon_sym_LBRACE,
    ACTIONS(15986), 1,
      sym__uppercase_identifier,
    STATE(2965), 1,
      sym__constructor_name,
    STATE(3087), 1,
      sym__value_name,
    STATE(3216), 1,
      sym_parenthesized_operator,
    STATE(12518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3079), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602053] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    ACTIONS(15760), 1,
      sym_rel_operator,
    ACTIONS(15762), 1,
      sym_and_operator,
    ACTIONS(15764), 1,
      sym_or_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [602099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11180), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602129] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15748), 1,
      anon_sym_COMMA,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    ACTIONS(15760), 1,
      sym_rel_operator,
    ACTIONS(15762), 1,
      sym_and_operator,
    ACTIONS(15764), 1,
      sym_or_operator,
    ACTIONS(15766), 1,
      sym_assign_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [602179] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11560), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602245] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_end,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    ACTIONS(15702), 1,
      sym_rel_operator,
    ACTIONS(15704), 1,
      sym_and_operator,
    ACTIONS(15706), 1,
      sym_or_operator,
    ACTIONS(15822), 1,
      anon_sym_COMMA,
    ACTIONS(15824), 1,
      sym_assign_operator,
    ACTIONS(15988), 1,
      anon_sym_SEMI,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [602297] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602329] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15796), 1,
      anon_sym_and,
    STATE(12491), 1,
      aux_sym_module_definition_repeat1,
    STATE(12526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14636), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11216), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11208), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11196), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602451] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11200), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11204), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11228), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11292), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11290), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602611] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15990), 1,
      anon_sym_and,
    STATE(12535), 1,
      sym_attribute,
    STATE(12560), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14725), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602643] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_done,
    ACTIONS(14987), 1,
      anon_sym_COMMA,
    ACTIONS(14991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14993), 1,
      sym_pow_operator,
    ACTIONS(14995), 1,
      sym_mult_operator,
    ACTIONS(14997), 1,
      sym_concat_operator,
    ACTIONS(14999), 1,
      sym_rel_operator,
    ACTIONS(15001), 1,
      sym_and_operator,
    ACTIONS(15003), 1,
      sym_or_operator,
    ACTIONS(15005), 1,
      sym_assign_operator,
    ACTIONS(15992), 1,
      anon_sym_SEMI,
    STATE(2332), 1,
      sym_add_operator,
    STATE(12536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [602695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15833), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602725] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15847), 1,
      anon_sym_and,
    STATE(12538), 1,
      sym_attribute,
    STATE(12550), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14770), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602757] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15829), 1,
      anon_sym_and,
    STATE(12452), 1,
      aux_sym_class_definition_repeat1,
    STATE(12539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14594), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11298), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11296), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602819] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(15994), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12541), 1,
      sym_attribute,
    STATE(12936), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15996), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602889] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15829), 1,
      anon_sym_and,
    STATE(12451), 1,
      aux_sym_class_definition_repeat1,
    STATE(12543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14594), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602921] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15990), 1,
      anon_sym_and,
    STATE(12544), 1,
      sym_attribute,
    STATE(12560), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602953] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14918), 1,
      sym__lowercase_identifier,
    ACTIONS(15998), 1,
      anon_sym_nonrec,
    STATE(11926), 1,
      sym_type_binding,
    STATE(12545), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14805), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [603007] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_do,
    ACTIONS(15708), 1,
      anon_sym_COMMA,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    ACTIONS(15720), 1,
      sym_rel_operator,
    ACTIONS(15722), 1,
      sym_and_operator,
    ACTIONS(15724), 1,
      sym_or_operator,
    ACTIONS(15726), 1,
      sym_assign_operator,
    ACTIONS(16000), 1,
      anon_sym_SEMI,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [603059] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2575), 1,
      anon_sym_LBRACK,
    ACTIONS(2585), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2597), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16002), 1,
      sym__lowercase_identifier,
    ACTIONS(16004), 1,
      anon_sym_LPAREN,
    ACTIONS(16006), 1,
      anon_sym_LBRACE,
    ACTIONS(16008), 1,
      sym__uppercase_identifier,
    STATE(6671), 1,
      sym__constructor_name,
    STATE(7009), 1,
      sym__value_name,
    STATE(7146), 1,
      sym_parenthesized_operator,
    STATE(12547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7004), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603107] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15748), 1,
      anon_sym_COMMA,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    ACTIONS(15760), 1,
      sym_rel_operator,
    ACTIONS(15762), 1,
      sym_and_operator,
    ACTIONS(15764), 1,
      sym_or_operator,
    ACTIONS(15766), 1,
      sym_assign_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [603157] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15847), 1,
      anon_sym_and,
    STATE(12538), 1,
      aux_sym_type_definition_repeat1,
    STATE(12549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16010), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12550), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14373), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603219] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15847), 1,
      anon_sym_and,
    STATE(12550), 1,
      aux_sym_type_definition_repeat1,
    STATE(12551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603251] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16013), 1,
      anon_sym_DQUOTE,
    STATE(12552), 1,
      sym_attribute,
    STATE(12557), 1,
      aux_sym_string_content_repeat1,
    STATE(12725), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15077), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15073), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [603289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11360), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603319] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5597), 1,
      anon_sym_LBRACK,
    ACTIONS(5605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16015), 1,
      sym__lowercase_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACE,
    ACTIONS(16021), 1,
      sym__uppercase_identifier,
    STATE(5888), 1,
      sym__value_name,
    STATE(5991), 1,
      sym__constructor_name,
    STATE(6021), 1,
      sym_parenthesized_operator,
    STATE(12554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5822), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603367] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15990), 1,
      anon_sym_and,
    STATE(12544), 1,
      aux_sym_module_definition_repeat1,
    STATE(12555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14725), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603399] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6813), 1,
      anon_sym_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6825), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16023), 1,
      sym__lowercase_identifier,
    ACTIONS(16025), 1,
      anon_sym_LPAREN,
    ACTIONS(16027), 1,
      anon_sym_LBRACE,
    ACTIONS(16029), 1,
      sym__uppercase_identifier,
    STATE(7663), 1,
      sym__value_name,
    STATE(7763), 1,
      sym__constructor_name,
    STATE(7908), 1,
      sym_parenthesized_operator,
    STATE(12556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7914), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603447] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16031), 1,
      anon_sym_DQUOTE,
    STATE(12725), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16036), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(12557), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(16039), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16033), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [603483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11368), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603513] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14878), 1,
      sym__lowercase_identifier,
    ACTIONS(16042), 1,
      anon_sym_nonrec,
    STATE(12559), 1,
      sym_attribute,
    STATE(12609), 1,
      sym_type_binding,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14752), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(19991), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [603567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16044), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12560), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14450), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603597] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16047), 1,
      sym__lowercase_identifier,
    ACTIONS(16049), 1,
      anon_sym_LPAREN,
    ACTIONS(16051), 1,
      anon_sym_LBRACE,
    ACTIONS(16053), 1,
      sym__uppercase_identifier,
    STATE(6667), 1,
      sym__constructor_name,
    STATE(6975), 1,
      sym_parenthesized_operator,
    STATE(7105), 1,
      sym__value_name,
    STATE(12561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7106), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603645] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7956), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15786), 1,
      anon_sym_LPAREN,
    ACTIONS(15788), 1,
      anon_sym_LBRACE,
    ACTIONS(15790), 1,
      sym__uppercase_identifier,
    ACTIONS(15843), 1,
      sym__lowercase_identifier,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(7103), 1,
      sym__constructor_name,
    STATE(7196), 1,
      sym__value_name,
    STATE(12562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7195), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603693] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2261), 1,
      anon_sym_LBRACK,
    ACTIONS(2271), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2283), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16055), 1,
      sym__lowercase_identifier,
    ACTIONS(16057), 1,
      anon_sym_LPAREN,
    ACTIONS(16059), 1,
      anon_sym_LBRACE,
    ACTIONS(16061), 1,
      sym__uppercase_identifier,
    STATE(6108), 1,
      sym__value_name,
    STATE(6373), 1,
      sym_parenthesized_operator,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(12563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6367), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8014), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603771] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15847), 1,
      anon_sym_and,
    STATE(12550), 1,
      aux_sym_type_definition_repeat1,
    STATE(12565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8018), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8022), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603863] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(8344), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8346), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(15792), 1,
      sym__lowercase_identifier,
    ACTIONS(15794), 1,
      anon_sym_LBRACK,
    ACTIONS(16063), 1,
      anon_sym_let,
    STATE(12568), 1,
      sym_attribute,
    STATE(12991), 1,
      sym__simple_class_type,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9745), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [603909] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    ACTIONS(15720), 1,
      sym_rel_operator,
    ACTIONS(15722), 1,
      sym_and_operator,
    ACTIONS(15724), 1,
      sym_or_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [603955] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15990), 1,
      anon_sym_and,
    STATE(12570), 1,
      sym_attribute,
    STATE(12572), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603987] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16065), 1,
      anon_sym_COMMA,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    ACTIONS(16075), 1,
      sym_rel_operator,
    ACTIONS(16077), 1,
      sym_and_operator,
    ACTIONS(16079), 1,
      sym_or_operator,
    ACTIONS(16081), 1,
      sym_assign_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604037] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15990), 1,
      anon_sym_and,
    STATE(12560), 1,
      aux_sym_module_definition_repeat1,
    STATE(12572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14636), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604069] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8026), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604131] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_then,
    ACTIONS(16065), 1,
      anon_sym_COMMA,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    ACTIONS(16075), 1,
      sym_rel_operator,
    ACTIONS(16077), 1,
      sym_and_operator,
    ACTIONS(16079), 1,
      sym_or_operator,
    ACTIONS(16081), 1,
      sym_assign_operator,
    ACTIONS(16083), 1,
      anon_sym_SEMI,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604183] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1401), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1423), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16085), 1,
      sym__lowercase_identifier,
    ACTIONS(16087), 1,
      anon_sym_LPAREN,
    ACTIONS(16089), 1,
      anon_sym_LBRACE,
    ACTIONS(16091), 1,
      sym__uppercase_identifier,
    STATE(5842), 1,
      sym_parenthesized_operator,
    STATE(5951), 1,
      sym__constructor_name,
    STATE(6098), 1,
      sym__value_name,
    STATE(12576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6048), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604231] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(643), 1,
      anon_sym_LBRACK,
    ACTIONS(653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16093), 1,
      sym__lowercase_identifier,
    ACTIONS(16095), 1,
      anon_sym_LPAREN,
    ACTIONS(16097), 1,
      anon_sym_LBRACE,
    ACTIONS(16099), 1,
      sym__uppercase_identifier,
    STATE(3310), 1,
      sym_parenthesized_operator,
    STATE(3375), 1,
      sym__value_name,
    STATE(3424), 1,
      sym__constructor_name,
    STATE(12577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3694), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604279] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    ACTIONS(15702), 1,
      sym_rel_operator,
    ACTIONS(15704), 1,
      sym_and_operator,
    ACTIONS(15706), 1,
      sym_or_operator,
    ACTIONS(15822), 1,
      anon_sym_COMMA,
    ACTIONS(15824), 1,
      sym_assign_operator,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604329] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(8344), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8346), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(15792), 1,
      sym__lowercase_identifier,
    ACTIONS(15794), 1,
      anon_sym_LBRACK,
    ACTIONS(16063), 1,
      anon_sym_let,
    STATE(9806), 1,
      sym__simple_class_type,
    STATE(12579), 1,
      sym_attribute,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9745), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [604375] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16065), 1,
      anon_sym_COMMA,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    ACTIONS(16075), 1,
      sym_rel_operator,
    ACTIONS(16077), 1,
      sym_and_operator,
    ACTIONS(16079), 1,
      sym_or_operator,
    ACTIONS(16081), 1,
      sym_assign_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604425] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16101), 1,
      anon_sym_and,
    STATE(12581), 1,
      sym_attribute,
    STATE(12629), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14594), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604457] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12807), 1,
      sym_rel_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16103), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604507] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16101), 1,
      anon_sym_and,
    STATE(12583), 1,
      sym_attribute,
    STATE(12630), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14594), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604539] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14562), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(16105), 1,
      anon_sym_nonrec,
    STATE(12463), 1,
      sym_type_binding,
    STATE(12584), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14642), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20013), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [604593] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK,
    ACTIONS(7675), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7679), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16107), 1,
      sym__lowercase_identifier,
    ACTIONS(16109), 1,
      anon_sym_LPAREN,
    ACTIONS(16111), 1,
      anon_sym_LBRACE,
    ACTIONS(16113), 1,
      sym__uppercase_identifier,
    STATE(7995), 1,
      sym__constructor_name,
    STATE(8994), 1,
      sym_parenthesized_operator,
    STATE(9044), 1,
      sym__value_name,
    STATE(12585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8869), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604641] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16115), 1,
      sym__lowercase_identifier,
    ACTIONS(16117), 1,
      anon_sym_LPAREN,
    ACTIONS(16119), 1,
      anon_sym_LBRACE,
    ACTIONS(16121), 1,
      sym__uppercase_identifier,
    STATE(6131), 1,
      sym__constructor_name,
    STATE(6189), 1,
      sym_parenthesized_operator,
    STATE(6578), 1,
      sym__value_name,
    STATE(12586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6453), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604689] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(869), 1,
      anon_sym_LBRACK,
    ACTIONS(879), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(891), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16123), 1,
      sym__lowercase_identifier,
    ACTIONS(16125), 1,
      anon_sym_LPAREN,
    ACTIONS(16127), 1,
      anon_sym_LBRACE,
    ACTIONS(16129), 1,
      sym__uppercase_identifier,
    STATE(3982), 1,
      sym_parenthesized_operator,
    STATE(3984), 1,
      sym__value_name,
    STATE(4000), 1,
      sym__constructor_name,
    STATE(12587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3956), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604737] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_then,
    ACTIONS(16065), 1,
      anon_sym_COMMA,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    ACTIONS(16075), 1,
      sym_rel_operator,
    ACTIONS(16077), 1,
      sym_and_operator,
    ACTIONS(16079), 1,
      sym_or_operator,
    ACTIONS(16081), 1,
      sym_assign_operator,
    ACTIONS(16131), 1,
      anon_sym_SEMI,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604789] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6301), 1,
      anon_sym_LBRACK,
    ACTIONS(6309), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16133), 1,
      sym__lowercase_identifier,
    ACTIONS(16135), 1,
      anon_sym_LPAREN,
    ACTIONS(16137), 1,
      anon_sym_LBRACE,
    ACTIONS(16139), 1,
      sym__uppercase_identifier,
    STATE(6706), 1,
      sym_parenthesized_operator,
    STATE(6946), 1,
      sym__value_name,
    STATE(7142), 1,
      sym__constructor_name,
    STATE(12589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7003), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604837] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15736), 1,
      sym__lowercase_identifier,
    ACTIONS(16141), 1,
      anon_sym_POUND,
    STATE(12590), 1,
      sym_attribute,
    STATE(12688), 1,
      sym_type_constructor_path,
    STATE(16975), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10880), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [604877] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15792), 1,
      sym__lowercase_identifier,
    ACTIONS(15794), 1,
      anon_sym_LBRACK,
    STATE(10752), 1,
      sym__simple_class_type,
    STATE(12591), 1,
      sym_attribute,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9745), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [604923] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_end,
    ACTIONS(15694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15696), 1,
      sym_pow_operator,
    ACTIONS(15698), 1,
      sym_mult_operator,
    ACTIONS(15700), 1,
      sym_concat_operator,
    ACTIONS(15702), 1,
      sym_rel_operator,
    ACTIONS(15704), 1,
      sym_and_operator,
    ACTIONS(15706), 1,
      sym_or_operator,
    ACTIONS(15822), 1,
      anon_sym_COMMA,
    ACTIONS(15824), 1,
      sym_assign_operator,
    ACTIONS(16143), 1,
      anon_sym_SEMI,
    STATE(2104), 1,
      sym_add_operator,
    STATE(12592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604975] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    ACTIONS(1291), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1311), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16145), 1,
      sym__lowercase_identifier,
    ACTIONS(16147), 1,
      anon_sym_LPAREN,
    ACTIONS(16149), 1,
      anon_sym_LBRACE,
    ACTIONS(16151), 1,
      sym__uppercase_identifier,
    STATE(5562), 1,
      sym__constructor_name,
    STATE(5612), 1,
      sym__value_name,
    STATE(5641), 1,
      sym_parenthesized_operator,
    STATE(12593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5656), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605023] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_DASH_GT,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    ACTIONS(16153), 1,
      anon_sym_SEMI,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16155), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605105] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    ACTIONS(16075), 1,
      sym_rel_operator,
    ACTIONS(16077), 1,
      sym_and_operator,
    ACTIONS(16079), 1,
      sym_or_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10181), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [605151] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605191] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15708), 1,
      anon_sym_COMMA,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    ACTIONS(15720), 1,
      sym_rel_operator,
    ACTIONS(15722), 1,
      sym_and_operator,
    ACTIONS(15724), 1,
      sym_or_operator,
    ACTIONS(15726), 1,
      sym_assign_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10163), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605241] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16069), 1,
      sym_pow_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605275] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15792), 1,
      sym__lowercase_identifier,
    ACTIONS(15794), 1,
      anon_sym_LBRACK,
    STATE(10531), 1,
      sym__simple_class_type,
    STATE(12600), 1,
      sym_attribute,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9745), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [605321] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16069), 1,
      sym_pow_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605355] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [605397] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [605439] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      sym_or_operator,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    ACTIONS(16075), 1,
      sym_rel_operator,
    ACTIONS(16077), 1,
      sym_and_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [605485] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    ACTIONS(16075), 1,
      sym_rel_operator,
    ACTIONS(16077), 1,
      sym_and_operator,
    ACTIONS(16079), 1,
      sym_or_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [605531] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16065), 1,
      anon_sym_COMMA,
    ACTIONS(16067), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    ACTIONS(16073), 1,
      sym_concat_operator,
    ACTIONS(16075), 1,
      sym_rel_operator,
    ACTIONS(16077), 1,
      sym_and_operator,
    ACTIONS(16079), 1,
      sym_or_operator,
    ACTIONS(16081), 1,
      sym_assign_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605581] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6261), 1,
      anon_sym_LBRACK,
    ACTIONS(6269), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6273), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16157), 1,
      sym__lowercase_identifier,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    ACTIONS(16161), 1,
      anon_sym_LBRACE,
    ACTIONS(16163), 1,
      sym__uppercase_identifier,
    STATE(6656), 1,
      sym__value_name,
    STATE(6922), 1,
      sym_parenthesized_operator,
    STATE(6960), 1,
      sym__constructor_name,
    STATE(12607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6817), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605629] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16069), 1,
      sym_pow_operator,
    ACTIONS(16071), 1,
      sym_mult_operator,
    STATE(2284), 1,
      sym_add_operator,
    STATE(12608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605665] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15954), 1,
      anon_sym_and,
    STATE(12609), 1,
      sym_attribute,
    STATE(12633), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605697] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15990), 1,
      anon_sym_and,
    STATE(12535), 1,
      aux_sym_module_definition_repeat1,
    STATE(12610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14602), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605729] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9710), 1,
      anon_sym_let,
    ACTIONS(9716), 1,
      anon_sym_object,
    ACTIONS(12218), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12220), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15792), 1,
      sym__lowercase_identifier,
    ACTIONS(15794), 1,
      anon_sym_LBRACK,
    STATE(10677), 1,
      sym__simple_class_type,
    STATE(12611), 1,
      sym_attribute,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9745), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [605775] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16101), 1,
      anon_sym_and,
    STATE(12581), 1,
      aux_sym_class_definition_repeat1,
    STATE(12612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14537), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605807] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15954), 1,
      anon_sym_and,
    STATE(12613), 1,
      sym_attribute,
    STATE(12637), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14553), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605839] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15954), 1,
      anon_sym_and,
    STATE(12613), 1,
      aux_sym_type_definition_repeat1,
    STATE(12614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14580), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605871] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15829), 1,
      anon_sym_and,
    STATE(12543), 1,
      aux_sym_class_definition_repeat1,
    STATE(12615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14537), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605903] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8338), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16165), 1,
      sym__lowercase_identifier,
    ACTIONS(16167), 1,
      anon_sym_LPAREN,
    ACTIONS(16169), 1,
      anon_sym_LBRACE,
    ACTIONS(16171), 1,
      sym__uppercase_identifier,
    STATE(7182), 1,
      sym__value_name,
    STATE(7199), 1,
      sym_parenthesized_operator,
    STATE(7308), 1,
      sym__constructor_name,
    STATE(12616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7241), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605951] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605987] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1083), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1095), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16173), 1,
      sym__lowercase_identifier,
    ACTIONS(16175), 1,
      anon_sym_LPAREN,
    ACTIONS(16177), 1,
      anon_sym_LBRACE,
    ACTIONS(16179), 1,
      sym__uppercase_identifier,
    STATE(5109), 1,
      sym_parenthesized_operator,
    STATE(5113), 1,
      sym__value_name,
    STATE(5121), 1,
      sym__constructor_name,
    STATE(12618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5196), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606035] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8364), 1,
      anon_sym_LBRACK,
    ACTIONS(8372), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8376), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16181), 1,
      sym__lowercase_identifier,
    ACTIONS(16183), 1,
      anon_sym_LPAREN,
    ACTIONS(16185), 1,
      anon_sym_LBRACE,
    ACTIONS(16187), 1,
      sym__uppercase_identifier,
    STATE(9355), 1,
      sym__constructor_name,
    STATE(9502), 1,
      sym__value_name,
    STATE(9517), 1,
      sym_parenthesized_operator,
    STATE(12619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9629), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606083] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606115] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11872), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16189), 1,
      anon_sym_STAR,
    STATE(12621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606147] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_with,
    ACTIONS(15748), 1,
      anon_sym_COMMA,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    ACTIONS(15760), 1,
      sym_rel_operator,
    ACTIONS(15762), 1,
      sym_and_operator,
    ACTIONS(15764), 1,
      sym_or_operator,
    ACTIONS(15766), 1,
      sym_assign_operator,
    ACTIONS(16191), 1,
      anon_sym_SEMI,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606199] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16193), 1,
      sym__lowercase_identifier,
    ACTIONS(16195), 1,
      anon_sym_LPAREN,
    ACTIONS(16197), 1,
      anon_sym_LBRACE,
    ACTIONS(16199), 1,
      sym__uppercase_identifier,
    STATE(5120), 1,
      sym__constructor_name,
    STATE(5128), 1,
      sym_parenthesized_operator,
    STATE(5217), 1,
      sym__value_name,
    STATE(12623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5218), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606247] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15708), 1,
      anon_sym_COMMA,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    ACTIONS(15720), 1,
      sym_rel_operator,
    ACTIONS(15722), 1,
      sym_and_operator,
    ACTIONS(15724), 1,
      sym_or_operator,
    ACTIONS(15726), 1,
      sym_assign_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10173), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606297] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    ACTIONS(15720), 1,
      sym_rel_operator,
    ACTIONS(15722), 1,
      sym_and_operator,
    ACTIONS(15724), 1,
      sym_or_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [606343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16201), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12626), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8895), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606373] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10140), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606405] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12793), 1,
      sym_pow_operator,
    ACTIONS(12795), 1,
      sym_mult_operator,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      sym_concat_operator,
    ACTIONS(12809), 1,
      sym_and_operator,
    ACTIONS(12811), 1,
      sym_or_operator,
    ACTIONS(12813), 1,
      sym_assign_operator,
    ACTIONS(14097), 1,
      sym_rel_operator,
    STATE(1780), 1,
      sym_add_operator,
    STATE(12628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16204), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16206), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12629), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14487), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606485] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16101), 1,
      anon_sym_and,
    STATE(12629), 1,
      aux_sym_class_definition_repeat1,
    STATE(12630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14857), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606517] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(16209), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12631), 1,
      sym_attribute,
    STATE(12842), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16211), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606557] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15748), 1,
      anon_sym_COMMA,
    ACTIONS(15752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15754), 1,
      sym_pow_operator,
    ACTIONS(15756), 1,
      sym_mult_operator,
    ACTIONS(15758), 1,
      sym_concat_operator,
    ACTIONS(15760), 1,
      sym_rel_operator,
    ACTIONS(15762), 1,
      sym_and_operator,
    ACTIONS(15764), 1,
      sym_or_operator,
    ACTIONS(15766), 1,
      sym_assign_operator,
    STATE(1830), 1,
      sym_add_operator,
    STATE(12632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10155), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606607] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15954), 1,
      anon_sym_and,
    STATE(12633), 1,
      sym_attribute,
    STATE(12637), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606639] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14954), 1,
      anon_sym_COMMA,
    ACTIONS(14956), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14958), 1,
      sym_pow_operator,
    ACTIONS(14960), 1,
      sym_mult_operator,
    ACTIONS(14962), 1,
      sym_concat_operator,
    ACTIONS(14964), 1,
      sym_rel_operator,
    ACTIONS(14966), 1,
      sym_and_operator,
    ACTIONS(14968), 1,
      sym_or_operator,
    ACTIONS(14970), 1,
      sym_assign_operator,
    STATE(1978), 1,
      sym_add_operator,
    STATE(12634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15853), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606689] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10175), 1,
      sym_or_operator,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    ACTIONS(15720), 1,
      sym_rel_operator,
    ACTIONS(15722), 1,
      sym_and_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [606735] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [606777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16213), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12637), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14373), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606807] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(429), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(441), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16216), 1,
      sym__lowercase_identifier,
    ACTIONS(16218), 1,
      anon_sym_LPAREN,
    ACTIONS(16220), 1,
      anon_sym_LBRACE,
    ACTIONS(16222), 1,
      sym__uppercase_identifier,
    STATE(3547), 1,
      sym__constructor_name,
    STATE(3584), 1,
      sym__value_name,
    STATE(3593), 1,
      sym_parenthesized_operator,
    STATE(12638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3579), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606855] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    ACTIONS(15718), 1,
      sym_concat_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10173), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [606897] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15714), 1,
      sym_pow_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606931] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15714), 1,
      sym_pow_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606965] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15714), 1,
      sym_pow_operator,
    ACTIONS(15716), 1,
      sym_mult_operator,
    STATE(2110), 1,
      sym_add_operator,
    STATE(12642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10071), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10177), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607005] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16224), 1,
      sym__lowercase_identifier,
    ACTIONS(16226), 1,
      anon_sym_LPAREN,
    ACTIONS(16228), 1,
      anon_sym_LBRACE,
    ACTIONS(16230), 1,
      sym__uppercase_identifier,
    STATE(4317), 1,
      sym_parenthesized_operator,
    STATE(4397), 1,
      sym__value_name,
    STATE(4404), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4396), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607053] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15954), 1,
      anon_sym_and,
    STATE(12502), 1,
      aux_sym_type_definition_repeat1,
    STATE(12644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607085] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(16234), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16232), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607118] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    STATE(12646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [607147] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14878), 1,
      sym__lowercase_identifier,
    STATE(12644), 1,
      sym_type_binding,
    STATE(12647), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14752), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(19991), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607198] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14878), 1,
      sym__lowercase_identifier,
    STATE(11616), 1,
      sym_type_binding,
    STATE(12648), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14752), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(19991), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607249] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14612), 1,
      sym__lowercase_identifier,
    STATE(11730), 1,
      sym_type_binding,
    STATE(12649), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14590), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20028), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607300] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14562), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    STATE(11616), 1,
      sym_type_binding,
    STATE(12650), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14642), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20013), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607351] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14918), 1,
      sym__lowercase_identifier,
    STATE(11926), 1,
      sym_type_binding,
    STATE(12651), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14805), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607402] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14562), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    STATE(12549), 1,
      sym_type_binding,
    STATE(12652), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14642), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20013), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607453] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12653), 1,
      sym_attribute,
    STATE(12920), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16238), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607490] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14918), 1,
      sym__lowercase_identifier,
    STATE(11616), 1,
      sym_type_binding,
    STATE(12654), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14805), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607541] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16240), 1,
      anon_sym_COLON_GT,
    ACTIONS(16242), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12655), 1,
      sym_attribute,
    STATE(12932), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16244), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607578] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14562), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    STATE(12463), 1,
      sym_type_binding,
    STATE(12656), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14642), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20013), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607629] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16246), 1,
      anon_sym_COLON_GT,
    ACTIONS(16248), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12657), 1,
      sym_attribute,
    STATE(12895), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16250), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607666] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10498), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607703] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14878), 1,
      sym__lowercase_identifier,
    STATE(12609), 1,
      sym_type_binding,
    STATE(12659), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14752), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(19991), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607754] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15641), 1,
      anon_sym_LPAREN,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12660), 1,
      sym_attribute,
    STATE(13056), 1,
      sym__simple_module_expression,
    STATE(13992), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607797] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10578), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607834] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15641), 1,
      anon_sym_LPAREN,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12662), 1,
      sym_attribute,
    STATE(13056), 1,
      sym__simple_module_expression,
    STATE(13989), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10820), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607877] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15641), 1,
      anon_sym_LPAREN,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12663), 1,
      sym_attribute,
    STATE(13056), 1,
      sym__simple_module_expression,
    STATE(13988), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607920] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14918), 1,
      sym__lowercase_identifier,
    STATE(11890), 1,
      sym_type_binding,
    STATE(12664), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14805), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [607971] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_COLON2,
    STATE(12665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9038), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608002] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16254), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608029] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16256), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608056] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16258), 1,
      anon_sym_COLON_GT,
    ACTIONS(16260), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12668), 1,
      sym_attribute,
    STATE(12825), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16262), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608093] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10923), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608120] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14612), 1,
      sym__lowercase_identifier,
    STATE(11889), 1,
      sym_type_binding,
    STATE(12670), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14590), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20028), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [608171] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    STATE(12671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608202] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    ACTIONS(14612), 1,
      sym__lowercase_identifier,
    STATE(11616), 1,
      sym_type_binding,
    STATE(12672), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14590), 1,
      sym__type_params,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    STATE(20028), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [608253] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8020), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11206), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608336] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11092), 1,
      anon_sym_in,
    ACTIONS(15641), 1,
      anon_sym_LPAREN,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12676), 1,
      sym_attribute,
    STATE(13056), 1,
      sym__simple_module_expression,
    STATE(14457), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608378] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9354), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12238), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(16264), 1,
      anon_sym_private,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(11606), 1,
      sym_constructor_declaration,
    STATE(12677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12242), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10785), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [608424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11230), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11246), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11290), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11292), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11380), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11382), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11218), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608564] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7015), 1,
      anon_sym_COLON2,
    ACTIONS(16268), 1,
      anon_sym_DOT_DOT,
    STATE(12683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7011), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [608594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11296), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11298), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608622] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9194), 1,
      anon_sym_PIPE,
    ACTIONS(9372), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11901), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16270), 1,
      anon_sym_private,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(12685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11905), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10220), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [608668] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13693), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    STATE(12686), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14601), 1,
      sym__type_params,
    STATE(15253), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [608716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11210), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11238), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11400), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11562), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11358), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608856] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13693), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    STATE(12692), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14378), 1,
      sym__type_params,
    STATE(15779), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [608904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9038), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16274), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16272), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [608960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11362), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [608988] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13693), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    STATE(12696), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14728), 1,
      sym__type_params,
    STATE(15541), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11198), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11370), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10846), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_COLON2,
    STATE(12700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [609148] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9358), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12238), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16276), 1,
      anon_sym_private,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(11606), 1,
      sym_constructor_declaration,
    STATE(12701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12242), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10870), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [609194] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(16278), 1,
      anon_sym_DASH_GT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12702), 1,
      sym_attribute,
    STATE(12920), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16238), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11202), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609258] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9346), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11937), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16280), 1,
      anon_sym_private,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10926), 1,
      sym_constructor_declaration,
    STATE(12704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11939), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10194), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [609304] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13693), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    STATE(12705), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14369), 1,
      sym__type_params,
    STATE(16253), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11492), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11494), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11402), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11404), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11182), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11420), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609464] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    STATE(12710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 12,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [609492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8028), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8024), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11170), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11172), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8920), 1,
      anon_sym_COLON2,
    STATE(12714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8922), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [609604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11442), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11482), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8016), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11490), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609716] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    STATE(12719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15099), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16284), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12720), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8691), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8693), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [609778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16287), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12721), 1,
      sym_attribute,
    STATE(12826), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16289), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11466), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609840] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_in,
    ACTIONS(15641), 1,
      anon_sym_LPAREN,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12723), 1,
      sym_attribute,
    STATE(13056), 1,
      sym__simple_module_expression,
    STATE(14427), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609882] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16291), 1,
      sym__lowercase_identifier,
    ACTIONS(16293), 1,
      anon_sym_POUND,
    STATE(12724), 1,
      sym_attribute,
    STATE(13000), 1,
      sym_type_constructor_path,
    STATE(17105), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10880), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [609920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16297), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16295), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [609948] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14976), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    STATE(12726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609980] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7497), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12727), 1,
      sym_attribute,
    STATE(12945), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7501), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610014] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16299), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12728), 1,
      sym_attribute,
    STATE(12948), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16301), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610048] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7547), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12729), 1,
      sym_attribute,
    STATE(12868), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7551), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610082] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    ACTIONS(15812), 1,
      anon_sym_as,
    STATE(12730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14983), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610114] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16303), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12731), 1,
      sym_attribute,
    STATE(12872), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16305), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610148] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16307), 1,
      aux_sym_attribute_id_token1,
    STATE(12720), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8778), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8780), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [610180] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9316), 1,
      anon_sym_PIPE,
    ACTIONS(9342), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12254), 1,
      anon_sym_LPAREN,
    ACTIONS(12256), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16309), 1,
      anon_sym_private,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(11559), 1,
      sym_constructor_declaration,
    STATE(12733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12258), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10922), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [610226] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13693), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    STATE(12734), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14523), 1,
      sym__type_params,
    STATE(16172), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610274] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16307), 1,
      aux_sym_attribute_id_token1,
    STATE(12732), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8752), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8754), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [610306] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13693), 1,
      sym__lowercase_identifier,
    ACTIONS(14564), 1,
      anon_sym_LPAREN,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(14572), 1,
      anon_sym__,
    STATE(12736), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(14433), 1,
      sym__type_params,
    STATE(16168), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(16345), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610354] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9356), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11937), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16311), 1,
      anon_sym_private,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10926), 1,
      sym_constructor_declaration,
    STATE(12737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11939), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10357), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [610400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9038), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610428] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9316), 1,
      anon_sym_PIPE,
    ACTIONS(9340), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12254), 1,
      anon_sym_LPAREN,
    ACTIONS(12256), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16313), 1,
      anon_sym_private,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(11559), 1,
      sym_constructor_declaration,
    STATE(12739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12258), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10948), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [610474] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16317), 1,
      anon_sym_as,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12740), 1,
      sym_attribute,
    STATE(12765), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16315), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8988), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610536] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7529), 1,
      anon_sym_EQ,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12742), 1,
      sym_attribute,
    STATE(12837), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7533), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8988), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610598] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16321), 1,
      anon_sym_as,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12744), 1,
      sym_attribute,
    STATE(12827), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16319), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610632] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16291), 1,
      sym__lowercase_identifier,
    ACTIONS(16323), 1,
      anon_sym_POUND,
    STATE(12745), 1,
      sym_attribute,
    STATE(12985), 1,
      sym_type_constructor_path,
    STATE(17105), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10872), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [610670] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11492), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [610700] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16291), 1,
      sym__lowercase_identifier,
    ACTIONS(16323), 1,
      anon_sym_POUND,
    STATE(12747), 1,
      sym_attribute,
    STATE(12985), 1,
      sym_type_constructor_path,
    STATE(17105), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10866), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [610738] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9194), 1,
      anon_sym_PIPE,
    ACTIONS(9368), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11901), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16325), 1,
      anon_sym_private,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(12748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11905), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10234), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [610784] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7356), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_in,
    ACTIONS(15641), 1,
      anon_sym_LPAREN,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12749), 1,
      sym_attribute,
    STATE(13056), 1,
      sym__simple_module_expression,
    STATE(14422), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13037), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610826] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16327), 1,
      anon_sym_RPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12750), 1,
      sym_attribute,
    STATE(19612), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610865] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16331), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12751), 1,
      sym_attribute,
    STATE(19454), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610904] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13602), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610935] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16333), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610966] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16335), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12754), 1,
      sym_attribute,
    STATE(19985), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611005] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12755), 1,
      sym_attribute,
    STATE(12828), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13598), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611036] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16337), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12756), 1,
      sym_attribute,
    STATE(18958), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611075] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13598), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611106] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16339), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12758), 1,
      sym_attribute,
    STATE(17538), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611145] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16341), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12759), 1,
      sym_attribute,
    STATE(17527), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9498), 1,
      anon_sym_COLON2,
    STATE(12760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [611211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9494), 1,
      anon_sym_COLON2,
    STATE(12761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [611238] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16343), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7533), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611300] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16345), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12764), 1,
      sym_attribute,
    STATE(18391), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611339] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16319), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611370] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16347), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12766), 1,
      sym_attribute,
    STATE(18309), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      anon_sym_COLON2,
    STATE(12767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [611436] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16262), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611467] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16349), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12769), 1,
      sym_attribute,
    STATE(17618), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611506] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12770), 1,
      sym_attribute,
    STATE(12832), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16351), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611537] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16353), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12771), 1,
      sym_attribute,
    STATE(19972), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611576] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16355), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12772), 1,
      sym_attribute,
    STATE(18976), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611615] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16357), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611646] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16359), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12774), 1,
      sym_attribute,
    STATE(20160), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611685] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16361), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9502), 1,
      anon_sym_COLON2,
    STATE(12776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [611743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16365), 1,
      anon_sym_COLON2,
    STATE(12777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16363), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [611770] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16367), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12778), 1,
      sym_attribute,
    STATE(20021), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_COLON2,
    STATE(12779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9508), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [611836] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12757), 1,
      aux_sym_expression_item_repeat1,
    STATE(12780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611867] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16369), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12781), 1,
      sym_attribute,
    STATE(18989), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611906] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12752), 1,
      aux_sym_expression_item_repeat1,
    STATE(12782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13586), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13586), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611968] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16371), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12784), 1,
      sym_attribute,
    STATE(18491), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612007] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16373), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12785), 1,
      sym_attribute,
    STATE(18099), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612046] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12783), 1,
      aux_sym_expression_item_repeat1,
    STATE(12786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13360), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612077] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16375), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12787), 1,
      sym_attribute,
    STATE(20215), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612116] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16377), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12788), 1,
      sym_attribute,
    STATE(18547), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612155] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16379), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12789), 1,
      sym_attribute,
    STATE(19832), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612194] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11937), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16381), 1,
      anon_sym_DOT_DOT,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10926), 1,
      sym_constructor_declaration,
    STATE(12790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11939), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10192), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612237] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16383), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12791), 1,
      sym_attribute,
    STATE(18558), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612276] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16385), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12792), 1,
      sym_attribute,
    STATE(19007), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612315] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16387), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12793), 1,
      sym_attribute,
    STATE(18179), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612354] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16389), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12794), 1,
      sym_attribute,
    STATE(19807), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612393] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16211), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7015), 1,
      anon_sym_COLON2,
    STATE(12796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7011), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [612451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16393), 1,
      anon_sym_COLON2,
    STATE(12797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16391), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [612478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16397), 1,
      anon_sym_COLON2,
    STATE(12798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16395), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [612505] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12238), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16399), 1,
      anon_sym_DOT_DOT,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(11606), 1,
      sym_constructor_declaration,
    STATE(12799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12242), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10788), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612548] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16401), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12800), 1,
      sym_attribute,
    STATE(19117), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612587] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16403), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12801), 1,
      sym_attribute,
    STATE(18564), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612626] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16405), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12802), 1,
      sym_attribute,
    STATE(19161), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612665] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16407), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12803), 1,
      sym_attribute,
    STATE(18691), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612704] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16409), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12804), 1,
      sym_attribute,
    STATE(20236), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612743] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16411), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12805), 1,
      sym_attribute,
    STATE(19099), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612782] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16413), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612813] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16415), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12807), 1,
      sym_attribute,
    STATE(19133), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612852] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16417), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12808), 1,
      sym_attribute,
    STATE(19649), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612891] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12809), 1,
      sym_attribute,
    STATE(12845), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16419), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9074), 1,
      anon_sym_COLON2,
    STATE(12810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [612949] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16421), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12811), 1,
      sym_attribute,
    STATE(19608), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612988] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16423), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613019] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12773), 1,
      aux_sym_expression_item_repeat1,
    STATE(12813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16425), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613050] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16427), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12814), 1,
      sym_attribute,
    STATE(18915), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613089] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16429), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12815), 1,
      sym_attribute,
    STATE(18762), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613128] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16431), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613159] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16433), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12817), 1,
      sym_attribute,
    STATE(18934), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613198] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12238), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16435), 1,
      anon_sym_DOT_DOT,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(11606), 1,
      sym_constructor_declaration,
    STATE(12818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12242), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10779), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [613241] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12819), 1,
      sym_attribute,
    STATE(12848), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16437), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613272] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16439), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613303] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16441), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12821), 1,
      sym_attribute,
    STATE(19653), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613342] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12822), 1,
      sym_attribute,
    STATE(12850), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16443), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613373] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16244), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613404] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12824), 1,
      sym_attribute,
    STATE(12937), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16445), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15996), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613466] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16447), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613497] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16449), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613528] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13380), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613559] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16451), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12829), 1,
      sym_attribute,
    STATE(17380), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613598] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12830), 1,
      sym_attribute,
    STATE(12943), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16449), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613629] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16453), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613660] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16455), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613691] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16457), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12833), 1,
      sym_attribute,
    STATE(18889), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613730] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7501), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613761] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12835), 1,
      sym_attribute,
    STATE(12946), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16459), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613792] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16461), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12836), 1,
      sym_attribute,
    STATE(19583), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613831] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16301), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613862] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16463), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12838), 1,
      sym_attribute,
    STATE(18597), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613901] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12839), 1,
      sym_attribute,
    STATE(12853), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16465), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613932] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16467), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12840), 1,
      sym_attribute,
    STATE(19460), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613971] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12841), 1,
      sym_attribute,
    STATE(12854), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16469), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614002] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16471), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614033] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16473), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12843), 1,
      sym_attribute,
    STATE(17752), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614072] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12762), 1,
      aux_sym_expression_item_repeat1,
    STATE(12844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614103] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16477), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_COLON2,
    STATE(12846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614161] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16479), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12847), 1,
      sym_attribute,
    STATE(19343), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614200] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16481), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614231] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16483), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12849), 1,
      sym_attribute,
    STATE(19430), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614270] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16485), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614301] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12851), 1,
      sym_attribute,
    STATE(12860), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614332] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16489), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12852), 1,
      sym_attribute,
    STATE(20185), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614371] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16491), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16493), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614433] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16495), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12855), 1,
      sym_attribute,
    STATE(17537), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614472] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12856), 1,
      sym_attribute,
    STATE(12861), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16497), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614503] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16499), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12857), 1,
      sym_attribute,
    STATE(18011), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614542] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16501), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12858), 1,
      sym_attribute,
    STATE(17503), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614581] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16503), 1,
      aux_sym_attribute_id_token1,
    STATE(12859), 1,
      sym_attribute,
    STATE(12926), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8754), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614610] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16505), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614641] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16507), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614672] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12831), 1,
      aux_sym_expression_item_repeat1,
    STATE(12862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16509), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614703] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16511), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12863), 1,
      sym_attribute,
    STATE(19304), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614742] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16513), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12864), 1,
      sym_attribute,
    STATE(17662), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614781] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16515), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12865), 1,
      sym_attribute,
    STATE(18804), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9082), 1,
      anon_sym_COLON2,
    STATE(12866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614847] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16517), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16289), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7908), 1,
      anon_sym_COLON2,
    STATE(12869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [614936] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16519), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12870), 1,
      sym_attribute,
    STATE(17581), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614975] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12820), 1,
      aux_sym_expression_item_repeat1,
    STATE(12871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16521), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615006] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16523), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615037] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12816), 1,
      aux_sym_expression_item_repeat1,
    STATE(12873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16525), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615068] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16527), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12874), 1,
      sym_attribute,
    STATE(19410), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615107] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16529), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615138] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9194), 1,
      anon_sym_PIPE,
    ACTIONS(11901), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16531), 1,
      anon_sym_DOT_DOT,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(12876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11905), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10233), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [615181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9510), 1,
      anon_sym_COLON2,
    STATE(12877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615208] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9486), 1,
      anon_sym_COLON2,
    STATE(12878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615235] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16533), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615266] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16535), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615297] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_COLON2,
    STATE(12881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9514), 1,
      anon_sym_COLON2,
    STATE(12882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615351] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16537), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12883), 1,
      sym_attribute,
    STATE(19328), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615390] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16250), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615421] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16539), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12885), 1,
      sym_attribute,
    STATE(17690), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615460] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_COLON2,
    STATE(12886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615487] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16541), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12887), 1,
      sym_attribute,
    STATE(18136), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615526] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16543), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12888), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615565] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16545), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615596] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16547), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12890), 1,
      sym_attribute,
    STATE(20001), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615635] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16549), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12891), 1,
      sym_attribute,
    STATE(19555), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615674] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11937), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16551), 1,
      anon_sym_DOT_DOT,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10926), 1,
      sym_constructor_declaration,
    STATE(12892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11939), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10381), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [615717] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12812), 1,
      aux_sym_expression_item_repeat1,
    STATE(12893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16553), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615748] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16555), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12894), 1,
      sym_attribute,
    STATE(19472), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615787] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15810), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8691), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8693), 7,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
  [615845] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16557), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12897), 1,
      sym_attribute,
    STATE(19781), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615884] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12806), 1,
      aux_sym_expression_item_repeat1,
    STATE(12898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16559), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615915] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16561), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12899), 1,
      sym_attribute,
    STATE(19424), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9062), 1,
      anon_sym_COLON2,
    STATE(12900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615981] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16563), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12901), 1,
      sym_attribute,
    STATE(19938), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616020] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16565), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12902), 1,
      sym_attribute,
    STATE(17755), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616059] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16567), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12903), 1,
      sym_attribute,
    STATE(17922), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616098] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12775), 1,
      aux_sym_expression_item_repeat1,
    STATE(12904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16569), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616129] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16571), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12905), 1,
      sym_attribute,
    STATE(17613), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616168] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16573), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616199] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15873), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616230] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16575), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12908), 1,
      sym_attribute,
    STATE(17867), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616269] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16577), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12909), 1,
      sym_attribute,
    STATE(19148), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616308] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16579), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12910), 1,
      sym_attribute,
    STATE(19676), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616347] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_COLON2,
    STATE(12911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9038), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [616376] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16581), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12912), 1,
      sym_attribute,
    STATE(18065), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616415] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16583), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12913), 1,
      sym_attribute,
    STATE(20210), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616454] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9316), 1,
      anon_sym_PIPE,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12254), 1,
      anon_sym_LPAREN,
    ACTIONS(12256), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16585), 1,
      anon_sym_DOT_DOT,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(11559), 1,
      sym_constructor_declaration,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12258), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10924), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [616497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16587), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12915), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8693), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616524] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16590), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12916), 1,
      sym_attribute,
    STATE(18926), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616563] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16592), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12917), 1,
      sym_attribute,
    STATE(19375), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616602] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16594), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12918), 1,
      sym_attribute,
    STATE(17748), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616641] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16596), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12919), 1,
      sym_attribute,
    STATE(17912), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616680] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16598), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16602), 1,
      anon_sym_COLON2,
    STATE(12921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16600), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616738] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12906), 1,
      aux_sym_expression_item_repeat1,
    STATE(12922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16604), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9482), 1,
      anon_sym_COLON2,
    STATE(12923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616796] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16606), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12924), 1,
      sym_attribute,
    STATE(20225), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16610), 1,
      anon_sym_COLON2,
    STATE(12925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16608), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16503), 1,
      aux_sym_attribute_id_token1,
    STATE(12915), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8780), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616891] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16614), 1,
      anon_sym_COLON2,
    STATE(12927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16612), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616918] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16618), 1,
      anon_sym_COLON2,
    STATE(12928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9478), 1,
      anon_sym_COLON2,
    STATE(12929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616972] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12930), 1,
      sym_attribute,
    STATE(17818), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      anon_sym_COLON2,
    STATE(12931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617038] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15851), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9470), 1,
      anon_sym_COLON2,
    STATE(12933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9464), 1,
      anon_sym_COLON2,
    STATE(12934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617123] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16622), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12935), 1,
      sym_attribute,
    STATE(19747), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617162] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15944), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617193] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16624), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617224] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12880), 1,
      aux_sym_expression_item_repeat1,
    STATE(12938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16626), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_COLON2,
    STATE(12939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617282] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12879), 1,
      aux_sym_expression_item_repeat1,
    STATE(12940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16628), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617313] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9316), 1,
      anon_sym_PIPE,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12254), 1,
      anon_sym_LPAREN,
    ACTIONS(12256), 1,
      anon_sym_LBRACK,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16630), 1,
      anon_sym_DOT_DOT,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(11559), 1,
      sym_constructor_declaration,
    STATE(12941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12258), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10911), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [617356] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11872), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16632), 1,
      anon_sym_STAR,
    STATE(12942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617385] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16628), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617416] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12875), 1,
      aux_sym_expression_item_repeat1,
    STATE(12944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16634), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617447] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16305), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617478] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16636), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617509] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12867), 1,
      aux_sym_expression_item_repeat1,
    STATE(12947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16638), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617540] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16640), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617571] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16642), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12949), 1,
      sym_attribute,
    STATE(19778), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9518), 1,
      anon_sym_COLON2,
    STATE(12950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617637] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16646), 1,
      anon_sym_LPAREN,
    ACTIONS(16648), 1,
      anon_sym_COLON2,
    STATE(12951), 1,
      sym_attribute,
    STATE(13100), 1,
      aux_sym_module_binding_repeat1,
    STATE(13537), 1,
      sym__module_typed,
    STATE(13633), 1,
      sym_module_parameter,
    STATE(13997), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11614), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16644), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [617680] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7551), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617711] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16650), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12953), 1,
      sym_attribute,
    STATE(18795), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617750] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16652), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12954), 1,
      sym_attribute,
    STATE(18748), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617789] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16654), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12955), 1,
      sym_attribute,
    STATE(19840), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9456), 1,
      anon_sym_COLON2,
    STATE(12956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8962), 1,
      anon_sym_COLON2,
    STATE(12957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617882] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16656), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12958), 1,
      sym_attribute,
    STATE(17835), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617921] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16658), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12959), 1,
      sym_attribute,
    STATE(17744), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617960] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9452), 1,
      anon_sym_COLON2,
    STATE(12960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16662), 1,
      anon_sym_COLON2,
    STATE(12961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16660), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618014] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      anon_sym_COLON2,
    STATE(12962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16664), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618041] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16646), 1,
      anon_sym_LPAREN,
    ACTIONS(16648), 1,
      anon_sym_COLON2,
    STATE(12951), 1,
      aux_sym_module_binding_repeat1,
    STATE(12963), 1,
      sym_attribute,
    STATE(13591), 1,
      sym__module_typed,
    STATE(13633), 1,
      sym_module_parameter,
    STATE(14005), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11664), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16668), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [618084] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16670), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12964), 1,
      sym_attribute,
    STATE(17900), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618123] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9194), 1,
      anon_sym_PIPE,
    ACTIONS(11901), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(16266), 1,
      anon_sym_LBRACE,
    ACTIONS(16672), 1,
      anon_sym_DOT_DOT,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(12965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11905), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10315), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [618166] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(16674), 1,
      anon_sym_RPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12966), 1,
      sym_attribute,
    STATE(19587), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8028), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11246), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618257] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(16234), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16278), 1,
      anon_sym_DASH_GT,
    STATE(12969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16232), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618287] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12970), 1,
      sym_attribute,
    STATE(12997), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16676), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618317] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16678), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11198), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618373] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [618397] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(16278), 1,
      anon_sym_DASH_GT,
    STATE(12974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14983), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618427] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(16278), 1,
      anon_sym_DASH_GT,
    STATE(12975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15099), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10251), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(10253), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [618483] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14976), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(16278), 1,
      anon_sym_DASH_GT,
    STATE(12977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16680), 1,
      anon_sym_DOT,
    STATE(12978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [618539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12979), 1,
      sym_attribute,
    STATE(12983), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16682), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11492), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11494), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11490), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11482), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618647] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16684), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11442), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11170), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11172), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618729] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16686), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618759] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11420), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11402), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11404), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618811] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12971), 1,
      aux_sym_expression_item_repeat1,
    STATE(12989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16688), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618841] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8693), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [618865] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12986), 1,
      aux_sym_expression_item_repeat1,
    STATE(12991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16690), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11400), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11380), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11382), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8024), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618973] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    STATE(8794), 1,
      sym__simple_module_expression,
    STATE(12995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10498), 2,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    STATE(8805), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619007] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16692), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619037] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9638), 1,
      aux_sym_expression_item_repeat1,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16694), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8020), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8016), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11238), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619145] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [619169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11362), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10846), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11370), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619247] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11182), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11562), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11218), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11210), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619351] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16278), 1,
      anon_sym_DASH_GT,
    STATE(13009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619379] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9985), 1,
      sym_item_attribute,
    STATE(12996), 1,
      aux_sym_expression_item_repeat1,
    STATE(13010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16684), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11466), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11358), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9038), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11296), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11298), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8988), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11202), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619565] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11206), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11290), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11292), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11230), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [619643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(13020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [619668] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16696), 1,
      anon_sym_constraint,
    STATE(13021), 1,
      sym_attribute,
    STATE(13046), 1,
      aux_sym_type_binding_repeat1,
    STATE(13297), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11950), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [619697] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16696), 1,
      anon_sym_constraint,
    STATE(13022), 1,
      sym_attribute,
    STATE(13030), 1,
      aux_sym_type_binding_repeat1,
    STATE(13297), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11950), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [619726] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11266), 1,
      anon_sym_in,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13023), 1,
      sym_attribute,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [619767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(13024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [619792] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10970), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [619815] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11300), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11302), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13026), 1,
      sym_attribute,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [619856] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10996), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [619879] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12089), 1,
      anon_sym_LPAREN,
    ACTIONS(12091), 1,
      anon_sym_LBRACK,
    ACTIONS(16702), 1,
      anon_sym_private,
    ACTIONS(16704), 1,
      anon_sym_PIPE,
    STATE(10446), 1,
      sym_variant_declaration,
    STATE(10688), 1,
      sym__constructor_name,
    STATE(11453), 1,
      sym_constructor_declaration,
    STATE(13028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12093), 2,
      anon_sym_true,
      anon_sym_false,
  [619918] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16696), 1,
      anon_sym_constraint,
    STATE(13021), 1,
      aux_sym_type_binding_repeat1,
    STATE(13029), 1,
      sym_attribute,
    STATE(13297), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12045), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [619947] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16696), 1,
      anon_sym_constraint,
    STATE(13030), 1,
      sym_attribute,
    STATE(13046), 1,
      aux_sym_type_binding_repeat1,
    STATE(13297), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12107), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [619976] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10944), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [619999] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11306), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13032), 1,
      sym_attribute,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [620040] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10948), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620063] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11344), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11346), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13034), 1,
      sym_attribute,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [620104] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10874), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620127] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10888), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620150] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10974), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620173] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10884), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620196] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12416), 1,
      anon_sym_LPAREN,
    ACTIONS(12418), 1,
      anon_sym_LBRACK,
    ACTIONS(16706), 1,
      anon_sym_private,
    ACTIONS(16708), 1,
      anon_sym_PIPE,
    STATE(10446), 1,
      sym_variant_declaration,
    STATE(11230), 1,
      sym__constructor_name,
    STATE(11846), 1,
      sym_constructor_declaration,
    STATE(13039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12420), 2,
      anon_sym_true,
      anon_sym_false,
  [620235] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10940), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620258] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12089), 1,
      anon_sym_LPAREN,
    ACTIONS(12091), 1,
      anon_sym_LBRACK,
    ACTIONS(16704), 1,
      anon_sym_PIPE,
    ACTIONS(16710), 1,
      anon_sym_private,
    STATE(10477), 1,
      sym_variant_declaration,
    STATE(10688), 1,
      sym__constructor_name,
    STATE(11453), 1,
      sym_constructor_declaration,
    STATE(13041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12093), 2,
      anon_sym_true,
      anon_sym_false,
  [620297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16712), 1,
      anon_sym_STAR,
    STATE(13042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [620322] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11390), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11392), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13043), 1,
      sym_attribute,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [620363] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [620386] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_DASH_GT,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(11394), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11396), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13045), 1,
      sym_attribute,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(15371), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [620427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_constraint,
    STATE(13297), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13046), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [620454] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16719), 1,
      anon_sym_COLON2,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    STATE(13047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16717), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [620481] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16727), 1,
      anon_sym_COLON2,
    STATE(13048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16723), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [620510] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16731), 1,
      anon_sym_COLON2,
    STATE(13049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16729), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [620537] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16737), 1,
      anon_sym_COLON2,
    ACTIONS(16739), 1,
      anon_sym_as,
    STATE(13050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16733), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [620570] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12416), 1,
      anon_sym_LPAREN,
    ACTIONS(12418), 1,
      anon_sym_LBRACK,
    ACTIONS(16708), 1,
      anon_sym_PIPE,
    ACTIONS(16741), 1,
      anon_sym_private,
    STATE(10477), 1,
      sym_variant_declaration,
    STATE(11230), 1,
      sym__constructor_name,
    STATE(11846), 1,
      sym_constructor_declaration,
    STATE(13051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12420), 2,
      anon_sym_true,
      anon_sym_false,
  [620609] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4915), 1,
      anon_sym_COLON2,
    ACTIONS(16268), 1,
      anon_sym_DOT_DOT,
    STATE(13052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4913), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [620636] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11976), 1,
      anon_sym_LPAREN,
    ACTIONS(11978), 1,
      anon_sym_LBRACK,
    ACTIONS(16743), 1,
      anon_sym_private,
    ACTIONS(16745), 1,
      anon_sym_PIPE,
    STATE(10446), 1,
      sym_variant_declaration,
    STATE(10749), 1,
      sym__constructor_name,
    STATE(11478), 1,
      sym_constructor_declaration,
    STATE(13053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11980), 2,
      anon_sym_true,
      anon_sym_false,
  [620675] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10892), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620698] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12559), 1,
      anon_sym_LPAREN,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    ACTIONS(16747), 1,
      anon_sym_private,
    ACTIONS(16749), 1,
      anon_sym_PIPE,
    STATE(10446), 1,
      sym_variant_declaration,
    STATE(11334), 1,
      sym__constructor_name,
    STATE(11758), 1,
      sym_constructor_declaration,
    STATE(13055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 2,
      anon_sym_true,
      anon_sym_false,
  [620737] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10936), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620760] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11976), 1,
      anon_sym_LPAREN,
    ACTIONS(11978), 1,
      anon_sym_LBRACK,
    ACTIONS(16745), 1,
      anon_sym_PIPE,
    ACTIONS(16751), 1,
      anon_sym_private,
    STATE(10477), 1,
      sym_variant_declaration,
    STATE(10749), 1,
      sym__constructor_name,
    STATE(11478), 1,
      sym_constructor_declaration,
    STATE(13057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11980), 2,
      anon_sym_true,
      anon_sym_false,
  [620799] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(16755), 1,
      anon_sym_COLON2,
    STATE(13058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16753), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [620832] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620855] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12559), 1,
      anon_sym_LPAREN,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    ACTIONS(16749), 1,
      anon_sym_PIPE,
    ACTIONS(16757), 1,
      anon_sym_private,
    STATE(10477), 1,
      sym_variant_declaration,
    STATE(11334), 1,
      sym__constructor_name,
    STATE(11758), 1,
      sym_constructor_declaration,
    STATE(13060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 2,
      anon_sym_true,
      anon_sym_false,
  [620894] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620917] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16759), 1,
      anon_sym_DASH_GT,
    ACTIONS(16761), 1,
      anon_sym_as,
    STATE(13062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12194), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [620943] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13063), 1,
      sym_attribute,
    STATE(18653), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [620973] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13064), 1,
      sym_attribute,
    STATE(19993), 1,
      sym_escape_sequence,
    STATE(20049), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [621003] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11976), 1,
      anon_sym_LPAREN,
    ACTIONS(11978), 1,
      anon_sym_LBRACK,
    ACTIONS(16745), 1,
      anon_sym_PIPE,
    STATE(10674), 1,
      sym_variant_declaration,
    STATE(10749), 1,
      sym__constructor_name,
    STATE(11478), 1,
      sym_constructor_declaration,
    STATE(13065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11980), 2,
      anon_sym_true,
      anon_sym_false,
  [621039] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16769), 1,
      sym__lowercase_identifier,
    ACTIONS(16771), 1,
      anon_sym_LPAREN,
    ACTIONS(16773), 1,
      anon_sym_LBRACK,
    ACTIONS(16775), 1,
      anon_sym_LBRACE,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    STATE(2900), 1,
      sym_field_path,
    STATE(13066), 1,
      sym_attribute,
    STATE(15109), 1,
      sym_indexing_operator_path,
    STATE(18382), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621077] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13067), 1,
      sym_attribute,
    STATE(18990), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [621107] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16779), 1,
      sym__lowercase_identifier,
    ACTIONS(16781), 1,
      anon_sym_LPAREN,
    ACTIONS(16783), 1,
      anon_sym_LBRACK,
    ACTIONS(16785), 1,
      anon_sym_LBRACE,
    STATE(6173), 1,
      sym_field_path,
    STATE(13068), 1,
      sym_attribute,
    STATE(15340), 1,
      sym_indexing_operator_path,
    STATE(20037), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621145] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12559), 1,
      anon_sym_LPAREN,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    ACTIONS(16749), 1,
      anon_sym_PIPE,
    STATE(10452), 1,
      sym_variant_declaration,
    STATE(11334), 1,
      sym__constructor_name,
    STATE(11758), 1,
      sym_constructor_declaration,
    STATE(13069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 2,
      anon_sym_true,
      anon_sym_false,
  [621181] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16787), 1,
      sym__lowercase_identifier,
    ACTIONS(16789), 1,
      anon_sym_LPAREN,
    ACTIONS(16791), 1,
      anon_sym_LBRACK,
    ACTIONS(16793), 1,
      anon_sym_LBRACE,
    STATE(7192), 1,
      sym_field_path,
    STATE(13070), 1,
      sym_attribute,
    STATE(15373), 1,
      sym_indexing_operator_path,
    STATE(18634), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621219] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13071), 1,
      sym_attribute,
    STATE(19131), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [621249] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13072), 1,
      sym_attribute,
    STATE(17860), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [621279] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [621301] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13074), 1,
      sym_attribute,
    STATE(19066), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [621331] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16795), 1,
      sym__lowercase_identifier,
    ACTIONS(16797), 1,
      anon_sym_LPAREN,
    ACTIONS(16799), 1,
      anon_sym_LBRACK,
    ACTIONS(16801), 1,
      anon_sym_LBRACE,
    STATE(3884), 1,
      sym_field_path,
    STATE(13075), 1,
      sym_attribute,
    STATE(15127), 1,
      sym_indexing_operator_path,
    STATE(18260), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621369] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [621391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11384), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [621415] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16803), 1,
      sym__lowercase_identifier,
    ACTIONS(16805), 1,
      anon_sym_LPAREN,
    ACTIONS(16807), 1,
      anon_sym_LBRACK,
    ACTIONS(16809), 1,
      anon_sym_LBRACE,
    STATE(5410), 1,
      sym_field_path,
    STATE(13078), 1,
      sym_attribute,
    STATE(15066), 1,
      sym_indexing_operator_path,
    STATE(18578), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621453] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13079), 1,
      sym_attribute,
    STATE(19846), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [621483] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13080), 1,
      sym_attribute,
    STATE(19406), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [621513] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6769), 1,
      anon_sym_LBRACK,
    ACTIONS(6779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16811), 1,
      anon_sym_LPAREN,
    ACTIONS(16813), 1,
      anon_sym_LBRACE,
    ACTIONS(16815), 1,
      sym__uppercase_identifier,
    STATE(7496), 1,
      sym__constructor_name,
    STATE(13081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7375), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [621547] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [621569] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16817), 1,
      sym__lowercase_identifier,
    ACTIONS(16819), 1,
      anon_sym_LPAREN,
    ACTIONS(16821), 1,
      anon_sym_LBRACK,
    ACTIONS(16823), 1,
      anon_sym_LBRACE,
    STATE(8954), 1,
      sym_field_path,
    STATE(13083), 1,
      sym_attribute,
    STATE(15203), 1,
      sym_indexing_operator_path,
    STATE(17834), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621607] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16825), 1,
      sym__lowercase_identifier,
    ACTIONS(16827), 1,
      anon_sym_LPAREN,
    ACTIONS(16829), 1,
      anon_sym_LBRACK,
    ACTIONS(16831), 1,
      anon_sym_LBRACE,
    STATE(5818), 1,
      sym_field_path,
    STATE(13084), 1,
      sym_attribute,
    STATE(15104), 1,
      sym_indexing_operator_path,
    STATE(18422), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621645] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13085), 1,
      sym_attribute,
    STATE(19993), 1,
      sym_escape_sequence,
    STATE(20024), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [621675] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16833), 1,
      sym__lowercase_identifier,
    ACTIONS(16835), 1,
      anon_sym_LPAREN,
    ACTIONS(16837), 1,
      anon_sym_LBRACK,
    ACTIONS(16839), 1,
      anon_sym_LBRACE,
    STATE(3831), 1,
      sym_field_path,
    STATE(13086), 1,
      sym_attribute,
    STATE(15259), 1,
      sym_indexing_operator_path,
    STATE(17449), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621713] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10880), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16841), 1,
      anon_sym_POUND,
    STATE(13087), 1,
      sym_attribute,
    STATE(13407), 1,
      sym_type_constructor_path,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [621747] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16843), 1,
      sym__lowercase_identifier,
    ACTIONS(16845), 1,
      anon_sym_LPAREN,
    ACTIONS(16847), 1,
      anon_sym_LBRACK,
    ACTIONS(16849), 1,
      anon_sym_LBRACE,
    STATE(5930), 1,
      sym_field_path,
    STATE(13088), 1,
      sym_attribute,
    STATE(15242), 1,
      sym_indexing_operator_path,
    STATE(17559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4915), 1,
      anon_sym_COLON2,
    STATE(13089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4913), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [621809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8950), 1,
      anon_sym_COLON2,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [621833] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13091), 1,
      sym_attribute,
    STATE(19523), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [621863] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16851), 1,
      sym__lowercase_identifier,
    ACTIONS(16853), 1,
      anon_sym_LPAREN,
    ACTIONS(16855), 1,
      anon_sym_LBRACK,
    ACTIONS(16857), 1,
      anon_sym_LBRACE,
    STATE(5176), 1,
      sym_field_path,
    STATE(13092), 1,
      sym_attribute,
    STATE(15221), 1,
      sym_indexing_operator_path,
    STATE(17724), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [621901] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8954), 1,
      anon_sym_COLON2,
    STATE(13093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [621925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8982), 1,
      anon_sym_COLON2,
    STATE(13094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [621949] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11976), 1,
      anon_sym_LPAREN,
    ACTIONS(11978), 1,
      anon_sym_LBRACK,
    ACTIONS(16745), 1,
      anon_sym_PIPE,
    STATE(10452), 1,
      sym_variant_declaration,
    STATE(10749), 1,
      sym__constructor_name,
    STATE(11478), 1,
      sym_constructor_declaration,
    STATE(13095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11980), 2,
      anon_sym_true,
      anon_sym_false,
  [621985] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16859), 1,
      sym__lowercase_identifier,
    ACTIONS(16861), 1,
      anon_sym_LPAREN,
    ACTIONS(16863), 1,
      anon_sym_LBRACK,
    ACTIONS(16865), 1,
      anon_sym_LBRACE,
    STATE(5934), 1,
      sym_field_path,
    STATE(13096), 1,
      sym_attribute,
    STATE(15163), 1,
      sym_indexing_operator_path,
    STATE(18055), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622023] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13097), 1,
      sym_attribute,
    STATE(19170), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [622053] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16867), 1,
      sym__lowercase_identifier,
    ACTIONS(16869), 1,
      anon_sym_LPAREN,
    ACTIONS(16871), 1,
      anon_sym_LBRACK,
    ACTIONS(16873), 1,
      anon_sym_LBRACE,
    STATE(5919), 1,
      sym_field_path,
    STATE(13098), 1,
      sym_attribute,
    STATE(15185), 1,
      sym_indexing_operator_path,
    STATE(17932), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622091] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16875), 1,
      anon_sym_LPAREN,
    ACTIONS(16877), 1,
      anon_sym_LBRACE,
    ACTIONS(16879), 1,
      sym__uppercase_identifier,
    STATE(5431), 1,
      sym__constructor_name,
    STATE(13099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5701), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [622125] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11710), 1,
      anon_sym_COLON2,
    ACTIONS(16881), 1,
      anon_sym_LPAREN,
    STATE(13633), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13100), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11708), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [622153] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [622175] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7302), 1,
      anon_sym_LBRACK,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16884), 1,
      anon_sym_LPAREN,
    ACTIONS(16886), 1,
      anon_sym_LBRACE,
    ACTIONS(16888), 1,
      sym__uppercase_identifier,
    STATE(8592), 1,
      sym__constructor_name,
    STATE(13102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8749), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [622209] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13103), 1,
      sym_attribute,
    STATE(19033), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [622239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8958), 1,
      anon_sym_COLON2,
    STATE(13104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [622263] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16890), 1,
      sym__lowercase_identifier,
    ACTIONS(16892), 1,
      anon_sym_LPAREN,
    ACTIONS(16894), 1,
      anon_sym_LBRACK,
    ACTIONS(16896), 1,
      anon_sym_LBRACE,
    STATE(3314), 1,
      sym_field_path,
    STATE(13105), 1,
      sym_attribute,
    STATE(15155), 1,
      sym_indexing_operator_path,
    STATE(18096), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622301] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16898), 1,
      sym__lowercase_identifier,
    ACTIONS(16900), 1,
      anon_sym_LPAREN,
    ACTIONS(16902), 1,
      anon_sym_LBRACK,
    ACTIONS(16904), 1,
      anon_sym_LBRACE,
    STATE(6449), 1,
      sym_field_path,
    STATE(13106), 1,
      sym_attribute,
    STATE(15248), 1,
      sym_indexing_operator_path,
    STATE(17504), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622339] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13107), 1,
      sym_attribute,
    STATE(18287), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [622369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8970), 1,
      anon_sym_COLON2,
    STATE(13108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8972), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [622393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8974), 1,
      anon_sym_COLON2,
    STATE(13109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [622417] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13110), 1,
      sym_attribute,
    STATE(18609), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [622447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8978), 1,
      anon_sym_COLON2,
    STATE(13111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [622471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11576), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [622495] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16906), 1,
      sym__lowercase_identifier,
    ACTIONS(16908), 1,
      anon_sym_LPAREN,
    ACTIONS(16910), 1,
      anon_sym_LBRACK,
    ACTIONS(16912), 1,
      anon_sym_LBRACE,
    STATE(7955), 1,
      sym_field_path,
    STATE(13113), 1,
      sym_attribute,
    STATE(15268), 1,
      sym_indexing_operator_path,
    STATE(17395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622533] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16914), 1,
      anon_sym_LPAREN,
    ACTIONS(16916), 1,
      anon_sym_LBRACE,
    ACTIONS(16918), 1,
      sym__uppercase_identifier,
    STATE(9219), 1,
      sym__constructor_name,
    STATE(13114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13884), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [622567] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(16920), 1,
      anon_sym_LPAREN,
    ACTIONS(16922), 1,
      anon_sym_LBRACK,
    STATE(10892), 1,
      sym_constructor_declaration,
    STATE(11403), 1,
      sym__constructor_name,
    STATE(13115), 1,
      sym_attribute,
    STATE(13549), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16924), 2,
      anon_sym_true,
      anon_sym_false,
  [622603] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13116), 1,
      sym_attribute,
    STATE(18493), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [622633] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7029), 1,
      anon_sym_LBRACK,
    ACTIONS(7039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16926), 1,
      anon_sym_LPAREN,
    ACTIONS(16928), 1,
      anon_sym_LBRACE,
    ACTIONS(16930), 1,
      sym__uppercase_identifier,
    STATE(7894), 1,
      sym__constructor_name,
    STATE(13117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7798), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [622667] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13118), 1,
      sym_attribute,
    STATE(19993), 1,
      sym_escape_sequence,
    STATE(20056), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [622697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(10846), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [622721] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13120), 1,
      sym_attribute,
    STATE(19890), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [622751] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8264), 1,
      anon_sym_LBRACK,
    ACTIONS(8268), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16113), 1,
      sym__uppercase_identifier,
    ACTIONS(16932), 1,
      anon_sym_LPAREN,
    ACTIONS(16934), 1,
      anon_sym_LBRACE,
    STATE(7995), 1,
      sym__constructor_name,
    STATE(13121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13893), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [622785] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16936), 1,
      sym__lowercase_identifier,
    ACTIONS(16938), 1,
      anon_sym_LPAREN,
    ACTIONS(16940), 1,
      anon_sym_LBRACK,
    ACTIONS(16942), 1,
      anon_sym_LBRACE,
    STATE(5023), 1,
      sym_field_path,
    STATE(13122), 1,
      sym_attribute,
    STATE(15057), 1,
      sym_indexing_operator_path,
    STATE(18616), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622823] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16944), 1,
      sym__lowercase_identifier,
    ACTIONS(16946), 1,
      anon_sym_LPAREN,
    ACTIONS(16948), 1,
      anon_sym_LBRACK,
    ACTIONS(16950), 1,
      anon_sym_LBRACE,
    STATE(3118), 1,
      sym_field_path,
    STATE(13123), 1,
      sym_attribute,
    STATE(15132), 1,
      sym_indexing_operator_path,
    STATE(18219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622861] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16952), 1,
      anon_sym_LPAREN,
    ACTIONS(16954), 1,
      anon_sym_LBRACE,
    ACTIONS(16956), 1,
      sym__uppercase_identifier,
    STATE(8346), 1,
      sym__constructor_name,
    STATE(13124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10036), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [622895] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16956), 1,
      sym__uppercase_identifier,
    ACTIONS(16958), 1,
      anon_sym_LPAREN,
    ACTIONS(16960), 1,
      anon_sym_LBRACE,
    STATE(8346), 1,
      sym__constructor_name,
    STATE(13125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13145), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [622929] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12089), 1,
      anon_sym_LPAREN,
    ACTIONS(12091), 1,
      anon_sym_LBRACK,
    ACTIONS(16704), 1,
      anon_sym_PIPE,
    STATE(10674), 1,
      sym_variant_declaration,
    STATE(10688), 1,
      sym__constructor_name,
    STATE(11453), 1,
      sym_constructor_declaration,
    STATE(13126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12093), 2,
      anon_sym_true,
      anon_sym_false,
  [622965] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13127), 1,
      sym_attribute,
    STATE(18835), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [622995] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16789), 1,
      anon_sym_LPAREN,
    ACTIONS(16791), 1,
      anon_sym_LBRACK,
    ACTIONS(16793), 1,
      anon_sym_LBRACE,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(7192), 1,
      sym_field_path,
    STATE(13128), 1,
      sym_attribute,
    STATE(15373), 1,
      sym_indexing_operator_path,
    STATE(18968), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623033] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13129), 1,
      sym_attribute,
    STATE(17966), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13130), 1,
      sym_attribute,
    STATE(19706), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623093] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16759), 1,
      anon_sym_DASH_GT,
    ACTIONS(16761), 1,
      anon_sym_as,
    STATE(13131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12270), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [623119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8992), 1,
      anon_sym_COLON2,
    STATE(13132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [623143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8996), 1,
      anon_sym_COLON2,
    STATE(13133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [623167] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13134), 1,
      sym_attribute,
    STATE(18673), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623197] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13135), 1,
      sym_attribute,
    STATE(17405), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9000), 1,
      anon_sym_COLON2,
    STATE(13136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [623251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      anon_sym_COLON2,
    STATE(13137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [623275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9008), 1,
      anon_sym_COLON2,
    STATE(13138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [623299] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13139), 1,
      sym_attribute,
    STATE(19993), 1,
      sym_escape_sequence,
    STATE(20159), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623329] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13140), 1,
      sym_attribute,
    STATE(19589), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623359] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16964), 1,
      anon_sym_LPAREN,
    ACTIONS(16966), 1,
      anon_sym_LBRACE,
    ACTIONS(16968), 1,
      sym__uppercase_identifier,
    STATE(8801), 1,
      sym__constructor_name,
    STATE(13141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12923), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [623393] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16966), 1,
      anon_sym_LBRACE,
    ACTIONS(16970), 1,
      anon_sym_LPAREN,
    ACTIONS(16972), 1,
      sym__uppercase_identifier,
    STATE(8337), 1,
      sym__constructor_name,
    STATE(13142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12923), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [623427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_COLON2,
    STATE(13143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [623451] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16974), 1,
      sym__lowercase_identifier,
    ACTIONS(16976), 1,
      anon_sym_LPAREN,
    ACTIONS(16978), 1,
      anon_sym_LBRACK,
    ACTIONS(16980), 1,
      anon_sym_LBRACE,
    STATE(3060), 1,
      sym_field_path,
    STATE(13144), 1,
      sym_attribute,
    STATE(15276), 1,
      sym_indexing_operator_path,
    STATE(17493), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      anon_sym_COLON2,
    STATE(13145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [623513] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13146), 1,
      sym_attribute,
    STATE(17484), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623543] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16982), 1,
      sym__lowercase_identifier,
    ACTIONS(16984), 1,
      anon_sym_LPAREN,
    ACTIONS(16986), 1,
      anon_sym_LBRACK,
    ACTIONS(16988), 1,
      anon_sym_LBRACE,
    STATE(4981), 1,
      sym_field_path,
    STATE(13147), 1,
      sym_attribute,
    STATE(15396), 1,
      sym_indexing_operator_path,
    STATE(17747), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623581] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12416), 1,
      anon_sym_LPAREN,
    ACTIONS(12418), 1,
      anon_sym_LBRACK,
    ACTIONS(16708), 1,
      anon_sym_PIPE,
    STATE(10674), 1,
      sym_variant_declaration,
    STATE(11230), 1,
      sym__constructor_name,
    STATE(11846), 1,
      sym_constructor_declaration,
    STATE(13148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12420), 2,
      anon_sym_true,
      anon_sym_false,
  [623617] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13149), 1,
      sym_attribute,
    STATE(19522), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623647] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13150), 1,
      sym_attribute,
    STATE(19271), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623677] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13151), 1,
      sym_attribute,
    STATE(17959), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623707] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16990), 1,
      sym__lowercase_identifier,
    ACTIONS(16992), 1,
      anon_sym_LPAREN,
    ACTIONS(16994), 1,
      anon_sym_LBRACK,
    ACTIONS(16996), 1,
      anon_sym_LBRACE,
    STATE(5694), 1,
      sym_field_path,
    STATE(13152), 1,
      sym_attribute,
    STATE(15234), 1,
      sym_indexing_operator_path,
    STATE(17614), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623745] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(16998), 1,
      sym__lowercase_identifier,
    ACTIONS(17000), 1,
      anon_sym_LPAREN,
    ACTIONS(17002), 1,
      anon_sym_LBRACK,
    ACTIONS(17004), 1,
      anon_sym_LBRACE,
    STATE(6835), 1,
      sym_field_path,
    STATE(13153), 1,
      sym_attribute,
    STATE(15114), 1,
      sym_indexing_operator_path,
    STATE(18342), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623783] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17006), 1,
      sym__lowercase_identifier,
    ACTIONS(17008), 1,
      anon_sym_LPAREN,
    ACTIONS(17010), 1,
      anon_sym_LBRACK,
    ACTIONS(17012), 1,
      anon_sym_LBRACE,
    STATE(9599), 1,
      sym_field_path,
    STATE(13154), 1,
      sym_attribute,
    STATE(15178), 1,
      sym_indexing_operator_path,
    STATE(17973), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623821] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17014), 1,
      anon_sym_LPAREN,
    ACTIONS(17016), 1,
      anon_sym_LBRACE,
    ACTIONS(17018), 1,
      sym__uppercase_identifier,
    STATE(5302), 1,
      sym__constructor_name,
    STATE(13155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5518), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [623855] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(17020), 1,
      anon_sym_LPAREN,
    ACTIONS(17022), 1,
      anon_sym_LBRACK,
    STATE(10892), 1,
      sym_constructor_declaration,
    STATE(11373), 1,
      sym__constructor_name,
    STATE(13156), 1,
      sym_attribute,
    STATE(13318), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17024), 2,
      anon_sym_true,
      anon_sym_false,
  [623891] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13157), 1,
      sym_attribute,
    STATE(18467), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_COLON2,
    STATE(13158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [623945] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12559), 1,
      anon_sym_LPAREN,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    ACTIONS(16749), 1,
      anon_sym_PIPE,
    STATE(10674), 1,
      sym_variant_declaration,
    STATE(11334), 1,
      sym__constructor_name,
    STATE(11758), 1,
      sym_constructor_declaration,
    STATE(13159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 2,
      anon_sym_true,
      anon_sym_false,
  [623981] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11268), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11636), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    ACTIONS(17026), 1,
      anon_sym_STAR,
    STATE(13160), 1,
      sym_attribute,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(14362), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624019] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17028), 1,
      sym__lowercase_identifier,
    ACTIONS(17030), 1,
      anon_sym_LPAREN,
    ACTIONS(17032), 1,
      anon_sym_LBRACK,
    ACTIONS(17034), 1,
      anon_sym_LBRACE,
    STATE(6577), 1,
      sym_field_path,
    STATE(13161), 1,
      sym_attribute,
    STATE(15311), 1,
      sym_indexing_operator_path,
    STATE(18373), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624057] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13162), 1,
      sym_attribute,
    STATE(19341), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9056), 1,
      anon_sym_COLON2,
    STATE(13163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624111] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13164), 1,
      sym_attribute,
    STATE(19172), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624141] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13165), 1,
      sym_attribute,
    STATE(19106), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624171] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12416), 1,
      anon_sym_LPAREN,
    ACTIONS(12418), 1,
      anon_sym_LBRACK,
    ACTIONS(16708), 1,
      anon_sym_PIPE,
    STATE(10452), 1,
      sym_variant_declaration,
    STATE(11230), 1,
      sym__constructor_name,
    STATE(11846), 1,
      sym_constructor_declaration,
    STATE(13166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12420), 2,
      anon_sym_true,
      anon_sym_false,
  [624207] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13167), 1,
      sym_attribute,
    STATE(18497), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624237] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17036), 1,
      sym__lowercase_identifier,
    ACTIONS(17038), 1,
      anon_sym_LPAREN,
    ACTIONS(17040), 1,
      anon_sym_LBRACK,
    ACTIONS(17042), 1,
      anon_sym_LBRACE,
    STATE(7421), 1,
      sym_field_path,
    STATE(13168), 1,
      sym_attribute,
    STATE(15149), 1,
      sym_indexing_operator_path,
    STATE(18137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624275] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13169), 1,
      sym_attribute,
    STATE(19507), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624305] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17044), 1,
      sym__lowercase_identifier,
    ACTIONS(17046), 1,
      anon_sym_LPAREN,
    ACTIONS(17048), 1,
      anon_sym_LBRACK,
    ACTIONS(17050), 1,
      anon_sym_LBRACE,
    STATE(6030), 1,
      sym_field_path,
    STATE(13170), 1,
      sym_attribute,
    STATE(15197), 1,
      sym_indexing_operator_path,
    STATE(17889), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624343] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17052), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624365] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17054), 1,
      sym__lowercase_identifier,
    ACTIONS(17056), 1,
      anon_sym_LPAREN,
    ACTIONS(17058), 1,
      anon_sym_LBRACK,
    ACTIONS(17060), 1,
      anon_sym_LBRACE,
    STATE(3389), 1,
      sym_field_path,
    STATE(13172), 1,
      sym_attribute,
    STATE(15097), 1,
      sym_indexing_operator_path,
    STATE(18461), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624403] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13173), 1,
      sym_attribute,
    STATE(19892), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_COLON2,
    STATE(13174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9044), 1,
      anon_sym_COLON2,
    STATE(13175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624481] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13176), 1,
      sym_attribute,
    STATE(19046), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16759), 1,
      anon_sym_DASH_GT,
    STATE(13177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [624535] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7336), 1,
      anon_sym_LBRACK,
    ACTIONS(7346), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16916), 1,
      anon_sym_LBRACE,
    ACTIONS(17062), 1,
      anon_sym_LPAREN,
    ACTIONS(17064), 1,
      sym__uppercase_identifier,
    STATE(13178), 1,
      sym_attribute,
    STATE(13757), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13884), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [624569] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17066), 1,
      sym__lowercase_identifier,
    ACTIONS(17068), 1,
      anon_sym_LPAREN,
    ACTIONS(17070), 1,
      anon_sym_LBRACK,
    ACTIONS(17072), 1,
      anon_sym_LBRACE,
    STATE(4796), 1,
      sym_field_path,
    STATE(13179), 1,
      sym_attribute,
    STATE(15282), 1,
      sym_indexing_operator_path,
    STATE(17704), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13180), 1,
      sym_attribute,
    STATE(18985), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      anon_sym_COLON2,
    STATE(13181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624661] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13182), 1,
      sym_attribute,
    STATE(18938), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624691] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13183), 1,
      sym_attribute,
    STATE(18916), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624721] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16759), 1,
      anon_sym_DASH_GT,
    ACTIONS(16761), 1,
      anon_sym_as,
    STATE(13184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12184), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [624747] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4919), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17074), 1,
      anon_sym_LPAREN,
    ACTIONS(17076), 1,
      anon_sym_LBRACE,
    ACTIONS(17078), 1,
      sym__uppercase_identifier,
    STATE(5316), 1,
      sym__constructor_name,
    STATE(13185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5449), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [624781] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13186), 1,
      sym_attribute,
    STATE(19913), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624811] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(17080), 1,
      anon_sym_LPAREN,
    ACTIONS(17082), 1,
      anon_sym_LBRACK,
    ACTIONS(17086), 1,
      sym__uppercase_identifier,
    STATE(13187), 1,
      sym_attribute,
    STATE(13614), 1,
      sym__attribute,
    STATE(14017), 1,
      sym__constructor_name,
    STATE(14490), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17084), 2,
      anon_sym_true,
      anon_sym_false,
  [624847] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13188), 1,
      sym_attribute,
    STATE(18896), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [624877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9098), 1,
      anon_sym_COLON2,
    STATE(13189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624901] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17088), 1,
      sym__lowercase_identifier,
    ACTIONS(17090), 1,
      anon_sym_LPAREN,
    ACTIONS(17092), 1,
      anon_sym_LBRACK,
    ACTIONS(17094), 1,
      anon_sym_LBRACE,
    STATE(5815), 1,
      sym_field_path,
    STATE(13190), 1,
      sym_attribute,
    STATE(15169), 1,
      sym_indexing_operator_path,
    STATE(18014), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624939] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17096), 1,
      sym__lowercase_identifier,
    ACTIONS(17098), 1,
      anon_sym_LPAREN,
    ACTIONS(17100), 1,
      anon_sym_LBRACK,
    ACTIONS(17102), 1,
      anon_sym_LBRACE,
    STATE(6534), 1,
      sym_field_path,
    STATE(13191), 1,
      sym_attribute,
    STATE(15327), 1,
      sym_indexing_operator_path,
    STATE(19273), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624977] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13192), 1,
      sym_attribute,
    STATE(19463), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9094), 1,
      anon_sym_COLON2,
    STATE(13193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8944), 1,
      anon_sym_COLON2,
    STATE(13194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9090), 1,
      anon_sym_COLON2,
    STATE(13195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625079] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13196), 1,
      sym_attribute,
    STATE(17661), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625109] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5175), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17104), 1,
      anon_sym_LPAREN,
    ACTIONS(17106), 1,
      anon_sym_LBRACE,
    ACTIONS(17108), 1,
      sym__uppercase_identifier,
    STATE(5499), 1,
      sym__constructor_name,
    STATE(13197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5674), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [625143] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13198), 1,
      sym_attribute,
    STATE(18870), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625173] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12089), 1,
      anon_sym_LPAREN,
    ACTIONS(12091), 1,
      anon_sym_LBRACK,
    ACTIONS(16704), 1,
      anon_sym_PIPE,
    STATE(10452), 1,
      sym_variant_declaration,
    STATE(10688), 1,
      sym__constructor_name,
    STATE(11453), 1,
      sym_constructor_declaration,
    STATE(13199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12093), 2,
      anon_sym_true,
      anon_sym_false,
  [625209] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13200), 1,
      sym_attribute,
    STATE(18801), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625239] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17110), 1,
      sym__lowercase_identifier,
    ACTIONS(17112), 1,
      anon_sym_LPAREN,
    ACTIONS(17114), 1,
      anon_sym_LBRACK,
    ACTIONS(17116), 1,
      anon_sym_LBRACE,
    STATE(3098), 1,
      sym_field_path,
    STATE(13201), 1,
      sym_attribute,
    STATE(15037), 1,
      sym_indexing_operator_path,
    STATE(18722), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625277] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13202), 1,
      sym_attribute,
    STATE(19068), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625307] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7069), 1,
      anon_sym_LBRACK,
    ACTIONS(7079), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17118), 1,
      anon_sym_LPAREN,
    ACTIONS(17120), 1,
      anon_sym_LBRACE,
    ACTIONS(17122), 1,
      sym__uppercase_identifier,
    STATE(7671), 1,
      sym__constructor_name,
    STATE(13203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7775), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [625341] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17124), 1,
      anon_sym_LPAREN,
    ACTIONS(17126), 1,
      anon_sym_DOT,
    STATE(13204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11502), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [625367] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7445), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17128), 1,
      anon_sym_LPAREN,
    ACTIONS(17130), 1,
      anon_sym_LBRACE,
    ACTIONS(17132), 1,
      sym__uppercase_identifier,
    STATE(8688), 1,
      sym__constructor_name,
    STATE(13205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8631), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [625401] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9086), 1,
      anon_sym_COLON2,
    STATE(13206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_COLON2,
    STATE(13207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625449] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17134), 1,
      sym__lowercase_identifier,
    ACTIONS(17136), 1,
      anon_sym_LPAREN,
    ACTIONS(17138), 1,
      anon_sym_LBRACK,
    ACTIONS(17140), 1,
      anon_sym_LBRACE,
    STATE(5917), 1,
      sym_field_path,
    STATE(13208), 1,
      sym_attribute,
    STATE(15087), 1,
      sym_indexing_operator_path,
    STATE(18500), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625487] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4957), 1,
      anon_sym_LBRACK,
    ACTIONS(4973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16966), 1,
      anon_sym_LBRACE,
    ACTIONS(17142), 1,
      anon_sym_LPAREN,
    ACTIONS(17144), 1,
      sym__uppercase_identifier,
    STATE(13209), 1,
      sym_attribute,
    STATE(13213), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12923), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [625521] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [625543] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13211), 1,
      sym_attribute,
    STATE(18294), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625573] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17146), 1,
      sym__lowercase_identifier,
    ACTIONS(17148), 1,
      anon_sym_LPAREN,
    ACTIONS(17150), 1,
      anon_sym_LBRACK,
    ACTIONS(17152), 1,
      anon_sym_LBRACE,
    STATE(4108), 1,
      sym_field_path,
    STATE(13212), 1,
      sym_attribute,
    STATE(15288), 1,
      sym_indexing_operator_path,
    STATE(17890), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625611] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [625633] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9078), 1,
      anon_sym_COLON2,
    STATE(13214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625657] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17154), 1,
      sym__lowercase_identifier,
    ACTIONS(17156), 1,
      anon_sym_LPAREN,
    ACTIONS(17158), 1,
      anon_sym_LBRACK,
    ACTIONS(17160), 1,
      anon_sym_LBRACE,
    STATE(4877), 1,
      sym_field_path,
    STATE(13215), 1,
      sym_attribute,
    STATE(15225), 1,
      sym_indexing_operator_path,
    STATE(17669), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625695] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17162), 1,
      sym__lowercase_identifier,
    ACTIONS(17164), 1,
      anon_sym_LPAREN,
    ACTIONS(17166), 1,
      anon_sym_LBRACK,
    ACTIONS(17168), 1,
      anon_sym_LBRACE,
    STATE(6505), 1,
      sym_field_path,
    STATE(13216), 1,
      sym_attribute,
    STATE(15319), 1,
      sym_indexing_operator_path,
    STATE(18900), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625733] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17170), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625755] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17172), 1,
      sym__lowercase_identifier,
    ACTIONS(17174), 1,
      anon_sym_LPAREN,
    ACTIONS(17176), 1,
      anon_sym_LBRACK,
    ACTIONS(17178), 1,
      anon_sym_LBRACE,
    STATE(2901), 1,
      sym_field_path,
    STATE(13218), 1,
      sym_attribute,
    STATE(15044), 1,
      sym_indexing_operator_path,
    STATE(18692), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625793] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17180), 1,
      sym__lowercase_identifier,
    ACTIONS(17182), 1,
      anon_sym_LPAREN,
    ACTIONS(17184), 1,
      anon_sym_LBRACK,
    ACTIONS(17186), 1,
      anon_sym_LBRACE,
    STATE(6034), 1,
      sym_field_path,
    STATE(13219), 1,
      sym_attribute,
    STATE(15213), 1,
      sym_indexing_operator_path,
    STATE(17779), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625831] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13220), 1,
      sym_attribute,
    STATE(17597), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625861] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13221), 1,
      sym_attribute,
    STATE(18739), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625891] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13222), 1,
      sym_attribute,
    STATE(19681), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625921] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17188), 1,
      sym__lowercase_identifier,
    ACTIONS(17190), 1,
      anon_sym_LPAREN,
    ACTIONS(17192), 1,
      anon_sym_LBRACK,
    ACTIONS(17194), 1,
      anon_sym_LBRACE,
    STATE(4677), 1,
      sym_field_path,
    STATE(13223), 1,
      sym_attribute,
    STATE(15119), 1,
      sym_indexing_operator_path,
    STATE(18301), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625959] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [625981] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(17196), 1,
      anon_sym_LPAREN,
    ACTIONS(17198), 1,
      anon_sym_LBRACK,
    STATE(10892), 1,
      sym_constructor_declaration,
    STATE(11720), 1,
      sym__constructor_name,
    STATE(13225), 1,
      sym_attribute,
    STATE(13596), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17200), 2,
      anon_sym_true,
      anon_sym_false,
  [626017] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13226), 1,
      sym_attribute,
    STATE(17388), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626047] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17202), 1,
      sym__lowercase_identifier,
    ACTIONS(17204), 1,
      anon_sym_LPAREN,
    ACTIONS(17206), 1,
      anon_sym_LBRACK,
    ACTIONS(17208), 1,
      anon_sym_LBRACE,
    STATE(3978), 1,
      sym_field_path,
    STATE(13227), 1,
      sym_attribute,
    STATE(15136), 1,
      sym_indexing_operator_path,
    STATE(19674), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626085] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11866), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [626107] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17214), 1,
      sym__right_quoted_string_delimiter,
    STATE(13229), 1,
      sym_attribute,
    STATE(13265), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(19829), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17212), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17210), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626137] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13230), 1,
      sym_attribute,
    STATE(18593), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626167] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13231), 1,
      sym_attribute,
    STATE(17489), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626197] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6859), 1,
      anon_sym_LBRACK,
    ACTIONS(6869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17216), 1,
      anon_sym_LPAREN,
    ACTIONS(17218), 1,
      anon_sym_LBRACE,
    ACTIONS(17220), 1,
      sym__uppercase_identifier,
    STATE(7499), 1,
      sym__constructor_name,
    STATE(13232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7550), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [626231] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17222), 1,
      sym__lowercase_identifier,
    ACTIONS(17224), 1,
      anon_sym_LPAREN,
    ACTIONS(17226), 1,
      anon_sym_LBRACK,
    ACTIONS(17228), 1,
      anon_sym_LBRACE,
    STATE(7244), 1,
      sym_field_path,
    STATE(13233), 1,
      sym_attribute,
    STATE(15302), 1,
      sym_indexing_operator_path,
    STATE(18088), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626269] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13234), 1,
      sym_attribute,
    STATE(18538), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626299] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17230), 1,
      sym__lowercase_identifier,
    ACTIONS(17232), 1,
      anon_sym_LPAREN,
    ACTIONS(17234), 1,
      anon_sym_LBRACK,
    ACTIONS(17236), 1,
      anon_sym_LBRACE,
    STATE(5765), 1,
      sym_field_path,
    STATE(13235), 1,
      sym_attribute,
    STATE(15076), 1,
      sym_indexing_operator_path,
    STATE(18539), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626337] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(17238), 1,
      anon_sym_LPAREN,
    ACTIONS(17240), 1,
      anon_sym_LBRACK,
    STATE(10892), 1,
      sym_constructor_declaration,
    STATE(11748), 1,
      sym__constructor_name,
    STATE(13236), 1,
      sym_attribute,
    STATE(13592), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17242), 2,
      anon_sym_true,
      anon_sym_false,
  [626373] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17244), 1,
      sym__lowercase_identifier,
    ACTIONS(17246), 1,
      anon_sym_LPAREN,
    ACTIONS(17248), 1,
      anon_sym_LBRACK,
    ACTIONS(17250), 1,
      anon_sym_LBRACE,
    STATE(7008), 1,
      sym_field_path,
    STATE(13237), 1,
      sym_attribute,
    STATE(15139), 1,
      sym_indexing_operator_path,
    STATE(18178), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626411] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11492), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11494), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [626437] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13239), 1,
      sym_attribute,
    STATE(17930), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626467] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16765), 1,
      aux_sym_character_content_token2,
    STATE(13240), 1,
      sym_attribute,
    STATE(18093), 1,
      sym_character_content,
    STATE(19993), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16763), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16767), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626497] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16777), 1,
      sym_indexing_operator,
    ACTIONS(17252), 1,
      sym__lowercase_identifier,
    ACTIONS(17254), 1,
      anon_sym_LPAREN,
    ACTIONS(17256), 1,
      anon_sym_LBRACK,
    ACTIONS(17258), 1,
      anon_sym_LBRACE,
    STATE(3001), 1,
      sym_field_path,
    STATE(13241), 1,
      sym_attribute,
    STATE(15052), 1,
      sym_indexing_operator_path,
    STATE(18654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626535] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17260), 1,
      anon_sym_SEMI,
    ACTIONS(17262), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13242), 1,
      sym_attribute,
    STATE(16092), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626570] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9884), 1,
      anon_sym_LBRACK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17264), 1,
      sym__lowercase_identifier,
    ACTIONS(17266), 1,
      anon_sym_LPAREN,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    STATE(13243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10780), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [626603] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9907), 1,
      anon_sym_LBRACK,
    ACTIONS(9909), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9911), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17270), 1,
      sym__lowercase_identifier,
    ACTIONS(17272), 1,
      anon_sym_LPAREN,
    STATE(13244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10888), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [626636] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17274), 1,
      anon_sym_SEMI,
    ACTIONS(17276), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13245), 1,
      sym_attribute,
    STATE(15854), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626671] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17278), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626692] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17280), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626713] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17282), 1,
      anon_sym_EQ,
    ACTIONS(17284), 1,
      anon_sym_RPAREN,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    STATE(13248), 1,
      sym_attribute,
    STATE(17312), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626748] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10538), 1,
      anon_sym_LBRACK,
    ACTIONS(10540), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10542), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17288), 1,
      sym__lowercase_identifier,
    ACTIONS(17290), 1,
      anon_sym_LPAREN,
    STATE(13249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9131), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [626781] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17292), 1,
      anon_sym_SEMI,
    ACTIONS(17294), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13250), 1,
      sym_attribute,
    STATE(15086), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626816] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17296), 1,
      sym__lowercase_identifier,
    ACTIONS(17298), 1,
      anon_sym_LPAREN,
    STATE(13251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11918), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [626849] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17298), 1,
      anon_sym_LPAREN,
    ACTIONS(17300), 1,
      sym__lowercase_identifier,
    STATE(13252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11918), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [626882] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17302), 1,
      anon_sym_SEMI,
    ACTIONS(17304), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13253), 1,
      sym_attribute,
    STATE(16152), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626917] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17306), 1,
      anon_sym_SEMI,
    ACTIONS(17308), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13254), 1,
      sym_attribute,
    STATE(15493), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626952] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17310), 1,
      sym__lowercase_identifier,
    ACTIONS(17312), 1,
      anon_sym_LPAREN,
    STATE(13255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10117), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [626985] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(13256), 1,
      sym_attribute,
    STATE(13293), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12045), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [627012] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17316), 1,
      sym__lowercase_identifier,
    ACTIONS(17318), 1,
      anon_sym_LPAREN,
    STATE(13257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12510), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627045] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17320), 1,
      anon_sym_SEMI,
    ACTIONS(17322), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13258), 1,
      sym_attribute,
    STATE(15293), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627080] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10633), 1,
      anon_sym_LBRACK,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17324), 1,
      sym__lowercase_identifier,
    ACTIONS(17326), 1,
      anon_sym_LPAREN,
    STATE(13259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9186), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17328), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13260), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11889), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [627136] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17331), 1,
      anon_sym_SEMI,
    ACTIONS(17333), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13261), 1,
      sym_attribute,
    STATE(16217), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627171] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9202), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10624), 1,
      anon_sym_LBRACK,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17335), 1,
      sym__lowercase_identifier,
    ACTIONS(17337), 1,
      anon_sym_LPAREN,
    STATE(13262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9302), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627204] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10643), 1,
      anon_sym_LBRACK,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17339), 1,
      sym__lowercase_identifier,
    ACTIONS(17341), 1,
      anon_sym_LPAREN,
    STATE(13263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9725), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627237] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17343), 1,
      anon_sym_SEMI,
    ACTIONS(17345), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13264), 1,
      sym_attribute,
    STATE(15753), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627272] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17347), 1,
      sym__right_quoted_string_delimiter,
    STATE(13265), 1,
      sym_attribute,
    STATE(13272), 1,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17212), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17210), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627299] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17349), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13266), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12030), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [627324] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17352), 1,
      anon_sym_and,
    STATE(13260), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12483), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [627349] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7751), 1,
      anon_sym_POUND,
    STATE(13268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [627372] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17354), 1,
      anon_sym_SEMI,
    ACTIONS(17356), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13269), 1,
      sym_attribute,
    STATE(15584), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627407] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11100), 1,
      anon_sym_LBRACK,
    ACTIONS(11102), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11104), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17358), 1,
      sym__lowercase_identifier,
    ACTIONS(17360), 1,
      anon_sym_LPAREN,
    STATE(13270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10542), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627440] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17362), 1,
      anon_sym_SEMI,
    ACTIONS(17364), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13271), 1,
      sym_attribute,
    STATE(16286), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627475] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17372), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17369), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(13272), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(17366), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627500] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17374), 1,
      sym__lowercase_identifier,
    ACTIONS(17376), 1,
      anon_sym_LPAREN,
    STATE(13273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10500), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627533] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17378), 1,
      anon_sym_SEMI,
    ACTIONS(17380), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13274), 1,
      sym_attribute,
    STATE(16079), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627568] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17382), 1,
      sym__lowercase_identifier,
    ACTIONS(17384), 1,
      anon_sym_LPAREN,
    STATE(13275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12681), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627601] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17298), 1,
      anon_sym_LPAREN,
    ACTIONS(17386), 1,
      sym__lowercase_identifier,
    STATE(13276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11918), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627634] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17388), 1,
      anon_sym_EQ,
    ACTIONS(17390), 1,
      anon_sym_RPAREN,
    STATE(13277), 1,
      sym_attribute,
    STATE(17184), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627669] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17392), 1,
      anon_sym_SEMI,
    ACTIONS(17394), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13278), 1,
      sym_attribute,
    STATE(15061), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627704] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10664), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10668), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17396), 1,
      sym__lowercase_identifier,
    ACTIONS(17398), 1,
      anon_sym_LPAREN,
    STATE(13279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9534), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627737] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17298), 1,
      anon_sym_LPAREN,
    ACTIONS(17400), 1,
      sym__lowercase_identifier,
    STATE(13280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11918), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627770] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17402), 1,
      anon_sym_SEMI,
    ACTIONS(17404), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13281), 1,
      sym_attribute,
    STATE(16028), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627805] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7763), 1,
      anon_sym_POUND,
    STATE(13282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7771), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [627830] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17352), 1,
      anon_sym_and,
    STATE(13267), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12682), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [627855] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11020), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17406), 1,
      sym__lowercase_identifier,
    ACTIONS(17408), 1,
      anon_sym_LPAREN,
    STATE(13284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9987), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627888] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17410), 1,
      anon_sym_SEMI,
    ACTIONS(17412), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13285), 1,
      sym_attribute,
    STATE(15650), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627923] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17414), 1,
      anon_sym_SEMI,
    ACTIONS(17416), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13286), 1,
      sym_attribute,
    STATE(16194), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627958] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10596), 1,
      anon_sym_LBRACK,
    ACTIONS(10598), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17418), 1,
      sym__lowercase_identifier,
    ACTIONS(17420), 1,
      anon_sym_LPAREN,
    STATE(13287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12993), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [627991] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9322), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9324), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17422), 1,
      sym__lowercase_identifier,
    ACTIONS(17424), 1,
      anon_sym_LPAREN,
    STATE(13288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9799), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [628024] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17426), 1,
      anon_sym_EQ,
    ACTIONS(17428), 1,
      anon_sym_RPAREN,
    STATE(13289), 1,
      sym_attribute,
    STATE(16569), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628059] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17430), 1,
      sym__lowercase_identifier,
    ACTIONS(17432), 1,
      anon_sym_LPAREN,
    STATE(13290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8993), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [628092] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(13291), 1,
      sym_attribute,
    STATE(13307), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11950), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [628119] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17434), 1,
      anon_sym_SEMI,
    ACTIONS(17436), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13292), 1,
      sym_attribute,
    STATE(15933), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628154] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(13266), 1,
      aux_sym_type_binding_repeat1,
    STATE(13293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11950), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [628181] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17438), 1,
      anon_sym_SEMI,
    ACTIONS(17440), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13294), 1,
      sym_attribute,
    STATE(14929), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628216] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17442), 1,
      anon_sym_SEMI,
    ACTIONS(17444), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13295), 1,
      sym_attribute,
    STATE(15648), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628251] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17446), 1,
      anon_sym_EQ,
    ACTIONS(17448), 1,
      anon_sym_RPAREN,
    STATE(13296), 1,
      sym_attribute,
    STATE(17214), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628286] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11721), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [628307] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11006), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17450), 1,
      sym__lowercase_identifier,
    ACTIONS(17452), 1,
      anon_sym_LPAREN,
    STATE(13298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10426), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [628340] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17298), 1,
      anon_sym_LPAREN,
    ACTIONS(17454), 1,
      sym__lowercase_identifier,
    STATE(13299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11918), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [628373] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17456), 1,
      anon_sym_EQ,
    ACTIONS(17458), 1,
      anon_sym_RPAREN,
    STATE(13300), 1,
      sym_attribute,
    STATE(17055), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17460), 1,
      anon_sym_STAR,
    STATE(13301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11870), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [628431] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17462), 1,
      sym__lowercase_identifier,
    ACTIONS(17464), 1,
      anon_sym_LPAREN,
    STATE(13302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13437), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [628464] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17466), 1,
      anon_sym_SEMI,
    ACTIONS(17468), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13303), 1,
      sym_attribute,
    STATE(15939), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628499] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17470), 1,
      anon_sym_SEMI,
    ACTIONS(17472), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13304), 1,
      sym_attribute,
    STATE(15914), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628534] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10686), 1,
      anon_sym_LBRACK,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10690), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17474), 1,
      sym__lowercase_identifier,
    ACTIONS(17476), 1,
      anon_sym_LPAREN,
    STATE(13305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9602), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [628567] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17478), 1,
      sym__lowercase_identifier,
    ACTIONS(17480), 1,
      anon_sym_LPAREN,
    STATE(13306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10562), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [628600] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17314), 1,
      anon_sym_constraint,
    STATE(9262), 1,
      sym_type_constraint,
    STATE(13266), 1,
      aux_sym_type_binding_repeat1,
    STATE(13307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12107), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [628627] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7763), 1,
      anon_sym_POUND,
    STATE(13308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7753), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [628652] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11770), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13309), 1,
      sym_attribute,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [628685] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17482), 1,
      anon_sym_EQ,
    ACTIONS(17484), 1,
      anon_sym_RPAREN,
    STATE(13310), 1,
      sym_attribute,
    STATE(16933), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628720] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17298), 1,
      anon_sym_LPAREN,
    ACTIONS(17486), 1,
      sym__lowercase_identifier,
    STATE(13311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11918), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [628753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7769), 1,
      anon_sym_POUND,
    STATE(13312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [628776] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10019), 1,
      anon_sym_LBRACK,
    ACTIONS(10021), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17488), 1,
      sym__lowercase_identifier,
    ACTIONS(17490), 1,
      anon_sym_LPAREN,
    STATE(13313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11558), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [628809] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17492), 1,
      anon_sym_SEMI,
    ACTIONS(17494), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13314), 1,
      sym_attribute,
    STATE(15821), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628844] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(17496), 1,
      anon_sym_SEMI,
    ACTIONS(17498), 1,
      anon_sym_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13315), 1,
      sym_attribute,
    STATE(15979), 1,
      aux_sym_object_type_repeat1,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628879] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17500), 1,
      anon_sym_RPAREN,
    STATE(13316), 1,
      sym_attribute,
    STATE(18664), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628911] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17502), 1,
      anon_sym_DASH_GT,
    ACTIONS(17504), 1,
      anon_sym_when,
    STATE(13317), 1,
      sym_attribute,
    STATE(19550), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628943] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(17020), 1,
      anon_sym_LPAREN,
    ACTIONS(17022), 1,
      anon_sym_LBRACK,
    STATE(10826), 1,
      sym_constructor_declaration,
    STATE(11373), 1,
      sym__constructor_name,
    STATE(13318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17024), 2,
      anon_sym_true,
      anon_sym_false,
  [628973] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17506), 1,
      anon_sym_RPAREN,
    STATE(13319), 1,
      sym_attribute,
    STATE(18466), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629005] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13320), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(15762), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [629035] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13321), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(15111), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [629065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11492), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11494), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [629087] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    STATE(13323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [629111] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    STATE(13324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14983), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [629135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7924), 1,
      anon_sym_PIPE,
    STATE(13325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [629157] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17514), 1,
      anon_sym__,
    ACTIONS(17516), 1,
      anon_sym_RBRACE,
    STATE(13326), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629189] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17518), 1,
      anon_sym_RPAREN,
    STATE(13327), 1,
      sym_attribute,
    STATE(18472), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    STATE(13328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [629243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11488), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11490), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [629265] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17520), 1,
      anon_sym_RPAREN,
    STATE(13330), 1,
      sym_attribute,
    STATE(17836), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629297] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17522), 1,
      anon_sym_RPAREN,
    STATE(13331), 1,
      sym_attribute,
    STATE(18433), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629329] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17524), 1,
      anon_sym_RPAREN,
    STATE(13332), 1,
      sym_attribute,
    STATE(18427), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11480), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11482), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [629383] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17526), 1,
      anon_sym_RBRACK,
    ACTIONS(17528), 1,
      anon_sym_when,
    STATE(13334), 1,
      sym_attribute,
    STATE(19798), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629415] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17530), 1,
      anon_sym_RPAREN,
    STATE(13335), 1,
      sym_attribute,
    STATE(17859), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629447] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17532), 1,
      anon_sym__,
    ACTIONS(17534), 1,
      anon_sym_RBRACE,
    STATE(13336), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629479] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17536), 1,
      anon_sym_DASH_GT,
    STATE(13337), 1,
      sym_attribute,
    STATE(17997), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11442), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [629533] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17538), 1,
      anon_sym_DASH_GT,
    STATE(13339), 1,
      sym_attribute,
    STATE(18441), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629565] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17540), 1,
      anon_sym_RPAREN,
    STATE(13340), 1,
      sym_attribute,
    STATE(18550), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629597] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    STATE(13341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16733), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [629625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    STATE(13342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16729), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [629647] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    STATE(13343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16723), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [629671] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17548), 1,
      anon_sym__,
    ACTIONS(17550), 1,
      anon_sym_RBRACE,
    STATE(13344), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629703] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17552), 1,
      anon_sym_RPAREN,
    STATE(13345), 1,
      sym_attribute,
    STATE(18505), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629735] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17554), 1,
      anon_sym_RPAREN,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    STATE(13346), 1,
      sym_attribute,
    STATE(18015), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629767] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17564), 1,
      anon_sym__,
    ACTIONS(17566), 1,
      anon_sym_RBRACE,
    STATE(13347), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629799] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_RBRACK,
    ACTIONS(17574), 1,
      anon_sym_SEMI,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    STATE(13348), 1,
      sym_attribute,
    STATE(15987), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629831] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17580), 1,
      anon_sym_RPAREN,
    STATE(13349), 1,
      sym_attribute,
    STATE(18511), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7982), 1,
      anon_sym_PIPE,
    STATE(13350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [629885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11562), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [629907] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17582), 1,
      anon_sym_COMMA,
    ACTIONS(17584), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_SEMI,
    ACTIONS(17588), 1,
      anon_sym_as,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17592), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13352), 1,
      sym_attribute,
    STATE(15990), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11420), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [629961] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17284), 1,
      anon_sym_RPAREN,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    STATE(13354), 1,
      sym_attribute,
    STATE(18062), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629993] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17594), 1,
      anon_sym_RBRACK,
    ACTIONS(17596), 1,
      anon_sym_SEMI,
    STATE(13355), 1,
      sym_attribute,
    STATE(15994), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630025] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17598), 1,
      anon_sym_RPAREN,
    STATE(13356), 1,
      sym_attribute,
    STATE(18544), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630057] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17600), 1,
      anon_sym_RPAREN,
    STATE(13357), 1,
      sym_attribute,
    STATE(17561), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630089] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17606), 1,
      anon_sym_SEMI,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17612), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13358), 1,
      sym_attribute,
    STATE(15997), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7904), 1,
      anon_sym_PIPE,
    STATE(13359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [630143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11402), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11404), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [630165] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17614), 1,
      anon_sym__,
    ACTIONS(17616), 1,
      anon_sym_RBRACE,
    STATE(13361), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630197] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17618), 1,
      anon_sym_RPAREN,
    STATE(13362), 1,
      sym_attribute,
    STATE(18583), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630229] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17620), 1,
      anon_sym__,
    ACTIONS(17622), 1,
      anon_sym_RBRACE,
    STATE(13363), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630261] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17624), 1,
      anon_sym_DASH_GT,
    STATE(13364), 1,
      sym_attribute,
    STATE(19981), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630293] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13365), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(15088), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [630323] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17626), 1,
      anon_sym_RPAREN,
    STATE(13366), 1,
      sym_attribute,
    STATE(18588), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11400), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [630377] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17628), 1,
      anon_sym_RPAREN,
    STATE(13368), 1,
      sym_attribute,
    STATE(17670), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630409] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17630), 1,
      anon_sym__,
    ACTIONS(17632), 1,
      anon_sym_RBRACE,
    STATE(13369), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630441] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11937), 1,
      anon_sym_LBRACK,
    STATE(10363), 1,
      sym__constructor_name,
    STATE(10716), 1,
      sym_constructor_declaration,
    STATE(13370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11939), 2,
      anon_sym_true,
      anon_sym_false,
  [630471] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17634), 1,
      anon_sym_RPAREN,
    STATE(13371), 1,
      sym_attribute,
    STATE(18621), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630503] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    STATE(13372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [630525] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_RPAREN,
    STATE(13373), 1,
      sym_attribute,
    STATE(18626), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630557] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17638), 1,
      anon_sym_RPAREN,
    STATE(13374), 1,
      sym_attribute,
    STATE(18045), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630589] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17640), 1,
      anon_sym__,
    ACTIONS(17642), 1,
      anon_sym_RBRACE,
    STATE(13375), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    STATE(13376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16717), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [630643] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17644), 1,
      anon_sym_RPAREN,
    STATE(13377), 1,
      sym_attribute,
    STATE(17939), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630675] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17646), 1,
      anon_sym_DASH_GT,
    STATE(13378), 1,
      sym_attribute,
    STATE(18972), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630707] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    STATE(13379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [630731] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17648), 1,
      anon_sym_DASH_GT,
    STATE(13380), 1,
      sym_attribute,
    STATE(19013), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630763] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17650), 1,
      anon_sym__,
    ACTIONS(17652), 1,
      anon_sym_RBRACE,
    STATE(13381), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630795] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17654), 1,
      anon_sym_SEMI,
    ACTIONS(17656), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13382), 1,
      sym_attribute,
    STATE(15533), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630827] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17658), 1,
      anon_sym_RBRACK,
    ACTIONS(17660), 1,
      anon_sym_SEMI,
    STATE(13383), 1,
      sym_attribute,
    STATE(15530), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630859] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17428), 1,
      anon_sym_RPAREN,
    STATE(13384), 1,
      sym_attribute,
    STATE(18568), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630891] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    STATE(13385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [630913] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17582), 1,
      anon_sym_COMMA,
    ACTIONS(17584), 1,
      anon_sym_PIPE,
    ACTIONS(17588), 1,
      anon_sym_as,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17662), 1,
      anon_sym_SEMI,
    ACTIONS(17664), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13386), 1,
      sym_attribute,
    STATE(15528), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630945] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17666), 1,
      anon_sym_RBRACK,
    ACTIONS(17668), 1,
      anon_sym_SEMI,
    STATE(13387), 1,
      sym_attribute,
    STATE(15537), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630977] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17670), 1,
      anon_sym__,
    ACTIONS(17672), 1,
      anon_sym_RBRACE,
    STATE(13388), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631009] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17674), 1,
      anon_sym__,
    ACTIONS(17676), 1,
      anon_sym_RBRACE,
    STATE(13389), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631041] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17678), 1,
      anon_sym_RPAREN,
    STATE(13390), 1,
      sym_attribute,
    STATE(18577), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631073] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17680), 1,
      anon_sym__,
    ACTIONS(17682), 1,
      anon_sym_RBRACE,
    STATE(13391), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_PIPE,
    STATE(13392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [631127] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17684), 1,
      anon_sym_RPAREN,
    STATE(13393), 1,
      sym_attribute,
    STATE(18659), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631159] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17686), 1,
      anon_sym_RPAREN,
    STATE(13394), 1,
      sym_attribute,
    STATE(17598), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631191] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17688), 1,
      anon_sym__,
    ACTIONS(17690), 1,
      anon_sym_RBRACE,
    STATE(13395), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631223] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17692), 1,
      anon_sym_DASH_GT,
    STATE(13396), 1,
      sym_attribute,
    STATE(18600), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631255] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17694), 1,
      anon_sym_DASH_GT,
    STATE(13397), 1,
      sym_attribute,
    STATE(19092), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11246), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [631309] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17696), 1,
      anon_sym_RPAREN,
    STATE(13399), 1,
      sym_attribute,
    STATE(17476), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631341] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17698), 1,
      anon_sym_RPAREN,
    STATE(13400), 1,
      sym_attribute,
    STATE(18345), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631373] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12089), 1,
      anon_sym_LPAREN,
    ACTIONS(12091), 1,
      anon_sym_LBRACK,
    STATE(10688), 1,
      sym__constructor_name,
    STATE(10716), 1,
      sym_constructor_declaration,
    STATE(13401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12093), 2,
      anon_sym_true,
      anon_sym_false,
  [631403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7888), 1,
      anon_sym_PIPE,
    STATE(13402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7890), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [631425] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13403), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15074), 1,
      sym_field_pattern,
    STATE(18305), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7878), 1,
      anon_sym_PIPE,
    STATE(13404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [631479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7874), 1,
      anon_sym_PIPE,
    STATE(13405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [631501] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13406), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16043), 1,
      sym_field_pattern,
    STATE(18658), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11238), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [631555] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17700), 1,
      anon_sym_DASH_GT,
    STATE(13408), 1,
      sym_attribute,
    STATE(18515), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631587] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17702), 1,
      anon_sym__,
    ACTIONS(17704), 1,
      anon_sym_RBRACE,
    STATE(13409), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11182), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [631641] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17706), 1,
      anon_sym_RPAREN,
    STATE(13411), 1,
      sym_attribute,
    STATE(18697), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631673] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17448), 1,
      anon_sym_RPAREN,
    STATE(13412), 1,
      sym_attribute,
    STATE(18543), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631705] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17708), 1,
      anon_sym_RPAREN,
    STATE(13413), 1,
      sym_attribute,
    STATE(18702), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631737] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17710), 1,
      anon_sym_RPAREN,
    STATE(13414), 1,
      sym_attribute,
    STATE(17459), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631769] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17712), 1,
      anon_sym_RPAREN,
    STATE(13415), 1,
      sym_attribute,
    STATE(18726), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631801] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17714), 1,
      anon_sym_RPAREN,
    STATE(13416), 1,
      sym_attribute,
    STATE(18728), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631833] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17716), 1,
      anon_sym_RPAREN,
    STATE(13417), 1,
      sym_attribute,
    STATE(17461), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631865] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17718), 1,
      anon_sym_RPAREN,
    STATE(13418), 1,
      sym_attribute,
    STATE(18749), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631897] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17720), 1,
      anon_sym_RPAREN,
    STATE(13419), 1,
      sym_attribute,
    STATE(18751), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8920), 1,
      anon_sym_PIPE,
    STATE(13420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8922), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [631951] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13421), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15070), 1,
      sym_field_binding_pattern,
    STATE(18696), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11170), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11172), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632005] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17722), 1,
      anon_sym_RBRACK,
    ACTIONS(17724), 1,
      anon_sym_SEMI,
    STATE(13423), 1,
      sym_attribute,
    STATE(16051), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632037] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17726), 1,
      anon_sym_SEMI,
    ACTIONS(17728), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13424), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632069] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17730), 1,
      anon_sym_SEMI,
    ACTIONS(17732), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13425), 1,
      sym_attribute,
    STATE(16053), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632101] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17734), 1,
      anon_sym_RPAREN,
    STATE(13426), 1,
      sym_attribute,
    STATE(19320), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632133] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17736), 1,
      anon_sym_RBRACK,
    ACTIONS(17738), 1,
      anon_sym_SEMI,
    STATE(13427), 1,
      sym_attribute,
    STATE(15900), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632165] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(17740), 1,
      sym__lowercase_identifier,
    ACTIONS(17742), 1,
      anon_sym_type,
    ACTIONS(17744), 1,
      anon_sym_LBRACK,
    ACTIONS(17746), 1,
      anon_sym_virtual,
    STATE(12615), 1,
      sym_class_binding,
    STATE(13428), 1,
      sym_attribute,
    STATE(14480), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632197] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17390), 1,
      anon_sym_RPAREN,
    STATE(13429), 1,
      sym_attribute,
    STATE(17511), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632229] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13430), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(16120), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [632259] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17582), 1,
      anon_sym_COMMA,
    ACTIONS(17584), 1,
      anon_sym_PIPE,
    ACTIONS(17588), 1,
      anon_sym_as,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17748), 1,
      anon_sym_SEMI,
    ACTIONS(17750), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13431), 1,
      sym_attribute,
    STATE(15899), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632291] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17752), 1,
      anon_sym_RPAREN,
    STATE(13432), 1,
      sym_attribute,
    STATE(18319), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632323] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym__,
    ACTIONS(17756), 1,
      anon_sym_RBRACE,
    STATE(13433), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632355] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17758), 1,
      anon_sym_RBRACK,
    ACTIONS(17760), 1,
      anon_sym_SEMI,
    STATE(13434), 1,
      sym_attribute,
    STATE(15896), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632387] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17762), 1,
      anon_sym_RPAREN,
    STATE(13435), 1,
      sym_attribute,
    STATE(17427), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632419] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17764), 1,
      anon_sym_RPAREN,
    STATE(13436), 1,
      sym_attribute,
    STATE(18393), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11380), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11382), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632473] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17766), 1,
      anon_sym_RPAREN,
    STATE(13438), 1,
      sym_attribute,
    STATE(17402), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632505] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17768), 1,
      anon_sym_DASH_GT,
    STATE(13439), 1,
      sym_attribute,
    STATE(17364), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632537] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17770), 1,
      anon_sym_DASH_GT,
    STATE(13440), 1,
      sym_attribute,
    STATE(19703), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632569] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17772), 1,
      anon_sym_RPAREN,
    STATE(13441), 1,
      sym_attribute,
    STATE(17409), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632601] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13442), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(15296), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [632631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11218), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632653] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17774), 1,
      anon_sym_RPAREN,
    STATE(13444), 1,
      sym_attribute,
    STATE(18595), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632685] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17776), 1,
      anon_sym_RPAREN,
    STATE(13445), 1,
      sym_attribute,
    STATE(18617), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632717] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(11976), 1,
      anon_sym_LPAREN,
    ACTIONS(11978), 1,
      anon_sym_LBRACK,
    STATE(10716), 1,
      sym_constructor_declaration,
    STATE(10749), 1,
      sym__constructor_name,
    STATE(13446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11980), 2,
      anon_sym_true,
      anon_sym_false,
  [632747] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17778), 1,
      anon_sym__,
    ACTIONS(17780), 1,
      anon_sym_RBRACE,
    STATE(13447), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632779] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13448), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15974), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    STATE(20055), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632811] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13449), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15972), 1,
      sym_field_binding_pattern,
    STATE(18033), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11210), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632865] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    STATE(13451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16753), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [632893] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17782), 1,
      anon_sym_DASH_GT,
    STATE(13452), 1,
      sym_attribute,
    STATE(19141), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11198), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11202), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11206), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [632991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11230), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633013] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17784), 1,
      anon_sym_RPAREN,
    STATE(13457), 1,
      sym_attribute,
    STATE(17455), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633045] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17786), 1,
      anon_sym__,
    ACTIONS(17788), 1,
      anon_sym_RBRACE,
    STATE(13458), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633077] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17790), 1,
      anon_sym_DASH_GT,
    STATE(13459), 1,
      sym_attribute,
    STATE(18882), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11290), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11292), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11296), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11298), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11358), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633175] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17792), 1,
      anon_sym_RPAREN,
    STATE(13463), 1,
      sym_attribute,
    STATE(18875), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633207] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4915), 1,
      anon_sym_PIPE,
    ACTIONS(17794), 1,
      anon_sym_DOT_DOT,
    STATE(13464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4913), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [633231] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17796), 1,
      anon_sym_RPAREN,
    STATE(13465), 1,
      sym_attribute,
    STATE(18888), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633263] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17798), 1,
      anon_sym_DASH_GT,
    STATE(13466), 1,
      sym_attribute,
    STATE(17714), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633295] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13467), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15877), 1,
      sym_field_pattern,
    STATE(18392), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633327] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13468), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15875), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    STATE(19880), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633359] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17800), 1,
      anon_sym_RPAREN,
    STATE(13469), 1,
      sym_attribute,
    STATE(17510), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633391] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(17802), 1,
      anon_sym_DASH_GT,
    STATE(13470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12194), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [633415] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12008), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12010), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(13471), 1,
      sym_attribute,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633447] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17804), 1,
      anon_sym_DASH_GT,
    STATE(13472), 1,
      sym_attribute,
    STATE(17816), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633479] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11988), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11990), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(13473), 1,
      sym_attribute,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633511] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17806), 1,
      anon_sym_RPAREN,
    STATE(13474), 1,
      sym_attribute,
    STATE(17516), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633543] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(17802), 1,
      anon_sym_DASH_GT,
    STATE(13475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12184), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [633567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11362), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633589] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12006), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(13477), 1,
      sym_attribute,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633621] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7882), 1,
      anon_sym_PIPE,
    ACTIONS(7928), 1,
      anon_sym_DOT,
    STATE(13478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [633645] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17808), 1,
      anon_sym__,
    ACTIONS(17810), 1,
      anon_sym_RBRACE,
    STATE(13479), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633677] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17812), 1,
      anon_sym_RPAREN,
    STATE(13480), 1,
      sym_attribute,
    STATE(17565), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7882), 1,
      anon_sym_PIPE,
    ACTIONS(7886), 1,
      anon_sym_DOT,
    STATE(13481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [633733] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11893), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [633753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7986), 1,
      anon_sym_PIPE,
    STATE(13483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [633775] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17814), 1,
      anon_sym_RPAREN,
    STATE(13484), 1,
      sym_attribute,
    STATE(17571), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633807] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17816), 1,
      anon_sym_DASH_GT,
    STATE(13485), 1,
      sym_attribute,
    STATE(19238), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633839] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_as,
    ACTIONS(17802), 1,
      anon_sym_DASH_GT,
    STATE(13486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12270), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [633863] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11266), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(13487), 1,
      sym_attribute,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633895] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17818), 1,
      anon_sym__,
    ACTIONS(17820), 1,
      anon_sym_RBRACE,
    STATE(13488), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633927] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    STATE(13489), 1,
      sym_attribute,
    STATE(19666), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11384), 3,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [633953] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11901), 1,
      anon_sym_LPAREN,
    ACTIONS(11903), 1,
      anon_sym_LBRACK,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    STATE(10229), 1,
      sym__constructor_name,
    STATE(10716), 1,
      sym_constructor_declaration,
    STATE(13490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11905), 2,
      anon_sym_true,
      anon_sym_false,
  [633983] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17822), 1,
      anon_sym__,
    ACTIONS(17824), 1,
      anon_sym_RBRACE,
    STATE(13491), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634015] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17826), 1,
      anon_sym_RPAREN,
    STATE(13492), 1,
      sym_attribute,
    STATE(17620), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634047] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17828), 1,
      anon_sym_RPAREN,
    STATE(13493), 1,
      sym_attribute,
    STATE(17626), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11370), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [634101] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17830), 1,
      anon_sym_RPAREN,
    STATE(13495), 1,
      sym_attribute,
    STATE(19214), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634133] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17832), 1,
      anon_sym_SEMI,
    ACTIONS(17834), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13496), 1,
      sym_attribute,
    STATE(15803), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634165] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17836), 1,
      anon_sym_RPAREN,
    STATE(13497), 1,
      sym_attribute,
    STATE(19241), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634197] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11300), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11302), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(13498), 1,
      sym_attribute,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634229] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11306), 1,
      anon_sym_in,
    ACTIONS(16698), 1,
      sym__lowercase_identifier,
    ACTIONS(16700), 1,
      anon_sym_POUND,
    STATE(13422), 1,
      sym_type_constructor_path,
    STATE(13499), 1,
      sym_attribute,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634261] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17838), 1,
      anon_sym_RBRACK,
    ACTIONS(17840), 1,
      anon_sym_SEMI,
    STATE(13500), 1,
      sym_attribute,
    STATE(15800), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634293] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13501), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [634323] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17458), 1,
      anon_sym_RPAREN,
    STATE(13502), 1,
      sym_attribute,
    STATE(17589), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634355] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17842), 1,
      anon_sym_DASH_GT,
    STATE(13503), 1,
      sym_attribute,
    STATE(19494), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634387] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12416), 1,
      anon_sym_LPAREN,
    ACTIONS(12418), 1,
      anon_sym_LBRACK,
    STATE(10716), 1,
      sym_constructor_declaration,
    STATE(11230), 1,
      sym__constructor_name,
    STATE(13504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12420), 2,
      anon_sym_true,
      anon_sym_false,
  [634417] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13505), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15776), 1,
      sym_field_pattern,
    STATE(19570), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634449] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13506), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15774), 1,
      sym_field_binding_pattern,
    STATE(19446), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634481] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(17846), 1,
      anon_sym_AMP,
    STATE(13507), 1,
      sym_attribute,
    STATE(14088), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17844), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [634509] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17582), 1,
      anon_sym_COMMA,
    ACTIONS(17584), 1,
      anon_sym_PIPE,
    ACTIONS(17588), 1,
      anon_sym_as,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17848), 1,
      anon_sym_SEMI,
    ACTIONS(17850), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13508), 1,
      sym_attribute,
    STATE(15799), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634541] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    STATE(13509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15099), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [634565] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17852), 1,
      anon_sym_RBRACK,
    ACTIONS(17854), 1,
      anon_sym_SEMI,
    STATE(13510), 1,
      sym_attribute,
    STATE(15794), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17858), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17856), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [634619] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17860), 1,
      anon_sym_RPAREN,
    STATE(13512), 1,
      sym_attribute,
    STATE(17675), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634651] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13513), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17862), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [634681] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11889), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [634701] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13515), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(16155), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [634731] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17864), 1,
      anon_sym_DASH_GT,
    STATE(13516), 1,
      sym_attribute,
    STATE(17619), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634763] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17866), 1,
      anon_sym_RPAREN,
    STATE(13517), 1,
      sym_attribute,
    STATE(17681), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11466), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [634817] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17868), 1,
      anon_sym_RPAREN,
    STATE(13519), 1,
      sym_attribute,
    STATE(17730), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634849] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17870), 1,
      anon_sym_DASH_GT,
    STATE(13520), 1,
      sym_attribute,
    STATE(19733), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634881] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17872), 1,
      anon_sym_RPAREN,
    STATE(13521), 1,
      sym_attribute,
    STATE(18060), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17802), 1,
      anon_sym_DASH_GT,
    STATE(13522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12208), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [634935] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17874), 1,
      anon_sym_RPAREN,
    STATE(13523), 1,
      sym_attribute,
    STATE(17736), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634967] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13524), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(15286), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [634997] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    STATE(13525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16232), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [635021] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17876), 1,
      anon_sym_RPAREN,
    STATE(13526), 1,
      sym_attribute,
    STATE(18387), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635053] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17878), 1,
      anon_sym_RPAREN,
    STATE(13527), 1,
      sym_attribute,
    STATE(19630), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635085] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17880), 1,
      anon_sym_RBRACK,
    ACTIONS(17882), 1,
      anon_sym_SEMI,
    STATE(13528), 1,
      sym_attribute,
    STATE(15160), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635117] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17884), 1,
      anon_sym__,
    ACTIONS(17886), 1,
      anon_sym_RBRACE,
    STATE(13529), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [635169] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17888), 1,
      anon_sym_DASH_GT,
    ACTIONS(17890), 1,
      anon_sym_with,
    STATE(13531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12909), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [635193] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17892), 1,
      anon_sym_DASH_GT,
    STATE(13532), 1,
      sym_attribute,
    STATE(19441), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11970), 1,
      anon_sym_COLON2,
    STATE(13533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11968), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [635247] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17894), 1,
      anon_sym_RPAREN,
    STATE(13534), 1,
      sym_attribute,
    STATE(19870), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635279] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17896), 1,
      anon_sym_RPAREN,
    STATE(13535), 1,
      sym_attribute,
    STATE(19971), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635311] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17582), 1,
      anon_sym_COMMA,
    ACTIONS(17584), 1,
      anon_sym_PIPE,
    ACTIONS(17588), 1,
      anon_sym_as,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17898), 1,
      anon_sym_SEMI,
    ACTIONS(17900), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13536), 1,
      sym_attribute,
    STATE(15166), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635343] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13537), 1,
      sym_attribute,
    STATE(13990), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12162), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(17902), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [635371] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12254), 1,
      anon_sym_LPAREN,
    ACTIONS(12256), 1,
      anon_sym_LBRACK,
    STATE(10716), 1,
      sym_constructor_declaration,
    STATE(10931), 1,
      sym__constructor_name,
    STATE(13538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12258), 2,
      anon_sym_true,
      anon_sym_false,
  [635401] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17888), 1,
      anon_sym_DASH_GT,
    ACTIONS(17890), 1,
      anon_sym_with,
    STATE(13539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12936), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [635425] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17904), 1,
      anon_sym__,
    ACTIONS(17906), 1,
      anon_sym_RBRACE,
    STATE(13540), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635457] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12238), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    STATE(10716), 1,
      sym_constructor_declaration,
    STATE(10815), 1,
      sym__constructor_name,
    STATE(13541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12242), 2,
      anon_sym_true,
      anon_sym_false,
  [635487] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(17742), 1,
      anon_sym_type,
    ACTIONS(17908), 1,
      sym__lowercase_identifier,
    ACTIONS(17910), 1,
      anon_sym_LBRACK,
    ACTIONS(17912), 1,
      anon_sym_virtual,
    STATE(12612), 1,
      sym_class_binding,
    STATE(13542), 1,
      sym_attribute,
    STATE(14409), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635519] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17914), 1,
      anon_sym_DASH_GT,
    STATE(13543), 1,
      sym_attribute,
    STATE(17644), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635551] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(17742), 1,
      anon_sym_type,
    ACTIONS(17916), 1,
      sym__lowercase_identifier,
    ACTIONS(17918), 1,
      anon_sym_LBRACK,
    ACTIONS(17920), 1,
      anon_sym_virtual,
    STATE(11733), 1,
      sym_class_binding,
    STATE(13544), 1,
      sym_attribute,
    STATE(14798), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635583] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11370), 1,
      anon_sym_RPAREN,
    ACTIONS(17922), 1,
      anon_sym_COLON2,
    STATE(13545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [635607] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17924), 1,
      anon_sym_RPAREN,
    STATE(13546), 1,
      sym_attribute,
    STATE(18353), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635639] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(17926), 1,
      anon_sym_rec,
    ACTIONS(17928), 1,
      anon_sym_type,
    STATE(11755), 1,
      sym_module_binding,
    STATE(13547), 1,
      sym_attribute,
    STATE(14800), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17930), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [635669] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17932), 1,
      anon_sym_RPAREN,
    STATE(13548), 1,
      sym_attribute,
    STATE(18347), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635701] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(16920), 1,
      anon_sym_LPAREN,
    ACTIONS(16922), 1,
      anon_sym_LBRACK,
    STATE(10826), 1,
      sym_constructor_declaration,
    STATE(11403), 1,
      sym__constructor_name,
    STATE(13549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16924), 2,
      anon_sym_true,
      anon_sym_false,
  [635731] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13550), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15674), 1,
      sym_field_pattern,
    STATE(17578), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [635783] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17934), 1,
      anon_sym_RPAREN,
    STATE(13552), 1,
      sym_attribute,
    STATE(17846), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635815] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13553), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15671), 1,
      sym_field_binding_pattern,
    STATE(19319), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635847] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(17846), 1,
      anon_sym_AMP,
    STATE(13554), 1,
      sym_attribute,
    STATE(14054), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17936), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [635875] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17938), 1,
      anon_sym_RPAREN,
    STATE(13555), 1,
      sym_attribute,
    STATE(19606), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635907] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17940), 1,
      anon_sym_RPAREN,
    STATE(13556), 1,
      sym_attribute,
    STATE(17785), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635939] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17942), 1,
      anon_sym_DASH_GT,
    STATE(13557), 1,
      sym_attribute,
    STATE(18769), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635971] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17944), 1,
      anon_sym_DASH_GT,
    STATE(13558), 1,
      sym_attribute,
    STATE(19953), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636003] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17946), 1,
      anon_sym_RBRACK,
    ACTIONS(17948), 1,
      anon_sym_SEMI,
    STATE(13559), 1,
      sym_attribute,
    STATE(15172), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636035] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17950), 1,
      anon_sym_RPAREN,
    STATE(13560), 1,
      sym_attribute,
    STATE(17791), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636067] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17952), 1,
      anon_sym_SEMI,
    ACTIONS(17954), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13561), 1,
      sym_attribute,
    STATE(15208), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636099] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13562), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(15718), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636129] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17956), 1,
      anon_sym__,
    ACTIONS(17958), 1,
      anon_sym_RBRACE,
    STATE(13563), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636161] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17960), 1,
      anon_sym_RPAREN,
    STATE(13564), 1,
      sym_attribute,
    STATE(17840), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636193] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17962), 1,
      anon_sym_RPAREN,
    STATE(13565), 1,
      sym_attribute,
    STATE(17943), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636225] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17964), 1,
      anon_sym__,
    ACTIONS(17966), 1,
      anon_sym_RBRACE,
    STATE(13566), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636257] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17968), 1,
      anon_sym__,
    ACTIONS(17970), 1,
      anon_sym_RBRACE,
    STATE(13567), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636289] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17972), 1,
      anon_sym_RPAREN,
    STATE(13568), 1,
      sym_attribute,
    STATE(18306), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636321] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [636341] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(17974), 1,
      anon_sym_DASH_GT,
    STATE(13570), 1,
      sym_attribute,
    STATE(18234), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636373] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17976), 1,
      anon_sym_RPAREN,
    STATE(13571), 1,
      sym_attribute,
    STATE(17895), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636405] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17888), 1,
      anon_sym_DASH_GT,
    ACTIONS(17890), 1,
      anon_sym_with,
    STATE(13572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12841), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [636429] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11882), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [636449] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17978), 1,
      anon_sym_RPAREN,
    STATE(13574), 1,
      sym_attribute,
    STATE(17901), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636481] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11874), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [636501] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13576), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15513), 1,
      sym_field_binding_pattern,
    STATE(18305), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636533] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17980), 1,
      anon_sym_RPAREN,
    STATE(13577), 1,
      sym_attribute,
    STATE(18271), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636565] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13578), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15514), 1,
      sym_field_pattern,
    STATE(17676), 1,
      sym__quoted_string,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636597] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17982), 1,
      anon_sym_RPAREN,
    STATE(13579), 1,
      sym_attribute,
    STATE(18213), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636629] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17984), 1,
      anon_sym_RBRACK,
    ACTIONS(17986), 1,
      anon_sym_SEMI,
    STATE(13580), 1,
      sym_attribute,
    STATE(15610), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636661] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17582), 1,
      anon_sym_COMMA,
    ACTIONS(17584), 1,
      anon_sym_PIPE,
    ACTIONS(17588), 1,
      anon_sym_as,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17988), 1,
      anon_sym_SEMI,
    ACTIONS(17990), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13581), 1,
      sym_attribute,
    STATE(15612), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636693] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17992), 1,
      anon_sym_RPAREN,
    STATE(13582), 1,
      sym_attribute,
    STATE(18203), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636725] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17994), 1,
      anon_sym_RBRACK,
    ACTIONS(17996), 1,
      anon_sym_SEMI,
    STATE(13583), 1,
      sym_attribute,
    STATE(15613), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636757] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17998), 1,
      anon_sym_RPAREN,
    STATE(13584), 1,
      sym_attribute,
    STATE(19245), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636789] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18000), 1,
      anon_sym_COLON2,
    STATE(13585), 1,
      sym_attribute,
    STATE(16334), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [636813] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18002), 1,
      anon_sym_RPAREN,
    STATE(13586), 1,
      sym_attribute,
    STATE(17361), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636845] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(18004), 1,
      anon_sym_DASH_GT,
    STATE(13587), 1,
      sym_attribute,
    STATE(18894), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636877] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18006), 1,
      anon_sym_SEMI,
    ACTIONS(18008), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13588), 1,
      sym_attribute,
    STATE(15618), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636909] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18010), 1,
      anon_sym_RPAREN,
    STATE(13589), 1,
      sym_attribute,
    STATE(19129), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636941] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(18012), 1,
      anon_sym__,
    ACTIONS(18014), 1,
      anon_sym_RBRACE,
    STATE(13590), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636973] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13591), 1,
      sym_attribute,
    STATE(13997), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11614), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16644), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [637001] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(17238), 1,
      anon_sym_LPAREN,
    ACTIONS(17240), 1,
      anon_sym_LBRACK,
    STATE(10826), 1,
      sym_constructor_declaration,
    STATE(11748), 1,
      sym__constructor_name,
    STATE(13592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17242), 2,
      anon_sym_true,
      anon_sym_false,
  [637031] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13593), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(16272), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637061] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18016), 1,
      anon_sym_SEMI,
    ACTIONS(18018), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13594), 1,
      sym_attribute,
    STATE(15695), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637093] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18020), 1,
      anon_sym_RPAREN,
    STATE(13595), 1,
      sym_attribute,
    STATE(17937), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637125] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(17196), 1,
      anon_sym_LPAREN,
    ACTIONS(17198), 1,
      anon_sym_LBRACK,
    STATE(10826), 1,
      sym_constructor_declaration,
    STATE(11720), 1,
      sym__constructor_name,
    STATE(13596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17200), 2,
      anon_sym_true,
      anon_sym_false,
  [637155] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13597), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15601), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    STATE(20203), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637187] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18022), 1,
      anon_sym_RBRACK,
    ACTIONS(18024), 1,
      anon_sym_SEMI,
    STATE(13598), 1,
      sym_attribute,
    STATE(15693), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637219] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13599), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15600), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    STATE(20203), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637251] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18026), 1,
      anon_sym_RPAREN,
    STATE(13600), 1,
      sym_attribute,
    STATE(18230), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637283] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(18028), 1,
      anon_sym_DASH_GT,
    STATE(13601), 1,
      sym_attribute,
    STATE(19029), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637315] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18030), 1,
      anon_sym_RPAREN,
    STATE(13602), 1,
      sym_attribute,
    STATE(18224), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637347] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17484), 1,
      anon_sym_RPAREN,
    STATE(13603), 1,
      sym_attribute,
    STATE(17874), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637379] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13604), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(16258), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637409] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(18032), 1,
      anon_sym__,
    ACTIONS(18034), 1,
      anon_sym_RBRACE,
    STATE(13605), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637441] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11384), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [637461] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(18036), 1,
      anon_sym__,
    ACTIONS(18038), 1,
      anon_sym_RBRACE,
    STATE(13607), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637493] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(18040), 1,
      anon_sym_DASH_GT,
    STATE(13608), 1,
      sym_attribute,
    STATE(19866), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637525] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(18042), 1,
      anon_sym_DASH_GT,
    STATE(13609), 1,
      sym_attribute,
    STATE(20221), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637557] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18044), 1,
      anon_sym_RPAREN,
    STATE(13610), 1,
      sym_attribute,
    STATE(17651), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637589] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11929), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [637609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17888), 1,
      anon_sym_DASH_GT,
    ACTIONS(17890), 1,
      anon_sym_with,
    STATE(13612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12913), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [637633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12087), 1,
      anon_sym_COLON2,
    STATE(13613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12085), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [637655] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17080), 1,
      anon_sym_LPAREN,
    ACTIONS(17082), 1,
      anon_sym_LBRACK,
    ACTIONS(17086), 1,
      sym__uppercase_identifier,
    STATE(13614), 1,
      sym_attribute,
    STATE(14017), 1,
      sym__constructor_name,
    STATE(14464), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17084), 2,
      anon_sym_true,
      anon_sym_false,
  [637685] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18046), 1,
      anon_sym_RPAREN,
    STATE(13615), 1,
      sym_attribute,
    STATE(18312), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637717] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18048), 1,
      anon_sym_RPAREN,
    STATE(13616), 1,
      sym_attribute,
    STATE(18189), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637749] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18050), 1,
      anon_sym_RPAREN,
    STATE(13617), 1,
      sym_attribute,
    STATE(18183), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637781] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7015), 1,
      anon_sym_PIPE,
    ACTIONS(17794), 1,
      anon_sym_DOT_DOT,
    STATE(13618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7011), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [637805] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(18052), 1,
      anon_sym__,
    ACTIONS(18054), 1,
      anon_sym_RBRACE,
    STATE(13619), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637837] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18056), 1,
      anon_sym_RPAREN,
    STATE(13620), 1,
      sym_attribute,
    STATE(18148), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637869] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18058), 1,
      anon_sym_RPAREN,
    STATE(13621), 1,
      sym_attribute,
    STATE(17604), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637901] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(18060), 1,
      anon_sym__,
    ACTIONS(18062), 1,
      anon_sym_RBRACE,
    STATE(13622), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637933] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18064), 1,
      anon_sym_RPAREN,
    STATE(13623), 1,
      sym_attribute,
    STATE(18142), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637965] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(18066), 1,
      anon_sym_rec,
    ACTIONS(18068), 1,
      anon_sym_type,
    STATE(12476), 1,
      sym_module_binding,
    STATE(13624), 1,
      sym_attribute,
    STATE(14859), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [637995] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17582), 1,
      anon_sym_COMMA,
    ACTIONS(17584), 1,
      anon_sym_PIPE,
    ACTIONS(17588), 1,
      anon_sym_as,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18072), 1,
      anon_sym_SEMI,
    ACTIONS(18074), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13625), 1,
      sym_attribute,
    STATE(15691), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638027] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(18076), 1,
      anon_sym_DASH_GT,
    STATE(13626), 1,
      sym_attribute,
    STATE(17951), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638059] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18078), 1,
      anon_sym_RPAREN,
    STATE(13627), 1,
      sym_attribute,
    STATE(18107), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638091] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18080), 1,
      anon_sym_RPAREN,
    STATE(13628), 1,
      sym_attribute,
    STATE(18101), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638123] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(18082), 1,
      anon_sym_DASH_GT,
    STATE(13629), 1,
      sym_attribute,
    STATE(17709), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638155] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18084), 1,
      anon_sym_RBRACK,
    ACTIONS(18086), 1,
      anon_sym_SEMI,
    STATE(13630), 1,
      sym_attribute,
    STATE(15689), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638187] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18088), 1,
      anon_sym_RPAREN,
    STATE(13631), 1,
      sym_attribute,
    STATE(17887), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638219] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11909), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [638239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12128), 1,
      anon_sym_COLON2,
    STATE(13633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12126), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [638261] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(18090), 1,
      anon_sym_rec,
    ACTIONS(18092), 1,
      anon_sym_type,
    STATE(12610), 1,
      sym_module_binding,
    STATE(13634), 1,
      sym_attribute,
    STATE(14864), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18094), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [638291] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13635), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(15219), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [638321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8028), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [638343] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18096), 1,
      anon_sym_RPAREN,
    STATE(13637), 1,
      sym_attribute,
    STATE(17978), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638375] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11907), 1,
      sym__uppercase_identifier,
    ACTIONS(12559), 1,
      anon_sym_LPAREN,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    STATE(10716), 1,
      sym_constructor_declaration,
    STATE(11334), 1,
      sym__constructor_name,
    STATE(13638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 2,
      anon_sym_true,
      anon_sym_false,
  [638405] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18098), 1,
      anon_sym_RPAREN,
    STATE(13639), 1,
      sym_attribute,
    STATE(17984), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638437] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(18100), 1,
      anon_sym_rec,
    ACTIONS(18102), 1,
      anon_sym_type,
    STATE(11792), 1,
      sym_module_binding,
    STATE(13640), 1,
      sym_attribute,
    STATE(14869), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18104), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [638467] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(17742), 1,
      anon_sym_type,
    ACTIONS(18106), 1,
      sym__lowercase_identifier,
    ACTIONS(18108), 1,
      anon_sym_LBRACK,
    ACTIONS(18110), 1,
      anon_sym_virtual,
    STATE(11725), 1,
      sym_class_binding,
    STATE(13641), 1,
      sym_attribute,
    STATE(14329), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638499] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18112), 1,
      anon_sym_RPAREN,
    STATE(13642), 1,
      sym_attribute,
    STATE(18066), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638531] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(18114), 1,
      anon_sym_DASH_GT,
    STATE(13643), 1,
      sym_attribute,
    STATE(17911), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638563] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18116), 1,
      anon_sym_RPAREN,
    STATE(13644), 1,
      sym_attribute,
    STATE(19509), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638595] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18118), 1,
      anon_sym_RPAREN,
    STATE(13645), 1,
      sym_attribute,
    STATE(18025), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638627] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(18120), 1,
      anon_sym_RPAREN,
    STATE(13646), 1,
      sym_attribute,
    STATE(18019), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8016), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [638681] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14570), 1,
      anon_sym_BANG,
    ACTIONS(17508), 1,
      anon_sym__,
    STATE(13648), 1,
      sym_attribute,
    STATE(14164), 1,
      sym_type_variable,
    STATE(15209), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14568), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [638711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8020), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [638733] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17504), 1,
      anon_sym_when,
    ACTIONS(18122), 1,
      anon_sym_DASH_GT,
    STATE(13650), 1,
      sym_attribute,
    STATE(17371), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8024), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [638787] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18124), 1,
      anon_sym_RBRACE,
    STATE(13652), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_PIPE,
    STATE(13653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [638837] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18126), 1,
      anon_sym_RBRACE,
    STATE(13654), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638866] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18128), 1,
      anon_sym_RBRACE,
    STATE(13655), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638895] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18130), 1,
      anon_sym_RBRACE,
    STATE(13656), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638924] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18132), 1,
      anon_sym_RBRACE,
    STATE(13657), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638953] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18134), 1,
      anon_sym_RBRACE,
    STATE(13658), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638982] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18136), 1,
      sym__lowercase_identifier,
    STATE(9557), 1,
      sym_class_path,
    STATE(13659), 1,
      sym_attribute,
    STATE(14878), 1,
      sym__attribute,
    STATE(18085), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639011] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18138), 1,
      anon_sym_RBRACE,
    STATE(13660), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639040] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18140), 1,
      sym__lowercase_identifier,
    STATE(5145), 1,
      sym_class_path,
    STATE(13661), 1,
      sym_attribute,
    STATE(14611), 1,
      sym__attribute,
    STATE(18643), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639069] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18142), 1,
      anon_sym_RBRACE,
    STATE(13662), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639098] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18144), 1,
      anon_sym_RBRACE,
    STATE(13663), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639127] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18146), 1,
      anon_sym_RBRACE,
    STATE(13664), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639156] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18148), 1,
      anon_sym_RBRACE,
    STATE(13665), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639185] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18150), 1,
      anon_sym_RBRACE,
    STATE(13666), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639214] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(15843), 1,
      sym__lowercase_identifier,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(13667), 1,
      sym_attribute,
    STATE(14813), 1,
      sym__attribute,
    STATE(16342), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639243] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18154), 1,
      anon_sym_RBRACE,
    STATE(13668), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639272] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(13669), 1,
      sym_attribute,
    STATE(14795), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20011), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [639299] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18158), 1,
      anon_sym_RBRACE,
    STATE(13670), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639328] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18160), 1,
      sym__lowercase_identifier,
    STATE(4200), 1,
      sym_class_path,
    STATE(13671), 1,
      sym_attribute,
    STATE(14791), 1,
      sym__attribute,
    STATE(20005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639357] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18162), 1,
      anon_sym_RBRACE,
    STATE(13672), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639386] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18164), 1,
      anon_sym_RBRACE,
    STATE(13673), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639415] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18166), 1,
      anon_sym_RBRACE,
    STATE(13674), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639444] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18168), 1,
      anon_sym_RBRACE,
    STATE(13675), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639473] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18170), 1,
      anon_sym_RBRACE,
    STATE(13676), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639502] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18172), 1,
      anon_sym_RBRACE,
    STATE(13677), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639531] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18174), 1,
      anon_sym_RBRACE,
    STATE(13678), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639560] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18176), 1,
      anon_sym_RBRACE,
    STATE(13679), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639589] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(13680), 1,
      sym_attribute,
    STATE(14850), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20131), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [639616] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18178), 1,
      sym__lowercase_identifier,
    STATE(3498), 1,
      sym_class_path,
    STATE(13681), 1,
      sym_attribute,
    STATE(14709), 1,
      sym__attribute,
    STATE(18681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639645] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18180), 1,
      anon_sym_RBRACE,
    STATE(13682), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639674] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18182), 1,
      anon_sym_RBRACE,
    STATE(13683), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639703] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18184), 1,
      anon_sym_RBRACE,
    STATE(13684), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639732] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18186), 1,
      anon_sym_RBRACE,
    STATE(13685), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639761] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18188), 1,
      anon_sym_RBRACE,
    STATE(13686), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639790] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18190), 1,
      anon_sym_RBRACE,
    STATE(13687), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639819] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18192), 1,
      anon_sym_RBRACE,
    STATE(13688), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639848] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18194), 1,
      sym__lowercase_identifier,
    STATE(6854), 1,
      sym_class_path,
    STATE(13689), 1,
      sym_attribute,
    STATE(14528), 1,
      sym__attribute,
    STATE(17712), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639877] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(13690), 1,
      sym_attribute,
    STATE(14833), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20123), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [639904] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18196), 1,
      sym__lowercase_identifier,
    STATE(7475), 1,
      sym_class_path,
    STATE(13691), 1,
      sym_attribute,
    STATE(14361), 1,
      sym__attribute,
    STATE(18249), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639933] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18198), 1,
      anon_sym_RBRACE,
    STATE(13692), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639962] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18200), 1,
      sym__lowercase_identifier,
    STATE(6023), 1,
      sym_class_path,
    STATE(13693), 1,
      sym_attribute,
    STATE(14706), 1,
      sym__attribute,
    STATE(17962), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639991] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18202), 1,
      sym__lowercase_identifier,
    STATE(3281), 1,
      sym_class_path,
    STATE(13694), 1,
      sym_attribute,
    STATE(14806), 1,
      sym__attribute,
    STATE(18718), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640020] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18204), 1,
      sym__lowercase_identifier,
    STATE(7179), 1,
      sym_class_path,
    STATE(13695), 1,
      sym_attribute,
    STATE(14408), 1,
      sym__attribute,
    STATE(18856), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640049] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18206), 1,
      sym__lowercase_identifier,
    STATE(6850), 1,
      sym_class_path,
    STATE(13696), 1,
      sym_attribute,
    STATE(14350), 1,
      sym__attribute,
    STATE(19355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640078] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18208), 1,
      anon_sym_RBRACE,
    STATE(13697), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640107] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18210), 1,
      anon_sym_RBRACE,
    STATE(13698), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640136] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18212), 1,
      anon_sym_RBRACE,
    STATE(13699), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640165] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(13700), 1,
      sym_attribute,
    STATE(14817), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20110), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [640192] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    ACTIONS(18214), 1,
      anon_sym_rec,
    STATE(13701), 1,
      sym_attribute,
    STATE(14481), 1,
      sym__attribute,
    STATE(15337), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18216), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [640219] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18218), 1,
      anon_sym_RBRACE,
    STATE(13702), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640248] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18220), 1,
      sym__lowercase_identifier,
    STATE(5624), 1,
      sym_class_path,
    STATE(13703), 1,
      sym_attribute,
    STATE(14513), 1,
      sym__attribute,
    STATE(18605), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640277] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18222), 1,
      anon_sym_RBRACE,
    STATE(13704), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640306] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18224), 1,
      anon_sym_RBRACE,
    STATE(13705), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640335] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18226), 1,
      anon_sym_RBRACE,
    STATE(13706), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640364] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18228), 1,
      anon_sym_RBRACE,
    STATE(13707), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640393] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18230), 1,
      anon_sym_RBRACE,
    STATE(13708), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640422] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18232), 1,
      sym__lowercase_identifier,
    STATE(3690), 1,
      sym_class_path,
    STATE(13709), 1,
      sym_attribute,
    STATE(14866), 1,
      sym__attribute,
    STATE(18742), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640451] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18234), 1,
      anon_sym_RBRACE,
    STATE(13710), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640480] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(15843), 1,
      sym__lowercase_identifier,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(13711), 1,
      sym_attribute,
    STATE(14716), 1,
      sym__attribute,
    STATE(16411), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640509] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18236), 1,
      anon_sym_RBRACE,
    STATE(13712), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640538] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    ACTIONS(18242), 1,
      anon_sym_RBRACK,
    STATE(13713), 1,
      sym_attribute,
    STATE(15563), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640567] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18244), 1,
      anon_sym_RBRACE,
    STATE(13714), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640596] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18246), 1,
      anon_sym_RBRACE,
    STATE(13715), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640625] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18248), 1,
      anon_sym_RBRACE,
    STATE(13716), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640654] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18250), 1,
      anon_sym_RBRACE,
    STATE(13717), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640683] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18252), 1,
      sym__lowercase_identifier,
    ACTIONS(18254), 1,
      anon_sym_LBRACK,
    ACTIONS(18256), 1,
      anon_sym_virtual,
    STATE(11371), 1,
      sym_class_type_binding,
    STATE(13718), 1,
      sym_attribute,
    STATE(14704), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640712] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18258), 1,
      anon_sym_RBRACE,
    STATE(13719), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640741] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      sym__lowercase_identifier,
    ACTIONS(18262), 1,
      anon_sym_BANG,
    STATE(12104), 1,
      sym__instance_variable_name,
    STATE(13720), 1,
      sym_attribute,
    STATE(14096), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18264), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [640768] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18266), 1,
      anon_sym_RBRACE,
    STATE(13721), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640797] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18268), 1,
      anon_sym_RBRACE,
    STATE(13722), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640826] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18270), 1,
      anon_sym_RBRACE,
    STATE(13723), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640855] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18272), 1,
      anon_sym_RBRACE,
    STATE(13724), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640884] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18274), 1,
      anon_sym_RBRACE,
    STATE(13725), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640913] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18276), 1,
      anon_sym_RBRACE,
    STATE(13726), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640942] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18278), 1,
      anon_sym_RBRACE,
    STATE(13727), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640971] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18280), 1,
      anon_sym_RBRACE,
    STATE(13728), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641000] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18282), 1,
      sym__lowercase_identifier,
    STATE(5370), 1,
      sym_class_path,
    STATE(13729), 1,
      sym_attribute,
    STATE(14680), 1,
      sym__attribute,
    STATE(17877), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641029] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18284), 1,
      anon_sym_RBRACE,
    STATE(13730), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641058] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18286), 1,
      anon_sym_RBRACE,
    STATE(13731), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641087] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18288), 1,
      anon_sym_RBRACE,
    STATE(13732), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641116] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18290), 1,
      anon_sym_RBRACE,
    STATE(13733), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641145] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18292), 1,
      anon_sym_RBRACE,
    STATE(13734), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641174] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18294), 1,
      anon_sym_RBRACE,
    STATE(13735), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641203] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18296), 1,
      sym__lowercase_identifier,
    STATE(7152), 1,
      sym_class_path,
    STATE(13736), 1,
      sym_attribute,
    STATE(14253), 1,
      sym__attribute,
    STATE(18930), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641232] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18298), 1,
      anon_sym_RBRACE,
    STATE(13737), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641261] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18300), 1,
      anon_sym_RBRACE,
    STATE(13738), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641290] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18302), 1,
      anon_sym_RBRACE,
    STATE(13739), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641319] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18304), 1,
      anon_sym_RBRACE,
    STATE(13740), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641348] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18306), 1,
      anon_sym_RBRACE,
    STATE(13741), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641377] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18308), 1,
      anon_sym_RBRACE,
    STATE(13742), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641406] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18310), 1,
      sym__lowercase_identifier,
    STATE(5064), 1,
      sym_class_path,
    STATE(13743), 1,
      sym_attribute,
    STATE(14650), 1,
      sym__attribute,
    STATE(17822), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641435] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18312), 1,
      anon_sym_RBRACE,
    STATE(13744), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641464] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18314), 1,
      anon_sym_RBRACE,
    STATE(13745), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641493] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18316), 1,
      anon_sym_RBRACE,
    STATE(13746), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641522] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18318), 1,
      sym__lowercase_identifier,
    STATE(5250), 1,
      sym_class_path,
    STATE(13747), 1,
      sym_attribute,
    STATE(14478), 1,
      sym__attribute,
    STATE(17871), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641551] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18320), 1,
      anon_sym_RBRACE,
    STATE(13748), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641580] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18322), 1,
      anon_sym_RBRACE,
    STATE(13749), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7892), 1,
      anon_sym_PIPE,
    STATE(13750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641630] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7908), 1,
      anon_sym_PIPE,
    STATE(13751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641651] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18324), 1,
      sym__lowercase_identifier,
    STATE(4806), 1,
      sym_class_path,
    STATE(13752), 1,
      sym_attribute,
    STATE(14693), 1,
      sym__attribute,
    STATE(18371), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641680] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18326), 1,
      anon_sym_RBRACE,
    STATE(13753), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641709] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18328), 1,
      anon_sym_RBRACE,
    STATE(13754), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641738] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18330), 1,
      sym__lowercase_identifier,
    STATE(3841), 1,
      sym_class_path,
    STATE(13755), 1,
      sym_attribute,
    STATE(14228), 1,
      sym__attribute,
    STATE(18208), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641767] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18332), 1,
      sym__lowercase_identifier,
    STATE(9032), 1,
      sym_class_path,
    STATE(13756), 1,
      sym_attribute,
    STATE(14747), 1,
      sym__attribute,
    STATE(17528), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7930), 1,
      anon_sym_PIPE,
    STATE(13757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641817] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18334), 1,
      anon_sym_RBRACE,
    STATE(13758), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641846] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18336), 1,
      anon_sym_RBRACE,
    STATE(13759), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641875] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18338), 1,
      anon_sym_RBRACE,
    STATE(13760), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7763), 1,
      anon_sym_PIPE,
    STATE(13761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641925] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18340), 1,
      anon_sym_RBRACE,
    STATE(13762), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8200), 1,
      anon_sym_PIPE,
    STATE(13763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7990), 1,
      anon_sym_PIPE,
    STATE(13764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641996] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18342), 1,
      sym__lowercase_identifier,
    STATE(5980), 1,
      sym_class_path,
    STATE(13765), 1,
      sym_attribute,
    STATE(14412), 1,
      sym__attribute,
    STATE(18567), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642025] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18344), 1,
      sym__lowercase_identifier,
    STATE(5761), 1,
      sym_class_path,
    STATE(13766), 1,
      sym_attribute,
    STATE(14612), 1,
      sym__attribute,
    STATE(17767), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642054] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_PIPE,
    STATE(13767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642075] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18346), 1,
      anon_sym_RBRACE,
    STATE(13768), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642104] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18348), 1,
      anon_sym_RBRACE,
    STATE(13769), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7978), 1,
      anon_sym_PIPE,
    STATE(13770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642154] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(15843), 1,
      sym__lowercase_identifier,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(13771), 1,
      sym_attribute,
    STATE(14340), 1,
      sym__attribute,
    STATE(17158), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642183] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18350), 1,
      anon_sym_RBRACE,
    STATE(13772), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642212] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18352), 1,
      anon_sym_RBRACE,
    STATE(13773), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642241] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18354), 1,
      anon_sym_RBRACE,
    STATE(13774), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7974), 1,
      anon_sym_PIPE,
    STATE(13775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642291] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18356), 1,
      anon_sym_RBRACE,
    STATE(13776), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642320] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18358), 1,
      anon_sym_RBRACE,
    STATE(13777), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642349] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18360), 1,
      anon_sym_RBRACE,
    STATE(13778), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642378] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18362), 1,
      anon_sym_RBRACE,
    STATE(13779), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7970), 1,
      anon_sym_PIPE,
    STATE(13780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7912), 1,
      anon_sym_PIPE,
    STATE(13781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642449] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18364), 1,
      anon_sym_RBRACE,
    STATE(13782), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642478] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18366), 1,
      anon_sym_RBRACE,
    STATE(13783), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642507] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18368), 1,
      anon_sym_RBRACE,
    STATE(13784), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642536] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11466), 1,
      anon_sym_RPAREN,
    STATE(13785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [642557] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18370), 1,
      sym__lowercase_identifier,
    STATE(6413), 1,
      sym_class_path,
    STATE(13786), 1,
      sym_attribute,
    STATE(14578), 1,
      sym__attribute,
    STATE(17657), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12014), 1,
      anon_sym_RPAREN,
    STATE(13787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [642607] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18372), 1,
      anon_sym_RBRACE,
    STATE(13788), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642636] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18374), 1,
      anon_sym_RBRACE,
    STATE(13789), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642665] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18376), 1,
      anon_sym_RBRACE,
    STATE(13790), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642694] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18378), 1,
      sym__lowercase_identifier,
    STATE(3086), 1,
      sym_class_path,
    STATE(13791), 1,
      sym_attribute,
    STATE(14410), 1,
      sym__attribute,
    STATE(18411), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9082), 1,
      anon_sym_PIPE,
    STATE(13792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642744] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18380), 1,
      anon_sym_and,
    STATE(13793), 1,
      sym_attribute,
    STATE(13845), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12682), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [642767] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18382), 1,
      anon_sym_RBRACE,
    STATE(13794), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642796] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18384), 1,
      sym__lowercase_identifier,
    STATE(7044), 1,
      sym_class_path,
    STATE(13795), 1,
      sym_attribute,
    STATE(14493), 1,
      sym__attribute,
    STATE(17492), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9074), 1,
      anon_sym_PIPE,
    STATE(13796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642846] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18386), 1,
      anon_sym_RBRACE,
    STATE(13797), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_PIPE,
    STATE(13798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642896] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18388), 1,
      anon_sym_RBRACE,
    STATE(13799), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642925] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18390), 1,
      anon_sym_RBRACE,
    STATE(13800), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642954] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18392), 1,
      anon_sym_RBRACE,
    STATE(13801), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642983] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18394), 1,
      anon_sym_RBRACE,
    STATE(13802), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643012] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18396), 1,
      anon_sym_RBRACE,
    STATE(13803), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643041] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18398), 1,
      sym__lowercase_identifier,
    STATE(6861), 1,
      sym_class_path,
    STATE(13804), 1,
      sym_attribute,
    STATE(14212), 1,
      sym__attribute,
    STATE(17602), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643070] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18400), 1,
      anon_sym_RBRACE,
    STATE(13805), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11943), 1,
      anon_sym_and,
    ACTIONS(18402), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11941), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(13806), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [643124] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9062), 1,
      anon_sym_PIPE,
    STATE(13807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643145] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18405), 1,
      anon_sym_RBRACE,
    STATE(13808), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643174] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18407), 1,
      sym__lowercase_identifier,
    STATE(6930), 1,
      sym_class_path,
    STATE(13809), 1,
      sym_attribute,
    STATE(14232), 1,
      sym__attribute,
    STATE(18686), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643203] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8962), 1,
      anon_sym_PIPE,
    STATE(13810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643224] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18409), 1,
      anon_sym_RBRACE,
    STATE(13811), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643253] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18411), 1,
      anon_sym_RBRACE,
    STATE(13812), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643282] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18413), 1,
      anon_sym_RBRACE,
    STATE(13813), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_PIPE,
    STATE(13814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643332] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18415), 1,
      anon_sym_RBRACE,
    STATE(13815), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643361] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18417), 1,
      anon_sym_RBRACE,
    STATE(13816), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643390] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18419), 1,
      anon_sym_RBRACE,
    STATE(13817), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643419] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18421), 1,
      anon_sym_RBRACE,
    STATE(13818), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9078), 1,
      anon_sym_PIPE,
    STATE(13819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643469] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18423), 1,
      anon_sym_RBRACE,
    STATE(13820), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9518), 1,
      anon_sym_PIPE,
    STATE(13821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643519] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18425), 1,
      sym__lowercase_identifier,
    STATE(6186), 1,
      sym_class_path,
    STATE(13822), 1,
      sym_attribute,
    STATE(14775), 1,
      sym__attribute,
    STATE(18003), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643548] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9086), 1,
      anon_sym_PIPE,
    STATE(13823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643569] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18427), 1,
      anon_sym_RBRACE,
    STATE(13824), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643598] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18429), 1,
      anon_sym_RBRACE,
    STATE(13825), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643627] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18431), 1,
      sym__lowercase_identifier,
    STATE(3970), 1,
      sym_class_path,
    STATE(13826), 1,
      sym_attribute,
    STATE(14508), 1,
      sym__attribute,
    STATE(17547), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643656] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9514), 1,
      anon_sym_PIPE,
    STATE(13827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_PIPE,
    STATE(13828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9486), 1,
      anon_sym_PIPE,
    STATE(13829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643719] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18433), 1,
      sym__lowercase_identifier,
    STATE(6490), 1,
      sym_class_path,
    STATE(13830), 1,
      sym_attribute,
    STATE(14310), 1,
      sym__attribute,
    STATE(18528), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643748] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9510), 1,
      anon_sym_PIPE,
    STATE(13831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9090), 1,
      anon_sym_PIPE,
    STATE(13832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643790] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18435), 1,
      anon_sym_RBRACE,
    STATE(13833), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643819] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(13941), 1,
      anon_sym_POUND,
    ACTIONS(18437), 1,
      anon_sym_DASH_GT,
    STATE(12037), 1,
      sym_type_constructor_path,
    STATE(13834), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643848] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18439), 1,
      anon_sym_RBRACE,
    STATE(13835), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643877] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18441), 1,
      anon_sym_RBRACE,
    STATE(13836), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643906] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18443), 1,
      anon_sym_RBRACE,
    STATE(13837), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643935] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18445), 1,
      anon_sym_RBRACE,
    STATE(13838), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643964] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18447), 1,
      anon_sym_RBRACE,
    STATE(13839), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643993] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18449), 1,
      anon_sym_RBRACE,
    STATE(13840), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644022] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18451), 1,
      anon_sym_RBRACE,
    STATE(13841), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644051] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18453), 1,
      sym__lowercase_identifier,
    STATE(7920), 1,
      sym_class_path,
    STATE(13842), 1,
      sym_attribute,
    STATE(14321), 1,
      sym__attribute,
    STATE(20186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8944), 1,
      anon_sym_PIPE,
    STATE(13843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9094), 1,
      anon_sym_PIPE,
    STATE(13844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644122] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18380), 1,
      anon_sym_and,
    STATE(13845), 1,
      sym_attribute,
    STATE(13876), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12483), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [644145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9098), 1,
      anon_sym_PIPE,
    STATE(13846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644166] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    STATE(13847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18455), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [644189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_PIPE,
    STATE(13848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9508), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644210] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18457), 1,
      sym__lowercase_identifier,
    STATE(6552), 1,
      sym_class_path,
    STATE(13849), 1,
      sym_attribute,
    STATE(14651), 1,
      sym__attribute,
    STATE(18126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9502), 1,
      anon_sym_PIPE,
    STATE(13850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644260] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18459), 1,
      anon_sym_RBRACE,
    STATE(13851), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9498), 1,
      anon_sym_PIPE,
    STATE(13852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644310] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    STATE(13853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18461), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [644337] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18463), 1,
      anon_sym_RBRACE,
    STATE(13854), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644366] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    STATE(13855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18465), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [644393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9494), 1,
      anon_sym_PIPE,
    STATE(13856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644414] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    STATE(13857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18467), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [644441] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18469), 1,
      anon_sym_RBRACE,
    STATE(13858), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644470] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18471), 1,
      anon_sym_RBRACE,
    STATE(13859), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644499] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    STATE(13860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18473), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [644526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      anon_sym_PIPE,
    STATE(13861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644547] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18475), 1,
      anon_sym_RBRACE,
    STATE(13862), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644576] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18477), 1,
      anon_sym_RBRACE,
    STATE(13863), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644605] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18479), 1,
      anon_sym_RBRACE,
    STATE(13864), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      anon_sym_PIPE,
    STATE(13865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9056), 1,
      anon_sym_PIPE,
    STATE(13866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644676] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18481), 1,
      anon_sym_RBRACE,
    STATE(13867), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644705] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18483), 1,
      anon_sym_RBRACE,
    STATE(13868), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644734] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    ACTIONS(18485), 1,
      anon_sym_RBRACK,
    STATE(13869), 1,
      sym_attribute,
    STATE(15325), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_PIPE,
    STATE(13870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9044), 1,
      anon_sym_PIPE,
    STATE(13871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644805] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18487), 1,
      sym__lowercase_identifier,
    STATE(3340), 1,
      sym_class_path,
    STATE(13872), 1,
      sym_attribute,
    STATE(14471), 1,
      sym__attribute,
    STATE(17437), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644834] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18489), 1,
      anon_sym_RBRACE,
    STATE(13873), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644863] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18491), 1,
      anon_sym_RBRACE,
    STATE(13874), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644892] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18493), 1,
      anon_sym_RBRACE,
    STATE(13875), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18495), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13876), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11889), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [644942] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18498), 1,
      anon_sym_RBRACE,
    STATE(13877), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8974), 1,
      anon_sym_PIPE,
    STATE(13878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644992] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_PIPE,
    ACTIONS(17576), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_COLON_COLON,
    STATE(13879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18500), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [645019] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18502), 1,
      anon_sym_RBRACE,
    STATE(13880), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645048] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(17542), 1,
      anon_sym_COMMA,
    ACTIONS(17544), 1,
      anon_sym_PIPE,
    ACTIONS(17546), 1,
      anon_sym_COLON_COLON,
    STATE(13881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18504), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [645075] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18506), 1,
      anon_sym_RBRACE,
    STATE(13882), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645104] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18508), 1,
      anon_sym_RBRACE,
    STATE(13883), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9482), 1,
      anon_sym_PIPE,
    STATE(13884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9478), 1,
      anon_sym_PIPE,
    STATE(13885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645175] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18510), 1,
      anon_sym_RBRACE,
    STATE(13886), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645204] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    STATE(13887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645225] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18512), 1,
      anon_sym_RBRACE,
    STATE(13888), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9470), 1,
      anon_sym_PIPE,
    STATE(13889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645275] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18514), 1,
      anon_sym_RBRACE,
    STATE(13890), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645304] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18516), 1,
      anon_sym_RBRACE,
    STATE(13891), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9464), 1,
      anon_sym_PIPE,
    STATE(13892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      anon_sym_PIPE,
    STATE(13893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645375] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18518), 1,
      sym__lowercase_identifier,
    STATE(3862), 1,
      sym_class_path,
    STATE(13894), 1,
      sym_attribute,
    STATE(14225), 1,
      sym__attribute,
    STATE(18489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_PIPE,
    STATE(13895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645425] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18520), 1,
      sym__lowercase_identifier,
    STATE(4945), 1,
      sym_class_path,
    STATE(13896), 1,
      sym_attribute,
    STATE(14429), 1,
      sym__attribute,
    STATE(17384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645454] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_PIPE,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    STATE(13897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [645477] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18522), 1,
      anon_sym_RBRACE,
    STATE(13898), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_PIPE,
    STATE(13899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645527] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18524), 1,
      sym__lowercase_identifier,
    STATE(3692), 1,
      sym_class_path,
    STATE(13900), 1,
      sym_attribute,
    STATE(14736), 1,
      sym__attribute,
    STATE(18290), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645556] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9016), 1,
      anon_sym_PIPE,
    ACTIONS(17582), 1,
      anon_sym_COMMA,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    STATE(13901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [645581] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18526), 1,
      sym__lowercase_identifier,
    STATE(6482), 1,
      sym_class_path,
    STATE(13902), 1,
      sym_attribute,
    STATE(14424), 1,
      sym__attribute,
    STATE(18167), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645610] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9012), 1,
      anon_sym_PIPE,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    STATE(13903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [645633] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18528), 1,
      anon_sym_RBRACE,
    STATE(13904), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645662] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18530), 1,
      anon_sym_RBRACE,
    STATE(13905), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645691] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18532), 1,
      sym__lowercase_identifier,
    STATE(6743), 1,
      sym_class_path,
    STATE(13906), 1,
      sym_attribute,
    STATE(14273), 1,
      sym__attribute,
    STATE(18413), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645720] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18534), 1,
      anon_sym_RBRACE,
    STATE(13907), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645749] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16397), 1,
      anon_sym_PIPE,
    STATE(13908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16395), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645770] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9008), 1,
      anon_sym_PIPE,
    STATE(13909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      anon_sym_PIPE,
    STATE(13910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16393), 1,
      anon_sym_PIPE,
    STATE(13911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16391), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645833] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18536), 1,
      anon_sym_RBRACE,
    STATE(13912), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9000), 1,
      anon_sym_PIPE,
    STATE(13913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8996), 1,
      anon_sym_PIPE,
    STATE(13914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645904] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18538), 1,
      anon_sym_RBRACE,
    STATE(13915), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645933] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8992), 1,
      anon_sym_PIPE,
    STATE(13916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645954] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18540), 1,
      anon_sym_RBRACE,
    STATE(13917), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645983] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18542), 1,
      anon_sym_RBRACE,
    STATE(13918), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646012] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    STATE(4234), 1,
      sym_class_path,
    STATE(13919), 1,
      sym_attribute,
    STATE(14375), 1,
      sym__attribute,
    STATE(17923), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646041] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_RBRACE,
    STATE(13920), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646070] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18548), 1,
      anon_sym_RBRACE,
    STATE(13921), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646099] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18550), 1,
      anon_sym_RBRACE,
    STATE(13922), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646128] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9452), 1,
      anon_sym_PIPE,
    STATE(13923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646149] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18552), 1,
      anon_sym_RBRACE,
    STATE(13924), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646178] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18554), 1,
      anon_sym_RBRACE,
    STATE(13925), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646207] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12379), 1,
      anon_sym_and,
    STATE(13806), 1,
      aux_sym_expression_item_repeat1,
    STATE(13926), 1,
      sym_attribute,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12377), 2,
      anon_sym_in,
      sym_let_and_operator,
  [646234] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    STATE(13927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16753), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [646261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16662), 1,
      anon_sym_PIPE,
    STATE(13928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16660), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9456), 1,
      anon_sym_PIPE,
    STATE(13929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      anon_sym_PIPE,
    STATE(13930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16664), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16614), 1,
      anon_sym_PIPE,
    STATE(13931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16612), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8978), 1,
      anon_sym_PIPE,
    STATE(13932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646366] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18556), 1,
      anon_sym_RBRACE,
    STATE(13933), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8970), 1,
      anon_sym_PIPE,
    STATE(13934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8972), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646416] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18558), 1,
      anon_sym_RBRACE,
    STATE(13935), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646445] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18560), 1,
      anon_sym_RBRACE,
    STATE(13936), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646474] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18562), 1,
      sym__lowercase_identifier,
    STATE(4146), 1,
      sym_class_path,
    STATE(13937), 1,
      sym_attribute,
    STATE(14832), 1,
      sym__attribute,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646503] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_PIPE,
    STATE(13938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646524] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18564), 1,
      anon_sym_RBRACE,
    STATE(13939), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8958), 1,
      anon_sym_PIPE,
    STATE(13940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646574] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18566), 1,
      anon_sym_RBRACE,
    STATE(13941), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646603] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18568), 1,
      anon_sym_RBRACE,
    STATE(13942), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646632] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18570), 1,
      anon_sym_RBRACE,
    STATE(13943), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7015), 1,
      anon_sym_PIPE,
    STATE(13944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7011), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646682] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12756), 1,
      anon_sym_and,
    STATE(13945), 1,
      sym_attribute,
    STATE(13966), 1,
      aux_sym_expression_item_repeat1,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12754), 2,
      anon_sym_in,
      sym_let_and_operator,
  [646709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9012), 1,
      anon_sym_COLON2,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    STATE(13946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [646732] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9016), 1,
      anon_sym_COLON2,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    STATE(13947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [646757] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_COLON2,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    STATE(13948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [646780] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18572), 1,
      anon_sym_RBRACE,
    STATE(13949), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646809] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    STATE(13950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16733), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [646836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16618), 1,
      anon_sym_PIPE,
    STATE(13951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646857] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16731), 1,
      anon_sym_PIPE,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    STATE(13952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16729), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [646880] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16727), 1,
      anon_sym_PIPE,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    STATE(13953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16723), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [646905] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18574), 1,
      sym__lowercase_identifier,
    STATE(7267), 1,
      sym_class_path,
    STATE(13954), 1,
      sym_attribute,
    STATE(14322), 1,
      sym__attribute,
    STATE(18139), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16610), 1,
      anon_sym_PIPE,
    STATE(13955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16608), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646955] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16719), 1,
      anon_sym_PIPE,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    STATE(13956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16717), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [646978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16602), 1,
      anon_sym_PIPE,
    STATE(13957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16600), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646999] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18576), 1,
      anon_sym_RBRACE,
    STATE(13958), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9404), 1,
      anon_sym_PIPE,
    STATE(13959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8982), 1,
      anon_sym_PIPE,
    STATE(13960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647070] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18578), 1,
      anon_sym_RBRACE,
    STATE(13961), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647099] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18580), 1,
      sym__lowercase_identifier,
    STATE(6355), 1,
      sym_class_path,
    STATE(13962), 1,
      sym_attribute,
    STATE(14820), 1,
      sym__attribute,
    STATE(18044), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647128] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18582), 1,
      anon_sym_RBRACE,
    STATE(13963), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647157] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18584), 1,
      anon_sym_RBRACE,
    STATE(13964), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647186] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17582), 1,
      anon_sym_COMMA,
    ACTIONS(17584), 1,
      anon_sym_PIPE,
    ACTIONS(17588), 1,
      anon_sym_as,
    ACTIONS(17590), 1,
      anon_sym_COLON_COLON,
    STATE(13965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18461), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [647213] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12592), 1,
      anon_sym_and,
    STATE(13806), 1,
      aux_sym_expression_item_repeat1,
    STATE(13966), 1,
      sym_attribute,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12590), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647240] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12304), 1,
      anon_sym_and,
    STATE(13967), 1,
      sym_attribute,
    STATE(13977), 1,
      aux_sym_expression_item_repeat1,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12302), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8954), 1,
      anon_sym_PIPE,
    STATE(13968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8950), 1,
      anon_sym_PIPE,
    STATE(13969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647309] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    ACTIONS(18586), 1,
      sym__lowercase_identifier,
    STATE(5807), 1,
      sym_class_path,
    STATE(13970), 1,
      sym_attribute,
    STATE(14314), 1,
      sym__attribute,
    STATE(18450), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647338] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_PIPE,
    ACTIONS(17608), 1,
      anon_sym_as,
    ACTIONS(17610), 1,
      anon_sym_COLON_COLON,
    STATE(13971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18467), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [647365] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16365), 1,
      anon_sym_PIPE,
    STATE(13972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16363), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4915), 1,
      anon_sym_PIPE,
    STATE(13973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4913), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647407] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12319), 1,
      anon_sym_and,
    STATE(13806), 1,
      aux_sym_expression_item_repeat1,
    STATE(13974), 1,
      sym_attribute,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12317), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647434] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18588), 1,
      anon_sym_RBRACE,
    STATE(13975), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647463] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12668), 1,
      anon_sym_and,
    STATE(13976), 1,
      sym_attribute,
    STATE(13981), 1,
      aux_sym_expression_item_repeat1,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12666), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647490] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12455), 1,
      anon_sym_and,
    STATE(13806), 1,
      aux_sym_expression_item_repeat1,
    STATE(13977), 1,
      sym_attribute,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12453), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647517] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18590), 1,
      anon_sym_RBRACE,
    STATE(13978), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647546] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18592), 1,
      anon_sym_RBRACE,
    STATE(13979), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647575] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12391), 1,
      anon_sym_and,
    STATE(13974), 1,
      aux_sym_expression_item_repeat1,
    STATE(13980), 1,
      sym_attribute,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12389), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647602] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12704), 1,
      anon_sym_and,
    STATE(13806), 1,
      aux_sym_expression_item_repeat1,
    STATE(13981), 1,
      sym_attribute,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12702), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647629] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12700), 1,
      anon_sym_and,
    STATE(13982), 1,
      sym_attribute,
    STATE(13983), 1,
      aux_sym_expression_item_repeat1,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12698), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647656] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12410), 1,
      anon_sym_and,
    STATE(13806), 1,
      aux_sym_expression_item_repeat1,
    STATE(13983), 1,
      sym_attribute,
    STATE(14344), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12408), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647683] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    ACTIONS(18594), 1,
      anon_sym_RBRACE,
    STATE(13984), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647712] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18596), 1,
      anon_sym_RPAREN,
    STATE(13985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647738] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(18598), 1,
      anon_sym_RPAREN,
    STATE(13986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647764] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18600), 1,
      anon_sym_RPAREN,
    STATE(13987), 1,
      sym_attribute,
    STATE(15969), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647790] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13988), 1,
      sym_attribute,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12905), 2,
      anon_sym_and,
      anon_sym_in,
  [647814] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13989), 1,
      sym_attribute,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12897), 2,
      anon_sym_and,
      anon_sym_in,
  [647838] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13990), 1,
      sym_attribute,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12966), 2,
      anon_sym_and,
      anon_sym_in,
  [647862] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(13991), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16132), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647888] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13992), 1,
      sym_attribute,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12962), 2,
      anon_sym_and,
      anon_sym_in,
  [647912] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18604), 1,
      anon_sym_SEMI,
    ACTIONS(18606), 1,
      anon_sym_GT_RBRACE,
    STATE(13993), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16031), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647938] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11992), 1,
      sym__lowercase_identifier,
    ACTIONS(18608), 1,
      anon_sym_POUND,
    STATE(8878), 1,
      sym_type_constructor_path,
    STATE(13994), 1,
      sym_attribute,
    STATE(16962), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647964] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    ACTIONS(18610), 1,
      anon_sym_POUND,
    STATE(9887), 1,
      sym_type_constructor_path,
    STATE(13995), 1,
      sym_attribute,
    STATE(17232), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647990] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18612), 1,
      anon_sym_type,
    ACTIONS(18614), 1,
      anon_sym_module,
    STATE(13996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9499), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [648012] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13997), 1,
      sym_attribute,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12162), 2,
      anon_sym_and,
      anon_sym_in,
  [648036] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18616), 1,
      anon_sym_RPAREN,
    STATE(13998), 1,
      sym_attribute,
    STATE(16018), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648062] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18618), 1,
      anon_sym_SEMI,
    ACTIONS(18620), 1,
      anon_sym_GT_RBRACE,
    STATE(13999), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16034), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648088] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14000), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15974), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648114] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18622), 1,
      anon_sym_SEMI,
    ACTIONS(18624), 1,
      anon_sym_GT_RBRACE,
    STATE(14001), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15864), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648140] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14002), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16055), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648166] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18626), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11941), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14003), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [648188] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14004), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16043), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648214] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(14005), 1,
      sym_attribute,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11614), 2,
      anon_sym_and,
      anon_sym_in,
  [648238] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18629), 1,
      anon_sym_SEMI,
    ACTIONS(18631), 1,
      anon_sym_GT_RBRACE,
    STATE(14006), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15389), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648264] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14007), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16000), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648290] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18633), 1,
      anon_sym_EQ,
    ACTIONS(18635), 1,
      anon_sym_of,
    ACTIONS(18637), 1,
      anon_sym_COLON2,
    STATE(14008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [648314] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(18639), 1,
      anon_sym_RPAREN,
    STATE(14009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648340] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11120), 1,
      sym__lowercase_identifier,
    ACTIONS(18641), 1,
      anon_sym_POUND,
    STATE(10806), 1,
      sym_type_constructor_path,
    STATE(14010), 1,
      sym_attribute,
    STATE(17193), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648366] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14011), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15972), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648392] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11126), 1,
      sym__lowercase_identifier,
    ACTIONS(18643), 1,
      anon_sym_POUND,
    STATE(9206), 1,
      sym_type_constructor_path,
    STATE(14012), 1,
      sym_attribute,
    STATE(16902), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648418] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18645), 1,
      anon_sym_RPAREN,
    STATE(14013), 1,
      sym_attribute,
    STATE(16086), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648444] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14014), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16185), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648470] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18647), 1,
      anon_sym_SEMI,
    ACTIONS(18649), 1,
      anon_sym_GT_RBRACE,
    STATE(14015), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15960), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648496] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18651), 1,
      anon_sym_SEMI,
    ACTIONS(18653), 1,
      anon_sym_GT_RBRACE,
    STATE(14016), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16096), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648522] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18655), 1,
      anon_sym_EQ,
    ACTIONS(18657), 1,
      anon_sym_of,
    ACTIONS(18659), 1,
      anon_sym_COLON2,
    STATE(14017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [648546] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [648564] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18661), 1,
      anon_sym_EQ,
    ACTIONS(18663), 1,
      anon_sym_of,
    ACTIONS(18665), 1,
      anon_sym_COLON2,
    STATE(14019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [648588] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18667), 1,
      anon_sym_RBRACK,
    STATE(14020), 1,
      sym_attribute,
    STATE(16105), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648614] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18669), 1,
      anon_sym_type,
    ACTIONS(18671), 1,
      anon_sym_module,
    STATE(14021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9499), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [648636] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14022), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15906), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648662] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11074), 1,
      sym__lowercase_identifier,
    ACTIONS(18673), 1,
      anon_sym_POUND,
    STATE(10091), 1,
      sym_type_constructor_path,
    STATE(14023), 1,
      sym_attribute,
    STATE(17163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648688] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18675), 1,
      anon_sym_SEMI,
    ACTIONS(18677), 1,
      anon_sym_GT_RBRACE,
    STATE(14024), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15343), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648714] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18679), 1,
      anon_sym_SEMI,
    ACTIONS(18681), 1,
      anon_sym_GT_RBRACE,
    STATE(14025), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15280), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648740] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18683), 1,
      anon_sym_RPAREN,
    STATE(14026), 1,
      sym_attribute,
    STATE(15944), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648766] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18685), 1,
      anon_sym_RPAREN,
    STATE(14027), 1,
      sym_attribute,
    STATE(16146), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648792] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18687), 1,
      anon_sym_SEMI,
    ACTIONS(18689), 1,
      anon_sym_GT_RBRACE,
    STATE(14028), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16158), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648818] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18691), 1,
      anon_sym_SEMI,
    ACTIONS(18693), 1,
      anon_sym_GT_RBRACE,
    STATE(14029), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16205), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648844] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      sym__lowercase_identifier,
    STATE(14030), 1,
      sym_attribute,
    STATE(14622), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(16567), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18264), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [648868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18695), 1,
      anon_sym_type,
    ACTIONS(18697), 1,
      anon_sym_module,
    STATE(14031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9499), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [648890] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18485), 1,
      anon_sym_RBRACK,
    STATE(14032), 1,
      sym_attribute,
    STATE(15325), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648916] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18699), 1,
      anon_sym_RBRACK,
    STATE(14033), 1,
      sym_attribute,
    STATE(16167), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648942] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18701), 1,
      anon_sym_type,
    ACTIONS(18703), 1,
      anon_sym_module,
    STATE(14034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9499), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [648964] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12075), 1,
      sym__lowercase_identifier,
    ACTIONS(18705), 1,
      anon_sym_POUND,
    STATE(11599), 1,
      sym_type_constructor_path,
    STATE(14035), 1,
      sym_attribute,
    STATE(17251), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648990] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14036), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16240), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649016] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14037), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15807), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649042] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14038), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(16509), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649068] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14039), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(16500), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649094] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18707), 1,
      anon_sym_RPAREN,
    STATE(14040), 1,
      sym_attribute,
    STATE(16210), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649120] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18709), 1,
      anon_sym_SEMI,
    ACTIONS(18711), 1,
      anon_sym_GT_RBRACE,
    STATE(14041), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16220), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649146] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      sym__lowercase_identifier,
    STATE(14030), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(14042), 1,
      sym_attribute,
    STATE(16550), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18264), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [649170] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14043), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16465), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649196] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    ACTIONS(18713), 1,
      anon_sym_POUND,
    STATE(9216), 1,
      sym_type_constructor_path,
    STATE(14044), 1,
      sym_attribute,
    STATE(17146), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649222] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(18715), 1,
      anon_sym_RPAREN,
    STATE(14045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649248] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18717), 1,
      anon_sym_RBRACK,
    STATE(14046), 1,
      sym_attribute,
    STATE(16246), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649274] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18719), 1,
      anon_sym_RPAREN,
    STATE(14047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649300] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11032), 1,
      sym__lowercase_identifier,
    ACTIONS(18721), 1,
      anon_sym_POUND,
    STATE(10569), 1,
      sym_type_constructor_path,
    STATE(14048), 1,
      sym_attribute,
    STATE(17128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649326] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18723), 1,
      anon_sym_SEMI,
    ACTIONS(18725), 1,
      anon_sym_GT_RBRACE,
    STATE(14049), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15386), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649352] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14050), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15698), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649378] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18727), 1,
      anon_sym_RPAREN,
    STATE(14051), 1,
      sym_attribute,
    STATE(16279), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18729), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14052), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(18455), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [649424] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(18732), 1,
      anon_sym_RPAREN,
    STATE(14053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649450] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17846), 1,
      anon_sym_AMP,
    STATE(14052), 1,
      aux_sym_tag_specification_repeat1,
    STATE(14054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18734), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [649472] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18736), 1,
      anon_sym_type,
    ACTIONS(18738), 1,
      anon_sym_module,
    STATE(14055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9499), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [649494] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18740), 1,
      anon_sym_SEMI,
    ACTIONS(18742), 1,
      anon_sym_GT_RBRACE,
    STATE(14056), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16276), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    STATE(14057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12909), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [649542] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12022), 1,
      sym__lowercase_identifier,
    ACTIONS(18748), 1,
      anon_sym_POUND,
    STATE(12972), 1,
      sym_type_constructor_path,
    STATE(14058), 1,
      sym_attribute,
    STATE(17105), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649568] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18750), 1,
      anon_sym_RPAREN,
    STATE(14059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649594] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18752), 1,
      anon_sym_RPAREN,
    STATE(14060), 1,
      sym_attribute,
    STATE(16199), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649620] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18754), 1,
      anon_sym_SEMI,
    ACTIONS(18756), 1,
      anon_sym_GT_RBRACE,
    STATE(14061), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16090), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649646] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18758), 1,
      anon_sym_RBRACK,
    STATE(14062), 1,
      sym_attribute,
    STATE(15307), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649672] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18760), 1,
      anon_sym_SEMI,
    ACTIONS(18762), 1,
      anon_sym_GT_RBRACE,
    STATE(14063), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16229), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649698] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      sym__lowercase_identifier,
    STATE(12270), 1,
      sym__instance_variable_name,
    STATE(14064), 1,
      sym_attribute,
    STATE(14622), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18264), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [649722] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18764), 1,
      anon_sym_SEMI,
    ACTIONS(18766), 1,
      anon_sym_GT_RBRACE,
    STATE(14065), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16156), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649748] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18768), 1,
      anon_sym_RBRACK,
    STATE(14066), 1,
      sym_attribute,
    STATE(16176), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649774] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14067), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15621), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649800] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18770), 1,
      anon_sym_RPAREN,
    STATE(14068), 1,
      sym_attribute,
    STATE(16214), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649826] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9156), 1,
      sym__uppercase_identifier,
    ACTIONS(18772), 1,
      anon_sym_LPAREN,
    STATE(8798), 1,
      sym__constructor_name,
    STATE(10545), 1,
      sym_constructor_path,
    STATE(14069), 1,
      sym_attribute,
    STATE(19544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649852] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18774), 1,
      anon_sym_RPAREN,
    STATE(14070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649878] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14071), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15877), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649904] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14072), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16244), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18776), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [649948] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14074), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15875), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18778), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [649992] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14076), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(16091), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650018] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14077), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15961), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650044] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18780), 1,
      anon_sym_SEMI,
    ACTIONS(18782), 1,
      anon_sym_GT_RBRACE,
    STATE(14078), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15863), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650070] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11000), 1,
      sym__lowercase_identifier,
    ACTIONS(18784), 1,
      anon_sym_POUND,
    STATE(10499), 1,
      sym_type_constructor_path,
    STATE(14079), 1,
      sym_attribute,
    STATE(17085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650096] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11948), 1,
      sym__lowercase_identifier,
    ACTIONS(18786), 1,
      anon_sym_POUND,
    STATE(12697), 1,
      sym_type_constructor_path,
    STATE(14080), 1,
      sym_attribute,
    STATE(16975), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650122] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18788), 1,
      anon_sym_RPAREN,
    STATE(14081), 1,
      sym_attribute,
    STATE(15849), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650148] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18790), 1,
      anon_sym_RPAREN,
    STATE(14082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650174] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18792), 1,
      anon_sym_SEMI,
    ACTIONS(18794), 1,
      anon_sym_GT_RBRACE,
    STATE(14083), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15888), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650200] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14084), 1,
      sym_attribute,
    STATE(14109), 1,
      sym_field_path,
    STATE(15074), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650226] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18796), 1,
      anon_sym_RPAREN,
    STATE(14085), 1,
      sym_attribute,
    STATE(16021), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650252] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14086), 1,
      sym_attribute,
    STATE(14112), 1,
      sym_field_path,
    STATE(15070), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650278] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18798), 1,
      anon_sym_SEMI,
    ACTIONS(18800), 1,
      anon_sym_GT_RBRACE,
    STATE(14087), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15999), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650304] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17846), 1,
      anon_sym_AMP,
    STATE(14052), 1,
      aux_sym_tag_specification_repeat1,
    STATE(14088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17936), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [650326] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18802), 1,
      anon_sym_SEMI,
    ACTIONS(18804), 1,
      anon_sym_GT_RBRACE,
    STATE(14089), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15207), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    STATE(14090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12841), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [650374] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18806), 1,
      sym__lowercase_identifier,
    ACTIONS(18808), 1,
      anon_sym_LPAREN,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(12189), 1,
      sym__value_name,
    STATE(14091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650400] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11124), 1,
      sym__lowercase_identifier,
    ACTIONS(18812), 1,
      anon_sym_POUND,
    STATE(10874), 1,
      sym_type_constructor_path,
    STATE(14092), 1,
      sym_attribute,
    STATE(17321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650426] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(18814), 1,
      anon_sym_POUND,
    STATE(10619), 1,
      sym_type_constructor_path,
    STATE(14093), 1,
      sym_attribute,
    STATE(17070), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650452] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18816), 1,
      anon_sym_RPAREN,
    STATE(14094), 1,
      sym_attribute,
    STATE(15919), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650478] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18818), 1,
      anon_sym_SEMI,
    ACTIONS(18820), 1,
      anon_sym_GT_RBRACE,
    STATE(14095), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15898), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650504] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      sym__lowercase_identifier,
    STATE(12096), 1,
      sym__instance_variable_name,
    STATE(14096), 1,
      sym_attribute,
    STATE(14622), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18264), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [650528] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      sym__lowercase_identifier,
    STATE(12096), 1,
      sym__instance_variable_name,
    STATE(14064), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(14097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18264), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [650552] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12077), 1,
      sym__lowercase_identifier,
    ACTIONS(18822), 1,
      anon_sym_POUND,
    STATE(9405), 1,
      sym_type_constructor_path,
    STATE(14098), 1,
      sym_attribute,
    STATE(17058), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650578] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14099), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15867), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650604] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9156), 1,
      sym__uppercase_identifier,
    ACTIONS(18772), 1,
      anon_sym_LPAREN,
    STATE(8798), 1,
      sym__constructor_name,
    STATE(10552), 1,
      sym_constructor_path,
    STATE(14100), 1,
      sym_attribute,
    STATE(19544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650630] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9156), 1,
      sym__uppercase_identifier,
    ACTIONS(18772), 1,
      anon_sym_LPAREN,
    STATE(8798), 1,
      sym__constructor_name,
    STATE(10510), 1,
      sym_constructor_path,
    STATE(14101), 1,
      sym_attribute,
    STATE(19544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650656] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18824), 1,
      anon_sym_RPAREN,
    STATE(14102), 1,
      sym_attribute,
    STATE(15826), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650682] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14103), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15199), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18826), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [650726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18828), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [650744] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18830), 1,
      anon_sym_SEMI,
    ACTIONS(18832), 1,
      anon_sym_GT_RBRACE,
    STATE(14106), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15711), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650770] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18834), 1,
      anon_sym_SEMI,
    ACTIONS(18836), 1,
      anon_sym_GT_RBRACE,
    STATE(14107), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15804), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650796] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18838), 1,
      anon_sym_RBRACK,
    STATE(14108), 1,
      sym_attribute,
    STATE(15792), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650822] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18840), 1,
      anon_sym_EQ,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(14109), 1,
      sym_attribute,
    STATE(15175), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18844), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [650846] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18846), 1,
      anon_sym_SEMI,
    ACTIONS(18848), 1,
      anon_sym_GT_RBRACE,
    STATE(14110), 1,
      sym_attribute,
    STATE(14939), 1,
      sym_instance_variable_expression,
    STATE(14953), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650872] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18850), 1,
      anon_sym_SEMI,
    ACTIONS(18852), 1,
      anon_sym_GT_RBRACE,
    STATE(14111), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15520), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650898] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    ACTIONS(18854), 1,
      anon_sym_EQ,
    STATE(14112), 1,
      sym_attribute,
    STATE(15165), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18856), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [650922] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14113), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15558), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650948] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18858), 1,
      anon_sym_RPAREN,
    STATE(14114), 1,
      sym_attribute,
    STATE(15488), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650974] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(18860), 1,
      anon_sym_RPAREN,
    STATE(14115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651000] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14116), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15730), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651026] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11016), 1,
      sym__lowercase_identifier,
    ACTIONS(18862), 1,
      anon_sym_POUND,
    STATE(10001), 1,
      sym_type_constructor_path,
    STATE(14117), 1,
      sym_attribute,
    STATE(17036), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651052] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18864), 1,
      anon_sym_SEMI,
    ACTIONS(18866), 1,
      anon_sym_GT_RBRACE,
    STATE(14118), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15503), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651078] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18868), 1,
      anon_sym_RPAREN,
    STATE(14119), 1,
      sym_attribute,
    STATE(15659), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651104] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18870), 1,
      anon_sym_SEMI,
    ACTIONS(18872), 1,
      anon_sym_GT_RBRACE,
    STATE(14120), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15599), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651130] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14109), 1,
      sym_field_path,
    STATE(14121), 1,
      sym_attribute,
    STATE(15776), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651156] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14112), 1,
      sym_field_path,
    STATE(14122), 1,
      sym_attribute,
    STATE(15774), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651182] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14123), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15412), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651208] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    ACTIONS(18874), 1,
      anon_sym_POUND,
    STATE(11816), 1,
      sym_type_constructor_path,
    STATE(14124), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651234] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    STATE(14125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18876), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [651256] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14126), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15249), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651282] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14127), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15181), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651308] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14128), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(14946), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651334] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18878), 1,
      anon_sym_type,
    ACTIONS(18880), 1,
      anon_sym_module,
    STATE(14129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13283), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [651356] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14130), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15156), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651382] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18882), 1,
      anon_sym_SEMI,
    ACTIONS(18884), 1,
      anon_sym_GT_RBRACE,
    STATE(14131), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15760), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651408] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18736), 1,
      anon_sym_type,
    ACTIONS(18738), 1,
      anon_sym_module,
    STATE(14132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13793), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [651430] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    STATE(14133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12913), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [651452] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11960), 1,
      sym__lowercase_identifier,
    ACTIONS(18886), 1,
      anon_sym_POUND,
    STATE(12529), 1,
      sym_type_constructor_path,
    STATE(14134), 1,
      sym_attribute,
    STATE(17022), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651478] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9124), 1,
      sym__uppercase_identifier,
    ACTIONS(18888), 1,
      anon_sym_LPAREN,
    STATE(13210), 1,
      sym__constructor_name,
    STATE(14135), 1,
      sym_attribute,
    STATE(16591), 1,
      sym_constructor_path,
    STATE(17697), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651504] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18890), 1,
      anon_sym_RPAREN,
    STATE(14136), 1,
      sym_attribute,
    STATE(15300), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651530] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9124), 1,
      sym__uppercase_identifier,
    ACTIONS(18888), 1,
      anon_sym_LPAREN,
    STATE(13210), 1,
      sym__constructor_name,
    STATE(14137), 1,
      sym_attribute,
    STATE(16595), 1,
      sym_constructor_path,
    STATE(17697), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651556] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18892), 1,
      anon_sym_RPAREN,
    STATE(14138), 1,
      sym_attribute,
    STATE(15747), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651582] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14139), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15062), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651608] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11122), 1,
      sym__lowercase_identifier,
    ACTIONS(18894), 1,
      anon_sym_POUND,
    STATE(9657), 1,
      sym_type_constructor_path,
    STATE(14140), 1,
      sym_attribute,
    STATE(17344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651634] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14141), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15839), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651660] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14142), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(14968), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651686] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14112), 1,
      sym_field_path,
    STATE(14143), 1,
      sym_attribute,
    STATE(15513), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651712] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14109), 1,
      sym_field_path,
    STATE(14144), 1,
      sym_attribute,
    STATE(15514), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651738] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18701), 1,
      anon_sym_type,
    ACTIONS(18703), 1,
      anon_sym_module,
    STATE(14145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10841), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [651760] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9124), 1,
      sym__uppercase_identifier,
    ACTIONS(18888), 1,
      anon_sym_LPAREN,
    STATE(13210), 1,
      sym__constructor_name,
    STATE(14146), 1,
      sym_attribute,
    STATE(16601), 1,
      sym_constructor_path,
    STATE(17697), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651786] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18896), 1,
      anon_sym_SEMI,
    ACTIONS(18898), 1,
      anon_sym_GT_RBRACE,
    STATE(14147), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15189), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651812] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14148), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(14889), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18612), 1,
      anon_sym_type,
    ACTIONS(18614), 1,
      anon_sym_module,
    STATE(14149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10879), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [651860] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18878), 1,
      anon_sym_type,
    ACTIONS(18880), 1,
      anon_sym_module,
    STATE(14150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13514), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [651882] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18900), 1,
      sym__lowercase_identifier,
    ACTIONS(18904), 1,
      anon_sym_BANG,
    STATE(14151), 1,
      sym_attribute,
    STATE(14695), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18902), 2,
      anon_sym_private,
      anon_sym_virtual,
  [651906] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18669), 1,
      anon_sym_type,
    ACTIONS(18671), 1,
      anon_sym_module,
    STATE(14152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10340), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [651928] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18906), 1,
      anon_sym_RPAREN,
    STATE(14153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651954] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(18908), 1,
      anon_sym_RPAREN,
    STATE(14154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651980] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14155), 1,
      sym_attribute,
    STATE(14156), 1,
      sym_field_path,
    STATE(15330), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652006] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    ACTIONS(18910), 1,
      anon_sym_EQ,
    STATE(14156), 1,
      sym_attribute,
    STATE(15102), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18912), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [652030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18695), 1,
      anon_sym_type,
    ACTIONS(18697), 1,
      anon_sym_module,
    STATE(14157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10377), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [652052] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(18914), 1,
      anon_sym_RPAREN,
    STATE(14158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652078] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14159), 1,
      sym_attribute,
    STATE(15941), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652104] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_PIPE,
    ACTIONS(17560), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18916), 1,
      anon_sym_RPAREN,
    STATE(14160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652130] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18918), 1,
      anon_sym_SEMI,
    ACTIONS(18920), 1,
      anon_sym_GT_RBRACE,
    STATE(14161), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15218), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652156] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18242), 1,
      anon_sym_RBRACK,
    STATE(14162), 1,
      sym_attribute,
    STATE(15563), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652182] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14163), 1,
      sym_attribute,
    STATE(16084), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18922), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [652226] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14165), 1,
      sym_attribute,
    STATE(16271), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18924), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [652270] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11096), 1,
      sym__lowercase_identifier,
    ACTIONS(18926), 1,
      anon_sym_POUND,
    STATE(10634), 1,
      sym_type_constructor_path,
    STATE(14167), 1,
      sym_attribute,
    STATE(17098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652296] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14109), 1,
      sym_field_path,
    STATE(14168), 1,
      sym_attribute,
    STATE(15674), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652322] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14112), 1,
      sym_field_path,
    STATE(14169), 1,
      sym_attribute,
    STATE(15671), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652348] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14170), 1,
      sym_attribute,
    STATE(15713), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652374] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18930), 1,
      anon_sym__,
    STATE(14104), 1,
      sym_type_variable,
    STATE(14171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18928), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [652398] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14172), 1,
      sym_attribute,
    STATE(15407), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652424] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14173), 1,
      sym_attribute,
    STATE(15362), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652450] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18932), 1,
      anon_sym_SEMI,
    ACTIONS(18934), 1,
      anon_sym_GT_RBRACE,
    STATE(14174), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15064), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652476] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14175), 1,
      sym_attribute,
    STATE(16083), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652502] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18936), 1,
      anon_sym_RPAREN,
    STATE(14176), 1,
      sym_attribute,
    STATE(15581), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652528] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18938), 1,
      anon_sym_RPAREN,
    STATE(14177), 1,
      sym_attribute,
    STATE(15080), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652554] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18940), 1,
      anon_sym_SEMI,
    ACTIONS(18942), 1,
      anon_sym_GT_RBRACE,
    STATE(14178), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15124), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652580] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18944), 1,
      anon_sym_SEMI,
    ACTIONS(18946), 1,
      anon_sym_GT_RBRACE,
    STATE(14179), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15591), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652606] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16725), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    ACTIONS(18948), 1,
      anon_sym_RPAREN,
    STATE(14180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652632] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18950), 1,
      anon_sym_SEMI,
    ACTIONS(18952), 1,
      anon_sym_GT_RBRACE,
    STATE(14181), 1,
      sym_attribute,
    STATE(14944), 1,
      sym_instance_variable_expression,
    STATE(14953), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652658] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18954), 1,
      anon_sym_SEMI,
    ACTIONS(18956), 1,
      anon_sym_GT_RBRACE,
    STATE(14182), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(14993), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652684] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14183), 1,
      sym_attribute,
    STATE(15936), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652710] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18958), 1,
      anon_sym_SEMI,
    ACTIONS(18960), 1,
      anon_sym_GT_RBRACE,
    STATE(14184), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15649), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652736] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12105), 1,
      sym__lowercase_identifier,
    ACTIONS(18962), 1,
      anon_sym_POUND,
    STATE(9574), 1,
      sym_type_constructor_path,
    STATE(14185), 1,
      sym_attribute,
    STATE(17001), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652762] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14186), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652788] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14187), 1,
      sym_attribute,
    STATE(15733), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652814] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18964), 1,
      anon_sym_SEMI,
    ACTIONS(18966), 1,
      anon_sym_GT_RBRACE,
    STATE(14188), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15661), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652840] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18968), 1,
      anon_sym_SEMI,
    ACTIONS(18970), 1,
      anon_sym_GT_RBRACE,
    STATE(14189), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15030), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652866] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18972), 1,
      anon_sym_SEMI,
    ACTIONS(18974), 1,
      anon_sym_GT_RBRACE,
    STATE(14190), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15250), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652892] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14191), 1,
      sym_attribute,
    STATE(14907), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652918] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14192), 1,
      sym_attribute,
    STATE(15573), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652944] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18976), 1,
      anon_sym_SEMI,
    ACTIONS(18978), 1,
      anon_sym_GT_RBRACE,
    STATE(14193), 1,
      sym_attribute,
    STATE(14952), 1,
      sym_instance_variable_expression,
    STATE(14953), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652970] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(18980), 1,
      anon_sym_LPAREN,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(10510), 1,
      sym_constructor_path,
    STATE(14194), 1,
      sym_attribute,
    STATE(19073), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652996] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(18980), 1,
      anon_sym_LPAREN,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(10552), 1,
      sym_constructor_path,
    STATE(14195), 1,
      sym_attribute,
    STATE(19073), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653022] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14196), 1,
      sym_attribute,
    STATE(15072), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653048] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    ACTIONS(18982), 1,
      anon_sym_POUND,
    STATE(13453), 1,
      sym_type_constructor_path,
    STATE(14197), 1,
      sym_attribute,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653074] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18984), 1,
      anon_sym_RPAREN,
    STATE(14198), 1,
      sym_attribute,
    STATE(15025), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653100] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14199), 1,
      sym_attribute,
    STATE(15397), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653126] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14112), 1,
      sym_field_path,
    STATE(14200), 1,
      sym_attribute,
    STATE(15600), 1,
      sym_field_binding_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653152] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14109), 1,
      sym_field_path,
    STATE(14201), 1,
      sym_attribute,
    STATE(15601), 1,
      sym_field_pattern,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653178] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    STATE(14202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18240), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [653200] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7964), 1,
      sym__uppercase_identifier,
    ACTIONS(18980), 1,
      anon_sym_LPAREN,
    STATE(7147), 1,
      sym__constructor_name,
    STATE(10545), 1,
      sym_constructor_path,
    STATE(14203), 1,
      sym_attribute,
    STATE(19073), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653226] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18986), 1,
      anon_sym_RPAREN,
    STATE(14204), 1,
      sym_attribute,
    STATE(15643), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653252] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14205), 1,
      sym_attribute,
    STATE(15190), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653278] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(16962), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_field_path,
    STATE(14206), 1,
      sym_attribute,
    STATE(15368), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653304] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18988), 1,
      anon_sym_SEMI,
    ACTIONS(18990), 1,
      anon_sym_GT_RBRACE,
    STATE(14207), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15565), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653330] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18992), 1,
      anon_sym_RPAREN,
    STATE(14208), 1,
      sym_attribute,
    STATE(14924), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653356] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(18994), 1,
      anon_sym_SEMI,
    ACTIONS(18996), 1,
      anon_sym_GT_RBRACE,
    STATE(14209), 1,
      sym_attribute,
    STATE(14936), 1,
      sym_instance_variable_expression,
    STATE(14953), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653382] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12049), 1,
      sym__lowercase_identifier,
    ACTIONS(18998), 1,
      anon_sym_POUND,
    STATE(9155), 1,
      sym_type_constructor_path,
    STATE(14210), 1,
      sym_attribute,
    STATE(16987), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653408] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18384), 1,
      sym__lowercase_identifier,
    STATE(7593), 1,
      sym_class_path,
    STATE(14211), 1,
      sym_attribute,
    STATE(17492), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653431] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18398), 1,
      sym__lowercase_identifier,
    STATE(6870), 1,
      sym_class_path,
    STATE(14212), 1,
      sym_attribute,
    STATE(17602), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653454] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19000), 1,
      anon_sym_GT_RBRACE,
    STATE(14213), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653477] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19004), 1,
      anon_sym_RBRACK,
    ACTIONS(19006), 1,
      anon_sym_GT,
    STATE(14214), 1,
      sym_attribute,
    STATE(14219), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653500] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19004), 1,
      anon_sym_RBRACK,
    ACTIONS(19006), 1,
      anon_sym_GT,
    STATE(14215), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653523] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19008), 1,
      sym__lowercase_identifier,
    STATE(10411), 1,
      sym_class_type_path,
    STATE(14216), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653546] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11052), 1,
      sym__lowercase_identifier,
    STATE(13810), 1,
      sym_type_constructor_path,
    STATE(14217), 1,
      sym_attribute,
    STATE(16306), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653569] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19010), 1,
      anon_sym_COLON_GT,
    ACTIONS(19012), 1,
      anon_sym_RPAREN,
    STATE(14218), 1,
      sym_attribute,
    STATE(16983), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653592] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19014), 1,
      anon_sym_RBRACK,
    ACTIONS(19016), 1,
      anon_sym_GT,
    STATE(14219), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653615] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19014), 1,
      anon_sym_RBRACK,
    STATE(14220), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653638] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19018), 1,
      anon_sym_DOT,
    STATE(14221), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653661] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19020), 1,
      anon_sym_GT_RBRACE,
    STATE(14222), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653684] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19022), 1,
      anon_sym_RBRACK,
    STATE(14223), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653707] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    ACTIONS(19024), 1,
      anon_sym_EQ,
    ACTIONS(19026), 1,
      anon_sym_RPAREN,
    STATE(14224), 1,
      sym_attribute,
    STATE(17034), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653730] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18518), 1,
      sym__lowercase_identifier,
    STATE(3830), 1,
      sym_class_path,
    STATE(14225), 1,
      sym_attribute,
    STATE(18489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653753] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19028), 1,
      anon_sym_GT_RBRACE,
    STATE(14226), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653776] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19030), 1,
      anon_sym_RBRACK,
    STATE(14227), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653799] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18330), 1,
      sym__lowercase_identifier,
    STATE(3793), 1,
      sym_class_path,
    STATE(14228), 1,
      sym_attribute,
    STATE(18208), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653822] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18332), 1,
      sym__lowercase_identifier,
    STATE(9846), 1,
      sym_class_path,
    STATE(14229), 1,
      sym_attribute,
    STATE(17528), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653845] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18332), 1,
      sym__lowercase_identifier,
    STATE(9925), 1,
      sym_class_path,
    STATE(14230), 1,
      sym_attribute,
    STATE(17528), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653868] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19032), 1,
      sym__lowercase_identifier,
    STATE(10889), 1,
      sym_class_type_path,
    STATE(14231), 1,
      sym_attribute,
    STATE(16791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653891] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18407), 1,
      sym__lowercase_identifier,
    STATE(6823), 1,
      sym_class_path,
    STATE(14232), 1,
      sym_attribute,
    STATE(18686), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653914] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19032), 1,
      sym__lowercase_identifier,
    STATE(10875), 1,
      sym_class_type_path,
    STATE(14233), 1,
      sym_attribute,
    STATE(16791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653937] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19032), 1,
      sym__lowercase_identifier,
    STATE(10866), 1,
      sym_class_type_path,
    STATE(14234), 1,
      sym_attribute,
    STATE(16791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653960] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19034), 1,
      sym__lowercase_identifier,
    STATE(13338), 1,
      sym_class_type_path,
    STATE(14235), 1,
      sym_attribute,
    STATE(16491), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653983] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19036), 1,
      anon_sym_COLON_GT,
    ACTIONS(19038), 1,
      anon_sym_RPAREN,
    STATE(14236), 1,
      sym_attribute,
    STATE(17137), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654006] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9981), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19040), 1,
      anon_sym_GT,
    STATE(14237), 1,
      sym_attribute,
    STATE(14239), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654029] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19042), 1,
      anon_sym_RBRACK,
    ACTIONS(19044), 1,
      anon_sym_GT,
    STATE(14238), 1,
      sym_attribute,
    STATE(14245), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654052] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19042), 1,
      anon_sym_RBRACK,
    ACTIONS(19044), 1,
      anon_sym_GT,
    STATE(14239), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654075] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19046), 1,
      sym__lowercase_identifier,
    STATE(8762), 1,
      sym_type_constructor_path,
    STATE(14240), 1,
      sym_attribute,
    STATE(16493), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654098] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19048), 1,
      anon_sym_RBRACK,
    STATE(14241), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654121] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19050), 1,
      sym__lowercase_identifier,
    ACTIONS(19052), 1,
      anon_sym_LPAREN,
    STATE(13763), 1,
      sym_parenthesized_operator,
    STATE(13899), 1,
      sym__value_name,
    STATE(14242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654144] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19054), 1,
      anon_sym_COLON_GT,
    ACTIONS(19056), 1,
      anon_sym_RPAREN,
    STATE(14243), 1,
      sym_attribute,
    STATE(17118), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654167] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    ACTIONS(19060), 1,
      anon_sym_RBRACE,
    ACTIONS(19062), 1,
      anon_sym_mutable,
    STATE(14244), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654190] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19064), 1,
      anon_sym_RBRACK,
    ACTIONS(19066), 1,
      anon_sym_GT,
    STATE(14245), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654213] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19064), 1,
      anon_sym_RBRACK,
    STATE(14246), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654236] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19068), 1,
      anon_sym_DOT,
    STATE(14247), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654259] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19070), 1,
      sym__lowercase_identifier,
    STATE(9831), 1,
      sym_class_type_path,
    STATE(14248), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654282] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19072), 1,
      anon_sym_COLON_GT,
    ACTIONS(19074), 1,
      anon_sym_RPAREN,
    STATE(14249), 1,
      sym_attribute,
    STATE(16867), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654305] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19076), 1,
      anon_sym_GT_RBRACE,
    STATE(14250), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654328] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19078), 1,
      anon_sym_RBRACK,
    STATE(14251), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654351] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19070), 1,
      sym__lowercase_identifier,
    STATE(9656), 1,
      sym_class_type_path,
    STATE(14252), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654374] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18296), 1,
      sym__lowercase_identifier,
    STATE(7127), 1,
      sym_class_path,
    STATE(14253), 1,
      sym_attribute,
    STATE(18930), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654397] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19070), 1,
      sym__lowercase_identifier,
    STATE(9734), 1,
      sym_class_type_path,
    STATE(14254), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654420] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(19080), 1,
      sym__lowercase_identifier,
    STATE(13143), 1,
      sym__value_name,
    STATE(13530), 1,
      sym_parenthesized_operator,
    STATE(14255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654443] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16600), 1,
      anon_sym_COMMA,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    STATE(14256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654466] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    ACTIONS(19082), 1,
      anon_sym_EQ,
    ACTIONS(19084), 1,
      anon_sym_RPAREN,
    STATE(14257), 1,
      sym_attribute,
    STATE(17192), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654489] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19086), 1,
      anon_sym_GT_RBRACE,
    STATE(14258), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654512] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19088), 1,
      anon_sym_GT_RBRACE,
    STATE(14259), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654535] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19090), 1,
      anon_sym_RBRACK,
    STATE(14260), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654558] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19092), 1,
      anon_sym_GT_RBRACE,
    STATE(14261), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654581] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(19094), 1,
      sym__lowercase_identifier,
    STATE(7171), 1,
      sym_class_path,
    STATE(14262), 1,
      sym_attribute,
    STATE(17727), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654604] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    ACTIONS(19062), 1,
      anon_sym_mutable,
    ACTIONS(19096), 1,
      anon_sym_RBRACE,
    STATE(14263), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654627] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(19094), 1,
      sym__lowercase_identifier,
    STATE(7163), 1,
      sym_class_path,
    STATE(14264), 1,
      sym_attribute,
    STATE(17727), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654650] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19098), 1,
      anon_sym_RBRACK,
    STATE(14265), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654673] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19100), 1,
      anon_sym_RBRACK,
    STATE(14266), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654696] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19102), 1,
      anon_sym_GT_RBRACE,
    STATE(14267), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654719] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18384), 1,
      sym__lowercase_identifier,
    STATE(7633), 1,
      sym_class_path,
    STATE(14268), 1,
      sym_attribute,
    STATE(17492), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654742] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19104), 1,
      anon_sym_GT_RBRACE,
    STATE(14269), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654765] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    ACTIONS(19106), 1,
      anon_sym_EQ,
    ACTIONS(19108), 1,
      anon_sym_RPAREN,
    STATE(14270), 1,
      sym_attribute,
    STATE(16903), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654788] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19110), 1,
      anon_sym_RBRACK,
    STATE(14271), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654811] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19112), 1,
      sym__lowercase_identifier,
    ACTIONS(19114), 1,
      anon_sym_LPAREN,
    STATE(8730), 1,
      sym_parenthesized_operator,
    STATE(8742), 1,
      sym__value_name,
    STATE(14272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654834] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18532), 1,
      sym__lowercase_identifier,
    STATE(6697), 1,
      sym_class_path,
    STATE(14273), 1,
      sym_attribute,
    STATE(18413), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654857] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19116), 1,
      sym__lowercase_identifier,
    STATE(11597), 1,
      sym_class_type_path,
    STATE(14274), 1,
      sym_attribute,
    STATE(16900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654880] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19118), 1,
      anon_sym_RBRACK,
    STATE(14275), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654903] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19116), 1,
      sym__lowercase_identifier,
    STATE(11656), 1,
      sym_class_type_path,
    STATE(14276), 1,
      sym_attribute,
    STATE(16900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654926] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19070), 1,
      sym__lowercase_identifier,
    STATE(9778), 1,
      sym_class_type_path,
    STATE(14277), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654949] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19120), 1,
      anon_sym_GT_RBRACE,
    STATE(14278), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654972] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(19122), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654995] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19124), 1,
      anon_sym_GT,
    STATE(14280), 1,
      sym_attribute,
    STATE(14287), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655018] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19126), 1,
      anon_sym_DOT,
    STATE(14281), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655041] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19128), 1,
      anon_sym_RBRACK,
    STATE(14282), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655064] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19130), 1,
      anon_sym_GT_RBRACE,
    STATE(14283), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655087] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19128), 1,
      anon_sym_RBRACK,
    ACTIONS(19132), 1,
      anon_sym_GT,
    STATE(14284), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655110] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19134), 1,
      anon_sym_GT_RBRACE,
    STATE(14285), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655133] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19136), 1,
      anon_sym_RBRACK,
    ACTIONS(19138), 1,
      anon_sym_GT,
    STATE(14286), 1,
      sym_attribute,
    STATE(14292), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655156] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19136), 1,
      anon_sym_RBRACK,
    ACTIONS(19138), 1,
      anon_sym_GT,
    STATE(14287), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655179] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19140), 1,
      sym__lowercase_identifier,
    STATE(7451), 1,
      sym_type_constructor_path,
    STATE(14288), 1,
      sym_attribute,
    STATE(16650), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655202] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19116), 1,
      sym__lowercase_identifier,
    STATE(11562), 1,
      sym_class_type_path,
    STATE(14289), 1,
      sym_attribute,
    STATE(16900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655225] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19142), 1,
      anon_sym_COLON_GT,
    ACTIONS(19144), 1,
      anon_sym_RPAREN,
    STATE(14290), 1,
      sym_attribute,
    STATE(17255), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655248] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(19146), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655271] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19148), 1,
      anon_sym_RBRACK,
    ACTIONS(19150), 1,
      anon_sym_GT,
    STATE(14292), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655294] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19148), 1,
      anon_sym_RBRACK,
    STATE(14293), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655317] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19152), 1,
      anon_sym_COLON_GT,
    ACTIONS(19154), 1,
      anon_sym_RPAREN,
    STATE(14294), 1,
      sym_attribute,
    STATE(16873), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655340] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19156), 1,
      anon_sym_DOT,
    STATE(14295), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655363] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19158), 1,
      anon_sym_GT_RBRACE,
    STATE(14296), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655386] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19160), 1,
      anon_sym_GT_RBRACE,
    STATE(14297), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655409] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19162), 1,
      anon_sym_COLON_GT,
    ACTIONS(19164), 1,
      anon_sym_RPAREN,
    STATE(14298), 1,
      sym_attribute,
    STATE(16842), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655432] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19166), 1,
      anon_sym_RBRACK,
    STATE(14299), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655455] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19168), 1,
      sym__lowercase_identifier,
    STATE(10097), 1,
      sym_type_constructor_path,
    STATE(14300), 1,
      sym_attribute,
    STATE(16802), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655478] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19170), 1,
      anon_sym_RBRACK,
    ACTIONS(19172), 1,
      anon_sym_GT,
    STATE(14301), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655501] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19170), 1,
      anon_sym_RBRACK,
    ACTIONS(19172), 1,
      anon_sym_GT,
    STATE(14284), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655524] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(17888), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655547] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    ACTIONS(19174), 1,
      anon_sym_EQ,
    ACTIONS(19176), 1,
      anon_sym_RPAREN,
    STATE(14304), 1,
      sym_attribute,
    STATE(17296), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655570] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19178), 1,
      anon_sym_GT_RBRACE,
    STATE(14305), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655593] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(17888), 1,
      anon_sym_DASH_GT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14291), 1,
      aux_sym_module_binding_repeat1,
    STATE(14306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655616] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19180), 1,
      anon_sym_RBRACK,
    STATE(14307), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655639] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19182), 1,
      sym__lowercase_identifier,
    STATE(9220), 1,
      sym_class_type_path,
    STATE(14308), 1,
      sym_attribute,
    STATE(17109), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655662] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9722), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19184), 1,
      anon_sym_GT,
    STATE(14301), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655685] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18433), 1,
      sym__lowercase_identifier,
    STATE(6457), 1,
      sym_class_path,
    STATE(14310), 1,
      sym_attribute,
    STATE(18528), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655708] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18194), 1,
      sym__lowercase_identifier,
    STATE(7621), 1,
      sym_class_path,
    STATE(14311), 1,
      sym_attribute,
    STATE(17712), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655731] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19186), 1,
      anon_sym_GT_RBRACE,
    STATE(14312), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655754] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18194), 1,
      sym__lowercase_identifier,
    STATE(7616), 1,
      sym_class_path,
    STATE(14313), 1,
      sym_attribute,
    STATE(17712), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655777] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18586), 1,
      sym__lowercase_identifier,
    STATE(5816), 1,
      sym_class_path,
    STATE(14314), 1,
      sym_attribute,
    STATE(18450), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655800] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19190), 1,
      anon_sym_with,
    ACTIONS(19192), 1,
      sym_hash_operator,
    STATE(14315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655823] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19194), 1,
      sym__lowercase_identifier,
    ACTIONS(19196), 1,
      anon_sym_LPAREN,
    STATE(5561), 1,
      sym_parenthesized_operator,
    STATE(5660), 1,
      sym__value_name,
    STATE(14316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655846] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19198), 1,
      anon_sym_RBRACK,
    STATE(14317), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655869] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19198), 1,
      anon_sym_RBRACK,
    ACTIONS(19200), 1,
      anon_sym_GT,
    STATE(14318), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655892] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(9798), 1,
      sym_class_type_path,
    STATE(14319), 1,
      sym_attribute,
    STATE(17007), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_and,
    STATE(14320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12279), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [655934] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18453), 1,
      sym__lowercase_identifier,
    STATE(7961), 1,
      sym_class_path,
    STATE(14321), 1,
      sym_attribute,
    STATE(20186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655957] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18574), 1,
      sym__lowercase_identifier,
    STATE(7251), 1,
      sym_class_path,
    STATE(14322), 1,
      sym_attribute,
    STATE(18139), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655980] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(9893), 1,
      sym_class_type_path,
    STATE(14323), 1,
      sym_attribute,
    STATE(17007), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656003] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(9842), 1,
      sym_class_type_path,
    STATE(14324), 1,
      sym_attribute,
    STATE(17007), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656026] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19032), 1,
      sym__lowercase_identifier,
    STATE(10896), 1,
      sym_class_type_path,
    STATE(14325), 1,
      sym_attribute,
    STATE(16791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12230), 1,
      anon_sym_and,
    STATE(14326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12228), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [656068] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19034), 1,
      sym__lowercase_identifier,
    STATE(13460), 1,
      sym_class_type_path,
    STATE(14327), 1,
      sym_attribute,
    STATE(16491), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656091] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9698), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19204), 1,
      anon_sym_GT,
    STATE(14328), 1,
      sym_attribute,
    STATE(14333), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656114] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18106), 1,
      sym__lowercase_identifier,
    ACTIONS(18108), 1,
      anon_sym_LBRACK,
    ACTIONS(18110), 1,
      anon_sym_virtual,
    STATE(11980), 1,
      sym_class_binding,
    STATE(14329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656137] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18106), 1,
      sym__lowercase_identifier,
    ACTIONS(18108), 1,
      anon_sym_LBRACK,
    ACTIONS(18110), 1,
      anon_sym_virtual,
    STATE(11691), 1,
      sym_class_binding,
    STATE(14330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656160] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19034), 1,
      sym__lowercase_identifier,
    STATE(13450), 1,
      sym_class_type_path,
    STATE(14331), 1,
      sym_attribute,
    STATE(16491), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656183] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19206), 1,
      anon_sym_RBRACK,
    ACTIONS(19208), 1,
      anon_sym_GT,
    STATE(14332), 1,
      sym_attribute,
    STATE(14342), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656206] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19206), 1,
      anon_sym_RBRACK,
    ACTIONS(19208), 1,
      anon_sym_GT,
    STATE(14333), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656229] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19210), 1,
      sym__lowercase_identifier,
    STATE(5556), 1,
      sym_type_constructor_path,
    STATE(14334), 1,
      sym_attribute,
    STATE(16793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656252] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19212), 1,
      anon_sym_DOT,
    STATE(14335), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656275] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19214), 1,
      anon_sym_COLON_GT,
    ACTIONS(19216), 1,
      anon_sym_RPAREN,
    STATE(14336), 1,
      sym_attribute,
    STATE(17351), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656298] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19218), 1,
      anon_sym_COLON_GT,
    ACTIONS(19220), 1,
      anon_sym_RPAREN,
    STATE(14337), 1,
      sym_attribute,
    STATE(17286), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656321] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19222), 1,
      anon_sym_DOT,
    STATE(14338), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656344] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19224), 1,
      anon_sym_DOT,
    STATE(14339), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656367] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15843), 1,
      sym__lowercase_identifier,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(14340), 1,
      sym_attribute,
    STATE(17221), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656390] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14341), 1,
      sym_attribute,
    STATE(17359), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19226), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [656411] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19228), 1,
      anon_sym_RBRACK,
    ACTIONS(19230), 1,
      anon_sym_GT,
    STATE(14342), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656434] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19228), 1,
      anon_sym_RBRACK,
    STATE(14343), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12206), 1,
      anon_sym_and,
    STATE(14344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12204), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [656476] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19232), 1,
      anon_sym_GT_RBRACE,
    STATE(14345), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656499] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19234), 1,
      anon_sym_DOT,
    STATE(14346), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656522] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19236), 1,
      anon_sym_DOT,
    STATE(14347), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656545] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19238), 1,
      anon_sym_DOT,
    STATE(14348), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656568] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19240), 1,
      anon_sym_GT_RBRACE,
    STATE(14349), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656591] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18206), 1,
      sym__lowercase_identifier,
    STATE(6996), 1,
      sym_class_path,
    STATE(14350), 1,
      sym_attribute,
    STATE(19355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656614] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14351), 1,
      sym_attribute,
    STATE(17313), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19242), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [656635] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19244), 1,
      anon_sym_RBRACK,
    STATE(14352), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656658] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(19246), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656681] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19248), 1,
      anon_sym_COLON_GT,
    ACTIONS(19250), 1,
      anon_sym_RPAREN,
    STATE(14354), 1,
      sym_attribute,
    STATE(17295), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656704] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19034), 1,
      sym__lowercase_identifier,
    STATE(13367), 1,
      sym_class_type_path,
    STATE(14355), 1,
      sym_attribute,
    STATE(16491), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656727] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    ACTIONS(19252), 1,
      anon_sym_EQ,
    ACTIONS(19254), 1,
      anon_sym_RPAREN,
    STATE(14356), 1,
      sym_attribute,
    STATE(17256), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656750] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19256), 1,
      anon_sym_GT_RBRACE,
    STATE(14357), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656773] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19258), 1,
      anon_sym_RBRACK,
    STATE(14358), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19260), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11768), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(14359), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [656815] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19263), 1,
      anon_sym_GT_RBRACE,
    STATE(14360), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656838] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18196), 1,
      sym__lowercase_identifier,
    STATE(7428), 1,
      sym_class_path,
    STATE(14361), 1,
      sym_attribute,
    STATE(18249), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656861] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17026), 1,
      anon_sym_STAR,
    STATE(14359), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(14362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [656882] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(19265), 1,
      sym__lowercase_identifier,
    STATE(7245), 1,
      sym_class_path,
    STATE(14363), 1,
      sym_attribute,
    STATE(17921), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656905] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19267), 1,
      anon_sym_DOT,
    STATE(14364), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656928] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19269), 1,
      anon_sym_DOT,
    STATE(14365), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656951] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19271), 1,
      anon_sym_DOT,
    STATE(14366), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656974] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    STATE(14367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12936), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [656995] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(19265), 1,
      sym__lowercase_identifier,
    STATE(7156), 1,
      sym_class_path,
    STATE(14368), 1,
      sym_attribute,
    STATE(17921), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657018] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(14369), 1,
      sym_attribute,
    STATE(16242), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657041] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14370), 1,
      sym_attribute,
    STATE(17227), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19273), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [657062] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19275), 1,
      anon_sym_GT_RBRACE,
    STATE(14371), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657085] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16616), 1,
      anon_sym_COMMA,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    STATE(14372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657108] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19277), 1,
      sym__lowercase_identifier,
    ACTIONS(19279), 1,
      anon_sym_LPAREN,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5445), 1,
      sym__value_name,
    STATE(14373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657131] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19281), 1,
      sym__lowercase_identifier,
    STATE(10787), 1,
      sym_class_type_path,
    STATE(14374), 1,
      sym_attribute,
    STATE(17096), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657154] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    STATE(4273), 1,
      sym_class_path,
    STATE(14375), 1,
      sym_attribute,
    STATE(17923), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657177] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19281), 1,
      sym__lowercase_identifier,
    STATE(10805), 1,
      sym_class_type_path,
    STATE(14376), 1,
      sym_attribute,
    STATE(17096), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657200] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19116), 1,
      sym__lowercase_identifier,
    STATE(11582), 1,
      sym_class_type_path,
    STATE(14377), 1,
      sym_attribute,
    STATE(16900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657223] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(14378), 1,
      sym_attribute,
    STATE(15796), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657246] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9951), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19283), 1,
      anon_sym_GT,
    STATE(14379), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657269] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19285), 1,
      anon_sym_COLON_GT,
    ACTIONS(19287), 1,
      anon_sym_RPAREN,
    STATE(14380), 1,
      sym_attribute,
    STATE(16616), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657292] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19289), 1,
      anon_sym_COLON_GT,
    ACTIONS(19291), 1,
      anon_sym_RPAREN,
    STATE(14381), 1,
      sym_attribute,
    STATE(16632), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657315] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19293), 1,
      anon_sym_RBRACK,
    ACTIONS(19295), 1,
      anon_sym_GT,
    STATE(14382), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657338] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19008), 1,
      sym__lowercase_identifier,
    STATE(10484), 1,
      sym_class_type_path,
    STATE(14383), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657361] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19293), 1,
      anon_sym_RBRACK,
    ACTIONS(19295), 1,
      anon_sym_GT,
    STATE(14318), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657384] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19297), 1,
      anon_sym_RBRACK,
    ACTIONS(19299), 1,
      anon_sym_GT,
    STATE(14385), 1,
      sym_attribute,
    STATE(14397), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657407] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19297), 1,
      anon_sym_RBRACK,
    ACTIONS(19299), 1,
      anon_sym_GT,
    STATE(14386), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657430] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19301), 1,
      anon_sym_GT_RBRACE,
    STATE(14387), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657453] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19281), 1,
      sym__lowercase_identifier,
    STATE(10813), 1,
      sym_class_type_path,
    STATE(14388), 1,
      sym_attribute,
    STATE(17096), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657476] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19303), 1,
      sym__lowercase_identifier,
    STATE(7749), 1,
      sym_type_constructor_path,
    STATE(14389), 1,
      sym_attribute,
    STATE(17009), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657499] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19305), 1,
      anon_sym_DOT,
    STATE(14390), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657522] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19307), 1,
      anon_sym_DOT,
    STATE(14391), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657545] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19309), 1,
      anon_sym_DOT,
    STATE(14392), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657568] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19311), 1,
      anon_sym_COLON_GT,
    ACTIONS(19313), 1,
      anon_sym_RPAREN,
    STATE(14393), 1,
      sym_attribute,
    STATE(17095), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657591] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8152), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    STATE(14394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 2,
      anon_sym_with,
      sym_hash_operator,
  [657612] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14395), 1,
      sym_attribute,
    STATE(17138), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19315), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [657633] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17908), 1,
      sym__lowercase_identifier,
    ACTIONS(17910), 1,
      anon_sym_LBRACK,
    ACTIONS(17912), 1,
      anon_sym_virtual,
    STATE(11691), 1,
      sym_class_binding,
    STATE(14396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657656] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19317), 1,
      anon_sym_RBRACK,
    ACTIONS(19319), 1,
      anon_sym_GT,
    STATE(14397), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657679] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19317), 1,
      anon_sym_RBRACK,
    STATE(14398), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657702] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16612), 1,
      anon_sym_COMMA,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    STATE(14399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657725] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19321), 1,
      anon_sym_GT_RBRACE,
    STATE(14400), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657748] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19323), 1,
      anon_sym_RBRACK,
    STATE(14401), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657771] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19325), 1,
      anon_sym_DOT,
    STATE(14402), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657794] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COMMA,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    STATE(14403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657817] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19327), 1,
      anon_sym_DOT,
    STATE(14404), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657840] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16660), 1,
      anon_sym_COMMA,
    ACTIONS(16721), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_PIPE,
    ACTIONS(16739), 1,
      anon_sym_as,
    STATE(14405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657863] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19329), 1,
      anon_sym_DOT,
    STATE(14406), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657886] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19008), 1,
      sym__lowercase_identifier,
    STATE(10638), 1,
      sym_class_type_path,
    STATE(14407), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657909] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18204), 1,
      sym__lowercase_identifier,
    STATE(7189), 1,
      sym_class_path,
    STATE(14408), 1,
      sym_attribute,
    STATE(18856), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657932] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17908), 1,
      sym__lowercase_identifier,
    ACTIONS(17910), 1,
      anon_sym_LBRACK,
    ACTIONS(17912), 1,
      anon_sym_virtual,
    STATE(12583), 1,
      sym_class_binding,
    STATE(14409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657955] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18378), 1,
      sym__lowercase_identifier,
    STATE(3122), 1,
      sym_class_path,
    STATE(14410), 1,
      sym_attribute,
    STATE(18411), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657978] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19008), 1,
      sym__lowercase_identifier,
    STATE(10513), 1,
      sym_class_type_path,
    STATE(14411), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658001] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18342), 1,
      sym__lowercase_identifier,
    STATE(6038), 1,
      sym_class_path,
    STATE(14412), 1,
      sym_attribute,
    STATE(18567), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658024] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14413), 1,
      sym_attribute,
    STATE(17049), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19331), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [658045] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9836), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19333), 1,
      anon_sym_GT,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658068] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19335), 1,
      anon_sym_GT_RBRACE,
    STATE(14415), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658091] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19337), 1,
      anon_sym_RBRACK,
    STATE(14416), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658114] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19339), 1,
      sym__lowercase_identifier,
    STATE(9717), 1,
      sym_class_type_path,
    STATE(14417), 1,
      sym_attribute,
    STATE(16304), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658137] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19341), 1,
      anon_sym_with,
    STATE(14418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658160] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13673), 1,
      anon_sym_in,
    ACTIONS(19343), 1,
      anon_sym_and,
    ACTIONS(19345), 1,
      sym_let_and_operator,
    STATE(14419), 1,
      sym_attribute,
    STATE(14444), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658183] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19339), 1,
      sym__lowercase_identifier,
    STATE(9836), 1,
      sym_class_type_path,
    STATE(14420), 1,
      sym_attribute,
    STATE(16304), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658206] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19347), 1,
      sym__lowercase_identifier,
    STATE(9028), 1,
      sym_class_type_path,
    STATE(14421), 1,
      sym_attribute,
    STATE(17129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658229] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13334), 1,
      anon_sym_in,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(14422), 1,
      sym_attribute,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658252] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19349), 1,
      anon_sym_GT_RBRACE,
    STATE(14423), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658275] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18526), 1,
      sym__lowercase_identifier,
    STATE(6408), 1,
      sym_class_path,
    STATE(14424), 1,
      sym_attribute,
    STATE(18167), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658298] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19351), 1,
      anon_sym_GT_RBRACE,
    STATE(14425), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658321] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19182), 1,
      sym__lowercase_identifier,
    STATE(9275), 1,
      sym_class_type_path,
    STATE(14426), 1,
      sym_attribute,
    STATE(17109), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658344] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11164), 1,
      anon_sym_in,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(14427), 1,
      sym_attribute,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658367] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19353), 1,
      sym__lowercase_identifier,
    ACTIONS(19355), 1,
      anon_sym_LPAREN,
    STATE(5540), 1,
      sym__value_name,
    STATE(5586), 1,
      sym_parenthesized_operator,
    STATE(14428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658390] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18520), 1,
      sym__lowercase_identifier,
    STATE(4919), 1,
      sym_class_path,
    STATE(14429), 1,
      sym_attribute,
    STATE(17384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658413] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19357), 1,
      sym__lowercase_identifier,
    STATE(10106), 1,
      sym_class_type_path,
    STATE(14430), 1,
      sym_attribute,
    STATE(17185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658436] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19357), 1,
      sym__lowercase_identifier,
    STATE(9967), 1,
      sym_class_type_path,
    STATE(14431), 1,
      sym_attribute,
    STATE(17185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658459] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19202), 1,
      sym__lowercase_identifier,
    STATE(9783), 1,
      sym_class_type_path,
    STATE(14432), 1,
      sym_attribute,
    STATE(17007), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658482] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(14433), 1,
      sym_attribute,
    STATE(16180), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658505] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19359), 1,
      anon_sym_GT,
    STATE(14434), 1,
      sym_attribute,
    STATE(14443), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658528] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13478), 1,
      anon_sym_in,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(14435), 1,
      sym_attribute,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658551] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19361), 1,
      anon_sym_GT_RBRACE,
    STATE(14436), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658574] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19363), 1,
      anon_sym_DOT,
    STATE(14437), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658597] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19365), 1,
      anon_sym_COLON_GT,
    ACTIONS(19367), 1,
      anon_sym_RPAREN,
    STATE(14438), 1,
      sym_attribute,
    STATE(16853), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658620] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13639), 1,
      anon_sym_in,
    ACTIONS(19343), 1,
      anon_sym_and,
    ACTIONS(19345), 1,
      sym_let_and_operator,
    STATE(14419), 1,
      aux_sym_value_definition_repeat1,
    STATE(14439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658643] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19369), 1,
      anon_sym_DOT,
    STATE(14440), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658666] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19371), 1,
      anon_sym_DOT,
    STATE(14441), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658689] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19373), 1,
      anon_sym_RBRACK,
    ACTIONS(19375), 1,
      anon_sym_GT,
    STATE(14442), 1,
      sym_attribute,
    STATE(14449), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658712] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19373), 1,
      anon_sym_RBRACK,
    ACTIONS(19375), 1,
      anon_sym_GT,
    STATE(14443), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658735] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13653), 1,
      anon_sym_in,
    ACTIONS(19377), 1,
      anon_sym_and,
    ACTIONS(19380), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14444), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [658756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14445), 1,
      sym_attribute,
    STATE(16945), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19383), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [658777] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19385), 1,
      sym__lowercase_identifier,
    STATE(5475), 1,
      sym_type_constructor_path,
    STATE(14446), 1,
      sym_attribute,
    STATE(17187), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658800] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19387), 1,
      anon_sym_COLON_GT,
    ACTIONS(19389), 1,
      anon_sym_RPAREN,
    STATE(14447), 1,
      sym_attribute,
    STATE(16886), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658823] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19357), 1,
      sym__lowercase_identifier,
    STATE(10088), 1,
      sym_class_type_path,
    STATE(14448), 1,
      sym_attribute,
    STATE(17185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658846] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19391), 1,
      anon_sym_RBRACK,
    ACTIONS(19393), 1,
      anon_sym_GT,
    STATE(14449), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658869] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19391), 1,
      anon_sym_RBRACK,
    STATE(14450), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658892] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13639), 1,
      anon_sym_in,
    ACTIONS(19343), 1,
      anon_sym_and,
    ACTIONS(19345), 1,
      sym_let_and_operator,
    STATE(14444), 1,
      aux_sym_value_definition_repeat1,
    STATE(14451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658915] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19395), 1,
      anon_sym_GT_RBRACE,
    STATE(14452), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658938] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19182), 1,
      sym__lowercase_identifier,
    STATE(9209), 1,
      sym_class_type_path,
    STATE(14453), 1,
      sym_attribute,
    STATE(17109), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658961] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19397), 1,
      anon_sym_RBRACK,
    STATE(14454), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658984] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17740), 1,
      sym__lowercase_identifier,
    ACTIONS(17744), 1,
      anon_sym_LBRACK,
    ACTIONS(17746), 1,
      anon_sym_virtual,
    STATE(11691), 1,
      sym_class_binding,
    STATE(14455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659007] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19399), 1,
      anon_sym_DOT,
    STATE(14456), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11160), 1,
      anon_sym_in,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(14457), 1,
      sym_attribute,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659053] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19401), 1,
      anon_sym_GT_RBRACE,
    STATE(14458), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659076] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19403), 1,
      anon_sym_DOT,
    STATE(14459), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659099] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19405), 1,
      anon_sym_DOT,
    STATE(14460), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659122] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19407), 1,
      anon_sym_with,
    STATE(14461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659145] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19409), 1,
      anon_sym_RBRACK,
    STATE(14462), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659168] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19411), 1,
      anon_sym_RBRACK,
    STATE(14463), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659191] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13271), 1,
      anon_sym_in,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14435), 1,
      aux_sym_expression_item_repeat1,
    STATE(14464), 1,
      sym_attribute,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659214] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13271), 1,
      anon_sym_in,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14003), 1,
      aux_sym_expression_item_repeat1,
    STATE(14465), 1,
      sym_attribute,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659237] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14466), 1,
      sym_attribute,
    STATE(16838), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19413), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [659258] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19052), 1,
      anon_sym_LPAREN,
    ACTIONS(19415), 1,
      sym__lowercase_identifier,
    STATE(14467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13955), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [659279] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18806), 1,
      sym__lowercase_identifier,
    STATE(10164), 1,
      sym_parenthesized_operator,
    STATE(13143), 1,
      sym__value_name,
    STATE(14468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659302] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13618), 1,
      anon_sym_in,
    ACTIONS(19343), 1,
      anon_sym_and,
    ACTIONS(19345), 1,
      sym_let_and_operator,
    STATE(14444), 1,
      aux_sym_value_definition_repeat1,
    STATE(14469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659325] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19417), 1,
      sym__lowercase_identifier,
    STATE(9236), 1,
      sym_class_type_path,
    STATE(14470), 1,
      sym_attribute,
    STATE(17272), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659348] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18487), 1,
      sym__lowercase_identifier,
    STATE(3294), 1,
      sym_class_path,
    STATE(14471), 1,
      sym_attribute,
    STATE(17437), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659371] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19419), 1,
      anon_sym_GT_RBRACE,
    STATE(14472), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659394] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19417), 1,
      sym__lowercase_identifier,
    STATE(9217), 1,
      sym_class_type_path,
    STATE(14473), 1,
      sym_attribute,
    STATE(17272), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659417] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19417), 1,
      sym__lowercase_identifier,
    STATE(9199), 1,
      sym_class_type_path,
    STATE(14474), 1,
      sym_attribute,
    STATE(17272), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659440] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13618), 1,
      anon_sym_in,
    ACTIONS(19343), 1,
      anon_sym_and,
    ACTIONS(19345), 1,
      sym_let_and_operator,
    STATE(14451), 1,
      aux_sym_value_definition_repeat1,
    STATE(14475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659463] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19421), 1,
      anon_sym_GT_RBRACE,
    STATE(14476), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659486] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19281), 1,
      sym__lowercase_identifier,
    STATE(10794), 1,
      sym_class_type_path,
    STATE(14477), 1,
      sym_attribute,
    STATE(17096), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659509] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18318), 1,
      sym__lowercase_identifier,
    STATE(5235), 1,
      sym_class_path,
    STATE(14478), 1,
      sym_attribute,
    STATE(17871), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659532] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9864), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19423), 1,
      anon_sym_GT,
    STATE(14479), 1,
      sym_attribute,
    STATE(14484), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659555] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17740), 1,
      sym__lowercase_identifier,
    ACTIONS(17744), 1,
      anon_sym_LBRACK,
    ACTIONS(17746), 1,
      anon_sym_virtual,
    STATE(12539), 1,
      sym_class_binding,
    STATE(14480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659578] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19425), 1,
      anon_sym_rec,
    STATE(14481), 1,
      sym_attribute,
    STATE(15346), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18216), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [659599] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19427), 1,
      anon_sym_COLON_GT,
    ACTIONS(19429), 1,
      anon_sym_RPAREN,
    STATE(14482), 1,
      sym_attribute,
    STATE(16579), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659622] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19431), 1,
      anon_sym_RBRACK,
    ACTIONS(19433), 1,
      anon_sym_GT,
    STATE(14483), 1,
      sym_attribute,
    STATE(14487), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659645] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19431), 1,
      anon_sym_RBRACK,
    ACTIONS(19433), 1,
      anon_sym_GT,
    STATE(14484), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659668] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19435), 1,
      sym__lowercase_identifier,
    STATE(8715), 1,
      sym_type_constructor_path,
    STATE(14485), 1,
      sym_attribute,
    STATE(17274), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659691] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19437), 1,
      anon_sym_COLON_GT,
    ACTIONS(19439), 1,
      anon_sym_RPAREN,
    STATE(14486), 1,
      sym_attribute,
    STATE(16731), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659714] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19441), 1,
      anon_sym_RBRACK,
    ACTIONS(19443), 1,
      anon_sym_GT,
    STATE(14487), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659737] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19445), 1,
      anon_sym_GT_RBRACE,
    STATE(14488), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659760] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19441), 1,
      anon_sym_RBRACK,
    STATE(14489), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659783] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13368), 1,
      anon_sym_in,
    ACTIONS(16252), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14465), 1,
      aux_sym_expression_item_repeat1,
    STATE(14490), 1,
      sym_attribute,
    STATE(15338), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659806] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19447), 1,
      anon_sym_DOT,
    STATE(14491), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659829] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19449), 1,
      anon_sym_GT_RBRACE,
    STATE(14492), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659852] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18384), 1,
      sym__lowercase_identifier,
    STATE(7016), 1,
      sym_class_path,
    STATE(14493), 1,
      sym_attribute,
    STATE(17492), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659875] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19451), 1,
      anon_sym_DOT,
    STATE(14494), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659898] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19453), 1,
      anon_sym_DOT,
    STATE(14495), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659921] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19455), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659944] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19457), 1,
      anon_sym_with,
    STATE(14497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659967] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14107), 1,
      anon_sym_in,
    ACTIONS(19343), 1,
      anon_sym_and,
    ACTIONS(19345), 1,
      sym_let_and_operator,
    STATE(14469), 1,
      aux_sym_value_definition_repeat1,
    STATE(14498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659990] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19459), 1,
      anon_sym_RBRACK,
    STATE(14499), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660013] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(12957), 1,
      sym_type_constructor_path,
    STATE(14500), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14501), 1,
      sym_attribute,
    STATE(16698), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19461), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [660057] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19463), 1,
      anon_sym_GT_RBRACE,
    STATE(14502), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660080] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19465), 1,
      anon_sym_RBRACK,
    STATE(14503), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19467), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8693), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(14504), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [660122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19470), 1,
      aux_sym_attribute_id_token1,
    STATE(14504), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8780), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [660143] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19182), 1,
      sym__lowercase_identifier,
    STATE(9188), 1,
      sym_class_type_path,
    STATE(14506), 1,
      sym_attribute,
    STATE(17109), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660166] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19472), 1,
      sym__lowercase_identifier,
    STATE(10489), 1,
      sym_class_type_path,
    STATE(14507), 1,
      sym_attribute,
    STATE(17353), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660189] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18431), 1,
      sym__lowercase_identifier,
    STATE(4033), 1,
      sym_class_path,
    STATE(14508), 1,
      sym_attribute,
    STATE(17547), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660212] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19472), 1,
      sym__lowercase_identifier,
    STATE(10568), 1,
      sym_class_type_path,
    STATE(14509), 1,
      sym_attribute,
    STATE(17353), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660235] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19474), 1,
      anon_sym_GT_RBRACE,
    STATE(14510), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660258] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19472), 1,
      sym__lowercase_identifier,
    STATE(10609), 1,
      sym_class_type_path,
    STATE(14511), 1,
      sym_attribute,
    STATE(17353), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660281] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19357), 1,
      sym__lowercase_identifier,
    STATE(10062), 1,
      sym_class_type_path,
    STATE(14512), 1,
      sym_attribute,
    STATE(17185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660304] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18220), 1,
      sym__lowercase_identifier,
    STATE(5638), 1,
      sym_class_path,
    STATE(14513), 1,
      sym_attribute,
    STATE(18605), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660327] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19470), 1,
      aux_sym_attribute_id_token1,
    STATE(14505), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8754), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [660348] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19476), 1,
      anon_sym_GT,
    STATE(14515), 1,
      sym_attribute,
    STATE(14519), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660371] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19478), 1,
      sym__lowercase_identifier,
    STATE(9717), 1,
      sym_class_type_path,
    STATE(14516), 1,
      sym_attribute,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660394] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    ACTIONS(19062), 1,
      anon_sym_mutable,
    ACTIONS(19480), 1,
      anon_sym_RBRACE,
    STATE(14517), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660417] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19482), 1,
      anon_sym_RBRACK,
    ACTIONS(19484), 1,
      anon_sym_GT,
    STATE(14518), 1,
      sym_attribute,
    STATE(14526), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660440] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19482), 1,
      anon_sym_RBRACK,
    ACTIONS(19484), 1,
      anon_sym_GT,
    STATE(14519), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660463] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19486), 1,
      anon_sym_with,
    STATE(14520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660486] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18453), 1,
      sym__lowercase_identifier,
    STATE(8247), 1,
      sym_class_path,
    STATE(14521), 1,
      sym_attribute,
    STATE(20186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660509] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19488), 1,
      sym__lowercase_identifier,
    STATE(14522), 1,
      sym_attribute,
    STATE(14618), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18902), 2,
      anon_sym_private,
      anon_sym_virtual,
  [660530] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(14523), 1,
      sym_attribute,
    STATE(16166), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660553] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19490), 1,
      sym__lowercase_identifier,
    STATE(7963), 1,
      sym_type_constructor_path,
    STATE(14524), 1,
      sym_attribute,
    STATE(17355), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660576] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19492), 1,
      anon_sym_COLON_GT,
    ACTIONS(19494), 1,
      anon_sym_RPAREN,
    STATE(14525), 1,
      sym_attribute,
    STATE(16581), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660599] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19496), 1,
      anon_sym_RBRACK,
    ACTIONS(19498), 1,
      anon_sym_GT,
    STATE(14526), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660622] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19496), 1,
      anon_sym_RBRACK,
    STATE(14527), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660645] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18194), 1,
      sym__lowercase_identifier,
    STATE(6841), 1,
      sym_class_path,
    STATE(14528), 1,
      sym_attribute,
    STATE(17712), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660668] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19500), 1,
      anon_sym_DOT,
    STATE(14529), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660691] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19478), 1,
      sym__lowercase_identifier,
    STATE(9836), 1,
      sym_class_type_path,
    STATE(14530), 1,
      sym_attribute,
    STATE(16309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660714] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19502), 1,
      anon_sym_DOT,
    STATE(14531), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660737] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19504), 1,
      anon_sym_DOT,
    STATE(14532), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660760] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19506), 1,
      anon_sym_GT_RBRACE,
    STATE(14533), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660783] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19508), 1,
      anon_sym_RBRACK,
    STATE(14534), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660806] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19510), 1,
      anon_sym_with,
    STATE(14535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660829] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19512), 1,
      anon_sym_COLON_GT,
    ACTIONS(19514), 1,
      anon_sym_RPAREN,
    STATE(14536), 1,
      sym_attribute,
    STATE(16459), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660852] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19516), 1,
      anon_sym_COLON_GT,
    ACTIONS(19518), 1,
      anon_sym_RPAREN,
    STATE(14537), 1,
      sym_attribute,
    STATE(16495), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660875] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14538), 1,
      sym_attribute,
    STATE(16543), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19520), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [660896] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19522), 1,
      anon_sym_GT_RBRACE,
    STATE(14539), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660919] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19524), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660942] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19524), 1,
      anon_sym_RBRACK,
    ACTIONS(19526), 1,
      anon_sym_GT,
    STATE(14541), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660965] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19528), 1,
      anon_sym_RBRACK,
    STATE(14542), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660988] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    ACTIONS(19062), 1,
      anon_sym_mutable,
    ACTIONS(19530), 1,
      anon_sym_RBRACE,
    STATE(14543), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661011] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19532), 1,
      anon_sym_with,
    STATE(14544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661034] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19534), 1,
      sym__lowercase_identifier,
    STATE(12992), 1,
      sym_class_type_path,
    STATE(14545), 1,
      sym_attribute,
    STATE(17347), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661057] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19536), 1,
      anon_sym_GT,
    STATE(14215), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661080] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19534), 1,
      sym__lowercase_identifier,
    STATE(13008), 1,
      sym_class_type_path,
    STATE(14547), 1,
      sym_attribute,
    STATE(17347), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661103] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19534), 1,
      sym__lowercase_identifier,
    STATE(13018), 1,
      sym_class_type_path,
    STATE(14548), 1,
      sym_attribute,
    STATE(17347), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661126] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19417), 1,
      sym__lowercase_identifier,
    STATE(9319), 1,
      sym_class_type_path,
    STATE(14549), 1,
      sym_attribute,
    STATE(17272), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661149] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18453), 1,
      sym__lowercase_identifier,
    STATE(8272), 1,
      sym_class_path,
    STATE(14550), 1,
      sym_attribute,
    STATE(20186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661172] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9854), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19538), 1,
      anon_sym_GT,
    STATE(14551), 1,
      sym_attribute,
    STATE(14555), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661195] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19540), 1,
      anon_sym_with,
    STATE(14552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661218] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12940), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [661239] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19542), 1,
      anon_sym_RBRACK,
    ACTIONS(19544), 1,
      anon_sym_GT,
    STATE(14554), 1,
      sym_attribute,
    STATE(14558), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661262] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19542), 1,
      anon_sym_RBRACK,
    ACTIONS(19544), 1,
      anon_sym_GT,
    STATE(14555), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661285] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19546), 1,
      sym__lowercase_identifier,
    STATE(7411), 1,
      sym_type_constructor_path,
    STATE(14556), 1,
      sym_attribute,
    STATE(17293), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661308] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19548), 1,
      anon_sym_COLON_GT,
    ACTIONS(19550), 1,
      anon_sym_RPAREN,
    STATE(14557), 1,
      sym_attribute,
    STATE(16425), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661331] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19552), 1,
      anon_sym_RBRACK,
    ACTIONS(19554), 1,
      anon_sym_GT,
    STATE(14558), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661354] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19556), 1,
      sym__lowercase_identifier,
    STATE(14522), 1,
      aux_sym_method_specification_repeat1,
    STATE(14559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18902), 2,
      anon_sym_private,
      anon_sym_virtual,
  [661375] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19552), 1,
      anon_sym_RBRACK,
    STATE(14560), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661398] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19558), 1,
      anon_sym_DOT,
    STATE(14561), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661421] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19560), 1,
      anon_sym_with,
    STATE(14562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661444] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19562), 1,
      anon_sym_GT_RBRACE,
    STATE(14563), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661467] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19564), 1,
      anon_sym_RBRACK,
    STATE(14564), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661490] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19566), 1,
      anon_sym_GT_RBRACE,
    STATE(14565), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661513] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19568), 1,
      anon_sym_GT_RBRACE,
    STATE(14566), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661536] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19570), 1,
      anon_sym_RBRACK,
    STATE(14567), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661559] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19572), 1,
      anon_sym_DOT,
    STATE(14568), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661582] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19576), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19574), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14569), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [661601] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19579), 1,
      anon_sym_GT_RBRACE,
    STATE(14570), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661624] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19581), 1,
      anon_sym_with,
    STATE(14571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661647] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19583), 1,
      anon_sym_DOT,
    STATE(14572), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661670] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19585), 1,
      anon_sym_DOT,
    STATE(14573), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661693] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19587), 1,
      anon_sym_COLON_GT,
    ACTIONS(19589), 1,
      anon_sym_RPAREN,
    STATE(14574), 1,
      sym_attribute,
    STATE(16558), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661716] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19591), 1,
      anon_sym_with,
    STATE(14575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661739] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19593), 1,
      anon_sym_with,
    STATE(14576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661762] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19595), 1,
      sym__lowercase_identifier,
    STATE(10418), 1,
      sym_class_type_path,
    STATE(14577), 1,
      sym_attribute,
    STATE(17322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661785] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18370), 1,
      sym__lowercase_identifier,
    STATE(6402), 1,
      sym_class_path,
    STATE(14578), 1,
      sym_attribute,
    STATE(17657), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661808] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19595), 1,
      sym__lowercase_identifier,
    STATE(10496), 1,
      sym_class_type_path,
    STATE(14579), 1,
      sym_attribute,
    STATE(17322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661831] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19597), 1,
      anon_sym_with,
    STATE(14580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661854] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19595), 1,
      sym__lowercase_identifier,
    STATE(10437), 1,
      sym_class_type_path,
    STATE(14581), 1,
      sym_attribute,
    STATE(17322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661877] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19472), 1,
      sym__lowercase_identifier,
    STATE(10433), 1,
      sym_class_type_path,
    STATE(14582), 1,
      sym_attribute,
    STATE(17353), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661900] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19599), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19602), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(14583), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [661919] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19604), 1,
      anon_sym_RBRACK,
    STATE(14584), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661942] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10013), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19606), 1,
      anon_sym_GT,
    STATE(14585), 1,
      sym_attribute,
    STATE(14591), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661965] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19608), 1,
      anon_sym_GT_RBRACE,
    STATE(14586), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14587), 1,
      sym_attribute,
    STATE(16350), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19610), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [662009] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19612), 1,
      anon_sym_GT_RBRACE,
    STATE(14588), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662032] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19614), 1,
      anon_sym_RBRACK,
    ACTIONS(19616), 1,
      anon_sym_GT,
    STATE(14589), 1,
      sym_attribute,
    STATE(14596), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662055] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19618), 1,
      sym__lowercase_identifier,
    STATE(14590), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(20030), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662078] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19614), 1,
      anon_sym_RBRACK,
    ACTIONS(19616), 1,
      anon_sym_GT,
    STATE(14591), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662101] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19620), 1,
      sym__lowercase_identifier,
    STATE(5632), 1,
      sym_type_constructor_path,
    STATE(14592), 1,
      sym_attribute,
    STATE(17273), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662124] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19622), 1,
      anon_sym_COLON_GT,
    ACTIONS(19624), 1,
      anon_sym_RPAREN,
    STATE(14593), 1,
      sym_attribute,
    STATE(16367), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662147] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19626), 1,
      anon_sym_with,
    STATE(14594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662170] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(19628), 1,
      sym__lowercase_identifier,
    STATE(14595), 1,
      sym_attribute,
    STATE(16326), 1,
      sym_extended_module_path,
    STATE(16531), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662193] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19630), 1,
      anon_sym_RBRACK,
    ACTIONS(19632), 1,
      anon_sym_GT,
    STATE(14596), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662216] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19630), 1,
      anon_sym_RBRACK,
    STATE(14597), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662239] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19634), 1,
      anon_sym_GT_RBRACE,
    STATE(14598), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662262] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19636), 1,
      anon_sym_GT_RBRACE,
    STATE(14599), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662285] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19638), 1,
      anon_sym_RBRACK,
    STATE(14600), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662308] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(14601), 1,
      sym_attribute,
    STATE(15314), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662331] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19640), 1,
      anon_sym_GT_RBRACE,
    STATE(14602), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662354] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19642), 1,
      anon_sym_RBRACK,
    STATE(14603), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662377] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19644), 1,
      anon_sym_with,
    STATE(14604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662400] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19646), 1,
      anon_sym_with,
    STATE(14605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662423] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19648), 1,
      anon_sym_GT_RBRACE,
    STATE(14606), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662446] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    ACTIONS(19650), 1,
      anon_sym_EQ,
    ACTIONS(19652), 1,
      anon_sym_RPAREN,
    STATE(14607), 1,
      sym_attribute,
    STATE(16526), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662469] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19654), 1,
      sym__lowercase_identifier,
    STATE(12715), 1,
      sym_class_type_path,
    STATE(14608), 1,
      sym_attribute,
    STATE(17147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662492] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19656), 1,
      sym__lowercase_identifier,
    STATE(10556), 1,
      sym_class_type_path,
    STATE(14609), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662515] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19658), 1,
      anon_sym_RBRACK,
    ACTIONS(19660), 1,
      anon_sym_GT,
    STATE(14610), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662538] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18140), 1,
      sym__lowercase_identifier,
    STATE(5178), 1,
      sym_class_path,
    STATE(14611), 1,
      sym_attribute,
    STATE(18643), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662561] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18344), 1,
      sym__lowercase_identifier,
    STATE(5711), 1,
      sym_class_path,
    STATE(14612), 1,
      sym_attribute,
    STATE(17767), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662584] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19658), 1,
      anon_sym_RBRACK,
    ACTIONS(19660), 1,
      anon_sym_GT,
    STATE(14541), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662607] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19656), 1,
      sym__lowercase_identifier,
    STATE(10616), 1,
      sym_class_type_path,
    STATE(14614), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662630] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19656), 1,
      sym__lowercase_identifier,
    STATE(10635), 1,
      sym_class_type_path,
    STATE(14615), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662653] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19534), 1,
      sym__lowercase_identifier,
    STATE(12984), 1,
      sym_class_type_path,
    STATE(14616), 1,
      sym_attribute,
    STATE(17347), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662676] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19662), 1,
      anon_sym_with,
    STATE(14617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19664), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19666), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(14618), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [662718] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19669), 1,
      sym__lowercase_identifier,
    STATE(14618), 1,
      aux_sym_method_specification_repeat1,
    STATE(14619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18902), 2,
      anon_sym_private,
      anon_sym_virtual,
  [662739] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19671), 1,
      anon_sym_GT,
    STATE(14620), 1,
      sym_attribute,
    STATE(14625), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662762] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12830), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [662783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19673), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19675), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(14622), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [662802] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19678), 1,
      anon_sym_with,
    STATE(14623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662825] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    ACTIONS(19682), 1,
      anon_sym_GT,
    STATE(14624), 1,
      sym_attribute,
    STATE(14632), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662848] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    ACTIONS(19682), 1,
      anon_sym_GT,
    STATE(14625), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662871] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19684), 1,
      anon_sym_DOT,
    STATE(14626), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662894] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19686), 1,
      anon_sym_COLON_GT,
    ACTIONS(19688), 1,
      anon_sym_RPAREN,
    STATE(14627), 1,
      sym_attribute,
    STATE(16693), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662917] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19690), 1,
      sym__lowercase_identifier,
    STATE(14619), 1,
      aux_sym_method_specification_repeat1,
    STATE(14628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18902), 2,
      anon_sym_private,
      anon_sym_virtual,
  [662938] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18252), 1,
      sym__lowercase_identifier,
    ACTIONS(18254), 1,
      anon_sym_LBRACK,
    ACTIONS(18256), 1,
      anon_sym_virtual,
    STATE(11661), 1,
      sym_class_type_binding,
    STATE(14629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662961] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19692), 1,
      anon_sym_DOT,
    STATE(14630), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662984] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19694), 1,
      anon_sym_DOT,
    STATE(14631), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663007] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19696), 1,
      anon_sym_RBRACK,
    ACTIONS(19698), 1,
      anon_sym_GT,
    STATE(14632), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663030] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19696), 1,
      anon_sym_RBRACK,
    STATE(14633), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663053] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19700), 1,
      anon_sym_COLON_GT,
    ACTIONS(19702), 1,
      anon_sym_RPAREN,
    STATE(14634), 1,
      sym_attribute,
    STATE(16895), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663076] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9876), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19704), 1,
      anon_sym_GT,
    STATE(14610), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663099] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19706), 1,
      anon_sym_DOT,
    STATE(14636), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663122] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19708), 1,
      anon_sym_GT_RBRACE,
    STATE(14637), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663145] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14638), 1,
      sym_attribute,
    STATE(16657), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19710), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [663166] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19712), 1,
      anon_sym_GT_RBRACE,
    STATE(14639), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663189] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19714), 1,
      anon_sym_RBRACK,
    STATE(14640), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663212] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19716), 1,
      anon_sym_with,
    STATE(14641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663235] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19718), 1,
      sym__lowercase_identifier,
    STATE(14642), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(20015), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663258] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19720), 1,
      anon_sym_DOT,
    STATE(14643), 1,
      sym_attribute,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663281] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19722), 1,
      anon_sym_GT_RBRACE,
    STATE(14644), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663304] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19724), 1,
      anon_sym_RBRACK,
    STATE(14645), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663327] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19726), 1,
      anon_sym_with,
    STATE(14646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663350] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19728), 1,
      anon_sym_with,
    STATE(14647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663373] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19730), 1,
      anon_sym_COLON_GT,
    ACTIONS(19732), 1,
      anon_sym_RPAREN,
    STATE(14648), 1,
      sym_attribute,
    STATE(16483), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663396] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19734), 1,
      sym__lowercase_identifier,
    STATE(9636), 1,
      sym_class_type_path,
    STATE(14649), 1,
      sym_attribute,
    STATE(17275), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663419] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18310), 1,
      sym__lowercase_identifier,
    STATE(5034), 1,
      sym_class_path,
    STATE(14650), 1,
      sym_attribute,
    STATE(17822), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663442] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18457), 1,
      sym__lowercase_identifier,
    STATE(6587), 1,
      sym_class_path,
    STATE(14651), 1,
      sym_attribute,
    STATE(18126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663465] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19734), 1,
      sym__lowercase_identifier,
    STATE(9406), 1,
      sym_class_type_path,
    STATE(14652), 1,
      sym_attribute,
    STATE(17275), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663488] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19736), 1,
      anon_sym_with,
    STATE(14653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663511] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19734), 1,
      sym__lowercase_identifier,
    STATE(9372), 1,
      sym_class_type_path,
    STATE(14654), 1,
      sym_attribute,
    STATE(17275), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663534] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19595), 1,
      sym__lowercase_identifier,
    STATE(10407), 1,
      sym_class_type_path,
    STATE(14655), 1,
      sym_attribute,
    STATE(17322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663557] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19738), 1,
      anon_sym_GT_RBRACE,
    STATE(14656), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663580] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19740), 1,
      anon_sym_with,
    STATE(14657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663603] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19742), 1,
      anon_sym_with,
    STATE(14658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663626] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19744), 1,
      anon_sym_with,
    STATE(14659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663649] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19746), 1,
      anon_sym_DOT,
    ACTIONS(19748), 1,
      aux_sym_type_variable_token1,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14660), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [663670] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19751), 1,
      anon_sym_RBRACK,
    ACTIONS(19753), 1,
      anon_sym_GT,
    STATE(14661), 1,
      sym_attribute,
    STATE(14665), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663693] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19751), 1,
      anon_sym_RBRACK,
    ACTIONS(19753), 1,
      anon_sym_GT,
    STATE(14662), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663716] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19755), 1,
      anon_sym_GT,
    STATE(14662), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663739] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19757), 1,
      anon_sym_COLON_GT,
    ACTIONS(19759), 1,
      anon_sym_RPAREN,
    STATE(14664), 1,
      sym_attribute,
    STATE(17099), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663762] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19761), 1,
      anon_sym_RBRACK,
    ACTIONS(19763), 1,
      anon_sym_GT,
    STATE(14665), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663785] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19761), 1,
      anon_sym_RBRACK,
    STATE(14666), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19765), 1,
      sym__lowercase_identifier,
    STATE(14583), 1,
      aux_sym__abstract_type_repeat1,
    STATE(14667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19767), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [663829] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19769), 1,
      anon_sym_GT_RBRACE,
    STATE(14668), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663852] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19771), 1,
      anon_sym_GT_RBRACE,
    STATE(14669), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663875] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19773), 1,
      anon_sym_RBRACK,
    STATE(14670), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663898] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19775), 1,
      anon_sym_with,
    STATE(14671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663921] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19777), 1,
      anon_sym_GT_RBRACE,
    STATE(14672), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663944] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19779), 1,
      anon_sym_RBRACK,
    STATE(14673), 1,
      sym_attribute,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663967] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_RBRACK,
    ACTIONS(19783), 1,
      aux_sym_tag_token1,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14674), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [663988] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19786), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14675), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664011] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19339), 1,
      sym__lowercase_identifier,
    STATE(12042), 1,
      sym_class_type_path,
    STATE(14676), 1,
      sym_attribute,
    STATE(16304), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664034] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19788), 1,
      anon_sym_with,
    STATE(14677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664057] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19790), 1,
      anon_sym_with,
    STATE(14678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664080] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19792), 1,
      sym__lowercase_identifier,
    STATE(9972), 1,
      sym_class_type_path,
    STATE(14679), 1,
      sym_attribute,
    STATE(17252), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664103] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18282), 1,
      sym__lowercase_identifier,
    STATE(5342), 1,
      sym_class_path,
    STATE(14680), 1,
      sym_attribute,
    STATE(17877), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664126] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19792), 1,
      sym__lowercase_identifier,
    STATE(10104), 1,
      sym_class_type_path,
    STATE(14681), 1,
      sym_attribute,
    STATE(17252), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664149] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19792), 1,
      sym__lowercase_identifier,
    STATE(10037), 1,
      sym_class_type_path,
    STATE(14682), 1,
      sym_attribute,
    STATE(17252), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664172] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19794), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14683), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664195] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19796), 1,
      anon_sym_GT_RBRACE,
    STATE(14684), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664218] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19656), 1,
      sym__lowercase_identifier,
    STATE(10536), 1,
      sym_class_type_path,
    STATE(14685), 1,
      sym_attribute,
    STATE(17294), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664241] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19798), 1,
      anon_sym_with,
    STATE(14686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664264] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9702), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19800), 1,
      anon_sym_GT,
    STATE(14687), 1,
      sym_attribute,
    STATE(14691), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664287] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19802), 1,
      anon_sym_GT_RBRACE,
    STATE(14688), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664310] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19804), 1,
      anon_sym_with,
    STATE(14689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664333] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19806), 1,
      anon_sym_RBRACK,
    ACTIONS(19808), 1,
      anon_sym_GT,
    STATE(14690), 1,
      sym_attribute,
    STATE(14694), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664356] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19806), 1,
      anon_sym_RBRACK,
    ACTIONS(19808), 1,
      anon_sym_GT,
    STATE(14691), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664379] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19810), 1,
      anon_sym_COLON_GT,
    ACTIONS(19812), 1,
      anon_sym_RPAREN,
    STATE(14692), 1,
      sym_attribute,
    STATE(17348), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664402] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18324), 1,
      sym__lowercase_identifier,
    STATE(4856), 1,
      sym_class_path,
    STATE(14693), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664425] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19814), 1,
      anon_sym_RBRACK,
    ACTIONS(19816), 1,
      anon_sym_GT,
    STATE(14694), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19690), 1,
      sym__lowercase_identifier,
    STATE(14618), 1,
      aux_sym_method_specification_repeat1,
    STATE(14695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18902), 2,
      anon_sym_private,
      anon_sym_virtual,
  [664469] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19814), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14696), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664492] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19818), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14697), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664515] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19820), 1,
      anon_sym_with,
    STATE(14698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664538] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19822), 1,
      anon_sym_GT_RBRACE,
    STATE(14699), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664561] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19824), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14700), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664584] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19826), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14701), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664607] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19828), 1,
      anon_sym_with,
    STATE(14702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664630] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17916), 1,
      sym__lowercase_identifier,
    ACTIONS(17918), 1,
      anon_sym_LBRACK,
    ACTIONS(17920), 1,
      anon_sym_virtual,
    STATE(11691), 1,
      sym_class_binding,
    STATE(14703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664653] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18252), 1,
      sym__lowercase_identifier,
    ACTIONS(18254), 1,
      anon_sym_LBRACK,
    ACTIONS(18256), 1,
      anon_sym_virtual,
    STATE(11202), 1,
      sym_class_type_binding,
    STATE(14704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664676] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19830), 1,
      sym__lowercase_identifier,
    STATE(12509), 1,
      sym_class_type_path,
    STATE(14705), 1,
      sym_attribute,
    STATE(17234), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664699] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18200), 1,
      sym__lowercase_identifier,
    STATE(6032), 1,
      sym_class_path,
    STATE(14706), 1,
      sym_attribute,
    STATE(17962), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664722] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19830), 1,
      sym__lowercase_identifier,
    STATE(12528), 1,
      sym_class_type_path,
    STATE(14707), 1,
      sym_attribute,
    STATE(17234), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664745] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19832), 1,
      anon_sym_GT_RBRACE,
    STATE(14708), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664768] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18178), 1,
      sym__lowercase_identifier,
    STATE(3618), 1,
      sym_class_path,
    STATE(14709), 1,
      sym_attribute,
    STATE(18681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664791] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19830), 1,
      sym__lowercase_identifier,
    STATE(12534), 1,
      sym_class_type_path,
    STATE(14710), 1,
      sym_attribute,
    STATE(17234), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664814] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19734), 1,
      sym__lowercase_identifier,
    STATE(9623), 1,
      sym_class_type_path,
    STATE(14711), 1,
      sym_attribute,
    STATE(17275), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664837] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19834), 1,
      anon_sym_with,
    STATE(14712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664860] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(19836), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664883] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9696), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19838), 1,
      anon_sym_GT,
    STATE(14714), 1,
      sym_attribute,
    STATE(14721), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664906] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19840), 1,
      anon_sym_with,
    STATE(14715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664929] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15843), 1,
      sym__lowercase_identifier,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(14716), 1,
      sym_attribute,
    STATE(16464), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664952] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19842), 1,
      anon_sym_with,
    STATE(14717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664975] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19844), 1,
      anon_sym_with,
    STATE(14718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664998] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19846), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14719), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665021] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19848), 1,
      anon_sym_RBRACK,
    ACTIONS(19850), 1,
      anon_sym_GT,
    STATE(14720), 1,
      sym_attribute,
    STATE(14725), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665044] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19848), 1,
      anon_sym_RBRACK,
    ACTIONS(19850), 1,
      anon_sym_GT,
    STATE(14721), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665067] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19852), 1,
      anon_sym_COLON_GT,
    ACTIONS(19854), 1,
      anon_sym_RPAREN,
    STATE(14722), 1,
      sym_attribute,
    STATE(17249), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665090] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19856), 1,
      anon_sym_GT_RBRACE,
    STATE(14723), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665113] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19858), 1,
      anon_sym_DOT,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14724), 1,
      sym_attribute,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665136] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19860), 1,
      anon_sym_RBRACK,
    ACTIONS(19862), 1,
      anon_sym_GT,
    STATE(14725), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665159] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19860), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14726), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665182] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(19628), 1,
      sym__lowercase_identifier,
    STATE(14727), 1,
      sym_attribute,
    STATE(16326), 1,
      sym_extended_module_path,
    STATE(16910), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665205] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11624), 1,
      sym__lowercase_identifier,
    STATE(14728), 1,
      sym_attribute,
    STATE(15557), 1,
      sym_type_constructor_path,
    STATE(16312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12925), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [665249] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19864), 1,
      anon_sym_GT_RBRACE,
    STATE(14730), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665272] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19866), 1,
      anon_sym_DOT,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14731), 1,
      sym_attribute,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665295] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19868), 1,
      anon_sym_COLON_GT,
    ACTIONS(19870), 1,
      anon_sym_RPAREN,
    STATE(14732), 1,
      sym_attribute,
    STATE(17122), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665318] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19872), 1,
      anon_sym_GT_RBRACE,
    STATE(14733), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665341] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19874), 1,
      anon_sym_DOT,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14734), 1,
      sym_attribute,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665364] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19876), 1,
      anon_sym_GT_RBRACE,
    STATE(14735), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665387] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18524), 1,
      sym__lowercase_identifier,
    STATE(3636), 1,
      sym_class_path,
    STATE(14736), 1,
      sym_attribute,
    STATE(18290), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665410] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19878), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14737), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665433] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19880), 1,
      anon_sym_with,
    STATE(14738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665456] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19882), 1,
      anon_sym_GT_RBRACE,
    STATE(14739), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665479] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19884), 1,
      sym__lowercase_identifier,
    ACTIONS(19886), 1,
      anon_sym_LPAREN,
    STATE(5477), 1,
      sym_parenthesized_operator,
    STATE(5498), 1,
      sym__value_name,
    STATE(14740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665502] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19888), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14741), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665525] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14742), 1,
      sym_attribute,
    STATE(16445), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19890), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [665546] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_PERCENT,
    STATE(14743), 1,
      sym_attribute,
    STATE(17199), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19892), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [665567] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19894), 1,
      anon_sym_with,
    STATE(14744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665590] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19896), 1,
      anon_sym_with,
    STATE(14745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665613] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19898), 1,
      sym__lowercase_identifier,
    STATE(9530), 1,
      sym_class_type_path,
    STATE(14746), 1,
      sym_attribute,
    STATE(17195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665636] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18332), 1,
      sym__lowercase_identifier,
    STATE(8959), 1,
      sym_class_path,
    STATE(14747), 1,
      sym_attribute,
    STATE(17528), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665659] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19898), 1,
      sym__lowercase_identifier,
    STATE(9567), 1,
      sym_class_type_path,
    STATE(14748), 1,
      sym_attribute,
    STATE(17195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665682] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19900), 1,
      anon_sym_DOT,
    STATE(14660), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14749), 1,
      sym_attribute,
    STATE(16444), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665705] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19898), 1,
      sym__lowercase_identifier,
    STATE(9594), 1,
      sym_class_type_path,
    STATE(14750), 1,
      sym_attribute,
    STATE(17195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665728] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19792), 1,
      sym__lowercase_identifier,
    STATE(10027), 1,
      sym_class_type_path,
    STATE(14751), 1,
      sym_attribute,
    STATE(17252), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665751] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19902), 1,
      sym__lowercase_identifier,
    STATE(14752), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(19998), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665774] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19339), 1,
      sym__lowercase_identifier,
    STATE(11968), 1,
      sym_class_type_path,
    STATE(14753), 1,
      sym_attribute,
    STATE(16304), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665797] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19904), 1,
      anon_sym_GT,
    STATE(14754), 1,
      sym_attribute,
    STATE(14759), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665820] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19826), 1,
      anon_sym_RBRACK,
    ACTIONS(19906), 1,
      anon_sym_GT,
    STATE(14755), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665843] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19908), 1,
      anon_sym_GT_RBRACE,
    STATE(14756), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665866] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19910), 1,
      anon_sym_with,
    STATE(14757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665889] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19912), 1,
      anon_sym_RBRACK,
    ACTIONS(19914), 1,
      anon_sym_GT,
    STATE(14758), 1,
      sym_attribute,
    STATE(14761), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665912] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19912), 1,
      anon_sym_RBRACK,
    ACTIONS(19914), 1,
      anon_sym_GT,
    STATE(14759), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665935] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19916), 1,
      anon_sym_COLON_GT,
    ACTIONS(19918), 1,
      anon_sym_RPAREN,
    STATE(14760), 1,
      sym_attribute,
    STATE(16865), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665958] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19920), 1,
      anon_sym_RBRACK,
    ACTIONS(19922), 1,
      anon_sym_GT,
    STATE(14761), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665981] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19920), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14762), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666004] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19924), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14763), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666027] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19924), 1,
      anon_sym_RBRACK,
    ACTIONS(19926), 1,
      anon_sym_GT,
    STATE(14764), 1,
      sym_attribute,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666050] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19928), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19931), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(14765), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [666069] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19933), 1,
      anon_sym_GT_RBRACE,
    STATE(14766), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666092] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19935), 1,
      anon_sym_GT_RBRACE,
    STATE(14767), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666115] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19937), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14768), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19939), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18876), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14769), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [666157] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19942), 1,
      anon_sym_GT_RBRACE,
    STATE(14770), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666180] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19944), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14771), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666203] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19946), 1,
      anon_sym_with,
    STATE(14772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666226] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19339), 1,
      sym__lowercase_identifier,
    STATE(11801), 1,
      sym_class_type_path,
    STATE(14773), 1,
      sym_attribute,
    STATE(16304), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666249] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(19948), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666272] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18425), 1,
      sym__lowercase_identifier,
    STATE(6205), 1,
      sym_class_path,
    STATE(14775), 1,
      sym_attribute,
    STATE(18003), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666295] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14776), 1,
      sym_attribute,
    STATE(14784), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666318] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19950), 1,
      sym__lowercase_identifier,
    STATE(9153), 1,
      sym_class_type_path,
    STATE(14777), 1,
      sym_attribute,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666341] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19950), 1,
      sym__lowercase_identifier,
    STATE(9164), 1,
      sym_class_type_path,
    STATE(14778), 1,
      sym_attribute,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666364] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19830), 1,
      sym__lowercase_identifier,
    STATE(12467), 1,
      sym_class_type_path,
    STATE(14779), 1,
      sym_attribute,
    STATE(17234), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666387] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(13731), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666410] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10053), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19952), 1,
      anon_sym_GT,
    STATE(14781), 1,
      sym_attribute,
    STATE(14786), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666433] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19954), 1,
      anon_sym_GT_RBRACE,
    STATE(14782), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666456] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_POUND,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    ACTIONS(19192), 1,
      sym_hash_operator,
    ACTIONS(19956), 1,
      anon_sym_with,
    STATE(14783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666479] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(19958), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666502] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19960), 1,
      anon_sym_RBRACK,
    ACTIONS(19962), 1,
      anon_sym_GT,
    STATE(14785), 1,
      sym_attribute,
    STATE(14796), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666525] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19960), 1,
      anon_sym_RBRACK,
    ACTIONS(19962), 1,
      anon_sym_GT,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666548] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19964), 1,
      anon_sym_COLON_GT,
    ACTIONS(19966), 1,
      anon_sym_RPAREN,
    STATE(14787), 1,
      sym_attribute,
    STATE(16856), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666571] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19968), 1,
      anon_sym_COLON_GT,
    ACTIONS(19970), 1,
      anon_sym_RPAREN,
    STATE(14788), 1,
      sym_attribute,
    STATE(16470), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666594] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(19972), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666617] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19974), 1,
      anon_sym_GT_RBRACE,
    STATE(14790), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666640] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18160), 1,
      sym__lowercase_identifier,
    STATE(4237), 1,
      sym_class_path,
    STATE(14791), 1,
      sym_attribute,
    STATE(20005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666663] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(19976), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666686] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19950), 1,
      sym__lowercase_identifier,
    STATE(9117), 1,
      sym_class_type_path,
    STATE(14793), 1,
      sym_attribute,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666709] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19978), 1,
      anon_sym_GT_RBRACE,
    STATE(14794), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666732] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(19705), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [666753] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19980), 1,
      anon_sym_RBRACK,
    ACTIONS(19982), 1,
      anon_sym_GT,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666776] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19980), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14797), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666799] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17916), 1,
      sym__lowercase_identifier,
    ACTIONS(17918), 1,
      anon_sym_LBRACK,
    ACTIONS(17920), 1,
      anon_sym_virtual,
    STATE(11751), 1,
      sym_class_binding,
    STATE(14798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666822] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19984), 1,
      anon_sym_COLON_GT,
    ACTIONS(19986), 1,
      anon_sym_RPAREN,
    STATE(14799), 1,
      sym_attribute,
    STATE(16480), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666845] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19988), 1,
      anon_sym_rec,
    STATE(11858), 1,
      sym_module_binding,
    STATE(14800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17930), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [666866] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(19990), 1,
      anon_sym_GT_RBRACE,
    STATE(14801), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666889] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    STATE(14802), 1,
      sym_attribute,
    STATE(16414), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19992), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [666910] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(19994), 1,
      anon_sym_COLON_GT,
    ACTIONS(19996), 1,
      anon_sym_RPAREN,
    STATE(14803), 1,
      sym_attribute,
    STATE(16421), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666933] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(19998), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14804), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666956] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20000), 1,
      sym__lowercase_identifier,
    STATE(14805), 1,
      sym_attribute,
    STATE(16312), 1,
      sym_extended_module_path,
    STATE(19780), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666979] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18202), 1,
      sym__lowercase_identifier,
    STATE(3186), 1,
      sym_class_path,
    STATE(14806), 1,
      sym_attribute,
    STATE(18718), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667002] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20002), 1,
      anon_sym_GT_RBRACE,
    STATE(14807), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667025] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(20004), 1,
      anon_sym_COLON_GT,
    ACTIONS(20006), 1,
      anon_sym_RPAREN,
    STATE(14808), 1,
      sym_attribute,
    STATE(17121), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667048] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(20008), 1,
      anon_sym_COLON_GT,
    ACTIONS(20010), 1,
      anon_sym_RPAREN,
    STATE(14809), 1,
      sym_attribute,
    STATE(16364), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667071] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20012), 1,
      anon_sym_GT_RBRACE,
    STATE(14810), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667094] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18928), 1,
      anon_sym_BANG,
    ACTIONS(18930), 1,
      anon_sym__,
    STATE(14104), 1,
      sym_type_variable,
    STATE(14811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667117] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(20014), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14812), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667140] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15843), 1,
      sym__lowercase_identifier,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    STATE(6813), 1,
      sym_parenthesized_operator,
    STATE(14813), 1,
      sym_attribute,
    STATE(16404), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667163] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(19628), 1,
      sym__lowercase_identifier,
    STATE(14814), 1,
      sym_attribute,
    STATE(16326), 1,
      sym_extended_module_path,
    STATE(16362), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667186] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20016), 1,
      anon_sym_GT_RBRACE,
    STATE(14815), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667209] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20018), 1,
      sym__lowercase_identifier,
    STATE(5390), 1,
      sym_type_constructor_path,
    STATE(14816), 1,
      sym_attribute,
    STATE(17087), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667232] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20112), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [667253] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20020), 1,
      anon_sym_RBRACK,
    ACTIONS(20022), 1,
      anon_sym_GT,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667276] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19654), 1,
      sym__lowercase_identifier,
    STATE(12689), 1,
      sym_class_type_path,
    STATE(14819), 1,
      sym_attribute,
    STATE(17147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667299] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18580), 1,
      sym__lowercase_identifier,
    STATE(6439), 1,
      sym_class_path,
    STATE(14820), 1,
      sym_attribute,
    STATE(18044), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667322] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19654), 1,
      sym__lowercase_identifier,
    STATE(12687), 1,
      sym_class_type_path,
    STATE(14821), 1,
      sym_attribute,
    STATE(17147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667345] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(20024), 1,
      anon_sym_COLON_GT,
    ACTIONS(20026), 1,
      anon_sym_RPAREN,
    STATE(14822), 1,
      sym_attribute,
    STATE(16434), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667368] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19654), 1,
      sym__lowercase_identifier,
    STATE(12680), 1,
      sym_class_type_path,
    STATE(14823), 1,
      sym_attribute,
    STATE(17147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667391] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19898), 1,
      sym__lowercase_identifier,
    STATE(9507), 1,
      sym_class_type_path,
    STATE(14824), 1,
      sym_attribute,
    STATE(17195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667414] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20020), 1,
      anon_sym_RBRACK,
    ACTIONS(20022), 1,
      anon_sym_GT,
    STATE(14755), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667437] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14826), 1,
      sym_attribute,
    STATE(14830), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667460] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(14141), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667483] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9979), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20028), 1,
      anon_sym_GT,
    STATE(14828), 1,
      sym_attribute,
    STATE(14838), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667506] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(20030), 1,
      anon_sym_COLON_GT,
    ACTIONS(20032), 1,
      anon_sym_RPAREN,
    STATE(14829), 1,
      sym_attribute,
    STATE(16375), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667529] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(20034), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667552] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(19628), 1,
      sym__lowercase_identifier,
    STATE(14831), 1,
      sym_attribute,
    STATE(16326), 1,
      sym_extended_module_path,
    STATE(16332), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667575] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18562), 1,
      sym__lowercase_identifier,
    STATE(3986), 1,
      sym_class_path,
    STATE(14832), 1,
      sym_attribute,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20124), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [667619] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20036), 1,
      anon_sym_RBRACK,
    ACTIONS(20038), 1,
      anon_sym_GT,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667642] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20036), 1,
      anon_sym_RBRACK,
    ACTIONS(20038), 1,
      anon_sym_GT,
    STATE(14764), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667665] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20040), 1,
      anon_sym_GT_RBRACE,
    STATE(14836), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667688] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20042), 1,
      anon_sym_RBRACK,
    ACTIONS(20044), 1,
      anon_sym_GT,
    STATE(14837), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667711] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20042), 1,
      anon_sym_RBRACK,
    ACTIONS(20044), 1,
      anon_sym_GT,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667734] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667757] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20046), 1,
      anon_sym_GT_RBRACE,
    STATE(14840), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667780] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14774), 1,
      aux_sym_module_binding_repeat1,
    STATE(14841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667803] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(20048), 1,
      anon_sym_COLON_GT,
    ACTIONS(20050), 1,
      anon_sym_RPAREN,
    STATE(14842), 1,
      sym_attribute,
    STATE(16372), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667826] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(12845), 1,
      anon_sym_DASH_GT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14843), 1,
      sym_attribute,
    STATE(14846), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667849] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(20052), 1,
      anon_sym_COLON_GT,
    ACTIONS(20054), 1,
      anon_sym_RPAREN,
    STATE(14844), 1,
      sym_attribute,
    STATE(16388), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667872] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(12845), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667895] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(20056), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667918] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20058), 1,
      anon_sym_RBRACK,
    ACTIONS(20060), 1,
      anon_sym_GT,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667941] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(20058), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14848), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667964] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(19628), 1,
      sym__lowercase_identifier,
    STATE(14849), 1,
      sym_attribute,
    STATE(16322), 1,
      sym_module_type_path,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667987] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_LPAREN,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20132), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [668008] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(12940), 1,
      anon_sym_DASH_GT,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14851), 1,
      sym_attribute,
    STATE(14853), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668031] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(12940), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668054] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    ACTIONS(20062), 1,
      anon_sym_DASH_GT,
    STATE(9254), 1,
      aux_sym_module_binding_repeat1,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668077] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20064), 1,
      anon_sym_GT_RBRACE,
    STATE(14854), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668100] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12144), 1,
      sym__uppercase_identifier,
    ACTIONS(19628), 1,
      sym__lowercase_identifier,
    STATE(14855), 1,
      sym_attribute,
    STATE(16319), 1,
      sym_module_type_path,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668123] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20066), 1,
      anon_sym_GT_RBRACE,
    STATE(14856), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668146] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20068), 1,
      anon_sym_GT_RBRACE,
    STATE(14857), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668169] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    ACTIONS(20070), 1,
      anon_sym_RBRACK,
    STATE(14674), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14858), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668192] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20072), 1,
      anon_sym_rec,
    STATE(12444), 1,
      sym_module_binding,
    STATE(14859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668213] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9760), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20074), 1,
      anon_sym_GT,
    STATE(14834), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668236] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20076), 1,
      anon_sym_GT_RBRACE,
    STATE(14861), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668259] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20078), 1,
      anon_sym_GT_RBRACE,
    STATE(14862), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668282] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20080), 1,
      anon_sym_GT_RBRACE,
    STATE(14863), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668305] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20082), 1,
      anon_sym_rec,
    STATE(12555), 1,
      sym_module_binding,
    STATE(14864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18094), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668326] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19339), 1,
      sym__lowercase_identifier,
    STATE(11939), 1,
      sym_class_type_path,
    STATE(14865), 1,
      sym_attribute,
    STATE(16304), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668349] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18232), 1,
      sym__lowercase_identifier,
    STATE(3635), 1,
      sym_class_path,
    STATE(14866), 1,
      sym_attribute,
    STATE(18742), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668372] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      anon_sym_COLON2,
    ACTIONS(20084), 1,
      anon_sym_COLON_GT,
    ACTIONS(20086), 1,
      anon_sym_RPAREN,
    STATE(14867), 1,
      sym_attribute,
    STATE(16357), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668395] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9953), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20088), 1,
      anon_sym_GT,
    STATE(14818), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668418] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20090), 1,
      anon_sym_rec,
    STATE(11824), 1,
      sym_module_binding,
    STATE(14869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18104), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668439] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20092), 1,
      anon_sym_GT_RBRACE,
    STATE(14870), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20096), 1,
      anon_sym_of,
    STATE(14871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20094), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [668481] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    STATE(14872), 1,
      sym_attribute,
    STATE(16295), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20098), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [668502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    STATE(14873), 1,
      sym_attribute,
    STATE(16293), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20100), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [668523] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19950), 1,
      sym__lowercase_identifier,
    STATE(9098), 1,
      sym_class_type_path,
    STATE(14874), 1,
      sym_attribute,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668546] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19347), 1,
      sym__lowercase_identifier,
    STATE(9000), 1,
      sym_class_type_path,
    STATE(14875), 1,
      sym_attribute,
    STATE(17129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668569] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19347), 1,
      sym__lowercase_identifier,
    STATE(8932), 1,
      sym_class_type_path,
    STATE(14876), 1,
      sym_attribute,
    STATE(17129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668592] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19347), 1,
      sym__lowercase_identifier,
    STATE(8885), 1,
      sym_class_type_path,
    STATE(14877), 1,
      sym_attribute,
    STATE(17129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668615] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(18136), 1,
      sym__lowercase_identifier,
    STATE(9579), 1,
      sym_class_path,
    STATE(14878), 1,
      sym_attribute,
    STATE(18085), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668638] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    ACTIONS(20102), 1,
      anon_sym_GT_RBRACE,
    STATE(14879), 1,
      sym_attribute,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668661] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_PERCENT,
    STATE(14880), 1,
      sym_attribute,
    STATE(16290), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20104), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [668682] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20106), 1,
      aux_sym_quoted_extension_token1,
    STATE(14881), 1,
      sym_attribute,
    STATE(19942), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668702] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14246), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14882), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668722] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18128), 1,
      anon_sym_RBRACE,
    ACTIONS(20108), 1,
      anon_sym_SEMI,
    STATE(14883), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668742] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3591), 1,
      anon_sym_RBRACK,
    ACTIONS(20110), 1,
      anon_sym_SEMI,
    STATE(14884), 1,
      sym_attribute,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668762] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11824), 1,
      sym_module_binding,
    STATE(14885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18104), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(14886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [668798] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20114), 1,
      anon_sym_RPAREN,
    STATE(14887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14888), 1,
      sym_attribute,
    STATE(14904), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [668836] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18130), 1,
      anon_sym_RBRACE,
    ACTIONS(20118), 1,
      anon_sym_SEMI,
    STATE(14889), 1,
      sym_attribute,
    STATE(14899), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3875), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20120), 1,
      anon_sym_SEMI,
    STATE(14890), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12555), 1,
      sym_module_binding,
    STATE(14891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18094), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20122), 1,
      ts_builtin_sym_end,
    STATE(14892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12444), 1,
      sym_module_binding,
    STATE(14893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668932] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20124), 1,
      sym__lowercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    STATE(14894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668952] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11771), 1,
      sym_module_binding,
    STATE(14895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18104), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11677), 1,
      sym_module_binding,
    STATE(14896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18104), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20092), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20128), 1,
      anon_sym_SEMI,
    STATE(14897), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20130), 1,
      anon_sym_RPAREN,
    STATE(14898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18134), 1,
      anon_sym_RBRACE,
    ACTIONS(20132), 1,
      anon_sym_SEMI,
    STATE(14899), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9953), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(14900), 1,
      sym_attribute,
    STATE(14926), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18240), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [669084] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17438), 1,
      anon_sym_SEMI,
    ACTIONS(17440), 1,
      anon_sym_GT,
    STATE(14902), 1,
      sym_attribute,
    STATE(14929), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12570), 1,
      sym_module_binding,
    STATE(14903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18094), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [669122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20134), 1,
      aux_sym_quoted_extension_token1,
    STATE(14904), 1,
      sym_attribute,
    STATE(20140), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669142] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11677), 1,
      sym_module_binding,
    STATE(14905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18094), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [669160] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20136), 1,
      anon_sym_RPAREN,
    STATE(14906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669180] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18154), 1,
      anon_sym_RBRACE,
    ACTIONS(20138), 1,
      anon_sym_SEMI,
    STATE(14907), 1,
      sym_attribute,
    STATE(14918), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12492), 1,
      sym_module_binding,
    STATE(14908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [669218] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11677), 1,
      sym_module_binding,
    STATE(14909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [669236] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(20140), 1,
      sym__lowercase_identifier,
    STATE(14910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669256] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(20142), 1,
      anon_sym_type,
    STATE(14911), 1,
      sym_attribute,
    STATE(15254), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669276] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20144), 1,
      anon_sym_RPAREN,
    STATE(14912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(14913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [669314] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(14914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [669332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18146), 1,
      anon_sym_RBRACE,
    ACTIONS(20146), 1,
      anon_sym_SEMI,
    STATE(14915), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14916), 1,
      sym_attribute,
    STATE(14955), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [669370] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(20148), 1,
      anon_sym_type,
    STATE(14917), 1,
      sym_attribute,
    STATE(15254), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669390] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18176), 1,
      anon_sym_RBRACE,
    ACTIONS(20150), 1,
      anon_sym_SEMI,
    STATE(14918), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(14919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [669428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12483), 1,
      sym_attribute_id,
    STATE(14920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20152), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [669446] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(20154), 1,
      anon_sym_RPAREN,
    STATE(14921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669466] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(20156), 1,
      anon_sym_type,
    STATE(14922), 1,
      sym_attribute,
    STATE(15254), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669486] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20158), 1,
      anon_sym_RPAREN,
    STATE(14923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669506] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(20160), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669526] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20020), 1,
      anon_sym_RBRACK,
    STATE(14925), 1,
      sym_attribute,
    STATE(15045), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669546] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20020), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669566] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14701), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14927), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669586] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20162), 1,
      anon_sym_SEMI,
    ACTIONS(20164), 1,
      anon_sym_RBRACE,
    STATE(14928), 1,
      sym_attribute,
    STATE(14949), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669606] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11262), 1,
      anon_sym_GT,
    ACTIONS(20166), 1,
      anon_sym_SEMI,
    STATE(14929), 1,
      sym_attribute,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669626] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(20168), 1,
      anon_sym_type,
    STATE(14930), 1,
      sym_attribute,
    STATE(15254), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669646] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(20170), 1,
      sym__lowercase_identifier,
    STATE(14931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669666] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(11508), 1,
      anon_sym_DOT,
    ACTIONS(20172), 1,
      anon_sym_RPAREN,
    STATE(14932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669686] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14792), 1,
      aux_sym_module_binding_repeat1,
    STATE(14933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669706] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3871), 1,
      anon_sym_RBRACK,
    ACTIONS(20174), 1,
      anon_sym_SEMI,
    STATE(14934), 1,
      sym_attribute,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669726] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14789), 1,
      aux_sym_module_binding_repeat1,
    STATE(14935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669746] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20176), 1,
      anon_sym_SEMI,
    ACTIONS(20178), 1,
      anon_sym_GT_RBRACE,
    STATE(14936), 1,
      sym_attribute,
    STATE(14960), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669766] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20180), 1,
      anon_sym_SEMI,
    ACTIONS(20182), 1,
      anon_sym_RBRACE,
    STATE(14937), 1,
      sym_attribute,
    STATE(14961), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669786] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(17526), 1,
      anon_sym_RBRACK,
    STATE(14938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669806] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20184), 1,
      anon_sym_SEMI,
    ACTIONS(20186), 1,
      anon_sym_GT_RBRACE,
    STATE(14897), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(14939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669826] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3669), 1,
      anon_sym_RBRACK,
    ACTIONS(20188), 1,
      anon_sym_SEMI,
    STATE(14940), 1,
      sym_attribute,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669846] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20190), 1,
      anon_sym_SEMI,
    ACTIONS(20192), 1,
      anon_sym_RBRACE,
    STATE(14941), 1,
      sym_attribute,
    STATE(15101), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11858), 1,
      sym_module_binding,
    STATE(14942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17930), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [669884] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14713), 1,
      aux_sym_module_binding_repeat1,
    STATE(14943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669904] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20194), 1,
      anon_sym_SEMI,
    ACTIONS(20196), 1,
      anon_sym_GT_RBRACE,
    STATE(14944), 1,
      sym_attribute,
    STATE(15049), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669924] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20198), 1,
      sym__lowercase_identifier,
    ACTIONS(20200), 1,
      anon_sym_LPAREN,
    STATE(10121), 1,
      sym__simple_value_pattern,
    STATE(14945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669944] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18150), 1,
      anon_sym_RBRACE,
    ACTIONS(20202), 1,
      anon_sym_SEMI,
    STATE(14915), 1,
      aux_sym_record_expression_repeat1,
    STATE(14946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669964] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3625), 1,
      anon_sym_RBRACK,
    ACTIONS(20204), 1,
      anon_sym_SEMI,
    STATE(14947), 1,
      sym_attribute,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669984] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9760), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(14948), 1,
      sym_attribute,
    STATE(15078), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670004] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18158), 1,
      anon_sym_RBRACE,
    ACTIONS(20206), 1,
      anon_sym_SEMI,
    STATE(14949), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670024] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20208), 1,
      anon_sym_RPAREN,
    STATE(14950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20210), 1,
      anon_sym_SEMI,
    ACTIONS(20212), 1,
      anon_sym_RBRACE,
    STATE(14883), 1,
      aux_sym_record_expression_repeat1,
    STATE(14951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670064] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      anon_sym_SEMI,
    ACTIONS(20216), 1,
      anon_sym_GT_RBRACE,
    STATE(14952), 1,
      sym_attribute,
    STATE(15129), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      anon_sym_EQ,
    STATE(14953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20220), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [670102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3623), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20222), 1,
      anon_sym_SEMI,
    STATE(14954), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20224), 1,
      aux_sym_quoted_extension_token1,
    STATE(14955), 1,
      sym_attribute,
    STATE(19679), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3805), 1,
      anon_sym_RBRACK,
    ACTIONS(20226), 1,
      anon_sym_SEMI,
    STATE(14956), 1,
      sym_attribute,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670162] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20070), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670182] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14353), 1,
      aux_sym_module_binding_repeat1,
    STATE(14958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670202] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3661), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20228), 1,
      anon_sym_SEMI,
    STATE(14959), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670222] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20068), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20230), 1,
      anon_sym_SEMI,
    STATE(14960), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670242] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18286), 1,
      anon_sym_RBRACE,
    ACTIONS(20232), 1,
      anon_sym_SEMI,
    STATE(14961), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14962), 1,
      sym_attribute,
    STATE(15404), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20066), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20234), 1,
      anon_sym_SEMI,
    STATE(14963), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14964), 1,
      sym_attribute,
    STATE(15410), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14965), 1,
      sym_attribute,
    STATE(15414), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670336] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20236), 1,
      anon_sym_RPAREN,
    STATE(14966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14967), 1,
      sym_attribute,
    STATE(15416), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670374] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18162), 1,
      anon_sym_RBRACE,
    ACTIONS(20238), 1,
      anon_sym_SEMI,
    STATE(14968), 1,
      sym_attribute,
    STATE(14985), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670394] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14969), 1,
      sym_attribute,
    STATE(15418), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14970), 1,
      sym_attribute,
    STATE(15420), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14971), 1,
      sym_attribute,
    STATE(15422), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14972), 1,
      sym_attribute,
    STATE(15424), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670466] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20240), 1,
      anon_sym_SEMI,
    STATE(14973), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14974), 1,
      sym_attribute,
    STATE(15426), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670504] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17292), 1,
      anon_sym_SEMI,
    ACTIONS(17294), 1,
      anon_sym_GT,
    STATE(14975), 1,
      sym_attribute,
    STATE(15086), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14976), 1,
      sym_attribute,
    STATE(15428), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14977), 1,
      sym_attribute,
    STATE(15430), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14978), 1,
      sym_attribute,
    STATE(15432), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670578] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(20242), 1,
      sym__lowercase_identifier,
    STATE(14979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670598] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14980), 1,
      sym_attribute,
    STATE(15434), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14981), 1,
      sym_attribute,
    STATE(15436), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14982), 1,
      sym_attribute,
    STATE(15438), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670652] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20244), 1,
      anon_sym_RPAREN,
    STATE(14983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14984), 1,
      sym_attribute,
    STATE(15440), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670690] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18166), 1,
      anon_sym_RBRACE,
    ACTIONS(20246), 1,
      anon_sym_SEMI,
    STATE(14985), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670710] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18170), 1,
      anon_sym_RBRACE,
    ACTIONS(20248), 1,
      anon_sym_SEMI,
    STATE(14986), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670730] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18168), 1,
      anon_sym_RBRACE,
    ACTIONS(20250), 1,
      anon_sym_SEMI,
    STATE(14987), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670750] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14988), 1,
      sym_attribute,
    STATE(15444), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14989), 1,
      sym_attribute,
    STATE(15446), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14990), 1,
      sym_attribute,
    STATE(15448), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670804] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14991), 1,
      sym_attribute,
    STATE(15450), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14992), 1,
      sym_attribute,
    STATE(15452), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670840] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20252), 1,
      anon_sym_SEMI,
    ACTIONS(20254), 1,
      anon_sym_GT_RBRACE,
    STATE(14963), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(14993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14994), 1,
      sym_attribute,
    STATE(15454), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14995), 1,
      sym_attribute,
    STATE(15456), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670896] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20256), 1,
      anon_sym_RPAREN,
    STATE(14996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670916] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14997), 1,
      sym_attribute,
    STATE(15459), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670934] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20258), 1,
      anon_sym_LPAREN,
    ACTIONS(20260), 1,
      anon_sym_LBRACK,
    ACTIONS(20262), 1,
      anon_sym_LBRACE,
    STATE(14998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14999), 1,
      sym_attribute,
    STATE(15462), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [670972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20264), 1,
      anon_sym_LPAREN,
    ACTIONS(20266), 1,
      anon_sym_LBRACK,
    ACTIONS(20268), 1,
      anon_sym_LBRACE,
    STATE(15000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670992] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15001), 1,
      sym_attribute,
    STATE(15464), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671010] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20270), 1,
      anon_sym_LPAREN,
    ACTIONS(20272), 1,
      anon_sym_LBRACK,
    ACTIONS(20274), 1,
      anon_sym_LBRACE,
    STATE(15002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20058), 1,
      anon_sym_RBRACK,
    STATE(14957), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671050] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15004), 1,
      sym_attribute,
    STATE(15466), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671068] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(20276), 1,
      anon_sym_RPAREN,
    STATE(15005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20058), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671108] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(20278), 1,
      anon_sym_RPAREN,
    STATE(15007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671128] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20280), 1,
      anon_sym_LPAREN,
    ACTIONS(20282), 1,
      anon_sym_LBRACK,
    ACTIONS(20284), 1,
      anon_sym_LBRACE,
    STATE(15008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15009), 1,
      sym_attribute,
    STATE(15469), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671166] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20286), 1,
      anon_sym_LPAREN,
    ACTIONS(20288), 1,
      anon_sym_LBRACK,
    ACTIONS(20290), 1,
      anon_sym_LBRACE,
    STATE(15010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15011), 1,
      sym_attribute,
    STATE(15472), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671204] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20292), 1,
      anon_sym_LPAREN,
    ACTIONS(20294), 1,
      anon_sym_LBRACK,
    ACTIONS(20296), 1,
      anon_sym_LBRACE,
    STATE(15012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15013), 1,
      sym_attribute,
    STATE(15474), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671242] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20298), 1,
      anon_sym_LPAREN,
    ACTIONS(20300), 1,
      anon_sym_LBRACK,
    ACTIONS(20302), 1,
      anon_sym_LBRACE,
    STATE(15014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15015), 1,
      sym_attribute,
    STATE(15476), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20304), 1,
      anon_sym_LPAREN,
    ACTIONS(20306), 1,
      anon_sym_LBRACK,
    ACTIONS(20308), 1,
      anon_sym_LBRACE,
    STATE(15016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15017), 1,
      sym_attribute,
    STATE(15478), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671318] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20310), 1,
      anon_sym_LPAREN,
    ACTIONS(20312), 1,
      anon_sym_LBRACK,
    ACTIONS(20314), 1,
      anon_sym_LBRACE,
    STATE(15018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15019), 1,
      sym_attribute,
    STATE(15480), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671356] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20316), 1,
      anon_sym_LPAREN,
    ACTIONS(20318), 1,
      anon_sym_LBRACK,
    ACTIONS(20320), 1,
      anon_sym_LBRACE,
    STATE(15020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15021), 1,
      sym_attribute,
    STATE(15482), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671394] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20322), 1,
      anon_sym_SEMI,
    ACTIONS(20324), 1,
      anon_sym_RBRACE,
    STATE(15022), 1,
      sym_attribute,
    STATE(15043), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671414] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20326), 1,
      anon_sym_LPAREN,
    ACTIONS(20328), 1,
      anon_sym_LBRACK,
    ACTIONS(20330), 1,
      anon_sym_LBRACE,
    STATE(15023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671434] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15024), 1,
      sym_attribute,
    STATE(15486), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671452] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(20332), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671472] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_LPAREN,
    ACTIONS(20336), 1,
      anon_sym_LBRACK,
    ACTIONS(20338), 1,
      anon_sym_LBRACE,
    STATE(15026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15027), 1,
      sym_attribute,
    STATE(15490), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671510] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20340), 1,
      anon_sym_LPAREN,
    ACTIONS(20342), 1,
      anon_sym_LBRACK,
    ACTIONS(20344), 1,
      anon_sym_LBRACE,
    STATE(15028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(15029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20346), 1,
      anon_sym_SEMI,
    ACTIONS(20348), 1,
      anon_sym_GT_RBRACE,
    STATE(15030), 1,
      sym_attribute,
    STATE(15054), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15031), 1,
      sym_attribute,
    STATE(15494), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671586] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20350), 1,
      anon_sym_LPAREN,
    ACTIONS(20352), 1,
      anon_sym_LBRACK,
    ACTIONS(20354), 1,
      anon_sym_LBRACE,
    STATE(15032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671606] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(20356), 1,
      anon_sym_RPAREN,
    STATE(15033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671626] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20358), 1,
      anon_sym_SEMI,
    ACTIONS(20360), 1,
      anon_sym_RBRACE,
    STATE(14986), 1,
      aux_sym_record_expression_repeat1,
    STATE(15034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12232), 1,
      anon_sym_RPAREN,
    STATE(15035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20362), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [671664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15036), 1,
      sym_attribute,
    STATE(15497), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671682] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20364), 1,
      anon_sym_LPAREN,
    ACTIONS(20366), 1,
      anon_sym_LBRACK,
    ACTIONS(20368), 1,
      anon_sym_LBRACE,
    STATE(15037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671702] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3801), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20370), 1,
      anon_sym_SEMI,
    STATE(15038), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671722] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20372), 1,
      anon_sym_LPAREN,
    ACTIONS(20374), 1,
      anon_sym_LBRACK,
    ACTIONS(20376), 1,
      anon_sym_LBRACE,
    STATE(15039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671742] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(20378), 1,
      anon_sym_RPAREN,
    STATE(15040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671762] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3583), 1,
      anon_sym_RBRACK,
    ACTIONS(20380), 1,
      anon_sym_SEMI,
    STATE(15041), 1,
      sym_attribute,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15042), 1,
      sym_attribute,
    STATE(15504), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671800] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18184), 1,
      anon_sym_RBRACE,
    ACTIONS(20382), 1,
      anon_sym_SEMI,
    STATE(15043), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671820] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20384), 1,
      anon_sym_LPAREN,
    ACTIONS(20386), 1,
      anon_sym_LBRACK,
    ACTIONS(20388), 1,
      anon_sym_LBRACE,
    STATE(15044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671840] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19826), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671860] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20390), 1,
      anon_sym_LPAREN,
    ACTIONS(20392), 1,
      anon_sym_LBRACK,
    ACTIONS(20394), 1,
      anon_sym_LBRACE,
    STATE(15046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671880] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19826), 1,
      anon_sym_RBRACK,
    STATE(15047), 1,
      sym_attribute,
    STATE(15146), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671900] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3581), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20396), 1,
      anon_sym_SEMI,
    STATE(15048), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671920] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19908), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20398), 1,
      anon_sym_SEMI,
    STATE(15049), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671940] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14675), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15050), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671960] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15051), 1,
      sym_attribute,
    STATE(15515), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20400), 1,
      anon_sym_LPAREN,
    ACTIONS(20402), 1,
      anon_sym_LBRACK,
    ACTIONS(20404), 1,
      anon_sym_LBRACE,
    STATE(15052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20406), 1,
      anon_sym_LPAREN,
    ACTIONS(20408), 1,
      anon_sym_LBRACK,
    ACTIONS(20410), 1,
      anon_sym_LBRACE,
    STATE(15053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20046), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20412), 1,
      anon_sym_SEMI,
    STATE(15054), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17862), 1,
      anon_sym_GT,
    ACTIONS(20414), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15055), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [672056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14881), 1,
      sym_attribute_id,
    STATE(15056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672074] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20417), 1,
      anon_sym_LPAREN,
    ACTIONS(20419), 1,
      anon_sym_LBRACK,
    ACTIONS(20421), 1,
      anon_sym_LBRACE,
    STATE(15057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20423), 1,
      anon_sym_LPAREN,
    ACTIONS(20425), 1,
      anon_sym_LBRACK,
    ACTIONS(20427), 1,
      anon_sym_LBRACE,
    STATE(15058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20429), 1,
      anon_sym_RPAREN,
    STATE(15059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672134] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20431), 1,
      anon_sym_RPAREN,
    STATE(15060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672154] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11570), 1,
      anon_sym_GT,
    ACTIONS(20433), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18186), 1,
      anon_sym_RBRACE,
    ACTIONS(20435), 1,
      anon_sym_SEMI,
    STATE(15062), 1,
      sym_attribute,
    STATE(15079), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20437), 1,
      anon_sym_RPAREN,
    STATE(15063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20439), 1,
      anon_sym_SEMI,
    ACTIONS(20441), 1,
      anon_sym_GT_RBRACE,
    STATE(15064), 1,
      sym_attribute,
    STATE(16221), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15065), 1,
      sym_attribute,
    STATE(15535), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672252] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20443), 1,
      anon_sym_LPAREN,
    ACTIONS(20445), 1,
      anon_sym_LBRACK,
    ACTIONS(20447), 1,
      anon_sym_LBRACE,
    STATE(15066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20042), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20042), 1,
      anon_sym_RBRACK,
    STATE(15006), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672312] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20036), 1,
      anon_sym_RBRACK,
    STATE(15069), 1,
      sym_attribute,
    STATE(15398), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20449), 1,
      anon_sym_SEMI,
    ACTIONS(20451), 1,
      anon_sym_RBRACE,
    STATE(15070), 1,
      sym_attribute,
    STATE(15161), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20453), 1,
      anon_sym_LPAREN,
    ACTIONS(20455), 1,
      anon_sym_LBRACK,
    ACTIONS(20457), 1,
      anon_sym_LBRACE,
    STATE(15071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672372] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18328), 1,
      anon_sym_RBRACE,
    ACTIONS(20459), 1,
      anon_sym_SEMI,
    STATE(15072), 1,
      sym_attribute,
    STATE(15100), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(20461), 1,
      sym__lowercase_identifier,
    STATE(15073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20463), 1,
      anon_sym_SEMI,
    ACTIONS(20465), 1,
      anon_sym_RBRACE,
    STATE(15074), 1,
      sym_attribute,
    STATE(15174), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672432] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15075), 1,
      sym_attribute,
    STATE(15543), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672450] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20467), 1,
      anon_sym_LPAREN,
    ACTIONS(20469), 1,
      anon_sym_LBRACK,
    ACTIONS(20471), 1,
      anon_sym_LBRACE,
    STATE(15076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672470] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20473), 1,
      anon_sym_RPAREN,
    STATE(15077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672490] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(20036), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672510] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18190), 1,
      anon_sym_RBRACE,
    ACTIONS(20475), 1,
      anon_sym_SEMI,
    STATE(15079), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672530] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(20477), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672550] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(20479), 1,
      anon_sym_RPAREN,
    STATE(15081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672570] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20481), 1,
      anon_sym_LPAREN,
    ACTIONS(20483), 1,
      anon_sym_LBRACK,
    ACTIONS(20485), 1,
      anon_sym_LBRACE,
    STATE(15082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672590] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20487), 1,
      anon_sym_LPAREN,
    ACTIONS(20489), 1,
      anon_sym_LBRACK,
    ACTIONS(20491), 1,
      anon_sym_LBRACE,
    STATE(15083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19931), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [672626] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15085), 1,
      sym_attribute,
    STATE(15555), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672644] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11318), 1,
      anon_sym_GT,
    ACTIONS(20493), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672664] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20495), 1,
      anon_sym_LPAREN,
    ACTIONS(20497), 1,
      anon_sym_LBRACK,
    ACTIONS(20499), 1,
      anon_sym_LBRACE,
    STATE(15087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20501), 1,
      anon_sym_RPAREN,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    STATE(15088), 1,
      sym_attribute,
    STATE(15187), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672704] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20505), 1,
      anon_sym_LPAREN,
    ACTIONS(20507), 1,
      anon_sym_LBRACK,
    ACTIONS(20509), 1,
      anon_sym_LBRACE,
    STATE(15089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672724] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20511), 1,
      anon_sym_SEMI,
    ACTIONS(20513), 1,
      anon_sym_RBRACE,
    STATE(14987), 1,
      aux_sym_record_expression_repeat1,
    STATE(15090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672744] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20515), 1,
      anon_sym__,
    STATE(14073), 1,
      sym_type_variable,
    STATE(15091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672764] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(20517), 1,
      sym__lowercase_identifier,
    STATE(15092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672784] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17392), 1,
      anon_sym_SEMI,
    ACTIONS(17394), 1,
      anon_sym_GT,
    STATE(15061), 1,
      aux_sym_object_type_repeat1,
    STATE(15093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672804] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3913), 1,
      anon_sym_RBRACK,
    ACTIONS(20519), 1,
      anon_sym_SEMI,
    STATE(15094), 1,
      sym_attribute,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15095), 1,
      sym_attribute,
    STATE(15560), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672842] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9979), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15067), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672862] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20521), 1,
      anon_sym_LPAREN,
    ACTIONS(20523), 1,
      anon_sym_LBRACK,
    ACTIONS(20525), 1,
      anon_sym_LBRACE,
    STATE(15097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672882] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20527), 1,
      anon_sym_LPAREN,
    ACTIONS(20529), 1,
      anon_sym_LBRACK,
    ACTIONS(20531), 1,
      anon_sym_LBRACE,
    STATE(15098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672902] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20533), 1,
      anon_sym_RPAREN,
    STATE(15099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672922] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18348), 1,
      anon_sym_RBRACE,
    ACTIONS(20535), 1,
      anon_sym_SEMI,
    STATE(15100), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672942] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18346), 1,
      anon_sym_RBRACE,
    ACTIONS(20537), 1,
      anon_sym_SEMI,
    STATE(15101), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20539), 1,
      anon_sym_EQ,
    STATE(15102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20541), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [672980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15103), 1,
      sym_attribute,
    STATE(15568), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20543), 1,
      anon_sym_LPAREN,
    ACTIONS(20545), 1,
      anon_sym_LBRACK,
    ACTIONS(20547), 1,
      anon_sym_LBRACE,
    STATE(15104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20549), 1,
      anon_sym_LPAREN,
    ACTIONS(20551), 1,
      anon_sym_LBRACK,
    ACTIONS(20553), 1,
      anon_sym_LBRACE,
    STATE(15105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11677), 1,
      sym_module_binding,
    STATE(15106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17930), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [673056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11924), 1,
      sym_module_binding,
    STATE(15107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17930), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [673074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15108), 1,
      sym_attribute,
    STATE(15577), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673092] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20555), 1,
      anon_sym_LPAREN,
    ACTIONS(20557), 1,
      anon_sym_LBRACK,
    ACTIONS(20559), 1,
      anon_sym_LBRACE,
    STATE(15109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673112] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20561), 1,
      anon_sym_LPAREN,
    ACTIONS(20563), 1,
      anon_sym_LBRACK,
    ACTIONS(20565), 1,
      anon_sym_LBRACE,
    STATE(15110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673132] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(20567), 1,
      anon_sym_RBRACK,
    STATE(15111), 1,
      sym_attribute,
    STATE(15217), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673152] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20569), 1,
      anon_sym_EQ,
    STATE(15112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15113), 1,
      sym_attribute,
    STATE(15586), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673190] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20571), 1,
      anon_sym_LPAREN,
    ACTIONS(20573), 1,
      anon_sym_LBRACK,
    ACTIONS(20575), 1,
      anon_sym_LBRACE,
    STATE(15114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673210] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20577), 1,
      anon_sym_LPAREN,
    ACTIONS(20579), 1,
      anon_sym_LBRACK,
    ACTIONS(20581), 1,
      anon_sym_LBRACE,
    STATE(15115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20583), 1,
      anon_sym_SEMI,
    ACTIONS(20585), 1,
      anon_sym_RBRACE,
    STATE(15116), 1,
      sym_attribute,
    STATE(15137), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20587), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [673266] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15118), 1,
      sym_attribute,
    STATE(15595), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673284] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20589), 1,
      anon_sym_LPAREN,
    ACTIONS(20591), 1,
      anon_sym_LBRACK,
    ACTIONS(20593), 1,
      anon_sym_LBRACE,
    STATE(15119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673304] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19998), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20595), 1,
      anon_sym_LPAREN,
    ACTIONS(20597), 1,
      anon_sym_LBRACK,
    ACTIONS(20599), 1,
      anon_sym_LBRACE,
    STATE(15121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673344] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3877), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20601), 1,
      anon_sym_SEMI,
    STATE(15122), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20603), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [673380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20605), 1,
      anon_sym_SEMI,
    ACTIONS(20607), 1,
      anon_sym_GT_RBRACE,
    STATE(15124), 1,
      sym_attribute,
    STATE(15148), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18372), 1,
      anon_sym_RBRACE,
    ACTIONS(20609), 1,
      anon_sym_SEMI,
    STATE(15125), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15126), 1,
      sym_attribute,
    STATE(15605), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673438] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20611), 1,
      anon_sym_LPAREN,
    ACTIONS(20613), 1,
      anon_sym_LBRACK,
    ACTIONS(20615), 1,
      anon_sym_LBRACE,
    STATE(15127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673458] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20617), 1,
      anon_sym_LPAREN,
    ACTIONS(20619), 1,
      anon_sym_LBRACK,
    ACTIONS(20621), 1,
      anon_sym_LBRACE,
    STATE(15128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673478] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19802), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20623), 1,
      anon_sym_SEMI,
    STATE(15129), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673498] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20625), 1,
      anon_sym_RPAREN,
    STATE(15130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15131), 1,
      sym_attribute,
    STATE(15616), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20627), 1,
      anon_sym_LPAREN,
    ACTIONS(20629), 1,
      anon_sym_LBRACK,
    ACTIONS(20631), 1,
      anon_sym_LBRACE,
    STATE(15132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673556] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20633), 1,
      anon_sym_LPAREN,
    ACTIONS(20635), 1,
      anon_sym_LBRACK,
    ACTIONS(20637), 1,
      anon_sym_LBRACE,
    STATE(15133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20641), 1,
      anon_sym_LBRACK,
    STATE(15134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20639), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [673594] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3545), 1,
      anon_sym_RBRACK,
    ACTIONS(20643), 1,
      anon_sym_SEMI,
    STATE(15135), 1,
      sym_attribute,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673614] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20645), 1,
      anon_sym_LPAREN,
    ACTIONS(20647), 1,
      anon_sym_LBRACK,
    ACTIONS(20649), 1,
      anon_sym_LBRACE,
    STATE(15136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673634] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18210), 1,
      anon_sym_RBRACE,
    ACTIONS(20651), 1,
      anon_sym_SEMI,
    STATE(15137), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15138), 1,
      sym_attribute,
    STATE(15624), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673672] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20653), 1,
      anon_sym_LPAREN,
    ACTIONS(20655), 1,
      anon_sym_LBRACK,
    ACTIONS(20657), 1,
      anon_sym_LBRACE,
    STATE(15139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20659), 1,
      anon_sym_LPAREN,
    ACTIONS(20661), 1,
      anon_sym_LBRACK,
    ACTIONS(20663), 1,
      anon_sym_LBRACE,
    STATE(15140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673712] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18212), 1,
      anon_sym_RBRACE,
    ACTIONS(20665), 1,
      anon_sym_SEMI,
    STATE(15141), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673732] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3543), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20667), 1,
      anon_sym_SEMI,
    STATE(15142), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673752] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(20669), 1,
      anon_sym_type,
    STATE(15143), 1,
      sym_attribute,
    STATE(15254), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673772] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(20671), 1,
      sym__lowercase_identifier,
    STATE(15144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673792] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20673), 1,
      anon_sym_RPAREN,
    STATE(15145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673812] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19786), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15147), 1,
      sym_attribute,
    STATE(15630), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673850] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20016), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20675), 1,
      anon_sym_SEMI,
    STATE(15148), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20677), 1,
      anon_sym_LPAREN,
    ACTIONS(20679), 1,
      anon_sym_LBRACK,
    ACTIONS(20681), 1,
      anon_sym_LBRACE,
    STATE(15149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20683), 1,
      anon_sym_LPAREN,
    ACTIONS(20685), 1,
      anon_sym_LBRACK,
    ACTIONS(20687), 1,
      anon_sym_LBRACE,
    STATE(15150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14584), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15151), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20689), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__lowercase_identifier,
  [673946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15153), 1,
      sym_attribute,
    STATE(15632), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673964] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20691), 1,
      anon_sym_RPAREN,
    STATE(15154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673984] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20693), 1,
      anon_sym_LPAREN,
    ACTIONS(20695), 1,
      anon_sym_LBRACK,
    ACTIONS(20697), 1,
      anon_sym_LBRACE,
    STATE(15155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674004] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18222), 1,
      anon_sym_RBRACE,
    ACTIONS(20699), 1,
      anon_sym_SEMI,
    STATE(15156), 1,
      sym_attribute,
    STATE(15173), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674024] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20701), 1,
      anon_sym_LPAREN,
    ACTIONS(20703), 1,
      anon_sym_LBRACK,
    ACTIONS(20705), 1,
      anon_sym_LBRACE,
    STATE(15157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(20707), 1,
      sym__lowercase_identifier,
    STATE(15158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674064] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(20709), 1,
      anon_sym_RPAREN,
    STATE(15159), 1,
      sym_attribute,
    STATE(19426), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674084] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8548), 1,
      anon_sym_RBRACK,
    ACTIONS(20711), 1,
      anon_sym_SEMI,
    STATE(15160), 1,
      sym_attribute,
    STATE(15269), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674104] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17906), 1,
      anon_sym_RBRACE,
    ACTIONS(20713), 1,
      anon_sym_SEMI,
    STATE(15161), 1,
      sym_attribute,
    STATE(15271), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674124] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15162), 1,
      sym_attribute,
    STATE(15638), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20715), 1,
      anon_sym_LPAREN,
    ACTIONS(20717), 1,
      anon_sym_LBRACK,
    ACTIONS(20719), 1,
      anon_sym_LBRACE,
    STATE(15163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674162] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20721), 1,
      anon_sym_LPAREN,
    ACTIONS(20723), 1,
      anon_sym_LBRACK,
    ACTIONS(20725), 1,
      anon_sym_LBRACE,
    STATE(15164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20727), 1,
      anon_sym_EQ,
    STATE(15165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20729), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [674200] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8554), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20731), 1,
      anon_sym_SEMI,
    STATE(15166), 1,
      sym_attribute,
    STATE(15548), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674220] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(20733), 1,
      sym__lowercase_identifier,
    STATE(15167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674240] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15168), 1,
      sym_attribute,
    STATE(15651), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674258] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20735), 1,
      anon_sym_LPAREN,
    ACTIONS(20737), 1,
      anon_sym_LBRACK,
    ACTIONS(20739), 1,
      anon_sym_LBRACE,
    STATE(15169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674278] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20741), 1,
      anon_sym_LPAREN,
    ACTIONS(20743), 1,
      anon_sym_LBRACK,
    ACTIONS(20745), 1,
      anon_sym_LBRACE,
    STATE(15170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674298] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20747), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674318] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8044), 1,
      anon_sym_RBRACK,
    ACTIONS(20749), 1,
      anon_sym_SEMI,
    STATE(15172), 1,
      sym_attribute,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674338] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_RBRACE,
    ACTIONS(20751), 1,
      anon_sym_SEMI,
    STATE(15173), 1,
      sym_attribute,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674358] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17886), 1,
      anon_sym_RBRACE,
    ACTIONS(20753), 1,
      anon_sym_SEMI,
    STATE(15174), 1,
      sym_attribute,
    STATE(15279), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674378] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20755), 1,
      anon_sym_EQ,
    STATE(15175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20757), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [674396] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20759), 1,
      anon_sym_EQ,
    STATE(15176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674416] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15177), 1,
      sym_attribute,
    STATE(15665), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674434] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20761), 1,
      anon_sym_LPAREN,
    ACTIONS(20763), 1,
      anon_sym_LBRACK,
    ACTIONS(20765), 1,
      anon_sym_LBRACE,
    STATE(15178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674454] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20767), 1,
      anon_sym_LPAREN,
    ACTIONS(20769), 1,
      anon_sym_LBRACK,
    ACTIONS(20771), 1,
      anon_sym_LBRACE,
    STATE(15179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674474] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20773), 1,
      anon_sym_RPAREN,
    STATE(15180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674494] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18226), 1,
      anon_sym_RBRACE,
    ACTIONS(20775), 1,
      anon_sym_SEMI,
    STATE(15141), 1,
      aux_sym_record_expression_repeat1,
    STATE(15181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674514] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20777), 1,
      anon_sym_RPAREN,
    STATE(15182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674534] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12266), 1,
      anon_sym_DQUOTE,
    STATE(10032), 1,
      aux_sym_external_repeat1,
    STATE(11293), 1,
      sym_string,
    STATE(15183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15184), 1,
      sym_attribute,
    STATE(15680), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674572] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20779), 1,
      anon_sym_LPAREN,
    ACTIONS(20781), 1,
      anon_sym_LBRACK,
    ACTIONS(20783), 1,
      anon_sym_LBRACE,
    STATE(15185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674592] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20785), 1,
      anon_sym_LPAREN,
    ACTIONS(20787), 1,
      anon_sym_LBRACK,
    ACTIONS(20789), 1,
      anon_sym_LBRACE,
    STATE(15186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674612] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(20791), 1,
      anon_sym_RPAREN,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(15187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674632] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20793), 1,
      anon_sym_SEMI,
    ACTIONS(20795), 1,
      anon_sym_RBRACE,
    STATE(15188), 1,
      sym_attribute,
    STATE(15238), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674652] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20797), 1,
      anon_sym_SEMI,
    ACTIONS(20799), 1,
      anon_sym_GT_RBRACE,
    STATE(15189), 1,
      sym_attribute,
    STATE(15191), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674672] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18413), 1,
      anon_sym_RBRACE,
    ACTIONS(20801), 1,
      anon_sym_SEMI,
    STATE(15125), 1,
      aux_sym_record_expression_repeat1,
    STATE(15190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19990), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20803), 1,
      anon_sym_SEMI,
    STATE(15191), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674712] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20805), 1,
      anon_sym_SEMI,
    ACTIONS(20807), 1,
      anon_sym_RBRACE,
    STATE(15192), 1,
      sym_attribute,
    STATE(15684), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674732] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    ACTIONS(19062), 1,
      anon_sym_mutable,
    STATE(15193), 1,
      sym_attribute,
    STATE(15289), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674752] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20809), 1,
      anon_sym_EQ,
    STATE(15194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15853), 1,
      anon_sym_RBRACK,
    ACTIONS(20811), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15195), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [674790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15196), 1,
      sym_attribute,
    STATE(15701), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20814), 1,
      anon_sym_LPAREN,
    ACTIONS(20816), 1,
      anon_sym_LBRACK,
    ACTIONS(20818), 1,
      anon_sym_LBRACE,
    STATE(15197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20820), 1,
      anon_sym_LPAREN,
    ACTIONS(20822), 1,
      anon_sym_LBRACK,
    ACTIONS(20824), 1,
      anon_sym_LBRACE,
    STATE(15198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18417), 1,
      anon_sym_RBRACE,
    ACTIONS(20826), 1,
      anon_sym_SEMI,
    STATE(15199), 1,
      sym_attribute,
    STATE(15291), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20828), 1,
      anon_sym_RPAREN,
    STATE(15200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20830), 1,
      anon_sym_SEMI,
    ACTIONS(20833), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15201), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [674906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15202), 1,
      sym_attribute,
    STATE(15720), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674924] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20835), 1,
      anon_sym_LPAREN,
    ACTIONS(20837), 1,
      anon_sym_LBRACK,
    ACTIONS(20839), 1,
      anon_sym_LBRACE,
    STATE(15203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674944] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20841), 1,
      anon_sym_LPAREN,
    ACTIONS(20843), 1,
      anon_sym_LBRACK,
    ACTIONS(20845), 1,
      anon_sym_LBRACE,
    STATE(15204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674964] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19708), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20847), 1,
      anon_sym_SEMI,
    STATE(15205), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674984] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3503), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20849), 1,
      anon_sym_SEMI,
    STATE(15206), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675004] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20851), 1,
      anon_sym_SEMI,
    ACTIONS(20853), 1,
      anon_sym_GT_RBRACE,
    STATE(15207), 1,
      sym_attribute,
    STATE(15262), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675024] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8050), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20855), 1,
      anon_sym_SEMI,
    STATE(15208), 1,
      sym_attribute,
    STATE(15549), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(20857), 1,
      anon_sym_RBRACK,
    STATE(15209), 1,
      sym_attribute,
    STATE(15295), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675064] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20859), 1,
      anon_sym_SEMI,
    ACTIONS(20861), 1,
      anon_sym_RBRACE,
    STATE(15210), 1,
      sym_attribute,
    STATE(15231), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15211), 1,
      sym_attribute,
    STATE(15728), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18248), 1,
      anon_sym_RBRACE,
    ACTIONS(20863), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675122] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20865), 1,
      anon_sym_LPAREN,
    ACTIONS(20867), 1,
      anon_sym_LBRACK,
    ACTIONS(20869), 1,
      anon_sym_LBRACE,
    STATE(15213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3501), 1,
      anon_sym_RBRACK,
    ACTIONS(20871), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675162] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20873), 1,
      anon_sym_LPAREN,
    ACTIONS(20875), 1,
      anon_sym_LBRACK,
    ACTIONS(20877), 1,
      anon_sym_LBRACE,
    STATE(15215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675182] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20879), 1,
      anon_sym_RPAREN,
    STATE(15216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675202] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(20881), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(15217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675222] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20883), 1,
      anon_sym_SEMI,
    ACTIONS(20885), 1,
      anon_sym_GT_RBRACE,
    STATE(15218), 1,
      sym_attribute,
    STATE(15241), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675242] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(20881), 1,
      anon_sym_RBRACK,
    STATE(15219), 1,
      sym_attribute,
    STATE(15301), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15220), 1,
      sym_attribute,
    STATE(15755), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20887), 1,
      anon_sym_LPAREN,
    ACTIONS(20889), 1,
      anon_sym_LBRACK,
    ACTIONS(20891), 1,
      anon_sym_LBRACE,
    STATE(15221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20893), 1,
      anon_sym_LPAREN,
    ACTIONS(20895), 1,
      anon_sym_LBRACK,
    ACTIONS(20897), 1,
      anon_sym_LBRACE,
    STATE(15222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675320] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20899), 1,
      anon_sym_RPAREN,
    ACTIONS(20901), 1,
      anon_sym_COLON2,
    STATE(15223), 1,
      sym_attribute,
    STATE(19327), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15224), 1,
      sym_attribute,
    STATE(15772), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675358] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20903), 1,
      anon_sym_LPAREN,
    ACTIONS(20905), 1,
      anon_sym_LBRACK,
    ACTIONS(20907), 1,
      anon_sym_LBRACE,
    STATE(15225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675378] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20909), 1,
      anon_sym_LPAREN,
    ACTIONS(20911), 1,
      anon_sym_LBRACK,
    ACTIONS(20913), 1,
      anon_sym_LBRACE,
    STATE(15226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675398] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3391), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20915), 1,
      anon_sym_SEMI,
    STATE(15227), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675418] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3389), 1,
      anon_sym_RBRACK,
    ACTIONS(20917), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675438] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3497), 1,
      anon_sym_RBRACK,
    ACTIONS(20919), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15230), 1,
      sym_attribute,
    STATE(15802), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675476] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18258), 1,
      anon_sym_RBRACE,
    ACTIONS(20921), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675496] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19980), 1,
      anon_sym_RBRACK,
    STATE(15120), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675516] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19980), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20923), 1,
      anon_sym_LPAREN,
    ACTIONS(20925), 1,
      anon_sym_LBRACK,
    ACTIONS(20927), 1,
      anon_sym_LBRACE,
    STATE(15234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675556] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(20929), 1,
      anon_sym_RPAREN,
    STATE(15235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675576] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3495), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20931), 1,
      anon_sym_SEMI,
    STATE(15236), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675596] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20933), 1,
      anon_sym_LPAREN,
    ACTIONS(20935), 1,
      anon_sym_LBRACK,
    ACTIONS(20937), 1,
      anon_sym_LBRACE,
    STATE(15237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675616] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18441), 1,
      anon_sym_RBRACE,
    ACTIONS(20939), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20941), 1,
      anon_sym_SEMI,
    ACTIONS(20944), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15239), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [675654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15240), 1,
      sym_attribute,
    STATE(15828), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675672] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19978), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20946), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20948), 1,
      anon_sym_LPAREN,
    ACTIONS(20950), 1,
      anon_sym_LBRACK,
    ACTIONS(20952), 1,
      anon_sym_LBRACE,
    STATE(15242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675712] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20954), 1,
      anon_sym_LPAREN,
    ACTIONS(20956), 1,
      anon_sym_LBRACK,
    ACTIONS(20958), 1,
      anon_sym_LBRACE,
    STATE(15243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675732] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(20960), 1,
      sym__lowercase_identifier,
    STATE(15244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675752] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18336), 1,
      anon_sym_RBRACE,
    ACTIONS(20962), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15246), 1,
      sym_attribute,
    STATE(15841), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675790] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(20964), 1,
      anon_sym_RPAREN,
    STATE(15247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675810] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20966), 1,
      anon_sym_LPAREN,
    ACTIONS(20968), 1,
      anon_sym_LBRACK,
    ACTIONS(20970), 1,
      anon_sym_LBRACE,
    STATE(15248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675830] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18268), 1,
      anon_sym_RBRACE,
    ACTIONS(20972), 1,
      anon_sym_SEMI,
    STATE(15249), 1,
      sym_attribute,
    STATE(15266), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675850] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20974), 1,
      anon_sym_SEMI,
    ACTIONS(20976), 1,
      anon_sym_GT_RBRACE,
    STATE(15250), 1,
      sym_attribute,
    STATE(15770), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3319), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20978), 1,
      anon_sym_SEMI,
    STATE(15251), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20980), 1,
      anon_sym_LPAREN,
    ACTIONS(20982), 1,
      anon_sym_LBRACK,
    ACTIONS(20984), 1,
      anon_sym_LBRACE,
    STATE(15252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13256), 1,
      sym__type_equation,
    STATE(15253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20986), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [675928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_DOT,
    STATE(15254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20988), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [675946] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20990), 1,
      anon_sym_SEMI,
    ACTIONS(20992), 1,
      anon_sym_RBRACE,
    STATE(15212), 1,
      aux_sym_record_expression_repeat1,
    STATE(15255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675966] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18270), 1,
      anon_sym_RBRACE,
    ACTIONS(20994), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675986] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3295), 1,
      anon_sym_RBRACK,
    ACTIONS(20996), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15258), 1,
      sym_attribute,
    STATE(15856), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676024] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20998), 1,
      anon_sym_LPAREN,
    ACTIONS(21000), 1,
      anon_sym_LBRACK,
    ACTIONS(21002), 1,
      anon_sym_LBRACE,
    STATE(15259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21004), 1,
      sym__lowercase_identifier,
    STATE(15260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676064] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21006), 1,
      anon_sym_LPAREN,
    ACTIONS(21008), 1,
      anon_sym_LBRACK,
    ACTIONS(21010), 1,
      anon_sym_LBRACE,
    STATE(15261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676084] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19612), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21012), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676104] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(21014), 1,
      anon_sym_RPAREN,
    STATE(15263), 1,
      sym_attribute,
    STATE(19296), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676124] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21016), 1,
      anon_sym_RPAREN,
    STATE(15264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676144] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21018), 1,
      anon_sym_RPAREN,
    STATE(15265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676164] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18274), 1,
      anon_sym_RBRACE,
    ACTIONS(21020), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15267), 1,
      sym_attribute,
    STATE(15876), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676202] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21022), 1,
      anon_sym_LPAREN,
    ACTIONS(21024), 1,
      anon_sym_LBRACK,
    ACTIONS(21026), 1,
      anon_sym_LBRACE,
    STATE(15268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18461), 1,
      anon_sym_RBRACK,
    ACTIONS(21028), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15269), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [676240] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21031), 1,
      anon_sym_LPAREN,
    ACTIONS(21033), 1,
      anon_sym_LBRACK,
    ACTIONS(21035), 1,
      anon_sym_LBRACE,
    STATE(15270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676260] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21037), 1,
      anon_sym_SEMI,
    ACTIONS(21040), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15271), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [676278] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21042), 1,
      anon_sym_RPAREN,
    STATE(15272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676298] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21044), 1,
      anon_sym_EQ,
    STATE(15273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676318] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18471), 1,
      anon_sym_RBRACE,
    ACTIONS(21046), 1,
      anon_sym_SEMI,
    STATE(15274), 1,
      sym_attribute,
    STATE(15306), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15275), 1,
      sym_attribute,
    STATE(15911), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676356] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21048), 1,
      anon_sym_LPAREN,
    ACTIONS(21050), 1,
      anon_sym_LBRACK,
    ACTIONS(21052), 1,
      anon_sym_LBRACE,
    STATE(15276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18467), 1,
      anon_sym_RBRACK,
    ACTIONS(21054), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15277), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [676394] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21057), 1,
      anon_sym_LPAREN,
    ACTIONS(21059), 1,
      anon_sym_LBRACK,
    ACTIONS(21061), 1,
      anon_sym_LBRACE,
    STATE(15278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21063), 1,
      anon_sym_SEMI,
    ACTIONS(21066), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15279), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [676432] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21068), 1,
      anon_sym_SEMI,
    ACTIONS(21070), 1,
      anon_sym_GT_RBRACE,
    STATE(15205), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15281), 1,
      sym_attribute,
    STATE(15935), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676470] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21072), 1,
      anon_sym_LPAREN,
    ACTIONS(21074), 1,
      anon_sym_LBRACK,
    ACTIONS(21076), 1,
      anon_sym_LBRACE,
    STATE(15282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676490] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_LPAREN,
    ACTIONS(21080), 1,
      anon_sym_LBRACK,
    ACTIONS(21082), 1,
      anon_sym_LBRACE,
    STATE(15283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676510] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21084), 1,
      anon_sym_RPAREN,
    STATE(15284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676530] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12266), 1,
      anon_sym_DQUOTE,
    STATE(10122), 1,
      aux_sym_external_repeat1,
    STATE(11293), 1,
      sym_string,
    STATE(15285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19574), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [676566] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15287), 1,
      sym_attribute,
    STATE(15978), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676584] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21086), 1,
      anon_sym_LPAREN,
    ACTIONS(21088), 1,
      anon_sym_LBRACK,
    ACTIONS(21090), 1,
      anon_sym_LBRACE,
    STATE(15288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676604] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21092), 1,
      anon_sym_SEMI,
    ACTIONS(21094), 1,
      anon_sym_RBRACE,
    STATE(15289), 1,
      sym_attribute,
    STATE(15321), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676624] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21096), 1,
      anon_sym_LPAREN,
    ACTIONS(21098), 1,
      anon_sym_LBRACK,
    ACTIONS(21100), 1,
      anon_sym_LBRACE,
    STATE(15290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676644] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18479), 1,
      anon_sym_RBRACE,
    ACTIONS(21102), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676664] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16968), 1,
      sym__uppercase_identifier,
    ACTIONS(18772), 1,
      anon_sym_LPAREN,
    STATE(8801), 1,
      sym__constructor_name,
    STATE(15292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11350), 1,
      anon_sym_GT,
    ACTIONS(21104), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15294), 1,
      sym_attribute,
    STATE(16009), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676722] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(21106), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(15295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676742] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(21106), 1,
      anon_sym_RBRACK,
    STATE(15296), 1,
      sym_attribute,
    STATE(15324), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676762] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21108), 1,
      sym__lowercase_identifier,
    STATE(15297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676782] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19960), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676802] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19960), 1,
      anon_sym_RBRACK,
    STATE(15233), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676822] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21110), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676842] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(21112), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(15301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676862] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21114), 1,
      anon_sym_LPAREN,
    ACTIONS(21116), 1,
      anon_sym_LBRACK,
    ACTIONS(21118), 1,
      anon_sym_LBRACE,
    STATE(15302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676882] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21120), 1,
      anon_sym_RPAREN,
    STATE(15303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676902] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21122), 1,
      anon_sym_LPAREN,
    ACTIONS(21124), 1,
      anon_sym_LBRACK,
    ACTIONS(21126), 1,
      anon_sym_LBRACE,
    STATE(15304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676922] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21128), 1,
      anon_sym_RPAREN,
    STATE(15305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676942] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18491), 1,
      anon_sym_RBRACE,
    ACTIONS(21130), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676962] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21132), 1,
      anon_sym_RBRACK,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15308), 1,
      sym_attribute,
    STATE(16036), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677000] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17320), 1,
      anon_sym_SEMI,
    ACTIONS(17322), 1,
      anon_sym_GT,
    STATE(15293), 1,
      aux_sym_object_type_repeat1,
    STATE(15309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677020] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      sym__lowercase_identifier,
    STATE(14953), 1,
      sym__instance_variable_name,
    STATE(15310), 1,
      sym_attribute,
    STATE(16488), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677040] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21134), 1,
      anon_sym_LPAREN,
    ACTIONS(21136), 1,
      anon_sym_LBRACK,
    ACTIONS(21138), 1,
      anon_sym_LBRACE,
    STATE(15311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677060] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21142), 1,
      anon_sym_LBRACK,
    STATE(15312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21140), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [677078] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10053), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15298), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677098] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13291), 1,
      sym__type_equation,
    STATE(15314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20986), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [677116] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21144), 1,
      anon_sym_LPAREN,
    ACTIONS(21146), 1,
      anon_sym_LBRACK,
    ACTIONS(21148), 1,
      anon_sym_LBRACE,
    STATE(15315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677136] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21150), 1,
      anon_sym_SEMI,
    ACTIONS(21152), 1,
      anon_sym_RBRACE,
    STATE(15245), 1,
      aux_sym_record_expression_repeat1,
    STATE(15316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677156] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21154), 1,
      sym__lowercase_identifier,
    STATE(15317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15318), 1,
      sym_attribute,
    STATE(16071), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21156), 1,
      anon_sym_LPAREN,
    ACTIONS(21158), 1,
      anon_sym_LBRACK,
    ACTIONS(21160), 1,
      anon_sym_LBRACE,
    STATE(15319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21162), 1,
      anon_sym_LPAREN,
    ACTIONS(21164), 1,
      anon_sym_LBRACK,
    ACTIONS(21166), 1,
      anon_sym_LBRACE,
    STATE(15320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677234] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19530), 1,
      anon_sym_RBRACE,
    ACTIONS(21168), 1,
      anon_sym_SEMI,
    STATE(15321), 1,
      sym_attribute,
    STATE(15331), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677254] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21170), 1,
      anon_sym_RPAREN,
    STATE(15322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15323), 1,
      sym_attribute,
    STATE(16136), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(21172), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(15324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677312] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21174), 1,
      anon_sym_RBRACK,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21176), 1,
      anon_sym_RPAREN,
    STATE(15326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21178), 1,
      anon_sym_LPAREN,
    ACTIONS(21180), 1,
      anon_sym_LBRACK,
    ACTIONS(21182), 1,
      anon_sym_LBRACE,
    STATE(15327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677372] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21184), 1,
      anon_sym_EQ,
    STATE(15328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21186), 1,
      anon_sym_LPAREN,
    ACTIONS(21188), 1,
      anon_sym_LBRACK,
    ACTIONS(21190), 1,
      anon_sym_LBRACE,
    STATE(15329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18288), 1,
      anon_sym_RBRACE,
    ACTIONS(21192), 1,
      anon_sym_SEMI,
    STATE(15256), 1,
      aux_sym_record_expression_repeat1,
    STATE(15330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677432] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21194), 1,
      anon_sym_SEMI,
    ACTIONS(21197), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15331), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [677450] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15332), 1,
      sym_attribute,
    STATE(16201), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21199), 1,
      anon_sym_RPAREN,
    STATE(15333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21201), 1,
      sym__lowercase_identifier,
    STATE(15334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    ACTIONS(19062), 1,
      anon_sym_mutable,
    STATE(15335), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21203), 1,
      anon_sym_SEMI,
    ACTIONS(21205), 1,
      anon_sym_RBRACE,
    STATE(15336), 1,
      sym_attribute,
    STATE(15351), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14602), 1,
      anon_sym_in,
    ACTIONS(21207), 1,
      anon_sym_and,
    STATE(15337), 1,
      sym_attribute,
    STATE(15348), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677568] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12204), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [677584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21209), 1,
      anon_sym_RPAREN,
    STATE(15339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21211), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [677602] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21213), 1,
      anon_sym_LPAREN,
    ACTIONS(21215), 1,
      anon_sym_LBRACK,
    ACTIONS(21217), 1,
      anon_sym_LBRACE,
    STATE(15340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8691), 1,
      aux_sym_attribute_id_token1,
    STATE(15341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8693), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [677640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18556), 1,
      anon_sym_RBRACE,
    ACTIONS(21219), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21221), 1,
      anon_sym_SEMI,
    ACTIONS(21223), 1,
      anon_sym_GT_RBRACE,
    STATE(15343), 1,
      sym_attribute,
    STATE(15360), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21225), 1,
      anon_sym_LPAREN,
    ACTIONS(21227), 1,
      anon_sym_LBRACK,
    ACTIONS(21229), 1,
      anon_sym_LBRACE,
    STATE(15344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21231), 1,
      anon_sym_RPAREN,
    STATE(15345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14725), 1,
      anon_sym_in,
    ACTIONS(21207), 1,
      anon_sym_and,
    STATE(15346), 1,
      sym_attribute,
    STATE(15363), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15347), 1,
      sym_attribute,
    STATE(16597), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18216), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [677758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14725), 1,
      anon_sym_in,
    ACTIONS(21207), 1,
      anon_sym_and,
    STATE(15348), 1,
      sym_attribute,
    STATE(15366), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15349), 1,
      sym_attribute,
    STATE(15369), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18216), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [677796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3333), 1,
      anon_sym_RBRACK,
    ACTIONS(21233), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677816] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_RBRACE,
    ACTIONS(21235), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15352), 1,
      sym_attribute,
    STATE(16287), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677854] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18298), 1,
      anon_sym_RBRACE,
    ACTIONS(21237), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677874] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21239), 1,
      sym__lowercase_identifier,
    STATE(15354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21241), 1,
      anon_sym_RPAREN,
    STATE(15355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677914] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21243), 1,
      anon_sym_RPAREN,
    STATE(15356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13655), 1,
      anon_sym_and,
    STATE(15357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13653), 2,
      anon_sym_in,
      sym_let_and_operator,
  [677952] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3335), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21245), 1,
      anon_sym_SEMI,
    STATE(15358), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19351), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21247), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677992] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19361), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21249), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678012] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21251), 1,
      anon_sym_RPAREN,
    STATE(15361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678032] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18576), 1,
      anon_sym_RBRACE,
    ACTIONS(21253), 1,
      anon_sym_SEMI,
    STATE(15342), 1,
      aux_sym_record_expression_repeat1,
    STATE(15362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678052] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14644), 1,
      anon_sym_in,
    ACTIONS(21207), 1,
      anon_sym_and,
    STATE(15363), 1,
      sym_attribute,
    STATE(15366), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678072] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21255), 1,
      sym__lowercase_identifier,
    STATE(15364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678092] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21257), 1,
      anon_sym_RPAREN,
    STATE(15365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14450), 1,
      anon_sym_in,
    ACTIONS(21259), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15366), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [678130] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21262), 1,
      anon_sym_RPAREN,
    STATE(15367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678150] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18584), 1,
      anon_sym_RBRACE,
    ACTIONS(21264), 1,
      anon_sym_SEMI,
    STATE(15368), 1,
      sym_attribute,
    STATE(15378), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678170] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14644), 1,
      anon_sym_in,
    ACTIONS(21207), 1,
      anon_sym_and,
    STATE(15369), 1,
      sym_attribute,
    STATE(15374), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678190] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12228), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [678206] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11270), 1,
      anon_sym_STAR,
    ACTIONS(12769), 1,
      anon_sym_DASH_GT,
    STATE(15371), 1,
      sym_attribute,
    STATE(15377), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678226] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21266), 1,
      sym__lowercase_identifier,
    STATE(15372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678246] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21268), 1,
      anon_sym_LPAREN,
    ACTIONS(21270), 1,
      anon_sym_LBRACK,
    ACTIONS(21272), 1,
      anon_sym_LBRACE,
    STATE(15373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678266] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14636), 1,
      anon_sym_in,
    ACTIONS(21207), 1,
      anon_sym_and,
    STATE(15366), 1,
      aux_sym_module_definition_repeat1,
    STATE(15374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678286] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12279), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [678302] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21274), 1,
      anon_sym_RPAREN,
    STATE(15376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11768), 1,
      anon_sym_DASH_GT,
    ACTIONS(21276), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15377), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [678340] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18592), 1,
      anon_sym_RBRACE,
    ACTIONS(21279), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678360] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21281), 1,
      anon_sym_LPAREN,
    ACTIONS(21283), 1,
      anon_sym_LBRACK,
    ACTIONS(21285), 1,
      anon_sym_LBRACE,
    STATE(15379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3347), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21287), 1,
      anon_sym_SEMI,
    STATE(15380), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_RBRACE,
    ACTIONS(21289), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678420] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18306), 1,
      anon_sym_RBRACE,
    ACTIONS(21291), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678440] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19933), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21293), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678460] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15384), 1,
      sym_attribute,
    STATE(16070), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678478] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3361), 1,
      anon_sym_RBRACK,
    ACTIONS(21295), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678498] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21297), 1,
      anon_sym_SEMI,
    ACTIONS(21299), 1,
      anon_sym_GT_RBRACE,
    STATE(15359), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678518] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21301), 1,
      anon_sym_SEMI,
    ACTIONS(21303), 1,
      anon_sym_RBRACE,
    STATE(15381), 1,
      aux_sym_record_expression_repeat1,
    STATE(15387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678538] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21305), 1,
      anon_sym_SEMI,
    ACTIONS(21307), 1,
      anon_sym_RBRACE,
    STATE(15388), 1,
      sym_attribute,
    STATE(15392), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678558] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21309), 1,
      anon_sym_SEMI,
    ACTIONS(21311), 1,
      anon_sym_GT_RBRACE,
    STATE(15389), 1,
      sym_attribute,
    STATE(15394), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15853), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21313), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15390), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [678596] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3373), 1,
      anon_sym_RBRACK,
    ACTIONS(21316), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678616] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18469), 1,
      anon_sym_RBRACE,
    ACTIONS(21318), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678636] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3383), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21320), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678656] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19263), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21322), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678676] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21324), 1,
      anon_sym_RPAREN,
    STATE(15395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678696] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21326), 1,
      anon_sym_LPAREN,
    ACTIONS(21328), 1,
      anon_sym_LBRACK,
    ACTIONS(21330), 1,
      anon_sym_LBRACE,
    STATE(15396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678716] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18421), 1,
      anon_sym_RBRACE,
    ACTIONS(21332), 1,
      anon_sym_SEMI,
    STATE(15397), 1,
      sym_attribute,
    STATE(15402), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678736] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19924), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21334), 1,
      sym__lowercase_identifier,
    STATE(15399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678776] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21336), 1,
      anon_sym_RPAREN,
    STATE(15400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21338), 1,
      anon_sym_LPAREN,
    ACTIONS(21340), 1,
      anon_sym_LBRACK,
    ACTIONS(21342), 1,
      anon_sym_LBRACE,
    STATE(15401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678816] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18405), 1,
      anon_sym_RBRACE,
    ACTIONS(21344), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678836] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18396), 1,
      anon_sym_RBRACE,
    ACTIONS(21346), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678856] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21348), 1,
      aux_sym_quoted_extension_token1,
    STATE(15404), 1,
      sym_attribute,
    STATE(17750), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678876] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21350), 1,
      anon_sym_RPAREN,
    STATE(15405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678896] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21352), 1,
      sym__lowercase_identifier,
    STATE(15406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18338), 1,
      anon_sym_RBRACE,
    ACTIONS(21354), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_record_expression_repeat1,
    STATE(15407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(15408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15409), 1,
      sym_attribute,
    STATE(15652), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678972] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21356), 1,
      aux_sym_quoted_extension_token1,
    STATE(15410), 1,
      sym_attribute,
    STATE(18029), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678992] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(15411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679010] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18300), 1,
      anon_sym_RBRACE,
    ACTIONS(21358), 1,
      anon_sym_SEMI,
    STATE(15353), 1,
      aux_sym_record_expression_repeat1,
    STATE(15412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21360), 1,
      anon_sym_RPAREN,
    STATE(15413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679050] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21362), 1,
      aux_sym_quoted_extension_token1,
    STATE(15414), 1,
      sym_attribute,
    STATE(18040), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(15415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679088] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21364), 1,
      aux_sym_quoted_extension_token1,
    STATE(15416), 1,
      sym_attribute,
    STATE(18072), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(15417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679126] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21366), 1,
      aux_sym_quoted_extension_token1,
    STATE(15418), 1,
      sym_attribute,
    STATE(18131), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(15419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679164] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21368), 1,
      aux_sym_quoted_extension_token1,
    STATE(15420), 1,
      sym_attribute,
    STATE(18154), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(15421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679202] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21370), 1,
      aux_sym_quoted_extension_token1,
    STATE(15422), 1,
      sym_attribute,
    STATE(18188), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(15423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679240] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21372), 1,
      aux_sym_quoted_extension_token1,
    STATE(15424), 1,
      sym_attribute,
    STATE(18195), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679260] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(15425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679278] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21374), 1,
      aux_sym_quoted_extension_token1,
    STATE(15426), 1,
      sym_attribute,
    STATE(18209), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679298] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(15427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679316] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21376), 1,
      aux_sym_quoted_extension_token1,
    STATE(15428), 1,
      sym_attribute,
    STATE(18223), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(15429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679354] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21378), 1,
      aux_sym_quoted_extension_token1,
    STATE(15430), 1,
      sym_attribute,
    STATE(18240), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(15431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679392] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21380), 1,
      aux_sym_quoted_extension_token1,
    STATE(15432), 1,
      sym_attribute,
    STATE(18258), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(15433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679430] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21382), 1,
      aux_sym_quoted_extension_token1,
    STATE(15434), 1,
      sym_attribute,
    STATE(18276), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679450] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(15435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679468] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21384), 1,
      aux_sym_quoted_extension_token1,
    STATE(15436), 1,
      sym_attribute,
    STATE(18281), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(15437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679506] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21386), 1,
      aux_sym_quoted_extension_token1,
    STATE(15438), 1,
      sym_attribute,
    STATE(18307), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(15439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21388), 1,
      aux_sym_quoted_extension_token1,
    STATE(15440), 1,
      sym_attribute,
    STATE(18336), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(15441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679582] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19924), 1,
      anon_sym_RBRACK,
    STATE(15442), 1,
      sym_attribute,
    STATE(15782), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679602] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19937), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679622] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21390), 1,
      aux_sym_quoted_extension_token1,
    STATE(15444), 1,
      sym_attribute,
    STATE(18350), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(15445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679660] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21392), 1,
      aux_sym_quoted_extension_token1,
    STATE(15446), 1,
      sym_attribute,
    STATE(18363), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679680] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(15447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679698] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21394), 1,
      aux_sym_quoted_extension_token1,
    STATE(15448), 1,
      sym_attribute,
    STATE(18388), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(15449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679736] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21396), 1,
      aux_sym_quoted_extension_token1,
    STATE(15450), 1,
      sym_attribute,
    STATE(18399), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679756] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(15451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679774] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21398), 1,
      aux_sym_quoted_extension_token1,
    STATE(15452), 1,
      sym_attribute,
    STATE(18421), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(15453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679812] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21400), 1,
      aux_sym_quoted_extension_token1,
    STATE(15454), 1,
      sym_attribute,
    STATE(18439), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(15455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679850] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21402), 1,
      aux_sym_quoted_extension_token1,
    STATE(15456), 1,
      sym_attribute,
    STATE(18478), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679870] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(15457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19935), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21404), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679908] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21406), 1,
      aux_sym_quoted_extension_token1,
    STATE(15459), 1,
      sym_attribute,
    STATE(18498), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(15460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679946] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9722), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15461), 1,
      sym_attribute,
    STATE(15492), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679966] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21408), 1,
      aux_sym_quoted_extension_token1,
    STATE(15462), 1,
      sym_attribute,
    STATE(18557), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(15463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680004] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21410), 1,
      aux_sym_quoted_extension_token1,
    STATE(15464), 1,
      sym_attribute,
    STATE(18622), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680024] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(15465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680042] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21412), 1,
      aux_sym_quoted_extension_token1,
    STATE(15466), 1,
      sym_attribute,
    STATE(18670), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(15467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680080] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17306), 1,
      anon_sym_SEMI,
    ACTIONS(17308), 1,
      anon_sym_GT,
    STATE(15468), 1,
      sym_attribute,
    STATE(15493), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680100] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21414), 1,
      aux_sym_quoted_extension_token1,
    STATE(15469), 1,
      sym_attribute,
    STATE(18758), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(15470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680138] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21416), 1,
      anon_sym_RPAREN,
    STATE(15471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680158] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21418), 1,
      aux_sym_quoted_extension_token1,
    STATE(15472), 1,
      sym_attribute,
    STATE(18821), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680178] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(15473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680196] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21420), 1,
      aux_sym_quoted_extension_token1,
    STATE(15474), 1,
      sym_attribute,
    STATE(18881), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(15475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21422), 1,
      aux_sym_quoted_extension_token1,
    STATE(15476), 1,
      sym_attribute,
    STATE(18902), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(15477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680272] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21424), 1,
      aux_sym_quoted_extension_token1,
    STATE(15478), 1,
      sym_attribute,
    STATE(18922), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(15479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680310] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21426), 1,
      aux_sym_quoted_extension_token1,
    STATE(15480), 1,
      sym_attribute,
    STATE(18944), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(15481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680348] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21428), 1,
      aux_sym_quoted_extension_token1,
    STATE(15482), 1,
      sym_attribute,
    STATE(18992), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(15483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10580), 1,
      sym_attribute_id,
    STATE(15484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21430), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680404] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21432), 1,
      anon_sym_RPAREN,
    STATE(15485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680424] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21434), 1,
      aux_sym_quoted_extension_token1,
    STATE(15486), 1,
      sym_attribute,
    STATE(19076), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(15487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21436), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19170), 1,
      anon_sym_RBRACK,
    STATE(15489), 1,
      sym_attribute,
    STATE(15509), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680502] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21438), 1,
      aux_sym_quoted_extension_token1,
    STATE(15490), 1,
      sym_attribute,
    STATE(19118), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(15491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19170), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680560] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11412), 1,
      anon_sym_GT,
    ACTIONS(21440), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680580] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21442), 1,
      aux_sym_quoted_extension_token1,
    STATE(15494), 1,
      sym_attribute,
    STATE(19227), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(15495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680618] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(11508), 1,
      anon_sym_DOT,
    ACTIONS(21444), 1,
      anon_sym_RPAREN,
    STATE(15496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680638] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21446), 1,
      aux_sym_quoted_extension_token1,
    STATE(15497), 1,
      sym_attribute,
    STATE(19373), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(15498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680676] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21448), 1,
      anon_sym_SEMI,
    ACTIONS(21450), 1,
      anon_sym_RBRACE,
    STATE(15499), 1,
      sym_attribute,
    STATE(15519), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15346), 1,
      sym_module_binding,
    STATE(15500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18216), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [680714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21452), 1,
      sym__lowercase_identifier,
    ACTIONS(21454), 1,
      anon_sym_LPAREN,
    STATE(7354), 1,
      sym__simple_value_pattern,
    STATE(15501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3363), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21456), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21458), 1,
      anon_sym_SEMI,
    ACTIONS(21460), 1,
      anon_sym_GT_RBRACE,
    STATE(15503), 1,
      sym_attribute,
    STATE(15522), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680774] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21462), 1,
      aux_sym_quoted_extension_token1,
    STATE(15504), 1,
      sym_attribute,
    STATE(19562), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(15505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680812] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21464), 1,
      anon_sym_RPAREN,
    STATE(15506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680832] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21466), 1,
      anon_sym_SEMI,
    ACTIONS(21468), 1,
      anon_sym_RBRACE,
    STATE(15507), 1,
      sym_attribute,
    STATE(15545), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680852] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21470), 1,
      anon_sym_RPAREN,
    STATE(15508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680872] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19128), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680892] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19128), 1,
      anon_sym_RBRACK,
    STATE(15510), 1,
      sym_attribute,
    STATE(15524), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680912] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3507), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21472), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680932] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21474), 1,
      anon_sym_RPAREN,
    STATE(15512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680952] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21476), 1,
      anon_sym_SEMI,
    ACTIONS(21478), 1,
      anon_sym_RBRACE,
    STATE(15513), 1,
      sym_attribute,
    STATE(15527), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21480), 1,
      anon_sym_SEMI,
    ACTIONS(21482), 1,
      anon_sym_RBRACE,
    STATE(15514), 1,
      sym_attribute,
    STATE(15531), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680992] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21484), 1,
      aux_sym_quoted_extension_token1,
    STATE(15515), 1,
      sym_attribute,
    STATE(19762), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(15516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3823), 1,
      anon_sym_RBRACK,
    ACTIONS(21486), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18284), 1,
      anon_sym_RBRACE,
    ACTIONS(21488), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      anon_sym_RBRACE,
    ACTIONS(21490), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681090] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21492), 1,
      anon_sym_SEMI,
    ACTIONS(21494), 1,
      anon_sym_GT_RBRACE,
    STATE(15520), 1,
      sym_attribute,
    STATE(15564), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681110] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3819), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21496), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681130] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19120), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21498), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(15523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681168] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19110), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681188] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19158), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21500), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681208] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(21502), 1,
      anon_sym_RPAREN,
    STATE(15526), 1,
      sym_attribute,
    STATE(18509), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_RBRACE,
    ACTIONS(21504), 1,
      anon_sym_SEMI,
    STATE(15271), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681248] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8560), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21506), 1,
      anon_sym_SEMI,
    STATE(15528), 1,
      sym_attribute,
    STATE(15548), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681268] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3523), 1,
      anon_sym_RBRACK,
    ACTIONS(21508), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681288] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8052), 1,
      anon_sym_RBRACK,
    ACTIONS(21510), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681308] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17616), 1,
      anon_sym_RBRACE,
    ACTIONS(21512), 1,
      anon_sym_SEMI,
    STATE(15279), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681328] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3359), 1,
      anon_sym_RBRACK,
    ACTIONS(21514), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681348] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8054), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21516), 1,
      anon_sym_SEMI,
    STATE(15533), 1,
      sym_attribute,
    STATE(15549), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681368] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21518), 1,
      anon_sym_RPAREN,
    STATE(15534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681388] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21520), 1,
      aux_sym_quoted_extension_token1,
    STATE(15535), 1,
      sym_attribute,
    STATE(20177), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(15536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681426] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8558), 1,
      anon_sym_RBRACK,
    ACTIONS(21522), 1,
      anon_sym_SEMI,
    STATE(15269), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681446] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20901), 1,
      anon_sym_COLON2,
    ACTIONS(21524), 1,
      anon_sym_RPAREN,
    STATE(15538), 1,
      sym_attribute,
    STATE(18470), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681466] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3525), 1,
      anon_sym_RBRACK,
    ACTIONS(21526), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681486] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21528), 1,
      sym__lowercase_identifier,
    STATE(15540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13029), 1,
      sym__type_equation,
    STATE(15541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21530), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [681524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_DOT,
    STATE(15542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21532), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [681542] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21534), 1,
      aux_sym_quoted_extension_token1,
    STATE(15543), 1,
      sym_attribute,
    STATE(19698), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(15544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_RBRACE,
    ACTIONS(21536), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(21538), 1,
      anon_sym_RPAREN,
    STATE(15546), 1,
      sym_attribute,
    STATE(18452), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681620] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21540), 1,
      anon_sym_RPAREN,
    STATE(15547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18461), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21542), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15548), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [681658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18467), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21545), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15549), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [681676] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21548), 1,
      anon_sym_RPAREN,
    STATE(15550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681696] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21550), 1,
      anon_sym_SEMI,
    ACTIONS(21552), 1,
      anon_sym_RBRACE,
    STATE(15551), 1,
      sym_attribute,
    STATE(15559), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681716] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3533), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21554), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681736] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18244), 1,
      anon_sym_RBRACE,
    ACTIONS(21556), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17144), 1,
      sym__uppercase_identifier,
    ACTIONS(18888), 1,
      anon_sym_LPAREN,
    STATE(13213), 1,
      sym__constructor_name,
    STATE(15554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681776] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21558), 1,
      aux_sym_quoted_extension_token1,
    STATE(15555), 1,
      sym_attribute,
    STATE(17535), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(15556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13022), 1,
      sym__type_equation,
    STATE(15557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21530), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [681832] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18280), 1,
      anon_sym_RBRACE,
    ACTIONS(21560), 1,
      anon_sym_SEMI,
    STATE(15553), 1,
      aux_sym_record_expression_repeat1,
    STATE(15558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681852] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19096), 1,
      anon_sym_RBRACE,
    ACTIONS(21562), 1,
      anon_sym_SEMI,
    STATE(15331), 1,
      aux_sym_record_declaration_repeat1,
    STATE(15559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681872] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21564), 1,
      aux_sym_quoted_extension_token1,
    STATE(15560), 1,
      sym_attribute,
    STATE(19458), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(15561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21566), 1,
      anon_sym_RPAREN,
    STATE(15562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21568), 1,
      anon_sym_RBRACK,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19092), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21570), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681970] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21572), 1,
      anon_sym_SEMI,
    ACTIONS(21574), 1,
      anon_sym_GT_RBRACE,
    STATE(15525), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681990] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21576), 1,
      anon_sym_RPAREN,
    STATE(15566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682010] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19920), 1,
      anon_sym_RBRACK,
    STATE(15443), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682030] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21578), 1,
      aux_sym_quoted_extension_token1,
    STATE(15568), 1,
      sym_attribute,
    STATE(19113), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682050] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(15569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682068] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21580), 1,
      anon_sym_SEMI,
    ACTIONS(21582), 1,
      anon_sym_RBRACE,
    STATE(15518), 1,
      aux_sym_record_expression_repeat1,
    STATE(15570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19920), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682108] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21584), 1,
      anon_sym_RPAREN,
    STATE(15572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682128] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18218), 1,
      anon_sym_RBRACE,
    ACTIONS(21586), 1,
      anon_sym_SEMI,
    STATE(15573), 1,
      sym_attribute,
    STATE(15597), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682148] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15574), 1,
      sym_attribute,
    STATE(15583), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682168] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21588), 1,
      anon_sym_RPAREN,
    STATE(15575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682188] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17354), 1,
      anon_sym_SEMI,
    ACTIONS(17356), 1,
      anon_sym_GT,
    STATE(15576), 1,
      sym_attribute,
    STATE(15584), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682208] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21590), 1,
      aux_sym_quoted_extension_token1,
    STATE(15577), 1,
      sym_attribute,
    STATE(18238), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(15578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682246] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12976), 1,
      sym_attribute_id,
    STATE(15579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21592), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682264] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21594), 1,
      anon_sym_RPAREN,
    STATE(15580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682284] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21596), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682304] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19004), 1,
      anon_sym_RBRACK,
    STATE(15582), 1,
      sym_attribute,
    STATE(15593), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19004), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682344] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11330), 1,
      anon_sym_GT,
    ACTIONS(21598), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682364] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21600), 1,
      sym__lowercase_identifier,
    STATE(15585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682384] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21602), 1,
      aux_sym_quoted_extension_token1,
    STATE(15586), 1,
      sym_attribute,
    STATE(17471), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(15587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682422] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21604), 1,
      anon_sym_SEMI,
    ACTIONS(21606), 1,
      anon_sym_RBRACE,
    STATE(15588), 1,
      sym_attribute,
    STATE(15603), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682442] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21608), 1,
      sym__lowercase_identifier,
    ACTIONS(21610), 1,
      anon_sym_LPAREN,
    STATE(7805), 1,
      sym__simple_value_pattern,
    STATE(15589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21612), 1,
      anon_sym_RPAREN,
    STATE(15590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21614), 1,
      anon_sym_SEMI,
    ACTIONS(21616), 1,
      anon_sym_GT_RBRACE,
    STATE(15591), 1,
      sym_attribute,
    STATE(15607), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21618), 1,
      anon_sym_RPAREN,
    STATE(15592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19014), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682542] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19014), 1,
      anon_sym_RBRACK,
    STATE(15594), 1,
      sym_attribute,
    STATE(15608), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682562] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21620), 1,
      aux_sym_quoted_extension_token1,
    STATE(15595), 1,
      sym_attribute,
    STATE(18100), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682582] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(15596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18180), 1,
      anon_sym_RBRACE,
    ACTIONS(21622), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682620] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21624), 1,
      anon_sym_RPAREN,
    STATE(15598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21626), 1,
      anon_sym_SEMI,
    ACTIONS(21628), 1,
      anon_sym_GT_RBRACE,
    STATE(15458), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21630), 1,
      anon_sym_SEMI,
    ACTIONS(21632), 1,
      anon_sym_RBRACE,
    STATE(15600), 1,
      sym_attribute,
    STATE(15611), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21634), 1,
      anon_sym_SEMI,
    ACTIONS(21636), 1,
      anon_sym_RBRACE,
    STATE(15601), 1,
      sym_attribute,
    STATE(15614), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3279), 1,
      anon_sym_RBRACK,
    ACTIONS(21638), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18164), 1,
      anon_sym_RBRACE,
    ACTIONS(21640), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682740] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3339), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21642), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682760] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21644), 1,
      aux_sym_quoted_extension_token1,
    STATE(15605), 1,
      sym_attribute,
    STATE(18862), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(15606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682798] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19020), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21646), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682818] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19022), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(21648), 1,
      anon_sym_RPAREN,
    STATE(15609), 1,
      sym_attribute,
    STATE(18156), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682858] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8512), 1,
      anon_sym_RBRACK,
    ACTIONS(21650), 1,
      anon_sym_SEMI,
    STATE(15269), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682878] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18034), 1,
      anon_sym_RBRACE,
    ACTIONS(21652), 1,
      anon_sym_SEMI,
    STATE(15271), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682898] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8552), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21654), 1,
      anon_sym_SEMI,
    STATE(15548), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682918] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8210), 1,
      anon_sym_RBRACK,
    ACTIONS(21656), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682938] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18038), 1,
      anon_sym_RBRACE,
    ACTIONS(21658), 1,
      anon_sym_SEMI,
    STATE(15279), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21660), 1,
      anon_sym_SEMI,
    ACTIONS(21662), 1,
      anon_sym_RBRACE,
    STATE(15382), 1,
      aux_sym_record_expression_repeat1,
    STATE(15615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682978] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21664), 1,
      aux_sym_quoted_extension_token1,
    STATE(15616), 1,
      sym_attribute,
    STATE(19060), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(15617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8212), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21666), 1,
      anon_sym_SEMI,
    STATE(15549), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3691), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21668), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21670), 1,
      anon_sym_RPAREN,
    STATE(15620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683076] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_RBRACE,
    ACTIONS(21672), 1,
      anon_sym_SEMI,
    STATE(15621), 1,
      sym_attribute,
    STATE(15628), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683096] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20901), 1,
      anon_sym_COLON2,
    ACTIONS(21674), 1,
      anon_sym_RPAREN,
    STATE(15622), 1,
      sym_attribute,
    STATE(18127), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683116] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21676), 1,
      sym__lowercase_identifier,
    STATE(15623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683136] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21678), 1,
      aux_sym_quoted_extension_token1,
    STATE(15624), 1,
      sym_attribute,
    STATE(19202), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(15625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(21680), 1,
      anon_sym_RPAREN,
    STATE(15626), 1,
      sym_attribute,
    STATE(18115), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21682), 1,
      anon_sym_RPAREN,
    STATE(15627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18198), 1,
      anon_sym_RBRACE,
    ACTIONS(21684), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683234] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15790), 1,
      sym__uppercase_identifier,
    ACTIONS(18980), 1,
      anon_sym_LPAREN,
    STATE(7103), 1,
      sym__constructor_name,
    STATE(15629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683254] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21686), 1,
      aux_sym_quoted_extension_token1,
    STATE(15630), 1,
      sym_attribute,
    STATE(19648), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(15631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683292] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21688), 1,
      aux_sym_quoted_extension_token1,
    STATE(15632), 1,
      sym_attribute,
    STATE(20154), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683312] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(15633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683330] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9981), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15634), 1,
      sym_attribute,
    STATE(15645), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683350] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17410), 1,
      anon_sym_SEMI,
    ACTIONS(17412), 1,
      anon_sym_GT,
    STATE(15635), 1,
      sym_attribute,
    STATE(15650), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683370] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21690), 1,
      anon_sym_SEMI,
    ACTIONS(21692), 1,
      anon_sym_RBRACE,
    STATE(15636), 1,
      sym_attribute,
    STATE(15700), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683390] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17442), 1,
      anon_sym_SEMI,
    ACTIONS(17444), 1,
      anon_sym_GT,
    STATE(15637), 1,
      sym_attribute,
    STATE(15648), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683410] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21694), 1,
      aux_sym_quoted_extension_token1,
    STATE(15638), 1,
      sym_attribute,
    STATE(19845), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(15639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18132), 1,
      anon_sym_RBRACE,
    ACTIONS(21696), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683468] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13059), 1,
      sym_attribute_id,
    STATE(15641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21698), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683486] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21700), 1,
      anon_sym_RPAREN,
    STATE(15642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683506] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21702), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683526] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19042), 1,
      anon_sym_RBRACK,
    STATE(15644), 1,
      sym_attribute,
    STATE(15663), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683546] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19042), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683566] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(15646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683584] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21704), 1,
      anon_sym_RPAREN,
    STATE(15647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683604] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11226), 1,
      anon_sym_GT,
    ACTIONS(21706), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683624] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21708), 1,
      anon_sym_SEMI,
    ACTIONS(21710), 1,
      anon_sym_GT_RBRACE,
    STATE(15649), 1,
      sym_attribute,
    STATE(15724), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683644] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11602), 1,
      anon_sym_GT,
    ACTIONS(21712), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683664] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21714), 1,
      aux_sym_quoted_extension_token1,
    STATE(15651), 1,
      sym_attribute,
    STATE(19230), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683684] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21716), 1,
      aux_sym_quoted_extension_token1,
    STATE(15652), 1,
      sym_attribute,
    STATE(18735), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(15653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683722] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21718), 1,
      anon_sym_SEMI,
    ACTIONS(21720), 1,
      anon_sym_RBRACE,
    STATE(15654), 1,
      sym_attribute,
    STATE(15678), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683742] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21722), 1,
      anon_sym_SEMI,
    ACTIONS(21724), 1,
      anon_sym_RBRACE,
    STATE(15655), 1,
      sym_attribute,
    STATE(15672), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683762] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21726), 1,
      sym__lowercase_identifier,
    ACTIONS(21728), 1,
      anon_sym_LPAREN,
    STATE(8543), 1,
      sym__simple_value_pattern,
    STATE(15656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683782] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19912), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683802] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19912), 1,
      anon_sym_RBRACK,
    STATE(15571), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683822] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21730), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683842] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21732), 1,
      anon_sym_RPAREN,
    STATE(15660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683862] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21734), 1,
      anon_sym_SEMI,
    ACTIONS(21736), 1,
      anon_sym_GT_RBRACE,
    STATE(15661), 1,
      sym_attribute,
    STATE(15683), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683882] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21738), 1,
      anon_sym_RPAREN,
    STATE(15662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683902] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19064), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683922] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19064), 1,
      anon_sym_RBRACK,
    STATE(15664), 1,
      sym_attribute,
    STATE(15685), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683942] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21740), 1,
      aux_sym_quoted_extension_token1,
    STATE(15665), 1,
      sym_attribute,
    STATE(19024), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683962] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21742), 1,
      anon_sym_RPAREN,
    STATE(15666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683982] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14282), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15667), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(15668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684020] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3607), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21744), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684040] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21746), 1,
      anon_sym_RPAREN,
    STATE(15670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684060] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21748), 1,
      anon_sym_SEMI,
    ACTIONS(21750), 1,
      anon_sym_RBRACE,
    STATE(15671), 1,
      sym_attribute,
    STATE(15690), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684080] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18312), 1,
      anon_sym_RBRACE,
    ACTIONS(21752), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684100] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15657), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684120] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21754), 1,
      anon_sym_SEMI,
    ACTIONS(21756), 1,
      anon_sym_RBRACE,
    STATE(15674), 1,
      sym_attribute,
    STATE(15694), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684140] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3813), 1,
      anon_sym_RBRACK,
    ACTIONS(21758), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684160] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21760), 1,
      sym__lowercase_identifier,
    STATE(15676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684180] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3693), 1,
      anon_sym_RBRACK,
    ACTIONS(21762), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684200] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18228), 1,
      anon_sym_RBRACE,
    ACTIONS(21764), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684220] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21766), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684240] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21768), 1,
      aux_sym_quoted_extension_token1,
    STATE(15680), 1,
      sym_attribute,
    STATE(18212), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684260] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_RBRACK,
    ACTIONS(21770), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(15682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684298] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21772), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684318] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18316), 1,
      anon_sym_RBRACE,
    ACTIONS(21774), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684338] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19078), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684358] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14241), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15686), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684378] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_LPAREN,
    STATE(9928), 1,
      sym_module_parameter,
    STATE(14279), 1,
      aux_sym_module_binding_repeat1,
    STATE(15687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684398] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(21776), 1,
      anon_sym_RPAREN,
    STATE(15688), 1,
      sym_attribute,
    STATE(17832), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684418] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8534), 1,
      anon_sym_RBRACK,
    ACTIONS(21778), 1,
      anon_sym_SEMI,
    STATE(15269), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684438] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17970), 1,
      anon_sym_RBRACE,
    ACTIONS(21780), 1,
      anon_sym_SEMI,
    STATE(15271), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684458] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8526), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21782), 1,
      anon_sym_SEMI,
    STATE(15548), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684478] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14275), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15692), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684498] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8206), 1,
      anon_sym_RBRACK,
    ACTIONS(21784), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684518] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17966), 1,
      anon_sym_RBRACE,
    ACTIONS(21786), 1,
      anon_sym_SEMI,
    STATE(15279), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684538] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8204), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21788), 1,
      anon_sym_SEMI,
    STATE(15549), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684558] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14317), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15696), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684578] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_RBRACK,
    ACTIONS(21790), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18230), 1,
      anon_sym_RBRACE,
    ACTIONS(21792), 1,
      anon_sym_SEMI,
    STATE(15698), 1,
      sym_attribute,
    STATE(15717), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(15699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684636] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18234), 1,
      anon_sym_RBRACE,
    ACTIONS(21794), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684656] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21796), 1,
      aux_sym_quoted_extension_token1,
    STATE(15701), 1,
      sym_attribute,
    STATE(17740), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684676] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14271), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15702), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684696] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20901), 1,
      anon_sym_COLON2,
    ACTIONS(21798), 1,
      anon_sym_RPAREN,
    STATE(15703), 1,
      sym_attribute,
    STATE(17810), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(15704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18322), 1,
      anon_sym_RBRACE,
    ACTIONS(21800), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21802), 1,
      sym__lowercase_identifier,
    STATE(15706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14463), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15707), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684794] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21804), 1,
      anon_sym_RPAREN,
    STATE(15708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684814] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(21806), 1,
      anon_sym_RPAREN,
    STATE(15709), 1,
      sym_attribute,
    STATE(17798), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684834] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21808), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684854] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21810), 1,
      anon_sym_SEMI,
    ACTIONS(21812), 1,
      anon_sym_GT_RBRACE,
    STATE(15383), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684874] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14499), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15712), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18250), 1,
      anon_sym_RBRACE,
    ACTIONS(21814), 1,
      anon_sym_SEMI,
    STATE(15640), 1,
      aux_sym_record_expression_repeat1,
    STATE(15713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684914] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21816), 1,
      sym__lowercase_identifier,
    STATE(15714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684934] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21818), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684954] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14540), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15716), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684974] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18272), 1,
      anon_sym_RBRACE,
    ACTIONS(21820), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684994] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(21822), 1,
      anon_sym_RBRACK,
    STATE(15718), 1,
      sym_attribute,
    STATE(15761), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685014] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21824), 1,
      anon_sym_RPAREN,
    STATE(15719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685034] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21826), 1,
      aux_sym_quoted_extension_token1,
    STATE(15720), 1,
      sym_attribute,
    STATE(20033), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21828), 1,
      anon_sym_EQ,
    STATE(15721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(15722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685092] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14683), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15723), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685112] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19104), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21830), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685132] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14719), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15725), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685152] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3699), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21832), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685172] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14763), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15727), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685192] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21834), 1,
      aux_sym_quoted_extension_token1,
    STATE(15728), 1,
      sym_attribute,
    STATE(19768), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685212] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21836), 1,
      anon_sym_RPAREN,
    STATE(15729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685232] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18326), 1,
      anon_sym_RBRACE,
    ACTIONS(21838), 1,
      anon_sym_SEMI,
    STATE(15705), 1,
      aux_sym_record_expression_repeat1,
    STATE(15730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685252] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21840), 1,
      anon_sym_RPAREN,
    STATE(15731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19118), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18292), 1,
      anon_sym_RBRACE,
    ACTIONS(21842), 1,
      anon_sym_SEMI,
    STATE(15733), 1,
      sym_attribute,
    STATE(15815), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685312] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(15734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685330] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      sym__uppercase_identifier,
    ACTIONS(21844), 1,
      anon_sym_type,
    STATE(15542), 1,
      sym_module_path,
    STATE(15735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685350] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14265), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15736), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685370] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15737), 1,
      sym_attribute,
    STATE(15751), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685390] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21846), 1,
      anon_sym_EQ,
    STATE(15738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685410] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17343), 1,
      anon_sym_SEMI,
    ACTIONS(17345), 1,
      anon_sym_GT,
    STATE(15739), 1,
      sym_attribute,
    STATE(15753), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685430] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14266), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15740), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685450] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19130), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21848), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8177), 1,
      sym_attribute_id,
    STATE(15742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21850), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21852), 1,
      anon_sym_RPAREN,
    STATE(15743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19878), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14858), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15745), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19876), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21854), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685568] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21856), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19058), 1,
      sym__lowercase_identifier,
    ACTIONS(19062), 1,
      anon_sym_mutable,
    STATE(15551), 1,
      sym_field_declaration,
    STATE(15748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21858), 1,
      anon_sym_EQ,
    STATE(15749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19136), 1,
      anon_sym_RBRACK,
    STATE(15750), 1,
      sym_attribute,
    STATE(15766), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19136), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14848), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15752), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11586), 1,
      anon_sym_GT,
    ACTIONS(21860), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21862), 1,
      sym__lowercase_identifier,
    STATE(15754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685728] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21864), 1,
      aux_sym_quoted_extension_token1,
    STATE(15755), 1,
      sym_attribute,
    STATE(19837), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685748] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(15756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685766] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21866), 1,
      anon_sym_RPAREN,
    STATE(15757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685786] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21868), 1,
      anon_sym_SEMI,
    ACTIONS(21870), 1,
      anon_sym_RBRACE,
    STATE(15758), 1,
      sym_attribute,
    STATE(15780), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685806] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14812), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15759), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685826] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21872), 1,
      anon_sym_SEMI,
    ACTIONS(21874), 1,
      anon_sym_GT_RBRACE,
    STATE(15760), 1,
      sym_attribute,
    STATE(15785), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685846] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(21876), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(15761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685866] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(21876), 1,
      anon_sym_RBRACK,
    STATE(15762), 1,
      sym_attribute,
    STATE(15789), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685886] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14804), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15763), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685906] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21878), 1,
      anon_sym_RPAREN,
    STATE(15764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685926] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18334), 1,
      anon_sym_RBRACE,
    ACTIONS(21880), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685946] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19148), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685966] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19148), 1,
      anon_sym_RBRACK,
    STATE(15767), 1,
      sym_attribute,
    STATE(15790), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685986] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14797), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15768), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686006] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21882), 1,
      anon_sym_RPAREN,
    STATE(15769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686026] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19872), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21884), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686046] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3483), 1,
      anon_sym_RBRACK,
    ACTIONS(21886), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686066] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21888), 1,
      aux_sym_quoted_extension_token1,
    STATE(15772), 1,
      sym_attribute,
    STATE(19380), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686086] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21890), 1,
      anon_sym_RPAREN,
    STATE(15773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21892), 1,
      anon_sym_SEMI,
    ACTIONS(21894), 1,
      anon_sym_RBRACE,
    STATE(15774), 1,
      sym_attribute,
    STATE(15795), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686126] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21896), 1,
      anon_sym_RPAREN,
    STATE(15775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21898), 1,
      anon_sym_SEMI,
    ACTIONS(21900), 1,
      anon_sym_RBRACE,
    STATE(15776), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(15777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686184] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RBRACK,
    ACTIONS(21902), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686204] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10223), 1,
      sym__type_equation,
    STATE(15779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21904), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [686222] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18304), 1,
      anon_sym_RBRACE,
    ACTIONS(21906), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686242] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21908), 1,
      anon_sym_EQ,
    STATE(15781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686262] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19846), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686282] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21910), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686302] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14771), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15784), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686322] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19160), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21912), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686342] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19860), 1,
      anon_sym_RBRACK,
    STATE(15744), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686362] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19860), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686382] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21914), 1,
      anon_sym_RPAREN,
    STATE(15788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686402] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(21916), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(15789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686422] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19166), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686442] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14768), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15791), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21918), 1,
      anon_sym_RBRACK,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(21920), 1,
      anon_sym_RPAREN,
    STATE(15793), 1,
      sym_attribute,
    STATE(17550), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_RBRACK,
    ACTIONS(21922), 1,
      anon_sym_SEMI,
    STATE(15269), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17824), 1,
      anon_sym_RBRACE,
    ACTIONS(21924), 1,
      anon_sym_SEMI,
    STATE(15271), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10224), 1,
      sym__type_equation,
    STATE(15796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21904), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [686560] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21926), 1,
      anon_sym_EQ,
    STATE(15797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14762), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15798), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8510), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21928), 1,
      anon_sym_SEMI,
    STATE(15548), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686620] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8046), 1,
      anon_sym_RBRACK,
    ACTIONS(21930), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17820), 1,
      anon_sym_RBRACE,
    ACTIONS(21932), 1,
      anon_sym_SEMI,
    STATE(15279), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686660] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21934), 1,
      aux_sym_quoted_extension_token1,
    STATE(15802), 1,
      sym_attribute,
    STATE(18018), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8048), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21936), 1,
      anon_sym_SEMI,
    STATE(15549), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21938), 1,
      anon_sym_SEMI,
    ACTIONS(21940), 1,
      anon_sym_GT_RBRACE,
    STATE(15746), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(15805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686738] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21942), 1,
      anon_sym_RPAREN,
    STATE(15806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18308), 1,
      anon_sym_RBRACE,
    ACTIONS(21944), 1,
      anon_sym_SEMI,
    STATE(15807), 1,
      sym_attribute,
    STATE(15823), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686778] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3715), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21946), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686798] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21948), 1,
      anon_sym_SEMI,
    ACTIONS(21950), 1,
      anon_sym_RBRACE,
    STATE(15765), 1,
      aux_sym_record_expression_repeat1,
    STATE(15809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686818] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20901), 1,
      anon_sym_COLON2,
    ACTIONS(21952), 1,
      anon_sym_RPAREN,
    STATE(15810), 1,
      sym_attribute,
    STATE(17532), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14741), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15811), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686858] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(21954), 1,
      sym__lowercase_identifier,
    STATE(15812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686878] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21956), 1,
      sym__lowercase_identifier,
    ACTIONS(21958), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym__simple_value_pattern,
    STATE(15813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686898] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18126), 1,
      anon_sym_RBRACE,
    ACTIONS(21960), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686918] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18302), 1,
      anon_sym_RBRACE,
    ACTIONS(21962), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686938] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14737), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15816), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(21964), 1,
      anon_sym_RPAREN,
    STATE(15817), 1,
      sym_attribute,
    STATE(17520), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21966), 1,
      anon_sym_SEMI,
    ACTIONS(21968), 1,
      anon_sym_RBRACE,
    STATE(15814), 1,
      aux_sym_record_expression_repeat1,
    STATE(15818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14726), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15819), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21970), 1,
      anon_sym_RPAREN,
    STATE(15820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687038] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11566), 1,
      anon_sym_GT,
    ACTIONS(21972), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687058] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3793), 1,
      anon_sym_RBRACK,
    ACTIONS(21974), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687078] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18340), 1,
      anon_sym_RBRACE,
    ACTIONS(21976), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687098] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19848), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687118] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19848), 1,
      anon_sym_RBRACK,
    STATE(15787), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687138] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21978), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687158] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21980), 1,
      anon_sym_RPAREN,
    STATE(15827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687178] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21982), 1,
      aux_sym_quoted_extension_token1,
    STATE(15828), 1,
      sym_attribute,
    STATE(17548), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687198] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(15829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687216] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14700), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15830), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687236] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17492), 1,
      anon_sym_SEMI,
    ACTIONS(17494), 1,
      anon_sym_GT,
    STATE(15821), 1,
      aux_sym_object_type_repeat1,
    STATE(15831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687256] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21984), 1,
      anon_sym_RPAREN,
    STATE(15832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687276] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14697), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15833), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687296] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9696), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15824), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687316] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14696), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15835), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687336] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19198), 1,
      anon_sym_RBRACK,
    STATE(15732), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687356] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(21986), 1,
      anon_sym_RPAREN,
    STATE(15837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687376] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19198), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687396] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18354), 1,
      anon_sym_RBRACE,
    ACTIONS(21988), 1,
      anon_sym_SEMI,
    STATE(15839), 1,
      sym_attribute,
    STATE(15952), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687416] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21990), 1,
      anon_sym_RPAREN,
    STATE(15840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687436] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21992), 1,
      aux_sym_quoted_extension_token1,
    STATE(15841), 1,
      sym_attribute,
    STATE(17586), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(15842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687474] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9698), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15843), 1,
      sym_attribute,
    STATE(15851), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687494] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17274), 1,
      anon_sym_SEMI,
    ACTIONS(17276), 1,
      anon_sym_GT,
    STATE(15844), 1,
      sym_attribute,
    STATE(15854), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687514] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14673), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15845), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687534] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10561), 1,
      sym_attribute_id,
    STATE(15846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21994), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687552] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(21996), 1,
      anon_sym_RPAREN,
    STATE(15847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687572] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14670), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15848), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687592] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(21998), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687612] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19206), 1,
      anon_sym_RBRACK,
    STATE(15850), 1,
      sym_attribute,
    STATE(15869), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687632] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19206), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687652] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14666), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15852), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687672] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18362), 1,
      anon_sym_RBRACE,
    ACTIONS(22000), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11314), 1,
      anon_sym_GT,
    ACTIONS(22002), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687712] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22004), 1,
      anon_sym_RPAREN,
    STATE(15855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687732] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22006), 1,
      aux_sym_quoted_extension_token1,
    STATE(15856), 1,
      sym_attribute,
    STATE(18243), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687752] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(15857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687770] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22008), 1,
      anon_sym_SEMI,
    ACTIONS(22010), 1,
      anon_sym_RBRACE,
    STATE(15858), 1,
      sym_attribute,
    STATE(15884), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687790] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22012), 1,
      anon_sym_SEMI,
    ACTIONS(22014), 1,
      anon_sym_RBRACE,
    STATE(15859), 1,
      sym_attribute,
    STATE(15916), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687810] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22016), 1,
      sym__lowercase_identifier,
    STATE(15860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687830] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22018), 1,
      sym__lowercase_identifier,
    ACTIONS(22020), 1,
      anon_sym_LPAREN,
    STATE(7453), 1,
      sym__simple_value_pattern,
    STATE(15861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687850] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14645), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15862), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22022), 1,
      anon_sym_SEMI,
    ACTIONS(22024), 1,
      anon_sym_GT_RBRACE,
    STATE(15863), 1,
      sym_attribute,
    STATE(15887), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22026), 1,
      anon_sym_SEMI,
    ACTIONS(22028), 1,
      anon_sym_GT_RBRACE,
    STATE(15741), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14640), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15865), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22030), 1,
      anon_sym_RPAREN,
    STATE(15866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18364), 1,
      anon_sym_RBRACE,
    ACTIONS(22032), 1,
      anon_sym_SEMI,
    STATE(15853), 1,
      aux_sym_record_expression_repeat1,
    STATE(15867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687970] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22034), 1,
      anon_sym_RPAREN,
    STATE(15868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687990] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19228), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688010] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19228), 1,
      anon_sym_RBRACK,
    STATE(15870), 1,
      sym_attribute,
    STATE(15893), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14633), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15871), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19818), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22036), 1,
      anon_sym_RPAREN,
    STATE(15873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688090] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19856), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22038), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688110] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22040), 1,
      anon_sym_SEMI,
    ACTIONS(22042), 1,
      anon_sym_RBRACE,
    STATE(15875), 1,
      sym_attribute,
    STATE(15897), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688130] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22044), 1,
      aux_sym_quoted_extension_token1,
    STATE(15876), 1,
      sym_attribute,
    STATE(19387), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688150] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22046), 1,
      anon_sym_SEMI,
    ACTIONS(22048), 1,
      anon_sym_RBRACE,
    STATE(15877), 1,
      sym_attribute,
    STATE(15901), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688170] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3637), 1,
      anon_sym_RBRACK,
    ACTIONS(22050), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688190] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3509), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22052), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(15880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [688228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18366), 1,
      anon_sym_RBRACE,
    ACTIONS(22054), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688248] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22056), 1,
      sym__lowercase_identifier,
    STATE(15882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688268] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3521), 1,
      anon_sym_RBRACK,
    ACTIONS(22058), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688288] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18409), 1,
      anon_sym_RBRACE,
    ACTIONS(22060), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688308] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22062), 1,
      anon_sym_RPAREN,
    STATE(15885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688328] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3653), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22064), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688348] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19232), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22066), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688368] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22068), 1,
      anon_sym_SEMI,
    ACTIONS(22070), 1,
      anon_sym_GT_RBRACE,
    STATE(15888), 1,
      sym_attribute,
    STATE(15928), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688388] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22072), 1,
      anon_sym_RPAREN,
    STATE(15889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688408] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19814), 1,
      anon_sym_RBRACK,
    STATE(15872), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688428] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19814), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22074), 1,
      anon_sym_RPAREN,
    STATE(15892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19244), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22076), 1,
      anon_sym_RPAREN,
    STATE(15894), 1,
      sym_attribute,
    STATE(17606), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14603), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15895), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8556), 1,
      anon_sym_RBRACK,
    ACTIONS(22078), 1,
      anon_sym_SEMI,
    STATE(15269), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17704), 1,
      anon_sym_RBRACE,
    ACTIONS(22080), 1,
      anon_sym_SEMI,
    STATE(15271), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688568] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22082), 1,
      anon_sym_SEMI,
    ACTIONS(22084), 1,
      anon_sym_GT_RBRACE,
    STATE(15874), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8590), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22086), 1,
      anon_sym_SEMI,
    STATE(15548), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8234), 1,
      anon_sym_RBRACK,
    ACTIONS(22088), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17690), 1,
      anon_sym_RBRACE,
    ACTIONS(22090), 1,
      anon_sym_SEMI,
    STATE(15279), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22092), 1,
      anon_sym_SEMI,
    ACTIONS(22094), 1,
      anon_sym_RBRACE,
    STATE(15881), 1,
      aux_sym_record_expression_repeat1,
    STATE(15902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18368), 1,
      anon_sym_RBRACE,
    ACTIONS(22096), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14600), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15904), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22098), 1,
      anon_sym_RPAREN,
    STATE(15905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18429), 1,
      anon_sym_RBRACE,
    ACTIONS(22100), 1,
      anon_sym_SEMI,
    STATE(15906), 1,
      sym_attribute,
    STATE(15922), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20901), 1,
      anon_sym_COLON2,
    ACTIONS(22102), 1,
      anon_sym_RPAREN,
    STATE(15907), 1,
      sym_attribute,
    STATE(17631), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688768] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14597), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15908), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688788] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22104), 1,
      sym__lowercase_identifier,
    STATE(15909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3847), 1,
      anon_sym_RBRACK,
    ACTIONS(22106), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688828] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22108), 1,
      aux_sym_quoted_extension_token1,
    STATE(15911), 1,
      sym_attribute,
    STATE(20220), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22110), 1,
      anon_sym_RPAREN,
    STATE(15912), 1,
      sym_attribute,
    STATE(17647), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(15913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [688886] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11284), 1,
      anon_sym_GT,
    ACTIONS(22112), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688906] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22114), 1,
      anon_sym_RPAREN,
    STATE(15915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688926] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18447), 1,
      anon_sym_RBRACE,
    ACTIONS(22116), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688946] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19806), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688966] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19806), 1,
      anon_sym_RBRACK,
    STATE(15891), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688986] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22118), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689006] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22120), 1,
      anon_sym_RPAREN,
    STATE(15920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689026] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22122), 1,
      anon_sym_RPAREN,
    STATE(15921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689046] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18489), 1,
      anon_sym_RBRACE,
    ACTIONS(22124), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689066] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3851), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22126), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689086] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17470), 1,
      anon_sym_SEMI,
    ACTIONS(17472), 1,
      anon_sym_GT,
    STATE(15914), 1,
      aux_sym_object_type_repeat1,
    STATE(15924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14567), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15925), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689126] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22128), 1,
      sym__lowercase_identifier,
    STATE(15926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9702), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15917), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689166] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19275), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22130), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689186] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14564), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15929), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689206] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8238), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22132), 1,
      anon_sym_SEMI,
    STATE(15549), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689226] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14560), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15931), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689246] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22134), 1,
      anon_sym_RPAREN,
    STATE(15932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689266] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11354), 1,
      anon_sym_GT,
    ACTIONS(22136), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9951), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15934), 1,
      sym_attribute,
    STATE(15946), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689306] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22138), 1,
      aux_sym_quoted_extension_token1,
    STATE(15935), 1,
      sym_attribute,
    STATE(19588), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689326] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_RBRACE,
    ACTIONS(22140), 1,
      anon_sym_SEMI,
    STATE(15936), 1,
      sym_attribute,
    STATE(15958), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689346] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_SEMI,
    ACTIONS(17498), 1,
      anon_sym_GT,
    STATE(15937), 1,
      sym_attribute,
    STATE(15979), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689366] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(15938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [689384] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_GT,
    ACTIONS(22142), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689404] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19293), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18374), 1,
      anon_sym_RBRACE,
    ACTIONS(22144), 1,
      anon_sym_SEMI,
    STATE(15903), 1,
      aux_sym_record_expression_repeat1,
    STATE(15941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10845), 1,
      sym_attribute_id,
    STATE(15942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22146), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [689462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22148), 1,
      anon_sym_RPAREN,
    STATE(15943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22150), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19297), 1,
      anon_sym_RBRACK,
    STATE(15945), 1,
      sym_attribute,
    STATE(15964), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19297), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689542] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18388), 1,
      anon_sym_RBRACE,
    ACTIONS(22152), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689562] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22154), 1,
      anon_sym_RPAREN,
    STATE(15948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689582] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22156), 1,
      anon_sym_RPAREN,
    STATE(15949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689602] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19293), 1,
      anon_sym_RBRACK,
    STATE(15838), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689622] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22158), 1,
      sym__lowercase_identifier,
    STATE(15951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689642] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18382), 1,
      anon_sym_RBRACE,
    ACTIONS(22160), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689662] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22162), 1,
      anon_sym_EQ,
    STATE(15953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689682] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22164), 1,
      sym__lowercase_identifier,
    STATE(15954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689702] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14542), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15955), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689722] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22166), 1,
      anon_sym_SEMI,
    ACTIONS(22168), 1,
      anon_sym_RBRACE,
    STATE(15956), 1,
      sym_attribute,
    STATE(15982), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689742] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22170), 1,
      anon_sym_RPAREN,
    STATE(15957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689762] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18546), 1,
      anon_sym_RBRACE,
    ACTIONS(22172), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689782] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14534), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15959), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689802] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22174), 1,
      anon_sym_SEMI,
    ACTIONS(22176), 1,
      anon_sym_GT_RBRACE,
    STATE(15960), 1,
      sym_attribute,
    STATE(15984), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689822] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18390), 1,
      anon_sym_RBRACE,
    ACTIONS(22178), 1,
      anon_sym_SEMI,
    STATE(15947), 1,
      aux_sym_record_expression_repeat1,
    STATE(15961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689842] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22180), 1,
      anon_sym_RPAREN,
    STATE(15962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689862] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22182), 1,
      anon_sym_RPAREN,
    STATE(15963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689882] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19317), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689902] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19317), 1,
      anon_sym_RBRACK,
    STATE(15965), 1,
      sym_attribute,
    STATE(15985), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689922] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19773), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689942] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14527), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15967), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689962] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19771), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22184), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689982] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22186), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690002] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22188), 1,
      anon_sym_RPAREN,
    STATE(15970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690022] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22190), 1,
      anon_sym_RPAREN,
    STATE(15971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690042] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22192), 1,
      anon_sym_SEMI,
    ACTIONS(22194), 1,
      anon_sym_RBRACE,
    STATE(15972), 1,
      sym_attribute,
    STATE(15988), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690062] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3787), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22196), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690082] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22198), 1,
      anon_sym_SEMI,
    ACTIONS(22200), 1,
      anon_sym_RBRACE,
    STATE(15974), 1,
      sym_attribute,
    STATE(15996), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18392), 1,
      anon_sym_RBRACE,
    ACTIONS(22202), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690122] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19769), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22204), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3797), 1,
      anon_sym_RBRACK,
    ACTIONS(22206), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690162] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22208), 1,
      aux_sym_quoted_extension_token1,
    STATE(15978), 1,
      sym_attribute,
    STATE(19316), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690182] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11454), 1,
      anon_sym_GT,
    ACTIONS(22210), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(15979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690202] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22212), 1,
      anon_sym_RPAREN,
    STATE(15980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(15981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [690240] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_RBRACE,
    ACTIONS(22214), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(15982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690260] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3849), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22216), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(15983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19321), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22218), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19323), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690320] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22220), 1,
      anon_sym_RPAREN,
    STATE(15986), 1,
      sym_attribute,
    STATE(18157), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690340] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8562), 1,
      anon_sym_RBRACK,
    ACTIONS(22222), 1,
      anon_sym_SEMI,
    STATE(15269), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690360] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17632), 1,
      anon_sym_RBRACE,
    ACTIONS(22224), 1,
      anon_sym_SEMI,
    STATE(15271), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19761), 1,
      anon_sym_RBRACK,
    STATE(15966), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8568), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22226), 1,
      anon_sym_SEMI,
    STATE(15548), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690420] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19761), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690440] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22228), 1,
      anon_sym_EQ,
    STATE(15992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690460] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22230), 1,
      anon_sym_RPAREN,
    STATE(15993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690480] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8246), 1,
      anon_sym_RBRACK,
    ACTIONS(22232), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690500] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14503), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15995), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17642), 1,
      anon_sym_RBRACE,
    ACTIONS(22234), 1,
      anon_sym_SEMI,
    STATE(15279), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8244), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22236), 1,
      anon_sym_SEMI,
    STATE(15549), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690560] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3853), 1,
      anon_sym_RBRACK,
    ACTIONS(22238), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(15998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22240), 1,
      anon_sym_SEMI,
    ACTIONS(22242), 1,
      anon_sym_GT_RBRACE,
    STATE(15968), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18594), 1,
      anon_sym_RBRACE,
    ACTIONS(22244), 1,
      anon_sym_SEMI,
    STATE(16000), 1,
      sym_attribute,
    STATE(16010), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690620] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17434), 1,
      anon_sym_SEMI,
    ACTIONS(17436), 1,
      anon_sym_GT,
    STATE(15933), 1,
      aux_sym_object_type_repeat1,
    STATE(16001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9836), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(15940), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22246), 1,
      anon_sym_SEMI,
    ACTIONS(22248), 1,
      anon_sym_RBRACE,
    STATE(15975), 1,
      aux_sym_record_expression_repeat1,
    STATE(16003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16004), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22250), 1,
      sym__lowercase_identifier,
    STATE(16005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22252), 1,
      anon_sym_RPAREN,
    STATE(16006), 1,
      sym_attribute,
    STATE(18218), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690740] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14489), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16007), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690760] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22254), 1,
      anon_sym_RPAREN,
    STATE(16008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690780] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22256), 1,
      aux_sym_quoted_extension_token1,
    STATE(16009), 1,
      sym_attribute,
    STATE(18803), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690800] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_RBRACE,
    ACTIONS(22258), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(16011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [690838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22260), 1,
      anon_sym_RPAREN,
    STATE(16012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690858] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(16013), 1,
      sym_attribute,
    STATE(16027), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690878] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17402), 1,
      anon_sym_SEMI,
    ACTIONS(17404), 1,
      anon_sym_GT,
    STATE(16014), 1,
      sym_attribute,
    STATE(16028), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690898] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22262), 1,
      anon_sym_SEMI,
    ACTIONS(22264), 1,
      anon_sym_RBRACE,
    STATE(16015), 1,
      sym_attribute,
    STATE(16057), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690918] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22266), 1,
      anon_sym_RPAREN,
    STATE(16016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690938] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3799), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22268), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22270), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19751), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19751), 1,
      anon_sym_RBRACK,
    STATE(15991), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22272), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691038] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22274), 1,
      anon_sym_RPAREN,
    STATE(16022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691058] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22276), 1,
      anon_sym_EQ,
    STATE(16023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691078] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19373), 1,
      anon_sym_RBRACK,
    STATE(16024), 1,
      sym_attribute,
    STATE(16040), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691098] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14462), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16025), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691118] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17466), 1,
      anon_sym_SEMI,
    ACTIONS(17468), 1,
      anon_sym_GT,
    STATE(15939), 1,
      aux_sym_object_type_repeat1,
    STATE(16026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691138] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19373), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691158] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_GT,
    ACTIONS(22278), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(16028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691178] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18564), 1,
      anon_sym_RBRACE,
    ACTIONS(22280), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691198] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14454), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16030), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691218] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22282), 1,
      anon_sym_SEMI,
    ACTIONS(22284), 1,
      anon_sym_GT_RBRACE,
    STATE(16031), 1,
      sym_attribute,
    STATE(16073), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691238] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(16019), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691258] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14450), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16033), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691278] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22286), 1,
      anon_sym_SEMI,
    ACTIONS(22288), 1,
      anon_sym_GT_RBRACE,
    STATE(16034), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691298] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_RBRACE,
    ACTIONS(22290), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691318] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22292), 1,
      aux_sym_quoted_extension_token1,
    STATE(16036), 1,
      sym_attribute,
    STATE(18405), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691338] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22294), 1,
      anon_sym_RPAREN,
    STATE(16037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691358] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3803), 1,
      anon_sym_RBRACK,
    ACTIONS(22296), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691378] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(16039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691396] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19391), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691416] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19391), 1,
      anon_sym_RBRACK,
    STATE(16041), 1,
      sym_attribute,
    STATE(16048), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691436] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22298), 1,
      anon_sym_RPAREN,
    STATE(16042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691456] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22300), 1,
      anon_sym_SEMI,
    ACTIONS(22302), 1,
      anon_sym_RBRACE,
    STATE(16043), 1,
      sym_attribute,
    STATE(16052), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691476] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22304), 1,
      anon_sym_SEMI,
    ACTIONS(22306), 1,
      anon_sym_RBRACE,
    STATE(16044), 1,
      sym_attribute,
    STATE(16045), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691496] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18568), 1,
      anon_sym_RBRACE,
    ACTIONS(22308), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691516] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22310), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19395), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22312), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691556] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19397), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691576] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22314), 1,
      anon_sym_RPAREN,
    STATE(16049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691596] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22316), 1,
      anon_sym_RPAREN,
    STATE(16050), 1,
      sym_attribute,
    STATE(18657), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691616] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8230), 1,
      anon_sym_RBRACK,
    ACTIONS(22318), 1,
      anon_sym_SEMI,
    STATE(15277), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691636] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17756), 1,
      anon_sym_RBRACE,
    ACTIONS(22320), 1,
      anon_sym_SEMI,
    STATE(15279), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691656] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8228), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22322), 1,
      anon_sym_SEMI,
    STATE(15549), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691676] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22324), 1,
      anon_sym_RPAREN,
    STATE(16054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691696] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18560), 1,
      anon_sym_RBRACE,
    ACTIONS(22326), 1,
      anon_sym_SEMI,
    STATE(16055), 1,
      sym_attribute,
    STATE(16068), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691716] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3905), 1,
      anon_sym_RBRACK,
    ACTIONS(22328), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691736] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18558), 1,
      anon_sym_RBRACE,
    ACTIONS(22330), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22332), 1,
      anon_sym_EQ,
    STATE(16058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691776] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14416), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16059), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22334), 1,
      sym__lowercase_identifier,
    STATE(16060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691816] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22336), 1,
      anon_sym_RPAREN,
    STATE(16061), 1,
      sym_attribute,
    STATE(18723), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691836] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22338), 1,
      sym__lowercase_identifier,
    STATE(16062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3899), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22340), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(16064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14401), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16065), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691914] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22342), 1,
      anon_sym_RPAREN,
    STATE(16066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691934] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18415), 1,
      anon_sym_RBRACE,
    ACTIONS(22344), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691954] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18554), 1,
      anon_sym_RBRACE,
    ACTIONS(22346), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691974] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14398), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16069), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691994] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22348), 1,
      aux_sym_quoted_extension_token1,
    STATE(16070), 1,
      sym_attribute,
    STATE(18332), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692014] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22350), 1,
      aux_sym_quoted_extension_token1,
    STATE(16071), 1,
      sym_attribute,
    STATE(17806), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692034] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22352), 1,
      anon_sym_RPAREN,
    STATE(16072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19419), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22354), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(16074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692092] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22356), 1,
      anon_sym_RPAREN,
    STATE(16075), 1,
      sym_attribute,
    STATE(18559), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692112] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3683), 1,
      anon_sym_RBRACK,
    ACTIONS(22358), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692132] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22360), 1,
      anon_sym_RPAREN,
    STATE(16077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692152] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9864), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(16078), 1,
      sym_attribute,
    STATE(16088), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692172] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11554), 1,
      anon_sym_GT,
    ACTIONS(22362), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(16079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692192] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22364), 1,
      sym__lowercase_identifier,
    STATE(16080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692212] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14220), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16081), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692232] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17260), 1,
      anon_sym_SEMI,
    ACTIONS(17262), 1,
      anon_sym_GT,
    STATE(16082), 1,
      sym_attribute,
    STATE(16092), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692252] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18538), 1,
      anon_sym_RBRACE,
    ACTIONS(22366), 1,
      anon_sym_SEMI,
    STATE(16083), 1,
      sym_attribute,
    STATE(16118), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18548), 1,
      anon_sym_RBRACE,
    ACTIONS(22368), 1,
      anon_sym_SEMI,
    STATE(16029), 1,
      aux_sym_record_expression_repeat1,
    STATE(16084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22370), 1,
      anon_sym_RPAREN,
    STATE(16085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692312] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22372), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19431), 1,
      anon_sym_RBRACK,
    STATE(16087), 1,
      sym_attribute,
    STATE(16098), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19431), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692372] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22374), 1,
      anon_sym_RPAREN,
    STATE(16089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22376), 1,
      anon_sym_SEMI,
    ACTIONS(22378), 1,
      anon_sym_GT_RBRACE,
    STATE(15976), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18419), 1,
      anon_sym_RBRACE,
    ACTIONS(22380), 1,
      anon_sym_SEMI,
    STATE(16067), 1,
      aux_sym_record_expression_repeat1,
    STATE(16091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692432] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11280), 1,
      anon_sym_GT,
    ACTIONS(22382), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(16092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692452] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22384), 1,
      anon_sym_RPAREN,
    STATE(16093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692472] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22386), 1,
      anon_sym_SEMI,
    ACTIONS(22388), 1,
      anon_sym_RBRACE,
    STATE(16094), 1,
      sym_attribute,
    STATE(16104), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692492] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22390), 1,
      anon_sym_RPAREN,
    STATE(16095), 1,
      sym_attribute,
    STATE(18763), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692512] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22392), 1,
      anon_sym_SEMI,
    ACTIONS(22394), 1,
      anon_sym_GT_RBRACE,
    STATE(16096), 1,
      sym_attribute,
    STATE(16112), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692532] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22396), 1,
      anon_sym_RPAREN,
    STATE(16097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692552] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19441), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692572] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19714), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692592] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19441), 1,
      anon_sym_RBRACK,
    STATE(16100), 1,
      sym_attribute,
    STATE(16115), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692612] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22398), 1,
      anon_sym_RPAREN,
    STATE(16101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692632] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19712), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22400), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692652] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3405), 1,
      anon_sym_RBRACK,
    ACTIONS(22402), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692672] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18536), 1,
      anon_sym_RBRACE,
    ACTIONS(22404), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22406), 1,
      anon_sym_RBRACK,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692712] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22408), 1,
      sym__lowercase_identifier,
    STATE(16106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692732] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(16107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692750] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3595), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22410), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692770] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14223), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16109), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692790] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22412), 1,
      anon_sym_RPAREN,
    STATE(16110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692810] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22414), 1,
      anon_sym_EQ,
    STATE(16111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692830] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19449), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22416), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692850] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14358), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16113), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3777), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22418), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19455), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18423), 1,
      anon_sym_RBRACE,
    ACTIONS(22420), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9876), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(16117), 1,
      sym_attribute,
    STATE(16216), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18534), 1,
      anon_sym_RBRACE,
    ACTIONS(22422), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692970] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_RBRACK,
    ACTIONS(22424), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692990] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(22426), 1,
      anon_sym_RBRACK,
    STATE(16120), 1,
      sym_attribute,
    STATE(16154), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693010] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22428), 1,
      anon_sym_RPAREN,
    STATE(16121), 1,
      sym_attribute,
    STATE(18951), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22430), 1,
      anon_sym_RPAREN,
    STATE(16122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22432), 1,
      anon_sym_RPAREN,
    STATE(16123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19459), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693090] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14352), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16125), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693110] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22434), 1,
      sym__lowercase_identifier,
    STATE(16126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693130] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22436), 1,
      anon_sym_RPAREN,
    STATE(16127), 1,
      sym_attribute,
    STATE(19014), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693150] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14343), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16128), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693170] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22438), 1,
      anon_sym_SEMI,
    ACTIONS(22440), 1,
      anon_sym_RBRACE,
    STATE(16035), 1,
      aux_sym_record_expression_repeat1,
    STATE(16129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693190] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22442), 1,
      anon_sym_RPAREN,
    STATE(16130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693210] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19696), 1,
      anon_sym_RBRACK,
    STATE(16099), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18530), 1,
      anon_sym_RBRACE,
    ACTIONS(22444), 1,
      anon_sym_SEMI,
    STATE(16132), 1,
      sym_attribute,
    STATE(16134), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693250] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14227), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16133), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693270] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18514), 1,
      anon_sym_RBRACE,
    ACTIONS(22446), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693290] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22448), 1,
      anon_sym_EQ,
    STATE(16135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693310] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22450), 1,
      aux_sym_quoted_extension_token1,
    STATE(16136), 1,
      sym_attribute,
    STATE(17468), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693330] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19696), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693350] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(16138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693368] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19474), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22452), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693388] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(16140), 1,
      sym_attribute,
    STATE(16148), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693408] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22454), 1,
      anon_sym_RPAREN,
    STATE(16141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693428] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17302), 1,
      anon_sym_SEMI,
    ACTIONS(17304), 1,
      anon_sym_GT,
    STATE(16142), 1,
      sym_attribute,
    STATE(16152), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3865), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22456), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22458), 1,
      anon_sym_RPAREN,
    STATE(16144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22460), 1,
      anon_sym_EQ,
    STATE(16145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22462), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19482), 1,
      anon_sym_RBRACK,
    STATE(16147), 1,
      sym_attribute,
    STATE(16160), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19482), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693568] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18516), 1,
      anon_sym_RBRACE,
    ACTIONS(22464), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3855), 1,
      anon_sym_RBRACK,
    ACTIONS(22466), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18451), 1,
      anon_sym_RBRACE,
    ACTIONS(22468), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11470), 1,
      anon_sym_GT,
    ACTIONS(22470), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(16152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17378), 1,
      anon_sym_SEMI,
    ACTIONS(17380), 1,
      anon_sym_GT,
    STATE(16079), 1,
      aux_sym_object_type_repeat1,
    STATE(16153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(22472), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(16154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(22472), 1,
      anon_sym_RBRACK,
    STATE(16155), 1,
      sym_attribute,
    STATE(16173), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22474), 1,
      anon_sym_SEMI,
    ACTIONS(22476), 1,
      anon_sym_GT_RBRACE,
    STATE(16102), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22478), 1,
      anon_sym_SEMI,
    ACTIONS(22480), 1,
      anon_sym_RBRACE,
    STATE(16157), 1,
      sym_attribute,
    STATE(16170), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22482), 1,
      anon_sym_SEMI,
    ACTIONS(22484), 1,
      anon_sym_GT_RBRACE,
    STATE(16158), 1,
      sym_attribute,
    STATE(16182), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693768] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22486), 1,
      anon_sym_RPAREN,
    STATE(16159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693788] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19496), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19496), 1,
      anon_sym_RBRACK,
    STATE(16161), 1,
      sym_attribute,
    STATE(16183), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22488), 1,
      anon_sym_RPAREN,
    STATE(16162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3409), 1,
      anon_sym_RBRACK,
    ACTIONS(22490), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22492), 1,
      anon_sym_EQ,
    STATE(16164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22494), 1,
      anon_sym_SEMI,
    ACTIONS(22496), 1,
      anon_sym_RBRACE,
    STATE(16116), 1,
      aux_sym_record_expression_repeat1,
    STATE(16165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9801), 1,
      sym__type_equation,
    STATE(16166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22498), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [693926] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22500), 1,
      anon_sym_RBRACK,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10298), 1,
      sym__type_equation,
    STATE(16168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22502), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [693964] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22504), 1,
      anon_sym_EQ,
    STATE(16169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693984] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18512), 1,
      anon_sym_RBRACE,
    ACTIONS(22506), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694004] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22508), 1,
      anon_sym_EQ,
    STATE(16171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694024] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9777), 1,
      sym__type_equation,
    STATE(16172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22498), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [694042] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(22510), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(16173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694062] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3609), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22512), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694082] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22514), 1,
      anon_sym_RPAREN,
    STATE(16175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22516), 1,
      anon_sym_RBRACK,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694122] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22518), 1,
      anon_sym_EQ,
    STATE(16177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22520), 1,
      anon_sym_EQ,
    STATE(16178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694162] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14307), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16179), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10300), 1,
      sym__type_equation,
    STATE(16180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22502), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [694200] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22522), 1,
      anon_sym_EQ,
    STATE(16181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694220] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22524), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694240] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19508), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694260] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22526), 1,
      anon_sym_RPAREN,
    STATE(16184), 1,
      sym_attribute,
    STATE(19395), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18506), 1,
      anon_sym_RBRACE,
    ACTIONS(22528), 1,
      anon_sym_SEMI,
    STATE(16185), 1,
      sym_attribute,
    STATE(16196), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22530), 1,
      anon_sym_SEMI,
    ACTIONS(22532), 1,
      anon_sym_RBRACE,
    STATE(16186), 1,
      sym_attribute,
    STATE(16225), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694320] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14299), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16187), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694340] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19524), 1,
      anon_sym_RBRACK,
    STATE(16124), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694360] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22534), 1,
      sym__lowercase_identifier,
    STATE(16189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19524), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22536), 1,
      anon_sym_RPAREN,
    STATE(16191), 1,
      sym_attribute,
    STATE(19345), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694420] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14293), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16192), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694440] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22538), 1,
      anon_sym_RPAREN,
    STATE(16193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694460] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11542), 1,
      anon_sym_GT,
    ACTIONS(22540), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(16194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694480] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22542), 1,
      anon_sym_RPAREN,
    STATE(16195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694500] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18498), 1,
      anon_sym_RBRACE,
    ACTIONS(22544), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    STATE(16137), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694560] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22546), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22548), 1,
      anon_sym_RPAREN,
    STATE(16200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694600] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22550), 1,
      aux_sym_quoted_extension_token1,
    STATE(16201), 1,
      sym_attribute,
    STATE(17699), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(16202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22552), 1,
      anon_sym_RPAREN,
    STATE(16203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694658] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17414), 1,
      anon_sym_SEMI,
    ACTIONS(17416), 1,
      anon_sym_GT,
    STATE(16194), 1,
      aux_sym_object_type_repeat1,
    STATE(16204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694678] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22554), 1,
      anon_sym_SEMI,
    ACTIONS(22556), 1,
      anon_sym_GT_RBRACE,
    STATE(16205), 1,
      sym_attribute,
    STATE(16255), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694698] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9854), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(16206), 1,
      sym_attribute,
    STATE(16212), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694718] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(16197), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694738] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17331), 1,
      anon_sym_SEMI,
    ACTIONS(17333), 1,
      anon_sym_GT,
    STATE(16208), 1,
      sym_attribute,
    STATE(16217), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22558), 1,
      anon_sym_RPAREN,
    STATE(16209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694778] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22560), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694798] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19542), 1,
      anon_sym_RBRACK,
    STATE(16211), 1,
      sym_attribute,
    STATE(16223), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694818] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19542), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22562), 1,
      anon_sym_RPAREN,
    STATE(16213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694858] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22564), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694878] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19658), 1,
      anon_sym_RBRACK,
    STATE(16190), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694898] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19658), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694918] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11310), 1,
      anon_sym_GT,
    ACTIONS(22566), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(16217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694938] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3845), 1,
      anon_sym_RBRACK,
    ACTIONS(22568), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22570), 1,
      anon_sym_SEMI,
    ACTIONS(22572), 1,
      anon_sym_RBRACE,
    STATE(16219), 1,
      sym_attribute,
    STATE(16231), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22574), 1,
      anon_sym_SEMI,
    ACTIONS(22576), 1,
      anon_sym_GT_RBRACE,
    STATE(16220), 1,
      sym_attribute,
    STATE(16234), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20080), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22578), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22580), 1,
      anon_sym_RPAREN,
    STATE(16222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695038] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19552), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695058] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19552), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      sym_attribute,
    STATE(16235), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695078] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18483), 1,
      anon_sym_RBRACE,
    ACTIONS(22582), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695098] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22584), 1,
      anon_sym_RPAREN,
    STATE(16226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695118] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3293), 1,
      anon_sym_RBRACK,
    ACTIONS(22586), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695138] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18439), 1,
      anon_sym_RBRACE,
    ACTIONS(22588), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695158] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22590), 1,
      anon_sym_SEMI,
    ACTIONS(22592), 1,
      anon_sym_GT_RBRACE,
    STATE(16139), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695178] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22594), 1,
      anon_sym_RPAREN,
    STATE(16230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695198] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18481), 1,
      anon_sym_RBRACE,
    ACTIONS(22596), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695218] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3291), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22598), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695238] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22600), 1,
      anon_sym_RPAREN,
    STATE(16233), 1,
      sym_attribute,
    STATE(19694), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695258] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19562), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22602), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695278] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19564), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695298] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3843), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22604), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695318] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22606), 1,
      sym__lowercase_identifier,
    STATE(16237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695338] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22608), 1,
      anon_sym_RPAREN,
    STATE(16238), 1,
      sym_attribute,
    STATE(19886), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695358] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22610), 1,
      anon_sym_RPAREN,
    STATE(16239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695378] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18477), 1,
      anon_sym_RBRACE,
    ACTIONS(22612), 1,
      anon_sym_SEMI,
    STATE(16240), 1,
      sym_attribute,
    STATE(16256), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695398] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22614), 1,
      anon_sym_EQ,
    STATE(16241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9849), 1,
      sym__type_equation,
    STATE(16242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22616), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [695436] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22618), 1,
      sym__lowercase_identifier,
    STATE(16243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695456] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18445), 1,
      anon_sym_RBRACE,
    ACTIONS(22620), 1,
      anon_sym_SEMI,
    STATE(16228), 1,
      aux_sym_record_expression_repeat1,
    STATE(16244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695476] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22622), 1,
      anon_sym_RPAREN,
    STATE(16245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695496] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22624), 1,
      anon_sym_RBRACK,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695516] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22626), 1,
      anon_sym_RPAREN,
    STATE(16247), 1,
      sym_attribute,
    STATE(19738), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(22628), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(16248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695556] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    ACTIONS(22630), 1,
      anon_sym_RPAREN,
    STATE(16249), 1,
      sym_attribute,
    STATE(20025), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695576] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19638), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695596] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22632), 1,
      anon_sym_EQ,
    STATE(16251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695616] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19636), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22634), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9835), 1,
      sym__type_equation,
    STATE(16253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22616), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [695654] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22636), 1,
      anon_sym_RPAREN,
    STATE(16254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695674] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19579), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22638), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695694] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18475), 1,
      anon_sym_RBRACE,
    ACTIONS(22640), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3481), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22642), 1,
      anon_sym_SEMI,
    STATE(15390), 1,
      aux_sym_list_expression_repeat1,
    STATE(16257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(22644), 1,
      anon_sym_RBRACK,
    STATE(16248), 1,
      aux_sym__type_params_repeat1,
    STATE(16258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18449), 1,
      anon_sym_RBRACE,
    ACTIONS(22646), 1,
      anon_sym_SEMI,
    STATE(15201), 1,
      aux_sym_record_expression_repeat1,
    STATE(16259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(22644), 1,
      anon_sym_RBRACK,
    STATE(14569), 1,
      aux_sym__type_params_repeat1,
    STATE(16260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695794] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3407), 1,
      anon_sym_RBRACK,
    ACTIONS(22648), 1,
      anon_sym_SEMI,
    STATE(15195), 1,
      aux_sym_list_expression_repeat1,
    STATE(16261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695814] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22650), 1,
      anon_sym_SEMI,
    ACTIONS(22652), 1,
      anon_sym_RBRACE,
    STATE(16149), 1,
      aux_sym_record_expression_repeat1,
    STATE(16262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695834] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22654), 1,
      anon_sym_RPAREN,
    STATE(16263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695854] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22656), 1,
      anon_sym_EQ,
    STATE(16264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695874] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22658), 1,
      anon_sym_EQ,
    STATE(16265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14260), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16266), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695914] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22660), 1,
      anon_sym_RPAREN,
    STATE(16267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695934] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19630), 1,
      anon_sym_RBRACK,
    STATE(16250), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695954] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19630), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695974] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22662), 1,
      anon_sym_RPAREN,
    STATE(16270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695994] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18459), 1,
      anon_sym_RBRACE,
    ACTIONS(22664), 1,
      anon_sym_SEMI,
    STATE(16151), 1,
      aux_sym_record_expression_repeat1,
    STATE(16271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696014] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    ACTIONS(22666), 1,
      anon_sym_RBRACK,
    STATE(16260), 1,
      aux_sym__type_params_repeat1,
    STATE(16272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696034] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10013), 1,
      anon_sym_RBRACK,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    STATE(16273), 1,
      sym_attribute,
    STATE(16282), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7966), 1,
      aux_sym_tag_token1,
    STATE(14251), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16274), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(16275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696092] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22668), 1,
      anon_sym_SEMI,
    ACTIONS(22670), 1,
      anon_sym_GT_RBRACE,
    STATE(16252), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696112] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17362), 1,
      anon_sym_SEMI,
    ACTIONS(17364), 1,
      anon_sym_GT,
    STATE(16277), 1,
      sym_attribute,
    STATE(16286), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696132] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18744), 1,
      anon_sym_DASH_GT,
    ACTIONS(18746), 1,
      anon_sym_with,
    ACTIONS(22672), 1,
      anon_sym_RPAREN,
    STATE(16278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696152] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(22674), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696172] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19614), 1,
      anon_sym_RBRACK,
    STATE(16269), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696192] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(16281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696210] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19002), 1,
      anon_sym_PIPE,
    ACTIONS(19614), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22676), 1,
      anon_sym_SEMI,
    ACTIONS(22678), 1,
      anon_sym_RBRACE,
    STATE(16259), 1,
      aux_sym_record_expression_repeat1,
    STATE(16283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696250] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22680), 1,
      anon_sym_RPAREN,
    STATE(16284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696270] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(20126), 1,
      sym_indexing_operator,
    ACTIONS(22682), 1,
      sym__lowercase_identifier,
    STATE(16285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696290] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11538), 1,
      anon_sym_GT,
    ACTIONS(22684), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(16286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696310] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22686), 1,
      aux_sym_quoted_extension_token1,
    STATE(16287), 1,
      sym_attribute,
    STATE(18004), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22688), 1,
      anon_sym_RPAREN,
    ACTIONS(22690), 1,
      anon_sym_LT_DASH,
    STATE(16288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22692), 1,
      anon_sym_then,
    STATE(9582), 1,
      sym_then_clause,
    STATE(16289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22694), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22696), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22698), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22700), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22702), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22704), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696454] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22706), 1,
      anon_sym_then,
    STATE(8171), 1,
      sym_then_clause,
    STATE(16296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(22708), 1,
      anon_sym_DOT,
    STATE(16297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22710), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696503] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16299), 1,
      sym_attribute,
    STATE(17865), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(22712), 1,
      sym__lowercase_identifier,
    STATE(16300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22714), 1,
      sym__lowercase_identifier,
    STATE(16301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22716), 1,
      anon_sym_RPAREN,
    ACTIONS(22718), 1,
      anon_sym_LT_DASH,
    STATE(16302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9953), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(22720), 1,
      anon_sym_DOT,
    STATE(16304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(22722), 1,
      sym__lowercase_identifier,
    STATE(16305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(22724), 1,
      anon_sym_DOT,
    STATE(16306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22726), 1,
      anon_sym_RPAREN,
    ACTIONS(22728), 1,
      anon_sym_LT_DASH,
    STATE(16307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696656] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22730), 1,
      anon_sym_RPAREN,
    ACTIONS(22732), 1,
      anon_sym_LT_DASH,
    STATE(16308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696673] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(22734), 1,
      anon_sym_DOT,
    STATE(16309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22736), 1,
      anon_sym_RPAREN,
    ACTIONS(22738), 1,
      anon_sym_LT_DASH,
    STATE(16310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(22740), 1,
      anon_sym_DOT,
    STATE(16311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(22742), 1,
      anon_sym_DOT,
    STATE(16312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_then,
    STATE(10080), 1,
      sym_then_clause,
    STATE(16313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22746), 1,
      anon_sym_then,
    STATE(8366), 1,
      sym_then_clause,
    STATE(16314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9461), 1,
      sym_type_variable,
    STATE(16315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    STATE(14932), 1,
      sym_extended_module_path,
    STATE(16316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22748), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22750), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22752), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [696854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22754), 1,
      anon_sym_RPAREN,
    ACTIONS(22756), 1,
      anon_sym_LT_DASH,
    STATE(16320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22758), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22760), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [696901] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22762), 1,
      anon_sym_then,
    STATE(11775), 1,
      sym_then_clause,
    STATE(16323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696918] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16324), 1,
      sym_attribute,
    STATE(20203), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22764), 1,
      anon_sym_RPAREN,
    ACTIONS(22766), 1,
      anon_sym_LT_DASH,
    STATE(16325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696952] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(22768), 1,
      anon_sym_DOT,
    STATE(16326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8594), 1,
      anon_sym_COLON_GT,
    ACTIONS(8596), 1,
      anon_sym_EQ,
    STATE(16327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22770), 1,
      anon_sym_RPAREN,
    ACTIONS(22772), 1,
      anon_sym_LT_DASH,
    STATE(16328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22774), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10013), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22776), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22778), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [697065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17474), 1,
      sym__lowercase_identifier,
    STATE(16333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22780), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [697097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22782), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(22784), 1,
      sym__lowercase_identifier,
    STATE(16336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16337), 1,
      sym_attribute,
    STATE(19828), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22786), 1,
      anon_sym_DASH_GT,
    STATE(16338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17386), 1,
      sym__lowercase_identifier,
    STATE(16339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22788), 1,
      anon_sym_open,
    STATE(16340), 1,
      sym_attribute,
    STATE(20006), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14257), 1,
      sym__simple_value_pattern,
    STATE(16341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18000), 1,
      anon_sym_COLON2,
    STATE(16342), 1,
      sym_attribute,
    STATE(19793), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22790), 1,
      anon_sym_then,
    STATE(11921), 1,
      sym_then_clause,
    STATE(16343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22792), 1,
      sym__lowercase_identifier,
    ACTIONS(22794), 1,
      anon_sym_LPAREN,
    STATE(16344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22796), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_then,
    STATE(11791), 1,
      sym_then_clause,
    STATE(16346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697297] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(22800), 1,
      anon_sym_RPAREN,
    STATE(16347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697314] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_then,
    STATE(11204), 1,
      sym_then_clause,
    STATE(16348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17310), 1,
      sym__lowercase_identifier,
    STATE(16349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22804), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [697363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22806), 1,
      sym__lowercase_identifier,
    STATE(16351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697380] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22658), 1,
      anon_sym_EQ,
    ACTIONS(22808), 1,
      anon_sym_COLON_GT,
    STATE(16352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22810), 1,
      anon_sym_RPAREN,
    ACTIONS(22812), 1,
      anon_sym_SEMI,
    STATE(16353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22810), 1,
      anon_sym_RBRACK,
    ACTIONS(22814), 1,
      anon_sym_SEMI,
    STATE(16354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22810), 1,
      anon_sym_RBRACE,
    ACTIONS(22816), 1,
      anon_sym_SEMI,
    STATE(16355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22818), 1,
      anon_sym_RPAREN,
    ACTIONS(22820), 1,
      anon_sym_LT_DASH,
    STATE(16356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22822), 1,
      anon_sym_COLON_GT,
    ACTIONS(22824), 1,
      anon_sym_RPAREN,
    STATE(16357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22826), 1,
      sym__lowercase_identifier,
    ACTIONS(22828), 1,
      anon_sym_LBRACK,
    STATE(16358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22830), 1,
      sym__lowercase_identifier,
    ACTIONS(22832), 1,
      anon_sym_LPAREN,
    STATE(16359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697516] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22746), 1,
      anon_sym_then,
    STATE(8352), 1,
      sym_then_clause,
    STATE(16360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697533] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22834), 1,
      anon_sym_do,
    STATE(7987), 1,
      sym_do_clause,
    STATE(16361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22836), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [697565] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22838), 1,
      anon_sym_then,
    STATE(11842), 1,
      sym_then_clause,
    STATE(16363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697582] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22840), 1,
      anon_sym_COLON_GT,
    ACTIONS(22842), 1,
      anon_sym_RPAREN,
    STATE(16364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697599] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22762), 1,
      anon_sym_then,
    STATE(11788), 1,
      sym_then_clause,
    STATE(16365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22844), 1,
      sym__lowercase_identifier,
    STATE(16366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697633] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22846), 1,
      anon_sym_COLON_GT,
    ACTIONS(22848), 1,
      anon_sym_RPAREN,
    STATE(16367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697650] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_then,
    STATE(11767), 1,
      sym_then_clause,
    STATE(16368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22850), 1,
      anon_sym_RPAREN,
    ACTIONS(22852), 1,
      anon_sym_LT_DASH,
    STATE(16369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697684] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(22854), 1,
      anon_sym_DOT,
    STATE(16370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697701] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9760), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22856), 1,
      anon_sym_COLON_GT,
    ACTIONS(22858), 1,
      anon_sym_RPAREN,
    STATE(16372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697735] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22860), 1,
      anon_sym_RPAREN,
    ACTIONS(22862), 1,
      anon_sym_LT_DASH,
    STATE(16373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22864), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22866), 1,
      anon_sym_COLON_GT,
    ACTIONS(22868), 1,
      anon_sym_RPAREN,
    STATE(16375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22870), 1,
      anon_sym_then,
    STATE(11807), 1,
      sym_then_clause,
    STATE(16376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697801] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16377), 1,
      sym_attribute,
    STATE(17807), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22872), 1,
      sym__lowercase_identifier,
    STATE(16378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22874), 1,
      sym__lowercase_identifier,
    ACTIONS(22876), 1,
      anon_sym_LPAREN,
    STATE(16379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697852] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22878), 1,
      anon_sym_RPAREN,
    ACTIONS(22880), 1,
      anon_sym_LT_DASH,
    STATE(16380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22882), 1,
      sym__lowercase_identifier,
    STATE(16381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22838), 1,
      anon_sym_then,
    STATE(11814), 1,
      sym_then_clause,
    STATE(16382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22884), 1,
      sym__lowercase_identifier,
    ACTIONS(22886), 1,
      anon_sym_LPAREN,
    STATE(16383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17510), 1,
      anon_sym_as,
    ACTIONS(22888), 1,
      anon_sym_DASH_GT,
    STATE(16384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22890), 1,
      sym__lowercase_identifier,
    STATE(16385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    STATE(16386), 1,
      sym_attribute,
    STATE(19666), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22892), 1,
      sym__lowercase_identifier,
    ACTIONS(22894), 1,
      anon_sym_LPAREN,
    STATE(16387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22896), 1,
      anon_sym_COLON_GT,
    ACTIONS(22898), 1,
      anon_sym_RPAREN,
    STATE(16388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22900), 1,
      sym__lowercase_identifier,
    ACTIONS(22902), 1,
      sym__uppercase_identifier,
    STATE(16389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22904), 1,
      anon_sym_then,
    STATE(8138), 1,
      sym_then_clause,
    STATE(16390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698039] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17478), 1,
      sym__lowercase_identifier,
    STATE(16391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16392), 1,
      sym_attribute,
    STATE(19650), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17422), 1,
      sym__lowercase_identifier,
    STATE(16393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22906), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [698105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22908), 1,
      sym__lowercase_identifier,
    STATE(16395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19765), 1,
      sym__lowercase_identifier,
    STATE(14667), 1,
      aux_sym__abstract_type_repeat1,
    STATE(16396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17862), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [698154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(22910), 1,
      sym__lowercase_identifier,
    STATE(16398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10171), 1,
      anon_sym_RPAREN,
    ACTIONS(22912), 1,
      aux_sym_number_token1,
    STATE(16399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22914), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [698203] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8598), 1,
      anon_sym_COLON_GT,
    ACTIONS(8600), 1,
      anon_sym_EQ,
    STATE(16401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22916), 1,
      anon_sym_RPAREN,
    ACTIONS(22918), 1,
      anon_sym_LT_DASH,
    STATE(16402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22920), 1,
      sym__lowercase_identifier,
    ACTIONS(22922), 1,
      anon_sym_LPAREN,
    STATE(16403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18000), 1,
      anon_sym_COLON2,
    STATE(16404), 1,
      sym_attribute,
    STATE(19584), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698271] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22924), 1,
      anon_sym_RPAREN,
    ACTIONS(22926), 1,
      anon_sym_LT_DASH,
    STATE(16405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_then,
    STATE(11492), 1,
      sym_then_clause,
    STATE(16406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22928), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [698320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22930), 1,
      anon_sym_RPAREN,
    ACTIONS(22932), 1,
      anon_sym_LT_DASH,
    STATE(16408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(22934), 1,
      sym__lowercase_identifier,
    STATE(16409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9979), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22936), 1,
      anon_sym_COLON2,
    STATE(11851), 1,
      sym__polymorphic_typed,
    STATE(16411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22938), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [698403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22940), 1,
      anon_sym_RPAREN,
    ACTIONS(22942), 1,
      anon_sym_LT_DASH,
    STATE(16413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [698435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22946), 1,
      sym__lowercase_identifier,
    ACTIONS(22948), 1,
      anon_sym_LBRACK,
    STATE(16415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22950), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [698467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22952), 1,
      sym__lowercase_identifier,
    STATE(16417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17264), 1,
      sym__lowercase_identifier,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    STATE(16418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22746), 1,
      anon_sym_then,
    STATE(8333), 1,
      sym_then_clause,
    STATE(16419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22954), 1,
      sym__lowercase_identifier,
    STATE(16420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22956), 1,
      anon_sym_COLON_GT,
    ACTIONS(22958), 1,
      anon_sym_RPAREN,
    STATE(16421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698552] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22960), 1,
      anon_sym_RPAREN,
    ACTIONS(22962), 1,
      anon_sym_LT_DASH,
    STATE(16422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22790), 1,
      anon_sym_then,
    STATE(11988), 1,
      sym_then_clause,
    STATE(16423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(22964), 1,
      sym__lowercase_identifier,
    STATE(16424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22966), 1,
      anon_sym_COLON_GT,
    ACTIONS(22968), 1,
      anon_sym_RPAREN,
    STATE(16425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22970), 1,
      sym__lowercase_identifier,
    ACTIONS(22972), 1,
      anon_sym_LPAREN,
    STATE(16426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22974), 1,
      anon_sym_RPAREN,
    ACTIONS(22976), 1,
      anon_sym_LT_DASH,
    STATE(16427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14607), 1,
      sym__simple_value_pattern,
    STATE(16428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22978), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [698686] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22980), 1,
      anon_sym_RPAREN,
    ACTIONS(22982), 1,
      anon_sym_LT_DASH,
    STATE(16430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22834), 1,
      anon_sym_do,
    STATE(8141), 1,
      sym_do_clause,
    STATE(16431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(22984), 1,
      sym__lowercase_identifier,
    STATE(16432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22986), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [698752] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22988), 1,
      anon_sym_COLON_GT,
    ACTIONS(22990), 1,
      anon_sym_RPAREN,
    STATE(16434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22992), 1,
      sym__lowercase_identifier,
    ACTIONS(22994), 1,
      anon_sym_LPAREN,
    STATE(16435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16436), 1,
      sym_attribute,
    STATE(19473), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22996), 1,
      anon_sym_RPAREN,
    ACTIONS(22998), 1,
      anon_sym_LT_DASH,
    STATE(16437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23000), 1,
      anon_sym_then,
    STATE(9196), 1,
      sym_then_clause,
    STATE(16438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23002), 1,
      sym__lowercase_identifier,
    STATE(16439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23004), 1,
      anon_sym_RPAREN,
    ACTIONS(23006), 1,
      anon_sym_LT_DASH,
    STATE(16440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23008), 1,
      anon_sym_then,
    STATE(10347), 1,
      sym_then_clause,
    STATE(16441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17406), 1,
      sym__lowercase_identifier,
    STATE(16442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23010), 1,
      anon_sym_RPAREN,
    ACTIONS(23012), 1,
      anon_sym_LT_DASH,
    STATE(16443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11678), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [698937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23014), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [698952] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(21676), 1,
      sym__lowercase_identifier,
    STATE(16446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22746), 1,
      anon_sym_then,
    STATE(8351), 1,
      sym_then_clause,
    STATE(16447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20759), 1,
      anon_sym_EQ,
    ACTIONS(23016), 1,
      anon_sym_COLON_GT,
    STATE(16448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_RPAREN,
    ACTIONS(23020), 1,
      anon_sym_LT_DASH,
    STATE(16449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23022), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [699035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23024), 1,
      anon_sym_RPAREN,
    ACTIONS(23026), 1,
      anon_sym_SEMI,
    STATE(16451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23024), 1,
      anon_sym_RBRACK,
    ACTIONS(23028), 1,
      anon_sym_SEMI,
    STATE(16452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23024), 1,
      anon_sym_RBRACE,
    ACTIONS(23030), 1,
      anon_sym_SEMI,
    STATE(16453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699086] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23032), 1,
      sym__lowercase_identifier,
    STATE(16454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699103] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23034), 1,
      anon_sym_RPAREN,
    ACTIONS(23036), 1,
      anon_sym_LT_DASH,
    STATE(16455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23038), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23040), 1,
      sym__lowercase_identifier,
    STATE(16457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23042), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23044), 1,
      anon_sym_COLON_GT,
    ACTIONS(23046), 1,
      anon_sym_RPAREN,
    STATE(16459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23048), 1,
      anon_sym_RPAREN,
    ACTIONS(23050), 1,
      anon_sym_LT_DASH,
    STATE(16460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23052), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23054), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23056), 1,
      sym__lowercase_identifier,
    STATE(16463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22936), 1,
      anon_sym_COLON2,
    STATE(11761), 1,
      sym__polymorphic_typed,
    STATE(16464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20833), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [699280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23058), 1,
      anon_sym_then,
    STATE(12341), 1,
      sym_then_clause,
    STATE(16466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699297] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23060), 1,
      sym__lowercase_identifier,
    ACTIONS(23062), 1,
      anon_sym_LPAREN,
    STATE(16467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23064), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23066), 1,
      anon_sym_then,
    STATE(12382), 1,
      sym_then_clause,
    STATE(16469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23068), 1,
      anon_sym_COLON_GT,
    ACTIONS(23070), 1,
      anon_sym_RPAREN,
    STATE(16470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699380] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9854), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23072), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22788), 1,
      anon_sym_open,
    STATE(16474), 1,
      sym_attribute,
    STATE(19335), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(23074), 1,
      anon_sym_DASH_GT,
    STATE(16475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23076), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23078), 1,
      anon_sym_DOT,
    STATE(16477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23080), 1,
      sym__lowercase_identifier,
    ACTIONS(23082), 1,
      anon_sym_LPAREN,
    STATE(16478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23084), 1,
      sym__lowercase_identifier,
    STATE(16479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23086), 1,
      anon_sym_COLON_GT,
    ACTIONS(23088), 1,
      anon_sym_RPAREN,
    STATE(16480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22790), 1,
      anon_sym_then,
    STATE(11936), 1,
      sym_then_clause,
    STATE(16481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22838), 1,
      anon_sym_then,
    STATE(11905), 1,
      sym_then_clause,
    STATE(16482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23090), 1,
      anon_sym_COLON_GT,
    ACTIONS(23092), 1,
      anon_sym_RPAREN,
    STATE(16483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23094), 1,
      sym__lowercase_identifier,
    ACTIONS(23096), 1,
      anon_sym_LPAREN,
    STATE(16484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23098), 1,
      anon_sym_RPAREN,
    ACTIONS(23100), 1,
      anon_sym_LT_DASH,
    STATE(16485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23102), 2,
      anon_sym_to,
      anon_sym_downto,
  [699629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23104), 1,
      anon_sym_DOT,
    STATE(16487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20944), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [699661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23106), 1,
      sym__lowercase_identifier,
    STATE(16489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16490), 1,
      sym_attribute,
    STATE(19314), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23108), 1,
      anon_sym_DOT,
    STATE(16491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23110), 1,
      anon_sym_then,
    STATE(12420), 1,
      sym_then_clause,
    STATE(16492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23112), 1,
      anon_sym_DOT,
    STATE(16493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_then,
    STATE(8397), 1,
      sym_then_clause,
    STATE(16494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23116), 1,
      anon_sym_COLON_GT,
    ACTIONS(23118), 1,
      anon_sym_RPAREN,
    STATE(16495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23120), 1,
      sym__lowercase_identifier,
    STATE(16496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23122), 1,
      anon_sym_RPAREN,
    ACTIONS(23124), 1,
      anon_sym_LT_DASH,
    STATE(16497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23126), 1,
      sym__lowercase_identifier,
    ACTIONS(23128), 1,
      anon_sym_LPAREN,
    STATE(16498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699831] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17516), 1,
      anon_sym_RBRACE,
    ACTIONS(23130), 1,
      anon_sym_SEMI,
    STATE(16499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21040), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [699863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      anon_sym_RPAREN,
    STATE(16501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23132), 1,
      sym__lowercase_identifier,
    STATE(16502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16503), 1,
      sym_attribute,
    STATE(17642), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23134), 1,
      anon_sym_RPAREN,
    ACTIONS(23136), 1,
      anon_sym_LT_DASH,
    STATE(16504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23138), 1,
      anon_sym_RPAREN,
    ACTIONS(23140), 1,
      anon_sym_LT_DASH,
    STATE(16505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23142), 1,
      anon_sym_RPAREN,
    ACTIONS(23144), 1,
      anon_sym_LT_DASH,
    STATE(16506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23146), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17534), 1,
      anon_sym_RBRACE,
    ACTIONS(23148), 1,
      anon_sym_SEMI,
    STATE(16508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21066), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [700012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9692), 1,
      anon_sym_RPAREN,
    STATE(16510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23150), 1,
      anon_sym_RPAREN,
    ACTIONS(23152), 1,
      anon_sym_LT_DASH,
    STATE(16511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17488), 1,
      sym__lowercase_identifier,
    STATE(16512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23154), 1,
      anon_sym_RPAREN,
    STATE(16513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22706), 1,
      anon_sym_then,
    STATE(8210), 1,
      sym_then_clause,
    STATE(16514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23156), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23158), 1,
      anon_sym_then,
    STATE(11557), 1,
      sym_then_clause,
    STATE(16516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18000), 1,
      anon_sym_COLON2,
    STATE(16517), 1,
      sym_attribute,
    STATE(16540), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23160), 1,
      sym__lowercase_identifier,
    STATE(16518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23162), 1,
      sym__lowercase_identifier,
    STATE(16519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9654), 1,
      anon_sym_RPAREN,
    STATE(16520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23164), 1,
      anon_sym_COLON_GT,
    ACTIONS(23166), 1,
      anon_sym_RPAREN,
    STATE(16521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16522), 1,
      sym_attribute,
    STATE(19319), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23168), 1,
      anon_sym_RPAREN,
    ACTIONS(23170), 1,
      anon_sym_LT_DASH,
    STATE(16523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23172), 1,
      anon_sym_RPAREN,
    STATE(16524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8610), 1,
      anon_sym_COLON_GT,
    ACTIONS(8612), 1,
      anon_sym_EQ,
    STATE(16525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23174), 1,
      anon_sym_EQ,
    ACTIONS(23176), 1,
      anon_sym_RPAREN,
    STATE(16526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23178), 2,
      anon_sym_to,
      anon_sym_downto,
  [700314] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23180), 1,
      sym__lowercase_identifier,
    STATE(16528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10053), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23182), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23184), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [700378] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    STATE(9057), 1,
      sym_extended_module_path,
    STATE(16532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23186), 1,
      anon_sym_RPAREN,
    ACTIONS(23188), 1,
      anon_sym_LT_DASH,
    STATE(16533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14304), 1,
      sym__simple_value_pattern,
    STATE(16534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23190), 1,
      anon_sym_RPAREN,
    STATE(16535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700446] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23192), 1,
      anon_sym_SEMI,
    ACTIONS(23194), 1,
      anon_sym_RBRACE,
    STATE(16536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23196), 1,
      anon_sym_SEMI,
    ACTIONS(23198), 1,
      anon_sym_RBRACE,
    STATE(16537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23200), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18000), 1,
      anon_sym_COLON2,
    STATE(16539), 1,
      sym_attribute,
    STATE(16563), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23202), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [700527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9658), 1,
      anon_sym_RPAREN,
    STATE(16541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23204), 1,
      anon_sym_RPAREN,
    ACTIONS(23206), 1,
      anon_sym_LT_DASH,
    STATE(16542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23208), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [700576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23210), 1,
      anon_sym_RPAREN,
    ACTIONS(23212), 1,
      anon_sym_LT_DASH,
    STATE(16544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22520), 1,
      anon_sym_EQ,
    ACTIONS(23214), 1,
      anon_sym_COLON_GT,
    STATE(16545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RPAREN,
    ACTIONS(23218), 1,
      anon_sym_SEMI,
    STATE(16546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RBRACK,
    ACTIONS(23220), 1,
      anon_sym_SEMI,
    STATE(16547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RBRACE,
    ACTIONS(23222), 1,
      anon_sym_SEMI,
    STATE(16548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23224), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700676] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23226), 1,
      anon_sym_COLON2,
    STATE(12979), 1,
      sym__typed,
    STATE(16550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23228), 1,
      anon_sym_COLON2,
    STATE(12989), 1,
      sym__polymorphic_typed,
    STATE(16551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23230), 1,
      sym__lowercase_identifier,
    ACTIONS(23232), 1,
      anon_sym_LPAREN,
    STATE(16552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23234), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(23236), 1,
      anon_sym_DASH_GT,
    STATE(16554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700759] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23238), 1,
      anon_sym_DOT,
    STATE(16555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17450), 1,
      sym__lowercase_identifier,
    STATE(16556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22834), 1,
      anon_sym_do,
    STATE(7992), 1,
      sym_do_clause,
    STATE(16557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23240), 1,
      anon_sym_COLON_GT,
    ACTIONS(23242), 1,
      anon_sym_RPAREN,
    STATE(16558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23244), 1,
      sym__lowercase_identifier,
    STATE(16559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23246), 1,
      anon_sym_RPAREN,
    ACTIONS(23248), 1,
      anon_sym_LT_DASH,
    STATE(16560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16561), 1,
      sym_attribute,
    STATE(17526), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23250), 1,
      anon_sym_then,
    STATE(8118), 1,
      sym_then_clause,
    STATE(16562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23252), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [700910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23254), 1,
      anon_sym_RPAREN,
    STATE(16564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21197), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [700942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(23256), 1,
      anon_sym_DASH_GT,
    STATE(16566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23226), 1,
      anon_sym_COLON2,
    STATE(13010), 1,
      sym__typed,
    STATE(16567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23228), 1,
      anon_sym_COLON2,
    STATE(12970), 1,
      sym__polymorphic_typed,
    STATE(16568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23258), 1,
      anon_sym_EQ,
    ACTIONS(23260), 1,
      anon_sym_RPAREN,
    STATE(16569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22834), 1,
      anon_sym_do,
    STATE(8117), 1,
      sym_do_clause,
    STATE(16570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23262), 2,
      anon_sym_to,
      anon_sym_downto,
  [701042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23264), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17316), 1,
      sym__lowercase_identifier,
    STATE(16573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23266), 2,
      anon_sym_to,
      anon_sym_downto,
  [701089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_RPAREN,
    ACTIONS(23270), 1,
      anon_sym_LT_DASH,
    STATE(16575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23272), 1,
      anon_sym_RPAREN,
    ACTIONS(23274), 1,
      anon_sym_LT_DASH,
    STATE(16576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23276), 1,
      sym__lowercase_identifier,
    ACTIONS(23278), 1,
      anon_sym_LPAREN,
    STATE(16577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701140] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23280), 1,
      anon_sym_RPAREN,
    STATE(16578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701157] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23282), 1,
      anon_sym_COLON_GT,
    ACTIONS(23284), 1,
      anon_sym_RPAREN,
    STATE(16579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16580), 1,
      sym_attribute,
    STATE(18121), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701191] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23286), 1,
      anon_sym_COLON_GT,
    ACTIONS(23288), 1,
      anon_sym_RPAREN,
    STATE(16581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701208] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23290), 1,
      anon_sym_RPAREN,
    ACTIONS(23292), 1,
      anon_sym_LT_DASH,
    STATE(16582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22448), 1,
      anon_sym_EQ,
    ACTIONS(23294), 1,
      anon_sym_COLON_GT,
    STATE(16583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23296), 1,
      sym__lowercase_identifier,
    STATE(16584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23298), 1,
      anon_sym_RPAREN,
    ACTIONS(23300), 1,
      anon_sym_LT_DASH,
    STATE(16585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701276] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23302), 1,
      anon_sym_RPAREN,
    ACTIONS(23304), 1,
      anon_sym_LT_DASH,
    STATE(16586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22692), 1,
      anon_sym_then,
    STATE(9469), 1,
      sym_then_clause,
    STATE(16587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23306), 1,
      anon_sym_then,
    STATE(11778), 1,
      sym_then_clause,
    STATE(16588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23308), 1,
      sym__lowercase_identifier,
    STATE(16589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23310), 2,
      anon_sym_to,
      anon_sym_downto,
  [701359] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23312), 1,
      sym__lowercase_identifier,
    ACTIONS(23314), 1,
      anon_sym_LPAREN,
    STATE(16592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701391] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23316), 1,
      anon_sym_RPAREN,
    ACTIONS(23318), 1,
      anon_sym_LT_DASH,
    STATE(16594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701423] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11390), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23320), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14450), 2,
      anon_sym_and,
      anon_sym_in,
  [701468] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_then,
    STATE(11530), 1,
      sym_then_clause,
    STATE(16598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23322), 2,
      anon_sym_to,
      anon_sym_downto,
  [701500] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23324), 1,
      anon_sym_RPAREN,
    ACTIONS(23326), 1,
      anon_sym_LT_DASH,
    STATE(16600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701517] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23328), 1,
      anon_sym_RPAREN,
    ACTIONS(23330), 1,
      anon_sym_LT_DASH,
    STATE(16602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23332), 1,
      sym__uppercase_identifier,
    STATE(13204), 1,
      sym_extended_module_path,
    STATE(16603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701566] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23334), 1,
      anon_sym_RPAREN,
    ACTIONS(23336), 1,
      anon_sym_LT_DASH,
    STATE(16604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701583] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701598] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23338), 1,
      anon_sym_RPAREN,
    ACTIONS(23340), 1,
      anon_sym_LT_DASH,
    STATE(16606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701615] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23342), 1,
      sym__lowercase_identifier,
    STATE(16607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701632] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12694), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23344), 1,
      anon_sym_RPAREN,
    STATE(16609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23066), 1,
      anon_sym_then,
    STATE(12366), 1,
      sym_then_clause,
    STATE(16610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17358), 1,
      sym__lowercase_identifier,
    STATE(16611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23346), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23348), 1,
      anon_sym_RPAREN,
    ACTIONS(23350), 1,
      anon_sym_LT_DASH,
    STATE(16613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23352), 1,
      sym__lowercase_identifier,
    STATE(16614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23354), 1,
      anon_sym_DOT,
    STATE(16615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23356), 1,
      anon_sym_COLON_GT,
    ACTIONS(23358), 1,
      anon_sym_RPAREN,
    STATE(16616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23360), 1,
      anon_sym_then,
    STATE(8238), 1,
      sym_then_clause,
    STATE(16617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701798] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22904), 1,
      anon_sym_then,
    STATE(8062), 1,
      sym_then_clause,
    STATE(16618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23362), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23364), 1,
      sym__lowercase_identifier,
    ACTIONS(23366), 1,
      anon_sym_LPAREN,
    STATE(16620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701847] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12393), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17396), 1,
      sym__lowercase_identifier,
    STATE(16622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22870), 1,
      anon_sym_then,
    STATE(11780), 1,
      sym_then_clause,
    STATE(16623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23368), 2,
      anon_sym_to,
      anon_sym_downto,
  [701911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23370), 1,
      sym__lowercase_identifier,
    ACTIONS(23372), 1,
      anon_sym_LPAREN,
    STATE(16625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23374), 1,
      sym__lowercase_identifier,
    ACTIONS(23376), 1,
      anon_sym_LPAREN,
    STATE(16626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22762), 1,
      anon_sym_then,
    STATE(11831), 1,
      sym_then_clause,
    STATE(16627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23378), 2,
      anon_sym_to,
      anon_sym_downto,
  [701977] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23380), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702009] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17418), 1,
      sym__lowercase_identifier,
    STATE(16631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702026] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23382), 1,
      anon_sym_COLON_GT,
    ACTIONS(23384), 1,
      anon_sym_RPAREN,
    STATE(16632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23386), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23388), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23390), 1,
      sym__lowercase_identifier,
    STATE(16635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23392), 1,
      anon_sym_RPAREN,
    ACTIONS(23394), 1,
      anon_sym_LT_DASH,
    STATE(16636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23396), 1,
      anon_sym_RPAREN,
    ACTIONS(23398), 1,
      anon_sym_LT_DASH,
    STATE(16637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702124] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23400), 1,
      anon_sym_SEMI,
    ACTIONS(23402), 1,
      anon_sym_RBRACE,
    STATE(16638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702141] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22790), 1,
      anon_sym_then,
    STATE(12055), 1,
      sym_then_clause,
    STATE(16639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23404), 1,
      anon_sym_RPAREN,
    ACTIONS(23406), 1,
      anon_sym_LT_DASH,
    STATE(16640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23000), 1,
      anon_sym_then,
    STATE(9283), 1,
      sym_then_clause,
    STATE(16641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702192] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23408), 1,
      anon_sym_RPAREN,
    ACTIONS(23410), 1,
      anon_sym_LT_DASH,
    STATE(16642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23402), 1,
      anon_sym_RBRACK,
    ACTIONS(23412), 1,
      anon_sym_SEMI,
    STATE(16643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702226] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23414), 1,
      anon_sym_DOT,
    STATE(16644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23416), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23418), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23420), 1,
      sym__lowercase_identifier,
    STATE(16647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23422), 1,
      anon_sym_DOT,
    STATE(16648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23402), 1,
      anon_sym_RPAREN,
    ACTIONS(23424), 1,
      anon_sym_SEMI,
    STATE(16649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23426), 1,
      anon_sym_DOT,
    STATE(16650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23428), 1,
      anon_sym_RPAREN,
    ACTIONS(23430), 1,
      anon_sym_LT_DASH,
    STATE(16651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23432), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16653), 1,
      sym_attribute,
    STATE(17640), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702390] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23434), 1,
      anon_sym_RPAREN,
    ACTIONS(23436), 1,
      anon_sym_LT_DASH,
    STATE(16654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23438), 1,
      anon_sym_RPAREN,
    ACTIONS(23440), 1,
      anon_sym_LT_DASH,
    STATE(16655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23442), 1,
      anon_sym_RPAREN,
    STATE(16656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23444), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [702456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23446), 1,
      anon_sym_RPAREN,
    ACTIONS(23448), 1,
      anon_sym_LT_DASH,
    STATE(16658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23450), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16660), 1,
      sym_attribute,
    STATE(17373), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702505] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23452), 1,
      anon_sym_RPAREN,
    ACTIONS(23454), 1,
      anon_sym_LT_DASH,
    STATE(16661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23456), 1,
      anon_sym_RPAREN,
    ACTIONS(23458), 1,
      anon_sym_LT_DASH,
    STATE(16662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23460), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23462), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9722), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16666), 1,
      sym_attribute,
    STATE(18023), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23464), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16668), 1,
      sym_attribute,
    STATE(18036), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16669), 1,
      sym_attribute,
    STATE(17998), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16670), 1,
      sym_attribute,
    STATE(18129), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22904), 1,
      anon_sym_then,
    STATE(7984), 1,
      sym_then_clause,
    STATE(16671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702686] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16672), 1,
      sym_attribute,
    STATE(18153), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23466), 1,
      anon_sym_RPAREN,
    ACTIONS(23468), 1,
      anon_sym_LT_DASH,
    STATE(16673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16674), 1,
      sym_attribute,
    STATE(18187), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23470), 1,
      anon_sym_RPAREN,
    ACTIONS(23472), 1,
      anon_sym_LT_DASH,
    STATE(16675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16676), 1,
      sym_attribute,
    STATE(18194), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23474), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16678), 1,
      sym_attribute,
    STATE(18200), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16679), 1,
      sym_attribute,
    STATE(19446), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16680), 1,
      sym_attribute,
    STATE(18216), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16681), 1,
      sym_attribute,
    STATE(18236), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16682), 1,
      sym_attribute,
    STATE(18257), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23476), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14224), 1,
      sym__simple_value_pattern,
    STATE(16684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16685), 1,
      sym_attribute,
    STATE(18275), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16686), 1,
      sym_attribute,
    STATE(18280), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23478), 1,
      anon_sym_RPAREN,
    ACTIONS(23480), 1,
      anon_sym_LT_DASH,
    STATE(16687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16688), 1,
      sym_attribute,
    STATE(18299), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14356), 1,
      sym__simple_value_pattern,
    STATE(16689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23482), 1,
      anon_sym_RPAREN,
    ACTIONS(23484), 1,
      anon_sym_LT_DASH,
    STATE(16690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16691), 1,
      sym_attribute,
    STATE(18193), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23486), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23488), 1,
      anon_sym_COLON_GT,
    ACTIONS(23490), 1,
      anon_sym_RPAREN,
    STATE(16693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703054] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16694), 1,
      sym_attribute,
    STATE(18348), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16695), 1,
      sym_attribute,
    STATE(18359), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16696), 1,
      sym_attribute,
    STATE(18386), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16697), 1,
      sym_attribute,
    STATE(18398), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23492), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [703137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23494), 1,
      anon_sym_RPAREN,
    ACTIONS(23496), 1,
      anon_sym_SEMI,
    STATE(16699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23494), 1,
      anon_sym_RBRACK,
    ACTIONS(23498), 1,
      anon_sym_SEMI,
    STATE(16700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23494), 1,
      anon_sym_RBRACE,
    ACTIONS(23500), 1,
      anon_sym_SEMI,
    STATE(16701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703188] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23158), 1,
      anon_sym_then,
    STATE(11665), 1,
      sym_then_clause,
    STATE(16702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23502), 1,
      anon_sym_RPAREN,
    ACTIONS(23504), 1,
      anon_sym_LT_DASH,
    STATE(16703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16704), 1,
      sym_attribute,
    STATE(18415), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8606), 1,
      anon_sym_COLON_GT,
    ACTIONS(8608), 1,
      anon_sym_EQ,
    STATE(16705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23506), 1,
      anon_sym_RPAREN,
    ACTIONS(23508), 1,
      anon_sym_LT_DASH,
    STATE(16706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16707), 1,
      sym_attribute,
    STATE(18438), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23510), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16709), 1,
      sym_attribute,
    STATE(18455), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23512), 1,
      anon_sym_RPAREN,
    ACTIONS(23514), 1,
      anon_sym_LT_DASH,
    STATE(16710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703339] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16711), 1,
      sym_attribute,
    STATE(18485), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23516), 1,
      sym__lowercase_identifier,
    STATE(16712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16713), 1,
      sym_attribute,
    STATE(17635), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703390] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23518), 1,
      anon_sym_SEMI,
    ACTIONS(23520), 1,
      anon_sym_RBRACE,
    STATE(16714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22692), 1,
      anon_sym_then,
    STATE(9464), 1,
      sym_then_clause,
    STATE(16715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9876), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23520), 1,
      anon_sym_RBRACK,
    ACTIONS(23522), 1,
      anon_sym_SEMI,
    STATE(16717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16718), 1,
      sym_attribute,
    STATE(18305), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23524), 1,
      sym__lowercase_identifier,
    STATE(16719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23520), 1,
      anon_sym_RPAREN,
    ACTIONS(23526), 1,
      anon_sym_SEMI,
    STATE(16720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16721), 1,
      sym_attribute,
    STATE(18524), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23528), 1,
      anon_sym_SEMI,
    ACTIONS(23530), 1,
      anon_sym_RBRACE,
    STATE(16722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23530), 1,
      anon_sym_RBRACK,
    ACTIONS(23532), 1,
      anon_sym_SEMI,
    STATE(16723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23530), 1,
      anon_sym_RPAREN,
    ACTIONS(23534), 1,
      anon_sym_SEMI,
    STATE(16724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16725), 1,
      sym_attribute,
    STATE(18585), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23536), 1,
      anon_sym_SEMI,
    ACTIONS(23538), 1,
      anon_sym_RBRACE,
    STATE(16726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23538), 1,
      anon_sym_RBRACK,
    ACTIONS(23540), 1,
      anon_sym_SEMI,
    STATE(16727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703628] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23538), 1,
      anon_sym_RPAREN,
    ACTIONS(23542), 1,
      anon_sym_SEMI,
    STATE(16728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703645] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16729), 1,
      sym_attribute,
    STATE(18648), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23544), 1,
      anon_sym_RPAREN,
    ACTIONS(23546), 1,
      anon_sym_LT_DASH,
    STATE(16730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23548), 1,
      anon_sym_COLON_GT,
    ACTIONS(23550), 1,
      anon_sym_RPAREN,
    STATE(16731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23552), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23554), 1,
      anon_sym_SEMI,
    ACTIONS(23556), 1,
      anon_sym_RBRACE,
    STATE(16733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23556), 1,
      anon_sym_RBRACK,
    ACTIONS(23558), 1,
      anon_sym_SEMI,
    STATE(16734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23556), 1,
      anon_sym_RPAREN,
    ACTIONS(23560), 1,
      anon_sym_SEMI,
    STATE(16735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703762] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16736), 1,
      sym_attribute,
    STATE(18733), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23562), 1,
      anon_sym_RPAREN,
    ACTIONS(23564), 1,
      anon_sym_LT_DASH,
    STATE(16737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23566), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23250), 1,
      anon_sym_then,
    STATE(8137), 1,
      sym_then_clause,
    STATE(16739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23568), 1,
      anon_sym_SEMI,
    ACTIONS(23570), 1,
      anon_sym_RBRACE,
    STATE(16740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23572), 1,
      sym__lowercase_identifier,
    ACTIONS(23574), 1,
      anon_sym_LPAREN,
    STATE(16741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23570), 1,
      anon_sym_RBRACK,
    ACTIONS(23576), 1,
      anon_sym_SEMI,
    STATE(16742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23570), 1,
      anon_sym_RPAREN,
    ACTIONS(23578), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703896] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16744), 1,
      sym_attribute,
    STATE(18791), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23580), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23582), 1,
      anon_sym_SEMI,
    ACTIONS(23584), 1,
      anon_sym_RBRACE,
    STATE(16746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23158), 1,
      anon_sym_then,
    STATE(11572), 1,
      sym_then_clause,
    STATE(16747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23584), 1,
      anon_sym_RBRACK,
    ACTIONS(23586), 1,
      anon_sym_SEMI,
    STATE(16748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23584), 1,
      anon_sym_RPAREN,
    ACTIONS(23588), 1,
      anon_sym_SEMI,
    STATE(16749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16750), 1,
      sym_attribute,
    STATE(18860), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23590), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23592), 1,
      anon_sym_SEMI,
    ACTIONS(23594), 1,
      anon_sym_RBRACE,
    STATE(16752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23594), 1,
      anon_sym_RBRACK,
    ACTIONS(23596), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23594), 1,
      anon_sym_RPAREN,
    ACTIONS(23598), 1,
      anon_sym_SEMI,
    STATE(16754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16755), 1,
      sym_attribute,
    STATE(18893), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23600), 1,
      anon_sym_SEMI,
    ACTIONS(23602), 1,
      anon_sym_RBRACE,
    STATE(16756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23602), 1,
      anon_sym_RBRACK,
    ACTIONS(23604), 1,
      anon_sym_SEMI,
    STATE(16757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23602), 1,
      anon_sym_RPAREN,
    ACTIONS(23606), 1,
      anon_sym_SEMI,
    STATE(16758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16759), 1,
      sym_attribute,
    STATE(18913), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23608), 1,
      sym__lowercase_identifier,
    STATE(16760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23610), 1,
      anon_sym_SEMI,
    ACTIONS(23612), 1,
      anon_sym_RBRACE,
    STATE(16761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704198] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23612), 1,
      anon_sym_RBRACK,
    ACTIONS(23614), 1,
      anon_sym_SEMI,
    STATE(16762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23616), 1,
      sym__lowercase_identifier,
    STATE(16763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23612), 1,
      anon_sym_RPAREN,
    ACTIONS(23618), 1,
      anon_sym_SEMI,
    STATE(16764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16765), 1,
      sym_attribute,
    STATE(18935), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23620), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704281] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23622), 1,
      anon_sym_RPAREN,
    ACTIONS(23624), 1,
      anon_sym_LT_DASH,
    STATE(16767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704298] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23626), 1,
      anon_sym_SEMI,
    ACTIONS(23628), 1,
      anon_sym_RBRACE,
    STATE(16768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704315] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23628), 1,
      anon_sym_RBRACK,
    ACTIONS(23630), 1,
      anon_sym_SEMI,
    STATE(16769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704332] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23628), 1,
      anon_sym_RPAREN,
    ACTIONS(23632), 1,
      anon_sym_SEMI,
    STATE(16770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704349] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16771), 1,
      sym_attribute,
    STATE(18977), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704366] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23634), 1,
      anon_sym_RPAREN,
    ACTIONS(23636), 1,
      anon_sym_LT_DASH,
    STATE(16772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704383] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23638), 1,
      anon_sym_SEMI,
    ACTIONS(23640), 1,
      anon_sym_RBRACE,
    STATE(16773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23642), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704415] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23640), 1,
      anon_sym_RBRACK,
    ACTIONS(23644), 1,
      anon_sym_SEMI,
    STATE(16775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704432] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23640), 1,
      anon_sym_RPAREN,
    ACTIONS(23646), 1,
      anon_sym_SEMI,
    STATE(16776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704449] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16777), 1,
      sym_attribute,
    STATE(18264), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704466] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16778), 1,
      sym_attribute,
    STATE(19025), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9864), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23648), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23650), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23000), 1,
      anon_sym_then,
    STATE(9231), 1,
      sym_then_clause,
    STATE(16782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23306), 1,
      anon_sym_then,
    STATE(11900), 1,
      sym_then_clause,
    STATE(16783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23652), 1,
      anon_sym_SEMI,
    ACTIONS(23654), 1,
      anon_sym_RBRACE,
    STATE(16784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23654), 1,
      anon_sym_RBRACK,
    ACTIONS(23656), 1,
      anon_sym_SEMI,
    STATE(16785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704598] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23654), 1,
      anon_sym_RPAREN,
    ACTIONS(23658), 1,
      anon_sym_SEMI,
    STATE(16786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704615] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23660), 1,
      anon_sym_DOT,
    STATE(16787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704632] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16788), 1,
      sym_attribute,
    STATE(19101), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23662), 1,
      anon_sym_SEMI,
    ACTIONS(23664), 1,
      anon_sym_RBRACE,
    STATE(16789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704666] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23666), 1,
      anon_sym_RPAREN,
    ACTIONS(23668), 1,
      anon_sym_LT_DASH,
    STATE(16790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23670), 1,
      anon_sym_DOT,
    STATE(16791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704700] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23664), 1,
      anon_sym_RBRACK,
    ACTIONS(23672), 1,
      anon_sym_SEMI,
    STATE(16792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23674), 1,
      anon_sym_DOT,
    STATE(16793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23676), 1,
      sym__lowercase_identifier,
    STATE(16794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23664), 1,
      anon_sym_RPAREN,
    ACTIONS(23678), 1,
      anon_sym_SEMI,
    STATE(16795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23680), 1,
      sym__lowercase_identifier,
    STATE(16796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23682), 1,
      anon_sym_RPAREN,
    ACTIONS(23684), 1,
      anon_sym_LT_DASH,
    STATE(16797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16798), 1,
      sym_attribute,
    STATE(19165), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23686), 1,
      sym__lowercase_identifier,
    STATE(16799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23688), 1,
      anon_sym_RPAREN,
    ACTIONS(23690), 1,
      anon_sym_LT_DASH,
    STATE(16800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23692), 1,
      anon_sym_SEMI,
    ACTIONS(23694), 1,
      anon_sym_RBRACE,
    STATE(16801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704870] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23696), 1,
      anon_sym_DOT,
    STATE(16802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16803), 1,
      sym_attribute,
    STATE(17967), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23698), 1,
      anon_sym_SEMI,
    ACTIONS(23700), 1,
      anon_sym_RBRACE,
    STATE(16804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23694), 1,
      anon_sym_RBRACK,
    ACTIONS(23702), 1,
      anon_sym_SEMI,
    STATE(16805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704938] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23694), 1,
      anon_sym_RPAREN,
    ACTIONS(23704), 1,
      anon_sym_SEMI,
    STATE(16806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17288), 1,
      sym__lowercase_identifier,
    STATE(16807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16808), 1,
      sym_attribute,
    STATE(19329), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23706), 1,
      sym__lowercase_identifier,
    STATE(16809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23708), 1,
      aux_sym_type_variable_token1,
    STATE(9641), 1,
      sym_type_variable,
    STATE(16810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23710), 1,
      anon_sym_SEMI,
    ACTIONS(23712), 1,
      anon_sym_RBRACE,
    STATE(16811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705040] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23712), 1,
      anon_sym_RBRACK,
    ACTIONS(23714), 1,
      anon_sym_SEMI,
    STATE(16812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23716), 1,
      anon_sym_DOT,
    STATE(16813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_then,
    STATE(8369), 1,
      sym_then_clause,
    STATE(16814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23158), 1,
      anon_sym_then,
    STATE(11630), 1,
      sym_then_clause,
    STATE(16815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23712), 1,
      anon_sym_RPAREN,
    ACTIONS(23718), 1,
      anon_sym_SEMI,
    STATE(16816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23720), 1,
      anon_sym_RPAREN,
    STATE(16817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23722), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705157] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23724), 1,
      sym__lowercase_identifier,
    ACTIONS(23726), 1,
      anon_sym_LBRACK,
    STATE(16819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23728), 1,
      sym__lowercase_identifier,
    STATE(16820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705191] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23730), 1,
      anon_sym_RPAREN,
    ACTIONS(23732), 1,
      anon_sym_LT_DASH,
    STATE(16821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705208] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16822), 1,
      sym_attribute,
    STATE(19880), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23008), 1,
      anon_sym_then,
    STATE(10360), 1,
      sym_then_clause,
    STATE(16823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23734), 1,
      anon_sym_DOT,
    STATE(16824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16825), 1,
      sym_attribute,
    STATE(19502), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705276] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17780), 1,
      anon_sym_RBRACE,
    ACTIONS(23736), 1,
      anon_sym_SEMI,
    STATE(16826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23738), 1,
      sym__lowercase_identifier,
    ACTIONS(23740), 1,
      anon_sym_LPAREN,
    STATE(16827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23742), 1,
      anon_sym_SEMI,
    ACTIONS(23744), 1,
      anon_sym_RBRACE,
    STATE(16828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23744), 1,
      anon_sym_RBRACK,
    ACTIONS(23746), 1,
      anon_sym_SEMI,
    STATE(16829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23744), 1,
      anon_sym_RPAREN,
    ACTIONS(23748), 1,
      anon_sym_SEMI,
    STATE(16830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23750), 1,
      sym__lowercase_identifier,
    ACTIONS(23752), 1,
      sym__uppercase_identifier,
    STATE(16831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705378] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22838), 1,
      anon_sym_then,
    STATE(11901), 1,
      sym_then_clause,
    STATE(16832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23754), 1,
      anon_sym_RPAREN,
    ACTIONS(23756), 1,
      anon_sym_LT_DASH,
    STATE(16833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16834), 1,
      sym_attribute,
    STATE(19691), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23758), 1,
      anon_sym_RPAREN,
    ACTIONS(23760), 1,
      anon_sym_LT_DASH,
    STATE(16835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23762), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23764), 1,
      anon_sym_then,
    STATE(10999), 1,
      sym_then_clause,
    STATE(16837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23766), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [705493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23768), 1,
      anon_sym_RPAREN,
    ACTIONS(23770), 1,
      anon_sym_SEMI,
    STATE(16839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23768), 1,
      anon_sym_RBRACK,
    ACTIONS(23772), 1,
      anon_sym_SEMI,
    STATE(16840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23768), 1,
      anon_sym_RBRACE,
    ACTIONS(23774), 1,
      anon_sym_SEMI,
    STATE(16841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23776), 1,
      anon_sym_COLON_GT,
    ACTIONS(23778), 1,
      anon_sym_RPAREN,
    STATE(16842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23780), 1,
      anon_sym_SEMI,
    ACTIONS(23782), 1,
      anon_sym_RBRACE,
    STATE(16843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23782), 1,
      anon_sym_RBRACK,
    ACTIONS(23784), 1,
      anon_sym_SEMI,
    STATE(16844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22706), 1,
      anon_sym_then,
    STATE(8182), 1,
      sym_then_clause,
    STATE(16845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23782), 1,
      anon_sym_RPAREN,
    ACTIONS(23786), 1,
      anon_sym_SEMI,
    STATE(16846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23764), 1,
      anon_sym_then,
    STATE(10927), 1,
      sym_then_clause,
    STATE(16847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23008), 1,
      anon_sym_then,
    STATE(10310), 1,
      sym_then_clause,
    STATE(16848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23788), 1,
      anon_sym_do,
    STATE(7886), 1,
      sym_do_clause,
    STATE(16849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705680] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16850), 1,
      sym_attribute,
    STATE(18076), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23790), 1,
      anon_sym_RPAREN,
    ACTIONS(23792), 1,
      anon_sym_LT_DASH,
    STATE(16851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705714] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16852), 1,
      sym_attribute,
    STATE(19878), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23794), 1,
      anon_sym_COLON_GT,
    ACTIONS(23796), 1,
      anon_sym_RPAREN,
    STATE(16853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705748] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23798), 1,
      sym__lowercase_identifier,
    STATE(16854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23800), 1,
      anon_sym_RPAREN,
    ACTIONS(23802), 1,
      anon_sym_LT_DASH,
    STATE(16855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23804), 1,
      anon_sym_COLON_GT,
    ACTIONS(23806), 1,
      anon_sym_RPAREN,
    STATE(16856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23808), 1,
      anon_sym_RPAREN,
    ACTIONS(23810), 1,
      anon_sym_LT_DASH,
    STATE(16857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23812), 1,
      anon_sym_SEMI,
    ACTIONS(23814), 1,
      anon_sym_RBRACE,
    STATE(16858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23814), 1,
      anon_sym_RBRACK,
    ACTIONS(23816), 1,
      anon_sym_SEMI,
    STATE(16859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23814), 1,
      anon_sym_RPAREN,
    ACTIONS(23818), 1,
      anon_sym_SEMI,
    STATE(16860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23788), 1,
      anon_sym_do,
    STATE(7728), 1,
      sym_do_clause,
    STATE(16861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705884] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23820), 1,
      anon_sym_RPAREN,
    ACTIONS(23822), 1,
      anon_sym_LT_DASH,
    STATE(16862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23824), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705916] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23764), 1,
      anon_sym_then,
    STATE(10801), 1,
      sym_then_clause,
    STATE(16864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705933] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23826), 1,
      anon_sym_COLON_GT,
    ACTIONS(23828), 1,
      anon_sym_RPAREN,
    STATE(16865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705950] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16866), 1,
      sym_attribute,
    STATE(20035), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705967] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23830), 1,
      anon_sym_COLON_GT,
    ACTIONS(23832), 1,
      anon_sym_RPAREN,
    STATE(16867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705984] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16868), 1,
      sym_attribute,
    STATE(20214), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(23834), 1,
      anon_sym_DASH_GT,
    STATE(16869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23836), 1,
      anon_sym_SEMI,
    ACTIONS(23838), 1,
      anon_sym_RBRACE,
    STATE(16870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23838), 1,
      anon_sym_RBRACK,
    ACTIONS(23840), 1,
      anon_sym_SEMI,
    STATE(16871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23838), 1,
      anon_sym_RPAREN,
    ACTIONS(23842), 1,
      anon_sym_SEMI,
    STATE(16872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23844), 1,
      anon_sym_COLON_GT,
    ACTIONS(23846), 1,
      anon_sym_RPAREN,
    STATE(16873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706086] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16874), 1,
      sym_attribute,
    STATE(19948), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706103] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23848), 1,
      anon_sym_RPAREN,
    ACTIONS(23850), 1,
      anon_sym_LT_DASH,
    STATE(16875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23852), 1,
      anon_sym_RPAREN,
    ACTIONS(23854), 1,
      anon_sym_LT_DASH,
    STATE(16876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23856), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706152] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23858), 1,
      sym__lowercase_identifier,
    STATE(16878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23860), 1,
      sym__lowercase_identifier,
    ACTIONS(23862), 1,
      anon_sym_LPAREN,
    STATE(16879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_then,
    STATE(8310), 1,
      sym_then_clause,
    STATE(16880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706203] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16881), 1,
      sym_attribute,
    STATE(19425), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17566), 1,
      anon_sym_RBRACE,
    ACTIONS(23864), 1,
      anon_sym_SEMI,
    STATE(16882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23866), 1,
      sym__lowercase_identifier,
    ACTIONS(23868), 1,
      anon_sym_LPAREN,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23870), 1,
      sym__lowercase_identifier,
    ACTIONS(23872), 1,
      anon_sym_LPAREN,
    STATE(16884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706271] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23874), 1,
      anon_sym_RPAREN,
    ACTIONS(23876), 1,
      anon_sym_LT_DASH,
    STATE(16885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23878), 1,
      anon_sym_COLON_GT,
    ACTIONS(23880), 1,
      anon_sym_RPAREN,
    STATE(16886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23882), 1,
      anon_sym_SEMI,
    ACTIONS(23884), 1,
      anon_sym_RBRACE,
    STATE(16887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23886), 1,
      sym__lowercase_identifier,
    STATE(16888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706339] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23884), 1,
      anon_sym_RBRACK,
    ACTIONS(23888), 1,
      anon_sym_SEMI,
    STATE(16889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23884), 1,
      anon_sym_RPAREN,
    ACTIONS(23890), 1,
      anon_sym_SEMI,
    STATE(16890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17550), 1,
      anon_sym_RBRACE,
    ACTIONS(23892), 1,
      anon_sym_SEMI,
    STATE(16891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706390] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23894), 1,
      anon_sym_RPAREN,
    ACTIONS(23896), 1,
      anon_sym_LT_DASH,
    STATE(16892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16893), 1,
      sym_attribute,
    STATE(17908), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23898), 1,
      anon_sym_COLON_GT,
    ACTIONS(23900), 1,
      anon_sym_RPAREN,
    STATE(16894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23902), 1,
      anon_sym_COLON_GT,
    ACTIONS(23904), 1,
      anon_sym_RPAREN,
    STATE(16895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23906), 1,
      anon_sym_DOT,
    STATE(16896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23250), 1,
      anon_sym_then,
    STATE(8112), 1,
      sym_then_clause,
    STATE(16897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16898), 1,
      sym_attribute,
    STATE(17372), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23908), 1,
      sym__lowercase_identifier,
    ACTIONS(23910), 1,
      anon_sym_LPAREN,
    STATE(16899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23912), 1,
      anon_sym_DOT,
    STATE(16900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23914), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706558] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(23916), 1,
      anon_sym_DOT,
    STATE(16902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23918), 1,
      anon_sym_EQ,
    ACTIONS(23920), 1,
      anon_sym_RPAREN,
    STATE(16903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706592] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23922), 1,
      anon_sym_SEMI,
    ACTIONS(23924), 1,
      anon_sym_RBRACE,
    STATE(16904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23924), 1,
      anon_sym_RBRACK,
    ACTIONS(23926), 1,
      anon_sym_SEMI,
    STATE(16905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23928), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23924), 1,
      anon_sym_RPAREN,
    ACTIONS(23930), 1,
      anon_sym_SEMI,
    STATE(16907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23932), 1,
      sym__lowercase_identifier,
    ACTIONS(23934), 1,
      anon_sym_LPAREN,
    STATE(16908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22870), 1,
      anon_sym_then,
    STATE(11963), 1,
      sym_then_clause,
    STATE(16909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23936), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [706707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23058), 1,
      anon_sym_then,
    STATE(12235), 1,
      sym_then_clause,
    STATE(16911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16912), 1,
      sym_attribute,
    STATE(18503), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23938), 1,
      anon_sym_SEMI,
    ACTIONS(23940), 1,
      anon_sym_RBRACE,
    STATE(16913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23942), 1,
      anon_sym_SEMI,
    ACTIONS(23944), 1,
      anon_sym_RBRACE,
    STATE(16915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16916), 1,
      sym_attribute,
    STATE(18483), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_then,
    STATE(12004), 1,
      sym_then_clause,
    STATE(16917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(23946), 1,
      sym__lowercase_identifier,
    STATE(16918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16919), 1,
      sym_attribute,
    STATE(19865), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(23948), 1,
      anon_sym_DASH_GT,
    STATE(16920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23250), 1,
      anon_sym_then,
    STATE(8131), 1,
      sym_then_clause,
    STATE(16921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23950), 1,
      anon_sym_SEMI,
    ACTIONS(23952), 1,
      anon_sym_RBRACE,
    STATE(16922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23952), 1,
      anon_sym_RBRACK,
    ACTIONS(23954), 1,
      anon_sym_SEMI,
    STATE(16923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23952), 1,
      anon_sym_RPAREN,
    ACTIONS(23956), 1,
      anon_sym_SEMI,
    STATE(16924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23788), 1,
      anon_sym_do,
    STATE(7688), 1,
      sym_do_clause,
    STATE(16925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23958), 1,
      anon_sym_RPAREN,
    ACTIONS(23960), 1,
      anon_sym_LT_DASH,
    STATE(16926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23000), 1,
      anon_sym_then,
    STATE(9282), 1,
      sym_then_clause,
    STATE(16927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(23962), 1,
      anon_sym_DASH_GT,
    STATE(16928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16929), 1,
      sym_attribute,
    STATE(18033), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16930), 1,
      sym_attribute,
    STATE(19557), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_then,
    STATE(10141), 1,
      sym_then_clause,
    STATE(16931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707064] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17324), 1,
      sym__lowercase_identifier,
    STATE(16932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23964), 1,
      anon_sym_EQ,
    ACTIONS(23966), 1,
      anon_sym_RPAREN,
    STATE(16933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707098] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23788), 1,
      anon_sym_do,
    STATE(7703), 1,
      sym_do_clause,
    STATE(16934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16935), 1,
      sym_attribute,
    STATE(18921), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707132] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(23968), 1,
      sym__lowercase_identifier,
    STATE(16936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23970), 1,
      anon_sym_SEMI,
    ACTIONS(23972), 1,
      anon_sym_RBRACE,
    STATE(16937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23972), 1,
      anon_sym_RBRACK,
    ACTIONS(23974), 1,
      anon_sym_SEMI,
    STATE(16938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23972), 1,
      anon_sym_RPAREN,
    ACTIONS(23976), 1,
      anon_sym_SEMI,
    STATE(16939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23978), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23980), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707230] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23764), 1,
      anon_sym_then,
    STATE(10914), 1,
      sym_then_clause,
    STATE(16942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707247] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707264] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16944), 1,
      sym_attribute,
    STATE(18563), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23982), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [707296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23984), 1,
      anon_sym_RPAREN,
    ACTIONS(23986), 1,
      anon_sym_SEMI,
    STATE(16946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23984), 1,
      anon_sym_RBRACK,
    ACTIONS(23988), 1,
      anon_sym_SEMI,
    STATE(16947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23984), 1,
      anon_sym_RBRACE,
    ACTIONS(23990), 1,
      anon_sym_SEMI,
    STATE(16948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23992), 1,
      anon_sym_RPAREN,
    ACTIONS(23994), 1,
      anon_sym_LT_DASH,
    STATE(16949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23708), 1,
      aux_sym_type_variable_token1,
    STATE(9461), 1,
      sym_type_variable,
    STATE(16950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23996), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707396] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16952), 1,
      sym_attribute,
    STATE(17975), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23998), 1,
      sym__lowercase_identifier,
    ACTIONS(24000), 1,
      anon_sym_LPAREN,
    STATE(16953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24002), 1,
      anon_sym_SEMI,
    ACTIONS(24004), 1,
      anon_sym_RBRACE,
    STATE(16954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24004), 1,
      anon_sym_RBRACK,
    ACTIONS(24006), 1,
      anon_sym_SEMI,
    STATE(16955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707464] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24004), 1,
      anon_sym_RPAREN,
    ACTIONS(24008), 1,
      anon_sym_SEMI,
    STATE(16956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16957), 1,
      sym_attribute,
    STATE(18695), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24010), 1,
      sym__lowercase_identifier,
    STATE(16958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24012), 1,
      sym__lowercase_identifier,
    STATE(16959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24014), 1,
      sym__lowercase_identifier,
    STATE(16960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16961), 1,
      sym_attribute,
    STATE(17531), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707566] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24016), 1,
      anon_sym_DOT,
    STATE(16962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16963), 1,
      sym_attribute,
    STATE(17612), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24018), 1,
      anon_sym_SEMI,
    ACTIONS(24020), 1,
      anon_sym_RBRACE,
    STATE(16964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24020), 1,
      anon_sym_RBRACK,
    ACTIONS(24022), 1,
      anon_sym_SEMI,
    STATE(16965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24020), 1,
      anon_sym_RPAREN,
    ACTIONS(24024), 1,
      anon_sym_SEMI,
    STATE(16966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24026), 1,
      sym__lowercase_identifier,
    ACTIONS(24028), 1,
      anon_sym_LBRACK,
    STATE(16967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707668] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23058), 1,
      anon_sym_then,
    STATE(12134), 1,
      sym_then_clause,
    STATE(16968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24030), 1,
      anon_sym_do,
    STATE(10207), 1,
      sym_do_clause,
    STATE(16969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707702] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24032), 1,
      sym__lowercase_identifier,
    ACTIONS(24034), 1,
      anon_sym_LPAREN,
    STATE(16970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24036), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24038), 1,
      sym__lowercase_identifier,
    STATE(16972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16973), 1,
      sym_attribute,
    STATE(17905), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24040), 1,
      anon_sym_RPAREN,
    ACTIONS(24042), 1,
      anon_sym_LT_DASH,
    STATE(16974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24044), 1,
      anon_sym_DOT,
    STATE(16975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(16976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24046), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707834] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16978), 1,
      sym_attribute,
    STATE(18253), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707851] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24048), 1,
      anon_sym_SEMI,
    ACTIONS(24050), 1,
      anon_sym_RBRACE,
    STATE(16979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24052), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24050), 1,
      anon_sym_RBRACK,
    ACTIONS(24054), 1,
      anon_sym_SEMI,
    STATE(16981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707900] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24050), 1,
      anon_sym_RPAREN,
    ACTIONS(24056), 1,
      anon_sym_SEMI,
    STATE(16982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24058), 1,
      anon_sym_COLON_GT,
    ACTIONS(24060), 1,
      anon_sym_RPAREN,
    STATE(16983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16984), 1,
      sym_attribute,
    STATE(18549), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23306), 1,
      anon_sym_then,
    STATE(12054), 1,
      sym_then_clause,
    STATE(16985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707968] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24030), 1,
      anon_sym_do,
    STATE(10257), 1,
      sym_do_clause,
    STATE(16986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24062), 1,
      anon_sym_DOT,
    STATE(16987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22762), 1,
      anon_sym_then,
    STATE(11790), 1,
      sym_then_clause,
    STATE(16988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24064), 1,
      anon_sym_RPAREN,
    ACTIONS(24066), 1,
      anon_sym_LT_DASH,
    STATE(16989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24068), 1,
      sym__lowercase_identifier,
    STATE(16990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(16991), 1,
      sym_attribute,
    STATE(18984), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24070), 1,
      anon_sym_SEMI,
    ACTIONS(24072), 1,
      anon_sym_RBRACE,
    STATE(16992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24072), 1,
      anon_sym_RBRACK,
    ACTIONS(24074), 1,
      anon_sym_SEMI,
    STATE(16993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24076), 1,
      anon_sym_SEMI,
    ACTIONS(24078), 1,
      anon_sym_RBRACE,
    STATE(16994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24072), 1,
      anon_sym_RPAREN,
    ACTIONS(24080), 1,
      anon_sym_SEMI,
    STATE(16995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24082), 1,
      anon_sym_SEMI,
    ACTIONS(24084), 1,
      anon_sym_RBRACE,
    STATE(16996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17374), 1,
      sym__lowercase_identifier,
    STATE(16997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24086), 1,
      anon_sym_RPAREN,
    ACTIONS(24088), 1,
      anon_sym_LT_DASH,
    STATE(16998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(16999), 1,
      sym_attribute,
    STATE(19026), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708206] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24090), 1,
      anon_sym_RPAREN,
    ACTIONS(24092), 1,
      anon_sym_LT_DASH,
    STATE(17000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708223] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24094), 1,
      anon_sym_DOT,
    STATE(17001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708240] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17339), 1,
      sym__lowercase_identifier,
    STATE(17002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708257] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24096), 1,
      anon_sym_DOT,
    STATE(17003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17004), 1,
      sym_attribute,
    STATE(19091), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24098), 1,
      sym__lowercase_identifier,
    STATE(17005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24100), 1,
      anon_sym_SEMI,
    ACTIONS(24102), 1,
      anon_sym_RBRACE,
    STATE(17006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24104), 1,
      anon_sym_DOT,
    STATE(17007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708342] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24102), 1,
      anon_sym_RBRACK,
    ACTIONS(24106), 1,
      anon_sym_SEMI,
    STATE(17008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24108), 1,
      anon_sym_DOT,
    STATE(17009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24102), 1,
      anon_sym_RPAREN,
    ACTIONS(24110), 1,
      anon_sym_SEMI,
    STATE(17010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(24112), 1,
      anon_sym_DASH_GT,
    STATE(17011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24114), 1,
      anon_sym_RPAREN,
    ACTIONS(24116), 1,
      anon_sym_LT_DASH,
    STATE(17012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24118), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708442] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17682), 1,
      anon_sym_RBRACE,
    ACTIONS(24120), 1,
      anon_sym_SEMI,
    STATE(17014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24122), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24124), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17652), 1,
      anon_sym_RBRACE,
    ACTIONS(24126), 1,
      anon_sym_SEMI,
    STATE(17017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24128), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17019), 1,
      sym_attribute,
    STATE(18851), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17020), 1,
      sym_attribute,
    STATE(19164), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24130), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708570] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24132), 1,
      anon_sym_DOT,
    STATE(17022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9836), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(17023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708604] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18054), 1,
      anon_sym_RBRACE,
    ACTIONS(24134), 1,
      anon_sym_SEMI,
    STATE(17024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18062), 1,
      anon_sym_RBRACE,
    ACTIONS(24136), 1,
      anon_sym_SEMI,
    STATE(17025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708638] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23360), 1,
      anon_sym_then,
    STATE(8175), 1,
      sym_then_clause,
    STATE(17026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17027), 1,
      sym_attribute,
    STATE(19297), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24138), 1,
      anon_sym_RPAREN,
    ACTIONS(24140), 1,
      anon_sym_LT_DASH,
    STATE(17028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708689] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24142), 1,
      anon_sym_RPAREN,
    ACTIONS(24144), 1,
      anon_sym_LT_DASH,
    STATE(17029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24146), 1,
      anon_sym_SEMI,
    ACTIONS(24148), 1,
      anon_sym_RBRACE,
    STATE(17030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24148), 1,
      anon_sym_RBRACK,
    ACTIONS(24150), 1,
      anon_sym_SEMI,
    STATE(17031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24148), 1,
      anon_sym_RPAREN,
    ACTIONS(24152), 1,
      anon_sym_SEMI,
    STATE(17032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24154), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24156), 1,
      anon_sym_EQ,
    ACTIONS(24158), 1,
      anon_sym_RPAREN,
    STATE(17034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708789] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17035), 1,
      sym_attribute,
    STATE(19493), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708806] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24160), 1,
      anon_sym_DOT,
    STATE(17036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24162), 1,
      anon_sym_SEMI,
    ACTIONS(24164), 1,
      anon_sym_RBRACE,
    STATE(17037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24166), 1,
      anon_sym_SEMI,
    ACTIONS(24168), 1,
      anon_sym_RBRACE,
    STATE(17038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708857] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24170), 1,
      anon_sym_RPAREN,
    ACTIONS(24172), 1,
      anon_sym_LT_DASH,
    STATE(17039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708874] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17040), 1,
      sym_attribute,
    STATE(19764), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708891] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24174), 1,
      anon_sym_SEMI,
    ACTIONS(24176), 1,
      anon_sym_RBRACE,
    STATE(17041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24176), 1,
      anon_sym_RBRACK,
    ACTIONS(24178), 1,
      anon_sym_SEMI,
    STATE(17042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24176), 1,
      anon_sym_RPAREN,
    ACTIONS(24180), 1,
      anon_sym_SEMI,
    STATE(17043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(24182), 1,
      anon_sym_DASH_GT,
    STATE(17044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17382), 1,
      sym__lowercase_identifier,
    STATE(17045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24030), 1,
      anon_sym_do,
    STATE(10389), 1,
      sym_do_clause,
    STATE(17046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24184), 1,
      anon_sym_RPAREN,
    ACTIONS(24186), 1,
      anon_sym_LT_DASH,
    STATE(17047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(24188), 1,
      anon_sym_DASH_GT,
    STATE(17048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24190), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [709042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24192), 1,
      anon_sym_RPAREN,
    ACTIONS(24194), 1,
      anon_sym_SEMI,
    STATE(17050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24192), 1,
      anon_sym_RBRACK,
    ACTIONS(24196), 1,
      anon_sym_SEMI,
    STATE(17051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24192), 1,
      anon_sym_RBRACE,
    ACTIONS(24198), 1,
      anon_sym_SEMI,
    STATE(17052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24200), 1,
      sym__lowercase_identifier,
    ACTIONS(24202), 1,
      anon_sym_LPAREN,
    STATE(17053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17054), 1,
      sym_attribute,
    STATE(20007), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24204), 1,
      anon_sym_EQ,
    ACTIONS(24206), 1,
      anon_sym_RPAREN,
    STATE(17055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709144] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24208), 1,
      anon_sym_RPAREN,
    ACTIONS(24210), 1,
      anon_sym_LT_DASH,
    STATE(17056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24030), 1,
      anon_sym_do,
    STATE(10348), 1,
      sym_do_clause,
    STATE(17057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709178] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24212), 1,
      anon_sym_DOT,
    STATE(17058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17059), 1,
      sym_attribute,
    STATE(20173), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709212] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24214), 1,
      anon_sym_SEMI,
    ACTIONS(24216), 1,
      anon_sym_RBRACE,
    STATE(17060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17061), 1,
      sym_attribute,
    STATE(19003), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709246] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24216), 1,
      anon_sym_RBRACK,
    ACTIONS(24218), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709263] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24216), 1,
      anon_sym_RPAREN,
    ACTIONS(24220), 1,
      anon_sym_SEMI,
    STATE(17063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24222), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24224), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9981), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(17066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17067), 1,
      sym_attribute,
    STATE(20134), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24226), 1,
      aux_sym_type_variable_token1,
    STATE(13228), 1,
      sym_type_variable,
    STATE(17068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24228), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24230), 1,
      anon_sym_DOT,
    STATE(17070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17071), 1,
      sym_attribute,
    STATE(19720), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24232), 1,
      sym__lowercase_identifier,
    STATE(17072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24234), 1,
      anon_sym_SEMI,
    ACTIONS(24236), 1,
      anon_sym_RBRACE,
    STATE(17073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24236), 1,
      anon_sym_RBRACK,
    ACTIONS(24238), 1,
      anon_sym_SEMI,
    STATE(17074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24236), 1,
      anon_sym_RPAREN,
    ACTIONS(24240), 1,
      anon_sym_SEMI,
    STATE(17075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24242), 1,
      anon_sym_DOT,
    STATE(17076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24244), 1,
      sym__lowercase_identifier,
    STATE(17077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24246), 1,
      sym__lowercase_identifier,
    STATE(17078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24248), 1,
      anon_sym_RPAREN,
    ACTIONS(24250), 1,
      anon_sym_LT_DASH,
    STATE(17079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23306), 1,
      anon_sym_then,
    STATE(11971), 1,
      sym_then_clause,
    STATE(17080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24252), 1,
      sym__lowercase_identifier,
    STATE(17081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17462), 1,
      sym__lowercase_identifier,
    STATE(17082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17083), 1,
      sym_attribute,
    STATE(19440), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24254), 1,
      sym__lowercase_identifier,
    STATE(17084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709631] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24256), 1,
      anon_sym_DOT,
    STATE(17085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23066), 1,
      anon_sym_then,
    STATE(12110), 1,
      sym_then_clause,
    STATE(17086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24258), 1,
      anon_sym_DOT,
    STATE(17087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    STATE(15496), 1,
      sym_extended_module_path,
    STATE(17088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17089), 1,
      sym_attribute,
    STATE(19175), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24260), 1,
      anon_sym_SEMI,
    ACTIONS(24262), 1,
      anon_sym_RBRACE,
    STATE(17090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24262), 1,
      anon_sym_RBRACK,
    ACTIONS(24264), 1,
      anon_sym_SEMI,
    STATE(17091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709750] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24266), 1,
      anon_sym_DOT,
    STATE(17092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24262), 1,
      anon_sym_RPAREN,
    ACTIONS(24268), 1,
      anon_sym_SEMI,
    STATE(17093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24270), 1,
      sym__lowercase_identifier,
    ACTIONS(24272), 1,
      anon_sym_LBRACK,
    STATE(17094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709801] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24274), 1,
      anon_sym_COLON_GT,
    ACTIONS(24276), 1,
      anon_sym_RPAREN,
    STATE(17095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24278), 1,
      anon_sym_DOT,
    STATE(17096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_then,
    STATE(12309), 1,
      sym_then_clause,
    STATE(17097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709852] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24282), 1,
      anon_sym_DOT,
    STATE(17098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24284), 1,
      anon_sym_COLON_GT,
    ACTIONS(24286), 1,
      anon_sym_RPAREN,
    STATE(17099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24288), 1,
      anon_sym_do,
    STATE(8100), 1,
      sym_do_clause,
    STATE(17100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_then,
    STATE(11050), 1,
      sym_then_clause,
    STATE(17101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24290), 1,
      sym__lowercase_identifier,
    ACTIONS(24292), 1,
      anon_sym_LPAREN,
    STATE(17102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17103), 1,
      sym_attribute,
    STATE(19070), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24294), 1,
      anon_sym_DOT,
    STATE(17104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24296), 1,
      anon_sym_DOT,
    STATE(17105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24298), 1,
      sym__lowercase_identifier,
    STATE(17106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17107), 1,
      sym_attribute,
    STATE(18638), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17108), 1,
      sym_attribute,
    STATE(19155), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710039] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24300), 1,
      anon_sym_DOT,
    STATE(17109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24302), 1,
      sym__lowercase_identifier,
    ACTIONS(24304), 1,
      anon_sym_LPAREN,
    STATE(17110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17111), 1,
      sym_attribute,
    STATE(18996), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24306), 1,
      anon_sym_SEMI,
    ACTIONS(24308), 1,
      anon_sym_RBRACE,
    STATE(17112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24308), 1,
      anon_sym_RBRACK,
    ACTIONS(24310), 1,
      anon_sym_SEMI,
    STATE(17113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710124] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24312), 1,
      sym__lowercase_identifier,
    ACTIONS(24314), 1,
      anon_sym_LPAREN,
    STATE(17114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710141] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22706), 1,
      anon_sym_then,
    STATE(8185), 1,
      sym_then_clause,
    STATE(17115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24308), 1,
      anon_sym_RPAREN,
    ACTIONS(24316), 1,
      anon_sym_SEMI,
    STATE(17116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(17117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710192] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24318), 1,
      anon_sym_COLON_GT,
    ACTIONS(24320), 1,
      anon_sym_RPAREN,
    STATE(17118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24322), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24324), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24326), 1,
      anon_sym_COLON_GT,
    ACTIONS(24328), 1,
      anon_sym_RPAREN,
    STATE(17121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24330), 1,
      anon_sym_COLON_GT,
    ACTIONS(24332), 1,
      anon_sym_RPAREN,
    STATE(17122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17123), 1,
      sym_attribute,
    STATE(18548), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23058), 1,
      anon_sym_then,
    STATE(12209), 1,
      sym_then_clause,
    STATE(17124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24288), 1,
      anon_sym_do,
    STATE(8009), 1,
      sym_do_clause,
    STATE(17125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22692), 1,
      anon_sym_then,
    STATE(9451), 1,
      sym_then_clause,
    STATE(17126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24334), 1,
      sym__lowercase_identifier,
    STATE(17127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710358] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24336), 1,
      anon_sym_DOT,
    STATE(17128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24338), 1,
      anon_sym_DOT,
    STATE(17129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710392] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24340), 1,
      sym__lowercase_identifier,
    ACTIONS(24342), 1,
      anon_sym_LPAREN,
    STATE(17130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17131), 1,
      sym_attribute,
    STATE(18047), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24344), 1,
      anon_sym_SEMI,
    ACTIONS(24346), 1,
      anon_sym_RBRACE,
    STATE(17132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24346), 1,
      anon_sym_RBRACK,
    ACTIONS(24348), 1,
      anon_sym_SEMI,
    STATE(17133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710460] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24346), 1,
      anon_sym_RPAREN,
    ACTIONS(24350), 1,
      anon_sym_SEMI,
    STATE(17134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710477] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24352), 1,
      anon_sym_RPAREN,
    ACTIONS(24354), 1,
      anon_sym_LT_DASH,
    STATE(17135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710494] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_then,
    STATE(8402), 1,
      sym_then_clause,
    STATE(17136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24356), 1,
      anon_sym_COLON_GT,
    ACTIONS(24358), 1,
      anon_sym_RPAREN,
    STATE(17137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24360), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [710543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24362), 1,
      anon_sym_RPAREN,
    ACTIONS(24364), 1,
      anon_sym_SEMI,
    STATE(17139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24362), 1,
      anon_sym_RBRACK,
    ACTIONS(24366), 1,
      anon_sym_SEMI,
    STATE(17140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24362), 1,
      anon_sym_RBRACE,
    ACTIONS(24368), 1,
      anon_sym_SEMI,
    STATE(17141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17142), 1,
      sym_attribute,
    STATE(17497), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17143), 1,
      sym_attribute,
    STATE(18696), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710628] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_COLON2,
    STATE(17144), 1,
      sym_attribute,
    STATE(18587), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710645] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24370), 1,
      anon_sym_RPAREN,
    ACTIONS(24372), 1,
      anon_sym_LT_DASH,
    STATE(17145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24374), 1,
      anon_sym_DOT,
    STATE(17146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24376), 1,
      anon_sym_DOT,
    STATE(17147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(24378), 1,
      anon_sym_DASH_GT,
    STATE(17148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8602), 1,
      anon_sym_COLON_GT,
    ACTIONS(8604), 1,
      anon_sym_EQ,
    STATE(17149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17150), 1,
      sym_attribute,
    STATE(19432), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24380), 1,
      anon_sym_DOT,
    STATE(17151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17152), 1,
      sym_attribute,
    STATE(18403), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24382), 1,
      anon_sym_SEMI,
    ACTIONS(24384), 1,
      anon_sym_RBRACE,
    STATE(17153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710798] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24384), 1,
      anon_sym_RBRACK,
    ACTIONS(24386), 1,
      anon_sym_SEMI,
    STATE(17154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710815] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24384), 1,
      anon_sym_RPAREN,
    ACTIONS(24388), 1,
      anon_sym_SEMI,
    STATE(17155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24390), 1,
      anon_sym_RPAREN,
    ACTIONS(24392), 1,
      anon_sym_LT_DASH,
    STATE(17156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17958), 1,
      anon_sym_RBRACE,
    ACTIONS(24394), 1,
      anon_sym_SEMI,
    STATE(17157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24396), 1,
      anon_sym_COLON2,
    STATE(11851), 1,
      sym__polymorphic_typed,
    STATE(17158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23360), 1,
      anon_sym_then,
    STATE(8201), 1,
      sym_then_clause,
    STATE(17159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710900] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18014), 1,
      anon_sym_RBRACE,
    ACTIONS(24398), 1,
      anon_sym_SEMI,
    STATE(17160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24400), 1,
      anon_sym_RPAREN,
    ACTIONS(24402), 1,
      anon_sym_LT_DASH,
    STATE(17161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17162), 1,
      sym_attribute,
    STATE(19217), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24404), 1,
      anon_sym_DOT,
    STATE(17163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710968] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24406), 1,
      sym__lowercase_identifier,
    STATE(17164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24408), 1,
      anon_sym_DOT,
    STATE(17165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24410), 1,
      anon_sym_DOT,
    STATE(17166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24412), 1,
      sym__lowercase_identifier,
    STATE(17167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24414), 1,
      anon_sym_SEMI,
    ACTIONS(24416), 1,
      anon_sym_RBRACE,
    STATE(17168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24418), 1,
      anon_sym_SEMI,
    ACTIONS(24420), 1,
      anon_sym_RBRACE,
    STATE(17169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24422), 1,
      sym__lowercase_identifier,
    STATE(17170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17171), 1,
      sym_attribute,
    STATE(17916), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(24424), 1,
      anon_sym_DASH_GT,
    STATE(17172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24426), 1,
      anon_sym_SEMI,
    ACTIONS(24428), 1,
      anon_sym_RBRACE,
    STATE(17173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24428), 1,
      anon_sym_RBRACK,
    ACTIONS(24430), 1,
      anon_sym_SEMI,
    STATE(17174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24428), 1,
      anon_sym_RPAREN,
    ACTIONS(24432), 1,
      anon_sym_SEMI,
    STATE(17175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18156), 1,
      sym__lowercase_identifier,
    STATE(14270), 1,
      sym__simple_value_pattern,
    STATE(17176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24288), 1,
      anon_sym_do,
    STATE(8065), 1,
      sym_do_clause,
    STATE(17177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711206] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24434), 1,
      anon_sym_RPAREN,
    ACTIONS(24436), 1,
      anon_sym_LT_DASH,
    STATE(17178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24438), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24440), 1,
      anon_sym_RPAREN,
    ACTIONS(24442), 1,
      anon_sym_LT_DASH,
    STATE(17180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24444), 1,
      anon_sym_DOT,
    STATE(17181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_then,
    STATE(9934), 1,
      sym_then_clause,
    STATE(17182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(24446), 1,
      anon_sym_DASH_GT,
    STATE(17183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24448), 1,
      anon_sym_EQ,
    ACTIONS(24450), 1,
      anon_sym_RPAREN,
    STATE(17184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711323] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24452), 1,
      anon_sym_DOT,
    STATE(17185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24288), 1,
      anon_sym_do,
    STATE(8073), 1,
      sym_do_clause,
    STATE(17186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711357] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24454), 1,
      anon_sym_DOT,
    STATE(17187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24456), 1,
      anon_sym_RPAREN,
    ACTIONS(24458), 1,
      anon_sym_LT_DASH,
    STATE(17188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711391] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9951), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(17189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24460), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17191), 1,
      sym_attribute,
    STATE(17952), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24462), 1,
      anon_sym_EQ,
    ACTIONS(24464), 1,
      anon_sym_RPAREN,
    STATE(17192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24466), 1,
      anon_sym_DOT,
    STATE(17193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24468), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24470), 1,
      anon_sym_DOT,
    STATE(17195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24472), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17197), 1,
      sym_attribute,
    STATE(19728), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24474), 1,
      anon_sym_DOT,
    STATE(17198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24476), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [711570] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24478), 1,
      sym__lowercase_identifier,
    STATE(17200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24480), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24482), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(17203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22904), 1,
      anon_sym_then,
    STATE(8052), 1,
      sym_then_clause,
    STATE(17204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21846), 1,
      anon_sym_EQ,
    ACTIONS(24484), 1,
      anon_sym_COLON_GT,
    STATE(17205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711668] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17206), 1,
      sym_attribute,
    STATE(20183), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_then,
    STATE(12397), 1,
      sym_then_clause,
    STATE(17207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711702] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24486), 1,
      anon_sym_SEMI,
    ACTIONS(24488), 1,
      anon_sym_RBRACE,
    STATE(17208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24488), 1,
      anon_sym_RBRACK,
    ACTIONS(24490), 1,
      anon_sym_SEMI,
    STATE(17209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24488), 1,
      anon_sym_RPAREN,
    ACTIONS(24492), 1,
      anon_sym_SEMI,
    STATE(17210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24494), 1,
      anon_sym_RPAREN,
    ACTIONS(24496), 1,
      anon_sym_SEMI,
    STATE(17211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24498), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24500), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711800] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24502), 1,
      anon_sym_EQ,
    ACTIONS(24504), 1,
      anon_sym_RPAREN,
    STATE(17214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24494), 1,
      anon_sym_RBRACK,
    ACTIONS(24506), 1,
      anon_sym_SEMI,
    STATE(17215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711834] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24508), 1,
      sym__lowercase_identifier,
    STATE(17216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711851] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24510), 1,
      anon_sym_RPAREN,
    ACTIONS(24512), 1,
      anon_sym_LT_DASH,
    STATE(17217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24514), 1,
      sym__lowercase_identifier,
    STATE(17218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24494), 1,
      anon_sym_RBRACE,
    ACTIONS(24516), 1,
      anon_sym_SEMI,
    STATE(17219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24518), 1,
      sym__lowercase_identifier,
    STATE(17220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24396), 1,
      anon_sym_COLON2,
    STATE(11761), 1,
      sym__polymorphic_typed,
    STATE(17221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17222), 1,
      sym_attribute,
    STATE(19958), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17335), 1,
      sym__lowercase_identifier,
    STATE(17223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_then,
    STATE(9979), 1,
      sym_then_clause,
    STATE(17224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24520), 1,
      sym__lowercase_identifier,
    STATE(17225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712004] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9702), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(17226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24522), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [712036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24524), 1,
      anon_sym_RPAREN,
    ACTIONS(24526), 1,
      anon_sym_SEMI,
    STATE(17228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24524), 1,
      anon_sym_RBRACK,
    ACTIONS(24528), 1,
      anon_sym_SEMI,
    STATE(17229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24524), 1,
      anon_sym_RBRACE,
    ACTIONS(24530), 1,
      anon_sym_SEMI,
    STATE(17230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24532), 1,
      sym__lowercase_identifier,
    STATE(17231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24534), 1,
      anon_sym_DOT,
    STATE(17232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22870), 1,
      anon_sym_then,
    STATE(11979), 1,
      sym_then_clause,
    STATE(17233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24536), 1,
      anon_sym_DOT,
    STATE(17234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24538), 1,
      anon_sym_DOT,
    STATE(17235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17236), 1,
      sym_attribute,
    STATE(19600), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24540), 1,
      anon_sym_SEMI,
    ACTIONS(24542), 1,
      anon_sym_RBRACE,
    STATE(17237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712206] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17238), 1,
      sym_attribute,
    STATE(19973), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712223] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24544), 1,
      anon_sym_SEMI,
    ACTIONS(24546), 1,
      anon_sym_RBRACE,
    STATE(17239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712240] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24548), 1,
      anon_sym_SEMI,
    ACTIONS(24550), 1,
      anon_sym_RBRACE,
    STATE(17240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712257] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24546), 1,
      anon_sym_RBRACK,
    ACTIONS(24552), 1,
      anon_sym_SEMI,
    STATE(17241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24546), 1,
      anon_sym_RPAREN,
    ACTIONS(24554), 1,
      anon_sym_SEMI,
    STATE(17242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_then,
    STATE(12274), 1,
      sym_then_clause,
    STATE(17243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23110), 1,
      anon_sym_then,
    STATE(12230), 1,
      sym_then_clause,
    STATE(17244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22788), 1,
      anon_sym_open,
    STATE(17245), 1,
      sym_attribute,
    STATE(18476), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712342] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24556), 1,
      sym__lowercase_identifier,
    ACTIONS(24558), 1,
      anon_sym_LPAREN,
    STATE(17246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24560), 1,
      anon_sym_DOT,
    STATE(17247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17248), 1,
      sym_attribute,
    STATE(19514), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24562), 1,
      anon_sym_COLON_GT,
    ACTIONS(24564), 1,
      anon_sym_RPAREN,
    STATE(17249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24566), 1,
      anon_sym_RPAREN,
    ACTIONS(24568), 1,
      anon_sym_LT_DASH,
    STATE(17250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24570), 1,
      anon_sym_DOT,
    STATE(17251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24572), 1,
      anon_sym_DOT,
    STATE(17252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17253), 1,
      sym_attribute,
    STATE(18465), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24574), 1,
      anon_sym_DOT,
    STATE(17254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24576), 1,
      anon_sym_COLON_GT,
    ACTIONS(24578), 1,
      anon_sym_RPAREN,
    STATE(17255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24580), 1,
      anon_sym_EQ,
    ACTIONS(24582), 1,
      anon_sym_RPAREN,
    STATE(17256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23110), 1,
      anon_sym_then,
    STATE(12095), 1,
      sym_then_clause,
    STATE(17257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17258), 1,
      sym_attribute,
    STATE(19154), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_then,
    STATE(12273), 1,
      sym_then_clause,
    STATE(17259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24584), 1,
      anon_sym_SEMI,
    ACTIONS(24586), 1,
      anon_sym_RBRACE,
    STATE(17260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24588), 1,
      anon_sym_RPAREN,
    ACTIONS(24590), 1,
      anon_sym_LT_DASH,
    STATE(17261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24586), 1,
      anon_sym_RBRACK,
    ACTIONS(24592), 1,
      anon_sym_SEMI,
    STATE(17262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712631] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24594), 1,
      anon_sym_RPAREN,
    ACTIONS(24596), 1,
      anon_sym_LT_DASH,
    STATE(17263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24586), 1,
      anon_sym_RPAREN,
    ACTIONS(24598), 1,
      anon_sym_SEMI,
    STATE(17264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17672), 1,
      anon_sym_RBRACE,
    ACTIONS(24600), 1,
      anon_sym_SEMI,
    STATE(17265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24602), 1,
      sym__lowercase_identifier,
    STATE(17266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24604), 1,
      sym__lowercase_identifier,
    ACTIONS(24606), 1,
      anon_sym_LPAREN,
    STATE(17267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24608), 1,
      anon_sym_DOT,
    STATE(17268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17676), 1,
      anon_sym_RBRACE,
    ACTIONS(24610), 1,
      anon_sym_SEMI,
    STATE(17269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712750] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24612), 1,
      sym__lowercase_identifier,
    STATE(17270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17271), 1,
      sym_attribute,
    STATE(18508), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24614), 1,
      anon_sym_DOT,
    STATE(17272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712801] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24616), 1,
      anon_sym_DOT,
    STATE(17273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24618), 1,
      anon_sym_DOT,
    STATE(17274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24620), 1,
      anon_sym_DOT,
    STATE(17275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712852] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24622), 1,
      anon_sym_DOT,
    STATE(17276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17270), 1,
      sym__lowercase_identifier,
    STATE(17277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(24624), 1,
      anon_sym_DASH_GT,
    STATE(17278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17279), 1,
      sym_attribute,
    STATE(17868), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24626), 1,
      anon_sym_RPAREN,
    ACTIONS(24628), 1,
      anon_sym_LT_DASH,
    STATE(17280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24630), 1,
      anon_sym_SEMI,
    ACTIONS(24632), 1,
      anon_sym_RBRACE,
    STATE(17281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24632), 1,
      anon_sym_RBRACK,
    ACTIONS(24634), 1,
      anon_sym_SEMI,
    STATE(17282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24632), 1,
      anon_sym_RPAREN,
    ACTIONS(24636), 1,
      anon_sym_SEMI,
    STATE(17283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17284), 1,
      sym_attribute,
    STATE(19997), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24638), 1,
      sym__lowercase_identifier,
    STATE(17285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24640), 1,
      anon_sym_COLON_GT,
    ACTIONS(24642), 1,
      anon_sym_RPAREN,
    STATE(17286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713039] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17810), 1,
      anon_sym_RBRACE,
    ACTIONS(24644), 1,
      anon_sym_SEMI,
    STATE(17287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17788), 1,
      anon_sym_RBRACE,
    ACTIONS(24646), 1,
      anon_sym_SEMI,
    STATE(17288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17289), 1,
      sym_attribute,
    STATE(17637), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23360), 1,
      anon_sym_then,
    STATE(8240), 1,
      sym_then_clause,
    STATE(17290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24648), 1,
      sym__lowercase_identifier,
    STATE(17291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713124] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24650), 1,
      anon_sym_RPAREN,
    ACTIONS(24652), 1,
      anon_sym_LT_DASH,
    STATE(17292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713141] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24654), 1,
      anon_sym_DOT,
    STATE(17293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24656), 1,
      anon_sym_DOT,
    STATE(17294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24658), 1,
      anon_sym_COLON_GT,
    ACTIONS(24660), 1,
      anon_sym_RPAREN,
    STATE(17295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713192] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24662), 1,
      anon_sym_EQ,
    ACTIONS(24664), 1,
      anon_sym_RPAREN,
    STATE(17296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24666), 1,
      sym__lowercase_identifier,
    ACTIONS(24668), 1,
      anon_sym_LPAREN,
    STATE(17297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713226] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24670), 1,
      anon_sym_DOT,
    STATE(17298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24672), 1,
      anon_sym_SEMI,
    ACTIONS(24674), 1,
      anon_sym_RBRACE,
    STATE(17299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713260] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17300), 1,
      sym_attribute,
    STATE(17433), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24676), 1,
      anon_sym_SEMI,
    ACTIONS(24678), 1,
      anon_sym_RBRACE,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713294] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24680), 1,
      sym__lowercase_identifier,
    ACTIONS(24682), 1,
      anon_sym_LPAREN,
    STATE(17302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24684), 1,
      anon_sym_SEMI,
    ACTIONS(24686), 1,
      anon_sym_RBRACE,
    STATE(17303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24686), 1,
      anon_sym_RBRACK,
    ACTIONS(24688), 1,
      anon_sym_SEMI,
    STATE(17304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24686), 1,
      anon_sym_RPAREN,
    ACTIONS(24690), 1,
      anon_sym_SEMI,
    STATE(17305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(24692), 1,
      anon_sym_DASH_GT,
    STATE(17306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24694), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713394] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_then,
    STATE(11745), 1,
      sym_then_clause,
    STATE(17308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9696), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(17309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24696), 1,
      anon_sym_RPAREN,
    ACTIONS(24698), 1,
      anon_sym_LT_DASH,
    STATE(17310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16236), 1,
      anon_sym_STAR,
    ACTIONS(24700), 1,
      anon_sym_DASH_GT,
    STATE(17311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24702), 1,
      anon_sym_EQ,
    ACTIONS(24704), 1,
      anon_sym_RPAREN,
    STATE(17312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24706), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [713494] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24708), 1,
      anon_sym_RPAREN,
    ACTIONS(24710), 1,
      anon_sym_SEMI,
    STATE(17314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24708), 1,
      anon_sym_RBRACK,
    ACTIONS(24712), 1,
      anon_sym_SEMI,
    STATE(17315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24708), 1,
      anon_sym_RBRACE,
    ACTIONS(24714), 1,
      anon_sym_SEMI,
    STATE(17316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17317), 1,
      sym_attribute,
    STATE(17368), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24716), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24718), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24720), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24722), 1,
      anon_sym_DOT,
    STATE(17321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24724), 1,
      anon_sym_DOT,
    STATE(17322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24726), 1,
      anon_sym_DOT,
    STATE(17323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17324), 1,
      sym_attribute,
    STATE(19052), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(17430), 1,
      sym__lowercase_identifier,
    STATE(17325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24728), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24730), 1,
      sym__lowercase_identifier,
    ACTIONS(24732), 1,
      anon_sym_LPAREN,
    STATE(17327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9698), 1,
      anon_sym_RBRACK,
    ACTIONS(18240), 1,
      anon_sym_PIPE,
    STATE(17328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24734), 1,
      anon_sym_RPAREN,
    ACTIONS(24736), 1,
      anon_sym_LT_DASH,
    STATE(17329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17330), 1,
      sym_attribute,
    STATE(17787), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24738), 1,
      anon_sym_SEMI,
    ACTIONS(24740), 1,
      anon_sym_RBRACE,
    STATE(17331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24740), 1,
      anon_sym_RBRACK,
    ACTIONS(24742), 1,
      anon_sym_SEMI,
    STATE(17332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24740), 1,
      anon_sym_RPAREN,
    ACTIONS(24744), 1,
      anon_sym_SEMI,
    STATE(17333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24746), 1,
      anon_sym_RPAREN,
    ACTIONS(24748), 1,
      anon_sym_LT_DASH,
    STATE(17334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24750), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17336), 1,
      sym_attribute,
    STATE(17991), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24752), 1,
      sym__lowercase_identifier,
    STATE(17337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24754), 1,
      anon_sym_RBRACK,
    ACTIONS(24756), 1,
      anon_sym_SEMI,
    STATE(17338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713909] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24754), 1,
      anon_sym_RBRACE,
    ACTIONS(24758), 1,
      anon_sym_SEMI,
    STATE(17339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24760), 1,
      sym__lowercase_identifier,
    STATE(17340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      sym__left_quoted_string_delimiter,
    STATE(17341), 1,
      sym_attribute,
    STATE(18385), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713960] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23110), 1,
      anon_sym_then,
    STATE(12257), 1,
      sym_then_clause,
    STATE(17342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713977] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      anon_sym_COLON2,
    STATE(17343), 1,
      sym_attribute,
    STATE(18685), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24762), 1,
      anon_sym_DOT,
    STATE(17344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24764), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714026] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    ACTIONS(24766), 1,
      sym__lowercase_identifier,
    STATE(17346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24768), 1,
      anon_sym_DOT,
    STATE(17347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714060] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24770), 1,
      anon_sym_COLON_GT,
    ACTIONS(24772), 1,
      anon_sym_RPAREN,
    STATE(17348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24774), 1,
      anon_sym_DOT,
    STATE(17349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714094] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23066), 1,
      anon_sym_then,
    STATE(12291), 1,
      sym_then_clause,
    STATE(17350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714111] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24776), 1,
      anon_sym_COLON_GT,
    ACTIONS(24778), 1,
      anon_sym_RPAREN,
    STATE(17351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714128] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23008), 1,
      anon_sym_then,
    STATE(10341), 1,
      sym_then_clause,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24780), 1,
      anon_sym_DOT,
    STATE(17353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714162] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24782), 1,
      anon_sym_RPAREN,
    ACTIONS(24784), 1,
      anon_sym_LT_DASH,
    STATE(17354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24786), 1,
      anon_sym_DOT,
    STATE(17355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    ACTIONS(24788), 1,
      sym__lowercase_identifier,
    STATE(17356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714213] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24790), 1,
      sym__lowercase_identifier,
    ACTIONS(24792), 1,
      anon_sym_LPAREN,
    STATE(17357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714230] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11506), 1,
      anon_sym_LPAREN,
    ACTIONS(24794), 1,
      anon_sym_DOT,
    STATE(17358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24796), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [714262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24754), 1,
      anon_sym_RPAREN,
    ACTIONS(24798), 1,
      anon_sym_SEMI,
    STATE(17360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17980), 1,
      anon_sym_RPAREN,
    STATE(17361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24800), 1,
      anon_sym_DQUOTE,
    STATE(17362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22070), 1,
      anon_sym_GT_RBRACE,
    STATE(17363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24802), 1,
      anon_sym_DASH_GT,
    STATE(17364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11222), 1,
      anon_sym_GT,
    STATE(17365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8854), 1,
      anon_sym_DASH_GT,
    STATE(17366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24804), 1,
      anon_sym_RPAREN,
    STATE(17367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24806), 1,
      anon_sym_RBRACE,
    STATE(17368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24808), 1,
      anon_sym_RBRACE,
    STATE(17369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8768), 1,
      anon_sym_DASH_GT,
    STATE(17370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24810), 1,
      anon_sym_DASH_GT,
    STATE(17371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24812), 1,
      anon_sym_RPAREN,
    STATE(17372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24814), 1,
      anon_sym_RBRACE,
    STATE(17373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11258), 1,
      anon_sym_GT,
    STATE(17374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24816), 1,
      anon_sym_DOT,
    STATE(17375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22028), 1,
      anon_sym_GT_RBRACE,
    STATE(17376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24818), 1,
      anon_sym_end,
    STATE(17377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24820), 1,
      anon_sym_RPAREN,
    STATE(17378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24822), 1,
      anon_sym_GT,
    STATE(17379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16341), 1,
      anon_sym_RPAREN,
    STATE(17380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24824), 1,
      sym__lowercase_identifier,
    STATE(17381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24826), 1,
      anon_sym_with,
    STATE(17382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24828), 1,
      anon_sym_with,
    STATE(17383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24830), 1,
      anon_sym_DOT,
    STATE(17384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24832), 1,
      anon_sym_RBRACK,
    STATE(17385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24834), 1,
      anon_sym_DASH_GT,
    STATE(17386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24836), 1,
      anon_sym_DQUOTE,
    STATE(17387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24838), 1,
      anon_sym_SQUOTE2,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19250), 1,
      anon_sym_end,
    STATE(17389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19216), 1,
      anon_sym_end,
    STATE(17390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24840), 1,
      anon_sym_with,
    STATE(17391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24842), 1,
      anon_sym_with,
    STATE(17392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24844), 1,
      anon_sym_RBRACE,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22024), 1,
      anon_sym_GT_RBRACE,
    STATE(17394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24846), 1,
      anon_sym_DOT,
    STATE(17395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24848), 1,
      anon_sym_RPAREN,
    STATE(17396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24850), 1,
      anon_sym_RBRACK,
    STATE(17397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24852), 1,
      anon_sym_DASH_GT,
    STATE(17398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24854), 1,
      anon_sym_RBRACE,
    STATE(17399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24856), 1,
      anon_sym_DASH_GT,
    STATE(17400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24858), 1,
      anon_sym_RBRACE,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17772), 1,
      anon_sym_RPAREN,
    STATE(17402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24860), 1,
      anon_sym_RBRACE,
    STATE(17403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24862), 1,
      anon_sym_RPAREN,
    STATE(17404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24864), 1,
      anon_sym_SQUOTE2,
    STATE(17405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24866), 1,
      anon_sym_in,
    STATE(17406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24868), 1,
      anon_sym_DASH_GT,
    STATE(17407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24870), 1,
      anon_sym_in,
    STATE(17408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24872), 1,
      anon_sym_RPAREN,
    STATE(17409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24874), 1,
      anon_sym_RPAREN,
    STATE(17410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24874), 1,
      anon_sym_RBRACK,
    STATE(17411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24874), 1,
      anon_sym_RBRACE,
    STATE(17412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24876), 1,
      anon_sym_DASH_GT,
    STATE(17413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24878), 1,
      anon_sym_DASH_GT,
    STATE(17414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24880), 1,
      anon_sym_DASH_GT,
    STATE(17415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    STATE(17416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24882), 1,
      anon_sym_RPAREN,
    STATE(17417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24884), 1,
      anon_sym_in,
    STATE(17418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24886), 1,
      anon_sym_in,
    STATE(17419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24888), 1,
      anon_sym_RPAREN,
    STATE(17420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24890), 1,
      anon_sym_in,
    STATE(17421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24892), 1,
      aux_sym_number_token1,
    STATE(17422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6717), 1,
      anon_sym_end,
    STATE(17423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24894), 1,
      anon_sym_DQUOTE,
    STATE(17424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24896), 1,
      anon_sym_RBRACK,
    STATE(17425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24898), 1,
      anon_sym_DOT,
    STATE(17426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24900), 1,
      anon_sym_RPAREN,
    STATE(17427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24902), 1,
      anon_sym_in,
    STATE(17428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24904), 1,
      anon_sym_RBRACE,
    STATE(17429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24906), 1,
      anon_sym_end,
    STATE(17430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24908), 1,
      anon_sym_RPAREN,
    STATE(17431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    STATE(17432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24910), 1,
      anon_sym_RPAREN,
    STATE(17433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24912), 1,
      anon_sym_RPAREN,
    STATE(17434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24914), 1,
      anon_sym_with,
    STATE(17435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24916), 1,
      anon_sym_with,
    STATE(17436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24918), 1,
      anon_sym_DOT,
    STATE(17437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24920), 1,
      anon_sym_RBRACK,
    STATE(17438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24922), 1,
      anon_sym_RBRACE,
    STATE(17439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24924), 1,
      anon_sym_RPAREN,
    STATE(17440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24926), 1,
      anon_sym_RBRACK,
    STATE(17441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24928), 1,
      sym__lowercase_identifier,
    STATE(17442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24930), 1,
      anon_sym_LT_DASH,
    STATE(17443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24932), 1,
      anon_sym_with,
    STATE(17444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24934), 1,
      anon_sym_with,
    STATE(17445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24936), 1,
      anon_sym_RPAREN,
    STATE(17446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24938), 1,
      anon_sym_in,
    STATE(17447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24940), 1,
      anon_sym_DASH_GT,
    STATE(17448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24942), 1,
      anon_sym_DOT,
    STATE(17449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24944), 1,
      anon_sym_DASH_GT,
    STATE(17450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24946), 1,
      anon_sym_DASH_GT,
    STATE(17451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24948), 1,
      anon_sym_RBRACE,
    STATE(17452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24948), 1,
      anon_sym_RBRACK,
    STATE(17453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24950), 1,
      anon_sym_RPAREN,
    STATE(17454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17716), 1,
      anon_sym_RPAREN,
    STATE(17455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17276), 1,
      anon_sym_GT,
    STATE(17456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24948), 1,
      anon_sym_RPAREN,
    STATE(17457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24952), 1,
      anon_sym_in,
    STATE(17458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24954), 1,
      anon_sym_RPAREN,
    STATE(17459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24956), 1,
      sym__lowercase_identifier,
    STATE(17460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24958), 1,
      anon_sym_RPAREN,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24960), 1,
      anon_sym_RPAREN,
    STATE(17462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24960), 1,
      anon_sym_RBRACK,
    STATE(17463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24960), 1,
      anon_sym_RBRACE,
    STATE(17464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24962), 1,
      anon_sym_DASH_GT,
    STATE(17465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24964), 1,
      anon_sym_in,
    STATE(17466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13978), 1,
      anon_sym_DASH_GT,
    STATE(17467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24966), 1,
      anon_sym_RBRACE,
    STATE(17468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24968), 1,
      anon_sym_RPAREN,
    STATE(17469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24970), 1,
      anon_sym_GT,
    STATE(17470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24972), 1,
      anon_sym_RBRACE,
    STATE(17471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24974), 1,
      anon_sym_RBRACK,
    STATE(17472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24976), 1,
      anon_sym_LT_DASH,
    STATE(17473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24978), 1,
      anon_sym_DQUOTE,
    STATE(17474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24980), 1,
      anon_sym_RPAREN,
    STATE(17475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17710), 1,
      anon_sym_RPAREN,
    STATE(17476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19220), 1,
      anon_sym_end,
    STATE(17477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24982), 1,
      anon_sym_DASH_GT,
    STATE(17478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24984), 1,
      anon_sym_DASH_GT,
    STATE(17479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11190), 1,
      anon_sym_GT,
    STATE(17480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24986), 1,
      anon_sym_DOT,
    STATE(17481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24988), 1,
      anon_sym_RPAREN,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24990), 1,
      anon_sym_RPAREN,
    STATE(17483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24992), 1,
      anon_sym_SQUOTE2,
    STATE(17484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24994), 1,
      anon_sym_DASH_GT,
    STATE(17485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24996), 1,
      anon_sym_RPAREN,
    STATE(17486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24998), 1,
      anon_sym_DASH_GT,
    STATE(17487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25000), 1,
      anon_sym_RPAREN,
    STATE(17488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25002), 1,
      anon_sym_SQUOTE2,
    STATE(17489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25004), 1,
      anon_sym_with,
    STATE(17490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25006), 1,
      anon_sym_with,
    STATE(17491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25008), 1,
      anon_sym_DOT,
    STATE(17492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25010), 1,
      anon_sym_DOT,
    STATE(17493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19812), 1,
      anon_sym_end,
    STATE(17494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25012), 1,
      anon_sym_RBRACE,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25014), 1,
      anon_sym_RBRACE,
    STATE(17496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25016), 1,
      anon_sym_RBRACE,
    STATE(17497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25018), 1,
      anon_sym_RPAREN,
    STATE(17498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25020), 1,
      anon_sym_with,
    STATE(17499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25022), 1,
      anon_sym_with,
    STATE(17500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22084), 1,
      anon_sym_GT_RBRACE,
    STATE(17501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25024), 1,
      anon_sym_with,
    STATE(17502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16539), 1,
      anon_sym_RPAREN,
    STATE(17503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25026), 1,
      anon_sym_DOT,
    STATE(17504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17494), 1,
      anon_sym_GT,
    STATE(17505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6727), 1,
      anon_sym_RPAREN,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25028), 1,
      anon_sym_with,
    STATE(17507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25030), 1,
      anon_sym_DQUOTE,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25032), 1,
      anon_sym_RPAREN,
    STATE(17509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17806), 1,
      anon_sym_RPAREN,
    STATE(17510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24450), 1,
      anon_sym_RPAREN,
    STATE(17511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25034), 1,
      anon_sym_RBRACE,
    STATE(17512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24678), 1,
      anon_sym_RBRACE,
    STATE(17513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25036), 1,
      anon_sym_in,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24674), 1,
      anon_sym_RBRACE,
    STATE(17515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25038), 1,
      anon_sym_RPAREN,
    STATE(17516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25040), 1,
      anon_sym_RPAREN,
    STATE(17517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25040), 1,
      anon_sym_RBRACK,
    STATE(17518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25040), 1,
      anon_sym_RBRACE,
    STATE(17519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25042), 1,
      anon_sym_RPAREN,
    STATE(17520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25044), 1,
      anon_sym_RBRACE,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25046), 1,
      anon_sym_RBRACK,
    STATE(17522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25048), 1,
      anon_sym_RPAREN,
    STATE(17523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25050), 1,
      anon_sym_GT,
    STATE(17524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25052), 1,
      anon_sym_RPAREN,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25054), 1,
      anon_sym_RPAREN,
    STATE(17526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25056), 1,
      anon_sym_RPAREN,
    STATE(17527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25058), 1,
      anon_sym_DOT,
    STATE(17528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25060), 1,
      anon_sym_with,
    STATE(17529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25062), 1,
      anon_sym_LT_DASH,
    STATE(17530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25064), 1,
      anon_sym_RBRACE,
    STATE(17531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25066), 1,
      anon_sym_RPAREN,
    STATE(17532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25068), 1,
      anon_sym_LT_DASH,
    STATE(17533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25070), 1,
      anon_sym_RBRACK,
    STATE(17534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25072), 1,
      anon_sym_RBRACE,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25074), 1,
      anon_sym_DOT,
    STATE(17536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25076), 1,
      anon_sym_RPAREN,
    STATE(17537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16349), 1,
      anon_sym_RPAREN,
    STATE(17538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25078), 1,
      anon_sym_with,
    STATE(17539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25080), 1,
      anon_sym_RPAREN,
    STATE(17540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25082), 1,
      anon_sym_RBRACK,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    STATE(17542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25084), 1,
      anon_sym_RPAREN,
    STATE(17543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25086), 1,
      anon_sym_in,
    STATE(17544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25088), 1,
      anon_sym_with,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25090), 1,
      anon_sym_with,
    STATE(17546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25092), 1,
      anon_sym_DOT,
    STATE(17547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25094), 1,
      anon_sym_RBRACE,
    STATE(17548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25096), 1,
      anon_sym_in,
    STATE(17549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25098), 1,
      anon_sym_RPAREN,
    STATE(17550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    STATE(17551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25100), 1,
      anon_sym_in,
    STATE(17552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25102), 1,
      anon_sym_in,
    STATE(17553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25104), 1,
      anon_sym_with,
    STATE(17554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25106), 1,
      anon_sym_with,
    STATE(17555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25108), 1,
      anon_sym_RPAREN,
    STATE(17556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25110), 1,
      anon_sym_RBRACE,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25112), 1,
      anon_sym_RBRACK,
    STATE(17558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25114), 1,
      anon_sym_DOT,
    STATE(17559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25116), 1,
      anon_sym_RPAREN,
    STATE(17560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17628), 1,
      anon_sym_RPAREN,
    STATE(17561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25118), 1,
      anon_sym_in,
    STATE(17562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    STATE(17563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25120), 1,
      anon_sym_RPAREN,
    STATE(17564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17814), 1,
      anon_sym_RPAREN,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25122), 1,
      anon_sym_RPAREN,
    STATE(17566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25124), 1,
      anon_sym_DOT,
    STATE(17567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25126), 1,
      anon_sym_DASH_GT,
    STATE(17568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8772), 1,
      anon_sym_DASH_GT,
    STATE(17569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25128), 1,
      anon_sym_in,
    STATE(17570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25130), 1,
      anon_sym_RPAREN,
    STATE(17571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25132), 1,
      anon_sym_RPAREN,
    STATE(17572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25132), 1,
      anon_sym_RBRACK,
    STATE(17573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25132), 1,
      anon_sym_RBRACE,
    STATE(17574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25134), 1,
      anon_sym_RBRACK,
    STATE(17575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25136), 1,
      anon_sym_in,
    STATE(17576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25138), 1,
      anon_sym_DASH_GT,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25140), 1,
      anon_sym_RBRACE,
    STATE(17578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25142), 1,
      anon_sym_in,
    STATE(17579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25144), 1,
      anon_sym_RBRACE,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16495), 1,
      anon_sym_RPAREN,
    STATE(17581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25146), 1,
      anon_sym_RPAREN,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21940), 1,
      anon_sym_GT_RBRACE,
    STATE(17583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25148), 1,
      anon_sym_RPAREN,
    STATE(17584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19854), 1,
      anon_sym_end,
    STATE(17585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25150), 1,
      anon_sym_RBRACE,
    STATE(17586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25152), 1,
      anon_sym_DASH_GT,
    STATE(17587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25154), 1,
      anon_sym_DASH_GT,
    STATE(17588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24206), 1,
      anon_sym_RPAREN,
    STATE(17589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25156), 1,
      anon_sym_RBRACE,
    STATE(17590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25158), 1,
      anon_sym_DOT,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6747), 1,
      anon_sym_RPAREN,
    STATE(17592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25160), 1,
      anon_sym_RBRACE,
    STATE(17593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25160), 1,
      anon_sym_RBRACK,
    STATE(17594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25162), 1,
      anon_sym_RBRACK,
    STATE(17595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25160), 1,
      anon_sym_RPAREN,
    STATE(17596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25164), 1,
      anon_sym_SQUOTE2,
    STATE(17597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25166), 1,
      anon_sym_RPAREN,
    STATE(17598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25168), 1,
      anon_sym_DQUOTE,
    STATE(17599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25170), 1,
      anon_sym_with,
    STATE(17600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25172), 1,
      anon_sym_with,
    STATE(17601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25174), 1,
      anon_sym_DOT,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25176), 1,
      anon_sym_GT,
    STATE(17603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25178), 1,
      anon_sym_RPAREN,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25180), 1,
      anon_sym_RBRACK,
    STATE(17605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25182), 1,
      anon_sym_RPAREN,
    STATE(17606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25184), 1,
      anon_sym_RPAREN,
    STATE(17607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25186), 1,
      anon_sym_end,
    STATE(17608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25188), 1,
      anon_sym_with,
    STATE(17609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25190), 1,
      anon_sym_with,
    STATE(17610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25192), 1,
      sym__lowercase_identifier,
    STATE(17611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25194), 1,
      anon_sym_RPAREN,
    STATE(17612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25196), 1,
      anon_sym_RPAREN,
    STATE(17613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_DOT,
    STATE(17614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25200), 1,
      anon_sym_in,
    STATE(17615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25202), 1,
      anon_sym_LT_DASH,
    STATE(17616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25204), 1,
      anon_sym_RPAREN,
    STATE(17617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25206), 1,
      anon_sym_RPAREN,
    STATE(17618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25208), 1,
      anon_sym_DASH_GT,
    STATE(17619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17828), 1,
      anon_sym_RPAREN,
    STATE(17620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25210), 1,
      anon_sym_in,
    STATE(17621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25212), 1,
      anon_sym_RPAREN,
    STATE(17622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25214), 1,
      anon_sym_DASH_GT,
    STATE(17623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8698), 1,
      anon_sym_DASH_GT,
    STATE(17624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25216), 1,
      anon_sym_RPAREN,
    STATE(17625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25218), 1,
      anon_sym_RPAREN,
    STATE(17626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_RPAREN,
    STATE(17627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_RBRACK,
    STATE(17628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_RBRACE,
    STATE(17629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25222), 1,
      anon_sym_RPAREN,
    STATE(17630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25224), 1,
      anon_sym_RPAREN,
    STATE(17631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25226), 1,
      anon_sym_DASH_GT,
    STATE(17632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8782), 1,
      anon_sym_DASH_GT,
    STATE(17633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25228), 1,
      anon_sym_end,
    STATE(17634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25230), 1,
      anon_sym_RPAREN,
    STATE(17635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11590), 1,
      anon_sym_GT,
    STATE(17636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25232), 1,
      anon_sym_RBRACE,
    STATE(17637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25234), 1,
      anon_sym_RPAREN,
    STATE(17638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25236), 1,
      anon_sym_RBRACK,
    STATE(17639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25238), 1,
      anon_sym_RBRACE,
    STATE(17640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25240), 1,
      anon_sym_RBRACE,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25242), 1,
      anon_sym_RBRACE,
    STATE(17642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11546), 1,
      anon_sym_GT,
    STATE(17643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25244), 1,
      anon_sym_DASH_GT,
    STATE(17644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25246), 1,
      anon_sym_DOT,
    STATE(17645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25248), 1,
      anon_sym_DOT,
    STATE(17646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25250), 1,
      anon_sym_RPAREN,
    STATE(17647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25252), 1,
      anon_sym_DASH_GT,
    STATE(17648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25254), 1,
      anon_sym_in,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25256), 1,
      anon_sym_DASH_GT,
    STATE(17650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18058), 1,
      anon_sym_RPAREN,
    STATE(17651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25258), 1,
      anon_sym_in,
    STATE(17652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25260), 1,
      anon_sym_DASH_GT,
    STATE(17653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      sym__lowercase_identifier,
    STATE(17654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25264), 1,
      anon_sym_with,
    STATE(17655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_with,
    STATE(17656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25268), 1,
      anon_sym_DOT,
    STATE(17657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_RBRACE,
    STATE(17658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_RBRACK,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25272), 1,
      anon_sym_DQUOTE,
    STATE(17660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25274), 1,
      anon_sym_SQUOTE2,
    STATE(17661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25276), 1,
      anon_sym_RPAREN,
    STATE(17662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19144), 1,
      anon_sym_end,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25278), 1,
      anon_sym_with,
    STATE(17664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25280), 1,
      anon_sym_with,
    STATE(17665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8720), 1,
      anon_sym_DASH_GT,
    STATE(17666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21874), 1,
      anon_sym_GT_RBRACE,
    STATE(17667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_RPAREN,
    STATE(17668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25282), 1,
      anon_sym_DOT,
    STATE(17669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25284), 1,
      anon_sym_RPAREN,
    STATE(17670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25286), 1,
      anon_sym_in,
    STATE(17671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25288), 1,
      anon_sym_DASH_GT,
    STATE(17672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24550), 1,
      anon_sym_RBRACE,
    STATE(17673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25290), 1,
      anon_sym_in,
    STATE(17674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17866), 1,
      anon_sym_RPAREN,
    STATE(17675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25292), 1,
      anon_sym_RBRACE,
    STATE(17676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24542), 1,
      anon_sym_RBRACE,
    STATE(17677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25294), 1,
      anon_sym_RPAREN,
    STATE(17678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8667), 1,
      anon_sym_DASH_GT,
    STATE(17679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25296), 1,
      anon_sym_RPAREN,
    STATE(17680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25298), 1,
      anon_sym_RPAREN,
    STATE(17681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25300), 1,
      anon_sym_RPAREN,
    STATE(17682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25300), 1,
      anon_sym_RBRACK,
    STATE(17683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25300), 1,
      anon_sym_RBRACE,
    STATE(17684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25302), 1,
      anon_sym_RPAREN,
    STATE(17685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25304), 1,
      anon_sym_RPAREN,
    STATE(17686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25306), 1,
      anon_sym_in,
    STATE(17687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25308), 1,
      anon_sym_in,
    STATE(17688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_RBRACE,
    STATE(17689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25312), 1,
      anon_sym_RPAREN,
    STATE(17690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25314), 1,
      anon_sym_in,
    STATE(17691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25316), 1,
      aux_sym_number_token1,
    STATE(17692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5085), 1,
      anon_sym_end,
    STATE(17693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17472), 1,
      anon_sym_GT,
    STATE(17694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25318), 1,
      anon_sym_DASH_GT,
    STATE(17695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25320), 1,
      anon_sym_DASH_GT,
    STATE(17696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25322), 1,
      anon_sym_DOT,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25324), 1,
      anon_sym_DASH_GT,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25326), 1,
      anon_sym_RBRACE,
    STATE(17699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25328), 1,
      anon_sym_RBRACK,
    STATE(17700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25330), 1,
      anon_sym_DOT,
    STATE(17701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25332), 1,
      anon_sym_RPAREN,
    STATE(17702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5253), 1,
      anon_sym_COLON_COLON,
    STATE(17703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25334), 1,
      anon_sym_DOT,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25336), 1,
      anon_sym_in,
    STATE(17705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25338), 1,
      anon_sym_RBRACE,
    STATE(17706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25340), 1,
      anon_sym_RBRACK,
    STATE(17707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25342), 1,
      anon_sym_RPAREN,
    STATE(17708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25344), 1,
      anon_sym_DASH_GT,
    STATE(17709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_with,
    STATE(17710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25348), 1,
      anon_sym_with,
    STATE(17711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25350), 1,
      anon_sym_DOT,
    STATE(17712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25352), 1,
      anon_sym_with,
    STATE(17713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25354), 1,
      anon_sym_DASH_GT,
    STATE(17714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25356), 1,
      anon_sym_end,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25358), 1,
      anon_sym_RBRACE,
    STATE(17716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25360), 1,
      anon_sym_RPAREN,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25362), 1,
      anon_sym_LT_DASH,
    STATE(17718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25364), 1,
      anon_sym_with,
    STATE(17719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25366), 1,
      anon_sym_with,
    STATE(17720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25368), 1,
      anon_sym_with,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25370), 1,
      anon_sym_RBRACE,
    STATE(17722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25372), 1,
      anon_sym_RPAREN,
    STATE(17723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25374), 1,
      anon_sym_DOT,
    STATE(17724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25376), 1,
      anon_sym_RBRACE,
    STATE(17725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25378), 1,
      anon_sym_RPAREN,
    STATE(17726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25380), 1,
      anon_sym_DOT,
    STATE(17727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25382), 1,
      anon_sym_with,
    STATE(17728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25384), 1,
      anon_sym_RPAREN,
    STATE(17729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17874), 1,
      anon_sym_RPAREN,
    STATE(17730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17345), 1,
      anon_sym_GT,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25386), 1,
      anon_sym_RPAREN,
    STATE(17732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_DASH_GT,
    STATE(17733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25390), 1,
      anon_sym_with,
    STATE(17734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25392), 1,
      anon_sym_end,
    STATE(17735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_RPAREN,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25396), 1,
      anon_sym_RPAREN,
    STATE(17737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25396), 1,
      anon_sym_RBRACK,
    STATE(17738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25396), 1,
      anon_sym_RBRACE,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25398), 1,
      anon_sym_RBRACE,
    STATE(17740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25400), 1,
      anon_sym_end,
    STATE(17741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15808), 1,
      anon_sym_DASH_GT,
    STATE(17742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25402), 1,
      anon_sym_RBRACK,
    STATE(17743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16670), 1,
      anon_sym_RPAREN,
    STATE(17744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_DOT,
    STATE(17745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25406), 1,
      anon_sym_GT,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25408), 1,
      anon_sym_DOT,
    STATE(17747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16656), 1,
      anon_sym_RPAREN,
    STATE(17748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_DASH_GT,
    STATE(17749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25410), 1,
      anon_sym_RBRACE,
    STATE(17750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25412), 1,
      anon_sym_RBRACK,
    STATE(17751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16513), 1,
      anon_sym_RPAREN,
    STATE(17752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25414), 1,
      anon_sym_DOT,
    STATE(17753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25416), 1,
      anon_sym_GT,
    STATE(17754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16499), 1,
      anon_sym_RPAREN,
    STATE(17755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25418), 1,
      anon_sym_DOT,
    STATE(17756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25420), 1,
      anon_sym_RPAREN,
    STATE(17757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25422), 1,
      anon_sym_RPAREN,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25424), 1,
      anon_sym_RBRACK,
    STATE(17759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14974), 1,
      anon_sym_DASH_GT,
    STATE(17760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25426), 1,
      anon_sym_RPAREN,
    STATE(17761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25428), 1,
      anon_sym_RPAREN,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_RBRACE,
    STATE(17763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25432), 1,
      anon_sym_RPAREN,
    STATE(17764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25434), 1,
      anon_sym_with,
    STATE(17765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25436), 1,
      anon_sym_with,
    STATE(17766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25438), 1,
      anon_sym_DOT,
    STATE(17767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25440), 1,
      anon_sym_DASH_GT,
    STATE(17768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25442), 1,
      anon_sym_with,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17498), 1,
      anon_sym_GT,
    STATE(17770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25444), 1,
      anon_sym_RBRACE,
    STATE(17771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25446), 1,
      anon_sym_end,
    STATE(17772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25448), 1,
      anon_sym_RBRACE,
    STATE(17773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25450), 1,
      anon_sym_with,
    STATE(17774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_with,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25454), 1,
      anon_sym_DASH_GT,
    STATE(17776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25456), 1,
      anon_sym_RPAREN,
    STATE(17777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25458), 1,
      anon_sym_with,
    STATE(17778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25460), 1,
      anon_sym_DOT,
    STATE(17779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25462), 1,
      anon_sym_RPAREN,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      anon_sym_LT_DASH,
    STATE(17781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25466), 1,
      anon_sym_RBRACE,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25468), 1,
      anon_sym_RBRACK,
    STATE(17783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25470), 1,
      anon_sym_RPAREN,
    STATE(17784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17950), 1,
      anon_sym_RPAREN,
    STATE(17785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25472), 1,
      sym__lowercase_identifier,
    STATE(17786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25474), 1,
      anon_sym_RPAREN,
    STATE(17787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25476), 1,
      anon_sym_RPAREN,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25478), 1,
      anon_sym_RPAREN,
    STATE(17789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25480), 1,
      anon_sym_in,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25482), 1,
      anon_sym_RPAREN,
    STATE(17791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25484), 1,
      anon_sym_RPAREN,
    STATE(17792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25484), 1,
      anon_sym_RBRACK,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25484), 1,
      anon_sym_RBRACE,
    STATE(17794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24420), 1,
      anon_sym_RBRACE,
    STATE(17795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25486), 1,
      anon_sym_RPAREN,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24416), 1,
      anon_sym_RBRACE,
    STATE(17797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25488), 1,
      anon_sym_RPAREN,
    STATE(17798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25490), 1,
      anon_sym_in,
    STATE(17799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25492), 1,
      sym__lowercase_identifier,
    STATE(17800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25494), 1,
      anon_sym_RBRACE,
    STATE(17801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25496), 1,
      anon_sym_RBRACK,
    STATE(17802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25498), 1,
      anon_sym_RPAREN,
    STATE(17803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25500), 1,
      anon_sym_RBRACK,
    STATE(17804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25502), 1,
      anon_sym_DASH_GT,
    STATE(17805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25504), 1,
      anon_sym_RBRACE,
    STATE(17806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25506), 1,
      anon_sym_RPAREN,
    STATE(17807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17412), 1,
      anon_sym_GT,
    STATE(17808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_RPAREN,
    STATE(17809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25510), 1,
      anon_sym_RPAREN,
    STATE(17810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25512), 1,
      anon_sym_DOT,
    STATE(17811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25514), 1,
      sym__lowercase_identifier,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25516), 1,
      anon_sym_RPAREN,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25518), 1,
      anon_sym_RBRACK,
    STATE(17814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      anon_sym_GT,
    STATE(17815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25522), 1,
      anon_sym_DASH_GT,
    STATE(17816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25524), 1,
      anon_sym_RBRACE,
    STATE(17817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25526), 1,
      anon_sym_RPAREN,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25528), 1,
      anon_sym_DASH_GT,
    STATE(17819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25530), 1,
      anon_sym_with,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25532), 1,
      anon_sym_with,
    STATE(17821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25534), 1,
      anon_sym_DOT,
    STATE(17822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21812), 1,
      anon_sym_GT_RBRACE,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25536), 1,
      anon_sym_RPAREN,
    STATE(17824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25538), 1,
      anon_sym_DASH_GT,
    STATE(17825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25540), 1,
      anon_sym_DASH_GT,
    STATE(17826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25542), 1,
      anon_sym_RBRACE,
    STATE(17827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25542), 1,
      anon_sym_RBRACK,
    STATE(17828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25544), 1,
      anon_sym_with,
    STATE(17829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25546), 1,
      anon_sym_with,
    STATE(17830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25542), 1,
      anon_sym_RPAREN,
    STATE(17831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25548), 1,
      anon_sym_RPAREN,
    STATE(17832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_DASH_GT,
    STATE(17833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25552), 1,
      anon_sym_DOT,
    STATE(17834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25554), 1,
      anon_sym_RPAREN,
    STATE(17835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25556), 1,
      anon_sym_RPAREN,
    STATE(17836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_RPAREN,
    STATE(17837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25560), 1,
      anon_sym_DASH_GT,
    STATE(17838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25562), 1,
      anon_sym_RPAREN,
    STATE(17839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17934), 1,
      anon_sym_RPAREN,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25564), 1,
      anon_sym_RBRACK,
    STATE(17841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4953), 1,
      anon_sym_end,
    STATE(17842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19870), 1,
      anon_sym_end,
    STATE(17843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25566), 1,
      anon_sym_RBRACE,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25568), 1,
      anon_sym_RBRACK,
    STATE(17845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25570), 1,
      anon_sym_RPAREN,
    STATE(17846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25572), 1,
      anon_sym_RPAREN,
    STATE(17847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25572), 1,
      anon_sym_RBRACK,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25572), 1,
      anon_sym_RBRACE,
    STATE(17849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25574), 1,
      anon_sym_RPAREN,
    STATE(17850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8812), 1,
      anon_sym_DASH_GT,
    STATE(17851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25576), 1,
      anon_sym_done,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25578), 1,
      anon_sym_DASH_GT,
    STATE(17853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25580), 1,
      anon_sym_COMMA,
    STATE(17854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25582), 1,
      aux_sym_number_token1,
    STATE(17855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25584), 1,
      anon_sym_RPAREN,
    STATE(17856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25586), 1,
      anon_sym_in,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25588), 1,
      anon_sym_in,
    STATE(17858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17520), 1,
      anon_sym_RPAREN,
    STATE(17859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25590), 1,
      anon_sym_SQUOTE2,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25592), 1,
      anon_sym_RPAREN,
    STATE(17861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      sym__lowercase_identifier,
    STATE(17862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25596), 1,
      anon_sym_DASH_GT,
    STATE(17863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_DASH_GT,
    STATE(17864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25600), 1,
      anon_sym_RBRACE,
    STATE(17865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25602), 1,
      anon_sym_DOT,
    STATE(17866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
    STATE(17867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25604), 1,
      anon_sym_RPAREN,
    STATE(17868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25606), 1,
      anon_sym_RPAREN,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25608), 1,
      anon_sym_RBRACE,
    STATE(17870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25610), 1,
      anon_sym_DOT,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25612), 1,
      anon_sym_with,
    STATE(17872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_RBRACK,
    STATE(17873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23966), 1,
      anon_sym_RPAREN,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25616), 1,
      anon_sym_with,
    STATE(17875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25618), 1,
      anon_sym_with,
    STATE(17876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25620), 1,
      anon_sym_DOT,
    STATE(17877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25622), 1,
      anon_sym_RBRACK,
    STATE(17878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25624), 1,
      anon_sym_RBRACE,
    STATE(17879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6717), 1,
      anon_sym_RPAREN,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25626), 1,
      anon_sym_with,
    STATE(17881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25628), 1,
      anon_sym_in,
    STATE(17882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25630), 1,
      anon_sym_RPAREN,
    STATE(17883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25632), 1,
      anon_sym_with,
    STATE(17884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25634), 1,
      anon_sym_with,
    STATE(17885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25636), 1,
      anon_sym_DQUOTE,
    STATE(17886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_RPAREN,
    STATE(17887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25640), 1,
      anon_sym_RBRACK,
    STATE(17888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      anon_sym_DOT,
    STATE(17889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_DOT,
    STATE(17890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25646), 1,
      anon_sym_RPAREN,
    STATE(17891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    STATE(17892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25648), 1,
      anon_sym_in,
    STATE(17893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25650), 1,
      anon_sym_GT,
    STATE(17894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17978), 1,
      anon_sym_RPAREN,
    STATE(17895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25652), 1,
      anon_sym_RBRACE,
    STATE(17896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25654), 1,
      anon_sym_with,
    STATE(17897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_RPAREN,
    STATE(17898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25658), 1,
      anon_sym_end,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25660), 1,
      anon_sym_RPAREN,
    STATE(17900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25662), 1,
      anon_sym_RPAREN,
    STATE(17901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_RPAREN,
    STATE(17902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_RBRACK,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_RBRACE,
    STATE(17904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25666), 1,
      anon_sym_RBRACE,
    STATE(17905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25668), 1,
      sym__lowercase_identifier,
    STATE(17906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25670), 1,
      anon_sym_with,
    STATE(17907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25672), 1,
      anon_sym_RBRACE,
    STATE(17908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25674), 1,
      anon_sym_RPAREN,
    STATE(17909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25676), 1,
      anon_sym_RBRACE,
    STATE(17910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25678), 1,
      anon_sym_DASH_GT,
    STATE(17911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16571), 1,
      anon_sym_RPAREN,
    STATE(17912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22176), 1,
      anon_sym_GT_RBRACE,
    STATE(17913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25680), 1,
      anon_sym_DOT,
    STATE(17914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25682), 1,
      anon_sym_DASH_GT,
    STATE(17915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25684), 1,
      anon_sym_RPAREN,
    STATE(17916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8808), 1,
      anon_sym_DASH_GT,
    STATE(17917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25686), 1,
      anon_sym_RPAREN,
    STATE(17918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25688), 1,
      anon_sym_with,
    STATE(17919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_with,
    STATE(17920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25692), 1,
      anon_sym_DOT,
    STATE(17921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16543), 1,
      anon_sym_RPAREN,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25694), 1,
      anon_sym_DOT,
    STATE(17923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25696), 1,
      anon_sym_with,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25698), 1,
      sym__lowercase_identifier,
    STATE(17925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19313), 1,
      anon_sym_end,
    STATE(17926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25700), 1,
      anon_sym_with,
    STATE(17927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25702), 1,
      anon_sym_with,
    STATE(17928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25704), 1,
      anon_sym_DOT,
    STATE(17929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_SQUOTE2,
    STATE(17930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25708), 1,
      anon_sym_DOT,
    STATE(17931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25710), 1,
      anon_sym_DOT,
    STATE(17932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25712), 1,
      anon_sym_with,
    STATE(17933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25714), 1,
      anon_sym_DQUOTE,
    STATE(17934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      sym__lowercase_identifier,
    STATE(17935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14036), 1,
      anon_sym_end,
    STATE(17936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17962), 1,
      anon_sym_RPAREN,
    STATE(17937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_GT,
    STATE(17938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_RPAREN,
    STATE(17939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25718), 1,
      anon_sym_in,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25720), 1,
      anon_sym_DOT,
    STATE(17941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25722), 1,
      anon_sym_RPAREN,
    STATE(17942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25724), 1,
      anon_sym_RPAREN,
    STATE(17943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25726), 1,
      anon_sym_RPAREN,
    STATE(17944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25726), 1,
      anon_sym_RBRACK,
    STATE(17945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25726), 1,
      anon_sym_RBRACE,
    STATE(17946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25728), 1,
      anon_sym_DQUOTE,
    STATE(17947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25730), 1,
      anon_sym_DOT,
    STATE(17948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25732), 1,
      anon_sym_end,
    STATE(17949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25734), 1,
      anon_sym_end,
    STATE(17950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25736), 1,
      anon_sym_DASH_GT,
    STATE(17951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25738), 1,
      anon_sym_RBRACE,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25740), 1,
      anon_sym_type,
    STATE(17953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25742), 1,
      sym__lowercase_identifier,
    STATE(17954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25744), 1,
      anon_sym_DOT,
    STATE(17955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25746), 1,
      anon_sym_DOT,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11526), 1,
      anon_sym_GT,
    STATE(17957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25748), 1,
      anon_sym_DQUOTE,
    STATE(17958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_SQUOTE2,
    STATE(17959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25752), 1,
      anon_sym_with,
    STATE(17960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25754), 1,
      anon_sym_with,
    STATE(17961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25756), 1,
      anon_sym_DOT,
    STATE(17962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19056), 1,
      anon_sym_end,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25758), 1,
      anon_sym_LT_DASH,
    STATE(17964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21736), 1,
      anon_sym_GT_RBRACE,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_SQUOTE2,
    STATE(17966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25762), 1,
      anon_sym_RBRACE,
    STATE(17967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25764), 1,
      anon_sym_with,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_with,
    STATE(17969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8836), 1,
      anon_sym_DASH_GT,
    STATE(17970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25768), 1,
      anon_sym_DOT,
    STATE(17971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25770), 1,
      anon_sym_LT_DASH,
    STATE(17972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25772), 1,
      anon_sym_DOT,
    STATE(17973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25774), 1,
      anon_sym_in,
    STATE(17974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25776), 1,
      anon_sym_RPAREN,
    STATE(17975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25778), 1,
      anon_sym_in,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25780), 1,
      anon_sym_RBRACE,
    STATE(17977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18098), 1,
      anon_sym_RPAREN,
    STATE(17978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8830), 1,
      anon_sym_DASH_GT,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25782), 1,
      anon_sym_in,
    STATE(17980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19038), 1,
      anon_sym_end,
    STATE(17981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25784), 1,
      anon_sym_in,
    STATE(17982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3147), 1,
      anon_sym_RPAREN,
    STATE(17983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25786), 1,
      anon_sym_RPAREN,
    STATE(17984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25788), 1,
      anon_sym_RPAREN,
    STATE(17985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25788), 1,
      anon_sym_RBRACK,
    STATE(17986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25788), 1,
      anon_sym_RBRACE,
    STATE(17987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25790), 1,
      anon_sym_RPAREN,
    STATE(17988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25792), 1,
      anon_sym_RPAREN,
    STATE(17989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8734), 1,
      anon_sym_DASH_GT,
    STATE(17990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25794), 1,
      anon_sym_RBRACE,
    STATE(17991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25796), 1,
      anon_sym_in,
    STATE(17992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25798), 1,
      anon_sym_in,
    STATE(17993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25800), 1,
      anon_sym_in,
    STATE(17994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25802), 1,
      aux_sym_number_token1,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25804), 1,
      anon_sym_DOT,
    STATE(17996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25806), 1,
      anon_sym_DASH_GT,
    STATE(17997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25808), 1,
      anon_sym_RBRACE,
    STATE(17998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21710), 1,
      anon_sym_GT_RBRACE,
    STATE(17999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25810), 1,
      anon_sym_RPAREN,
    STATE(18000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25812), 1,
      anon_sym_with,
    STATE(18001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25814), 1,
      anon_sym_with,
    STATE(18002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25816), 1,
      anon_sym_DOT,
    STATE(18003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25818), 1,
      anon_sym_RBRACE,
    STATE(18004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25820), 1,
      anon_sym_RBRACK,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11606), 1,
      anon_sym_GT,
    STATE(18006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25822), 1,
      anon_sym_end,
    STATE(18007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25824), 1,
      anon_sym_RBRACK,
    STATE(18008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25826), 1,
      anon_sym_with,
    STATE(18009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25828), 1,
      anon_sym_with,
    STATE(18010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25830), 1,
      anon_sym_RPAREN,
    STATE(18011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25832), 1,
      anon_sym_RBRACK,
    STATE(18012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25834), 1,
      anon_sym_GT,
    STATE(18013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25836), 1,
      anon_sym_DOT,
    STATE(18014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25838), 1,
      anon_sym_RPAREN,
    STATE(18015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25840), 1,
      anon_sym_RBRACK,
    STATE(18016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8860), 1,
      anon_sym_DASH_GT,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25842), 1,
      anon_sym_RBRACE,
    STATE(18018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18118), 1,
      anon_sym_RPAREN,
    STATE(18019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25844), 1,
      anon_sym_DASH_GT,
    STATE(18020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25846), 1,
      anon_sym_DASH_GT,
    STATE(18021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25848), 1,
      anon_sym_in,
    STATE(18022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_RBRACE,
    STATE(18023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25852), 1,
      anon_sym_LT_DASH,
    STATE(18024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25854), 1,
      anon_sym_RPAREN,
    STATE(18025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_RPAREN,
    STATE(18026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_RBRACK,
    STATE(18027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_RBRACE,
    STATE(18028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25858), 1,
      anon_sym_RBRACE,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25860), 1,
      anon_sym_RBRACK,
    STATE(18030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25862), 1,
      anon_sym_in,
    STATE(18031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25864), 1,
      anon_sym_DASH_GT,
    STATE(18032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25866), 1,
      anon_sym_RBRACE,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25868), 1,
      anon_sym_RBRACE,
    STATE(18034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25868), 1,
      anon_sym_RBRACK,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25870), 1,
      anon_sym_RBRACE,
    STATE(18036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25872), 1,
      anon_sym_DOT,
    STATE(18037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25868), 1,
      anon_sym_RPAREN,
    STATE(18038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17444), 1,
      anon_sym_GT,
    STATE(18039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25874), 1,
      anon_sym_RBRACE,
    STATE(18040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25876), 1,
      anon_sym_RBRACK,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25878), 1,
      anon_sym_with,
    STATE(18042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25880), 1,
      anon_sym_with,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25882), 1,
      anon_sym_DOT,
    STATE(18044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25884), 1,
      anon_sym_RPAREN,
    STATE(18045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25886), 1,
      anon_sym_RBRACE,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25888), 1,
      anon_sym_RPAREN,
    STATE(18047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25890), 1,
      anon_sym_in,
    STATE(18048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_DASH_GT,
    STATE(18049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25892), 1,
      anon_sym_with,
    STATE(18050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25894), 1,
      anon_sym_with,
    STATE(18051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25896), 1,
      anon_sym_DASH_GT,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25898), 1,
      anon_sym_RPAREN,
    STATE(18053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25900), 1,
      anon_sym_RBRACK,
    STATE(18054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25902), 1,
      anon_sym_DOT,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25904), 1,
      anon_sym_DASH_GT,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6699), 1,
      anon_sym_RPAREN,
    STATE(18057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25906), 1,
      anon_sym_RPAREN,
    STATE(18058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25908), 1,
      anon_sym_RPAREN,
    STATE(18059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18112), 1,
      anon_sym_RPAREN,
    STATE(18060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25910), 1,
      anon_sym_RPAREN,
    STATE(18061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24704), 1,
      anon_sym_RPAREN,
    STATE(18062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25912), 1,
      anon_sym_RBRACK,
    STATE(18063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25914), 1,
      anon_sym_in,
    STATE(18064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16541), 1,
      anon_sym_RPAREN,
    STATE(18065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25916), 1,
      anon_sym_RPAREN,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25918), 1,
      anon_sym_RPAREN,
    STATE(18067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25918), 1,
      anon_sym_RBRACK,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25918), 1,
      anon_sym_RBRACE,
    STATE(18069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25920), 1,
      anon_sym_RPAREN,
    STATE(18070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25922), 1,
      anon_sym_RBRACK,
    STATE(18071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25924), 1,
      anon_sym_RBRACE,
    STATE(18072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25926), 1,
      anon_sym_LT_DASH,
    STATE(18073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25928), 1,
      anon_sym_RPAREN,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25930), 1,
      anon_sym_RPAREN,
    STATE(18075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25932), 1,
      anon_sym_RPAREN,
    STATE(18076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25934), 1,
      anon_sym_DASH_GT,
    STATE(18077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25936), 1,
      anon_sym_DOT,
    STATE(18078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25938), 1,
      anon_sym_DASH_GT,
    STATE(18079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25940), 1,
      anon_sym_RPAREN,
    STATE(18080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25942), 1,
      sym__lowercase_identifier,
    STATE(18081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25944), 1,
      anon_sym_DQUOTE,
    STATE(18082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25946), 1,
      anon_sym_with,
    STATE(18083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_with,
    STATE(18084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25950), 1,
      anon_sym_DOT,
    STATE(18085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25952), 1,
      anon_sym_RBRACE,
    STATE(18086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25954), 1,
      anon_sym_RBRACE,
    STATE(18087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25956), 1,
      anon_sym_DOT,
    STATE(18088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25958), 1,
      anon_sym_in,
    STATE(18089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      anon_sym_RPAREN,
    STATE(18090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25962), 1,
      anon_sym_with,
    STATE(18091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25964), 1,
      anon_sym_with,
    STATE(18092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25966), 1,
      anon_sym_SQUOTE2,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19759), 1,
      anon_sym_end,
    STATE(18094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      sym__lowercase_identifier,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25970), 1,
      anon_sym_DOT,
    STATE(18096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25972), 1,
      anon_sym_RBRACK,
    STATE(18097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25974), 1,
      anon_sym_with,
    STATE(18098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16387), 1,
      anon_sym_RPAREN,
    STATE(18099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25976), 1,
      anon_sym_RBRACE,
    STATE(18100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18078), 1,
      anon_sym_RPAREN,
    STATE(18101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25978), 1,
      anon_sym_RPAREN,
    STATE(18102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25980), 1,
      anon_sym_with,
    STATE(18103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22242), 1,
      anon_sym_GT_RBRACE,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24168), 1,
      anon_sym_RBRACE,
    STATE(18105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25982), 1,
      anon_sym_RBRACE,
    STATE(18106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25984), 1,
      anon_sym_RPAREN,
    STATE(18107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      anon_sym_RPAREN,
    STATE(18108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      anon_sym_RBRACK,
    STATE(18109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      anon_sym_RBRACE,
    STATE(18110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24164), 1,
      anon_sym_RBRACE,
    STATE(18111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25988), 1,
      anon_sym_RBRACK,
    STATE(18112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25990), 1,
      anon_sym_RPAREN,
    STATE(18113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17436), 1,
      anon_sym_GT,
    STATE(18114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25992), 1,
      anon_sym_RPAREN,
    STATE(18115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25994), 1,
      anon_sym_RBRACE,
    STATE(18116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25996), 1,
      anon_sym_RBRACK,
    STATE(18117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25998), 1,
      anon_sym_RPAREN,
    STATE(18118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26000), 1,
      anon_sym_DOT,
    STATE(18119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26002), 1,
      anon_sym_DASH_GT,
    STATE(18120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26004), 1,
      anon_sym_RPAREN,
    STATE(18121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26006), 1,
      anon_sym_RBRACE,
    STATE(18122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26008), 1,
      anon_sym_RBRACK,
    STATE(18123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26010), 1,
      anon_sym_with,
    STATE(18124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26012), 1,
      anon_sym_with,
    STATE(18125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26014), 1,
      anon_sym_DOT,
    STATE(18126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26016), 1,
      anon_sym_RPAREN,
    STATE(18127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26018), 1,
      sym__lowercase_identifier,
    STATE(18128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26020), 1,
      anon_sym_RBRACE,
    STATE(18129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26022), 1,
      anon_sym_LT_DASH,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_RBRACE,
    STATE(18131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26026), 1,
      anon_sym_with,
    STATE(18132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26028), 1,
      anon_sym_with,
    STATE(18133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26030), 1,
      anon_sym_RPAREN,
    STATE(18134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26032), 1,
      anon_sym_RBRACK,
    STATE(18135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26034), 1,
      anon_sym_RPAREN,
    STATE(18136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26036), 1,
      anon_sym_DOT,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26038), 1,
      anon_sym_in,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26040), 1,
      anon_sym_DOT,
    STATE(18139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26042), 1,
      anon_sym_with,
    STATE(18140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_RPAREN,
    STATE(18141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18056), 1,
      anon_sym_RPAREN,
    STATE(18142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26046), 1,
      anon_sym_RBRACK,
    STATE(18143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26048), 1,
      anon_sym_with,
    STATE(18144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26050), 1,
      anon_sym_RBRACE,
    STATE(18145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26052), 1,
      anon_sym_RPAREN,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    STATE(18147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26054), 1,
      anon_sym_RPAREN,
    STATE(18148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26056), 1,
      anon_sym_RPAREN,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26056), 1,
      anon_sym_RBRACK,
    STATE(18150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26056), 1,
      anon_sym_RBRACE,
    STATE(18151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(18152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26058), 1,
      anon_sym_RBRACE,
    STATE(18153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26060), 1,
      anon_sym_RBRACE,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26062), 1,
      anon_sym_RPAREN,
    STATE(18155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26064), 1,
      anon_sym_RPAREN,
    STATE(18156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26066), 1,
      anon_sym_RPAREN,
    STATE(18157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26068), 1,
      anon_sym_RPAREN,
    STATE(18158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26070), 1,
      anon_sym_RBRACK,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_DOT,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26074), 1,
      anon_sym_DOT,
    STATE(18161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26076), 1,
      anon_sym_RBRACK,
    STATE(18162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26078), 1,
      anon_sym_RBRACE,
    STATE(18163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26080), 1,
      anon_sym_RBRACK,
    STATE(18164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26082), 1,
      anon_sym_with,
    STATE(18165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26084), 1,
      anon_sym_with,
    STATE(18166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26086), 1,
      anon_sym_DOT,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26088), 1,
      anon_sym_RPAREN,
    STATE(18168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26090), 1,
      anon_sym_RPAREN,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26092), 1,
      anon_sym_done,
    STATE(18170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26094), 1,
      anon_sym_in,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26096), 1,
      anon_sym_DASH_GT,
    STATE(18172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26098), 1,
      anon_sym_with,
    STATE(18173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26100), 1,
      anon_sym_with,
    STATE(18174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26102), 1,
      anon_sym_LT_DASH,
    STATE(18175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26104), 1,
      anon_sym_in,
    STATE(18176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26106), 1,
      anon_sym_DOT,
    STATE(18177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26108), 1,
      anon_sym_DOT,
    STATE(18178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_RPAREN,
    STATE(18179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26112), 1,
      anon_sym_in,
    STATE(18180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26114), 1,
      anon_sym_in,
    STATE(18181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26116), 1,
      sym__lowercase_identifier,
    STATE(18182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18048), 1,
      anon_sym_RPAREN,
    STATE(18183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26118), 1,
      anon_sym_RPAREN,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6699), 1,
      anon_sym_end,
    STATE(18185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26120), 1,
      anon_sym_RPAREN,
    STATE(18186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26122), 1,
      anon_sym_RBRACE,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26124), 1,
      anon_sym_RBRACE,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26126), 1,
      anon_sym_RPAREN,
    STATE(18189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26128), 1,
      anon_sym_RPAREN,
    STATE(18190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26128), 1,
      anon_sym_RBRACK,
    STATE(18191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26128), 1,
      anon_sym_RBRACE,
    STATE(18192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26130), 1,
      anon_sym_RBRACE,
    STATE(18193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26132), 1,
      anon_sym_RBRACE,
    STATE(18194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26134), 1,
      anon_sym_RBRACE,
    STATE(18195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26136), 1,
      anon_sym_RPAREN,
    STATE(18196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26138), 1,
      anon_sym_RPAREN,
    STATE(18197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26140), 1,
      anon_sym_in,
    STATE(18198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26142), 1,
      anon_sym_RBRACK,
    STATE(18199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26144), 1,
      anon_sym_RBRACE,
    STATE(18200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26146), 1,
      anon_sym_DOT,
    STATE(18201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26148), 1,
      anon_sym_RBRACK,
    STATE(18202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26150), 1,
      anon_sym_RPAREN,
    STATE(18203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26152), 1,
      anon_sym_RBRACE,
    STATE(18204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5085), 1,
      anon_sym_RPAREN,
    STATE(18205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26154), 1,
      anon_sym_with,
    STATE(18206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26156), 1,
      anon_sym_with,
    STATE(18207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26158), 1,
      anon_sym_DOT,
    STATE(18208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26160), 1,
      anon_sym_RBRACE,
    STATE(18209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26162), 1,
      anon_sym_RBRACK,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26164), 1,
      anon_sym_RBRACE,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_RBRACE,
    STATE(18212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26168), 1,
      anon_sym_RPAREN,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26170), 1,
      anon_sym_with,
    STATE(18214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26172), 1,
      anon_sym_with,
    STATE(18215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26174), 1,
      anon_sym_RBRACE,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26176), 1,
      anon_sym_GT,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26178), 1,
      anon_sym_RPAREN,
    STATE(18218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26180), 1,
      anon_sym_DOT,
    STATE(18219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24084), 1,
      anon_sym_RBRACE,
    STATE(18220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24078), 1,
      anon_sym_RBRACE,
    STATE(18221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26182), 1,
      anon_sym_RPAREN,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26184), 1,
      anon_sym_RBRACE,
    STATE(18223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18026), 1,
      anon_sym_RPAREN,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26186), 1,
      anon_sym_end,
    STATE(18225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26188), 1,
      anon_sym_RBRACK,
    STATE(18226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26190), 1,
      anon_sym_RBRACK,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26192), 1,
      anon_sym_RPAREN,
    STATE(18228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26194), 1,
      anon_sym_RBRACE,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26196), 1,
      anon_sym_RPAREN,
    STATE(18230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26198), 1,
      anon_sym_RPAREN,
    STATE(18231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26198), 1,
      anon_sym_RBRACK,
    STATE(18232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26198), 1,
      anon_sym_RBRACE,
    STATE(18233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26200), 1,
      anon_sym_DASH_GT,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26202), 1,
      anon_sym_RBRACE,
    STATE(18235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26204), 1,
      anon_sym_RBRACE,
    STATE(18236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26206), 1,
      anon_sym_RPAREN,
    STATE(18237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26208), 1,
      anon_sym_RBRACE,
    STATE(18238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26210), 1,
      anon_sym_in,
    STATE(18239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26212), 1,
      anon_sym_RBRACE,
    STATE(18240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_DASH_GT,
    STATE(18241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26214), 1,
      anon_sym_DOT,
    STATE(18242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26216), 1,
      anon_sym_RBRACE,
    STATE(18243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26218), 1,
      anon_sym_RPAREN,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26220), 1,
      anon_sym_RBRACE,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26222), 1,
      anon_sym_RBRACK,
    STATE(18246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26224), 1,
      anon_sym_with,
    STATE(18247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26226), 1,
      anon_sym_with,
    STATE(18248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26228), 1,
      anon_sym_DOT,
    STATE(18249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26230), 1,
      anon_sym_RBRACK,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26232), 1,
      anon_sym_RPAREN,
    STATE(18251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21628), 1,
      anon_sym_GT_RBRACE,
    STATE(18252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26234), 1,
      anon_sym_RPAREN,
    STATE(18253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26236), 1,
      anon_sym_in,
    STATE(18254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26238), 1,
      anon_sym_with,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26240), 1,
      anon_sym_with,
    STATE(18256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26242), 1,
      anon_sym_RBRACE,
    STATE(18257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26244), 1,
      anon_sym_RBRACE,
    STATE(18258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26246), 1,
      anon_sym_RBRACK,
    STATE(18259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26248), 1,
      anon_sym_DOT,
    STATE(18260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26250), 1,
      anon_sym_in,
    STATE(18261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26252), 1,
      anon_sym_RPAREN,
    STATE(18262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26254), 1,
      anon_sym_RPAREN,
    STATE(18263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26256), 1,
      anon_sym_RBRACE,
    STATE(18264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26258), 1,
      anon_sym_RPAREN,
    STATE(18265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11428), 1,
      anon_sym_GT,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12829), 1,
      anon_sym_DASH_GT,
    STATE(18267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26260), 1,
      anon_sym_in,
    STATE(18268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26262), 1,
      anon_sym_DOT,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26264), 1,
      anon_sym_in,
    STATE(18270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26266), 1,
      anon_sym_RPAREN,
    STATE(18271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26268), 1,
      anon_sym_RPAREN,
    STATE(18272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26268), 1,
      anon_sym_RBRACK,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26268), 1,
      anon_sym_RBRACE,
    STATE(18274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26270), 1,
      anon_sym_RBRACE,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26272), 1,
      anon_sym_RBRACE,
    STATE(18276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26274), 1,
      anon_sym_RBRACK,
    STATE(18277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    STATE(18278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19918), 1,
      anon_sym_end,
    STATE(18279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26276), 1,
      anon_sym_RBRACE,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26278), 1,
      anon_sym_RBRACE,
    STATE(18281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26280), 1,
      sym__lowercase_identifier,
    STATE(18282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26282), 1,
      anon_sym_DOT,
    STATE(18283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26284), 1,
      anon_sym_RBRACK,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17404), 1,
      anon_sym_GT,
    STATE(18285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26286), 1,
      anon_sym_DQUOTE,
    STATE(18286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26288), 1,
      anon_sym_SQUOTE2,
    STATE(18287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26290), 1,
      anon_sym_with,
    STATE(18288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26292), 1,
      anon_sym_with,
    STATE(18289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26294), 1,
      anon_sym_DOT,
    STATE(18290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19012), 1,
      anon_sym_end,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26296), 1,
      anon_sym_RBRACK,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21616), 1,
      anon_sym_GT_RBRACE,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26298), 1,
      anon_sym_SQUOTE2,
    STATE(18294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26300), 1,
      anon_sym_in,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26302), 1,
      anon_sym_with,
    STATE(18296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26304), 1,
      anon_sym_with,
    STATE(18297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26306), 1,
      anon_sym_DASH_GT,
    STATE(18298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26308), 1,
      anon_sym_RBRACE,
    STATE(18299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26310), 1,
      anon_sym_DASH_GT,
    STATE(18300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26312), 1,
      anon_sym_DOT,
    STATE(18301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26314), 1,
      anon_sym_DASH_GT,
    STATE(18302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26316), 1,
      anon_sym_RBRACE,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26316), 1,
      anon_sym_RBRACK,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26318), 1,
      anon_sym_RBRACE,
    STATE(18305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18046), 1,
      anon_sym_RPAREN,
    STATE(18306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26320), 1,
      anon_sym_RBRACE,
    STATE(18307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26316), 1,
      anon_sym_RPAREN,
    STATE(18308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26322), 1,
      anon_sym_RPAREN,
    STATE(18309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26324), 1,
      anon_sym_in,
    STATE(18310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    STATE(18311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26326), 1,
      anon_sym_RPAREN,
    STATE(18312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26328), 1,
      anon_sym_RPAREN,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26328), 1,
      anon_sym_RBRACK,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26328), 1,
      anon_sym_RBRACE,
    STATE(18315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26330), 1,
      anon_sym_RPAREN,
    STATE(18316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26332), 1,
      anon_sym_RBRACK,
    STATE(18317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26334), 1,
      anon_sym_DQUOTE,
    STATE(18318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26336), 1,
      anon_sym_RPAREN,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26338), 1,
      anon_sym_end,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26340), 1,
      anon_sym_in,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26342), 1,
      anon_sym_in,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26344), 1,
      aux_sym_number_token1,
    STATE(18323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26346), 1,
      anon_sym_DOT,
    STATE(18324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26348), 1,
      anon_sym_LT_DASH,
    STATE(18325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5005), 1,
      anon_sym_end,
    STATE(18326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26350), 1,
      anon_sym_RPAREN,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26352), 1,
      anon_sym_DASH_GT,
    STATE(18328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26354), 1,
      anon_sym_with,
    STATE(18329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26356), 1,
      anon_sym_with,
    STATE(18330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26358), 1,
      anon_sym_DOT,
    STATE(18331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26360), 1,
      anon_sym_RBRACE,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26362), 1,
      anon_sym_RBRACK,
    STATE(18333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17380), 1,
      anon_sym_GT,
    STATE(18334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26364), 1,
      anon_sym_LT_DASH,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26366), 1,
      anon_sym_RBRACE,
    STATE(18336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26368), 1,
      anon_sym_with,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26370), 1,
      anon_sym_with,
    STATE(18338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26372), 1,
      anon_sym_RBRACE,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26374), 1,
      anon_sym_RBRACK,
    STATE(18340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26376), 1,
      anon_sym_RBRACK,
    STATE(18341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26378), 1,
      anon_sym_DOT,
    STATE(18342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26380), 1,
      anon_sym_RPAREN,
    STATE(18343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26382), 1,
      anon_sym_LT_DASH,
    STATE(18344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17752), 1,
      anon_sym_RPAREN,
    STATE(18345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26384), 1,
      anon_sym_RBRACE,
    STATE(18346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17924), 1,
      anon_sym_RPAREN,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26386), 1,
      anon_sym_RBRACE,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26388), 1,
      anon_sym_DASH_GT,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26390), 1,
      anon_sym_RBRACE,
    STATE(18350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26392), 1,
      anon_sym_RBRACK,
    STATE(18351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26394), 1,
      anon_sym_LT_DASH,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26396), 1,
      anon_sym_RPAREN,
    STATE(18353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26398), 1,
      anon_sym_RPAREN,
    STATE(18354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26398), 1,
      anon_sym_RBRACK,
    STATE(18355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26398), 1,
      anon_sym_RBRACE,
    STATE(18356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26400), 1,
      anon_sym_RPAREN,
    STATE(18357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26402), 1,
      sym__lowercase_identifier,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26404), 1,
      anon_sym_RBRACE,
    STATE(18359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_in,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26408), 1,
      anon_sym_RBRACE,
    STATE(18361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26410), 1,
      anon_sym_DASH_GT,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26412), 1,
      anon_sym_RBRACE,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26414), 1,
      anon_sym_DOT,
    STATE(18364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8842), 1,
      anon_sym_DASH_GT,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17356), 1,
      anon_sym_GT,
    STATE(18366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26416), 1,
      anon_sym_RPAREN,
    STATE(18367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26418), 1,
      anon_sym_RBRACK,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26420), 1,
      anon_sym_with,
    STATE(18369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26422), 1,
      anon_sym_with,
    STATE(18370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26424), 1,
      anon_sym_DOT,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17468), 1,
      anon_sym_GT,
    STATE(18372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26426), 1,
      anon_sym_DOT,
    STATE(18373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26428), 1,
      anon_sym_RPAREN,
    STATE(18374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26430), 1,
      anon_sym_DASH_GT,
    STATE(18375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14137), 1,
      anon_sym_DASH_GT,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26432), 1,
      anon_sym_with,
    STATE(18377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26434), 1,
      anon_sym_with,
    STATE(18378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26436), 1,
      anon_sym_RBRACK,
    STATE(18379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26438), 1,
      anon_sym_in,
    STATE(18380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26440), 1,
      anon_sym_RBRACE,
    STATE(18381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26442), 1,
      anon_sym_DOT,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26444), 1,
      anon_sym_RPAREN,
    STATE(18383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26446), 1,
      anon_sym_with,
    STATE(18384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26448), 1,
      anon_sym_RBRACE,
    STATE(18385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26450), 1,
      anon_sym_RBRACE,
    STATE(18386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17764), 1,
      anon_sym_RPAREN,
    STATE(18387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26452), 1,
      anon_sym_RBRACE,
    STATE(18388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26454), 1,
      anon_sym_with,
    STATE(18389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26456), 1,
      anon_sym_RBRACK,
    STATE(18390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16347), 1,
      anon_sym_RPAREN,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26458), 1,
      anon_sym_RBRACE,
    STATE(18392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26460), 1,
      anon_sym_RPAREN,
    STATE(18393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26462), 1,
      anon_sym_RPAREN,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26462), 1,
      anon_sym_RBRACK,
    STATE(18395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26462), 1,
      anon_sym_RBRACE,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26464), 1,
      anon_sym_RPAREN,
    STATE(18397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26466), 1,
      anon_sym_RBRACE,
    STATE(18398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26468), 1,
      anon_sym_RBRACE,
    STATE(18399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26470), 1,
      anon_sym_RPAREN,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26472), 1,
      anon_sym_RPAREN,
    STATE(18401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26474), 1,
      anon_sym_RBRACK,
    STATE(18402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26476), 1,
      anon_sym_RPAREN,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26478), 1,
      anon_sym_DOT,
    STATE(18404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26480), 1,
      anon_sym_RBRACE,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26482), 1,
      anon_sym_RPAREN,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26484), 1,
      anon_sym_LT_DASH,
    STATE(18407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26486), 1,
      anon_sym_RBRACK,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26488), 1,
      anon_sym_with,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26490), 1,
      anon_sym_with,
    STATE(18410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26492), 1,
      anon_sym_DOT,
    STATE(18411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22284), 1,
      anon_sym_GT_RBRACE,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26494), 1,
      anon_sym_DOT,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26496), 1,
      anon_sym_RBRACE,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26498), 1,
      anon_sym_RBRACE,
    STATE(18415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23940), 1,
      anon_sym_RBRACE,
    STATE(18416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26500), 1,
      anon_sym_with,
    STATE(18417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26502), 1,
      anon_sym_with,
    STATE(18418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26504), 1,
      anon_sym_with,
    STATE(18419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26506), 1,
      anon_sym_RPAREN,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26508), 1,
      anon_sym_RBRACE,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26510), 1,
      anon_sym_DOT,
    STATE(18422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6747), 1,
      anon_sym_end,
    STATE(18423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26512), 1,
      aux_sym_number_token1,
    STATE(18424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26514), 1,
      anon_sym_with,
    STATE(18425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26516), 1,
      anon_sym_in,
    STATE(18426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_RPAREN,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26518), 1,
      anon_sym_RBRACK,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26520), 1,
      anon_sym_in,
    STATE(18429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26522), 1,
      sym__lowercase_identifier,
    STATE(18430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26524), 1,
      anon_sym_in,
    STATE(18431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26526), 1,
      anon_sym_RPAREN,
    STATE(18432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26528), 1,
      anon_sym_RPAREN,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26530), 1,
      anon_sym_RPAREN,
    STATE(18434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26530), 1,
      anon_sym_RBRACK,
    STATE(18435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26530), 1,
      anon_sym_RBRACE,
    STATE(18436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21574), 1,
      anon_sym_GT_RBRACE,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26532), 1,
      anon_sym_RBRACE,
    STATE(18438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26534), 1,
      anon_sym_RBRACE,
    STATE(18439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26536), 1,
      anon_sym_RBRACK,
    STATE(18440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26538), 1,
      anon_sym_DASH_GT,
    STATE(18441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26540), 1,
      anon_sym_RPAREN,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26542), 1,
      anon_sym_DOT,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    STATE(18444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26544), 1,
      anon_sym_in,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23944), 1,
      anon_sym_RBRACE,
    STATE(18446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26546), 1,
      anon_sym_DOT,
    STATE(18447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26548), 1,
      anon_sym_with,
    STATE(18448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26550), 1,
      anon_sym_with,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26552), 1,
      anon_sym_DOT,
    STATE(18450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26554), 1,
      anon_sym_RPAREN,
    STATE(18451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26556), 1,
      anon_sym_RPAREN,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26558), 1,
      anon_sym_DASH_GT,
    STATE(18453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26560), 1,
      anon_sym_RBRACE,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26562), 1,
      anon_sym_RBRACE,
    STATE(18455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26564), 1,
      anon_sym_with,
    STATE(18456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26566), 1,
      anon_sym_with,
    STATE(18457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26568), 1,
      anon_sym_RBRACE,
    STATE(18458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26570), 1,
      anon_sym_RBRACK,
    STATE(18459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26572), 1,
      anon_sym_RPAREN,
    STATE(18460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26574), 1,
      anon_sym_DOT,
    STATE(18461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26576), 1,
      anon_sym_DOT,
    STATE(18462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22288), 1,
      anon_sym_GT_RBRACE,
    STATE(18463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19389), 1,
      anon_sym_end,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26578), 1,
      anon_sym_RPAREN,
    STATE(18465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17518), 1,
      anon_sym_RPAREN,
    STATE(18466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26580), 1,
      anon_sym_SQUOTE2,
    STATE(18467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26582), 1,
      anon_sym_DQUOTE,
    STATE(18468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19074), 1,
      anon_sym_end,
    STATE(18469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26584), 1,
      anon_sym_RPAREN,
    STATE(18470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26586), 1,
      sym__lowercase_identifier,
    STATE(18471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26588), 1,
      anon_sym_RPAREN,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26590), 1,
      anon_sym_RPAREN,
    STATE(18473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26590), 1,
      anon_sym_RBRACK,
    STATE(18474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26590), 1,
      anon_sym_RBRACE,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26592), 1,
      anon_sym_in,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26594), 1,
      anon_sym_RPAREN,
    STATE(18477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26596), 1,
      anon_sym_RBRACE,
    STATE(18478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26598), 1,
      sym__lowercase_identifier,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26600), 1,
      anon_sym_RPAREN,
    STATE(18480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26602), 1,
      anon_sym_RBRACK,
    STATE(18481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26604), 1,
      anon_sym_DOT,
    STATE(18482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26606), 1,
      anon_sym_RBRACE,
    STATE(18483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11534), 1,
      anon_sym_GT,
    STATE(18484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26608), 1,
      anon_sym_RBRACE,
    STATE(18485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26610), 1,
      anon_sym_DQUOTE,
    STATE(18486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26612), 1,
      anon_sym_with,
    STATE(18487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26614), 1,
      anon_sym_with,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26616), 1,
      anon_sym_DOT,
    STATE(18489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26618), 1,
      anon_sym_RPAREN,
    STATE(18490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26620), 1,
      anon_sym_RPAREN,
    STATE(18491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26622), 1,
      sym__lowercase_identifier,
    STATE(18492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26624), 1,
      anon_sym_SQUOTE2,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8864), 1,
      anon_sym_DASH_GT,
    STATE(18494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26626), 1,
      anon_sym_with,
    STATE(18495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26628), 1,
      anon_sym_with,
    STATE(18496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26630), 1,
      anon_sym_SQUOTE2,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26632), 1,
      anon_sym_RBRACE,
    STATE(18498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26634), 1,
      anon_sym_DQUOTE,
    STATE(18499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26636), 1,
      anon_sym_DOT,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26638), 1,
      anon_sym_DQUOTE,
    STATE(18501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11450), 1,
      anon_sym_GT,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26640), 1,
      anon_sym_RBRACE,
    STATE(18503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26642), 1,
      anon_sym_RPAREN,
    STATE(18504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_RPAREN,
    STATE(18505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26644), 1,
      anon_sym_RBRACK,
    STATE(18506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8762), 1,
      anon_sym_DASH_GT,
    STATE(18507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26646), 1,
      anon_sym_RBRACE,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26648), 1,
      anon_sym_RPAREN,
    STATE(18509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26650), 1,
      anon_sym_LT_DASH,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26652), 1,
      anon_sym_RPAREN,
    STATE(18511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26654), 1,
      anon_sym_RPAREN,
    STATE(18512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26654), 1,
      anon_sym_RBRACK,
    STATE(18513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26654), 1,
      anon_sym_RBRACE,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26656), 1,
      anon_sym_DASH_GT,
    STATE(18515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26658), 1,
      anon_sym_RPAREN,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26660), 1,
      sym__lowercase_identifier,
    STATE(18517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26662), 1,
      anon_sym_RPAREN,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26664), 1,
      anon_sym_in,
    STATE(18519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26666), 1,
      anon_sym_RPAREN,
    STATE(18520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26668), 1,
      anon_sym_DOT,
    STATE(18521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26670), 1,
      anon_sym_end,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26672), 1,
      anon_sym_RBRACK,
    STATE(18523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26674), 1,
      anon_sym_RBRACE,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26676), 1,
      anon_sym_RBRACE,
    STATE(18525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26678), 1,
      anon_sym_with,
    STATE(18526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26680), 1,
      anon_sym_with,
    STATE(18527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26682), 1,
      anon_sym_DOT,
    STATE(18528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26684), 1,
      anon_sym_RBRACK,
    STATE(18529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26686), 1,
      anon_sym_RPAREN,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26688), 1,
      anon_sym_DQUOTE,
    STATE(18531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26690), 1,
      sym__lowercase_identifier,
    STATE(18532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26692), 1,
      anon_sym_done,
    STATE(18533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26694), 1,
      anon_sym_with,
    STATE(18534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26696), 1,
      anon_sym_with,
    STATE(18535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26698), 1,
      anon_sym_DASH_GT,
    STATE(18536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26700), 1,
      anon_sym_in,
    STATE(18537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26702), 1,
      anon_sym_SQUOTE2,
    STATE(18538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26704), 1,
      anon_sym_DOT,
    STATE(18539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26706), 1,
      anon_sym_in,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26708), 1,
      anon_sym_GT,
    STATE(18541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26710), 1,
      anon_sym_in,
    STATE(18542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24504), 1,
      anon_sym_RPAREN,
    STATE(18543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      anon_sym_RPAREN,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26712), 1,
      sym__lowercase_identifier,
    STATE(18545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26714), 1,
      anon_sym_RPAREN,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26716), 1,
      anon_sym_RPAREN,
    STATE(18547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26718), 1,
      anon_sym_RBRACE,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26720), 1,
      anon_sym_RBRACE,
    STATE(18549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26722), 1,
      anon_sym_RPAREN,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26724), 1,
      anon_sym_RPAREN,
    STATE(18551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26724), 1,
      anon_sym_RBRACK,
    STATE(18552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26724), 1,
      anon_sym_RBRACE,
    STATE(18553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26726), 1,
      anon_sym_RBRACE,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    STATE(18555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26728), 1,
      anon_sym_RPAREN,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26730), 1,
      anon_sym_RBRACE,
    STATE(18557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16371), 1,
      anon_sym_RPAREN,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26732), 1,
      anon_sym_RPAREN,
    STATE(18559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26734), 1,
      anon_sym_DOT,
    STATE(18560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26736), 1,
      anon_sym_RBRACK,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26738), 1,
      anon_sym_RBRACE,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16407), 1,
      anon_sym_RPAREN,
    STATE(18564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26740), 1,
      anon_sym_with,
    STATE(18565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26742), 1,
      anon_sym_with,
    STATE(18566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26744), 1,
      anon_sym_DOT,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23260), 1,
      anon_sym_RPAREN,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26746), 1,
      sym__lowercase_identifier,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    STATE(18570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26748), 1,
      anon_sym_RPAREN,
    STATE(18571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26750), 1,
      anon_sym_DASH_GT,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26752), 1,
      anon_sym_with,
    STATE(18573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26754), 1,
      anon_sym_with,
    STATE(18574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26756), 1,
      anon_sym_RBRACE,
    STATE(18575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26758), 1,
      anon_sym_DASH_GT,
    STATE(18576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26760), 1,
      anon_sym_RPAREN,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26762), 1,
      anon_sym_DOT,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26764), 1,
      anon_sym_RPAREN,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26766), 1,
      anon_sym_DASH_GT,
    STATE(18580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26768), 1,
      anon_sym_RBRACE,
    STATE(18581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26768), 1,
      anon_sym_RBRACK,
    STATE(18582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17626), 1,
      anon_sym_RPAREN,
    STATE(18583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26770), 1,
      anon_sym_GT,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26772), 1,
      anon_sym_RBRACE,
    STATE(18585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26774), 1,
      anon_sym_DQUOTE,
    STATE(18586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26776), 1,
      anon_sym_RPAREN,
    STATE(18587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26778), 1,
      anon_sym_RPAREN,
    STATE(18588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RPAREN,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RBRACK,
    STATE(18590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RBRACE,
    STATE(18591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26782), 1,
      anon_sym_end,
    STATE(18592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26784), 1,
      anon_sym_SQUOTE2,
    STATE(18593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26768), 1,
      anon_sym_RPAREN,
    STATE(18594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26786), 1,
      anon_sym_RPAREN,
    STATE(18595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26788), 1,
      anon_sym_DQUOTE,
    STATE(18596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26790), 1,
      anon_sym_RPAREN,
    STATE(18597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26792), 1,
      anon_sym_DOT,
    STATE(18598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26794), 1,
      anon_sym_DASH_GT,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26796), 1,
      anon_sym_DASH_GT,
    STATE(18600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26798), 1,
      anon_sym_DASH_GT,
    STATE(18601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26800), 1,
      anon_sym_RPAREN,
    STATE(18602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26802), 1,
      anon_sym_with,
    STATE(18603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26804), 1,
      anon_sym_with,
    STATE(18604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26806), 1,
      anon_sym_DOT,
    STATE(18605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    STATE(18606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8862), 1,
      anon_sym_DASH_GT,
    STATE(18607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26808), 1,
      anon_sym_RPAREN,
    STATE(18608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26810), 1,
      anon_sym_SQUOTE2,
    STATE(18609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26812), 1,
      sym__uppercase_identifier,
    STATE(18610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26814), 1,
      anon_sym_with,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26816), 1,
      anon_sym_with,
    STATE(18612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26818), 1,
      anon_sym_end,
    STATE(18613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19154), 1,
      anon_sym_end,
    STATE(18614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26820), 1,
      anon_sym_RPAREN,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26822), 1,
      anon_sym_DOT,
    STATE(18616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17774), 1,
      anon_sym_RPAREN,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26824), 1,
      anon_sym_DASH_GT,
    STATE(18618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26826), 1,
      anon_sym_DASH_GT,
    STATE(18619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21494), 1,
      anon_sym_GT_RBRACE,
    STATE(18620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      anon_sym_RPAREN,
    STATE(18621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26828), 1,
      anon_sym_RBRACE,
    STATE(18622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26830), 1,
      anon_sym_RBRACK,
    STATE(18623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11478), 1,
      anon_sym_GT,
    STATE(18624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26832), 1,
      anon_sym_LT_DASH,
    STATE(18625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26834), 1,
      anon_sym_RPAREN,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26836), 1,
      anon_sym_RPAREN,
    STATE(18627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26836), 1,
      anon_sym_RBRACK,
    STATE(18628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26836), 1,
      anon_sym_RBRACE,
    STATE(18629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26838), 1,
      anon_sym_COMMA,
    STATE(18630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26840), 1,
      anon_sym_in,
    STATE(18631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26842), 1,
      anon_sym_RBRACK,
    STATE(18632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26844), 1,
      anon_sym_RPAREN,
    STATE(18633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26846), 1,
      anon_sym_DOT,
    STATE(18634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26848), 1,
      anon_sym_RPAREN,
    STATE(18635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26850), 1,
      anon_sym_DOT,
    STATE(18636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26852), 1,
      anon_sym_RBRACE,
    STATE(18637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26854), 1,
      anon_sym_RBRACE,
    STATE(18638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11530), 1,
      anon_sym_GT,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8810), 1,
      anon_sym_DASH_GT,
    STATE(18640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26856), 1,
      anon_sym_with,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26858), 1,
      anon_sym_with,
    STATE(18642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26860), 1,
      anon_sym_DOT,
    STATE(18643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_DOT,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26864), 1,
      anon_sym_RBRACE,
    STATE(18645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26866), 1,
      anon_sym_RPAREN,
    STATE(18646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26868), 1,
      anon_sym_RBRACE,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26870), 1,
      anon_sym_RBRACE,
    STATE(18648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26872), 1,
      anon_sym_with,
    STATE(18649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26874), 1,
      anon_sym_with,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26876), 1,
      anon_sym_DQUOTE,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26878), 1,
      anon_sym_with,
    STATE(18652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26880), 1,
      anon_sym_SQUOTE2,
    STATE(18653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26882), 1,
      anon_sym_DOT,
    STATE(18654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26884), 1,
      anon_sym_RPAREN,
    STATE(18655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26886), 1,
      anon_sym_with,
    STATE(18656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26888), 1,
      anon_sym_RPAREN,
    STATE(18657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26890), 1,
      anon_sym_RBRACE,
    STATE(18658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_RPAREN,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26892), 1,
      anon_sym_RBRACE,
    STATE(18660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26894), 1,
      anon_sym_end,
    STATE(18661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26896), 1,
      anon_sym_of,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    STATE(18663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26898), 1,
      anon_sym_RPAREN,
    STATE(18664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26900), 1,
      anon_sym_RPAREN,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26900), 1,
      anon_sym_RBRACK,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26900), 1,
      anon_sym_RBRACE,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26902), 1,
      sym__lowercase_identifier,
    STATE(18668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26904), 1,
      anon_sym_RPAREN,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26906), 1,
      anon_sym_RBRACE,
    STATE(18670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26908), 1,
      anon_sym_RBRACK,
    STATE(18671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26910), 1,
      anon_sym_DQUOTE,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26912), 1,
      anon_sym_SQUOTE2,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26914), 1,
      anon_sym_DOT,
    STATE(18674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8764), 1,
      anon_sym_DASH_GT,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19164), 1,
      anon_sym_end,
    STATE(18676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26916), 1,
      anon_sym_RBRACK,
    STATE(18677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21460), 1,
      anon_sym_GT_RBRACE,
    STATE(18678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26918), 1,
      anon_sym_with,
    STATE(18679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      anon_sym_with,
    STATE(18680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26922), 1,
      anon_sym_DOT,
    STATE(18681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26924), 1,
      anon_sym_RPAREN,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26926), 1,
      anon_sym_RPAREN,
    STATE(18683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8708), 1,
      anon_sym_DASH_GT,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26928), 1,
      anon_sym_RPAREN,
    STATE(18685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26930), 1,
      anon_sym_DOT,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26932), 1,
      anon_sym_with,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26934), 1,
      anon_sym_with,
    STATE(18688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26936), 1,
      anon_sym_with,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23720), 1,
      anon_sym_RBRACK,
    STATE(18690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26938), 1,
      anon_sym_RPAREN,
    STATE(18691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26940), 1,
      anon_sym_DOT,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26942), 1,
      anon_sym_DQUOTE,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26944), 1,
      anon_sym_with,
    STATE(18694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26946), 1,
      anon_sym_RPAREN,
    STATE(18695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26948), 1,
      anon_sym_RBRACE,
    STATE(18696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17708), 1,
      anon_sym_RPAREN,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26950), 1,
      anon_sym_RPAREN,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26952), 1,
      anon_sym_in,
    STATE(18699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26954), 1,
      anon_sym_in,
    STATE(18700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26956), 1,
      anon_sym_RPAREN,
    STATE(18701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26958), 1,
      anon_sym_RPAREN,
    STATE(18702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26960), 1,
      anon_sym_RPAREN,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26960), 1,
      anon_sym_RBRACK,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26960), 1,
      anon_sym_RBRACE,
    STATE(18705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23700), 1,
      anon_sym_RBRACE,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26962), 1,
      anon_sym_RBRACK,
    STATE(18707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26964), 1,
      anon_sym_RPAREN,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26966), 1,
      anon_sym_in,
    STATE(18709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26968), 1,
      anon_sym_in,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26970), 1,
      anon_sym_in,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26972), 1,
      anon_sym_DOT,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26974), 1,
      anon_sym_RBRACE,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22912), 1,
      aux_sym_number_token1,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1767), 1,
      anon_sym_end,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26976), 1,
      anon_sym_with,
    STATE(18716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26978), 1,
      anon_sym_with,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26980), 1,
      anon_sym_DOT,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26982), 1,
      anon_sym_DOT,
    STATE(18719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26984), 1,
      anon_sym_with,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26986), 1,
      anon_sym_with,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26988), 1,
      anon_sym_DOT,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26990), 1,
      anon_sym_RPAREN,
    STATE(18723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26992), 1,
      anon_sym_DOT,
    STATE(18724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22394), 1,
      anon_sym_GT_RBRACE,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17714), 1,
      anon_sym_RPAREN,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26994), 1,
      anon_sym_RPAREN,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26996), 1,
      anon_sym_RPAREN,
    STATE(18728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26998), 1,
      anon_sym_RPAREN,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26998), 1,
      anon_sym_RBRACK,
    STATE(18730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26998), 1,
      anon_sym_RBRACE,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27000), 1,
      anon_sym_RBRACE,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27002), 1,
      anon_sym_RBRACE,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27004), 1,
      anon_sym_DQUOTE,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27006), 1,
      anon_sym_RBRACE,
    STATE(18735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27008), 1,
      anon_sym_RBRACK,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27010), 1,
      anon_sym_DOT,
    STATE(18737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27012), 1,
      anon_sym_RBRACE,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27014), 1,
      anon_sym_SQUOTE2,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27016), 1,
      anon_sym_with,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27018), 1,
      anon_sym_with,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27020), 1,
      anon_sym_DOT,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27022), 1,
      anon_sym_RPAREN,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27024), 1,
      anon_sym_with,
    STATE(18744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27026), 1,
      anon_sym_with,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27028), 1,
      anon_sym_RPAREN,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27030), 1,
      anon_sym_RBRACK,
    STATE(18747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27032), 1,
      anon_sym_RPAREN,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17720), 1,
      anon_sym_RPAREN,
    STATE(18749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27034), 1,
      anon_sym_end,
    STATE(18750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27036), 1,
      anon_sym_RPAREN,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27038), 1,
      anon_sym_RPAREN,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27038), 1,
      anon_sym_RBRACK,
    STATE(18753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27038), 1,
      anon_sym_RBRACE,
    STATE(18754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27040), 1,
      anon_sym_RBRACE,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27042), 1,
      anon_sym_RPAREN,
    STATE(18757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27044), 1,
      anon_sym_RBRACE,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27046), 1,
      anon_sym_RBRACK,
    STATE(18759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27048), 1,
      anon_sym_end,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27050), 1,
      anon_sym_RPAREN,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16457), 1,
      anon_sym_RPAREN,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27052), 1,
      anon_sym_RPAREN,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16759), 1,
      anon_sym_DASH_GT,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27054), 1,
      anon_sym_RPAREN,
    STATE(18765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27054), 1,
      anon_sym_RBRACK,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27054), 1,
      anon_sym_RBRACE,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19367), 1,
      anon_sym_end,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27056), 1,
      anon_sym_DASH_GT,
    STATE(18769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17802), 1,
      anon_sym_DASH_GT,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27058), 1,
      anon_sym_RPAREN,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27060), 1,
      anon_sym_DOT,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27062), 1,
      anon_sym_in,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27064), 1,
      anon_sym_RPAREN,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17262), 1,
      anon_sym_GT,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27066), 1,
      anon_sym_RBRACE,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27068), 1,
      anon_sym_RPAREN,
    STATE(18777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27068), 1,
      anon_sym_RBRACK,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27068), 1,
      anon_sym_RBRACE,
    STATE(18779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27070), 1,
      anon_sym_RBRACK,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27072), 1,
      anon_sym_RPAREN,
    STATE(18781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27074), 1,
      anon_sym_LT_DASH,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27076), 1,
      anon_sym_DOT,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27078), 1,
      anon_sym_LT_DASH,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27080), 1,
      anon_sym_RPAREN,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19702), 1,
      anon_sym_end,
    STATE(18786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27082), 1,
      anon_sym_RPAREN,
    STATE(18787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27082), 1,
      anon_sym_RBRACK,
    STATE(18788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27082), 1,
      anon_sym_RBRACE,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27084), 1,
      anon_sym_DOT,
    STATE(18790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27086), 1,
      anon_sym_RBRACE,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27088), 1,
      anon_sym_DASH_GT,
    STATE(18792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_DASH_GT,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22378), 1,
      anon_sym_GT_RBRACE,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16652), 1,
      anon_sym_RPAREN,
    STATE(18795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27092), 1,
      anon_sym_RBRACK,
    STATE(18796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27094), 1,
      anon_sym_RPAREN,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27094), 1,
      anon_sym_RBRACK,
    STATE(18798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27094), 1,
      anon_sym_RBRACE,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27096), 1,
      anon_sym_RPAREN,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27098), 1,
      anon_sym_SQUOTE2,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27100), 1,
      anon_sym_in,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27102), 1,
      anon_sym_RBRACE,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16463), 1,
      anon_sym_RPAREN,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5143), 1,
      anon_sym_end,
    STATE(18805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27104), 1,
      aux_sym_number_token1,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27106), 1,
      anon_sym_RPAREN,
    STATE(18807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27106), 1,
      anon_sym_RBRACK,
    STATE(18808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27106), 1,
      anon_sym_RBRACE,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27108), 1,
      anon_sym_RBRACE,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27110), 1,
      anon_sym_in,
    STATE(18812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27112), 1,
      anon_sym_in,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27114), 1,
      anon_sym_in,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27116), 1,
      anon_sym_in,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27118), 1,
      anon_sym_RPAREN,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27120), 1,
      anon_sym_RPAREN,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27120), 1,
      anon_sym_RBRACK,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27120), 1,
      anon_sym_RBRACE,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27122), 1,
      anon_sym_RPAREN,
    STATE(18820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27124), 1,
      anon_sym_RBRACE,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    STATE(18822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27126), 1,
      anon_sym_in,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_GT,
    STATE(18824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27130), 1,
      anon_sym_GT,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27132), 1,
      anon_sym_RBRACE,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27134), 1,
      anon_sym_RPAREN,
    STATE(18827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27134), 1,
      anon_sym_RBRACK,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27134), 1,
      anon_sym_RBRACE,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27136), 1,
      anon_sym_RBRACK,
    STATE(18830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27138), 1,
      anon_sym_RPAREN,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27140), 1,
      anon_sym_end,
    STATE(18832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27142), 1,
      anon_sym_RPAREN,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19439), 1,
      anon_sym_end,
    STATE(18834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27144), 1,
      anon_sym_SQUOTE2,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27146), 1,
      anon_sym_DQUOTE,
    STATE(18836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RPAREN,
    STATE(18837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RBRACK,
    STATE(18838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RBRACE,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27150), 1,
      sym__lowercase_identifier,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27152), 1,
      anon_sym_RPAREN,
    STATE(18841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27154), 1,
      anon_sym_end,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27156), 1,
      anon_sym_with,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27158), 1,
      anon_sym_RPAREN,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_RBRACK,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11462), 1,
      anon_sym_GT,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_RPAREN,
    STATE(18847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_RBRACK,
    STATE(18848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_RBRACE,
    STATE(18849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27164), 1,
      anon_sym_RPAREN,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27166), 1,
      anon_sym_RBRACE,
    STATE(18851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17308), 1,
      anon_sym_GT,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27168), 1,
      anon_sym_with,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27170), 1,
      anon_sym_RBRACE,
    STATE(18854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27172), 1,
      anon_sym_DASH_GT,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27174), 1,
      anon_sym_DOT,
    STATE(18856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27176), 1,
      anon_sym_RPAREN,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27176), 1,
      anon_sym_RBRACK,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27176), 1,
      anon_sym_RBRACE,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27178), 1,
      anon_sym_RBRACE,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27180), 1,
      anon_sym_DQUOTE,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_RBRACE,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27184), 1,
      anon_sym_DASH_GT,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27186), 1,
      anon_sym_DASH_GT,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RBRACE,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RBRACK,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27190), 1,
      anon_sym_RPAREN,
    STATE(18867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27190), 1,
      anon_sym_RBRACK,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27190), 1,
      anon_sym_RBRACE,
    STATE(18869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27192), 1,
      anon_sym_SQUOTE2,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27194), 1,
      anon_sym_RBRACE,
    STATE(18871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(18872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RPAREN,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8848), 1,
      anon_sym_DASH_GT,
    STATE(18874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27196), 1,
      anon_sym_RPAREN,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27198), 1,
      anon_sym_DASH_GT,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      anon_sym_RPAREN,
    STATE(18877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      anon_sym_RBRACK,
    STATE(18878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      anon_sym_RBRACE,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27202), 1,
      anon_sym_RPAREN,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27204), 1,
      anon_sym_RBRACE,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27206), 1,
      anon_sym_DASH_GT,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27208), 1,
      anon_sym_RBRACK,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27210), 1,
      anon_sym_end,
    STATE(18884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27212), 1,
      anon_sym_RPAREN,
    STATE(18885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27214), 1,
      anon_sym_in,
    STATE(18886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27216), 1,
      anon_sym_RPAREN,
    STATE(18887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17792), 1,
      anon_sym_RPAREN,
    STATE(18888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27218), 1,
      anon_sym_RPAREN,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27220), 1,
      anon_sym_RPAREN,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27222), 1,
      anon_sym_DASH_GT,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27224), 1,
      anon_sym_DASH_GT,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27226), 1,
      anon_sym_RBRACE,
    STATE(18893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27228), 1,
      anon_sym_DASH_GT,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27230), 1,
      anon_sym_DQUOTE,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27232), 1,
      anon_sym_SQUOTE2,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8798), 1,
      anon_sym_DASH_GT,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27234), 1,
      anon_sym_RBRACE,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    STATE(18899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27236), 1,
      anon_sym_DOT,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27238), 1,
      anon_sym_RPAREN,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27240), 1,
      anon_sym_RBRACE,
    STATE(18902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27242), 1,
      anon_sym_end,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27244), 1,
      anon_sym_RBRACK,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27246), 1,
      anon_sym_RBRACE,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27248), 1,
      anon_sym_with,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27250), 1,
      anon_sym_RPAREN,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27252), 1,
      anon_sym_GT,
    STATE(18908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27254), 1,
      anon_sym_with,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      anon_sym_RPAREN,
    STATE(18910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27258), 1,
      anon_sym_in,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27260), 1,
      anon_sym_DQUOTE,
    STATE(18912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27262), 1,
      anon_sym_RBRACE,
    STATE(18913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27264), 1,
      anon_sym_DQUOTE,
    STATE(18914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16433), 1,
      anon_sym_RPAREN,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27266), 1,
      anon_sym_SQUOTE2,
    STATE(18916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27268), 1,
      anon_sym_RBRACE,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27270), 1,
      anon_sym_in,
    STATE(18918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    STATE(18919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27272), 1,
      anon_sym_RPAREN,
    STATE(18920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27274), 1,
      anon_sym_RPAREN,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27276), 1,
      anon_sym_RBRACE,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27278), 1,
      anon_sym_RBRACK,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27280), 1,
      anon_sym_RPAREN,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27282), 1,
      anon_sym_GT,
    STATE(18925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16577), 1,
      anon_sym_RPAREN,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27284), 1,
      anon_sym_with,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27286), 1,
      anon_sym_DASH_GT,
    STATE(18928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27288), 1,
      anon_sym_RPAREN,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27290), 1,
      anon_sym_DOT,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27292), 1,
      anon_sym_with,
    STATE(18931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27294), 1,
      anon_sym_RPAREN,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27296), 1,
      anon_sym_RBRACK,
    STATE(18933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27298), 1,
      anon_sym_RPAREN,
    STATE(18934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27300), 1,
      anon_sym_RBRACE,
    STATE(18935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27302), 1,
      anon_sym_with,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27304), 1,
      anon_sym_DQUOTE,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27306), 1,
      anon_sym_SQUOTE2,
    STATE(18938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27308), 1,
      anon_sym_RBRACK,
    STATE(18939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27310), 1,
      anon_sym_RBRACE,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27312), 1,
      anon_sym_RBRACE,
    STATE(18942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27314), 1,
      anon_sym_RPAREN,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27316), 1,
      anon_sym_RBRACE,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_GT,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27318), 1,
      anon_sym_RBRACK,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27320), 1,
      anon_sym_RPAREN,
    STATE(18947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27322), 1,
      anon_sym_DASH_GT,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27324), 1,
      anon_sym_RPAREN,
    STATE(18949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27326), 1,
      anon_sym_PIPE,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27328), 1,
      anon_sym_RPAREN,
    STATE(18951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27330), 1,
      anon_sym_DOT,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27332), 1,
      anon_sym_RBRACK,
    STATE(18953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12831), 1,
      anon_sym_DASH_GT,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27334), 1,
      anon_sym_with,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27336), 1,
      anon_sym_LT_DASH,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27338), 1,
      anon_sym_DOT,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16355), 1,
      anon_sym_RPAREN,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27340), 1,
      anon_sym_in,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27342), 1,
      anon_sym_RPAREN,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27344), 1,
      anon_sym_DASH_GT,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27346), 1,
      anon_sym_RPAREN,
    STATE(18962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27348), 1,
      anon_sym_in,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6727), 1,
      anon_sym_end,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27350), 1,
      anon_sym_RBRACK,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27352), 1,
      anon_sym_RBRACE,
    STATE(18966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27354), 1,
      anon_sym_in,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27356), 1,
      anon_sym_DOT,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23442), 1,
      anon_sym_RBRACK,
    STATE(18969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27358), 1,
      anon_sym_RPAREN,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27360), 1,
      anon_sym_RPAREN,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27362), 1,
      anon_sym_DASH_GT,
    STATE(18972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27364), 1,
      anon_sym_DOT,
    STATE(18973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8934), 1,
      anon_sym_DASH_GT,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8928), 1,
      anon_sym_DASH_GT,
    STATE(18975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27366), 1,
      anon_sym_RPAREN,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27368), 1,
      anon_sym_RBRACE,
    STATE(18977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27370), 1,
      anon_sym_DQUOTE,
    STATE(18978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27372), 1,
      anon_sym_RPAREN,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_DASH_GT,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27374), 1,
      anon_sym_RBRACE,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27376), 1,
      anon_sym_RBRACK,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27378), 1,
      anon_sym_RPAREN,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27380), 1,
      anon_sym_RPAREN,
    STATE(18984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27382), 1,
      anon_sym_SQUOTE2,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27384), 1,
      anon_sym_RBRACE,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    STATE(18987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27386), 1,
      anon_sym_RPAREN,
    STATE(18988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27388), 1,
      anon_sym_RPAREN,
    STATE(18989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27390), 1,
      anon_sym_SQUOTE2,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27392), 1,
      anon_sym_RPAREN,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27394), 1,
      anon_sym_RBRACE,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27396), 1,
      anon_sym_RBRACE,
    STATE(18993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27398), 1,
      anon_sym_RBRACK,
    STATE(18994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27400), 1,
      anon_sym_RPAREN,
    STATE(18995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27402), 1,
      anon_sym_RPAREN,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27404), 1,
      anon_sym_RPAREN,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27406), 1,
      anon_sym_RBRACK,
    STATE(18998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27408), 1,
      anon_sym_DASH_GT,
    STATE(18999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27410), 1,
      anon_sym_RBRACE,
    STATE(19000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27412), 1,
      anon_sym_RBRACK,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27414), 1,
      anon_sym_RPAREN,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27416), 1,
      anon_sym_RPAREN,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27418), 1,
      sym__lowercase_identifier,
    STATE(19004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27420), 1,
      anon_sym_DASH_GT,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RPAREN,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16369), 1,
      anon_sym_RPAREN,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27424), 1,
      anon_sym_RBRACK,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27426), 1,
      anon_sym_RPAREN,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27428), 1,
      anon_sym_end,
    STATE(19010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27430), 1,
      anon_sym_RPAREN,
    STATE(19011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27432), 1,
      anon_sym_RBRACE,
    STATE(19012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27434), 1,
      anon_sym_DASH_GT,
    STATE(19013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27436), 1,
      anon_sym_RPAREN,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27438), 1,
      anon_sym_RPAREN,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27440), 1,
      anon_sym_RPAREN,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27442), 1,
      anon_sym_RPAREN,
    STATE(19017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8858), 1,
      anon_sym_DASH_GT,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27444), 1,
      anon_sym_LT_DASH,
    STATE(19019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27446), 1,
      anon_sym_RPAREN,
    STATE(19020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27448), 1,
      anon_sym_end,
    STATE(19021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27450), 1,
      anon_sym_RBRACK,
    STATE(19022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27452), 1,
      anon_sym_RPAREN,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27454), 1,
      anon_sym_RBRACE,
    STATE(19024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27456), 1,
      anon_sym_RBRACE,
    STATE(19025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27458), 1,
      anon_sym_RBRACE,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12996), 1,
      anon_sym_DASH_GT,
    STATE(19027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27460), 1,
      sym__lowercase_identifier,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27462), 1,
      anon_sym_DASH_GT,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27464), 1,
      anon_sym_RPAREN,
    STATE(19030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27466), 1,
      sym__lowercase_identifier,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27468), 1,
      anon_sym_DQUOTE,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27470), 1,
      anon_sym_SQUOTE2,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19291), 1,
      anon_sym_end,
    STATE(19034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27472), 1,
      anon_sym_DQUOTE,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27474), 1,
      anon_sym_DOT_DOT,
    STATE(19036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27476), 1,
      anon_sym_DOT_DOT,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27478), 1,
      anon_sym_DOT_DOT,
    STATE(19038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21311), 1,
      anon_sym_GT_RBRACE,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27480), 1,
      anon_sym_in,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27482), 1,
      anon_sym_in,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27484), 1,
      anon_sym_RPAREN,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27486), 1,
      anon_sym_in,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27488), 1,
      anon_sym_RBRACE,
    STATE(19045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27490), 1,
      anon_sym_SQUOTE2,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27492), 1,
      anon_sym_RBRACE,
    STATE(19047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27494), 1,
      anon_sym_in,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27496), 1,
      anon_sym_COLON2,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17304), 1,
      anon_sym_GT,
    STATE(19050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27498), 1,
      anon_sym_RBRACE,
    STATE(19051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27500), 1,
      anon_sym_RPAREN,
    STATE(19052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21299), 1,
      anon_sym_GT_RBRACE,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27502), 1,
      anon_sym_RPAREN,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27504), 1,
      anon_sym_in,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27506), 1,
      anon_sym_in,
    STATE(19057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27508), 1,
      anon_sym_in,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8800), 1,
      anon_sym_DASH_GT,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27510), 1,
      anon_sym_RBRACE,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27512), 1,
      anon_sym_RBRACK,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27514), 1,
      anon_sym_LT_DASH,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27516), 1,
      anon_sym_LT_DASH,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    STATE(19064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19287), 1,
      anon_sym_end,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27518), 1,
      anon_sym_SQUOTE2,
    STATE(19066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27520), 1,
      anon_sym_DQUOTE,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27522), 1,
      anon_sym_SQUOTE2,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27524), 1,
      sym__lowercase_identifier,
    STATE(19069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27526), 1,
      anon_sym_RBRACE,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19688), 1,
      anon_sym_end,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1773), 1,
      anon_sym_COLON_COLON,
    STATE(19072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27528), 1,
      anon_sym_DOT,
    STATE(19073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27530), 1,
      anon_sym_DASH_GT,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27532), 1,
      anon_sym_RPAREN,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27534), 1,
      anon_sym_RBRACE,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27536), 1,
      anon_sym_PIPE,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27538), 1,
      anon_sym_RBRACK,
    STATE(19078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27540), 1,
      anon_sym_RPAREN,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8716), 1,
      anon_sym_DASH_GT,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27542), 1,
      anon_sym_DASH_GT,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27544), 1,
      anon_sym_RBRACK,
    STATE(19082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27546), 1,
      anon_sym_LT_DASH,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27548), 1,
      anon_sym_RPAREN,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27550), 1,
      anon_sym_RBRACE,
    STATE(19085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27552), 1,
      anon_sym_RBRACK,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27554), 1,
      anon_sym_RBRACK,
    STATE(19087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23344), 1,
      anon_sym_RBRACK,
    STATE(19088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27556), 1,
      anon_sym_in,
    STATE(19089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27558), 1,
      anon_sym_DASH_GT,
    STATE(19090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27560), 1,
      anon_sym_RPAREN,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27562), 1,
      anon_sym_DASH_GT,
    STATE(19092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27564), 1,
      aux_sym_number_token1,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27566), 1,
      anon_sym_in,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27568), 1,
      anon_sym_in,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27570), 1,
      anon_sym_RPAREN,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27572), 1,
      anon_sym_in,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27574), 1,
      anon_sym_in,
    STATE(19098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27576), 1,
      anon_sym_RPAREN,
    STATE(19099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27578), 1,
      anon_sym_RPAREN,
    STATE(19100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27580), 1,
      anon_sym_RBRACE,
    STATE(19101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_DQUOTE,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27584), 1,
      anon_sym_RPAREN,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27586), 1,
      sym__lowercase_identifier,
    STATE(19105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27588), 1,
      anon_sym_SQUOTE2,
    STATE(19106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27590), 1,
      anon_sym_RBRACE,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27592), 1,
      anon_sym_in,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27594), 1,
      anon_sym_RBRACE,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27596), 1,
      anon_sym_RBRACK,
    STATE(19111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27598), 1,
      anon_sym_RPAREN,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27600), 1,
      anon_sym_RBRACE,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27602), 1,
      anon_sym_end,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27604), 1,
      anon_sym_DASH_GT,
    STATE(19115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27606), 1,
      anon_sym_RPAREN,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16405), 1,
      anon_sym_RPAREN,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27608), 1,
      anon_sym_RBRACE,
    STATE(19118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22476), 1,
      anon_sym_GT_RBRACE,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27610), 1,
      anon_sym_RBRACK,
    STATE(19120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27612), 1,
      anon_sym_RBRACK,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27614), 1,
      anon_sym_RBRACE,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27616), 1,
      anon_sym_RBRACE,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27618), 1,
      anon_sym_DOT_DOT,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27620), 1,
      anon_sym_DOT_DOT,
    STATE(19125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27622), 1,
      anon_sym_DOT_DOT,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22484), 1,
      anon_sym_GT_RBRACE,
    STATE(19127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27624), 1,
      anon_sym_RPAREN,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17998), 1,
      anon_sym_RPAREN,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_end,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27626), 1,
      anon_sym_SQUOTE2,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27628), 1,
      anon_sym_DQUOTE,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16411), 1,
      anon_sym_RPAREN,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27630), 1,
      anon_sym_DASH_GT,
    STATE(19134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27632), 1,
      anon_sym_end,
    STATE(19135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27634), 1,
      anon_sym_RPAREN,
    STATE(19136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27636), 1,
      anon_sym_COLON2,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27638), 1,
      sym__lowercase_identifier,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27640), 1,
      anon_sym_in,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27642), 1,
      anon_sym_RPAREN,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27644), 1,
      anon_sym_DASH_GT,
    STATE(19141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27646), 1,
      anon_sym_RPAREN,
    STATE(19142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27648), 1,
      anon_sym_RBRACK,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    STATE(19144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27650), 1,
      anon_sym_in,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27652), 1,
      anon_sym_RBRACE,
    STATE(19146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8786), 1,
      anon_sym_DASH_GT,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27654), 1,
      anon_sym_RPAREN,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27656), 1,
      anon_sym_in,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27658), 1,
      anon_sym_RPAREN,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27660), 1,
      anon_sym_DASH_GT,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27662), 1,
      anon_sym_PIPE,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11438), 1,
      anon_sym_GT,
    STATE(19153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27664), 1,
      anon_sym_RPAREN,
    STATE(19154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27666), 1,
      anon_sym_RBRACE,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27668), 1,
      anon_sym_RPAREN,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8704), 1,
      anon_sym_DASH_GT,
    STATE(19157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27670), 1,
      anon_sym_RBRACK,
    STATE(19158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27672), 1,
      anon_sym_DASH_GT,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27674), 1,
      anon_sym_RBRACE,
    STATE(19160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27676), 1,
      anon_sym_RPAREN,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27678), 1,
      anon_sym_DASH_GT,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23280), 1,
      anon_sym_RBRACK,
    STATE(19163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27680), 1,
      anon_sym_RBRACE,
    STATE(19164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27682), 1,
      anon_sym_RBRACE,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27684), 1,
      sym__lowercase_identifier,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27686), 1,
      anon_sym_DASH_GT,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27688), 1,
      anon_sym_DQUOTE,
    STATE(19168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27690), 1,
      anon_sym_DQUOTE,
    STATE(19169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27692), 1,
      anon_sym_SQUOTE2,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19429), 1,
      anon_sym_end,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27694), 1,
      anon_sym_SQUOTE2,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21223), 1,
      anon_sym_GT_RBRACE,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27696), 1,
      anon_sym_RPAREN,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27698), 1,
      anon_sym_RPAREN,
    STATE(19175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27700), 1,
      anon_sym_RPAREN,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27702), 1,
      sym__uppercase_identifier,
    STATE(19177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27704), 1,
      anon_sym_RBRACK,
    STATE(19178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27706), 1,
      sym__lowercase_identifier,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27708), 1,
      sym__lowercase_identifier,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27710), 1,
      anon_sym_RBRACE,
    STATE(19181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27712), 1,
      anon_sym_RPAREN,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27714), 1,
      anon_sym_RBRACE,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27716), 1,
      anon_sym_RBRACE,
    STATE(19184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27718), 1,
      anon_sym_RPAREN,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27720), 1,
      anon_sym_RBRACE,
    STATE(19186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27722), 1,
      anon_sym_in,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27724), 1,
      anon_sym_in,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27710), 1,
      anon_sym_RBRACK,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27726), 1,
      anon_sym_RPAREN,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    STATE(19192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27710), 1,
      anon_sym_RPAREN,
    STATE(19193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27728), 1,
      anon_sym_RPAREN,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27730), 1,
      anon_sym_LT_DASH,
    STATE(19195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27732), 1,
      anon_sym_in,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27734), 1,
      anon_sym_in,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27736), 1,
      anon_sym_DOT_DOT,
    STATE(19198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27738), 1,
      anon_sym_DOT_DOT,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27740), 1,
      anon_sym_DOT_DOT,
    STATE(19200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27742), 1,
      anon_sym_RPAREN,
    STATE(19201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27744), 1,
      anon_sym_RBRACE,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27746), 1,
      anon_sym_EQ,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27748), 1,
      anon_sym_RBRACK,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27750), 1,
      anon_sym_LT_DASH,
    STATE(19205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27752), 1,
      anon_sym_in,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27754), 1,
      anon_sym_RPAREN,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27756), 1,
      anon_sym_RPAREN,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27758), 1,
      anon_sym_RPAREN,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27760), 1,
      anon_sym_COLON2,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27762), 1,
      anon_sym_in,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27764), 1,
      anon_sym_RPAREN,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27766), 1,
      anon_sym_RPAREN,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27768), 1,
      anon_sym_RPAREN,
    STATE(19214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27770), 1,
      anon_sym_RPAREN,
    STATE(19215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27772), 1,
      anon_sym_RPAREN,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27774), 1,
      anon_sym_RBRACE,
    STATE(19217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27776), 1,
      anon_sym_RPAREN,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27778), 1,
      anon_sym_in,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27780), 1,
      anon_sym_DASH_GT,
    STATE(19220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27782), 1,
      sym__lowercase_identifier,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27784), 1,
      anon_sym_EQ,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27786), 1,
      anon_sym_in,
    STATE(19223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27788), 1,
      anon_sym_in,
    STATE(19224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27790), 1,
      anon_sym_PIPE,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27792), 1,
      anon_sym_DASH_GT,
    STATE(19226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27794), 1,
      anon_sym_RBRACE,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27796), 1,
      anon_sym_RBRACK,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27798), 1,
      anon_sym_in,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27800), 1,
      anon_sym_RBRACE,
    STATE(19230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27802), 1,
      anon_sym_RPAREN,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23254), 1,
      anon_sym_RBRACK,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8806), 1,
      anon_sym_DASH_GT,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27804), 1,
      anon_sym_in,
    STATE(19234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27806), 1,
      anon_sym_RBRACE,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27808), 1,
      anon_sym_RBRACE,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27810), 1,
      anon_sym_RBRACK,
    STATE(19237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27812), 1,
      anon_sym_DASH_GT,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27814), 1,
      anon_sym_RPAREN,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27816), 1,
      anon_sym_in,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17830), 1,
      anon_sym_RPAREN,
    STATE(19241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    STATE(19242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27818), 1,
      sym__lowercase_identifier,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27820), 1,
      anon_sym_DASH_GT,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27822), 1,
      anon_sym_RPAREN,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27824), 1,
      anon_sym_in,
    STATE(19246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27826), 1,
      anon_sym_DASH_GT,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27828), 1,
      anon_sym_in,
    STATE(19248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27830), 1,
      anon_sym_in,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27832), 1,
      anon_sym_in,
    STATE(19250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27834), 1,
      anon_sym_RPAREN,
    STATE(19251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27836), 1,
      anon_sym_RPAREN,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27838), 1,
      anon_sym_DOT_DOT,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27840), 1,
      anon_sym_DOT_DOT,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27842), 1,
      anon_sym_DOT_DOT,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27844), 1,
      sym__lowercase_identifier,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27846), 1,
      anon_sym_RPAREN,
    STATE(19257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27848), 1,
      anon_sym_COLON2,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27850), 1,
      anon_sym_DASH_GT,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27852), 1,
      sym__lowercase_identifier,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27854), 1,
      anon_sym_EQ,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4995), 1,
      anon_sym_end,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27856), 1,
      anon_sym_PIPE,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27858), 1,
      anon_sym_DQUOTE,
    STATE(19264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27860), 1,
      anon_sym_DASH_GT,
    STATE(19265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27862), 1,
      anon_sym_DASH_GT,
    STATE(19266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27864), 1,
      anon_sym_in,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27866), 1,
      anon_sym_RPAREN,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9658), 1,
      anon_sym_RBRACK,
    STATE(19270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27868), 1,
      anon_sym_SQUOTE2,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27870), 1,
      anon_sym_in,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27872), 1,
      anon_sym_DOT,
    STATE(19273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27874), 1,
      anon_sym_RPAREN,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27866), 1,
      anon_sym_RBRACK,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27876), 1,
      anon_sym_RBRACE,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27876), 1,
      anon_sym_RBRACK,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27876), 1,
      anon_sym_RPAREN,
    STATE(19278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27878), 1,
      anon_sym_RPAREN,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27880), 1,
      sym__lowercase_identifier,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27882), 1,
      anon_sym_end,
    STATE(19281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27884), 1,
      anon_sym_RPAREN,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27886), 1,
      anon_sym_RBRACE,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27888), 1,
      anon_sym_DOT_DOT,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27890), 1,
      anon_sym_DOT_DOT,
    STATE(19285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27892), 1,
      anon_sym_DOT_DOT,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27866), 1,
      anon_sym_RBRACE,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23198), 1,
      anon_sym_RBRACE,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27894), 1,
      sym__lowercase_identifier,
    STATE(19289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27896), 1,
      anon_sym_RBRACK,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20006), 1,
      anon_sym_end,
    STATE(19291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27898), 1,
      anon_sym_PIPE,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27900), 1,
      anon_sym_RPAREN,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27902), 1,
      anon_sym_with,
    STATE(19294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23194), 1,
      anon_sym_RBRACE,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27904), 1,
      anon_sym_RPAREN,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27906), 1,
      anon_sym_RPAREN,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27908), 1,
      anon_sym_in,
    STATE(19298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_RBRACK,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27910), 1,
      anon_sym_with,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27912), 1,
      anon_sym_in,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27914), 1,
      anon_sym_GT,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27916), 1,
      anon_sym_DASH_GT,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16527), 1,
      anon_sym_RPAREN,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27918), 1,
      anon_sym_DASH_GT,
    STATE(19305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27920), 1,
      sym__lowercase_identifier,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27922), 1,
      anon_sym_RPAREN,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27924), 1,
      anon_sym_RBRACE,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27926), 1,
      anon_sym_RBRACK,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27928), 1,
      anon_sym_DOT_DOT,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27930), 1,
      anon_sym_DOT_DOT,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27932), 1,
      anon_sym_DOT_DOT,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27934), 1,
      anon_sym_RPAREN,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27936), 1,
      anon_sym_RPAREN,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27938), 1,
      anon_sym_RBRACE,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27940), 1,
      anon_sym_RBRACE,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17322), 1,
      anon_sym_GT,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27942), 1,
      anon_sym_PIPE,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27944), 1,
      anon_sym_RBRACE,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27946), 1,
      anon_sym_RPAREN,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8714), 1,
      anon_sym_DASH_GT,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27948), 1,
      anon_sym_RBRACE,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27950), 1,
      anon_sym_RBRACK,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27952), 1,
      aux_sym_number_token1,
    STATE(19324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23172), 1,
      anon_sym_RBRACK,
    STATE(19325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27954), 1,
      anon_sym_RBRACE,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27956), 1,
      anon_sym_RPAREN,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27958), 1,
      anon_sym_RPAREN,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27960), 1,
      anon_sym_RBRACE,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27962), 1,
      anon_sym_RBRACE,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27964), 1,
      anon_sym_RPAREN,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27966), 1,
      sym__lowercase_identifier,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27968), 1,
      anon_sym_LT_DASH,
    STATE(19333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27970), 1,
      anon_sym_COLON2,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27972), 1,
      anon_sym_in,
    STATE(19335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_DOT_DOT,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27976), 1,
      anon_sym_DOT_DOT,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27978), 1,
      anon_sym_DOT_DOT,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27980), 1,
      anon_sym_DQUOTE,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27982), 1,
      sym__lowercase_identifier,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27984), 1,
      anon_sym_SQUOTE2,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27986), 1,
      anon_sym_RBRACE,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27988), 1,
      anon_sym_RPAREN,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27990), 1,
      anon_sym_PIPE,
    STATE(19344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27992), 1,
      anon_sym_RPAREN,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27994), 1,
      anon_sym_RBRACK,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27996), 1,
      anon_sym_RPAREN,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8826), 1,
      anon_sym_DASH_GT,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27998), 1,
      anon_sym_RBRACE,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28000), 1,
      anon_sym_DASH_GT,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9654), 1,
      anon_sym_RBRACK,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28002), 1,
      anon_sym_DASH_GT,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28004), 1,
      anon_sym_RBRACK,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    STATE(19354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28006), 1,
      anon_sym_DOT,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28008), 1,
      anon_sym_RPAREN,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28010), 1,
      anon_sym_RPAREN,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28012), 1,
      sym__lowercase_identifier,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28014), 1,
      anon_sym_in,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28016), 1,
      anon_sym_with,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28018), 1,
      anon_sym_DOT_DOT,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28020), 1,
      anon_sym_DOT_DOT,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28022), 1,
      anon_sym_DOT_DOT,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28024), 1,
      anon_sym_in,
    STATE(19364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28026), 1,
      anon_sym_PIPE,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28028), 1,
      sym__lowercase_identifier,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28030), 1,
      anon_sym_RPAREN,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28032), 1,
      anon_sym_with,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28034), 1,
      anon_sym_in,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21070), 1,
      anon_sym_GT_RBRACE,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28036), 1,
      anon_sym_RBRACK,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23154), 1,
      anon_sym_RBRACK,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28038), 1,
      anon_sym_RBRACE,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28040), 1,
      anon_sym_RBRACK,
    STATE(19374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28042), 1,
      anon_sym_RPAREN,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28044), 1,
      anon_sym_RBRACK,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28046), 1,
      anon_sym_DOT_DOT,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28048), 1,
      anon_sym_DOT_DOT,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28050), 1,
      sym__lowercase_identifier,
    STATE(19379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28052), 1,
      anon_sym_RBRACE,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28054), 1,
      anon_sym_DOT_DOT,
    STATE(19381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28056), 1,
      anon_sym_DOT_DOT,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28058), 1,
      anon_sym_DOT_DOT,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28060), 1,
      anon_sym_RBRACE,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28062), 1,
      anon_sym_PIPE,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28064), 1,
      anon_sym_DOT_DOT,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28066), 1,
      anon_sym_RBRACE,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28068), 1,
      anon_sym_in,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28070), 1,
      anon_sym_DASH_GT,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19518), 1,
      anon_sym_end,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28072), 1,
      anon_sym_RPAREN,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9692), 1,
      anon_sym_RBRACK,
    STATE(19392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28074), 1,
      anon_sym_in,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28076), 1,
      anon_sym_DASH_GT,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28078), 1,
      anon_sym_RPAREN,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28080), 1,
      anon_sym_DOT,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28082), 1,
      anon_sym_RPAREN,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28084), 1,
      sym__lowercase_identifier,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28086), 1,
      anon_sym_in,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28088), 1,
      anon_sym_DOT_DOT,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28090), 1,
      anon_sym_DOT_DOT,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28092), 1,
      anon_sym_DOT_DOT,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28094), 1,
      anon_sym_RBRACK,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28096), 1,
      anon_sym_PIPE,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28098), 1,
      anon_sym_RPAREN,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28100), 1,
      anon_sym_SQUOTE2,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28102), 1,
      anon_sym_RPAREN,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28104), 1,
      anon_sym_DOT,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28106), 1,
      anon_sym_DQUOTE,
    STATE(19409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28108), 1,
      anon_sym_RPAREN,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9614), 1,
      anon_sym_RBRACK,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28110), 1,
      anon_sym_RPAREN,
    STATE(19412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28112), 1,
      anon_sym_in,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28114), 1,
      anon_sym_in,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28116), 1,
      anon_sym_RBRACE,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28118), 1,
      anon_sym_RBRACK,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28120), 1,
      sym__lowercase_identifier,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28122), 1,
      anon_sym_RPAREN,
    STATE(19418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28124), 1,
      anon_sym_DOT_DOT,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28126), 1,
      anon_sym_DOT_DOT,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28128), 1,
      anon_sym_DOT_DOT,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28130), 1,
      anon_sym_in,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28132), 1,
      anon_sym_PIPE,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16537), 1,
      anon_sym_RPAREN,
    STATE(19424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28134), 1,
      anon_sym_RPAREN,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28136), 1,
      anon_sym_RPAREN,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28138), 1,
      anon_sym_DOT,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28140), 1,
      sym__lowercase_identifier,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28142), 1,
      anon_sym_end,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28144), 1,
      anon_sym_RPAREN,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28146), 1,
      anon_sym_LT_DASH,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28148), 1,
      anon_sym_RPAREN,
    STATE(19432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28150), 1,
      sym__lowercase_identifier,
    STATE(19433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28152), 1,
      anon_sym_RPAREN,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28154), 1,
      anon_sym_DOT_DOT,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28156), 1,
      anon_sym_DOT_DOT,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28158), 1,
      anon_sym_DOT_DOT,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28160), 1,
      anon_sym_RBRACE,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28162), 1,
      anon_sym_PIPE,
    STATE(19439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28164), 1,
      anon_sym_RBRACE,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28166), 1,
      anon_sym_DASH_GT,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28168), 1,
      anon_sym_RPAREN,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28170), 1,
      anon_sym_RBRACK,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28172), 1,
      anon_sym_RPAREN,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28174), 1,
      anon_sym_RBRACK,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28176), 1,
      anon_sym_RBRACE,
    STATE(19446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28178), 1,
      anon_sym_RBRACE,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28180), 1,
      anon_sym_DASH_GT,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28182), 1,
      sym__lowercase_identifier,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20799), 1,
      anon_sym_GT_RBRACE,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28184), 1,
      anon_sym_DOT_DOT,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28186), 1,
      anon_sym_DOT_DOT,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28188), 1,
      anon_sym_DOT_DOT,
    STATE(19453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16479), 1,
      anon_sym_RPAREN,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28190), 1,
      anon_sym_PIPE,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8738), 1,
      anon_sym_DASH_GT,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28192), 1,
      anon_sym_RPAREN,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28194), 1,
      anon_sym_RBRACE,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19970), 1,
      anon_sym_end,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16483), 1,
      anon_sym_RPAREN,
    STATE(19460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28196), 1,
      anon_sym_RBRACE,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28198), 1,
      anon_sym_RBRACK,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28200), 1,
      anon_sym_SQUOTE2,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28202), 1,
      anon_sym_RPAREN,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28204), 1,
      sym__lowercase_identifier,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28206), 1,
      anon_sym_DQUOTE,
    STATE(19466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28208), 1,
      anon_sym_DOT_DOT,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28210), 1,
      anon_sym_DOT_DOT,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28212), 1,
      anon_sym_DOT_DOT,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28214), 1,
      anon_sym_end,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28216), 1,
      anon_sym_PIPE,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28218), 1,
      anon_sym_RPAREN,
    STATE(19472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28220), 1,
      anon_sym_RBRACE,
    STATE(19473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28222), 1,
      anon_sym_RBRACK,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28224), 1,
      anon_sym_in,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28226), 1,
      anon_sym_RPAREN,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22556), 1,
      anon_sym_GT_RBRACE,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28228), 1,
      anon_sym_RBRACK,
    STATE(19479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28230), 1,
      anon_sym_done,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28232), 1,
      sym__lowercase_identifier,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28234), 1,
      sym__lowercase_identifier,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28236), 1,
      anon_sym_DOT_DOT,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28238), 1,
      anon_sym_DOT_DOT,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28240), 1,
      anon_sym_DOT_DOT,
    STATE(19485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8685), 1,
      anon_sym_DASH_GT,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28242), 1,
      anon_sym_PIPE,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28244), 1,
      anon_sym_RPAREN,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28246), 1,
      anon_sym_DASH_GT,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28248), 1,
      anon_sym_RBRACK,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28250), 1,
      anon_sym_RPAREN,
    STATE(19491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17416), 1,
      anon_sym_GT,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28252), 1,
      anon_sym_RBRACE,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28254), 1,
      anon_sym_DASH_GT,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28256), 1,
      anon_sym_LT_DASH,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28258), 1,
      sym__lowercase_identifier,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28260), 1,
      sym__lowercase_identifier,
    STATE(19497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28262), 1,
      anon_sym_RBRACE,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28264), 1,
      anon_sym_DOT_DOT,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28266), 1,
      anon_sym_DOT_DOT,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28268), 1,
      anon_sym_DOT_DOT,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28270), 1,
      anon_sym_RBRACE,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28272), 1,
      anon_sym_PIPE,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_GT,
    STATE(19504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28274), 1,
      anon_sym_in,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19514), 1,
      anon_sym_end,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28276), 1,
      anon_sym_SQUOTE2,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28278), 1,
      anon_sym_DQUOTE,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17734), 1,
      anon_sym_RPAREN,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28280), 1,
      anon_sym_DQUOTE,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28282), 1,
      sym__lowercase_identifier,
    STATE(19511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11234), 1,
      anon_sym_GT,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28284), 1,
      sym__lowercase_identifier,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28286), 1,
      anon_sym_RBRACE,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28288), 1,
      anon_sym_DOT_DOT,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28290), 1,
      anon_sym_DOT_DOT,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28292), 1,
      anon_sym_DOT_DOT,
    STATE(19517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28294), 1,
      anon_sym_DQUOTE,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28296), 1,
      anon_sym_PIPE,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28298), 1,
      sym__lowercase_identifier,
    STATE(19520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16278), 1,
      anon_sym_DASH_GT,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28300), 1,
      anon_sym_SQUOTE2,
    STATE(19522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28302), 1,
      anon_sym_SQUOTE2,
    STATE(19523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19986), 1,
      anon_sym_end,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28304), 1,
      sym__lowercase_identifier,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19732), 1,
      anon_sym_end,
    STATE(19526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20885), 1,
      anon_sym_GT_RBRACE,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28306), 1,
      anon_sym_EQ,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28308), 1,
      sym__lowercase_identifier,
    STATE(19529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28310), 1,
      sym__lowercase_identifier,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28312), 1,
      anon_sym_DOT_DOT,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28314), 1,
      anon_sym_DOT_DOT,
    STATE(19532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28316), 1,
      anon_sym_DOT_DOT,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28318), 1,
      anon_sym_RPAREN,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28320), 1,
      anon_sym_PIPE,
    STATE(19535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28322), 1,
      anon_sym_RBRACE,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      anon_sym_DASH_GT,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28324), 1,
      sym__lowercase_identifier,
    STATE(19538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20853), 1,
      anon_sym_GT_RBRACE,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28326), 1,
      anon_sym_DASH_GT,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28328), 1,
      anon_sym_in,
    STATE(19541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28330), 1,
      anon_sym_DASH_GT,
    STATE(19542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17333), 1,
      anon_sym_GT,
    STATE(19543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28332), 1,
      anon_sym_DOT,
    STATE(19544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28334), 1,
      sym__lowercase_identifier,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28336), 1,
      anon_sym_DOT_DOT,
    STATE(19547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28338), 1,
      anon_sym_DOT_DOT,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28340), 1,
      anon_sym_DOT_DOT,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28342), 1,
      anon_sym_DASH_GT,
    STATE(19550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28344), 1,
      anon_sym_PIPE,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5251), 1,
      anon_sym_COLON_COLON,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28346), 1,
      anon_sym_end,
    STATE(19553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28348), 1,
      anon_sym_RPAREN,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16579), 1,
      anon_sym_RPAREN,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28350), 1,
      anon_sym_in,
    STATE(19556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28352), 1,
      anon_sym_RBRACE,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28354), 1,
      anon_sym_in,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28356), 1,
      anon_sym_in,
    STATE(19559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28358), 1,
      anon_sym_LT_DASH,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28360), 1,
      sym__lowercase_identifier,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28362), 1,
      anon_sym_RBRACE,
    STATE(19562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28364), 1,
      anon_sym_DOT_DOT,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28366), 1,
      anon_sym_DOT_DOT,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28368), 1,
      anon_sym_DOT_DOT,
    STATE(19565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28370), 1,
      anon_sym_RBRACK,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28372), 1,
      anon_sym_PIPE,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28374), 1,
      anon_sym_LT_DASH,
    STATE(19568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28376), 1,
      anon_sym_LT_DASH,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28378), 1,
      anon_sym_RBRACE,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12188), 1,
      anon_sym_DASH_GT,
    STATE(19571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28380), 1,
      anon_sym_RBRACE,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28382), 1,
      anon_sym_end,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28384), 1,
      anon_sym_RPAREN,
    STATE(19574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28386), 1,
      anon_sym_GT,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28388), 1,
      anon_sym_DQUOTE,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28390), 1,
      sym__lowercase_identifier,
    STATE(19577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28392), 1,
      anon_sym_RPAREN,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28394), 1,
      anon_sym_DOT_DOT,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28396), 1,
      anon_sym_DOT_DOT,
    STATE(19580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28398), 1,
      anon_sym_DOT_DOT,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28400), 1,
      anon_sym_RPAREN,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16441), 1,
      anon_sym_RPAREN,
    STATE(19583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28402), 1,
      anon_sym_EQ,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28404), 1,
      anon_sym_RBRACK,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28406), 1,
      anon_sym_in,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16592), 1,
      anon_sym_RPAREN,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28408), 1,
      anon_sym_RBRACE,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28410), 1,
      anon_sym_SQUOTE2,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20976), 1,
      anon_sym_GT_RBRACE,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5129), 1,
      anon_sym_end,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28412), 1,
      sym__lowercase_identifier,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28414), 1,
      anon_sym_RPAREN,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28416), 1,
      anon_sym_DOT_DOT,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28418), 1,
      anon_sym_DOT_DOT,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28420), 1,
      anon_sym_DOT_DOT,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28422), 1,
      anon_sym_RBRACE,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28424), 1,
      anon_sym_DASH_GT,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28426), 1,
      aux_sym_number_token1,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28428), 1,
      anon_sym_RPAREN,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28430), 1,
      anon_sym_RBRACK,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28432), 1,
      anon_sym_RPAREN,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28434), 1,
      anon_sym_DASH_GT,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28436), 1,
      anon_sym_in,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28438), 1,
      anon_sym_RPAREN,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28440), 1,
      anon_sym_RPAREN,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28442), 1,
      sym__lowercase_identifier,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28444), 1,
      anon_sym_RPAREN,
    STATE(19608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28446), 1,
      anon_sym_DOT_DOT,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28448), 1,
      anon_sym_DOT_DOT,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28450), 1,
      anon_sym_DOT_DOT,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28452), 1,
      anon_sym_RPAREN,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28454), 1,
      anon_sym_RPAREN,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6737), 1,
      anon_sym_RPAREN,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28456), 1,
      anon_sym_in,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28458), 1,
      anon_sym_RPAREN,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28460), 1,
      anon_sym_in,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28462), 1,
      anon_sym_RPAREN,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28464), 1,
      anon_sym_RBRACE,
    STATE(19619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28466), 1,
      anon_sym_RBRACK,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28468), 1,
      anon_sym_RPAREN,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28470), 1,
      sym__lowercase_identifier,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28472), 1,
      anon_sym_RPAREN,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28474), 1,
      anon_sym_DOT_DOT,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28476), 1,
      anon_sym_DOT_DOT,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28478), 1,
      anon_sym_DOT_DOT,
    STATE(19626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RPAREN,
    STATE(19627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28482), 1,
      anon_sym_RPAREN,
    STATE(19628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28484), 1,
      anon_sym_RBRACK,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28486), 1,
      anon_sym_RPAREN,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28488), 1,
      anon_sym_in,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28490), 1,
      anon_sym_RPAREN,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28492), 1,
      anon_sym_RBRACE,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28494), 1,
      anon_sym_RBRACE,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28496), 1,
      anon_sym_DASH_GT,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28498), 1,
      anon_sym_GT,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28500), 1,
      sym__lowercase_identifier,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28502), 1,
      anon_sym_in,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28504), 1,
      anon_sym_DOT_DOT,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28506), 1,
      anon_sym_DOT_DOT,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28508), 1,
      anon_sym_DOT_DOT,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28510), 1,
      anon_sym_RPAREN,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28512), 1,
      anon_sym_in,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28514), 1,
      anon_sym_in,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28516), 1,
      anon_sym_in,
    STATE(19645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28518), 1,
      anon_sym_RPAREN,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28520), 1,
      anon_sym_in,
    STATE(19647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28522), 1,
      anon_sym_RBRACE,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16421), 1,
      anon_sym_RPAREN,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28524), 1,
      anon_sym_RBRACE,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28526), 1,
      anon_sym_RBRACK,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28528), 1,
      sym__lowercase_identifier,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28530), 1,
      anon_sym_RPAREN,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28532), 1,
      anon_sym_DOT_DOT,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28534), 1,
      anon_sym_DOT_DOT,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28536), 1,
      anon_sym_DOT_DOT,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28538), 1,
      anon_sym_end,
    STATE(19657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28540), 1,
      anon_sym_LT_DASH,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28542), 1,
      anon_sym_in,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28544), 1,
      anon_sym_RBRACK,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28546), 1,
      anon_sym_RBRACE,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22576), 1,
      anon_sym_GT_RBRACE,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28548), 1,
      anon_sym_LT_DASH,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28550), 1,
      anon_sym_RPAREN,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28552), 1,
      anon_sym_RPAREN,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28554), 1,
      anon_sym_RPAREN,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28556), 1,
      sym__lowercase_identifier,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8760), 1,
      anon_sym_DASH_GT,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28558), 1,
      anon_sym_DOT_DOT,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28560), 1,
      anon_sym_DOT_DOT,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28562), 1,
      anon_sym_DOT_DOT,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28564), 1,
      anon_sym_in,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19550), 1,
      anon_sym_end,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28566), 1,
      anon_sym_DOT,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28568), 1,
      anon_sym_RPAREN,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28570), 1,
      anon_sym_RPAREN,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28572), 1,
      anon_sym_RBRACK,
    STATE(19677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28574), 1,
      sym__lowercase_identifier,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28576), 1,
      anon_sym_RBRACE,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28578), 1,
      anon_sym_RBRACK,
    STATE(19680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28580), 1,
      anon_sym_SQUOTE2,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28582), 1,
      sym__lowercase_identifier,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28584), 1,
      anon_sym_DQUOTE,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28586), 1,
      anon_sym_DOT_DOT,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28588), 1,
      anon_sym_DOT_DOT,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28590), 1,
      anon_sym_DOT_DOT,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28592), 1,
      anon_sym_RBRACE,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28594), 1,
      anon_sym_RBRACK,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28596), 1,
      anon_sym_RBRACK,
    STATE(19689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28598), 1,
      anon_sym_end,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28600), 1,
      anon_sym_RBRACE,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28602), 1,
      anon_sym_RPAREN,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28604), 1,
      sym__lowercase_identifier,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28606), 1,
      anon_sym_RPAREN,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28608), 1,
      sym__lowercase_identifier,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28610), 1,
      anon_sym_with,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28612), 1,
      sym__lowercase_identifier,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28614), 1,
      anon_sym_RBRACE,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28616), 1,
      anon_sym_DOT_DOT,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28618), 1,
      anon_sym_DOT_DOT,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28620), 1,
      anon_sym_DOT_DOT,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28622), 1,
      anon_sym_DQUOTE,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28624), 1,
      anon_sym_DASH_GT,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28626), 1,
      anon_sym_with,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28628), 1,
      anon_sym_EQ,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28630), 1,
      anon_sym_SQUOTE2,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28632), 1,
      anon_sym_RBRACE,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20026), 1,
      anon_sym_end,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20607), 1,
      anon_sym_GT_RBRACE,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28634), 1,
      anon_sym_RBRACK,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8796), 1,
      anon_sym_DASH_GT,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28636), 1,
      sym__lowercase_identifier,
    STATE(19712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28638), 1,
      anon_sym_RPAREN,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28640), 1,
      anon_sym_DOT_DOT,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28642), 1,
      anon_sym_DOT_DOT,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28644), 1,
      anon_sym_DOT_DOT,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28646), 1,
      anon_sym_RPAREN,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28648), 1,
      anon_sym_RPAREN,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19589), 1,
      anon_sym_end,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28650), 1,
      anon_sym_RPAREN,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28652), 1,
      anon_sym_RPAREN,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28654), 1,
      anon_sym_RPAREN,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28656), 1,
      anon_sym_in,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28658), 1,
      anon_sym_in,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28660), 1,
      anon_sym_RBRACE,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11374), 1,
      anon_sym_GT,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28662), 1,
      sym__lowercase_identifier,
    STATE(19727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28664), 1,
      anon_sym_RBRACE,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28666), 1,
      anon_sym_DOT_DOT,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28668), 1,
      anon_sym_DOT_DOT,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28670), 1,
      anon_sym_DOT_DOT,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28672), 1,
      anon_sym_RPAREN,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_DASH_GT,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8816), 1,
      anon_sym_DASH_GT,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28676), 1,
      anon_sym_in,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28678), 1,
      anon_sym_RBRACE,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28680), 1,
      anon_sym_RPAREN,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28682), 1,
      anon_sym_RPAREN,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28684), 1,
      anon_sym_RPAREN,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28686), 1,
      anon_sym_EQ,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28688), 1,
      sym__lowercase_identifier,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28690), 1,
      anon_sym_DOT_DOT,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28692), 1,
      anon_sym_DOT_DOT,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28694), 1,
      anon_sym_DOT_DOT,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16327), 1,
      anon_sym_RPAREN,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22592), 1,
      anon_sym_GT_RBRACE,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18810), 1,
      sym__uppercase_identifier,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28696), 1,
      anon_sym_end,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28698), 1,
      anon_sym_RBRACE,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28700), 1,
      anon_sym_RBRACK,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28702), 1,
      anon_sym_RPAREN,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28704), 1,
      anon_sym_in,
    STATE(19754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28706), 1,
      anon_sym_in,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28708), 1,
      anon_sym_RBRACK,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28710), 1,
      sym__lowercase_identifier,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28712), 1,
      anon_sym_in,
    STATE(19758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28714), 1,
      anon_sym_DOT_DOT,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28716), 1,
      anon_sym_DOT_DOT,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28718), 1,
      anon_sym_DOT_DOT,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28720), 1,
      anon_sym_RBRACE,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28722), 1,
      anon_sym_RPAREN,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28724), 1,
      anon_sym_RPAREN,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28726), 1,
      anon_sym_RBRACK,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28728), 1,
      anon_sym_end,
    STATE(19766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28730), 1,
      anon_sym_LT_DASH,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28732), 1,
      anon_sym_RBRACE,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28734), 1,
      anon_sym_RPAREN,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28736), 1,
      anon_sym_RBRACK,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28738), 1,
      anon_sym_RBRACE,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28740), 1,
      sym__lowercase_identifier,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28742), 1,
      anon_sym_in,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28744), 1,
      anon_sym_DOT_DOT,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28746), 1,
      anon_sym_DOT_DOT,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28748), 1,
      anon_sym_DOT_DOT,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28750), 1,
      anon_sym_GT,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28752), 1,
      anon_sym_RPAREN,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28754), 1,
      anon_sym_RBRACK,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28756), 1,
      anon_sym_PLUS_EQ,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16563), 1,
      anon_sym_RPAREN,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28758), 1,
      anon_sym_RPAREN,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17394), 1,
      anon_sym_GT,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28760), 1,
      anon_sym_RPAREN,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28762), 1,
      anon_sym_RPAREN,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28764), 1,
      anon_sym_DASH_GT,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28766), 1,
      sym__lowercase_identifier,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28768), 1,
      anon_sym_RBRACE,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28770), 1,
      anon_sym_DOT_DOT,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28772), 1,
      anon_sym_DOT_DOT,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28774), 1,
      anon_sym_DOT_DOT,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28776), 1,
      anon_sym_LT_DASH,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28778), 1,
      anon_sym_EQ,
    STATE(19793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28780), 1,
      anon_sym_DASH_GT,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28782), 1,
      anon_sym_RPAREN,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28784), 1,
      anon_sym_RBRACE,
    STATE(19796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28786), 1,
      anon_sym_RBRACE,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28788), 1,
      anon_sym_RBRACK,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28790), 1,
      anon_sym_RBRACK,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28792), 1,
      anon_sym_RBRACK,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28794), 1,
      anon_sym_COMMA,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28796), 1,
      sym__lowercase_identifier,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28798), 1,
      anon_sym_RPAREN,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_DOT_DOT,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28802), 1,
      anon_sym_DOT_DOT,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28804), 1,
      anon_sym_DOT_DOT,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28806), 1,
      anon_sym_RPAREN,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28808), 1,
      anon_sym_RPAREN,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28810), 1,
      anon_sym_DASH_GT,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28812), 1,
      anon_sym_RPAREN,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28814), 1,
      anon_sym_RBRACK,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28816), 1,
      anon_sym_DASH_GT,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28818), 1,
      anon_sym_RPAREN,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28820), 1,
      anon_sym_DOT,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28822), 1,
      anon_sym_RBRACE,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28824), 1,
      anon_sym_RBRACK,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28826), 1,
      sym__lowercase_identifier,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28828), 1,
      anon_sym_RPAREN,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28830), 1,
      anon_sym_DOT_DOT,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28832), 1,
      anon_sym_DOT_DOT,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28834), 1,
      anon_sym_DOT_DOT,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20441), 1,
      anon_sym_GT_RBRACE,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8679), 1,
      anon_sym_DASH_GT,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28836), 1,
      anon_sym_DASH_GT,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20032), 1,
      anon_sym_end,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28838), 1,
      anon_sym_LT_DASH,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      sym__uppercase_identifier,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28840), 1,
      anon_sym_RBRACE,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28842), 1,
      sym__right_quoted_string_delimiter,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28844), 1,
      anon_sym_DASH_GT,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28846), 1,
      anon_sym_RBRACE,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16389), 1,
      anon_sym_RPAREN,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28848), 1,
      anon_sym_DOT_DOT,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28850), 1,
      anon_sym_DOT_DOT,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28852), 1,
      anon_sym_DOT_DOT,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28854), 1,
      anon_sym_RBRACK,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28856), 1,
      anon_sym_RBRACE,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28858), 1,
      anon_sym_DASH_GT,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11276), 1,
      anon_sym_GT,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16642), 1,
      anon_sym_RPAREN,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28860), 1,
      anon_sym_RBRACK,
    STATE(19841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28862), 1,
      anon_sym_DOT,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28864), 1,
      anon_sym_RBRACE,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28866), 1,
      anon_sym_end,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28868), 1,
      anon_sym_RBRACE,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28870), 1,
      anon_sym_SQUOTE2,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28872), 1,
      anon_sym_DOT_DOT,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28874), 1,
      anon_sym_DOT_DOT,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28876), 1,
      anon_sym_DOT_DOT,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28864), 1,
      anon_sym_RBRACK,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28864), 1,
      anon_sym_RPAREN,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28878), 1,
      anon_sym_end,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28880), 1,
      anon_sym_DASH_GT,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28882), 1,
      anon_sym_in,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28884), 1,
      anon_sym_RPAREN,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28886), 1,
      anon_sym_RBRACE,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28888), 1,
      anon_sym_in,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28890), 1,
      anon_sym_in,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8718), 1,
      anon_sym_DASH_GT,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28892), 1,
      anon_sym_in,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28894), 1,
      anon_sym_DOT_DOT,
    STATE(19861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28896), 1,
      anon_sym_DOT_DOT,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28898), 1,
      anon_sym_DOT_DOT,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28900), 1,
      anon_sym_RPAREN,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28902), 1,
      anon_sym_RPAREN,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28904), 1,
      anon_sym_DASH_GT,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28906), 1,
      anon_sym_in,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28908), 1,
      anon_sym_in,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28910), 1,
      anon_sym_RPAREN,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28912), 1,
      anon_sym_RPAREN,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28914), 1,
      anon_sym_DQUOTE,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28916), 1,
      anon_sym_GT,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28918), 1,
      anon_sym_in,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28920), 1,
      anon_sym_DOT_DOT,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28922), 1,
      anon_sym_DOT_DOT,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28924), 1,
      anon_sym_DOT_DOT,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28926), 1,
      anon_sym_RBRACE,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28928), 1,
      anon_sym_in,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28930), 1,
      anon_sym_RBRACE,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28932), 1,
      anon_sym_end,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28934), 1,
      anon_sym_of,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8748), 1,
      anon_sym_DASH_GT,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28936), 1,
      sym__lowercase_identifier,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28938), 1,
      anon_sym_DQUOTE,
    STATE(19885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28940), 1,
      anon_sym_RPAREN,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28942), 1,
      anon_sym_DOT_DOT,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28944), 1,
      anon_sym_DOT_DOT,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28946), 1,
      anon_sym_DOT_DOT,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28948), 1,
      anon_sym_SQUOTE2,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28950), 1,
      anon_sym_RBRACK,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28952), 1,
      anon_sym_SQUOTE2,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28954), 1,
      anon_sym_in,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20054), 1,
      anon_sym_end,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28956), 1,
      sym__lowercase_identifier,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28958), 1,
      anon_sym_DASH_GT,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20348), 1,
      anon_sym_GT_RBRACE,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28960), 1,
      anon_sym_DQUOTE,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28962), 1,
      anon_sym_DOT_DOT,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28964), 1,
      anon_sym_DOT_DOT,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28966), 1,
      anon_sym_DOT_DOT,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28968), 1,
      anon_sym_RBRACE,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28970), 1,
      anon_sym_end,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28972), 1,
      anon_sym_DOT_DOT,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28974), 1,
      anon_sym_DOT_DOT,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28976), 1,
      anon_sym_DOT_DOT,
    STATE(19906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20254), 1,
      anon_sym_GT_RBRACE,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20050), 1,
      anon_sym_end,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28978), 1,
      anon_sym_DOT_DOT,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28980), 1,
      anon_sym_DOT_DOT,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28982), 1,
      anon_sym_DOT_DOT,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28984), 1,
      anon_sym_RBRACE,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28986), 1,
      anon_sym_SQUOTE2,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28988), 1,
      anon_sym_DOT_DOT,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28990), 1,
      anon_sym_DOT_DOT,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28992), 1,
      anon_sym_DOT_DOT,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28994), 1,
      sym__lowercase_identifier,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28996), 1,
      anon_sym_in,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28998), 1,
      anon_sym_DOT_DOT,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29000), 1,
      anon_sym_DOT_DOT,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29002), 1,
      anon_sym_DOT_DOT,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29004), 1,
      anon_sym_DQUOTE,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29006), 1,
      anon_sym_RPAREN,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29008), 1,
      anon_sym_DOT_DOT,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29010), 1,
      anon_sym_DOT_DOT,
    STATE(19925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29012), 1,
      anon_sym_DOT_DOT,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    STATE(19927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29014), 1,
      sym__lowercase_identifier,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29016), 1,
      anon_sym_DOT_DOT,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29018), 1,
      anon_sym_DOT_DOT,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29020), 1,
      anon_sym_DOT_DOT,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29022), 1,
      anon_sym_RPAREN,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29024), 1,
      anon_sym_in,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29026), 1,
      anon_sym_DOT_DOT,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29028), 1,
      anon_sym_DOT_DOT,
    STATE(19935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29030), 1,
      anon_sym_DOT_DOT,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29032), 1,
      anon_sym_in,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29034), 1,
      anon_sym_RPAREN,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29036), 1,
      anon_sym_DOT_DOT,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29038), 1,
      anon_sym_DOT_DOT,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29040), 1,
      anon_sym_DOT_DOT,
    STATE(19941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29042), 1,
      anon_sym_RBRACE,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29044), 1,
      anon_sym_RBRACK,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29046), 1,
      anon_sym_DOT_DOT,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29048), 1,
      anon_sym_DOT_DOT,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29050), 1,
      anon_sym_DOT_DOT,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29052), 1,
      anon_sym_LT_DASH,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29054), 1,
      anon_sym_RBRACE,
    STATE(19948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29056), 1,
      anon_sym_DOT_DOT,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29058), 1,
      anon_sym_DOT_DOT,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29060), 1,
      anon_sym_DOT_DOT,
    STATE(19951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29062), 1,
      anon_sym_LT_DASH,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29064), 1,
      anon_sym_DASH_GT,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29066), 1,
      anon_sym_DOT_DOT,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29068), 1,
      anon_sym_DOT_DOT,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29070), 1,
      anon_sym_DOT_DOT,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11500), 1,
      anon_sym_GT,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29072), 1,
      anon_sym_RBRACE,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29074), 1,
      anon_sym_DOT_DOT,
    STATE(19959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29076), 1,
      anon_sym_DOT_DOT,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29078), 1,
      anon_sym_DOT_DOT,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8730), 1,
      anon_sym_DASH_GT,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29080), 1,
      anon_sym_RPAREN,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29082), 1,
      anon_sym_end,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29084), 1,
      anon_sym_in,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29086), 1,
      anon_sym_in,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29088), 1,
      anon_sym_RPAREN,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29090), 1,
      anon_sym_RBRACE,
    STATE(19968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29092), 1,
      anon_sym_RBRACK,
    STATE(19969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29094), 1,
      anon_sym_RPAREN,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17894), 1,
      anon_sym_RPAREN,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29096), 1,
      anon_sym_RPAREN,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29098), 1,
      anon_sym_RPAREN,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29100), 1,
      anon_sym_RPAREN,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29102), 1,
      anon_sym_RBRACE,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29104), 1,
      anon_sym_RBRACK,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29106), 1,
      anon_sym_RPAREN,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8746), 1,
      anon_sym_DASH_GT,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29108), 1,
      anon_sym_RPAREN,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29110), 1,
      anon_sym_DASH_GT,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29112), 1,
      anon_sym_DASH_GT,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8814), 1,
      anon_sym_DASH_GT,
    STATE(19982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20178), 1,
      anon_sym_GT_RBRACE,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17294), 1,
      anon_sym_GT,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16353), 1,
      anon_sym_RPAREN,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29114), 1,
      anon_sym_in,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29116), 1,
      anon_sym_end,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16274), 1,
      anon_sym_SQUOTE2,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29118), 1,
      sym_indexing_operator,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29120), 1,
      anon_sym_PLUS_EQ,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29122), 1,
      anon_sym_end,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29124), 1,
      anon_sym_SQUOTE2,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29126), 1,
      anon_sym_of,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29128), 1,
      anon_sym_with,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29130), 1,
      anon_sym_in,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29132), 1,
      anon_sym_RBRACE,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29134), 1,
      anon_sym_PLUS_EQ,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29136), 1,
      anon_sym_DASH_GT,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19996), 1,
      anon_sym_end,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16606), 1,
      anon_sym_RPAREN,
    STATE(20001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29138), 1,
      anon_sym_GT,
    STATE(20002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29140), 1,
      sym__lowercase_identifier,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20216), 1,
      anon_sym_GT_RBRACE,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29142), 1,
      anon_sym_DOT,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29144), 1,
      anon_sym_in,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29146), 1,
      anon_sym_RBRACE,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29148), 1,
      anon_sym_DASH_GT,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29150), 1,
      anon_sym_with,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29152), 1,
      anon_sym_with,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29154), 1,
      anon_sym_EQ,
    STATE(20011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29156), 1,
      sym_indexing_operator,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29158), 1,
      anon_sym_PLUS_EQ,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8774), 1,
      anon_sym_DASH_GT,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29160), 1,
      anon_sym_PLUS_EQ,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29162), 1,
      sym__lowercase_identifier,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29164), 1,
      anon_sym_RBRACE,
    STATE(20017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29166), 1,
      anon_sym_RBRACK,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29168), 1,
      anon_sym_RBRACE,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29170), 1,
      sym__lowercase_identifier,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16359), 1,
      anon_sym_RPAREN,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11582), 1,
      anon_sym_GT,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29172), 1,
      anon_sym_DQUOTE,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29174), 1,
      anon_sym_SQUOTE2,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29176), 1,
      anon_sym_RPAREN,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20010), 1,
      anon_sym_end,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29178), 1,
      sym_indexing_operator,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29180), 1,
      anon_sym_PLUS_EQ,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29182), 1,
      anon_sym_RPAREN,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29184), 1,
      anon_sym_PLUS_EQ,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29186), 1,
      anon_sym_in,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_GT_RBRACE,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29188), 1,
      anon_sym_RBRACE,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29190), 1,
      sym__lowercase_identifier,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29192), 1,
      anon_sym_RBRACE,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22800), 1,
      anon_sym_RBRACK,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29194), 1,
      anon_sym_DOT,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20186), 1,
      anon_sym_GT_RBRACE,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29196), 1,
      anon_sym_DOT,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29198), 1,
      anon_sym_RBRACE,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29200), 1,
      sym_indexing_operator,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29202), 1,
      anon_sym_RPAREN,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29204), 1,
      anon_sym_DASH_GT,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29206), 1,
      sym__lowercase_identifier,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29208), 1,
      sym__lowercase_identifier,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29210), 1,
      anon_sym_DQUOTE,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17526), 1,
      anon_sym_RBRACK,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29212), 1,
      anon_sym_RPAREN,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29214), 1,
      anon_sym_SQUOTE2,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29216), 1,
      anon_sym_PLUS_EQ,
    STATE(20050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29218), 1,
      sym_indexing_operator,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29220), 1,
      sym__lowercase_identifier,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29222), 1,
      anon_sym_DQUOTE,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29224), 1,
      sym_indexing_operator,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29226), 1,
      anon_sym_RBRACE,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29228), 1,
      anon_sym_SQUOTE2,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29230), 1,
      sym_indexing_operator,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29232), 1,
      anon_sym_RPAREN,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29234), 1,
      anon_sym_with,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29236), 1,
      sym_indexing_operator,
    STATE(20060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29238), 1,
      sym_indexing_operator,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29240), 1,
      sym_indexing_operator,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29242), 1,
      sym_indexing_operator,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29244), 1,
      sym_indexing_operator,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29246), 1,
      sym_indexing_operator,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29248), 1,
      sym_indexing_operator,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29250), 1,
      sym_indexing_operator,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29252), 1,
      sym_indexing_operator,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29254), 1,
      sym_indexing_operator,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29256), 1,
      sym_indexing_operator,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29258), 1,
      sym_indexing_operator,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29260), 1,
      sym_indexing_operator,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29262), 1,
      sym_indexing_operator,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29264), 1,
      sym_indexing_operator,
    STATE(20074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29266), 1,
      sym_indexing_operator,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29268), 1,
      sym_indexing_operator,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29270), 1,
      sym_indexing_operator,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29272), 1,
      sym_indexing_operator,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29274), 1,
      sym_indexing_operator,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29276), 1,
      sym_indexing_operator,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29278), 1,
      sym_indexing_operator,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29280), 1,
      sym_indexing_operator,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29282), 1,
      sym_indexing_operator,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29284), 1,
      sym_indexing_operator,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29286), 1,
      sym_indexing_operator,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29288), 1,
      sym_indexing_operator,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29290), 1,
      sym_indexing_operator,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29292), 1,
      sym_indexing_operator,
    STATE(20088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29294), 1,
      sym_indexing_operator,
    STATE(20089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29296), 1,
      sym_indexing_operator,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29298), 1,
      sym_indexing_operator,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29300), 1,
      sym_indexing_operator,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29302), 1,
      sym_indexing_operator,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29304), 1,
      sym_indexing_operator,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29306), 1,
      sym_indexing_operator,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29308), 1,
      sym_indexing_operator,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29310), 1,
      sym_indexing_operator,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29312), 1,
      sym_indexing_operator,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29314), 1,
      sym_indexing_operator,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29316), 1,
      sym_indexing_operator,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29318), 1,
      sym_indexing_operator,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29320), 1,
      sym_indexing_operator,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29322), 1,
      sym_indexing_operator,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29324), 1,
      sym_indexing_operator,
    STATE(20104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29326), 1,
      sym_indexing_operator,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29328), 1,
      sym_indexing_operator,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29330), 1,
      sym_indexing_operator,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29332), 1,
      anon_sym_type,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      anon_sym_end,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29334), 1,
      anon_sym_EQ,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29336), 1,
      anon_sym_end,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29338), 1,
      anon_sym_EQ,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29340), 1,
      anon_sym_type,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29342), 1,
      anon_sym_in,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29344), 1,
      anon_sym_RPAREN,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29346), 1,
      sym__lowercase_identifier,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10171), 1,
      anon_sym_RPAREN,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29348), 1,
      anon_sym_RPAREN,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29350), 1,
      anon_sym_RPAREN,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29352), 1,
      sym_indexing_operator,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29354), 1,
      anon_sym_RPAREN,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29356), 1,
      anon_sym_EQ,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29358), 1,
      anon_sym_EQ,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29360), 1,
      anon_sym_DOT,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29362), 1,
      anon_sym_DOT,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29364), 1,
      anon_sym_in,
    STATE(20127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29366), 1,
      anon_sym_in,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29368), 1,
      anon_sym_in,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29370), 1,
      aux_sym_number_token1,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29372), 1,
      anon_sym_EQ,
    STATE(20131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29374), 1,
      anon_sym_EQ,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6737), 1,
      anon_sym_end,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29376), 1,
      anon_sym_RBRACE,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29378), 1,
      anon_sym_RPAREN,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29380), 1,
      anon_sym_RBRACK,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29382), 1,
      anon_sym_in,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29384), 1,
      anon_sym_RPAREN,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19966), 1,
      anon_sym_end,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29386), 1,
      anon_sym_RBRACE,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29388), 1,
      anon_sym_RPAREN,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29390), 1,
      anon_sym_DASH_GT,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29392), 1,
      anon_sym_RBRACK,
    STATE(20143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29394), 1,
      anon_sym_in,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29396), 1,
      anon_sym_RBRACE,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29398), 1,
      anon_sym_RPAREN,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29400), 1,
      anon_sym_DQUOTE,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29402), 1,
      anon_sym_in,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29404), 1,
      anon_sym_RBRACE,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29406), 1,
      anon_sym_in,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29408), 1,
      anon_sym_in,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29410), 1,
      anon_sym_in,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29412), 1,
      anon_sym_in,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29414), 1,
      anon_sym_RBRACE,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12797), 1,
      anon_sym_DASH_GT,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29416), 1,
      anon_sym_RBRACK,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29418), 1,
      anon_sym_LT_DASH,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29420), 1,
      anon_sym_in,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29422), 1,
      anon_sym_SQUOTE2,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29424), 1,
      anon_sym_RPAREN,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29426), 1,
      anon_sym_RPAREN,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29428), 1,
      anon_sym_RPAREN,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29430), 1,
      anon_sym_RPAREN,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29432), 1,
      anon_sym_in,
    STATE(20165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29434), 1,
      anon_sym_RBRACK,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29436), 1,
      anon_sym_in,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29438), 1,
      anon_sym_RPAREN,
    STATE(20168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29440), 1,
      anon_sym_RBRACE,
    STATE(20169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29442), 1,
      anon_sym_RBRACK,
    STATE(20170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19624), 1,
      anon_sym_end,
    STATE(20171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29444), 1,
      anon_sym_RPAREN,
    STATE(20172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29446), 1,
      anon_sym_RPAREN,
    STATE(20173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29448), 1,
      anon_sym_in,
    STATE(20174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29450), 1,
      anon_sym_LT_DASH,
    STATE(20175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29452), 1,
      anon_sym_DOT,
    STATE(20176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29454), 1,
      anon_sym_RBRACE,
    STATE(20177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29456), 1,
      anon_sym_RBRACK,
    STATE(20178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7707), 1,
      anon_sym_RBRACK,
    STATE(20179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17364), 1,
      anon_sym_GT,
    STATE(20180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29458), 1,
      anon_sym_RBRACK,
    STATE(20181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29460), 1,
      anon_sym_LT_DASH,
    STATE(20182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29462), 1,
      anon_sym_RPAREN,
    STATE(20183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29464), 1,
      anon_sym_RPAREN,
    STATE(20184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29466), 1,
      anon_sym_RPAREN,
    STATE(20185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29468), 1,
      anon_sym_DOT,
    STATE(20186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29470), 1,
      anon_sym_with,
    STATE(20187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29472), 1,
      anon_sym_RPAREN,
    STATE(20188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29474), 1,
      anon_sym_RBRACK,
    STATE(20189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29476), 1,
      anon_sym_RBRACE,
    STATE(20190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29478), 1,
      anon_sym_RBRACE,
    STATE(20191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29480), 1,
      anon_sym_RBRACK,
    STATE(20192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29482), 1,
      anon_sym_RPAREN,
    STATE(20193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29484), 1,
      anon_sym_RPAREN,
    STATE(20194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22670), 1,
      anon_sym_GT_RBRACE,
    STATE(20195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29486), 1,
      sym__lowercase_identifier,
    STATE(20196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29488), 1,
      anon_sym_DASH_GT,
    STATE(20197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29490), 1,
      anon_sym_RBRACE,
    STATE(20198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29492), 1,
      anon_sym_with,
    STATE(20199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29494), 1,
      anon_sym_RBRACE,
    STATE(20200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29496), 1,
      anon_sym_LT_DASH,
    STATE(20201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29498), 1,
      anon_sym_RPAREN,
    STATE(20202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29500), 1,
      anon_sym_RBRACE,
    STATE(20203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29502), 1,
      anon_sym_in,
    STATE(20204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29504), 1,
      anon_sym_RPAREN,
    STATE(20205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29506), 1,
      anon_sym_RPAREN,
    STATE(20206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29508), 1,
      anon_sym_RPAREN,
    STATE(20207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29510), 1,
      anon_sym_RBRACE,
    STATE(20208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17440), 1,
      anon_sym_GT,
    STATE(20209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16489), 1,
      anon_sym_RPAREN,
    STATE(20210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29512), 1,
      anon_sym_RBRACK,
    STATE(20211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29514), 1,
      anon_sym_RPAREN,
    STATE(20212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29516), 1,
      anon_sym_end,
    STATE(20213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29518), 1,
      anon_sym_RPAREN,
    STATE(20214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29520), 1,
      anon_sym_RPAREN,
    STATE(20215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29522), 1,
      anon_sym_DOT,
    STATE(20216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29524), 1,
      anon_sym_RBRACK,
    STATE(20217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29526), 1,
      anon_sym_PIPE,
    STATE(20218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29528), 1,
      anon_sym_DOT,
    STATE(20219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29530), 1,
      anon_sym_RBRACE,
    STATE(20220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29532), 1,
      anon_sym_DASH_GT,
    STATE(20221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29534), 1,
      anon_sym_COLON2,
    STATE(20222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29536), 1,
      anon_sym_RPAREN,
    STATE(20223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29538), 1,
      anon_sym_RPAREN,
    STATE(20224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29540), 1,
      anon_sym_RPAREN,
    STATE(20225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_DASH_GT,
    STATE(20226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29542), 1,
      anon_sym_RBRACE,
    STATE(20227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5153), 1,
      anon_sym_end,
    STATE(20228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29544), 1,
      ts_builtin_sym_end,
    STATE(20229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29546), 1,
      anon_sym_RBRACK,
    STATE(20230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29548), 1,
      anon_sym_RPAREN,
    STATE(20231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29550), 1,
      anon_sym_DOT,
    STATE(20232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29552), 1,
      anon_sym_DASH_GT,
    STATE(20233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29554), 1,
      aux_sym_number_token1,
    STATE(20234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29556), 1,
      anon_sym_in,
    STATE(20235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16375), 1,
      anon_sym_RPAREN,
    STATE(20236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8788), 1,
      anon_sym_DASH_GT,
    STATE(20237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29558), 1,
      anon_sym_in,
    STATE(20238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754571] = 1,
    ACTIONS(29560), 1,
      ts_builtin_sym_end,
  [754575] = 1,
    ACTIONS(29562), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2894)] = 0,
  [SMALL_STATE(2895)] = 75,
  [SMALL_STATE(2896)] = 150,
  [SMALL_STATE(2897)] = 225,
  [SMALL_STATE(2898)] = 300,
  [SMALL_STATE(2899)] = 375,
  [SMALL_STATE(2900)] = 450,
  [SMALL_STATE(2901)] = 525,
  [SMALL_STATE(2902)] = 600,
  [SMALL_STATE(2903)] = 735,
  [SMALL_STATE(2904)] = 810,
  [SMALL_STATE(2905)] = 945,
  [SMALL_STATE(2906)] = 1022,
  [SMALL_STATE(2907)] = 1099,
  [SMALL_STATE(2908)] = 1234,
  [SMALL_STATE(2909)] = 1309,
  [SMALL_STATE(2910)] = 1384,
  [SMALL_STATE(2911)] = 1519,
  [SMALL_STATE(2912)] = 1654,
  [SMALL_STATE(2913)] = 1729,
  [SMALL_STATE(2914)] = 1804,
  [SMALL_STATE(2915)] = 1879,
  [SMALL_STATE(2916)] = 1954,
  [SMALL_STATE(2917)] = 2029,
  [SMALL_STATE(2918)] = 2164,
  [SMALL_STATE(2919)] = 2299,
  [SMALL_STATE(2920)] = 2434,
  [SMALL_STATE(2921)] = 2511,
  [SMALL_STATE(2922)] = 2588,
  [SMALL_STATE(2923)] = 2663,
  [SMALL_STATE(2924)] = 2738,
  [SMALL_STATE(2925)] = 2873,
  [SMALL_STATE(2926)] = 3008,
  [SMALL_STATE(2927)] = 3143,
  [SMALL_STATE(2928)] = 3278,
  [SMALL_STATE(2929)] = 3413,
  [SMALL_STATE(2930)] = 3548,
  [SMALL_STATE(2931)] = 3683,
  [SMALL_STATE(2932)] = 3818,
  [SMALL_STATE(2933)] = 3953,
  [SMALL_STATE(2934)] = 4088,
  [SMALL_STATE(2935)] = 4223,
  [SMALL_STATE(2936)] = 4346,
  [SMALL_STATE(2937)] = 4478,
  [SMALL_STATE(2938)] = 4610,
  [SMALL_STATE(2939)] = 4742,
  [SMALL_STATE(2940)] = 4874,
  [SMALL_STATE(2941)] = 4948,
  [SMALL_STATE(2942)] = 5022,
  [SMALL_STATE(2943)] = 5096,
  [SMALL_STATE(2944)] = 5170,
  [SMALL_STATE(2945)] = 5250,
  [SMALL_STATE(2946)] = 5324,
  [SMALL_STATE(2947)] = 5456,
  [SMALL_STATE(2948)] = 5588,
  [SMALL_STATE(2949)] = 5662,
  [SMALL_STATE(2950)] = 5736,
  [SMALL_STATE(2951)] = 5810,
  [SMALL_STATE(2952)] = 5884,
  [SMALL_STATE(2953)] = 5960,
  [SMALL_STATE(2954)] = 6034,
  [SMALL_STATE(2955)] = 6108,
  [SMALL_STATE(2956)] = 6182,
  [SMALL_STATE(2957)] = 6256,
  [SMALL_STATE(2958)] = 6388,
  [SMALL_STATE(2959)] = 6462,
  [SMALL_STATE(2960)] = 6536,
  [SMALL_STATE(2961)] = 6610,
  [SMALL_STATE(2962)] = 6684,
  [SMALL_STATE(2963)] = 6758,
  [SMALL_STATE(2964)] = 6832,
  [SMALL_STATE(2965)] = 6908,
  [SMALL_STATE(2966)] = 6982,
  [SMALL_STATE(2967)] = 7056,
  [SMALL_STATE(2968)] = 7130,
  [SMALL_STATE(2969)] = 7260,
  [SMALL_STATE(2970)] = 7334,
  [SMALL_STATE(2971)] = 7408,
  [SMALL_STATE(2972)] = 7482,
  [SMALL_STATE(2973)] = 7556,
  [SMALL_STATE(2974)] = 7630,
  [SMALL_STATE(2975)] = 7704,
  [SMALL_STATE(2976)] = 7778,
  [SMALL_STATE(2977)] = 7852,
  [SMALL_STATE(2978)] = 7926,
  [SMALL_STATE(2979)] = 8000,
  [SMALL_STATE(2980)] = 8074,
  [SMALL_STATE(2981)] = 8148,
  [SMALL_STATE(2982)] = 8224,
  [SMALL_STATE(2983)] = 8298,
  [SMALL_STATE(2984)] = 8372,
  [SMALL_STATE(2985)] = 8502,
  [SMALL_STATE(2986)] = 8576,
  [SMALL_STATE(2987)] = 8650,
  [SMALL_STATE(2988)] = 8726,
  [SMALL_STATE(2989)] = 8858,
  [SMALL_STATE(2990)] = 8932,
  [SMALL_STATE(2991)] = 9006,
  [SMALL_STATE(2992)] = 9080,
  [SMALL_STATE(2993)] = 9154,
  [SMALL_STATE(2994)] = 9228,
  [SMALL_STATE(2995)] = 9302,
  [SMALL_STATE(2996)] = 9376,
  [SMALL_STATE(2997)] = 9506,
  [SMALL_STATE(2998)] = 9638,
  [SMALL_STATE(2999)] = 9770,
  [SMALL_STATE(3000)] = 9902,
  [SMALL_STATE(3001)] = 10034,
  [SMALL_STATE(3002)] = 10108,
  [SMALL_STATE(3003)] = 10182,
  [SMALL_STATE(3004)] = 10314,
  [SMALL_STATE(3005)] = 10446,
  [SMALL_STATE(3006)] = 10576,
  [SMALL_STATE(3007)] = 10706,
  [SMALL_STATE(3008)] = 10838,
  [SMALL_STATE(3009)] = 10970,
  [SMALL_STATE(3010)] = 11100,
  [SMALL_STATE(3011)] = 11232,
  [SMALL_STATE(3012)] = 11306,
  [SMALL_STATE(3013)] = 11438,
  [SMALL_STATE(3014)] = 11568,
  [SMALL_STATE(3015)] = 11700,
  [SMALL_STATE(3016)] = 11774,
  [SMALL_STATE(3017)] = 11848,
  [SMALL_STATE(3018)] = 11980,
  [SMALL_STATE(3019)] = 12112,
  [SMALL_STATE(3020)] = 12186,
  [SMALL_STATE(3021)] = 12318,
  [SMALL_STATE(3022)] = 12450,
  [SMALL_STATE(3023)] = 12524,
  [SMALL_STATE(3024)] = 12654,
  [SMALL_STATE(3025)] = 12784,
  [SMALL_STATE(3026)] = 12916,
  [SMALL_STATE(3027)] = 13048,
  [SMALL_STATE(3028)] = 13180,
  [SMALL_STATE(3029)] = 13254,
  [SMALL_STATE(3030)] = 13384,
  [SMALL_STATE(3031)] = 13514,
  [SMALL_STATE(3032)] = 13646,
  [SMALL_STATE(3033)] = 13776,
  [SMALL_STATE(3034)] = 13908,
  [SMALL_STATE(3035)] = 14038,
  [SMALL_STATE(3036)] = 14112,
  [SMALL_STATE(3037)] = 14244,
  [SMALL_STATE(3038)] = 14376,
  [SMALL_STATE(3039)] = 14508,
  [SMALL_STATE(3040)] = 14582,
  [SMALL_STATE(3041)] = 14656,
  [SMALL_STATE(3042)] = 14788,
  [SMALL_STATE(3043)] = 14862,
  [SMALL_STATE(3044)] = 14936,
  [SMALL_STATE(3045)] = 15010,
  [SMALL_STATE(3046)] = 15084,
  [SMALL_STATE(3047)] = 15216,
  [SMALL_STATE(3048)] = 15290,
  [SMALL_STATE(3049)] = 15364,
  [SMALL_STATE(3050)] = 15438,
  [SMALL_STATE(3051)] = 15512,
  [SMALL_STATE(3052)] = 15586,
  [SMALL_STATE(3053)] = 15660,
  [SMALL_STATE(3054)] = 15734,
  [SMALL_STATE(3055)] = 15808,
  [SMALL_STATE(3056)] = 15940,
  [SMALL_STATE(3057)] = 16014,
  [SMALL_STATE(3058)] = 16088,
  [SMALL_STATE(3059)] = 16162,
  [SMALL_STATE(3060)] = 16294,
  [SMALL_STATE(3061)] = 16368,
  [SMALL_STATE(3062)] = 16498,
  [SMALL_STATE(3063)] = 16572,
  [SMALL_STATE(3064)] = 16646,
  [SMALL_STATE(3065)] = 16720,
  [SMALL_STATE(3066)] = 16794,
  [SMALL_STATE(3067)] = 16868,
  [SMALL_STATE(3068)] = 16998,
  [SMALL_STATE(3069)] = 17072,
  [SMALL_STATE(3070)] = 17146,
  [SMALL_STATE(3071)] = 17220,
  [SMALL_STATE(3072)] = 17352,
  [SMALL_STATE(3073)] = 17426,
  [SMALL_STATE(3074)] = 17500,
  [SMALL_STATE(3075)] = 17630,
  [SMALL_STATE(3076)] = 17762,
  [SMALL_STATE(3077)] = 17836,
  [SMALL_STATE(3078)] = 17968,
  [SMALL_STATE(3079)] = 18100,
  [SMALL_STATE(3080)] = 18174,
  [SMALL_STATE(3081)] = 18306,
  [SMALL_STATE(3082)] = 18380,
  [SMALL_STATE(3083)] = 18454,
  [SMALL_STATE(3084)] = 18528,
  [SMALL_STATE(3085)] = 18602,
  [SMALL_STATE(3086)] = 18676,
  [SMALL_STATE(3087)] = 18750,
  [SMALL_STATE(3088)] = 18824,
  [SMALL_STATE(3089)] = 18898,
  [SMALL_STATE(3090)] = 18972,
  [SMALL_STATE(3091)] = 19046,
  [SMALL_STATE(3092)] = 19178,
  [SMALL_STATE(3093)] = 19310,
  [SMALL_STATE(3094)] = 19442,
  [SMALL_STATE(3095)] = 19574,
  [SMALL_STATE(3096)] = 19648,
  [SMALL_STATE(3097)] = 19722,
  [SMALL_STATE(3098)] = 19796,
  [SMALL_STATE(3099)] = 19870,
  [SMALL_STATE(3100)] = 19944,
  [SMALL_STATE(3101)] = 20020,
  [SMALL_STATE(3102)] = 20094,
  [SMALL_STATE(3103)] = 20168,
  [SMALL_STATE(3104)] = 20298,
  [SMALL_STATE(3105)] = 20374,
  [SMALL_STATE(3106)] = 20448,
  [SMALL_STATE(3107)] = 20522,
  [SMALL_STATE(3108)] = 20598,
  [SMALL_STATE(3109)] = 20674,
  [SMALL_STATE(3110)] = 20748,
  [SMALL_STATE(3111)] = 20824,
  [SMALL_STATE(3112)] = 20956,
  [SMALL_STATE(3113)] = 21032,
  [SMALL_STATE(3114)] = 21106,
  [SMALL_STATE(3115)] = 21238,
  [SMALL_STATE(3116)] = 21312,
  [SMALL_STATE(3117)] = 21444,
  [SMALL_STATE(3118)] = 21518,
  [SMALL_STATE(3119)] = 21592,
  [SMALL_STATE(3120)] = 21724,
  [SMALL_STATE(3121)] = 21798,
  [SMALL_STATE(3122)] = 21928,
  [SMALL_STATE(3123)] = 22002,
  [SMALL_STATE(3124)] = 22134,
  [SMALL_STATE(3125)] = 22264,
  [SMALL_STATE(3126)] = 22338,
  [SMALL_STATE(3127)] = 22468,
  [SMALL_STATE(3128)] = 22542,
  [SMALL_STATE(3129)] = 22616,
  [SMALL_STATE(3130)] = 22746,
  [SMALL_STATE(3131)] = 22878,
  [SMALL_STATE(3132)] = 23010,
  [SMALL_STATE(3133)] = 23084,
  [SMALL_STATE(3134)] = 23216,
  [SMALL_STATE(3135)] = 23348,
  [SMALL_STATE(3136)] = 23480,
  [SMALL_STATE(3137)] = 23612,
  [SMALL_STATE(3138)] = 23744,
  [SMALL_STATE(3139)] = 23874,
  [SMALL_STATE(3140)] = 24006,
  [SMALL_STATE(3141)] = 24136,
  [SMALL_STATE(3142)] = 24210,
  [SMALL_STATE(3143)] = 24286,
  [SMALL_STATE(3144)] = 24360,
  [SMALL_STATE(3145)] = 24434,
  [SMALL_STATE(3146)] = 24566,
  [SMALL_STATE(3147)] = 24640,
  [SMALL_STATE(3148)] = 24714,
  [SMALL_STATE(3149)] = 24788,
  [SMALL_STATE(3150)] = 24862,
  [SMALL_STATE(3151)] = 24938,
  [SMALL_STATE(3152)] = 25012,
  [SMALL_STATE(3153)] = 25144,
  [SMALL_STATE(3154)] = 25274,
  [SMALL_STATE(3155)] = 25348,
  [SMALL_STATE(3156)] = 25480,
  [SMALL_STATE(3157)] = 25612,
  [SMALL_STATE(3158)] = 25744,
  [SMALL_STATE(3159)] = 25874,
  [SMALL_STATE(3160)] = 25948,
  [SMALL_STATE(3161)] = 26022,
  [SMALL_STATE(3162)] = 26096,
  [SMALL_STATE(3163)] = 26170,
  [SMALL_STATE(3164)] = 26300,
  [SMALL_STATE(3165)] = 26374,
  [SMALL_STATE(3166)] = 26506,
  [SMALL_STATE(3167)] = 26638,
  [SMALL_STATE(3168)] = 26770,
  [SMALL_STATE(3169)] = 26844,
  [SMALL_STATE(3170)] = 26918,
  [SMALL_STATE(3171)] = 26992,
  [SMALL_STATE(3172)] = 27124,
  [SMALL_STATE(3173)] = 27198,
  [SMALL_STATE(3174)] = 27272,
  [SMALL_STATE(3175)] = 27402,
  [SMALL_STATE(3176)] = 27476,
  [SMALL_STATE(3177)] = 27608,
  [SMALL_STATE(3178)] = 27740,
  [SMALL_STATE(3179)] = 27870,
  [SMALL_STATE(3180)] = 28002,
  [SMALL_STATE(3181)] = 28076,
  [SMALL_STATE(3182)] = 28208,
  [SMALL_STATE(3183)] = 28282,
  [SMALL_STATE(3184)] = 28356,
  [SMALL_STATE(3185)] = 28430,
  [SMALL_STATE(3186)] = 28504,
  [SMALL_STATE(3187)] = 28578,
  [SMALL_STATE(3188)] = 28710,
  [SMALL_STATE(3189)] = 28784,
  [SMALL_STATE(3190)] = 28858,
  [SMALL_STATE(3191)] = 28934,
  [SMALL_STATE(3192)] = 29010,
  [SMALL_STATE(3193)] = 29140,
  [SMALL_STATE(3194)] = 29214,
  [SMALL_STATE(3195)] = 29288,
  [SMALL_STATE(3196)] = 29420,
  [SMALL_STATE(3197)] = 29550,
  [SMALL_STATE(3198)] = 29682,
  [SMALL_STATE(3199)] = 29756,
  [SMALL_STATE(3200)] = 29888,
  [SMALL_STATE(3201)] = 29962,
  [SMALL_STATE(3202)] = 30036,
  [SMALL_STATE(3203)] = 30110,
  [SMALL_STATE(3204)] = 30242,
  [SMALL_STATE(3205)] = 30322,
  [SMALL_STATE(3206)] = 30452,
  [SMALL_STATE(3207)] = 30582,
  [SMALL_STATE(3208)] = 30712,
  [SMALL_STATE(3209)] = 30844,
  [SMALL_STATE(3210)] = 30976,
  [SMALL_STATE(3211)] = 31050,
  [SMALL_STATE(3212)] = 31182,
  [SMALL_STATE(3213)] = 31262,
  [SMALL_STATE(3214)] = 31394,
  [SMALL_STATE(3215)] = 31468,
  [SMALL_STATE(3216)] = 31598,
  [SMALL_STATE(3217)] = 31672,
  [SMALL_STATE(3218)] = 31804,
  [SMALL_STATE(3219)] = 31936,
  [SMALL_STATE(3220)] = 32010,
  [SMALL_STATE(3221)] = 32140,
  [SMALL_STATE(3222)] = 32214,
  [SMALL_STATE(3223)] = 32346,
  [SMALL_STATE(3224)] = 32420,
  [SMALL_STATE(3225)] = 32494,
  [SMALL_STATE(3226)] = 32568,
  [SMALL_STATE(3227)] = 32700,
  [SMALL_STATE(3228)] = 32832,
  [SMALL_STATE(3229)] = 32964,
  [SMALL_STATE(3230)] = 33096,
  [SMALL_STATE(3231)] = 33228,
  [SMALL_STATE(3232)] = 33302,
  [SMALL_STATE(3233)] = 33434,
  [SMALL_STATE(3234)] = 33566,
  [SMALL_STATE(3235)] = 33698,
  [SMALL_STATE(3236)] = 33828,
  [SMALL_STATE(3237)] = 33960,
  [SMALL_STATE(3238)] = 34092,
  [SMALL_STATE(3239)] = 34224,
  [SMALL_STATE(3240)] = 34356,
  [SMALL_STATE(3241)] = 34488,
  [SMALL_STATE(3242)] = 34568,
  [SMALL_STATE(3243)] = 34642,
  [SMALL_STATE(3244)] = 34716,
  [SMALL_STATE(3245)] = 34848,
  [SMALL_STATE(3246)] = 34978,
  [SMALL_STATE(3247)] = 35110,
  [SMALL_STATE(3248)] = 35242,
  [SMALL_STATE(3249)] = 35316,
  [SMALL_STATE(3250)] = 35448,
  [SMALL_STATE(3251)] = 35580,
  [SMALL_STATE(3252)] = 35712,
  [SMALL_STATE(3253)] = 35844,
  [SMALL_STATE(3254)] = 35976,
  [SMALL_STATE(3255)] = 36108,
  [SMALL_STATE(3256)] = 36238,
  [SMALL_STATE(3257)] = 36368,
  [SMALL_STATE(3258)] = 36442,
  [SMALL_STATE(3259)] = 36516,
  [SMALL_STATE(3260)] = 36648,
  [SMALL_STATE(3261)] = 36778,
  [SMALL_STATE(3262)] = 36852,
  [SMALL_STATE(3263)] = 36984,
  [SMALL_STATE(3264)] = 37058,
  [SMALL_STATE(3265)] = 37190,
  [SMALL_STATE(3266)] = 37322,
  [SMALL_STATE(3267)] = 37452,
  [SMALL_STATE(3268)] = 37526,
  [SMALL_STATE(3269)] = 37600,
  [SMALL_STATE(3270)] = 37730,
  [SMALL_STATE(3271)] = 37862,
  [SMALL_STATE(3272)] = 37936,
  [SMALL_STATE(3273)] = 38068,
  [SMALL_STATE(3274)] = 38198,
  [SMALL_STATE(3275)] = 38272,
  [SMALL_STATE(3276)] = 38346,
  [SMALL_STATE(3277)] = 38478,
  [SMALL_STATE(3278)] = 38610,
  [SMALL_STATE(3279)] = 38742,
  [SMALL_STATE(3280)] = 38874,
  [SMALL_STATE(3281)] = 39006,
  [SMALL_STATE(3282)] = 39080,
  [SMALL_STATE(3283)] = 39209,
  [SMALL_STATE(3284)] = 39282,
  [SMALL_STATE(3285)] = 39357,
  [SMALL_STATE(3286)] = 39430,
  [SMALL_STATE(3287)] = 39503,
  [SMALL_STATE(3288)] = 39576,
  [SMALL_STATE(3289)] = 39649,
  [SMALL_STATE(3290)] = 39722,
  [SMALL_STATE(3291)] = 39795,
  [SMALL_STATE(3292)] = 39868,
  [SMALL_STATE(3293)] = 39941,
  [SMALL_STATE(3294)] = 40014,
  [SMALL_STATE(3295)] = 40087,
  [SMALL_STATE(3296)] = 40160,
  [SMALL_STATE(3297)] = 40233,
  [SMALL_STATE(3298)] = 40306,
  [SMALL_STATE(3299)] = 40435,
  [SMALL_STATE(3300)] = 40508,
  [SMALL_STATE(3301)] = 40581,
  [SMALL_STATE(3302)] = 40654,
  [SMALL_STATE(3303)] = 40727,
  [SMALL_STATE(3304)] = 40800,
  [SMALL_STATE(3305)] = 40873,
  [SMALL_STATE(3306)] = 40946,
  [SMALL_STATE(3307)] = 41075,
  [SMALL_STATE(3308)] = 41204,
  [SMALL_STATE(3309)] = 41277,
  [SMALL_STATE(3310)] = 41350,
  [SMALL_STATE(3311)] = 41423,
  [SMALL_STATE(3312)] = 41496,
  [SMALL_STATE(3313)] = 41569,
  [SMALL_STATE(3314)] = 41642,
  [SMALL_STATE(3315)] = 41715,
  [SMALL_STATE(3316)] = 41788,
  [SMALL_STATE(3317)] = 41917,
  [SMALL_STATE(3318)] = 42046,
  [SMALL_STATE(3319)] = 42119,
  [SMALL_STATE(3320)] = 42192,
  [SMALL_STATE(3321)] = 42333,
  [SMALL_STATE(3322)] = 42462,
  [SMALL_STATE(3323)] = 42535,
  [SMALL_STATE(3324)] = 42608,
  [SMALL_STATE(3325)] = 42681,
  [SMALL_STATE(3326)] = 42754,
  [SMALL_STATE(3327)] = 42883,
  [SMALL_STATE(3328)] = 42956,
  [SMALL_STATE(3329)] = 43029,
  [SMALL_STATE(3330)] = 43158,
  [SMALL_STATE(3331)] = 43237,
  [SMALL_STATE(3332)] = 43310,
  [SMALL_STATE(3333)] = 43439,
  [SMALL_STATE(3334)] = 43512,
  [SMALL_STATE(3335)] = 43585,
  [SMALL_STATE(3336)] = 43726,
  [SMALL_STATE(3337)] = 43799,
  [SMALL_STATE(3338)] = 43928,
  [SMALL_STATE(3339)] = 44001,
  [SMALL_STATE(3340)] = 44074,
  [SMALL_STATE(3341)] = 44147,
  [SMALL_STATE(3342)] = 44220,
  [SMALL_STATE(3343)] = 44293,
  [SMALL_STATE(3344)] = 44366,
  [SMALL_STATE(3345)] = 44439,
  [SMALL_STATE(3346)] = 44512,
  [SMALL_STATE(3347)] = 44641,
  [SMALL_STATE(3348)] = 44714,
  [SMALL_STATE(3349)] = 44787,
  [SMALL_STATE(3350)] = 44860,
  [SMALL_STATE(3351)] = 44933,
  [SMALL_STATE(3352)] = 45006,
  [SMALL_STATE(3353)] = 45079,
  [SMALL_STATE(3354)] = 45152,
  [SMALL_STATE(3355)] = 45225,
  [SMALL_STATE(3356)] = 45354,
  [SMALL_STATE(3357)] = 45427,
  [SMALL_STATE(3358)] = 45500,
  [SMALL_STATE(3359)] = 45573,
  [SMALL_STATE(3360)] = 45646,
  [SMALL_STATE(3361)] = 45787,
  [SMALL_STATE(3362)] = 45860,
  [SMALL_STATE(3363)] = 45989,
  [SMALL_STATE(3364)] = 46062,
  [SMALL_STATE(3365)] = 46137,
  [SMALL_STATE(3366)] = 46266,
  [SMALL_STATE(3367)] = 46339,
  [SMALL_STATE(3368)] = 46414,
  [SMALL_STATE(3369)] = 46493,
  [SMALL_STATE(3370)] = 46566,
  [SMALL_STATE(3371)] = 46639,
  [SMALL_STATE(3372)] = 46712,
  [SMALL_STATE(3373)] = 46785,
  [SMALL_STATE(3374)] = 46858,
  [SMALL_STATE(3375)] = 46931,
  [SMALL_STATE(3376)] = 47004,
  [SMALL_STATE(3377)] = 47077,
  [SMALL_STATE(3378)] = 47206,
  [SMALL_STATE(3379)] = 47335,
  [SMALL_STATE(3380)] = 47408,
  [SMALL_STATE(3381)] = 47483,
  [SMALL_STATE(3382)] = 47556,
  [SMALL_STATE(3383)] = 47629,
  [SMALL_STATE(3384)] = 47702,
  [SMALL_STATE(3385)] = 47775,
  [SMALL_STATE(3386)] = 47848,
  [SMALL_STATE(3387)] = 47921,
  [SMALL_STATE(3388)] = 47994,
  [SMALL_STATE(3389)] = 48067,
  [SMALL_STATE(3390)] = 48140,
  [SMALL_STATE(3391)] = 48269,
  [SMALL_STATE(3392)] = 48342,
  [SMALL_STATE(3393)] = 48415,
  [SMALL_STATE(3394)] = 48488,
  [SMALL_STATE(3395)] = 48561,
  [SMALL_STATE(3396)] = 48690,
  [SMALL_STATE(3397)] = 48763,
  [SMALL_STATE(3398)] = 48836,
  [SMALL_STATE(3399)] = 48909,
  [SMALL_STATE(3400)] = 48982,
  [SMALL_STATE(3401)] = 49055,
  [SMALL_STATE(3402)] = 49184,
  [SMALL_STATE(3403)] = 49313,
  [SMALL_STATE(3404)] = 49386,
  [SMALL_STATE(3405)] = 49459,
  [SMALL_STATE(3406)] = 49532,
  [SMALL_STATE(3407)] = 49605,
  [SMALL_STATE(3408)] = 49678,
  [SMALL_STATE(3409)] = 49807,
  [SMALL_STATE(3410)] = 49880,
  [SMALL_STATE(3411)] = 49953,
  [SMALL_STATE(3412)] = 50082,
  [SMALL_STATE(3413)] = 50161,
  [SMALL_STATE(3414)] = 50234,
  [SMALL_STATE(3415)] = 50363,
  [SMALL_STATE(3416)] = 50436,
  [SMALL_STATE(3417)] = 50509,
  [SMALL_STATE(3418)] = 50582,
  [SMALL_STATE(3419)] = 50655,
  [SMALL_STATE(3420)] = 50728,
  [SMALL_STATE(3421)] = 50807,
  [SMALL_STATE(3422)] = 50880,
  [SMALL_STATE(3423)] = 51009,
  [SMALL_STATE(3424)] = 51084,
  [SMALL_STATE(3425)] = 51157,
  [SMALL_STATE(3426)] = 51230,
  [SMALL_STATE(3427)] = 51303,
  [SMALL_STATE(3428)] = 51376,
  [SMALL_STATE(3429)] = 51449,
  [SMALL_STATE(3430)] = 51522,
  [SMALL_STATE(3431)] = 51595,
  [SMALL_STATE(3432)] = 51668,
  [SMALL_STATE(3433)] = 51741,
  [SMALL_STATE(3434)] = 51814,
  [SMALL_STATE(3435)] = 51887,
  [SMALL_STATE(3436)] = 51960,
  [SMALL_STATE(3437)] = 52089,
  [SMALL_STATE(3438)] = 52218,
  [SMALL_STATE(3439)] = 52347,
  [SMALL_STATE(3440)] = 52420,
  [SMALL_STATE(3441)] = 52493,
  [SMALL_STATE(3442)] = 52566,
  [SMALL_STATE(3443)] = 52639,
  [SMALL_STATE(3444)] = 52768,
  [SMALL_STATE(3445)] = 52841,
  [SMALL_STATE(3446)] = 52970,
  [SMALL_STATE(3447)] = 53099,
  [SMALL_STATE(3448)] = 53172,
  [SMALL_STATE(3449)] = 53301,
  [SMALL_STATE(3450)] = 53430,
  [SMALL_STATE(3451)] = 53559,
  [SMALL_STATE(3452)] = 53688,
  [SMALL_STATE(3453)] = 53761,
  [SMALL_STATE(3454)] = 53890,
  [SMALL_STATE(3455)] = 54019,
  [SMALL_STATE(3456)] = 54148,
  [SMALL_STATE(3457)] = 54277,
  [SMALL_STATE(3458)] = 54406,
  [SMALL_STATE(3459)] = 54479,
  [SMALL_STATE(3460)] = 54608,
  [SMALL_STATE(3461)] = 54681,
  [SMALL_STATE(3462)] = 54754,
  [SMALL_STATE(3463)] = 54883,
  [SMALL_STATE(3464)] = 54956,
  [SMALL_STATE(3465)] = 55029,
  [SMALL_STATE(3466)] = 55158,
  [SMALL_STATE(3467)] = 55287,
  [SMALL_STATE(3468)] = 55416,
  [SMALL_STATE(3469)] = 55545,
  [SMALL_STATE(3470)] = 55674,
  [SMALL_STATE(3471)] = 55803,
  [SMALL_STATE(3472)] = 55876,
  [SMALL_STATE(3473)] = 56005,
  [SMALL_STATE(3474)] = 56134,
  [SMALL_STATE(3475)] = 56207,
  [SMALL_STATE(3476)] = 56280,
  [SMALL_STATE(3477)] = 56359,
  [SMALL_STATE(3478)] = 56488,
  [SMALL_STATE(3479)] = 56561,
  [SMALL_STATE(3480)] = 56690,
  [SMALL_STATE(3481)] = 56763,
  [SMALL_STATE(3482)] = 56892,
  [SMALL_STATE(3483)] = 56965,
  [SMALL_STATE(3484)] = 57038,
  [SMALL_STATE(3485)] = 57111,
  [SMALL_STATE(3486)] = 57184,
  [SMALL_STATE(3487)] = 57257,
  [SMALL_STATE(3488)] = 57330,
  [SMALL_STATE(3489)] = 57403,
  [SMALL_STATE(3490)] = 57476,
  [SMALL_STATE(3491)] = 57549,
  [SMALL_STATE(3492)] = 57622,
  [SMALL_STATE(3493)] = 57751,
  [SMALL_STATE(3494)] = 57826,
  [SMALL_STATE(3495)] = 57899,
  [SMALL_STATE(3496)] = 57972,
  [SMALL_STATE(3497)] = 58101,
  [SMALL_STATE(3498)] = 58174,
  [SMALL_STATE(3499)] = 58247,
  [SMALL_STATE(3500)] = 58320,
  [SMALL_STATE(3501)] = 58393,
  [SMALL_STATE(3502)] = 58466,
  [SMALL_STATE(3503)] = 58539,
  [SMALL_STATE(3504)] = 58612,
  [SMALL_STATE(3505)] = 58687,
  [SMALL_STATE(3506)] = 58760,
  [SMALL_STATE(3507)] = 58833,
  [SMALL_STATE(3508)] = 58906,
  [SMALL_STATE(3509)] = 58979,
  [SMALL_STATE(3510)] = 59052,
  [SMALL_STATE(3511)] = 59125,
  [SMALL_STATE(3512)] = 59198,
  [SMALL_STATE(3513)] = 59271,
  [SMALL_STATE(3514)] = 59344,
  [SMALL_STATE(3515)] = 59417,
  [SMALL_STATE(3516)] = 59492,
  [SMALL_STATE(3517)] = 59565,
  [SMALL_STATE(3518)] = 59638,
  [SMALL_STATE(3519)] = 59711,
  [SMALL_STATE(3520)] = 59784,
  [SMALL_STATE(3521)] = 59857,
  [SMALL_STATE(3522)] = 59930,
  [SMALL_STATE(3523)] = 60003,
  [SMALL_STATE(3524)] = 60076,
  [SMALL_STATE(3525)] = 60149,
  [SMALL_STATE(3526)] = 60278,
  [SMALL_STATE(3527)] = 60407,
  [SMALL_STATE(3528)] = 60536,
  [SMALL_STATE(3529)] = 60609,
  [SMALL_STATE(3530)] = 60740,
  [SMALL_STATE(3531)] = 60869,
  [SMALL_STATE(3532)] = 60942,
  [SMALL_STATE(3533)] = 61015,
  [SMALL_STATE(3534)] = 61088,
  [SMALL_STATE(3535)] = 61161,
  [SMALL_STATE(3536)] = 61234,
  [SMALL_STATE(3537)] = 61307,
  [SMALL_STATE(3538)] = 61380,
  [SMALL_STATE(3539)] = 61459,
  [SMALL_STATE(3540)] = 61590,
  [SMALL_STATE(3541)] = 61719,
  [SMALL_STATE(3542)] = 61848,
  [SMALL_STATE(3543)] = 61921,
  [SMALL_STATE(3544)] = 61994,
  [SMALL_STATE(3545)] = 62123,
  [SMALL_STATE(3546)] = 62196,
  [SMALL_STATE(3547)] = 62269,
  [SMALL_STATE(3548)] = 62342,
  [SMALL_STATE(3549)] = 62473,
  [SMALL_STATE(3550)] = 62604,
  [SMALL_STATE(3551)] = 62677,
  [SMALL_STATE(3552)] = 62750,
  [SMALL_STATE(3553)] = 62823,
  [SMALL_STATE(3554)] = 62952,
  [SMALL_STATE(3555)] = 63025,
  [SMALL_STATE(3556)] = 63098,
  [SMALL_STATE(3557)] = 63171,
  [SMALL_STATE(3558)] = 63244,
  [SMALL_STATE(3559)] = 63317,
  [SMALL_STATE(3560)] = 63390,
  [SMALL_STATE(3561)] = 63463,
  [SMALL_STATE(3562)] = 63536,
  [SMALL_STATE(3563)] = 63609,
  [SMALL_STATE(3564)] = 63682,
  [SMALL_STATE(3565)] = 63811,
  [SMALL_STATE(3566)] = 63886,
  [SMALL_STATE(3567)] = 63959,
  [SMALL_STATE(3568)] = 64032,
  [SMALL_STATE(3569)] = 64105,
  [SMALL_STATE(3570)] = 64234,
  [SMALL_STATE(3571)] = 64307,
  [SMALL_STATE(3572)] = 64380,
  [SMALL_STATE(3573)] = 64509,
  [SMALL_STATE(3574)] = 64638,
  [SMALL_STATE(3575)] = 64767,
  [SMALL_STATE(3576)] = 64896,
  [SMALL_STATE(3577)] = 65025,
  [SMALL_STATE(3578)] = 65100,
  [SMALL_STATE(3579)] = 65229,
  [SMALL_STATE(3580)] = 65302,
  [SMALL_STATE(3581)] = 65431,
  [SMALL_STATE(3582)] = 65504,
  [SMALL_STATE(3583)] = 65633,
  [SMALL_STATE(3584)] = 65706,
  [SMALL_STATE(3585)] = 65779,
  [SMALL_STATE(3586)] = 65852,
  [SMALL_STATE(3587)] = 65925,
  [SMALL_STATE(3588)] = 65998,
  [SMALL_STATE(3589)] = 66139,
  [SMALL_STATE(3590)] = 66268,
  [SMALL_STATE(3591)] = 66397,
  [SMALL_STATE(3592)] = 66470,
  [SMALL_STATE(3593)] = 66543,
  [SMALL_STATE(3594)] = 66616,
  [SMALL_STATE(3595)] = 66689,
  [SMALL_STATE(3596)] = 66762,
  [SMALL_STATE(3597)] = 66835,
  [SMALL_STATE(3598)] = 66908,
  [SMALL_STATE(3599)] = 67037,
  [SMALL_STATE(3600)] = 67110,
  [SMALL_STATE(3601)] = 67183,
  [SMALL_STATE(3602)] = 67256,
  [SMALL_STATE(3603)] = 67329,
  [SMALL_STATE(3604)] = 67458,
  [SMALL_STATE(3605)] = 67587,
  [SMALL_STATE(3606)] = 67660,
  [SMALL_STATE(3607)] = 67789,
  [SMALL_STATE(3608)] = 67918,
  [SMALL_STATE(3609)] = 68047,
  [SMALL_STATE(3610)] = 68176,
  [SMALL_STATE(3611)] = 68249,
  [SMALL_STATE(3612)] = 68378,
  [SMALL_STATE(3613)] = 68453,
  [SMALL_STATE(3614)] = 68582,
  [SMALL_STATE(3615)] = 68711,
  [SMALL_STATE(3616)] = 68784,
  [SMALL_STATE(3617)] = 68913,
  [SMALL_STATE(3618)] = 69042,
  [SMALL_STATE(3619)] = 69115,
  [SMALL_STATE(3620)] = 69188,
  [SMALL_STATE(3621)] = 69261,
  [SMALL_STATE(3622)] = 69334,
  [SMALL_STATE(3623)] = 69463,
  [SMALL_STATE(3624)] = 69536,
  [SMALL_STATE(3625)] = 69609,
  [SMALL_STATE(3626)] = 69738,
  [SMALL_STATE(3627)] = 69811,
  [SMALL_STATE(3628)] = 69884,
  [SMALL_STATE(3629)] = 70013,
  [SMALL_STATE(3630)] = 70142,
  [SMALL_STATE(3631)] = 70215,
  [SMALL_STATE(3632)] = 70290,
  [SMALL_STATE(3633)] = 70419,
  [SMALL_STATE(3634)] = 70494,
  [SMALL_STATE(3635)] = 70567,
  [SMALL_STATE(3636)] = 70640,
  [SMALL_STATE(3637)] = 70713,
  [SMALL_STATE(3638)] = 70786,
  [SMALL_STATE(3639)] = 70859,
  [SMALL_STATE(3640)] = 70988,
  [SMALL_STATE(3641)] = 71117,
  [SMALL_STATE(3642)] = 71190,
  [SMALL_STATE(3643)] = 71319,
  [SMALL_STATE(3644)] = 71460,
  [SMALL_STATE(3645)] = 71589,
  [SMALL_STATE(3646)] = 71662,
  [SMALL_STATE(3647)] = 71735,
  [SMALL_STATE(3648)] = 71808,
  [SMALL_STATE(3649)] = 71937,
  [SMALL_STATE(3650)] = 72010,
  [SMALL_STATE(3651)] = 72139,
  [SMALL_STATE(3652)] = 72212,
  [SMALL_STATE(3653)] = 72291,
  [SMALL_STATE(3654)] = 72364,
  [SMALL_STATE(3655)] = 72437,
  [SMALL_STATE(3656)] = 72512,
  [SMALL_STATE(3657)] = 72585,
  [SMALL_STATE(3658)] = 72714,
  [SMALL_STATE(3659)] = 72843,
  [SMALL_STATE(3660)] = 72972,
  [SMALL_STATE(3661)] = 73101,
  [SMALL_STATE(3662)] = 73174,
  [SMALL_STATE(3663)] = 73303,
  [SMALL_STATE(3664)] = 73376,
  [SMALL_STATE(3665)] = 73505,
  [SMALL_STATE(3666)] = 73634,
  [SMALL_STATE(3667)] = 73763,
  [SMALL_STATE(3668)] = 73836,
  [SMALL_STATE(3669)] = 73909,
  [SMALL_STATE(3670)] = 73982,
  [SMALL_STATE(3671)] = 74111,
  [SMALL_STATE(3672)] = 74240,
  [SMALL_STATE(3673)] = 74313,
  [SMALL_STATE(3674)] = 74442,
  [SMALL_STATE(3675)] = 74515,
  [SMALL_STATE(3676)] = 74588,
  [SMALL_STATE(3677)] = 74717,
  [SMALL_STATE(3678)] = 74790,
  [SMALL_STATE(3679)] = 74869,
  [SMALL_STATE(3680)] = 74942,
  [SMALL_STATE(3681)] = 75071,
  [SMALL_STATE(3682)] = 75144,
  [SMALL_STATE(3683)] = 75217,
  [SMALL_STATE(3684)] = 75290,
  [SMALL_STATE(3685)] = 75363,
  [SMALL_STATE(3686)] = 75436,
  [SMALL_STATE(3687)] = 75509,
  [SMALL_STATE(3688)] = 75582,
  [SMALL_STATE(3689)] = 75655,
  [SMALL_STATE(3690)] = 75728,
  [SMALL_STATE(3691)] = 75801,
  [SMALL_STATE(3692)] = 75876,
  [SMALL_STATE(3693)] = 75949,
  [SMALL_STATE(3694)] = 76022,
  [SMALL_STATE(3695)] = 76095,
  [SMALL_STATE(3696)] = 76168,
  [SMALL_STATE(3697)] = 76241,
  [SMALL_STATE(3698)] = 76314,
  [SMALL_STATE(3699)] = 76387,
  [SMALL_STATE(3700)] = 76460,
  [SMALL_STATE(3701)] = 76533,
  [SMALL_STATE(3702)] = 76606,
  [SMALL_STATE(3703)] = 76679,
  [SMALL_STATE(3704)] = 76752,
  [SMALL_STATE(3705)] = 76825,
  [SMALL_STATE(3706)] = 76898,
  [SMALL_STATE(3707)] = 77039,
  [SMALL_STATE(3708)] = 77114,
  [SMALL_STATE(3709)] = 77243,
  [SMALL_STATE(3710)] = 77316,
  [SMALL_STATE(3711)] = 77389,
  [SMALL_STATE(3712)] = 77462,
  [SMALL_STATE(3713)] = 77535,
  [SMALL_STATE(3714)] = 77608,
  [SMALL_STATE(3715)] = 77737,
  [SMALL_STATE(3716)] = 77809,
  [SMALL_STATE(3717)] = 77881,
  [SMALL_STATE(3718)] = 77953,
  [SMALL_STATE(3719)] = 78025,
  [SMALL_STATE(3720)] = 78099,
  [SMALL_STATE(3721)] = 78171,
  [SMALL_STATE(3722)] = 78243,
  [SMALL_STATE(3723)] = 78315,
  [SMALL_STATE(3724)] = 78387,
  [SMALL_STATE(3725)] = 78459,
  [SMALL_STATE(3726)] = 78531,
  [SMALL_STATE(3727)] = 78603,
  [SMALL_STATE(3728)] = 78675,
  [SMALL_STATE(3729)] = 78747,
  [SMALL_STATE(3730)] = 78819,
  [SMALL_STATE(3731)] = 78891,
  [SMALL_STATE(3732)] = 78963,
  [SMALL_STATE(3733)] = 79035,
  [SMALL_STATE(3734)] = 79159,
  [SMALL_STATE(3735)] = 79231,
  [SMALL_STATE(3736)] = 79303,
  [SMALL_STATE(3737)] = 79375,
  [SMALL_STATE(3738)] = 79447,
  [SMALL_STATE(3739)] = 79519,
  [SMALL_STATE(3740)] = 79591,
  [SMALL_STATE(3741)] = 79663,
  [SMALL_STATE(3742)] = 79735,
  [SMALL_STATE(3743)] = 79809,
  [SMALL_STATE(3744)] = 79881,
  [SMALL_STATE(3745)] = 79953,
  [SMALL_STATE(3746)] = 80031,
  [SMALL_STATE(3747)] = 80103,
  [SMALL_STATE(3748)] = 80227,
  [SMALL_STATE(3749)] = 80299,
  [SMALL_STATE(3750)] = 80371,
  [SMALL_STATE(3751)] = 80443,
  [SMALL_STATE(3752)] = 80567,
  [SMALL_STATE(3753)] = 80639,
  [SMALL_STATE(3754)] = 80711,
  [SMALL_STATE(3755)] = 80789,
  [SMALL_STATE(3756)] = 80861,
  [SMALL_STATE(3757)] = 80933,
  [SMALL_STATE(3758)] = 81005,
  [SMALL_STATE(3759)] = 81129,
  [SMALL_STATE(3760)] = 81201,
  [SMALL_STATE(3761)] = 81273,
  [SMALL_STATE(3762)] = 81397,
  [SMALL_STATE(3763)] = 81521,
  [SMALL_STATE(3764)] = 81593,
  [SMALL_STATE(3765)] = 81665,
  [SMALL_STATE(3766)] = 81789,
  [SMALL_STATE(3767)] = 81861,
  [SMALL_STATE(3768)] = 81933,
  [SMALL_STATE(3769)] = 82005,
  [SMALL_STATE(3770)] = 82077,
  [SMALL_STATE(3771)] = 82149,
  [SMALL_STATE(3772)] = 82221,
  [SMALL_STATE(3773)] = 82293,
  [SMALL_STATE(3774)] = 82365,
  [SMALL_STATE(3775)] = 82437,
  [SMALL_STATE(3776)] = 82561,
  [SMALL_STATE(3777)] = 82633,
  [SMALL_STATE(3778)] = 82705,
  [SMALL_STATE(3779)] = 82777,
  [SMALL_STATE(3780)] = 82849,
  [SMALL_STATE(3781)] = 82921,
  [SMALL_STATE(3782)] = 82993,
  [SMALL_STATE(3783)] = 83065,
  [SMALL_STATE(3784)] = 83189,
  [SMALL_STATE(3785)] = 83263,
  [SMALL_STATE(3786)] = 83387,
  [SMALL_STATE(3787)] = 83459,
  [SMALL_STATE(3788)] = 83583,
  [SMALL_STATE(3789)] = 83655,
  [SMALL_STATE(3790)] = 83779,
  [SMALL_STATE(3791)] = 83851,
  [SMALL_STATE(3792)] = 83923,
  [SMALL_STATE(3793)] = 84047,
  [SMALL_STATE(3794)] = 84119,
  [SMALL_STATE(3795)] = 84191,
  [SMALL_STATE(3796)] = 84263,
  [SMALL_STATE(3797)] = 84335,
  [SMALL_STATE(3798)] = 84407,
  [SMALL_STATE(3799)] = 84481,
  [SMALL_STATE(3800)] = 84605,
  [SMALL_STATE(3801)] = 84729,
  [SMALL_STATE(3802)] = 84853,
  [SMALL_STATE(3803)] = 84925,
  [SMALL_STATE(3804)] = 84999,
  [SMALL_STATE(3805)] = 85071,
  [SMALL_STATE(3806)] = 85143,
  [SMALL_STATE(3807)] = 85221,
  [SMALL_STATE(3808)] = 85293,
  [SMALL_STATE(3809)] = 85365,
  [SMALL_STATE(3810)] = 85489,
  [SMALL_STATE(3811)] = 85561,
  [SMALL_STATE(3812)] = 85633,
  [SMALL_STATE(3813)] = 85705,
  [SMALL_STATE(3814)] = 85777,
  [SMALL_STATE(3815)] = 85851,
  [SMALL_STATE(3816)] = 85975,
  [SMALL_STATE(3817)] = 86047,
  [SMALL_STATE(3818)] = 86119,
  [SMALL_STATE(3819)] = 86191,
  [SMALL_STATE(3820)] = 86265,
  [SMALL_STATE(3821)] = 86337,
  [SMALL_STATE(3822)] = 86461,
  [SMALL_STATE(3823)] = 86585,
  [SMALL_STATE(3824)] = 86657,
  [SMALL_STATE(3825)] = 86729,
  [SMALL_STATE(3826)] = 86853,
  [SMALL_STATE(3827)] = 86925,
  [SMALL_STATE(3828)] = 87049,
  [SMALL_STATE(3829)] = 87121,
  [SMALL_STATE(3830)] = 87193,
  [SMALL_STATE(3831)] = 87265,
  [SMALL_STATE(3832)] = 87337,
  [SMALL_STATE(3833)] = 87409,
  [SMALL_STATE(3834)] = 87481,
  [SMALL_STATE(3835)] = 87605,
  [SMALL_STATE(3836)] = 87677,
  [SMALL_STATE(3837)] = 87749,
  [SMALL_STATE(3838)] = 87821,
  [SMALL_STATE(3839)] = 87893,
  [SMALL_STATE(3840)] = 87965,
  [SMALL_STATE(3841)] = 88037,
  [SMALL_STATE(3842)] = 88109,
  [SMALL_STATE(3843)] = 88181,
  [SMALL_STATE(3844)] = 88305,
  [SMALL_STATE(3845)] = 88429,
  [SMALL_STATE(3846)] = 88501,
  [SMALL_STATE(3847)] = 88625,
  [SMALL_STATE(3848)] = 88697,
  [SMALL_STATE(3849)] = 88771,
  [SMALL_STATE(3850)] = 88895,
  [SMALL_STATE(3851)] = 88967,
  [SMALL_STATE(3852)] = 89039,
  [SMALL_STATE(3853)] = 89163,
  [SMALL_STATE(3854)] = 89235,
  [SMALL_STATE(3855)] = 89359,
  [SMALL_STATE(3856)] = 89437,
  [SMALL_STATE(3857)] = 89561,
  [SMALL_STATE(3858)] = 89633,
  [SMALL_STATE(3859)] = 89757,
  [SMALL_STATE(3860)] = 89829,
  [SMALL_STATE(3861)] = 89901,
  [SMALL_STATE(3862)] = 89973,
  [SMALL_STATE(3863)] = 90045,
  [SMALL_STATE(3864)] = 90169,
  [SMALL_STATE(3865)] = 90241,
  [SMALL_STATE(3866)] = 90313,
  [SMALL_STATE(3867)] = 90385,
  [SMALL_STATE(3868)] = 90457,
  [SMALL_STATE(3869)] = 90529,
  [SMALL_STATE(3870)] = 90653,
  [SMALL_STATE(3871)] = 90725,
  [SMALL_STATE(3872)] = 90849,
  [SMALL_STATE(3873)] = 90921,
  [SMALL_STATE(3874)] = 90993,
  [SMALL_STATE(3875)] = 91065,
  [SMALL_STATE(3876)] = 91137,
  [SMALL_STATE(3877)] = 91261,
  [SMALL_STATE(3878)] = 91333,
  [SMALL_STATE(3879)] = 91405,
  [SMALL_STATE(3880)] = 91479,
  [SMALL_STATE(3881)] = 91551,
  [SMALL_STATE(3882)] = 91623,
  [SMALL_STATE(3883)] = 91695,
  [SMALL_STATE(3884)] = 91767,
  [SMALL_STATE(3885)] = 91839,
  [SMALL_STATE(3886)] = 91963,
  [SMALL_STATE(3887)] = 92035,
  [SMALL_STATE(3888)] = 92159,
  [SMALL_STATE(3889)] = 92231,
  [SMALL_STATE(3890)] = 92303,
  [SMALL_STATE(3891)] = 92427,
  [SMALL_STATE(3892)] = 92501,
  [SMALL_STATE(3893)] = 92573,
  [SMALL_STATE(3894)] = 92697,
  [SMALL_STATE(3895)] = 92769,
  [SMALL_STATE(3896)] = 92893,
  [SMALL_STATE(3897)] = 92965,
  [SMALL_STATE(3898)] = 93089,
  [SMALL_STATE(3899)] = 93213,
  [SMALL_STATE(3900)] = 93285,
  [SMALL_STATE(3901)] = 93357,
  [SMALL_STATE(3902)] = 93429,
  [SMALL_STATE(3903)] = 93501,
  [SMALL_STATE(3904)] = 93575,
  [SMALL_STATE(3905)] = 93699,
  [SMALL_STATE(3906)] = 93823,
  [SMALL_STATE(3907)] = 93895,
  [SMALL_STATE(3908)] = 93967,
  [SMALL_STATE(3909)] = 94039,
  [SMALL_STATE(3910)] = 94111,
  [SMALL_STATE(3911)] = 94183,
  [SMALL_STATE(3912)] = 94307,
  [SMALL_STATE(3913)] = 94431,
  [SMALL_STATE(3914)] = 94503,
  [SMALL_STATE(3915)] = 94575,
  [SMALL_STATE(3916)] = 94647,
  [SMALL_STATE(3917)] = 94771,
  [SMALL_STATE(3918)] = 94895,
  [SMALL_STATE(3919)] = 94967,
  [SMALL_STATE(3920)] = 95039,
  [SMALL_STATE(3921)] = 95111,
  [SMALL_STATE(3922)] = 95183,
  [SMALL_STATE(3923)] = 95255,
  [SMALL_STATE(3924)] = 95327,
  [SMALL_STATE(3925)] = 95451,
  [SMALL_STATE(3926)] = 95525,
  [SMALL_STATE(3927)] = 95597,
  [SMALL_STATE(3928)] = 95669,
  [SMALL_STATE(3929)] = 95793,
  [SMALL_STATE(3930)] = 95865,
  [SMALL_STATE(3931)] = 95937,
  [SMALL_STATE(3932)] = 96009,
  [SMALL_STATE(3933)] = 96081,
  [SMALL_STATE(3934)] = 96152,
  [SMALL_STATE(3935)] = 96223,
  [SMALL_STATE(3936)] = 96294,
  [SMALL_STATE(3937)] = 96415,
  [SMALL_STATE(3938)] = 96486,
  [SMALL_STATE(3939)] = 96607,
  [SMALL_STATE(3940)] = 96684,
  [SMALL_STATE(3941)] = 96755,
  [SMALL_STATE(3942)] = 96876,
  [SMALL_STATE(3943)] = 96947,
  [SMALL_STATE(3944)] = 97018,
  [SMALL_STATE(3945)] = 97089,
  [SMALL_STATE(3946)] = 97160,
  [SMALL_STATE(3947)] = 97231,
  [SMALL_STATE(3948)] = 97304,
  [SMALL_STATE(3949)] = 97375,
  [SMALL_STATE(3950)] = 97496,
  [SMALL_STATE(3951)] = 97567,
  [SMALL_STATE(3952)] = 97638,
  [SMALL_STATE(3953)] = 97709,
  [SMALL_STATE(3954)] = 97780,
  [SMALL_STATE(3955)] = 97851,
  [SMALL_STATE(3956)] = 97922,
  [SMALL_STATE(3957)] = 97993,
  [SMALL_STATE(3958)] = 98064,
  [SMALL_STATE(3959)] = 98135,
  [SMALL_STATE(3960)] = 98206,
  [SMALL_STATE(3961)] = 98277,
  [SMALL_STATE(3962)] = 98348,
  [SMALL_STATE(3963)] = 98419,
  [SMALL_STATE(3964)] = 98540,
  [SMALL_STATE(3965)] = 98661,
  [SMALL_STATE(3966)] = 98732,
  [SMALL_STATE(3967)] = 98803,
  [SMALL_STATE(3968)] = 98938,
  [SMALL_STATE(3969)] = 99059,
  [SMALL_STATE(3970)] = 99130,
  [SMALL_STATE(3971)] = 99201,
  [SMALL_STATE(3972)] = 99272,
  [SMALL_STATE(3973)] = 99343,
  [SMALL_STATE(3974)] = 99464,
  [SMALL_STATE(3975)] = 99535,
  [SMALL_STATE(3976)] = 99606,
  [SMALL_STATE(3977)] = 99727,
  [SMALL_STATE(3978)] = 99798,
  [SMALL_STATE(3979)] = 99869,
  [SMALL_STATE(3980)] = 100004,
  [SMALL_STATE(3981)] = 100075,
  [SMALL_STATE(3982)] = 100146,
  [SMALL_STATE(3983)] = 100217,
  [SMALL_STATE(3984)] = 100288,
  [SMALL_STATE(3985)] = 100359,
  [SMALL_STATE(3986)] = 100430,
  [SMALL_STATE(3987)] = 100501,
  [SMALL_STATE(3988)] = 100572,
  [SMALL_STATE(3989)] = 100643,
  [SMALL_STATE(3990)] = 100716,
  [SMALL_STATE(3991)] = 100787,
  [SMALL_STATE(3992)] = 100908,
  [SMALL_STATE(3993)] = 100979,
  [SMALL_STATE(3994)] = 101050,
  [SMALL_STATE(3995)] = 101171,
  [SMALL_STATE(3996)] = 101242,
  [SMALL_STATE(3997)] = 101313,
  [SMALL_STATE(3998)] = 101434,
  [SMALL_STATE(3999)] = 101505,
  [SMALL_STATE(4000)] = 101576,
  [SMALL_STATE(4001)] = 101647,
  [SMALL_STATE(4002)] = 101718,
  [SMALL_STATE(4003)] = 101789,
  [SMALL_STATE(4004)] = 101860,
  [SMALL_STATE(4005)] = 101981,
  [SMALL_STATE(4006)] = 102102,
  [SMALL_STATE(4007)] = 102173,
  [SMALL_STATE(4008)] = 102244,
  [SMALL_STATE(4009)] = 102365,
  [SMALL_STATE(4010)] = 102486,
  [SMALL_STATE(4011)] = 102557,
  [SMALL_STATE(4012)] = 102630,
  [SMALL_STATE(4013)] = 102701,
  [SMALL_STATE(4014)] = 102772,
  [SMALL_STATE(4015)] = 102843,
  [SMALL_STATE(4016)] = 102914,
  [SMALL_STATE(4017)] = 102987,
  [SMALL_STATE(4018)] = 103058,
  [SMALL_STATE(4019)] = 103129,
  [SMALL_STATE(4020)] = 103200,
  [SMALL_STATE(4021)] = 103273,
  [SMALL_STATE(4022)] = 103344,
  [SMALL_STATE(4023)] = 103465,
  [SMALL_STATE(4024)] = 103536,
  [SMALL_STATE(4025)] = 103607,
  [SMALL_STATE(4026)] = 103728,
  [SMALL_STATE(4027)] = 103801,
  [SMALL_STATE(4028)] = 103922,
  [SMALL_STATE(4029)] = 103993,
  [SMALL_STATE(4030)] = 104114,
  [SMALL_STATE(4031)] = 104235,
  [SMALL_STATE(4032)] = 104306,
  [SMALL_STATE(4033)] = 104427,
  [SMALL_STATE(4034)] = 104498,
  [SMALL_STATE(4035)] = 104569,
  [SMALL_STATE(4036)] = 104640,
  [SMALL_STATE(4037)] = 104711,
  [SMALL_STATE(4038)] = 104782,
  [SMALL_STATE(4039)] = 104853,
  [SMALL_STATE(4040)] = 104924,
  [SMALL_STATE(4041)] = 104995,
  [SMALL_STATE(4042)] = 105116,
  [SMALL_STATE(4043)] = 105189,
  [SMALL_STATE(4044)] = 105260,
  [SMALL_STATE(4045)] = 105331,
  [SMALL_STATE(4046)] = 105452,
  [SMALL_STATE(4047)] = 105523,
  [SMALL_STATE(4048)] = 105596,
  [SMALL_STATE(4049)] = 105717,
  [SMALL_STATE(4050)] = 105838,
  [SMALL_STATE(4051)] = 105909,
  [SMALL_STATE(4052)] = 105980,
  [SMALL_STATE(4053)] = 106051,
  [SMALL_STATE(4054)] = 106122,
  [SMALL_STATE(4055)] = 106193,
  [SMALL_STATE(4056)] = 106264,
  [SMALL_STATE(4057)] = 106335,
  [SMALL_STATE(4058)] = 106406,
  [SMALL_STATE(4059)] = 106527,
  [SMALL_STATE(4060)] = 106598,
  [SMALL_STATE(4061)] = 106669,
  [SMALL_STATE(4062)] = 106740,
  [SMALL_STATE(4063)] = 106811,
  [SMALL_STATE(4064)] = 106932,
  [SMALL_STATE(4065)] = 107003,
  [SMALL_STATE(4066)] = 107080,
  [SMALL_STATE(4067)] = 107151,
  [SMALL_STATE(4068)] = 107222,
  [SMALL_STATE(4069)] = 107293,
  [SMALL_STATE(4070)] = 107364,
  [SMALL_STATE(4071)] = 107485,
  [SMALL_STATE(4072)] = 107556,
  [SMALL_STATE(4073)] = 107627,
  [SMALL_STATE(4074)] = 107698,
  [SMALL_STATE(4075)] = 107769,
  [SMALL_STATE(4076)] = 107890,
  [SMALL_STATE(4077)] = 107961,
  [SMALL_STATE(4078)] = 108032,
  [SMALL_STATE(4079)] = 108103,
  [SMALL_STATE(4080)] = 108174,
  [SMALL_STATE(4081)] = 108295,
  [SMALL_STATE(4082)] = 108416,
  [SMALL_STATE(4083)] = 108487,
  [SMALL_STATE(4084)] = 108558,
  [SMALL_STATE(4085)] = 108679,
  [SMALL_STATE(4086)] = 108800,
  [SMALL_STATE(4087)] = 108873,
  [SMALL_STATE(4088)] = 108994,
  [SMALL_STATE(4089)] = 109115,
  [SMALL_STATE(4090)] = 109192,
  [SMALL_STATE(4091)] = 109263,
  [SMALL_STATE(4092)] = 109384,
  [SMALL_STATE(4093)] = 109455,
  [SMALL_STATE(4094)] = 109526,
  [SMALL_STATE(4095)] = 109647,
  [SMALL_STATE(4096)] = 109718,
  [SMALL_STATE(4097)] = 109789,
  [SMALL_STATE(4098)] = 109860,
  [SMALL_STATE(4099)] = 109981,
  [SMALL_STATE(4100)] = 110052,
  [SMALL_STATE(4101)] = 110123,
  [SMALL_STATE(4102)] = 110194,
  [SMALL_STATE(4103)] = 110265,
  [SMALL_STATE(4104)] = 110336,
  [SMALL_STATE(4105)] = 110409,
  [SMALL_STATE(4106)] = 110480,
  [SMALL_STATE(4107)] = 110551,
  [SMALL_STATE(4108)] = 110622,
  [SMALL_STATE(4109)] = 110693,
  [SMALL_STATE(4110)] = 110764,
  [SMALL_STATE(4111)] = 110835,
  [SMALL_STATE(4112)] = 110906,
  [SMALL_STATE(4113)] = 111027,
  [SMALL_STATE(4114)] = 111098,
  [SMALL_STATE(4115)] = 111169,
  [SMALL_STATE(4116)] = 111240,
  [SMALL_STATE(4117)] = 111311,
  [SMALL_STATE(4118)] = 111382,
  [SMALL_STATE(4119)] = 111453,
  [SMALL_STATE(4120)] = 111524,
  [SMALL_STATE(4121)] = 111645,
  [SMALL_STATE(4122)] = 111718,
  [SMALL_STATE(4123)] = 111789,
  [SMALL_STATE(4124)] = 111862,
  [SMALL_STATE(4125)] = 111933,
  [SMALL_STATE(4126)] = 112004,
  [SMALL_STATE(4127)] = 112075,
  [SMALL_STATE(4128)] = 112146,
  [SMALL_STATE(4129)] = 112217,
  [SMALL_STATE(4130)] = 112288,
  [SMALL_STATE(4131)] = 112359,
  [SMALL_STATE(4132)] = 112480,
  [SMALL_STATE(4133)] = 112551,
  [SMALL_STATE(4134)] = 112624,
  [SMALL_STATE(4135)] = 112695,
  [SMALL_STATE(4136)] = 112766,
  [SMALL_STATE(4137)] = 112887,
  [SMALL_STATE(4138)] = 112958,
  [SMALL_STATE(4139)] = 113029,
  [SMALL_STATE(4140)] = 113100,
  [SMALL_STATE(4141)] = 113177,
  [SMALL_STATE(4142)] = 113248,
  [SMALL_STATE(4143)] = 113319,
  [SMALL_STATE(4144)] = 113390,
  [SMALL_STATE(4145)] = 113461,
  [SMALL_STATE(4146)] = 113532,
  [SMALL_STATE(4147)] = 113603,
  [SMALL_STATE(4148)] = 113674,
  [SMALL_STATE(4149)] = 113747,
  [SMALL_STATE(4150)] = 113818,
  [SMALL_STATE(4151)] = 113889,
  [SMALL_STATE(4152)] = 113960,
  [SMALL_STATE(4153)] = 114078,
  [SMALL_STATE(4154)] = 114196,
  [SMALL_STATE(4155)] = 114266,
  [SMALL_STATE(4156)] = 114336,
  [SMALL_STATE(4157)] = 114454,
  [SMALL_STATE(4158)] = 114572,
  [SMALL_STATE(4159)] = 114642,
  [SMALL_STATE(4160)] = 114712,
  [SMALL_STATE(4161)] = 114830,
  [SMALL_STATE(4162)] = 114948,
  [SMALL_STATE(4163)] = 115018,
  [SMALL_STATE(4164)] = 115088,
  [SMALL_STATE(4165)] = 115158,
  [SMALL_STATE(4166)] = 115228,
  [SMALL_STATE(4167)] = 115304,
  [SMALL_STATE(4168)] = 115374,
  [SMALL_STATE(4169)] = 115444,
  [SMALL_STATE(4170)] = 115562,
  [SMALL_STATE(4171)] = 115634,
  [SMALL_STATE(4172)] = 115752,
  [SMALL_STATE(4173)] = 115870,
  [SMALL_STATE(4174)] = 115940,
  [SMALL_STATE(4175)] = 116058,
  [SMALL_STATE(4176)] = 116176,
  [SMALL_STATE(4177)] = 116246,
  [SMALL_STATE(4178)] = 116364,
  [SMALL_STATE(4179)] = 116482,
  [SMALL_STATE(4180)] = 116552,
  [SMALL_STATE(4181)] = 116670,
  [SMALL_STATE(4182)] = 116740,
  [SMALL_STATE(4183)] = 116858,
  [SMALL_STATE(4184)] = 116934,
  [SMALL_STATE(4185)] = 117004,
  [SMALL_STATE(4186)] = 117074,
  [SMALL_STATE(4187)] = 117146,
  [SMALL_STATE(4188)] = 117216,
  [SMALL_STATE(4189)] = 117334,
  [SMALL_STATE(4190)] = 117404,
  [SMALL_STATE(4191)] = 117522,
  [SMALL_STATE(4192)] = 117640,
  [SMALL_STATE(4193)] = 117710,
  [SMALL_STATE(4194)] = 117828,
  [SMALL_STATE(4195)] = 117898,
  [SMALL_STATE(4196)] = 118016,
  [SMALL_STATE(4197)] = 118086,
  [SMALL_STATE(4198)] = 118156,
  [SMALL_STATE(4199)] = 118226,
  [SMALL_STATE(4200)] = 118296,
  [SMALL_STATE(4201)] = 118366,
  [SMALL_STATE(4202)] = 118484,
  [SMALL_STATE(4203)] = 118602,
  [SMALL_STATE(4204)] = 118672,
  [SMALL_STATE(4205)] = 118742,
  [SMALL_STATE(4206)] = 118860,
  [SMALL_STATE(4207)] = 118978,
  [SMALL_STATE(4208)] = 119048,
  [SMALL_STATE(4209)] = 119166,
  [SMALL_STATE(4210)] = 119236,
  [SMALL_STATE(4211)] = 119306,
  [SMALL_STATE(4212)] = 119376,
  [SMALL_STATE(4213)] = 119446,
  [SMALL_STATE(4214)] = 119516,
  [SMALL_STATE(4215)] = 119586,
  [SMALL_STATE(4216)] = 119704,
  [SMALL_STATE(4217)] = 119774,
  [SMALL_STATE(4218)] = 119892,
  [SMALL_STATE(4219)] = 120010,
  [SMALL_STATE(4220)] = 120128,
  [SMALL_STATE(4221)] = 120246,
  [SMALL_STATE(4222)] = 120364,
  [SMALL_STATE(4223)] = 120434,
  [SMALL_STATE(4224)] = 120504,
  [SMALL_STATE(4225)] = 120622,
  [SMALL_STATE(4226)] = 120692,
  [SMALL_STATE(4227)] = 120810,
  [SMALL_STATE(4228)] = 120880,
  [SMALL_STATE(4229)] = 120998,
  [SMALL_STATE(4230)] = 121116,
  [SMALL_STATE(4231)] = 121186,
  [SMALL_STATE(4232)] = 121256,
  [SMALL_STATE(4233)] = 121374,
  [SMALL_STATE(4234)] = 121446,
  [SMALL_STATE(4235)] = 121516,
  [SMALL_STATE(4236)] = 121634,
  [SMALL_STATE(4237)] = 121704,
  [SMALL_STATE(4238)] = 121774,
  [SMALL_STATE(4239)] = 121844,
  [SMALL_STATE(4240)] = 121914,
  [SMALL_STATE(4241)] = 122032,
  [SMALL_STATE(4242)] = 122102,
  [SMALL_STATE(4243)] = 122220,
  [SMALL_STATE(4244)] = 122290,
  [SMALL_STATE(4245)] = 122408,
  [SMALL_STATE(4246)] = 122478,
  [SMALL_STATE(4247)] = 122548,
  [SMALL_STATE(4248)] = 122666,
  [SMALL_STATE(4249)] = 122784,
  [SMALL_STATE(4250)] = 122854,
  [SMALL_STATE(4251)] = 122924,
  [SMALL_STATE(4252)] = 123042,
  [SMALL_STATE(4253)] = 123160,
  [SMALL_STATE(4254)] = 123278,
  [SMALL_STATE(4255)] = 123396,
  [SMALL_STATE(4256)] = 123514,
  [SMALL_STATE(4257)] = 123632,
  [SMALL_STATE(4258)] = 123750,
  [SMALL_STATE(4259)] = 123868,
  [SMALL_STATE(4260)] = 123986,
  [SMALL_STATE(4261)] = 124104,
  [SMALL_STATE(4262)] = 124222,
  [SMALL_STATE(4263)] = 124340,
  [SMALL_STATE(4264)] = 124410,
  [SMALL_STATE(4265)] = 124528,
  [SMALL_STATE(4266)] = 124646,
  [SMALL_STATE(4267)] = 124764,
  [SMALL_STATE(4268)] = 124834,
  [SMALL_STATE(4269)] = 124904,
  [SMALL_STATE(4270)] = 125022,
  [SMALL_STATE(4271)] = 125140,
  [SMALL_STATE(4272)] = 125210,
  [SMALL_STATE(4273)] = 125280,
  [SMALL_STATE(4274)] = 125350,
  [SMALL_STATE(4275)] = 125420,
  [SMALL_STATE(4276)] = 125490,
  [SMALL_STATE(4277)] = 125560,
  [SMALL_STATE(4278)] = 125678,
  [SMALL_STATE(4279)] = 125748,
  [SMALL_STATE(4280)] = 125866,
  [SMALL_STATE(4281)] = 125984,
  [SMALL_STATE(4282)] = 126054,
  [SMALL_STATE(4283)] = 126172,
  [SMALL_STATE(4284)] = 126244,
  [SMALL_STATE(4285)] = 126314,
  [SMALL_STATE(4286)] = 126384,
  [SMALL_STATE(4287)] = 126454,
  [SMALL_STATE(4288)] = 126572,
  [SMALL_STATE(4289)] = 126642,
  [SMALL_STATE(4290)] = 126712,
  [SMALL_STATE(4291)] = 126830,
  [SMALL_STATE(4292)] = 126948,
  [SMALL_STATE(4293)] = 127018,
  [SMALL_STATE(4294)] = 127136,
  [SMALL_STATE(4295)] = 127206,
  [SMALL_STATE(4296)] = 127276,
  [SMALL_STATE(4297)] = 127346,
  [SMALL_STATE(4298)] = 127416,
  [SMALL_STATE(4299)] = 127486,
  [SMALL_STATE(4300)] = 127604,
  [SMALL_STATE(4301)] = 127674,
  [SMALL_STATE(4302)] = 127744,
  [SMALL_STATE(4303)] = 127862,
  [SMALL_STATE(4304)] = 127932,
  [SMALL_STATE(4305)] = 128050,
  [SMALL_STATE(4306)] = 128120,
  [SMALL_STATE(4307)] = 128238,
  [SMALL_STATE(4308)] = 128310,
  [SMALL_STATE(4309)] = 128428,
  [SMALL_STATE(4310)] = 128498,
  [SMALL_STATE(4311)] = 128568,
  [SMALL_STATE(4312)] = 128638,
  [SMALL_STATE(4313)] = 128756,
  [SMALL_STATE(4314)] = 128826,
  [SMALL_STATE(4315)] = 128896,
  [SMALL_STATE(4316)] = 128966,
  [SMALL_STATE(4317)] = 129036,
  [SMALL_STATE(4318)] = 129106,
  [SMALL_STATE(4319)] = 129224,
  [SMALL_STATE(4320)] = 129342,
  [SMALL_STATE(4321)] = 129460,
  [SMALL_STATE(4322)] = 129530,
  [SMALL_STATE(4323)] = 129648,
  [SMALL_STATE(4324)] = 129766,
  [SMALL_STATE(4325)] = 129884,
  [SMALL_STATE(4326)] = 130002,
  [SMALL_STATE(4327)] = 130120,
  [SMALL_STATE(4328)] = 130190,
  [SMALL_STATE(4329)] = 130308,
  [SMALL_STATE(4330)] = 130426,
  [SMALL_STATE(4331)] = 130496,
  [SMALL_STATE(4332)] = 130566,
  [SMALL_STATE(4333)] = 130642,
  [SMALL_STATE(4334)] = 130712,
  [SMALL_STATE(4335)] = 130830,
  [SMALL_STATE(4336)] = 130900,
  [SMALL_STATE(4337)] = 130970,
  [SMALL_STATE(4338)] = 131040,
  [SMALL_STATE(4339)] = 131110,
  [SMALL_STATE(4340)] = 131228,
  [SMALL_STATE(4341)] = 131346,
  [SMALL_STATE(4342)] = 131416,
  [SMALL_STATE(4343)] = 131486,
  [SMALL_STATE(4344)] = 131604,
  [SMALL_STATE(4345)] = 131722,
  [SMALL_STATE(4346)] = 131840,
  [SMALL_STATE(4347)] = 131958,
  [SMALL_STATE(4348)] = 132028,
  [SMALL_STATE(4349)] = 132146,
  [SMALL_STATE(4350)] = 132216,
  [SMALL_STATE(4351)] = 132334,
  [SMALL_STATE(4352)] = 132404,
  [SMALL_STATE(4353)] = 132480,
  [SMALL_STATE(4354)] = 132598,
  [SMALL_STATE(4355)] = 132668,
  [SMALL_STATE(4356)] = 132786,
  [SMALL_STATE(4357)] = 132856,
  [SMALL_STATE(4358)] = 132926,
  [SMALL_STATE(4359)] = 132996,
  [SMALL_STATE(4360)] = 133114,
  [SMALL_STATE(4361)] = 133184,
  [SMALL_STATE(4362)] = 133302,
  [SMALL_STATE(4363)] = 133372,
  [SMALL_STATE(4364)] = 133442,
  [SMALL_STATE(4365)] = 133512,
  [SMALL_STATE(4366)] = 133630,
  [SMALL_STATE(4367)] = 133700,
  [SMALL_STATE(4368)] = 133818,
  [SMALL_STATE(4369)] = 133888,
  [SMALL_STATE(4370)] = 134006,
  [SMALL_STATE(4371)] = 134076,
  [SMALL_STATE(4372)] = 134146,
  [SMALL_STATE(4373)] = 134216,
  [SMALL_STATE(4374)] = 134334,
  [SMALL_STATE(4375)] = 134404,
  [SMALL_STATE(4376)] = 134474,
  [SMALL_STATE(4377)] = 134544,
  [SMALL_STATE(4378)] = 134614,
  [SMALL_STATE(4379)] = 134732,
  [SMALL_STATE(4380)] = 134802,
  [SMALL_STATE(4381)] = 134920,
  [SMALL_STATE(4382)] = 135038,
  [SMALL_STATE(4383)] = 135156,
  [SMALL_STATE(4384)] = 135226,
  [SMALL_STATE(4385)] = 135344,
  [SMALL_STATE(4386)] = 135462,
  [SMALL_STATE(4387)] = 135532,
  [SMALL_STATE(4388)] = 135650,
  [SMALL_STATE(4389)] = 135768,
  [SMALL_STATE(4390)] = 135840,
  [SMALL_STATE(4391)] = 135912,
  [SMALL_STATE(4392)] = 136030,
  [SMALL_STATE(4393)] = 136148,
  [SMALL_STATE(4394)] = 136218,
  [SMALL_STATE(4395)] = 136288,
  [SMALL_STATE(4396)] = 136406,
  [SMALL_STATE(4397)] = 136476,
  [SMALL_STATE(4398)] = 136546,
  [SMALL_STATE(4399)] = 136616,
  [SMALL_STATE(4400)] = 136734,
  [SMALL_STATE(4401)] = 136804,
  [SMALL_STATE(4402)] = 136922,
  [SMALL_STATE(4403)] = 136992,
  [SMALL_STATE(4404)] = 137110,
  [SMALL_STATE(4405)] = 137180,
  [SMALL_STATE(4406)] = 137298,
  [SMALL_STATE(4407)] = 137368,
  [SMALL_STATE(4408)] = 137438,
  [SMALL_STATE(4409)] = 137508,
  [SMALL_STATE(4410)] = 137578,
  [SMALL_STATE(4411)] = 137696,
  [SMALL_STATE(4412)] = 137814,
  [SMALL_STATE(4413)] = 137884,
  [SMALL_STATE(4414)] = 138002,
  [SMALL_STATE(4415)] = 138072,
  [SMALL_STATE(4416)] = 138190,
  [SMALL_STATE(4417)] = 138260,
  [SMALL_STATE(4418)] = 138378,
  [SMALL_STATE(4419)] = 138496,
  [SMALL_STATE(4420)] = 138614,
  [SMALL_STATE(4421)] = 138732,
  [SMALL_STATE(4422)] = 138804,
  [SMALL_STATE(4423)] = 138874,
  [SMALL_STATE(4424)] = 138992,
  [SMALL_STATE(4425)] = 139110,
  [SMALL_STATE(4426)] = 139228,
  [SMALL_STATE(4427)] = 139346,
  [SMALL_STATE(4428)] = 139464,
  [SMALL_STATE(4429)] = 139534,
  [SMALL_STATE(4430)] = 139652,
  [SMALL_STATE(4431)] = 139722,
  [SMALL_STATE(4432)] = 139792,
  [SMALL_STATE(4433)] = 139910,
  [SMALL_STATE(4434)] = 140028,
  [SMALL_STATE(4435)] = 140146,
  [SMALL_STATE(4436)] = 140216,
  [SMALL_STATE(4437)] = 140286,
  [SMALL_STATE(4438)] = 140356,
  [SMALL_STATE(4439)] = 140485,
  [SMALL_STATE(4440)] = 140614,
  [SMALL_STATE(4441)] = 140743,
  [SMALL_STATE(4442)] = 140872,
  [SMALL_STATE(4443)] = 141001,
  [SMALL_STATE(4444)] = 141130,
  [SMALL_STATE(4445)] = 141259,
  [SMALL_STATE(4446)] = 141328,
  [SMALL_STATE(4447)] = 141457,
  [SMALL_STATE(4448)] = 141586,
  [SMALL_STATE(4449)] = 141715,
  [SMALL_STATE(4450)] = 141844,
  [SMALL_STATE(4451)] = 141973,
  [SMALL_STATE(4452)] = 142102,
  [SMALL_STATE(4453)] = 142231,
  [SMALL_STATE(4454)] = 142360,
  [SMALL_STATE(4455)] = 142489,
  [SMALL_STATE(4456)] = 142558,
  [SMALL_STATE(4457)] = 142687,
  [SMALL_STATE(4458)] = 142816,
  [SMALL_STATE(4459)] = 142945,
  [SMALL_STATE(4460)] = 143074,
  [SMALL_STATE(4461)] = 143203,
  [SMALL_STATE(4462)] = 143332,
  [SMALL_STATE(4463)] = 143461,
  [SMALL_STATE(4464)] = 143590,
  [SMALL_STATE(4465)] = 143719,
  [SMALL_STATE(4466)] = 143848,
  [SMALL_STATE(4467)] = 143977,
  [SMALL_STATE(4468)] = 144048,
  [SMALL_STATE(4469)] = 144177,
  [SMALL_STATE(4470)] = 144306,
  [SMALL_STATE(4471)] = 144435,
  [SMALL_STATE(4472)] = 144564,
  [SMALL_STATE(4473)] = 144633,
  [SMALL_STATE(4474)] = 144762,
  [SMALL_STATE(4475)] = 144891,
  [SMALL_STATE(4476)] = 145020,
  [SMALL_STATE(4477)] = 145149,
  [SMALL_STATE(4478)] = 145220,
  [SMALL_STATE(4479)] = 145349,
  [SMALL_STATE(4480)] = 145478,
  [SMALL_STATE(4481)] = 145607,
  [SMALL_STATE(4482)] = 145736,
  [SMALL_STATE(4483)] = 145865,
  [SMALL_STATE(4484)] = 145994,
  [SMALL_STATE(4485)] = 146123,
  [SMALL_STATE(4486)] = 146252,
  [SMALL_STATE(4487)] = 146381,
  [SMALL_STATE(4488)] = 146510,
  [SMALL_STATE(4489)] = 146639,
  [SMALL_STATE(4490)] = 146768,
  [SMALL_STATE(4491)] = 146897,
  [SMALL_STATE(4492)] = 147026,
  [SMALL_STATE(4493)] = 147155,
  [SMALL_STATE(4494)] = 147224,
  [SMALL_STATE(4495)] = 147353,
  [SMALL_STATE(4496)] = 147482,
  [SMALL_STATE(4497)] = 147611,
  [SMALL_STATE(4498)] = 147740,
  [SMALL_STATE(4499)] = 147869,
  [SMALL_STATE(4500)] = 147998,
  [SMALL_STATE(4501)] = 148127,
  [SMALL_STATE(4502)] = 148256,
  [SMALL_STATE(4503)] = 148385,
  [SMALL_STATE(4504)] = 148514,
  [SMALL_STATE(4505)] = 148643,
  [SMALL_STATE(4506)] = 148772,
  [SMALL_STATE(4507)] = 148901,
  [SMALL_STATE(4508)] = 149027,
  [SMALL_STATE(4509)] = 149153,
  [SMALL_STATE(4510)] = 149223,
  [SMALL_STATE(4511)] = 149349,
  [SMALL_STATE(4512)] = 149475,
  [SMALL_STATE(4513)] = 149601,
  [SMALL_STATE(4514)] = 149727,
  [SMALL_STATE(4515)] = 149853,
  [SMALL_STATE(4516)] = 149979,
  [SMALL_STATE(4517)] = 150105,
  [SMALL_STATE(4518)] = 150231,
  [SMALL_STATE(4519)] = 150357,
  [SMALL_STATE(4520)] = 150483,
  [SMALL_STATE(4521)] = 150609,
  [SMALL_STATE(4522)] = 150735,
  [SMALL_STATE(4523)] = 150861,
  [SMALL_STATE(4524)] = 150987,
  [SMALL_STATE(4525)] = 151113,
  [SMALL_STATE(4526)] = 151239,
  [SMALL_STATE(4527)] = 151365,
  [SMALL_STATE(4528)] = 151491,
  [SMALL_STATE(4529)] = 151617,
  [SMALL_STATE(4530)] = 151743,
  [SMALL_STATE(4531)] = 151869,
  [SMALL_STATE(4532)] = 151995,
  [SMALL_STATE(4533)] = 152121,
  [SMALL_STATE(4534)] = 152189,
  [SMALL_STATE(4535)] = 152315,
  [SMALL_STATE(4536)] = 152441,
  [SMALL_STATE(4537)] = 152567,
  [SMALL_STATE(4538)] = 152693,
  [SMALL_STATE(4539)] = 152819,
  [SMALL_STATE(4540)] = 152945,
  [SMALL_STATE(4541)] = 153013,
  [SMALL_STATE(4542)] = 153139,
  [SMALL_STATE(4543)] = 153265,
  [SMALL_STATE(4544)] = 153391,
  [SMALL_STATE(4545)] = 153517,
  [SMALL_STATE(4546)] = 153643,
  [SMALL_STATE(4547)] = 153769,
  [SMALL_STATE(4548)] = 153895,
  [SMALL_STATE(4549)] = 154021,
  [SMALL_STATE(4550)] = 154091,
  [SMALL_STATE(4551)] = 154217,
  [SMALL_STATE(4552)] = 154285,
  [SMALL_STATE(4553)] = 154411,
  [SMALL_STATE(4554)] = 154537,
  [SMALL_STATE(4555)] = 154663,
  [SMALL_STATE(4556)] = 154789,
  [SMALL_STATE(4557)] = 154915,
  [SMALL_STATE(4558)] = 155041,
  [SMALL_STATE(4559)] = 155167,
  [SMALL_STATE(4560)] = 155293,
  [SMALL_STATE(4561)] = 155361,
  [SMALL_STATE(4562)] = 155487,
  [SMALL_STATE(4563)] = 155613,
  [SMALL_STATE(4564)] = 155739,
  [SMALL_STATE(4565)] = 155865,
  [SMALL_STATE(4566)] = 155991,
  [SMALL_STATE(4567)] = 156117,
  [SMALL_STATE(4568)] = 156243,
  [SMALL_STATE(4569)] = 156369,
  [SMALL_STATE(4570)] = 156495,
  [SMALL_STATE(4571)] = 156621,
  [SMALL_STATE(4572)] = 156747,
  [SMALL_STATE(4573)] = 156873,
  [SMALL_STATE(4574)] = 156999,
  [SMALL_STATE(4575)] = 157125,
  [SMALL_STATE(4576)] = 157248,
  [SMALL_STATE(4577)] = 157371,
  [SMALL_STATE(4578)] = 157494,
  [SMALL_STATE(4579)] = 157617,
  [SMALL_STATE(4580)] = 157740,
  [SMALL_STATE(4581)] = 157807,
  [SMALL_STATE(4582)] = 157930,
  [SMALL_STATE(4583)] = 158053,
  [SMALL_STATE(4584)] = 158176,
  [SMALL_STATE(4585)] = 158299,
  [SMALL_STATE(4586)] = 158366,
  [SMALL_STATE(4587)] = 158489,
  [SMALL_STATE(4588)] = 158612,
  [SMALL_STATE(4589)] = 158733,
  [SMALL_STATE(4590)] = 158856,
  [SMALL_STATE(4591)] = 158979,
  [SMALL_STATE(4592)] = 159102,
  [SMALL_STATE(4593)] = 159225,
  [SMALL_STATE(4594)] = 159346,
  [SMALL_STATE(4595)] = 159469,
  [SMALL_STATE(4596)] = 159592,
  [SMALL_STATE(4597)] = 159715,
  [SMALL_STATE(4598)] = 159838,
  [SMALL_STATE(4599)] = 159961,
  [SMALL_STATE(4600)] = 160084,
  [SMALL_STATE(4601)] = 160207,
  [SMALL_STATE(4602)] = 160330,
  [SMALL_STATE(4603)] = 160453,
  [SMALL_STATE(4604)] = 160576,
  [SMALL_STATE(4605)] = 160699,
  [SMALL_STATE(4606)] = 160822,
  [SMALL_STATE(4607)] = 160943,
  [SMALL_STATE(4608)] = 161066,
  [SMALL_STATE(4609)] = 161133,
  [SMALL_STATE(4610)] = 161200,
  [SMALL_STATE(4611)] = 161323,
  [SMALL_STATE(4612)] = 161446,
  [SMALL_STATE(4613)] = 161569,
  [SMALL_STATE(4614)] = 161692,
  [SMALL_STATE(4615)] = 161815,
  [SMALL_STATE(4616)] = 161938,
  [SMALL_STATE(4617)] = 162059,
  [SMALL_STATE(4618)] = 162182,
  [SMALL_STATE(4619)] = 162305,
  [SMALL_STATE(4620)] = 162426,
  [SMALL_STATE(4621)] = 162541,
  [SMALL_STATE(4622)] = 162659,
  [SMALL_STATE(4623)] = 162777,
  [SMALL_STATE(4624)] = 162895,
  [SMALL_STATE(4625)] = 163013,
  [SMALL_STATE(4626)] = 163131,
  [SMALL_STATE(4627)] = 163249,
  [SMALL_STATE(4628)] = 163367,
  [SMALL_STATE(4629)] = 163485,
  [SMALL_STATE(4630)] = 163551,
  [SMALL_STATE(4631)] = 163669,
  [SMALL_STATE(4632)] = 163787,
  [SMALL_STATE(4633)] = 163905,
  [SMALL_STATE(4634)] = 163973,
  [SMALL_STATE(4635)] = 164091,
  [SMALL_STATE(4636)] = 164209,
  [SMALL_STATE(4637)] = 164327,
  [SMALL_STATE(4638)] = 164445,
  [SMALL_STATE(4639)] = 164563,
  [SMALL_STATE(4640)] = 164681,
  [SMALL_STATE(4641)] = 164799,
  [SMALL_STATE(4642)] = 164917,
  [SMALL_STATE(4643)] = 165035,
  [SMALL_STATE(4644)] = 165153,
  [SMALL_STATE(4645)] = 165271,
  [SMALL_STATE(4646)] = 165389,
  [SMALL_STATE(4647)] = 165507,
  [SMALL_STATE(4648)] = 165625,
  [SMALL_STATE(4649)] = 165743,
  [SMALL_STATE(4650)] = 165861,
  [SMALL_STATE(4651)] = 165979,
  [SMALL_STATE(4652)] = 166097,
  [SMALL_STATE(4653)] = 166215,
  [SMALL_STATE(4654)] = 166333,
  [SMALL_STATE(4655)] = 166451,
  [SMALL_STATE(4656)] = 166569,
  [SMALL_STATE(4657)] = 166687,
  [SMALL_STATE(4658)] = 166805,
  [SMALL_STATE(4659)] = 166923,
  [SMALL_STATE(4660)] = 167041,
  [SMALL_STATE(4661)] = 167159,
  [SMALL_STATE(4662)] = 167229,
  [SMALL_STATE(4663)] = 167347,
  [SMALL_STATE(4664)] = 167465,
  [SMALL_STATE(4665)] = 167583,
  [SMALL_STATE(4666)] = 167701,
  [SMALL_STATE(4667)] = 167819,
  [SMALL_STATE(4668)] = 167937,
  [SMALL_STATE(4669)] = 168055,
  [SMALL_STATE(4670)] = 168173,
  [SMALL_STATE(4671)] = 168291,
  [SMALL_STATE(4672)] = 168409,
  [SMALL_STATE(4673)] = 168479,
  [SMALL_STATE(4674)] = 168597,
  [SMALL_STATE(4675)] = 168715,
  [SMALL_STATE(4676)] = 168833,
  [SMALL_STATE(4677)] = 168951,
  [SMALL_STATE(4678)] = 169017,
  [SMALL_STATE(4679)] = 169135,
  [SMALL_STATE(4680)] = 169253,
  [SMALL_STATE(4681)] = 169371,
  [SMALL_STATE(4682)] = 169489,
  [SMALL_STATE(4683)] = 169607,
  [SMALL_STATE(4684)] = 169725,
  [SMALL_STATE(4685)] = 169843,
  [SMALL_STATE(4686)] = 169961,
  [SMALL_STATE(4687)] = 170079,
  [SMALL_STATE(4688)] = 170197,
  [SMALL_STATE(4689)] = 170315,
  [SMALL_STATE(4690)] = 170433,
  [SMALL_STATE(4691)] = 170499,
  [SMALL_STATE(4692)] = 170565,
  [SMALL_STATE(4693)] = 170631,
  [SMALL_STATE(4694)] = 170749,
  [SMALL_STATE(4695)] = 170867,
  [SMALL_STATE(4696)] = 170985,
  [SMALL_STATE(4697)] = 171103,
  [SMALL_STATE(4698)] = 171221,
  [SMALL_STATE(4699)] = 171339,
  [SMALL_STATE(4700)] = 171457,
  [SMALL_STATE(4701)] = 171575,
  [SMALL_STATE(4702)] = 171693,
  [SMALL_STATE(4703)] = 171811,
  [SMALL_STATE(4704)] = 171929,
  [SMALL_STATE(4705)] = 172047,
  [SMALL_STATE(4706)] = 172115,
  [SMALL_STATE(4707)] = 172233,
  [SMALL_STATE(4708)] = 172351,
  [SMALL_STATE(4709)] = 172469,
  [SMALL_STATE(4710)] = 172587,
  [SMALL_STATE(4711)] = 172705,
  [SMALL_STATE(4712)] = 172823,
  [SMALL_STATE(4713)] = 172941,
  [SMALL_STATE(4714)] = 173059,
  [SMALL_STATE(4715)] = 173127,
  [SMALL_STATE(4716)] = 173245,
  [SMALL_STATE(4717)] = 173363,
  [SMALL_STATE(4718)] = 173429,
  [SMALL_STATE(4719)] = 173547,
  [SMALL_STATE(4720)] = 173613,
  [SMALL_STATE(4721)] = 173731,
  [SMALL_STATE(4722)] = 173797,
  [SMALL_STATE(4723)] = 173915,
  [SMALL_STATE(4724)] = 174033,
  [SMALL_STATE(4725)] = 174151,
  [SMALL_STATE(4726)] = 174217,
  [SMALL_STATE(4727)] = 174335,
  [SMALL_STATE(4728)] = 174402,
  [SMALL_STATE(4729)] = 174467,
  [SMALL_STATE(4730)] = 174532,
  [SMALL_STATE(4731)] = 174597,
  [SMALL_STATE(4732)] = 174662,
  [SMALL_STATE(4733)] = 174727,
  [SMALL_STATE(4734)] = 174792,
  [SMALL_STATE(4735)] = 174857,
  [SMALL_STATE(4736)] = 174922,
  [SMALL_STATE(4737)] = 175037,
  [SMALL_STATE(4738)] = 175152,
  [SMALL_STATE(4739)] = 175217,
  [SMALL_STATE(4740)] = 175332,
  [SMALL_STATE(4741)] = 175399,
  [SMALL_STATE(4742)] = 175464,
  [SMALL_STATE(4743)] = 175529,
  [SMALL_STATE(4744)] = 175594,
  [SMALL_STATE(4745)] = 175659,
  [SMALL_STATE(4746)] = 175724,
  [SMALL_STATE(4747)] = 175789,
  [SMALL_STATE(4748)] = 175904,
  [SMALL_STATE(4749)] = 175969,
  [SMALL_STATE(4750)] = 176034,
  [SMALL_STATE(4751)] = 176149,
  [SMALL_STATE(4752)] = 176214,
  [SMALL_STATE(4753)] = 176329,
  [SMALL_STATE(4754)] = 176444,
  [SMALL_STATE(4755)] = 176559,
  [SMALL_STATE(4756)] = 176624,
  [SMALL_STATE(4757)] = 176689,
  [SMALL_STATE(4758)] = 176754,
  [SMALL_STATE(4759)] = 176819,
  [SMALL_STATE(4760)] = 176884,
  [SMALL_STATE(4761)] = 176949,
  [SMALL_STATE(4762)] = 177014,
  [SMALL_STATE(4763)] = 177129,
  [SMALL_STATE(4764)] = 177244,
  [SMALL_STATE(4765)] = 177359,
  [SMALL_STATE(4766)] = 177424,
  [SMALL_STATE(4767)] = 177489,
  [SMALL_STATE(4768)] = 177554,
  [SMALL_STATE(4769)] = 177619,
  [SMALL_STATE(4770)] = 177684,
  [SMALL_STATE(4771)] = 177749,
  [SMALL_STATE(4772)] = 177814,
  [SMALL_STATE(4773)] = 177879,
  [SMALL_STATE(4774)] = 177994,
  [SMALL_STATE(4775)] = 178059,
  [SMALL_STATE(4776)] = 178174,
  [SMALL_STATE(4777)] = 178289,
  [SMALL_STATE(4778)] = 178354,
  [SMALL_STATE(4779)] = 178419,
  [SMALL_STATE(4780)] = 178486,
  [SMALL_STATE(4781)] = 178551,
  [SMALL_STATE(4782)] = 178616,
  [SMALL_STATE(4783)] = 178731,
  [SMALL_STATE(4784)] = 178846,
  [SMALL_STATE(4785)] = 178911,
  [SMALL_STATE(4786)] = 178976,
  [SMALL_STATE(4787)] = 179091,
  [SMALL_STATE(4788)] = 179156,
  [SMALL_STATE(4789)] = 179221,
  [SMALL_STATE(4790)] = 179286,
  [SMALL_STATE(4791)] = 179351,
  [SMALL_STATE(4792)] = 179466,
  [SMALL_STATE(4793)] = 179581,
  [SMALL_STATE(4794)] = 179646,
  [SMALL_STATE(4795)] = 179761,
  [SMALL_STATE(4796)] = 179876,
  [SMALL_STATE(4797)] = 179941,
  [SMALL_STATE(4798)] = 180056,
  [SMALL_STATE(4799)] = 180121,
  [SMALL_STATE(4800)] = 180236,
  [SMALL_STATE(4801)] = 180301,
  [SMALL_STATE(4802)] = 180366,
  [SMALL_STATE(4803)] = 180481,
  [SMALL_STATE(4804)] = 180596,
  [SMALL_STATE(4805)] = 180711,
  [SMALL_STATE(4806)] = 180826,
  [SMALL_STATE(4807)] = 180891,
  [SMALL_STATE(4808)] = 180956,
  [SMALL_STATE(4809)] = 181071,
  [SMALL_STATE(4810)] = 181142,
  [SMALL_STATE(4811)] = 181257,
  [SMALL_STATE(4812)] = 181322,
  [SMALL_STATE(4813)] = 181437,
  [SMALL_STATE(4814)] = 181552,
  [SMALL_STATE(4815)] = 181667,
  [SMALL_STATE(4816)] = 181732,
  [SMALL_STATE(4817)] = 181799,
  [SMALL_STATE(4818)] = 181914,
  [SMALL_STATE(4819)] = 181979,
  [SMALL_STATE(4820)] = 182044,
  [SMALL_STATE(4821)] = 182115,
  [SMALL_STATE(4822)] = 182180,
  [SMALL_STATE(4823)] = 182245,
  [SMALL_STATE(4824)] = 182312,
  [SMALL_STATE(4825)] = 182427,
  [SMALL_STATE(4826)] = 182492,
  [SMALL_STATE(4827)] = 182607,
  [SMALL_STATE(4828)] = 182672,
  [SMALL_STATE(4829)] = 182737,
  [SMALL_STATE(4830)] = 182852,
  [SMALL_STATE(4831)] = 182967,
  [SMALL_STATE(4832)] = 183082,
  [SMALL_STATE(4833)] = 183197,
  [SMALL_STATE(4834)] = 183262,
  [SMALL_STATE(4835)] = 183327,
  [SMALL_STATE(4836)] = 183442,
  [SMALL_STATE(4837)] = 183507,
  [SMALL_STATE(4838)] = 183572,
  [SMALL_STATE(4839)] = 183637,
  [SMALL_STATE(4840)] = 183702,
  [SMALL_STATE(4841)] = 183767,
  [SMALL_STATE(4842)] = 183882,
  [SMALL_STATE(4843)] = 183947,
  [SMALL_STATE(4844)] = 184062,
  [SMALL_STATE(4845)] = 184127,
  [SMALL_STATE(4846)] = 184192,
  [SMALL_STATE(4847)] = 184257,
  [SMALL_STATE(4848)] = 184322,
  [SMALL_STATE(4849)] = 184387,
  [SMALL_STATE(4850)] = 184502,
  [SMALL_STATE(4851)] = 184617,
  [SMALL_STATE(4852)] = 184682,
  [SMALL_STATE(4853)] = 184797,
  [SMALL_STATE(4854)] = 184864,
  [SMALL_STATE(4855)] = 184929,
  [SMALL_STATE(4856)] = 184994,
  [SMALL_STATE(4857)] = 185059,
  [SMALL_STATE(4858)] = 185174,
  [SMALL_STATE(4859)] = 185238,
  [SMALL_STATE(4860)] = 185302,
  [SMALL_STATE(4861)] = 185414,
  [SMALL_STATE(4862)] = 185478,
  [SMALL_STATE(4863)] = 185542,
  [SMALL_STATE(4864)] = 185654,
  [SMALL_STATE(4865)] = 185718,
  [SMALL_STATE(4866)] = 185788,
  [SMALL_STATE(4867)] = 185852,
  [SMALL_STATE(4868)] = 185916,
  [SMALL_STATE(4869)] = 185980,
  [SMALL_STATE(4870)] = 186044,
  [SMALL_STATE(4871)] = 186108,
  [SMALL_STATE(4872)] = 186172,
  [SMALL_STATE(4873)] = 186236,
  [SMALL_STATE(4874)] = 186300,
  [SMALL_STATE(4875)] = 186412,
  [SMALL_STATE(4876)] = 186476,
  [SMALL_STATE(4877)] = 186546,
  [SMALL_STATE(4878)] = 186610,
  [SMALL_STATE(4879)] = 186674,
  [SMALL_STATE(4880)] = 186738,
  [SMALL_STATE(4881)] = 186802,
  [SMALL_STATE(4882)] = 186866,
  [SMALL_STATE(4883)] = 186930,
  [SMALL_STATE(4884)] = 186994,
  [SMALL_STATE(4885)] = 187058,
  [SMALL_STATE(4886)] = 187122,
  [SMALL_STATE(4887)] = 187186,
  [SMALL_STATE(4888)] = 187250,
  [SMALL_STATE(4889)] = 187314,
  [SMALL_STATE(4890)] = 187378,
  [SMALL_STATE(4891)] = 187442,
  [SMALL_STATE(4892)] = 187506,
  [SMALL_STATE(4893)] = 187570,
  [SMALL_STATE(4894)] = 187634,
  [SMALL_STATE(4895)] = 187698,
  [SMALL_STATE(4896)] = 187762,
  [SMALL_STATE(4897)] = 187826,
  [SMALL_STATE(4898)] = 187890,
  [SMALL_STATE(4899)] = 187954,
  [SMALL_STATE(4900)] = 188020,
  [SMALL_STATE(4901)] = 188084,
  [SMALL_STATE(4902)] = 188148,
  [SMALL_STATE(4903)] = 188212,
  [SMALL_STATE(4904)] = 188276,
  [SMALL_STATE(4905)] = 188340,
  [SMALL_STATE(4906)] = 188404,
  [SMALL_STATE(4907)] = 188468,
  [SMALL_STATE(4908)] = 188532,
  [SMALL_STATE(4909)] = 188596,
  [SMALL_STATE(4910)] = 188660,
  [SMALL_STATE(4911)] = 188724,
  [SMALL_STATE(4912)] = 188788,
  [SMALL_STATE(4913)] = 188854,
  [SMALL_STATE(4914)] = 188966,
  [SMALL_STATE(4915)] = 189030,
  [SMALL_STATE(4916)] = 189096,
  [SMALL_STATE(4917)] = 189160,
  [SMALL_STATE(4918)] = 189224,
  [SMALL_STATE(4919)] = 189288,
  [SMALL_STATE(4920)] = 189352,
  [SMALL_STATE(4921)] = 189416,
  [SMALL_STATE(4922)] = 189480,
  [SMALL_STATE(4923)] = 189544,
  [SMALL_STATE(4924)] = 189656,
  [SMALL_STATE(4925)] = 189720,
  [SMALL_STATE(4926)] = 189784,
  [SMALL_STATE(4927)] = 189848,
  [SMALL_STATE(4928)] = 189912,
  [SMALL_STATE(4929)] = 189976,
  [SMALL_STATE(4930)] = 190040,
  [SMALL_STATE(4931)] = 190104,
  [SMALL_STATE(4932)] = 190168,
  [SMALL_STATE(4933)] = 190234,
  [SMALL_STATE(4934)] = 190298,
  [SMALL_STATE(4935)] = 190410,
  [SMALL_STATE(4936)] = 190474,
  [SMALL_STATE(4937)] = 190538,
  [SMALL_STATE(4938)] = 190604,
  [SMALL_STATE(4939)] = 190668,
  [SMALL_STATE(4940)] = 190732,
  [SMALL_STATE(4941)] = 190796,
  [SMALL_STATE(4942)] = 190860,
  [SMALL_STATE(4943)] = 190924,
  [SMALL_STATE(4944)] = 190988,
  [SMALL_STATE(4945)] = 191052,
  [SMALL_STATE(4946)] = 191116,
  [SMALL_STATE(4947)] = 191180,
  [SMALL_STATE(4948)] = 191243,
  [SMALL_STATE(4949)] = 191306,
  [SMALL_STATE(4950)] = 191369,
  [SMALL_STATE(4951)] = 191432,
  [SMALL_STATE(4952)] = 191495,
  [SMALL_STATE(4953)] = 191558,
  [SMALL_STATE(4954)] = 191667,
  [SMALL_STATE(4955)] = 191730,
  [SMALL_STATE(4956)] = 191839,
  [SMALL_STATE(4957)] = 191904,
  [SMALL_STATE(4958)] = 191973,
  [SMALL_STATE(4959)] = 192082,
  [SMALL_STATE(4960)] = 192145,
  [SMALL_STATE(4961)] = 192254,
  [SMALL_STATE(4962)] = 192363,
  [SMALL_STATE(4963)] = 192472,
  [SMALL_STATE(4964)] = 192537,
  [SMALL_STATE(4965)] = 192600,
  [SMALL_STATE(4966)] = 192663,
  [SMALL_STATE(4967)] = 192772,
  [SMALL_STATE(4968)] = 192835,
  [SMALL_STATE(4969)] = 192898,
  [SMALL_STATE(4970)] = 192961,
  [SMALL_STATE(4971)] = 193024,
  [SMALL_STATE(4972)] = 193133,
  [SMALL_STATE(4973)] = 193242,
  [SMALL_STATE(4974)] = 193351,
  [SMALL_STATE(4975)] = 193460,
  [SMALL_STATE(4976)] = 193569,
  [SMALL_STATE(4977)] = 193632,
  [SMALL_STATE(4978)] = 193695,
  [SMALL_STATE(4979)] = 193758,
  [SMALL_STATE(4980)] = 193867,
  [SMALL_STATE(4981)] = 193976,
  [SMALL_STATE(4982)] = 194039,
  [SMALL_STATE(4983)] = 194108,
  [SMALL_STATE(4984)] = 194217,
  [SMALL_STATE(4985)] = 194280,
  [SMALL_STATE(4986)] = 194389,
  [SMALL_STATE(4987)] = 194498,
  [SMALL_STATE(4988)] = 194561,
  [SMALL_STATE(4989)] = 194624,
  [SMALL_STATE(4990)] = 194733,
  [SMALL_STATE(4991)] = 194796,
  [SMALL_STATE(4992)] = 194859,
  [SMALL_STATE(4993)] = 194922,
  [SMALL_STATE(4994)] = 194987,
  [SMALL_STATE(4995)] = 195096,
  [SMALL_STATE(4996)] = 195159,
  [SMALL_STATE(4997)] = 195222,
  [SMALL_STATE(4998)] = 195285,
  [SMALL_STATE(4999)] = 195348,
  [SMALL_STATE(5000)] = 195411,
  [SMALL_STATE(5001)] = 195474,
  [SMALL_STATE(5002)] = 195537,
  [SMALL_STATE(5003)] = 195600,
  [SMALL_STATE(5004)] = 195663,
  [SMALL_STATE(5005)] = 195726,
  [SMALL_STATE(5006)] = 195789,
  [SMALL_STATE(5007)] = 195898,
  [SMALL_STATE(5008)] = 196007,
  [SMALL_STATE(5009)] = 196118,
  [SMALL_STATE(5010)] = 196181,
  [SMALL_STATE(5011)] = 196244,
  [SMALL_STATE(5012)] = 196307,
  [SMALL_STATE(5013)] = 196370,
  [SMALL_STATE(5014)] = 196433,
  [SMALL_STATE(5015)] = 196542,
  [SMALL_STATE(5016)] = 196605,
  [SMALL_STATE(5017)] = 196668,
  [SMALL_STATE(5018)] = 196731,
  [SMALL_STATE(5019)] = 196794,
  [SMALL_STATE(5020)] = 196857,
  [SMALL_STATE(5021)] = 196920,
  [SMALL_STATE(5022)] = 196983,
  [SMALL_STATE(5023)] = 197046,
  [SMALL_STATE(5024)] = 197109,
  [SMALL_STATE(5025)] = 197172,
  [SMALL_STATE(5026)] = 197235,
  [SMALL_STATE(5027)] = 197344,
  [SMALL_STATE(5028)] = 197407,
  [SMALL_STATE(5029)] = 197516,
  [SMALL_STATE(5030)] = 197579,
  [SMALL_STATE(5031)] = 197644,
  [SMALL_STATE(5032)] = 197707,
  [SMALL_STATE(5033)] = 197772,
  [SMALL_STATE(5034)] = 197835,
  [SMALL_STATE(5035)] = 197898,
  [SMALL_STATE(5036)] = 197961,
  [SMALL_STATE(5037)] = 198070,
  [SMALL_STATE(5038)] = 198135,
  [SMALL_STATE(5039)] = 198198,
  [SMALL_STATE(5040)] = 198261,
  [SMALL_STATE(5041)] = 198324,
  [SMALL_STATE(5042)] = 198387,
  [SMALL_STATE(5043)] = 198450,
  [SMALL_STATE(5044)] = 198559,
  [SMALL_STATE(5045)] = 198622,
  [SMALL_STATE(5046)] = 198685,
  [SMALL_STATE(5047)] = 198748,
  [SMALL_STATE(5048)] = 198857,
  [SMALL_STATE(5049)] = 198966,
  [SMALL_STATE(5050)] = 199029,
  [SMALL_STATE(5051)] = 199092,
  [SMALL_STATE(5052)] = 199201,
  [SMALL_STATE(5053)] = 199310,
  [SMALL_STATE(5054)] = 199421,
  [SMALL_STATE(5055)] = 199530,
  [SMALL_STATE(5056)] = 199639,
  [SMALL_STATE(5057)] = 199748,
  [SMALL_STATE(5058)] = 199811,
  [SMALL_STATE(5059)] = 199920,
  [SMALL_STATE(5060)] = 200029,
  [SMALL_STATE(5061)] = 200092,
  [SMALL_STATE(5062)] = 200201,
  [SMALL_STATE(5063)] = 200264,
  [SMALL_STATE(5064)] = 200327,
  [SMALL_STATE(5065)] = 200390,
  [SMALL_STATE(5066)] = 200453,
  [SMALL_STATE(5067)] = 200564,
  [SMALL_STATE(5068)] = 200627,
  [SMALL_STATE(5069)] = 200736,
  [SMALL_STATE(5070)] = 200799,
  [SMALL_STATE(5071)] = 200908,
  [SMALL_STATE(5072)] = 201017,
  [SMALL_STATE(5073)] = 201080,
  [SMALL_STATE(5074)] = 201189,
  [SMALL_STATE(5075)] = 201252,
  [SMALL_STATE(5076)] = 201361,
  [SMALL_STATE(5077)] = 201424,
  [SMALL_STATE(5078)] = 201533,
  [SMALL_STATE(5079)] = 201642,
  [SMALL_STATE(5080)] = 201751,
  [SMALL_STATE(5081)] = 201860,
  [SMALL_STATE(5082)] = 201923,
  [SMALL_STATE(5083)] = 202032,
  [SMALL_STATE(5084)] = 202141,
  [SMALL_STATE(5085)] = 202250,
  [SMALL_STATE(5086)] = 202359,
  [SMALL_STATE(5087)] = 202468,
  [SMALL_STATE(5088)] = 202531,
  [SMALL_STATE(5089)] = 202594,
  [SMALL_STATE(5090)] = 202657,
  [SMALL_STATE(5091)] = 202720,
  [SMALL_STATE(5092)] = 202785,
  [SMALL_STATE(5093)] = 202848,
  [SMALL_STATE(5094)] = 202913,
  [SMALL_STATE(5095)] = 202978,
  [SMALL_STATE(5096)] = 203087,
  [SMALL_STATE(5097)] = 203196,
  [SMALL_STATE(5098)] = 203259,
  [SMALL_STATE(5099)] = 203321,
  [SMALL_STATE(5100)] = 203383,
  [SMALL_STATE(5101)] = 203445,
  [SMALL_STATE(5102)] = 203507,
  [SMALL_STATE(5103)] = 203569,
  [SMALL_STATE(5104)] = 203631,
  [SMALL_STATE(5105)] = 203693,
  [SMALL_STATE(5106)] = 203755,
  [SMALL_STATE(5107)] = 203817,
  [SMALL_STATE(5108)] = 203879,
  [SMALL_STATE(5109)] = 203941,
  [SMALL_STATE(5110)] = 204003,
  [SMALL_STATE(5111)] = 204065,
  [SMALL_STATE(5112)] = 204127,
  [SMALL_STATE(5113)] = 204189,
  [SMALL_STATE(5114)] = 204251,
  [SMALL_STATE(5115)] = 204313,
  [SMALL_STATE(5116)] = 204375,
  [SMALL_STATE(5117)] = 204437,
  [SMALL_STATE(5118)] = 204499,
  [SMALL_STATE(5119)] = 204561,
  [SMALL_STATE(5120)] = 204623,
  [SMALL_STATE(5121)] = 204685,
  [SMALL_STATE(5122)] = 204747,
  [SMALL_STATE(5123)] = 204809,
  [SMALL_STATE(5124)] = 204873,
  [SMALL_STATE(5125)] = 204935,
  [SMALL_STATE(5126)] = 204997,
  [SMALL_STATE(5127)] = 205061,
  [SMALL_STATE(5128)] = 205123,
  [SMALL_STATE(5129)] = 205185,
  [SMALL_STATE(5130)] = 205249,
  [SMALL_STATE(5131)] = 205311,
  [SMALL_STATE(5132)] = 205375,
  [SMALL_STATE(5133)] = 205437,
  [SMALL_STATE(5134)] = 205499,
  [SMALL_STATE(5135)] = 205561,
  [SMALL_STATE(5136)] = 205629,
  [SMALL_STATE(5137)] = 205691,
  [SMALL_STATE(5138)] = 205753,
  [SMALL_STATE(5139)] = 205815,
  [SMALL_STATE(5140)] = 205877,
  [SMALL_STATE(5141)] = 205939,
  [SMALL_STATE(5142)] = 206001,
  [SMALL_STATE(5143)] = 206063,
  [SMALL_STATE(5144)] = 206125,
  [SMALL_STATE(5145)] = 206187,
  [SMALL_STATE(5146)] = 206249,
  [SMALL_STATE(5147)] = 206311,
  [SMALL_STATE(5148)] = 206373,
  [SMALL_STATE(5149)] = 206435,
  [SMALL_STATE(5150)] = 206497,
  [SMALL_STATE(5151)] = 206559,
  [SMALL_STATE(5152)] = 206621,
  [SMALL_STATE(5153)] = 206683,
  [SMALL_STATE(5154)] = 206745,
  [SMALL_STATE(5155)] = 206807,
  [SMALL_STATE(5156)] = 206869,
  [SMALL_STATE(5157)] = 206931,
  [SMALL_STATE(5158)] = 206995,
  [SMALL_STATE(5159)] = 207057,
  [SMALL_STATE(5160)] = 207119,
  [SMALL_STATE(5161)] = 207181,
  [SMALL_STATE(5162)] = 207243,
  [SMALL_STATE(5163)] = 207305,
  [SMALL_STATE(5164)] = 207367,
  [SMALL_STATE(5165)] = 207429,
  [SMALL_STATE(5166)] = 207491,
  [SMALL_STATE(5167)] = 207553,
  [SMALL_STATE(5168)] = 207615,
  [SMALL_STATE(5169)] = 207677,
  [SMALL_STATE(5170)] = 207739,
  [SMALL_STATE(5171)] = 207801,
  [SMALL_STATE(5172)] = 207869,
  [SMALL_STATE(5173)] = 207931,
  [SMALL_STATE(5174)] = 207993,
  [SMALL_STATE(5175)] = 208055,
  [SMALL_STATE(5176)] = 208117,
  [SMALL_STATE(5177)] = 208179,
  [SMALL_STATE(5178)] = 208241,
  [SMALL_STATE(5179)] = 208303,
  [SMALL_STATE(5180)] = 208365,
  [SMALL_STATE(5181)] = 208427,
  [SMALL_STATE(5182)] = 208489,
  [SMALL_STATE(5183)] = 208551,
  [SMALL_STATE(5184)] = 208613,
  [SMALL_STATE(5185)] = 208675,
  [SMALL_STATE(5186)] = 208737,
  [SMALL_STATE(5187)] = 208801,
  [SMALL_STATE(5188)] = 208863,
  [SMALL_STATE(5189)] = 208925,
  [SMALL_STATE(5190)] = 208987,
  [SMALL_STATE(5191)] = 209049,
  [SMALL_STATE(5192)] = 209111,
  [SMALL_STATE(5193)] = 209173,
  [SMALL_STATE(5194)] = 209235,
  [SMALL_STATE(5195)] = 209297,
  [SMALL_STATE(5196)] = 209361,
  [SMALL_STATE(5197)] = 209423,
  [SMALL_STATE(5198)] = 209485,
  [SMALL_STATE(5199)] = 209547,
  [SMALL_STATE(5200)] = 209609,
  [SMALL_STATE(5201)] = 209671,
  [SMALL_STATE(5202)] = 209733,
  [SMALL_STATE(5203)] = 209795,
  [SMALL_STATE(5204)] = 209859,
  [SMALL_STATE(5205)] = 209923,
  [SMALL_STATE(5206)] = 209985,
  [SMALL_STATE(5207)] = 210047,
  [SMALL_STATE(5208)] = 210109,
  [SMALL_STATE(5209)] = 210171,
  [SMALL_STATE(5210)] = 210235,
  [SMALL_STATE(5211)] = 210297,
  [SMALL_STATE(5212)] = 210359,
  [SMALL_STATE(5213)] = 210421,
  [SMALL_STATE(5214)] = 210483,
  [SMALL_STATE(5215)] = 210545,
  [SMALL_STATE(5216)] = 210607,
  [SMALL_STATE(5217)] = 210669,
  [SMALL_STATE(5218)] = 210731,
  [SMALL_STATE(5219)] = 210793,
  [SMALL_STATE(5220)] = 210857,
  [SMALL_STATE(5221)] = 210921,
  [SMALL_STATE(5222)] = 210983,
  [SMALL_STATE(5223)] = 211045,
  [SMALL_STATE(5224)] = 211113,
  [SMALL_STATE(5225)] = 211175,
  [SMALL_STATE(5226)] = 211237,
  [SMALL_STATE(5227)] = 211299,
  [SMALL_STATE(5228)] = 211361,
  [SMALL_STATE(5229)] = 211423,
  [SMALL_STATE(5230)] = 211485,
  [SMALL_STATE(5231)] = 211547,
  [SMALL_STATE(5232)] = 211609,
  [SMALL_STATE(5233)] = 211671,
  [SMALL_STATE(5234)] = 211733,
  [SMALL_STATE(5235)] = 211797,
  [SMALL_STATE(5236)] = 211859,
  [SMALL_STATE(5237)] = 211921,
  [SMALL_STATE(5238)] = 211983,
  [SMALL_STATE(5239)] = 212045,
  [SMALL_STATE(5240)] = 212107,
  [SMALL_STATE(5241)] = 212169,
  [SMALL_STATE(5242)] = 212231,
  [SMALL_STATE(5243)] = 212293,
  [SMALL_STATE(5244)] = 212355,
  [SMALL_STATE(5245)] = 212417,
  [SMALL_STATE(5246)] = 212479,
  [SMALL_STATE(5247)] = 212541,
  [SMALL_STATE(5248)] = 212603,
  [SMALL_STATE(5249)] = 212667,
  [SMALL_STATE(5250)] = 212729,
  [SMALL_STATE(5251)] = 212791,
  [SMALL_STATE(5252)] = 212853,
  [SMALL_STATE(5253)] = 212915,
  [SMALL_STATE(5254)] = 212977,
  [SMALL_STATE(5255)] = 213039,
  [SMALL_STATE(5256)] = 213101,
  [SMALL_STATE(5257)] = 213163,
  [SMALL_STATE(5258)] = 213225,
  [SMALL_STATE(5259)] = 213287,
  [SMALL_STATE(5260)] = 213349,
  [SMALL_STATE(5261)] = 213417,
  [SMALL_STATE(5262)] = 213479,
  [SMALL_STATE(5263)] = 213541,
  [SMALL_STATE(5264)] = 213602,
  [SMALL_STATE(5265)] = 213663,
  [SMALL_STATE(5266)] = 213724,
  [SMALL_STATE(5267)] = 213785,
  [SMALL_STATE(5268)] = 213846,
  [SMALL_STATE(5269)] = 213907,
  [SMALL_STATE(5270)] = 213970,
  [SMALL_STATE(5271)] = 214031,
  [SMALL_STATE(5272)] = 214092,
  [SMALL_STATE(5273)] = 214153,
  [SMALL_STATE(5274)] = 214214,
  [SMALL_STATE(5275)] = 214275,
  [SMALL_STATE(5276)] = 214336,
  [SMALL_STATE(5277)] = 214399,
  [SMALL_STATE(5278)] = 214460,
  [SMALL_STATE(5279)] = 214521,
  [SMALL_STATE(5280)] = 214582,
  [SMALL_STATE(5281)] = 214643,
  [SMALL_STATE(5282)] = 214704,
  [SMALL_STATE(5283)] = 214765,
  [SMALL_STATE(5284)] = 214826,
  [SMALL_STATE(5285)] = 214889,
  [SMALL_STATE(5286)] = 214950,
  [SMALL_STATE(5287)] = 215011,
  [SMALL_STATE(5288)] = 215072,
  [SMALL_STATE(5289)] = 215133,
  [SMALL_STATE(5290)] = 215194,
  [SMALL_STATE(5291)] = 215255,
  [SMALL_STATE(5292)] = 215316,
  [SMALL_STATE(5293)] = 215377,
  [SMALL_STATE(5294)] = 215438,
  [SMALL_STATE(5295)] = 215499,
  [SMALL_STATE(5296)] = 215560,
  [SMALL_STATE(5297)] = 215621,
  [SMALL_STATE(5298)] = 215682,
  [SMALL_STATE(5299)] = 215743,
  [SMALL_STATE(5300)] = 215804,
  [SMALL_STATE(5301)] = 215865,
  [SMALL_STATE(5302)] = 215926,
  [SMALL_STATE(5303)] = 215987,
  [SMALL_STATE(5304)] = 216048,
  [SMALL_STATE(5305)] = 216109,
  [SMALL_STATE(5306)] = 216170,
  [SMALL_STATE(5307)] = 216231,
  [SMALL_STATE(5308)] = 216292,
  [SMALL_STATE(5309)] = 216353,
  [SMALL_STATE(5310)] = 216414,
  [SMALL_STATE(5311)] = 216475,
  [SMALL_STATE(5312)] = 216536,
  [SMALL_STATE(5313)] = 216599,
  [SMALL_STATE(5314)] = 216660,
  [SMALL_STATE(5315)] = 216721,
  [SMALL_STATE(5316)] = 216782,
  [SMALL_STATE(5317)] = 216843,
  [SMALL_STATE(5318)] = 216904,
  [SMALL_STATE(5319)] = 216971,
  [SMALL_STATE(5320)] = 217032,
  [SMALL_STATE(5321)] = 217093,
  [SMALL_STATE(5322)] = 217154,
  [SMALL_STATE(5323)] = 217215,
  [SMALL_STATE(5324)] = 217276,
  [SMALL_STATE(5325)] = 217337,
  [SMALL_STATE(5326)] = 217398,
  [SMALL_STATE(5327)] = 217459,
  [SMALL_STATE(5328)] = 217520,
  [SMALL_STATE(5329)] = 217581,
  [SMALL_STATE(5330)] = 217642,
  [SMALL_STATE(5331)] = 217705,
  [SMALL_STATE(5332)] = 217766,
  [SMALL_STATE(5333)] = 217827,
  [SMALL_STATE(5334)] = 217888,
  [SMALL_STATE(5335)] = 217949,
  [SMALL_STATE(5336)] = 218010,
  [SMALL_STATE(5337)] = 218073,
  [SMALL_STATE(5338)] = 218134,
  [SMALL_STATE(5339)] = 218195,
  [SMALL_STATE(5340)] = 218256,
  [SMALL_STATE(5341)] = 218317,
  [SMALL_STATE(5342)] = 218378,
  [SMALL_STATE(5343)] = 218439,
  [SMALL_STATE(5344)] = 218500,
  [SMALL_STATE(5345)] = 218561,
  [SMALL_STATE(5346)] = 218622,
  [SMALL_STATE(5347)] = 218685,
  [SMALL_STATE(5348)] = 218746,
  [SMALL_STATE(5349)] = 218807,
  [SMALL_STATE(5350)] = 218868,
  [SMALL_STATE(5351)] = 218929,
  [SMALL_STATE(5352)] = 218990,
  [SMALL_STATE(5353)] = 219051,
  [SMALL_STATE(5354)] = 219114,
  [SMALL_STATE(5355)] = 219175,
  [SMALL_STATE(5356)] = 219236,
  [SMALL_STATE(5357)] = 219297,
  [SMALL_STATE(5358)] = 219358,
  [SMALL_STATE(5359)] = 219419,
  [SMALL_STATE(5360)] = 219480,
  [SMALL_STATE(5361)] = 219541,
  [SMALL_STATE(5362)] = 219608,
  [SMALL_STATE(5363)] = 219669,
  [SMALL_STATE(5364)] = 219730,
  [SMALL_STATE(5365)] = 219791,
  [SMALL_STATE(5366)] = 219852,
  [SMALL_STATE(5367)] = 219913,
  [SMALL_STATE(5368)] = 219976,
  [SMALL_STATE(5369)] = 220037,
  [SMALL_STATE(5370)] = 220098,
  [SMALL_STATE(5371)] = 220159,
  [SMALL_STATE(5372)] = 220220,
  [SMALL_STATE(5373)] = 220281,
  [SMALL_STATE(5374)] = 220344,
  [SMALL_STATE(5375)] = 220407,
  [SMALL_STATE(5376)] = 220468,
  [SMALL_STATE(5377)] = 220528,
  [SMALL_STATE(5378)] = 220588,
  [SMALL_STATE(5379)] = 220650,
  [SMALL_STATE(5380)] = 220710,
  [SMALL_STATE(5381)] = 220770,
  [SMALL_STATE(5382)] = 220832,
  [SMALL_STATE(5383)] = 220892,
  [SMALL_STATE(5384)] = 220952,
  [SMALL_STATE(5385)] = 221012,
  [SMALL_STATE(5386)] = 221072,
  [SMALL_STATE(5387)] = 221132,
  [SMALL_STATE(5388)] = 221192,
  [SMALL_STATE(5389)] = 221252,
  [SMALL_STATE(5390)] = 221312,
  [SMALL_STATE(5391)] = 221372,
  [SMALL_STATE(5392)] = 221432,
  [SMALL_STATE(5393)] = 221492,
  [SMALL_STATE(5394)] = 221552,
  [SMALL_STATE(5395)] = 221612,
  [SMALL_STATE(5396)] = 221672,
  [SMALL_STATE(5397)] = 221732,
  [SMALL_STATE(5398)] = 221792,
  [SMALL_STATE(5399)] = 221852,
  [SMALL_STATE(5400)] = 221912,
  [SMALL_STATE(5401)] = 221972,
  [SMALL_STATE(5402)] = 222032,
  [SMALL_STATE(5403)] = 222092,
  [SMALL_STATE(5404)] = 222152,
  [SMALL_STATE(5405)] = 222212,
  [SMALL_STATE(5406)] = 222272,
  [SMALL_STATE(5407)] = 222332,
  [SMALL_STATE(5408)] = 222392,
  [SMALL_STATE(5409)] = 222452,
  [SMALL_STATE(5410)] = 222512,
  [SMALL_STATE(5411)] = 222572,
  [SMALL_STATE(5412)] = 222632,
  [SMALL_STATE(5413)] = 222692,
  [SMALL_STATE(5414)] = 222752,
  [SMALL_STATE(5415)] = 222812,
  [SMALL_STATE(5416)] = 222872,
  [SMALL_STATE(5417)] = 222932,
  [SMALL_STATE(5418)] = 222992,
  [SMALL_STATE(5419)] = 223052,
  [SMALL_STATE(5420)] = 223112,
  [SMALL_STATE(5421)] = 223172,
  [SMALL_STATE(5422)] = 223232,
  [SMALL_STATE(5423)] = 223292,
  [SMALL_STATE(5424)] = 223352,
  [SMALL_STATE(5425)] = 223412,
  [SMALL_STATE(5426)] = 223472,
  [SMALL_STATE(5427)] = 223532,
  [SMALL_STATE(5428)] = 223592,
  [SMALL_STATE(5429)] = 223652,
  [SMALL_STATE(5430)] = 223712,
  [SMALL_STATE(5431)] = 223772,
  [SMALL_STATE(5432)] = 223832,
  [SMALL_STATE(5433)] = 223892,
  [SMALL_STATE(5434)] = 223954,
  [SMALL_STATE(5435)] = 224014,
  [SMALL_STATE(5436)] = 224074,
  [SMALL_STATE(5437)] = 224134,
  [SMALL_STATE(5438)] = 224194,
  [SMALL_STATE(5439)] = 224254,
  [SMALL_STATE(5440)] = 224314,
  [SMALL_STATE(5441)] = 224374,
  [SMALL_STATE(5442)] = 224434,
  [SMALL_STATE(5443)] = 224494,
  [SMALL_STATE(5444)] = 224556,
  [SMALL_STATE(5445)] = 224620,
  [SMALL_STATE(5446)] = 224680,
  [SMALL_STATE(5447)] = 224742,
  [SMALL_STATE(5448)] = 224802,
  [SMALL_STATE(5449)] = 224862,
  [SMALL_STATE(5450)] = 224922,
  [SMALL_STATE(5451)] = 224982,
  [SMALL_STATE(5452)] = 225042,
  [SMALL_STATE(5453)] = 225102,
  [SMALL_STATE(5454)] = 225162,
  [SMALL_STATE(5455)] = 225222,
  [SMALL_STATE(5456)] = 225282,
  [SMALL_STATE(5457)] = 225342,
  [SMALL_STATE(5458)] = 225402,
  [SMALL_STATE(5459)] = 225462,
  [SMALL_STATE(5460)] = 225522,
  [SMALL_STATE(5461)] = 225582,
  [SMALL_STATE(5462)] = 225642,
  [SMALL_STATE(5463)] = 225704,
  [SMALL_STATE(5464)] = 225764,
  [SMALL_STATE(5465)] = 225824,
  [SMALL_STATE(5466)] = 225884,
  [SMALL_STATE(5467)] = 225944,
  [SMALL_STATE(5468)] = 226006,
  [SMALL_STATE(5469)] = 226066,
  [SMALL_STATE(5470)] = 226126,
  [SMALL_STATE(5471)] = 226186,
  [SMALL_STATE(5472)] = 226246,
  [SMALL_STATE(5473)] = 226306,
  [SMALL_STATE(5474)] = 226366,
  [SMALL_STATE(5475)] = 226426,
  [SMALL_STATE(5476)] = 226486,
  [SMALL_STATE(5477)] = 226546,
  [SMALL_STATE(5478)] = 226606,
  [SMALL_STATE(5479)] = 226666,
  [SMALL_STATE(5480)] = 226728,
  [SMALL_STATE(5481)] = 226788,
  [SMALL_STATE(5482)] = 226848,
  [SMALL_STATE(5483)] = 226908,
  [SMALL_STATE(5484)] = 226968,
  [SMALL_STATE(5485)] = 227028,
  [SMALL_STATE(5486)] = 227088,
  [SMALL_STATE(5487)] = 227148,
  [SMALL_STATE(5488)] = 227208,
  [SMALL_STATE(5489)] = 227268,
  [SMALL_STATE(5490)] = 227328,
  [SMALL_STATE(5491)] = 227388,
  [SMALL_STATE(5492)] = 227448,
  [SMALL_STATE(5493)] = 227508,
  [SMALL_STATE(5494)] = 227568,
  [SMALL_STATE(5495)] = 227628,
  [SMALL_STATE(5496)] = 227688,
  [SMALL_STATE(5497)] = 227752,
  [SMALL_STATE(5498)] = 227812,
  [SMALL_STATE(5499)] = 227872,
  [SMALL_STATE(5500)] = 227932,
  [SMALL_STATE(5501)] = 227992,
  [SMALL_STATE(5502)] = 228054,
  [SMALL_STATE(5503)] = 228114,
  [SMALL_STATE(5504)] = 228174,
  [SMALL_STATE(5505)] = 228234,
  [SMALL_STATE(5506)] = 228294,
  [SMALL_STATE(5507)] = 228354,
  [SMALL_STATE(5508)] = 228414,
  [SMALL_STATE(5509)] = 228474,
  [SMALL_STATE(5510)] = 228534,
  [SMALL_STATE(5511)] = 228594,
  [SMALL_STATE(5512)] = 228654,
  [SMALL_STATE(5513)] = 228714,
  [SMALL_STATE(5514)] = 228774,
  [SMALL_STATE(5515)] = 228834,
  [SMALL_STATE(5516)] = 228896,
  [SMALL_STATE(5517)] = 228956,
  [SMALL_STATE(5518)] = 229016,
  [SMALL_STATE(5519)] = 229076,
  [SMALL_STATE(5520)] = 229135,
  [SMALL_STATE(5521)] = 229194,
  [SMALL_STATE(5522)] = 229253,
  [SMALL_STATE(5523)] = 229312,
  [SMALL_STATE(5524)] = 229371,
  [SMALL_STATE(5525)] = 229430,
  [SMALL_STATE(5526)] = 229489,
  [SMALL_STATE(5527)] = 229548,
  [SMALL_STATE(5528)] = 229607,
  [SMALL_STATE(5529)] = 229666,
  [SMALL_STATE(5530)] = 229725,
  [SMALL_STATE(5531)] = 229784,
  [SMALL_STATE(5532)] = 229843,
  [SMALL_STATE(5533)] = 229902,
  [SMALL_STATE(5534)] = 229961,
  [SMALL_STATE(5535)] = 230020,
  [SMALL_STATE(5536)] = 230079,
  [SMALL_STATE(5537)] = 230138,
  [SMALL_STATE(5538)] = 230197,
  [SMALL_STATE(5539)] = 230256,
  [SMALL_STATE(5540)] = 230315,
  [SMALL_STATE(5541)] = 230374,
  [SMALL_STATE(5542)] = 230433,
  [SMALL_STATE(5543)] = 230492,
  [SMALL_STATE(5544)] = 230551,
  [SMALL_STATE(5545)] = 230612,
  [SMALL_STATE(5546)] = 230671,
  [SMALL_STATE(5547)] = 230730,
  [SMALL_STATE(5548)] = 230789,
  [SMALL_STATE(5549)] = 230850,
  [SMALL_STATE(5550)] = 230909,
  [SMALL_STATE(5551)] = 230968,
  [SMALL_STATE(5552)] = 231027,
  [SMALL_STATE(5553)] = 231086,
  [SMALL_STATE(5554)] = 231145,
  [SMALL_STATE(5555)] = 231204,
  [SMALL_STATE(5556)] = 231263,
  [SMALL_STATE(5557)] = 231322,
  [SMALL_STATE(5558)] = 231381,
  [SMALL_STATE(5559)] = 231440,
  [SMALL_STATE(5560)] = 231499,
  [SMALL_STATE(5561)] = 231558,
  [SMALL_STATE(5562)] = 231617,
  [SMALL_STATE(5563)] = 231676,
  [SMALL_STATE(5564)] = 231735,
  [SMALL_STATE(5565)] = 231796,
  [SMALL_STATE(5566)] = 231857,
  [SMALL_STATE(5567)] = 231916,
  [SMALL_STATE(5568)] = 231975,
  [SMALL_STATE(5569)] = 232034,
  [SMALL_STATE(5570)] = 232093,
  [SMALL_STATE(5571)] = 232152,
  [SMALL_STATE(5572)] = 232211,
  [SMALL_STATE(5573)] = 232270,
  [SMALL_STATE(5574)] = 232329,
  [SMALL_STATE(5575)] = 232388,
  [SMALL_STATE(5576)] = 232447,
  [SMALL_STATE(5577)] = 232506,
  [SMALL_STATE(5578)] = 232565,
  [SMALL_STATE(5579)] = 232624,
  [SMALL_STATE(5580)] = 232683,
  [SMALL_STATE(5581)] = 232744,
  [SMALL_STATE(5582)] = 232803,
  [SMALL_STATE(5583)] = 232862,
  [SMALL_STATE(5584)] = 232921,
  [SMALL_STATE(5585)] = 232980,
  [SMALL_STATE(5586)] = 233039,
  [SMALL_STATE(5587)] = 233098,
  [SMALL_STATE(5588)] = 233157,
  [SMALL_STATE(5589)] = 233216,
  [SMALL_STATE(5590)] = 233275,
  [SMALL_STATE(5591)] = 233334,
  [SMALL_STATE(5592)] = 233393,
  [SMALL_STATE(5593)] = 233452,
  [SMALL_STATE(5594)] = 233511,
  [SMALL_STATE(5595)] = 233570,
  [SMALL_STATE(5596)] = 233629,
  [SMALL_STATE(5597)] = 233688,
  [SMALL_STATE(5598)] = 233747,
  [SMALL_STATE(5599)] = 233806,
  [SMALL_STATE(5600)] = 233865,
  [SMALL_STATE(5601)] = 233924,
  [SMALL_STATE(5602)] = 233983,
  [SMALL_STATE(5603)] = 234042,
  [SMALL_STATE(5604)] = 234101,
  [SMALL_STATE(5605)] = 234160,
  [SMALL_STATE(5606)] = 234219,
  [SMALL_STATE(5607)] = 234278,
  [SMALL_STATE(5608)] = 234337,
  [SMALL_STATE(5609)] = 234396,
  [SMALL_STATE(5610)] = 234455,
  [SMALL_STATE(5611)] = 234514,
  [SMALL_STATE(5612)] = 234573,
  [SMALL_STATE(5613)] = 234632,
  [SMALL_STATE(5614)] = 234691,
  [SMALL_STATE(5615)] = 234750,
  [SMALL_STATE(5616)] = 234809,
  [SMALL_STATE(5617)] = 234868,
  [SMALL_STATE(5618)] = 234927,
  [SMALL_STATE(5619)] = 234986,
  [SMALL_STATE(5620)] = 235045,
  [SMALL_STATE(5621)] = 235104,
  [SMALL_STATE(5622)] = 235163,
  [SMALL_STATE(5623)] = 235222,
  [SMALL_STATE(5624)] = 235281,
  [SMALL_STATE(5625)] = 235340,
  [SMALL_STATE(5626)] = 235399,
  [SMALL_STATE(5627)] = 235458,
  [SMALL_STATE(5628)] = 235517,
  [SMALL_STATE(5629)] = 235582,
  [SMALL_STATE(5630)] = 235641,
  [SMALL_STATE(5631)] = 235700,
  [SMALL_STATE(5632)] = 235759,
  [SMALL_STATE(5633)] = 235818,
  [SMALL_STATE(5634)] = 235877,
  [SMALL_STATE(5635)] = 235936,
  [SMALL_STATE(5636)] = 235995,
  [SMALL_STATE(5637)] = 236054,
  [SMALL_STATE(5638)] = 236113,
  [SMALL_STATE(5639)] = 236172,
  [SMALL_STATE(5640)] = 236231,
  [SMALL_STATE(5641)] = 236290,
  [SMALL_STATE(5642)] = 236349,
  [SMALL_STATE(5643)] = 236408,
  [SMALL_STATE(5644)] = 236467,
  [SMALL_STATE(5645)] = 236526,
  [SMALL_STATE(5646)] = 236585,
  [SMALL_STATE(5647)] = 236644,
  [SMALL_STATE(5648)] = 236703,
  [SMALL_STATE(5649)] = 236762,
  [SMALL_STATE(5650)] = 236821,
  [SMALL_STATE(5651)] = 236882,
  [SMALL_STATE(5652)] = 236941,
  [SMALL_STATE(5653)] = 237000,
  [SMALL_STATE(5654)] = 237061,
  [SMALL_STATE(5655)] = 237120,
  [SMALL_STATE(5656)] = 237181,
  [SMALL_STATE(5657)] = 237240,
  [SMALL_STATE(5658)] = 237303,
  [SMALL_STATE(5659)] = 237364,
  [SMALL_STATE(5660)] = 237423,
  [SMALL_STATE(5661)] = 237482,
  [SMALL_STATE(5662)] = 237543,
  [SMALL_STATE(5663)] = 237602,
  [SMALL_STATE(5664)] = 237661,
  [SMALL_STATE(5665)] = 237720,
  [SMALL_STATE(5666)] = 237779,
  [SMALL_STATE(5667)] = 237842,
  [SMALL_STATE(5668)] = 237901,
  [SMALL_STATE(5669)] = 237960,
  [SMALL_STATE(5670)] = 238019,
  [SMALL_STATE(5671)] = 238078,
  [SMALL_STATE(5672)] = 238137,
  [SMALL_STATE(5673)] = 238196,
  [SMALL_STATE(5674)] = 238255,
  [SMALL_STATE(5675)] = 238314,
  [SMALL_STATE(5676)] = 238373,
  [SMALL_STATE(5677)] = 238432,
  [SMALL_STATE(5678)] = 238491,
  [SMALL_STATE(5679)] = 238550,
  [SMALL_STATE(5680)] = 238609,
  [SMALL_STATE(5681)] = 238668,
  [SMALL_STATE(5682)] = 238727,
  [SMALL_STATE(5683)] = 238786,
  [SMALL_STATE(5684)] = 238845,
  [SMALL_STATE(5685)] = 238906,
  [SMALL_STATE(5686)] = 238965,
  [SMALL_STATE(5687)] = 239024,
  [SMALL_STATE(5688)] = 239083,
  [SMALL_STATE(5689)] = 239142,
  [SMALL_STATE(5690)] = 239201,
  [SMALL_STATE(5691)] = 239260,
  [SMALL_STATE(5692)] = 239319,
  [SMALL_STATE(5693)] = 239378,
  [SMALL_STATE(5694)] = 239437,
  [SMALL_STATE(5695)] = 239496,
  [SMALL_STATE(5696)] = 239555,
  [SMALL_STATE(5697)] = 239614,
  [SMALL_STATE(5698)] = 239679,
  [SMALL_STATE(5699)] = 239738,
  [SMALL_STATE(5700)] = 239797,
  [SMALL_STATE(5701)] = 239856,
  [SMALL_STATE(5702)] = 239915,
  [SMALL_STATE(5703)] = 239974,
  [SMALL_STATE(5704)] = 240033,
  [SMALL_STATE(5705)] = 240092,
  [SMALL_STATE(5706)] = 240151,
  [SMALL_STATE(5707)] = 240209,
  [SMALL_STATE(5708)] = 240267,
  [SMALL_STATE(5709)] = 240325,
  [SMALL_STATE(5710)] = 240383,
  [SMALL_STATE(5711)] = 240441,
  [SMALL_STATE(5712)] = 240499,
  [SMALL_STATE(5713)] = 240557,
  [SMALL_STATE(5714)] = 240615,
  [SMALL_STATE(5715)] = 240675,
  [SMALL_STATE(5716)] = 240735,
  [SMALL_STATE(5717)] = 240793,
  [SMALL_STATE(5718)] = 240851,
  [SMALL_STATE(5719)] = 240909,
  [SMALL_STATE(5720)] = 240967,
  [SMALL_STATE(5721)] = 241025,
  [SMALL_STATE(5722)] = 241083,
  [SMALL_STATE(5723)] = 241141,
  [SMALL_STATE(5724)] = 241199,
  [SMALL_STATE(5725)] = 241257,
  [SMALL_STATE(5726)] = 241315,
  [SMALL_STATE(5727)] = 241373,
  [SMALL_STATE(5728)] = 241431,
  [SMALL_STATE(5729)] = 241489,
  [SMALL_STATE(5730)] = 241547,
  [SMALL_STATE(5731)] = 241605,
  [SMALL_STATE(5732)] = 241663,
  [SMALL_STATE(5733)] = 241721,
  [SMALL_STATE(5734)] = 241779,
  [SMALL_STATE(5735)] = 241839,
  [SMALL_STATE(5736)] = 241897,
  [SMALL_STATE(5737)] = 241955,
  [SMALL_STATE(5738)] = 242013,
  [SMALL_STATE(5739)] = 242071,
  [SMALL_STATE(5740)] = 242169,
  [SMALL_STATE(5741)] = 242267,
  [SMALL_STATE(5742)] = 242325,
  [SMALL_STATE(5743)] = 242383,
  [SMALL_STATE(5744)] = 242441,
  [SMALL_STATE(5745)] = 242499,
  [SMALL_STATE(5746)] = 242557,
  [SMALL_STATE(5747)] = 242615,
  [SMALL_STATE(5748)] = 242673,
  [SMALL_STATE(5749)] = 242731,
  [SMALL_STATE(5750)] = 242789,
  [SMALL_STATE(5751)] = 242847,
  [SMALL_STATE(5752)] = 242905,
  [SMALL_STATE(5753)] = 242963,
  [SMALL_STATE(5754)] = 243021,
  [SMALL_STATE(5755)] = 243119,
  [SMALL_STATE(5756)] = 243177,
  [SMALL_STATE(5757)] = 243235,
  [SMALL_STATE(5758)] = 243293,
  [SMALL_STATE(5759)] = 243351,
  [SMALL_STATE(5760)] = 243409,
  [SMALL_STATE(5761)] = 243467,
  [SMALL_STATE(5762)] = 243525,
  [SMALL_STATE(5763)] = 243583,
  [SMALL_STATE(5764)] = 243641,
  [SMALL_STATE(5765)] = 243699,
  [SMALL_STATE(5766)] = 243757,
  [SMALL_STATE(5767)] = 243815,
  [SMALL_STATE(5768)] = 243873,
  [SMALL_STATE(5769)] = 243931,
  [SMALL_STATE(5770)] = 243989,
  [SMALL_STATE(5771)] = 244047,
  [SMALL_STATE(5772)] = 244105,
  [SMALL_STATE(5773)] = 244163,
  [SMALL_STATE(5774)] = 244221,
  [SMALL_STATE(5775)] = 244279,
  [SMALL_STATE(5776)] = 244377,
  [SMALL_STATE(5777)] = 244475,
  [SMALL_STATE(5778)] = 244533,
  [SMALL_STATE(5779)] = 244593,
  [SMALL_STATE(5780)] = 244657,
  [SMALL_STATE(5781)] = 244717,
  [SMALL_STATE(5782)] = 244775,
  [SMALL_STATE(5783)] = 244833,
  [SMALL_STATE(5784)] = 244891,
  [SMALL_STATE(5785)] = 244949,
  [SMALL_STATE(5786)] = 245007,
  [SMALL_STATE(5787)] = 245065,
  [SMALL_STATE(5788)] = 245123,
  [SMALL_STATE(5789)] = 245221,
  [SMALL_STATE(5790)] = 245285,
  [SMALL_STATE(5791)] = 245343,
  [SMALL_STATE(5792)] = 245401,
  [SMALL_STATE(5793)] = 245459,
  [SMALL_STATE(5794)] = 245517,
  [SMALL_STATE(5795)] = 245575,
  [SMALL_STATE(5796)] = 245633,
  [SMALL_STATE(5797)] = 245693,
  [SMALL_STATE(5798)] = 245751,
  [SMALL_STATE(5799)] = 245849,
  [SMALL_STATE(5800)] = 245947,
  [SMALL_STATE(5801)] = 246045,
  [SMALL_STATE(5802)] = 246104,
  [SMALL_STATE(5803)] = 246161,
  [SMALL_STATE(5804)] = 246218,
  [SMALL_STATE(5805)] = 246275,
  [SMALL_STATE(5806)] = 246332,
  [SMALL_STATE(5807)] = 246389,
  [SMALL_STATE(5808)] = 246446,
  [SMALL_STATE(5809)] = 246503,
  [SMALL_STATE(5810)] = 246560,
  [SMALL_STATE(5811)] = 246617,
  [SMALL_STATE(5812)] = 246674,
  [SMALL_STATE(5813)] = 246731,
  [SMALL_STATE(5814)] = 246788,
  [SMALL_STATE(5815)] = 246845,
  [SMALL_STATE(5816)] = 246902,
  [SMALL_STATE(5817)] = 246959,
  [SMALL_STATE(5818)] = 247016,
  [SMALL_STATE(5819)] = 247073,
  [SMALL_STATE(5820)] = 247130,
  [SMALL_STATE(5821)] = 247187,
  [SMALL_STATE(5822)] = 247246,
  [SMALL_STATE(5823)] = 247303,
  [SMALL_STATE(5824)] = 247360,
  [SMALL_STATE(5825)] = 247417,
  [SMALL_STATE(5826)] = 247474,
  [SMALL_STATE(5827)] = 247531,
  [SMALL_STATE(5828)] = 247590,
  [SMALL_STATE(5829)] = 247647,
  [SMALL_STATE(5830)] = 247706,
  [SMALL_STATE(5831)] = 247763,
  [SMALL_STATE(5832)] = 247820,
  [SMALL_STATE(5833)] = 247877,
  [SMALL_STATE(5834)] = 247934,
  [SMALL_STATE(5835)] = 247991,
  [SMALL_STATE(5836)] = 248048,
  [SMALL_STATE(5837)] = 248105,
  [SMALL_STATE(5838)] = 248162,
  [SMALL_STATE(5839)] = 248219,
  [SMALL_STATE(5840)] = 248276,
  [SMALL_STATE(5841)] = 248335,
  [SMALL_STATE(5842)] = 248392,
  [SMALL_STATE(5843)] = 248449,
  [SMALL_STATE(5844)] = 248506,
  [SMALL_STATE(5845)] = 248563,
  [SMALL_STATE(5846)] = 248620,
  [SMALL_STATE(5847)] = 248677,
  [SMALL_STATE(5848)] = 248734,
  [SMALL_STATE(5849)] = 248791,
  [SMALL_STATE(5850)] = 248848,
  [SMALL_STATE(5851)] = 248905,
  [SMALL_STATE(5852)] = 248962,
  [SMALL_STATE(5853)] = 249019,
  [SMALL_STATE(5854)] = 249076,
  [SMALL_STATE(5855)] = 249133,
  [SMALL_STATE(5856)] = 249190,
  [SMALL_STATE(5857)] = 249247,
  [SMALL_STATE(5858)] = 249304,
  [SMALL_STATE(5859)] = 249361,
  [SMALL_STATE(5860)] = 249418,
  [SMALL_STATE(5861)] = 249475,
  [SMALL_STATE(5862)] = 249532,
  [SMALL_STATE(5863)] = 249591,
  [SMALL_STATE(5864)] = 249648,
  [SMALL_STATE(5865)] = 249705,
  [SMALL_STATE(5866)] = 249762,
  [SMALL_STATE(5867)] = 249819,
  [SMALL_STATE(5868)] = 249876,
  [SMALL_STATE(5869)] = 249935,
  [SMALL_STATE(5870)] = 249992,
  [SMALL_STATE(5871)] = 250049,
  [SMALL_STATE(5872)] = 250106,
  [SMALL_STATE(5873)] = 250163,
  [SMALL_STATE(5874)] = 250220,
  [SMALL_STATE(5875)] = 250277,
  [SMALL_STATE(5876)] = 250334,
  [SMALL_STATE(5877)] = 250391,
  [SMALL_STATE(5878)] = 250448,
  [SMALL_STATE(5879)] = 250505,
  [SMALL_STATE(5880)] = 250562,
  [SMALL_STATE(5881)] = 250619,
  [SMALL_STATE(5882)] = 250676,
  [SMALL_STATE(5883)] = 250733,
  [SMALL_STATE(5884)] = 250790,
  [SMALL_STATE(5885)] = 250847,
  [SMALL_STATE(5886)] = 250904,
  [SMALL_STATE(5887)] = 250961,
  [SMALL_STATE(5888)] = 251020,
  [SMALL_STATE(5889)] = 251077,
  [SMALL_STATE(5890)] = 251134,
  [SMALL_STATE(5891)] = 251191,
  [SMALL_STATE(5892)] = 251248,
  [SMALL_STATE(5893)] = 251305,
  [SMALL_STATE(5894)] = 251368,
  [SMALL_STATE(5895)] = 251425,
  [SMALL_STATE(5896)] = 251482,
  [SMALL_STATE(5897)] = 251539,
  [SMALL_STATE(5898)] = 251596,
  [SMALL_STATE(5899)] = 251653,
  [SMALL_STATE(5900)] = 251710,
  [SMALL_STATE(5901)] = 251767,
  [SMALL_STATE(5902)] = 251824,
  [SMALL_STATE(5903)] = 251887,
  [SMALL_STATE(5904)] = 251946,
  [SMALL_STATE(5905)] = 252003,
  [SMALL_STATE(5906)] = 252062,
  [SMALL_STATE(5907)] = 252119,
  [SMALL_STATE(5908)] = 252176,
  [SMALL_STATE(5909)] = 252233,
  [SMALL_STATE(5910)] = 252290,
  [SMALL_STATE(5911)] = 252347,
  [SMALL_STATE(5912)] = 252404,
  [SMALL_STATE(5913)] = 252461,
  [SMALL_STATE(5914)] = 252518,
  [SMALL_STATE(5915)] = 252575,
  [SMALL_STATE(5916)] = 252632,
  [SMALL_STATE(5917)] = 252689,
  [SMALL_STATE(5918)] = 252746,
  [SMALL_STATE(5919)] = 252803,
  [SMALL_STATE(5920)] = 252860,
  [SMALL_STATE(5921)] = 252917,
  [SMALL_STATE(5922)] = 252974,
  [SMALL_STATE(5923)] = 253031,
  [SMALL_STATE(5924)] = 253088,
  [SMALL_STATE(5925)] = 253145,
  [SMALL_STATE(5926)] = 253208,
  [SMALL_STATE(5927)] = 253265,
  [SMALL_STATE(5928)] = 253322,
  [SMALL_STATE(5929)] = 253379,
  [SMALL_STATE(5930)] = 253436,
  [SMALL_STATE(5931)] = 253493,
  [SMALL_STATE(5932)] = 253550,
  [SMALL_STATE(5933)] = 253607,
  [SMALL_STATE(5934)] = 253670,
  [SMALL_STATE(5935)] = 253727,
  [SMALL_STATE(5936)] = 253784,
  [SMALL_STATE(5937)] = 253841,
  [SMALL_STATE(5938)] = 253898,
  [SMALL_STATE(5939)] = 253955,
  [SMALL_STATE(5940)] = 254012,
  [SMALL_STATE(5941)] = 254069,
  [SMALL_STATE(5942)] = 254126,
  [SMALL_STATE(5943)] = 254183,
  [SMALL_STATE(5944)] = 254240,
  [SMALL_STATE(5945)] = 254299,
  [SMALL_STATE(5946)] = 254356,
  [SMALL_STATE(5947)] = 254413,
  [SMALL_STATE(5948)] = 254470,
  [SMALL_STATE(5949)] = 254527,
  [SMALL_STATE(5950)] = 254584,
  [SMALL_STATE(5951)] = 254641,
  [SMALL_STATE(5952)] = 254698,
  [SMALL_STATE(5953)] = 254757,
  [SMALL_STATE(5954)] = 254814,
  [SMALL_STATE(5955)] = 254871,
  [SMALL_STATE(5956)] = 254928,
  [SMALL_STATE(5957)] = 254985,
  [SMALL_STATE(5958)] = 255042,
  [SMALL_STATE(5959)] = 255099,
  [SMALL_STATE(5960)] = 255156,
  [SMALL_STATE(5961)] = 255213,
  [SMALL_STATE(5962)] = 255270,
  [SMALL_STATE(5963)] = 255327,
  [SMALL_STATE(5964)] = 255384,
  [SMALL_STATE(5965)] = 255441,
  [SMALL_STATE(5966)] = 255500,
  [SMALL_STATE(5967)] = 255557,
  [SMALL_STATE(5968)] = 255614,
  [SMALL_STATE(5969)] = 255671,
  [SMALL_STATE(5970)] = 255728,
  [SMALL_STATE(5971)] = 255785,
  [SMALL_STATE(5972)] = 255842,
  [SMALL_STATE(5973)] = 255899,
  [SMALL_STATE(5974)] = 255956,
  [SMALL_STATE(5975)] = 256013,
  [SMALL_STATE(5976)] = 256072,
  [SMALL_STATE(5977)] = 256129,
  [SMALL_STATE(5978)] = 256186,
  [SMALL_STATE(5979)] = 256243,
  [SMALL_STATE(5980)] = 256300,
  [SMALL_STATE(5981)] = 256357,
  [SMALL_STATE(5982)] = 256414,
  [SMALL_STATE(5983)] = 256471,
  [SMALL_STATE(5984)] = 256528,
  [SMALL_STATE(5985)] = 256585,
  [SMALL_STATE(5986)] = 256642,
  [SMALL_STATE(5987)] = 256699,
  [SMALL_STATE(5988)] = 256756,
  [SMALL_STATE(5989)] = 256813,
  [SMALL_STATE(5990)] = 256870,
  [SMALL_STATE(5991)] = 256927,
  [SMALL_STATE(5992)] = 256984,
  [SMALL_STATE(5993)] = 257041,
  [SMALL_STATE(5994)] = 257098,
  [SMALL_STATE(5995)] = 257155,
  [SMALL_STATE(5996)] = 257214,
  [SMALL_STATE(5997)] = 257271,
  [SMALL_STATE(5998)] = 257328,
  [SMALL_STATE(5999)] = 257385,
  [SMALL_STATE(6000)] = 257442,
  [SMALL_STATE(6001)] = 257499,
  [SMALL_STATE(6002)] = 257556,
  [SMALL_STATE(6003)] = 257613,
  [SMALL_STATE(6004)] = 257670,
  [SMALL_STATE(6005)] = 257727,
  [SMALL_STATE(6006)] = 257784,
  [SMALL_STATE(6007)] = 257841,
  [SMALL_STATE(6008)] = 257904,
  [SMALL_STATE(6009)] = 257963,
  [SMALL_STATE(6010)] = 258020,
  [SMALL_STATE(6011)] = 258077,
  [SMALL_STATE(6012)] = 258134,
  [SMALL_STATE(6013)] = 258191,
  [SMALL_STATE(6014)] = 258248,
  [SMALL_STATE(6015)] = 258305,
  [SMALL_STATE(6016)] = 258364,
  [SMALL_STATE(6017)] = 258421,
  [SMALL_STATE(6018)] = 258478,
  [SMALL_STATE(6019)] = 258535,
  [SMALL_STATE(6020)] = 258592,
  [SMALL_STATE(6021)] = 258649,
  [SMALL_STATE(6022)] = 258706,
  [SMALL_STATE(6023)] = 258763,
  [SMALL_STATE(6024)] = 258820,
  [SMALL_STATE(6025)] = 258877,
  [SMALL_STATE(6026)] = 258934,
  [SMALL_STATE(6027)] = 258991,
  [SMALL_STATE(6028)] = 259048,
  [SMALL_STATE(6029)] = 259105,
  [SMALL_STATE(6030)] = 259162,
  [SMALL_STATE(6031)] = 259219,
  [SMALL_STATE(6032)] = 259276,
  [SMALL_STATE(6033)] = 259333,
  [SMALL_STATE(6034)] = 259390,
  [SMALL_STATE(6035)] = 259447,
  [SMALL_STATE(6036)] = 259504,
  [SMALL_STATE(6037)] = 259563,
  [SMALL_STATE(6038)] = 259620,
  [SMALL_STATE(6039)] = 259677,
  [SMALL_STATE(6040)] = 259734,
  [SMALL_STATE(6041)] = 259791,
  [SMALL_STATE(6042)] = 259848,
  [SMALL_STATE(6043)] = 259907,
  [SMALL_STATE(6044)] = 259964,
  [SMALL_STATE(6045)] = 260023,
  [SMALL_STATE(6046)] = 260082,
  [SMALL_STATE(6047)] = 260141,
  [SMALL_STATE(6048)] = 260198,
  [SMALL_STATE(6049)] = 260255,
  [SMALL_STATE(6050)] = 260312,
  [SMALL_STATE(6051)] = 260369,
  [SMALL_STATE(6052)] = 260426,
  [SMALL_STATE(6053)] = 260483,
  [SMALL_STATE(6054)] = 260540,
  [SMALL_STATE(6055)] = 260597,
  [SMALL_STATE(6056)] = 260654,
  [SMALL_STATE(6057)] = 260711,
  [SMALL_STATE(6058)] = 260768,
  [SMALL_STATE(6059)] = 260825,
  [SMALL_STATE(6060)] = 260882,
  [SMALL_STATE(6061)] = 260939,
  [SMALL_STATE(6062)] = 260996,
  [SMALL_STATE(6063)] = 261053,
  [SMALL_STATE(6064)] = 261110,
  [SMALL_STATE(6065)] = 261167,
  [SMALL_STATE(6066)] = 261224,
  [SMALL_STATE(6067)] = 261281,
  [SMALL_STATE(6068)] = 261338,
  [SMALL_STATE(6069)] = 261395,
  [SMALL_STATE(6070)] = 261454,
  [SMALL_STATE(6071)] = 261511,
  [SMALL_STATE(6072)] = 261568,
  [SMALL_STATE(6073)] = 261625,
  [SMALL_STATE(6074)] = 261682,
  [SMALL_STATE(6075)] = 261739,
  [SMALL_STATE(6076)] = 261796,
  [SMALL_STATE(6077)] = 261853,
  [SMALL_STATE(6078)] = 261910,
  [SMALL_STATE(6079)] = 261967,
  [SMALL_STATE(6080)] = 262024,
  [SMALL_STATE(6081)] = 262087,
  [SMALL_STATE(6082)] = 262144,
  [SMALL_STATE(6083)] = 262201,
  [SMALL_STATE(6084)] = 262258,
  [SMALL_STATE(6085)] = 262315,
  [SMALL_STATE(6086)] = 262372,
  [SMALL_STATE(6087)] = 262429,
  [SMALL_STATE(6088)] = 262486,
  [SMALL_STATE(6089)] = 262543,
  [SMALL_STATE(6090)] = 262600,
  [SMALL_STATE(6091)] = 262657,
  [SMALL_STATE(6092)] = 262714,
  [SMALL_STATE(6093)] = 262771,
  [SMALL_STATE(6094)] = 262828,
  [SMALL_STATE(6095)] = 262885,
  [SMALL_STATE(6096)] = 262942,
  [SMALL_STATE(6097)] = 262999,
  [SMALL_STATE(6098)] = 263056,
  [SMALL_STATE(6099)] = 263113,
  [SMALL_STATE(6100)] = 263170,
  [SMALL_STATE(6101)] = 263227,
  [SMALL_STATE(6102)] = 263284,
  [SMALL_STATE(6103)] = 263341,
  [SMALL_STATE(6104)] = 263398,
  [SMALL_STATE(6105)] = 263455,
  [SMALL_STATE(6106)] = 263512,
  [SMALL_STATE(6107)] = 263569,
  [SMALL_STATE(6108)] = 263625,
  [SMALL_STATE(6109)] = 263681,
  [SMALL_STATE(6110)] = 263737,
  [SMALL_STATE(6111)] = 263793,
  [SMALL_STATE(6112)] = 263849,
  [SMALL_STATE(6113)] = 263905,
  [SMALL_STATE(6114)] = 263961,
  [SMALL_STATE(6115)] = 264017,
  [SMALL_STATE(6116)] = 264073,
  [SMALL_STATE(6117)] = 264129,
  [SMALL_STATE(6118)] = 264185,
  [SMALL_STATE(6119)] = 264243,
  [SMALL_STATE(6120)] = 264299,
  [SMALL_STATE(6121)] = 264355,
  [SMALL_STATE(6122)] = 264411,
  [SMALL_STATE(6123)] = 264467,
  [SMALL_STATE(6124)] = 264523,
  [SMALL_STATE(6125)] = 264579,
  [SMALL_STATE(6126)] = 264635,
  [SMALL_STATE(6127)] = 264691,
  [SMALL_STATE(6128)] = 264747,
  [SMALL_STATE(6129)] = 264803,
  [SMALL_STATE(6130)] = 264859,
  [SMALL_STATE(6131)] = 264915,
  [SMALL_STATE(6132)] = 264971,
  [SMALL_STATE(6133)] = 265027,
  [SMALL_STATE(6134)] = 265085,
  [SMALL_STATE(6135)] = 265141,
  [SMALL_STATE(6136)] = 265197,
  [SMALL_STATE(6137)] = 265253,
  [SMALL_STATE(6138)] = 265309,
  [SMALL_STATE(6139)] = 265365,
  [SMALL_STATE(6140)] = 265473,
  [SMALL_STATE(6141)] = 265529,
  [SMALL_STATE(6142)] = 265585,
  [SMALL_STATE(6143)] = 265641,
  [SMALL_STATE(6144)] = 265697,
  [SMALL_STATE(6145)] = 265753,
  [SMALL_STATE(6146)] = 265809,
  [SMALL_STATE(6147)] = 265865,
  [SMALL_STATE(6148)] = 265921,
  [SMALL_STATE(6149)] = 265977,
  [SMALL_STATE(6150)] = 266033,
  [SMALL_STATE(6151)] = 266089,
  [SMALL_STATE(6152)] = 266145,
  [SMALL_STATE(6153)] = 266201,
  [SMALL_STATE(6154)] = 266259,
  [SMALL_STATE(6155)] = 266315,
  [SMALL_STATE(6156)] = 266371,
  [SMALL_STATE(6157)] = 266427,
  [SMALL_STATE(6158)] = 266483,
  [SMALL_STATE(6159)] = 266539,
  [SMALL_STATE(6160)] = 266595,
  [SMALL_STATE(6161)] = 266653,
  [SMALL_STATE(6162)] = 266715,
  [SMALL_STATE(6163)] = 266771,
  [SMALL_STATE(6164)] = 266827,
  [SMALL_STATE(6165)] = 266883,
  [SMALL_STATE(6166)] = 266939,
  [SMALL_STATE(6167)] = 266995,
  [SMALL_STATE(6168)] = 267051,
  [SMALL_STATE(6169)] = 267107,
  [SMALL_STATE(6170)] = 267163,
  [SMALL_STATE(6171)] = 267219,
  [SMALL_STATE(6172)] = 267275,
  [SMALL_STATE(6173)] = 267331,
  [SMALL_STATE(6174)] = 267387,
  [SMALL_STATE(6175)] = 267443,
  [SMALL_STATE(6176)] = 267499,
  [SMALL_STATE(6177)] = 267555,
  [SMALL_STATE(6178)] = 267611,
  [SMALL_STATE(6179)] = 267667,
  [SMALL_STATE(6180)] = 267723,
  [SMALL_STATE(6181)] = 267779,
  [SMALL_STATE(6182)] = 267837,
  [SMALL_STATE(6183)] = 267893,
  [SMALL_STATE(6184)] = 267949,
  [SMALL_STATE(6185)] = 268007,
  [SMALL_STATE(6186)] = 268065,
  [SMALL_STATE(6187)] = 268121,
  [SMALL_STATE(6188)] = 268177,
  [SMALL_STATE(6189)] = 268233,
  [SMALL_STATE(6190)] = 268289,
  [SMALL_STATE(6191)] = 268345,
  [SMALL_STATE(6192)] = 268403,
  [SMALL_STATE(6193)] = 268459,
  [SMALL_STATE(6194)] = 268515,
  [SMALL_STATE(6195)] = 268571,
  [SMALL_STATE(6196)] = 268627,
  [SMALL_STATE(6197)] = 268683,
  [SMALL_STATE(6198)] = 268739,
  [SMALL_STATE(6199)] = 268795,
  [SMALL_STATE(6200)] = 268851,
  [SMALL_STATE(6201)] = 268907,
  [SMALL_STATE(6202)] = 268963,
  [SMALL_STATE(6203)] = 269019,
  [SMALL_STATE(6204)] = 269075,
  [SMALL_STATE(6205)] = 269131,
  [SMALL_STATE(6206)] = 269187,
  [SMALL_STATE(6207)] = 269243,
  [SMALL_STATE(6208)] = 269299,
  [SMALL_STATE(6209)] = 269355,
  [SMALL_STATE(6210)] = 269411,
  [SMALL_STATE(6211)] = 269469,
  [SMALL_STATE(6212)] = 269525,
  [SMALL_STATE(6213)] = 269581,
  [SMALL_STATE(6214)] = 269637,
  [SMALL_STATE(6215)] = 269693,
  [SMALL_STATE(6216)] = 269749,
  [SMALL_STATE(6217)] = 269805,
  [SMALL_STATE(6218)] = 269861,
  [SMALL_STATE(6219)] = 269917,
  [SMALL_STATE(6220)] = 269973,
  [SMALL_STATE(6221)] = 270029,
  [SMALL_STATE(6222)] = 270085,
  [SMALL_STATE(6223)] = 270141,
  [SMALL_STATE(6224)] = 270197,
  [SMALL_STATE(6225)] = 270253,
  [SMALL_STATE(6226)] = 270309,
  [SMALL_STATE(6227)] = 270365,
  [SMALL_STATE(6228)] = 270421,
  [SMALL_STATE(6229)] = 270479,
  [SMALL_STATE(6230)] = 270535,
  [SMALL_STATE(6231)] = 270591,
  [SMALL_STATE(6232)] = 270647,
  [SMALL_STATE(6233)] = 270703,
  [SMALL_STATE(6234)] = 270761,
  [SMALL_STATE(6235)] = 270817,
  [SMALL_STATE(6236)] = 270873,
  [SMALL_STATE(6237)] = 270929,
  [SMALL_STATE(6238)] = 270985,
  [SMALL_STATE(6239)] = 271041,
  [SMALL_STATE(6240)] = 271097,
  [SMALL_STATE(6241)] = 271153,
  [SMALL_STATE(6242)] = 271209,
  [SMALL_STATE(6243)] = 271265,
  [SMALL_STATE(6244)] = 271321,
  [SMALL_STATE(6245)] = 271377,
  [SMALL_STATE(6246)] = 271433,
  [SMALL_STATE(6247)] = 271489,
  [SMALL_STATE(6248)] = 271545,
  [SMALL_STATE(6249)] = 271601,
  [SMALL_STATE(6250)] = 271657,
  [SMALL_STATE(6251)] = 271713,
  [SMALL_STATE(6252)] = 271769,
  [SMALL_STATE(6253)] = 271825,
  [SMALL_STATE(6254)] = 271881,
  [SMALL_STATE(6255)] = 271937,
  [SMALL_STATE(6256)] = 271993,
  [SMALL_STATE(6257)] = 272049,
  [SMALL_STATE(6258)] = 272105,
  [SMALL_STATE(6259)] = 272161,
  [SMALL_STATE(6260)] = 272217,
  [SMALL_STATE(6261)] = 272273,
  [SMALL_STATE(6262)] = 272329,
  [SMALL_STATE(6263)] = 272385,
  [SMALL_STATE(6264)] = 272441,
  [SMALL_STATE(6265)] = 272497,
  [SMALL_STATE(6266)] = 272553,
  [SMALL_STATE(6267)] = 272609,
  [SMALL_STATE(6268)] = 272665,
  [SMALL_STATE(6269)] = 272721,
  [SMALL_STATE(6270)] = 272777,
  [SMALL_STATE(6271)] = 272833,
  [SMALL_STATE(6272)] = 272889,
  [SMALL_STATE(6273)] = 272947,
  [SMALL_STATE(6274)] = 273003,
  [SMALL_STATE(6275)] = 273059,
  [SMALL_STATE(6276)] = 273115,
  [SMALL_STATE(6277)] = 273171,
  [SMALL_STATE(6278)] = 273227,
  [SMALL_STATE(6279)] = 273283,
  [SMALL_STATE(6280)] = 273339,
  [SMALL_STATE(6281)] = 273395,
  [SMALL_STATE(6282)] = 273451,
  [SMALL_STATE(6283)] = 273507,
  [SMALL_STATE(6284)] = 273563,
  [SMALL_STATE(6285)] = 273619,
  [SMALL_STATE(6286)] = 273675,
  [SMALL_STATE(6287)] = 273731,
  [SMALL_STATE(6288)] = 273787,
  [SMALL_STATE(6289)] = 273845,
  [SMALL_STATE(6290)] = 273901,
  [SMALL_STATE(6291)] = 273957,
  [SMALL_STATE(6292)] = 274013,
  [SMALL_STATE(6293)] = 274069,
  [SMALL_STATE(6294)] = 274125,
  [SMALL_STATE(6295)] = 274181,
  [SMALL_STATE(6296)] = 274237,
  [SMALL_STATE(6297)] = 274299,
  [SMALL_STATE(6298)] = 274355,
  [SMALL_STATE(6299)] = 274411,
  [SMALL_STATE(6300)] = 274467,
  [SMALL_STATE(6301)] = 274523,
  [SMALL_STATE(6302)] = 274581,
  [SMALL_STATE(6303)] = 274637,
  [SMALL_STATE(6304)] = 274699,
  [SMALL_STATE(6305)] = 274755,
  [SMALL_STATE(6306)] = 274811,
  [SMALL_STATE(6307)] = 274867,
  [SMALL_STATE(6308)] = 274923,
  [SMALL_STATE(6309)] = 274979,
  [SMALL_STATE(6310)] = 275037,
  [SMALL_STATE(6311)] = 275093,
  [SMALL_STATE(6312)] = 275149,
  [SMALL_STATE(6313)] = 275205,
  [SMALL_STATE(6314)] = 275261,
  [SMALL_STATE(6315)] = 275317,
  [SMALL_STATE(6316)] = 275373,
  [SMALL_STATE(6317)] = 275429,
  [SMALL_STATE(6318)] = 275485,
  [SMALL_STATE(6319)] = 275541,
  [SMALL_STATE(6320)] = 275597,
  [SMALL_STATE(6321)] = 275653,
  [SMALL_STATE(6322)] = 275709,
  [SMALL_STATE(6323)] = 275767,
  [SMALL_STATE(6324)] = 275823,
  [SMALL_STATE(6325)] = 275879,
  [SMALL_STATE(6326)] = 275935,
  [SMALL_STATE(6327)] = 275991,
  [SMALL_STATE(6328)] = 276047,
  [SMALL_STATE(6329)] = 276103,
  [SMALL_STATE(6330)] = 276159,
  [SMALL_STATE(6331)] = 276215,
  [SMALL_STATE(6332)] = 276271,
  [SMALL_STATE(6333)] = 276327,
  [SMALL_STATE(6334)] = 276383,
  [SMALL_STATE(6335)] = 276439,
  [SMALL_STATE(6336)] = 276495,
  [SMALL_STATE(6337)] = 276551,
  [SMALL_STATE(6338)] = 276607,
  [SMALL_STATE(6339)] = 276663,
  [SMALL_STATE(6340)] = 276719,
  [SMALL_STATE(6341)] = 276775,
  [SMALL_STATE(6342)] = 276831,
  [SMALL_STATE(6343)] = 276887,
  [SMALL_STATE(6344)] = 276943,
  [SMALL_STATE(6345)] = 276999,
  [SMALL_STATE(6346)] = 277061,
  [SMALL_STATE(6347)] = 277117,
  [SMALL_STATE(6348)] = 277173,
  [SMALL_STATE(6349)] = 277229,
  [SMALL_STATE(6350)] = 277285,
  [SMALL_STATE(6351)] = 277341,
  [SMALL_STATE(6352)] = 277397,
  [SMALL_STATE(6353)] = 277453,
  [SMALL_STATE(6354)] = 277509,
  [SMALL_STATE(6355)] = 277565,
  [SMALL_STATE(6356)] = 277621,
  [SMALL_STATE(6357)] = 277677,
  [SMALL_STATE(6358)] = 277739,
  [SMALL_STATE(6359)] = 277795,
  [SMALL_STATE(6360)] = 277851,
  [SMALL_STATE(6361)] = 277907,
  [SMALL_STATE(6362)] = 277963,
  [SMALL_STATE(6363)] = 278019,
  [SMALL_STATE(6364)] = 278081,
  [SMALL_STATE(6365)] = 278137,
  [SMALL_STATE(6366)] = 278193,
  [SMALL_STATE(6367)] = 278249,
  [SMALL_STATE(6368)] = 278305,
  [SMALL_STATE(6369)] = 278361,
  [SMALL_STATE(6370)] = 278417,
  [SMALL_STATE(6371)] = 278473,
  [SMALL_STATE(6372)] = 278529,
  [SMALL_STATE(6373)] = 278585,
  [SMALL_STATE(6374)] = 278641,
  [SMALL_STATE(6375)] = 278697,
  [SMALL_STATE(6376)] = 278755,
  [SMALL_STATE(6377)] = 278811,
  [SMALL_STATE(6378)] = 278867,
  [SMALL_STATE(6379)] = 278923,
  [SMALL_STATE(6380)] = 278979,
  [SMALL_STATE(6381)] = 279035,
  [SMALL_STATE(6382)] = 279091,
  [SMALL_STATE(6383)] = 279147,
  [SMALL_STATE(6384)] = 279203,
  [SMALL_STATE(6385)] = 279259,
  [SMALL_STATE(6386)] = 279315,
  [SMALL_STATE(6387)] = 279371,
  [SMALL_STATE(6388)] = 279427,
  [SMALL_STATE(6389)] = 279483,
  [SMALL_STATE(6390)] = 279539,
  [SMALL_STATE(6391)] = 279595,
  [SMALL_STATE(6392)] = 279651,
  [SMALL_STATE(6393)] = 279707,
  [SMALL_STATE(6394)] = 279763,
  [SMALL_STATE(6395)] = 279819,
  [SMALL_STATE(6396)] = 279875,
  [SMALL_STATE(6397)] = 279931,
  [SMALL_STATE(6398)] = 279987,
  [SMALL_STATE(6399)] = 280045,
  [SMALL_STATE(6400)] = 280101,
  [SMALL_STATE(6401)] = 280157,
  [SMALL_STATE(6402)] = 280213,
  [SMALL_STATE(6403)] = 280269,
  [SMALL_STATE(6404)] = 280325,
  [SMALL_STATE(6405)] = 280381,
  [SMALL_STATE(6406)] = 280437,
  [SMALL_STATE(6407)] = 280493,
  [SMALL_STATE(6408)] = 280549,
  [SMALL_STATE(6409)] = 280605,
  [SMALL_STATE(6410)] = 280661,
  [SMALL_STATE(6411)] = 280717,
  [SMALL_STATE(6412)] = 280773,
  [SMALL_STATE(6413)] = 280829,
  [SMALL_STATE(6414)] = 280885,
  [SMALL_STATE(6415)] = 280947,
  [SMALL_STATE(6416)] = 281003,
  [SMALL_STATE(6417)] = 281059,
  [SMALL_STATE(6418)] = 281115,
  [SMALL_STATE(6419)] = 281171,
  [SMALL_STATE(6420)] = 281227,
  [SMALL_STATE(6421)] = 281283,
  [SMALL_STATE(6422)] = 281339,
  [SMALL_STATE(6423)] = 281395,
  [SMALL_STATE(6424)] = 281451,
  [SMALL_STATE(6425)] = 281507,
  [SMALL_STATE(6426)] = 281563,
  [SMALL_STATE(6427)] = 281619,
  [SMALL_STATE(6428)] = 281675,
  [SMALL_STATE(6429)] = 281731,
  [SMALL_STATE(6430)] = 281787,
  [SMALL_STATE(6431)] = 281843,
  [SMALL_STATE(6432)] = 281899,
  [SMALL_STATE(6433)] = 281955,
  [SMALL_STATE(6434)] = 282011,
  [SMALL_STATE(6435)] = 282067,
  [SMALL_STATE(6436)] = 282123,
  [SMALL_STATE(6437)] = 282179,
  [SMALL_STATE(6438)] = 282235,
  [SMALL_STATE(6439)] = 282291,
  [SMALL_STATE(6440)] = 282347,
  [SMALL_STATE(6441)] = 282403,
  [SMALL_STATE(6442)] = 282459,
  [SMALL_STATE(6443)] = 282515,
  [SMALL_STATE(6444)] = 282571,
  [SMALL_STATE(6445)] = 282627,
  [SMALL_STATE(6446)] = 282683,
  [SMALL_STATE(6447)] = 282739,
  [SMALL_STATE(6448)] = 282795,
  [SMALL_STATE(6449)] = 282903,
  [SMALL_STATE(6450)] = 282959,
  [SMALL_STATE(6451)] = 283017,
  [SMALL_STATE(6452)] = 283073,
  [SMALL_STATE(6453)] = 283131,
  [SMALL_STATE(6454)] = 283187,
  [SMALL_STATE(6455)] = 283243,
  [SMALL_STATE(6456)] = 283299,
  [SMALL_STATE(6457)] = 283407,
  [SMALL_STATE(6458)] = 283463,
  [SMALL_STATE(6459)] = 283519,
  [SMALL_STATE(6460)] = 283575,
  [SMALL_STATE(6461)] = 283631,
  [SMALL_STATE(6462)] = 283687,
  [SMALL_STATE(6463)] = 283743,
  [SMALL_STATE(6464)] = 283799,
  [SMALL_STATE(6465)] = 283855,
  [SMALL_STATE(6466)] = 283911,
  [SMALL_STATE(6467)] = 283967,
  [SMALL_STATE(6468)] = 284023,
  [SMALL_STATE(6469)] = 284079,
  [SMALL_STATE(6470)] = 284135,
  [SMALL_STATE(6471)] = 284191,
  [SMALL_STATE(6472)] = 284247,
  [SMALL_STATE(6473)] = 284303,
  [SMALL_STATE(6474)] = 284359,
  [SMALL_STATE(6475)] = 284415,
  [SMALL_STATE(6476)] = 284477,
  [SMALL_STATE(6477)] = 284535,
  [SMALL_STATE(6478)] = 284591,
  [SMALL_STATE(6479)] = 284647,
  [SMALL_STATE(6480)] = 284703,
  [SMALL_STATE(6481)] = 284759,
  [SMALL_STATE(6482)] = 284821,
  [SMALL_STATE(6483)] = 284877,
  [SMALL_STATE(6484)] = 284933,
  [SMALL_STATE(6485)] = 285041,
  [SMALL_STATE(6486)] = 285097,
  [SMALL_STATE(6487)] = 285153,
  [SMALL_STATE(6488)] = 285261,
  [SMALL_STATE(6489)] = 285317,
  [SMALL_STATE(6490)] = 285373,
  [SMALL_STATE(6491)] = 285429,
  [SMALL_STATE(6492)] = 285485,
  [SMALL_STATE(6493)] = 285593,
  [SMALL_STATE(6494)] = 285649,
  [SMALL_STATE(6495)] = 285705,
  [SMALL_STATE(6496)] = 285761,
  [SMALL_STATE(6497)] = 285817,
  [SMALL_STATE(6498)] = 285873,
  [SMALL_STATE(6499)] = 285929,
  [SMALL_STATE(6500)] = 285985,
  [SMALL_STATE(6501)] = 286041,
  [SMALL_STATE(6502)] = 286097,
  [SMALL_STATE(6503)] = 286153,
  [SMALL_STATE(6504)] = 286209,
  [SMALL_STATE(6505)] = 286265,
  [SMALL_STATE(6506)] = 286321,
  [SMALL_STATE(6507)] = 286377,
  [SMALL_STATE(6508)] = 286435,
  [SMALL_STATE(6509)] = 286491,
  [SMALL_STATE(6510)] = 286547,
  [SMALL_STATE(6511)] = 286603,
  [SMALL_STATE(6512)] = 286659,
  [SMALL_STATE(6513)] = 286715,
  [SMALL_STATE(6514)] = 286773,
  [SMALL_STATE(6515)] = 286829,
  [SMALL_STATE(6516)] = 286887,
  [SMALL_STATE(6517)] = 286943,
  [SMALL_STATE(6518)] = 286999,
  [SMALL_STATE(6519)] = 287061,
  [SMALL_STATE(6520)] = 287117,
  [SMALL_STATE(6521)] = 287173,
  [SMALL_STATE(6522)] = 287229,
  [SMALL_STATE(6523)] = 287285,
  [SMALL_STATE(6524)] = 287341,
  [SMALL_STATE(6525)] = 287397,
  [SMALL_STATE(6526)] = 287453,
  [SMALL_STATE(6527)] = 287509,
  [SMALL_STATE(6528)] = 287565,
  [SMALL_STATE(6529)] = 287621,
  [SMALL_STATE(6530)] = 287677,
  [SMALL_STATE(6531)] = 287733,
  [SMALL_STATE(6532)] = 287789,
  [SMALL_STATE(6533)] = 287845,
  [SMALL_STATE(6534)] = 287903,
  [SMALL_STATE(6535)] = 287959,
  [SMALL_STATE(6536)] = 288015,
  [SMALL_STATE(6537)] = 288071,
  [SMALL_STATE(6538)] = 288127,
  [SMALL_STATE(6539)] = 288183,
  [SMALL_STATE(6540)] = 288239,
  [SMALL_STATE(6541)] = 288295,
  [SMALL_STATE(6542)] = 288351,
  [SMALL_STATE(6543)] = 288407,
  [SMALL_STATE(6544)] = 288469,
  [SMALL_STATE(6545)] = 288525,
  [SMALL_STATE(6546)] = 288581,
  [SMALL_STATE(6547)] = 288637,
  [SMALL_STATE(6548)] = 288693,
  [SMALL_STATE(6549)] = 288749,
  [SMALL_STATE(6550)] = 288805,
  [SMALL_STATE(6551)] = 288861,
  [SMALL_STATE(6552)] = 288919,
  [SMALL_STATE(6553)] = 288975,
  [SMALL_STATE(6554)] = 289031,
  [SMALL_STATE(6555)] = 289087,
  [SMALL_STATE(6556)] = 289143,
  [SMALL_STATE(6557)] = 289199,
  [SMALL_STATE(6558)] = 289255,
  [SMALL_STATE(6559)] = 289311,
  [SMALL_STATE(6560)] = 289367,
  [SMALL_STATE(6561)] = 289423,
  [SMALL_STATE(6562)] = 289479,
  [SMALL_STATE(6563)] = 289535,
  [SMALL_STATE(6564)] = 289593,
  [SMALL_STATE(6565)] = 289651,
  [SMALL_STATE(6566)] = 289709,
  [SMALL_STATE(6567)] = 289767,
  [SMALL_STATE(6568)] = 289823,
  [SMALL_STATE(6569)] = 289879,
  [SMALL_STATE(6570)] = 289935,
  [SMALL_STATE(6571)] = 289993,
  [SMALL_STATE(6572)] = 290049,
  [SMALL_STATE(6573)] = 290105,
  [SMALL_STATE(6574)] = 290161,
  [SMALL_STATE(6575)] = 290217,
  [SMALL_STATE(6576)] = 290273,
  [SMALL_STATE(6577)] = 290329,
  [SMALL_STATE(6578)] = 290385,
  [SMALL_STATE(6579)] = 290441,
  [SMALL_STATE(6580)] = 290497,
  [SMALL_STATE(6581)] = 290555,
  [SMALL_STATE(6582)] = 290611,
  [SMALL_STATE(6583)] = 290669,
  [SMALL_STATE(6584)] = 290725,
  [SMALL_STATE(6585)] = 290787,
  [SMALL_STATE(6586)] = 290843,
  [SMALL_STATE(6587)] = 290899,
  [SMALL_STATE(6588)] = 290955,
  [SMALL_STATE(6589)] = 291011,
  [SMALL_STATE(6590)] = 291067,
  [SMALL_STATE(6591)] = 291123,
  [SMALL_STATE(6592)] = 291181,
  [SMALL_STATE(6593)] = 291237,
  [SMALL_STATE(6594)] = 291293,
  [SMALL_STATE(6595)] = 291349,
  [SMALL_STATE(6596)] = 291405,
  [SMALL_STATE(6597)] = 291461,
  [SMALL_STATE(6598)] = 291517,
  [SMALL_STATE(6599)] = 291573,
  [SMALL_STATE(6600)] = 291629,
  [SMALL_STATE(6601)] = 291685,
  [SMALL_STATE(6602)] = 291741,
  [SMALL_STATE(6603)] = 291797,
  [SMALL_STATE(6604)] = 291853,
  [SMALL_STATE(6605)] = 291909,
  [SMALL_STATE(6606)] = 292017,
  [SMALL_STATE(6607)] = 292125,
  [SMALL_STATE(6608)] = 292181,
  [SMALL_STATE(6609)] = 292237,
  [SMALL_STATE(6610)] = 292293,
  [SMALL_STATE(6611)] = 292348,
  [SMALL_STATE(6612)] = 292403,
  [SMALL_STATE(6613)] = 292458,
  [SMALL_STATE(6614)] = 292513,
  [SMALL_STATE(6615)] = 292568,
  [SMALL_STATE(6616)] = 292623,
  [SMALL_STATE(6617)] = 292678,
  [SMALL_STATE(6618)] = 292733,
  [SMALL_STATE(6619)] = 292788,
  [SMALL_STATE(6620)] = 292843,
  [SMALL_STATE(6621)] = 292898,
  [SMALL_STATE(6622)] = 292953,
  [SMALL_STATE(6623)] = 293008,
  [SMALL_STATE(6624)] = 293063,
  [SMALL_STATE(6625)] = 293120,
  [SMALL_STATE(6626)] = 293175,
  [SMALL_STATE(6627)] = 293230,
  [SMALL_STATE(6628)] = 293285,
  [SMALL_STATE(6629)] = 293340,
  [SMALL_STATE(6630)] = 293395,
  [SMALL_STATE(6631)] = 293450,
  [SMALL_STATE(6632)] = 293505,
  [SMALL_STATE(6633)] = 293560,
  [SMALL_STATE(6634)] = 293615,
  [SMALL_STATE(6635)] = 293720,
  [SMALL_STATE(6636)] = 293775,
  [SMALL_STATE(6637)] = 293830,
  [SMALL_STATE(6638)] = 293885,
  [SMALL_STATE(6639)] = 293940,
  [SMALL_STATE(6640)] = 293995,
  [SMALL_STATE(6641)] = 294050,
  [SMALL_STATE(6642)] = 294105,
  [SMALL_STATE(6643)] = 294160,
  [SMALL_STATE(6644)] = 294215,
  [SMALL_STATE(6645)] = 294270,
  [SMALL_STATE(6646)] = 294325,
  [SMALL_STATE(6647)] = 294380,
  [SMALL_STATE(6648)] = 294435,
  [SMALL_STATE(6649)] = 294490,
  [SMALL_STATE(6650)] = 294545,
  [SMALL_STATE(6651)] = 294600,
  [SMALL_STATE(6652)] = 294655,
  [SMALL_STATE(6653)] = 294710,
  [SMALL_STATE(6654)] = 294765,
  [SMALL_STATE(6655)] = 294820,
  [SMALL_STATE(6656)] = 294875,
  [SMALL_STATE(6657)] = 294930,
  [SMALL_STATE(6658)] = 294985,
  [SMALL_STATE(6659)] = 295040,
  [SMALL_STATE(6660)] = 295095,
  [SMALL_STATE(6661)] = 295150,
  [SMALL_STATE(6662)] = 295205,
  [SMALL_STATE(6663)] = 295260,
  [SMALL_STATE(6664)] = 295317,
  [SMALL_STATE(6665)] = 295372,
  [SMALL_STATE(6666)] = 295427,
  [SMALL_STATE(6667)] = 295532,
  [SMALL_STATE(6668)] = 295587,
  [SMALL_STATE(6669)] = 295642,
  [SMALL_STATE(6670)] = 295697,
  [SMALL_STATE(6671)] = 295752,
  [SMALL_STATE(6672)] = 295807,
  [SMALL_STATE(6673)] = 295862,
  [SMALL_STATE(6674)] = 295917,
  [SMALL_STATE(6675)] = 295972,
  [SMALL_STATE(6676)] = 296027,
  [SMALL_STATE(6677)] = 296082,
  [SMALL_STATE(6678)] = 296139,
  [SMALL_STATE(6679)] = 296194,
  [SMALL_STATE(6680)] = 296251,
  [SMALL_STATE(6681)] = 296306,
  [SMALL_STATE(6682)] = 296363,
  [SMALL_STATE(6683)] = 296418,
  [SMALL_STATE(6684)] = 296473,
  [SMALL_STATE(6685)] = 296528,
  [SMALL_STATE(6686)] = 296583,
  [SMALL_STATE(6687)] = 296638,
  [SMALL_STATE(6688)] = 296693,
  [SMALL_STATE(6689)] = 296748,
  [SMALL_STATE(6690)] = 296803,
  [SMALL_STATE(6691)] = 296858,
  [SMALL_STATE(6692)] = 296913,
  [SMALL_STATE(6693)] = 296968,
  [SMALL_STATE(6694)] = 297023,
  [SMALL_STATE(6695)] = 297078,
  [SMALL_STATE(6696)] = 297133,
  [SMALL_STATE(6697)] = 297190,
  [SMALL_STATE(6698)] = 297245,
  [SMALL_STATE(6699)] = 297300,
  [SMALL_STATE(6700)] = 297355,
  [SMALL_STATE(6701)] = 297410,
  [SMALL_STATE(6702)] = 297465,
  [SMALL_STATE(6703)] = 297520,
  [SMALL_STATE(6704)] = 297575,
  [SMALL_STATE(6705)] = 297630,
  [SMALL_STATE(6706)] = 297687,
  [SMALL_STATE(6707)] = 297742,
  [SMALL_STATE(6708)] = 297797,
  [SMALL_STATE(6709)] = 297852,
  [SMALL_STATE(6710)] = 297907,
  [SMALL_STATE(6711)] = 297962,
  [SMALL_STATE(6712)] = 298017,
  [SMALL_STATE(6713)] = 298072,
  [SMALL_STATE(6714)] = 298127,
  [SMALL_STATE(6715)] = 298182,
  [SMALL_STATE(6716)] = 298237,
  [SMALL_STATE(6717)] = 298292,
  [SMALL_STATE(6718)] = 298347,
  [SMALL_STATE(6719)] = 298402,
  [SMALL_STATE(6720)] = 298459,
  [SMALL_STATE(6721)] = 298514,
  [SMALL_STATE(6722)] = 298569,
  [SMALL_STATE(6723)] = 298624,
  [SMALL_STATE(6724)] = 298679,
  [SMALL_STATE(6725)] = 298734,
  [SMALL_STATE(6726)] = 298789,
  [SMALL_STATE(6727)] = 298844,
  [SMALL_STATE(6728)] = 298899,
  [SMALL_STATE(6729)] = 298954,
  [SMALL_STATE(6730)] = 299009,
  [SMALL_STATE(6731)] = 299070,
  [SMALL_STATE(6732)] = 299125,
  [SMALL_STATE(6733)] = 299180,
  [SMALL_STATE(6734)] = 299235,
  [SMALL_STATE(6735)] = 299290,
  [SMALL_STATE(6736)] = 299347,
  [SMALL_STATE(6737)] = 299452,
  [SMALL_STATE(6738)] = 299507,
  [SMALL_STATE(6739)] = 299562,
  [SMALL_STATE(6740)] = 299617,
  [SMALL_STATE(6741)] = 299672,
  [SMALL_STATE(6742)] = 299727,
  [SMALL_STATE(6743)] = 299782,
  [SMALL_STATE(6744)] = 299837,
  [SMALL_STATE(6745)] = 299892,
  [SMALL_STATE(6746)] = 299947,
  [SMALL_STATE(6747)] = 300002,
  [SMALL_STATE(6748)] = 300057,
  [SMALL_STATE(6749)] = 300112,
  [SMALL_STATE(6750)] = 300167,
  [SMALL_STATE(6751)] = 300222,
  [SMALL_STATE(6752)] = 300277,
  [SMALL_STATE(6753)] = 300332,
  [SMALL_STATE(6754)] = 300387,
  [SMALL_STATE(6755)] = 300442,
  [SMALL_STATE(6756)] = 300497,
  [SMALL_STATE(6757)] = 300552,
  [SMALL_STATE(6758)] = 300609,
  [SMALL_STATE(6759)] = 300664,
  [SMALL_STATE(6760)] = 300719,
  [SMALL_STATE(6761)] = 300774,
  [SMALL_STATE(6762)] = 300829,
  [SMALL_STATE(6763)] = 300884,
  [SMALL_STATE(6764)] = 300939,
  [SMALL_STATE(6765)] = 300994,
  [SMALL_STATE(6766)] = 301049,
  [SMALL_STATE(6767)] = 301104,
  [SMALL_STATE(6768)] = 301159,
  [SMALL_STATE(6769)] = 301214,
  [SMALL_STATE(6770)] = 301269,
  [SMALL_STATE(6771)] = 301324,
  [SMALL_STATE(6772)] = 301379,
  [SMALL_STATE(6773)] = 301434,
  [SMALL_STATE(6774)] = 301489,
  [SMALL_STATE(6775)] = 301544,
  [SMALL_STATE(6776)] = 301599,
  [SMALL_STATE(6777)] = 301654,
  [SMALL_STATE(6778)] = 301709,
  [SMALL_STATE(6779)] = 301764,
  [SMALL_STATE(6780)] = 301819,
  [SMALL_STATE(6781)] = 301874,
  [SMALL_STATE(6782)] = 301935,
  [SMALL_STATE(6783)] = 301990,
  [SMALL_STATE(6784)] = 302045,
  [SMALL_STATE(6785)] = 302100,
  [SMALL_STATE(6786)] = 302155,
  [SMALL_STATE(6787)] = 302210,
  [SMALL_STATE(6788)] = 302265,
  [SMALL_STATE(6789)] = 302326,
  [SMALL_STATE(6790)] = 302381,
  [SMALL_STATE(6791)] = 302436,
  [SMALL_STATE(6792)] = 302491,
  [SMALL_STATE(6793)] = 302546,
  [SMALL_STATE(6794)] = 302601,
  [SMALL_STATE(6795)] = 302656,
  [SMALL_STATE(6796)] = 302711,
  [SMALL_STATE(6797)] = 302766,
  [SMALL_STATE(6798)] = 302821,
  [SMALL_STATE(6799)] = 302876,
  [SMALL_STATE(6800)] = 302931,
  [SMALL_STATE(6801)] = 302986,
  [SMALL_STATE(6802)] = 303041,
  [SMALL_STATE(6803)] = 303096,
  [SMALL_STATE(6804)] = 303151,
  [SMALL_STATE(6805)] = 303206,
  [SMALL_STATE(6806)] = 303261,
  [SMALL_STATE(6807)] = 303316,
  [SMALL_STATE(6808)] = 303371,
  [SMALL_STATE(6809)] = 303426,
  [SMALL_STATE(6810)] = 303481,
  [SMALL_STATE(6811)] = 303536,
  [SMALL_STATE(6812)] = 303591,
  [SMALL_STATE(6813)] = 303648,
  [SMALL_STATE(6814)] = 303703,
  [SMALL_STATE(6815)] = 303760,
  [SMALL_STATE(6816)] = 303815,
  [SMALL_STATE(6817)] = 303870,
  [SMALL_STATE(6818)] = 303925,
  [SMALL_STATE(6819)] = 303980,
  [SMALL_STATE(6820)] = 304035,
  [SMALL_STATE(6821)] = 304090,
  [SMALL_STATE(6822)] = 304145,
  [SMALL_STATE(6823)] = 304200,
  [SMALL_STATE(6824)] = 304255,
  [SMALL_STATE(6825)] = 304310,
  [SMALL_STATE(6826)] = 304367,
  [SMALL_STATE(6827)] = 304422,
  [SMALL_STATE(6828)] = 304477,
  [SMALL_STATE(6829)] = 304532,
  [SMALL_STATE(6830)] = 304587,
  [SMALL_STATE(6831)] = 304642,
  [SMALL_STATE(6832)] = 304697,
  [SMALL_STATE(6833)] = 304752,
  [SMALL_STATE(6834)] = 304807,
  [SMALL_STATE(6835)] = 304862,
  [SMALL_STATE(6836)] = 304917,
  [SMALL_STATE(6837)] = 304972,
  [SMALL_STATE(6838)] = 305029,
  [SMALL_STATE(6839)] = 305134,
  [SMALL_STATE(6840)] = 305189,
  [SMALL_STATE(6841)] = 305244,
  [SMALL_STATE(6842)] = 305299,
  [SMALL_STATE(6843)] = 305354,
  [SMALL_STATE(6844)] = 305409,
  [SMALL_STATE(6845)] = 305464,
  [SMALL_STATE(6846)] = 305519,
  [SMALL_STATE(6847)] = 305574,
  [SMALL_STATE(6848)] = 305679,
  [SMALL_STATE(6849)] = 305784,
  [SMALL_STATE(6850)] = 305839,
  [SMALL_STATE(6851)] = 305894,
  [SMALL_STATE(6852)] = 305949,
  [SMALL_STATE(6853)] = 306004,
  [SMALL_STATE(6854)] = 306059,
  [SMALL_STATE(6855)] = 306114,
  [SMALL_STATE(6856)] = 306169,
  [SMALL_STATE(6857)] = 306224,
  [SMALL_STATE(6858)] = 306279,
  [SMALL_STATE(6859)] = 306334,
  [SMALL_STATE(6860)] = 306389,
  [SMALL_STATE(6861)] = 306444,
  [SMALL_STATE(6862)] = 306499,
  [SMALL_STATE(6863)] = 306554,
  [SMALL_STATE(6864)] = 306609,
  [SMALL_STATE(6865)] = 306664,
  [SMALL_STATE(6866)] = 306719,
  [SMALL_STATE(6867)] = 306774,
  [SMALL_STATE(6868)] = 306831,
  [SMALL_STATE(6869)] = 306886,
  [SMALL_STATE(6870)] = 306941,
  [SMALL_STATE(6871)] = 306996,
  [SMALL_STATE(6872)] = 307051,
  [SMALL_STATE(6873)] = 307106,
  [SMALL_STATE(6874)] = 307163,
  [SMALL_STATE(6875)] = 307224,
  [SMALL_STATE(6876)] = 307279,
  [SMALL_STATE(6877)] = 307334,
  [SMALL_STATE(6878)] = 307389,
  [SMALL_STATE(6879)] = 307444,
  [SMALL_STATE(6880)] = 307499,
  [SMALL_STATE(6881)] = 307554,
  [SMALL_STATE(6882)] = 307609,
  [SMALL_STATE(6883)] = 307664,
  [SMALL_STATE(6884)] = 307719,
  [SMALL_STATE(6885)] = 307774,
  [SMALL_STATE(6886)] = 307829,
  [SMALL_STATE(6887)] = 307884,
  [SMALL_STATE(6888)] = 307939,
  [SMALL_STATE(6889)] = 307994,
  [SMALL_STATE(6890)] = 308049,
  [SMALL_STATE(6891)] = 308104,
  [SMALL_STATE(6892)] = 308159,
  [SMALL_STATE(6893)] = 308214,
  [SMALL_STATE(6894)] = 308269,
  [SMALL_STATE(6895)] = 308324,
  [SMALL_STATE(6896)] = 308379,
  [SMALL_STATE(6897)] = 308436,
  [SMALL_STATE(6898)] = 308497,
  [SMALL_STATE(6899)] = 308552,
  [SMALL_STATE(6900)] = 308607,
  [SMALL_STATE(6901)] = 308662,
  [SMALL_STATE(6902)] = 308717,
  [SMALL_STATE(6903)] = 308772,
  [SMALL_STATE(6904)] = 308827,
  [SMALL_STATE(6905)] = 308888,
  [SMALL_STATE(6906)] = 308943,
  [SMALL_STATE(6907)] = 308998,
  [SMALL_STATE(6908)] = 309053,
  [SMALL_STATE(6909)] = 309108,
  [SMALL_STATE(6910)] = 309163,
  [SMALL_STATE(6911)] = 309218,
  [SMALL_STATE(6912)] = 309273,
  [SMALL_STATE(6913)] = 309328,
  [SMALL_STATE(6914)] = 309383,
  [SMALL_STATE(6915)] = 309444,
  [SMALL_STATE(6916)] = 309499,
  [SMALL_STATE(6917)] = 309554,
  [SMALL_STATE(6918)] = 309609,
  [SMALL_STATE(6919)] = 309664,
  [SMALL_STATE(6920)] = 309719,
  [SMALL_STATE(6921)] = 309774,
  [SMALL_STATE(6922)] = 309829,
  [SMALL_STATE(6923)] = 309884,
  [SMALL_STATE(6924)] = 309939,
  [SMALL_STATE(6925)] = 309994,
  [SMALL_STATE(6926)] = 310049,
  [SMALL_STATE(6927)] = 310104,
  [SMALL_STATE(6928)] = 310159,
  [SMALL_STATE(6929)] = 310214,
  [SMALL_STATE(6930)] = 310269,
  [SMALL_STATE(6931)] = 310324,
  [SMALL_STATE(6932)] = 310379,
  [SMALL_STATE(6933)] = 310434,
  [SMALL_STATE(6934)] = 310489,
  [SMALL_STATE(6935)] = 310544,
  [SMALL_STATE(6936)] = 310599,
  [SMALL_STATE(6937)] = 310654,
  [SMALL_STATE(6938)] = 310715,
  [SMALL_STATE(6939)] = 310770,
  [SMALL_STATE(6940)] = 310825,
  [SMALL_STATE(6941)] = 310880,
  [SMALL_STATE(6942)] = 310935,
  [SMALL_STATE(6943)] = 310990,
  [SMALL_STATE(6944)] = 311045,
  [SMALL_STATE(6945)] = 311100,
  [SMALL_STATE(6946)] = 311155,
  [SMALL_STATE(6947)] = 311210,
  [SMALL_STATE(6948)] = 311265,
  [SMALL_STATE(6949)] = 311320,
  [SMALL_STATE(6950)] = 311375,
  [SMALL_STATE(6951)] = 311436,
  [SMALL_STATE(6952)] = 311491,
  [SMALL_STATE(6953)] = 311546,
  [SMALL_STATE(6954)] = 311601,
  [SMALL_STATE(6955)] = 311706,
  [SMALL_STATE(6956)] = 311761,
  [SMALL_STATE(6957)] = 311816,
  [SMALL_STATE(6958)] = 311871,
  [SMALL_STATE(6959)] = 311926,
  [SMALL_STATE(6960)] = 311981,
  [SMALL_STATE(6961)] = 312036,
  [SMALL_STATE(6962)] = 312093,
  [SMALL_STATE(6963)] = 312148,
  [SMALL_STATE(6964)] = 312203,
  [SMALL_STATE(6965)] = 312258,
  [SMALL_STATE(6966)] = 312313,
  [SMALL_STATE(6967)] = 312368,
  [SMALL_STATE(6968)] = 312423,
  [SMALL_STATE(6969)] = 312478,
  [SMALL_STATE(6970)] = 312533,
  [SMALL_STATE(6971)] = 312588,
  [SMALL_STATE(6972)] = 312645,
  [SMALL_STATE(6973)] = 312700,
  [SMALL_STATE(6974)] = 312755,
  [SMALL_STATE(6975)] = 312810,
  [SMALL_STATE(6976)] = 312865,
  [SMALL_STATE(6977)] = 312920,
  [SMALL_STATE(6978)] = 312975,
  [SMALL_STATE(6979)] = 313030,
  [SMALL_STATE(6980)] = 313085,
  [SMALL_STATE(6981)] = 313140,
  [SMALL_STATE(6982)] = 313195,
  [SMALL_STATE(6983)] = 313250,
  [SMALL_STATE(6984)] = 313305,
  [SMALL_STATE(6985)] = 313360,
  [SMALL_STATE(6986)] = 313417,
  [SMALL_STATE(6987)] = 313472,
  [SMALL_STATE(6988)] = 313527,
  [SMALL_STATE(6989)] = 313582,
  [SMALL_STATE(6990)] = 313637,
  [SMALL_STATE(6991)] = 313692,
  [SMALL_STATE(6992)] = 313747,
  [SMALL_STATE(6993)] = 313802,
  [SMALL_STATE(6994)] = 313857,
  [SMALL_STATE(6995)] = 313912,
  [SMALL_STATE(6996)] = 313967,
  [SMALL_STATE(6997)] = 314022,
  [SMALL_STATE(6998)] = 314077,
  [SMALL_STATE(6999)] = 314132,
  [SMALL_STATE(7000)] = 314237,
  [SMALL_STATE(7001)] = 314292,
  [SMALL_STATE(7002)] = 314347,
  [SMALL_STATE(7003)] = 314402,
  [SMALL_STATE(7004)] = 314457,
  [SMALL_STATE(7005)] = 314512,
  [SMALL_STATE(7006)] = 314569,
  [SMALL_STATE(7007)] = 314626,
  [SMALL_STATE(7008)] = 314681,
  [SMALL_STATE(7009)] = 314736,
  [SMALL_STATE(7010)] = 314791,
  [SMALL_STATE(7011)] = 314846,
  [SMALL_STATE(7012)] = 314901,
  [SMALL_STATE(7013)] = 314956,
  [SMALL_STATE(7014)] = 315011,
  [SMALL_STATE(7015)] = 315066,
  [SMALL_STATE(7016)] = 315121,
  [SMALL_STATE(7017)] = 315176,
  [SMALL_STATE(7018)] = 315231,
  [SMALL_STATE(7019)] = 315286,
  [SMALL_STATE(7020)] = 315341,
  [SMALL_STATE(7021)] = 315396,
  [SMALL_STATE(7022)] = 315451,
  [SMALL_STATE(7023)] = 315506,
  [SMALL_STATE(7024)] = 315561,
  [SMALL_STATE(7025)] = 315616,
  [SMALL_STATE(7026)] = 315671,
  [SMALL_STATE(7027)] = 315726,
  [SMALL_STATE(7028)] = 315781,
  [SMALL_STATE(7029)] = 315836,
  [SMALL_STATE(7030)] = 315891,
  [SMALL_STATE(7031)] = 315946,
  [SMALL_STATE(7032)] = 316001,
  [SMALL_STATE(7033)] = 316056,
  [SMALL_STATE(7034)] = 316111,
  [SMALL_STATE(7035)] = 316166,
  [SMALL_STATE(7036)] = 316221,
  [SMALL_STATE(7037)] = 316276,
  [SMALL_STATE(7038)] = 316331,
  [SMALL_STATE(7039)] = 316386,
  [SMALL_STATE(7040)] = 316441,
  [SMALL_STATE(7041)] = 316496,
  [SMALL_STATE(7042)] = 316551,
  [SMALL_STATE(7043)] = 316606,
  [SMALL_STATE(7044)] = 316661,
  [SMALL_STATE(7045)] = 316716,
  [SMALL_STATE(7046)] = 316771,
  [SMALL_STATE(7047)] = 316826,
  [SMALL_STATE(7048)] = 316881,
  [SMALL_STATE(7049)] = 316936,
  [SMALL_STATE(7050)] = 316991,
  [SMALL_STATE(7051)] = 317052,
  [SMALL_STATE(7052)] = 317107,
  [SMALL_STATE(7053)] = 317162,
  [SMALL_STATE(7054)] = 317217,
  [SMALL_STATE(7055)] = 317272,
  [SMALL_STATE(7056)] = 317327,
  [SMALL_STATE(7057)] = 317382,
  [SMALL_STATE(7058)] = 317439,
  [SMALL_STATE(7059)] = 317494,
  [SMALL_STATE(7060)] = 317549,
  [SMALL_STATE(7061)] = 317604,
  [SMALL_STATE(7062)] = 317659,
  [SMALL_STATE(7063)] = 317714,
  [SMALL_STATE(7064)] = 317769,
  [SMALL_STATE(7065)] = 317824,
  [SMALL_STATE(7066)] = 317879,
  [SMALL_STATE(7067)] = 317934,
  [SMALL_STATE(7068)] = 317989,
  [SMALL_STATE(7069)] = 318044,
  [SMALL_STATE(7070)] = 318099,
  [SMALL_STATE(7071)] = 318154,
  [SMALL_STATE(7072)] = 318209,
  [SMALL_STATE(7073)] = 318264,
  [SMALL_STATE(7074)] = 318319,
  [SMALL_STATE(7075)] = 318374,
  [SMALL_STATE(7076)] = 318429,
  [SMALL_STATE(7077)] = 318484,
  [SMALL_STATE(7078)] = 318539,
  [SMALL_STATE(7079)] = 318594,
  [SMALL_STATE(7080)] = 318649,
  [SMALL_STATE(7081)] = 318704,
  [SMALL_STATE(7082)] = 318759,
  [SMALL_STATE(7083)] = 318820,
  [SMALL_STATE(7084)] = 318875,
  [SMALL_STATE(7085)] = 318930,
  [SMALL_STATE(7086)] = 318985,
  [SMALL_STATE(7087)] = 319040,
  [SMALL_STATE(7088)] = 319097,
  [SMALL_STATE(7089)] = 319152,
  [SMALL_STATE(7090)] = 319207,
  [SMALL_STATE(7091)] = 319262,
  [SMALL_STATE(7092)] = 319317,
  [SMALL_STATE(7093)] = 319372,
  [SMALL_STATE(7094)] = 319427,
  [SMALL_STATE(7095)] = 319488,
  [SMALL_STATE(7096)] = 319543,
  [SMALL_STATE(7097)] = 319598,
  [SMALL_STATE(7098)] = 319653,
  [SMALL_STATE(7099)] = 319708,
  [SMALL_STATE(7100)] = 319763,
  [SMALL_STATE(7101)] = 319818,
  [SMALL_STATE(7102)] = 319873,
  [SMALL_STATE(7103)] = 319934,
  [SMALL_STATE(7104)] = 319989,
  [SMALL_STATE(7105)] = 320044,
  [SMALL_STATE(7106)] = 320099,
  [SMALL_STATE(7107)] = 320154,
  [SMALL_STATE(7108)] = 320209,
  [SMALL_STATE(7109)] = 320266,
  [SMALL_STATE(7110)] = 320321,
  [SMALL_STATE(7111)] = 320376,
  [SMALL_STATE(7112)] = 320431,
  [SMALL_STATE(7113)] = 320486,
  [SMALL_STATE(7114)] = 320541,
  [SMALL_STATE(7115)] = 320596,
  [SMALL_STATE(7116)] = 320651,
  [SMALL_STATE(7117)] = 320706,
  [SMALL_STATE(7118)] = 320761,
  [SMALL_STATE(7119)] = 320818,
  [SMALL_STATE(7120)] = 320873,
  [SMALL_STATE(7121)] = 320928,
  [SMALL_STATE(7122)] = 320983,
  [SMALL_STATE(7123)] = 321038,
  [SMALL_STATE(7124)] = 321093,
  [SMALL_STATE(7125)] = 321148,
  [SMALL_STATE(7126)] = 321203,
  [SMALL_STATE(7127)] = 321260,
  [SMALL_STATE(7128)] = 321315,
  [SMALL_STATE(7129)] = 321370,
  [SMALL_STATE(7130)] = 321425,
  [SMALL_STATE(7131)] = 321480,
  [SMALL_STATE(7132)] = 321535,
  [SMALL_STATE(7133)] = 321590,
  [SMALL_STATE(7134)] = 321645,
  [SMALL_STATE(7135)] = 321700,
  [SMALL_STATE(7136)] = 321755,
  [SMALL_STATE(7137)] = 321810,
  [SMALL_STATE(7138)] = 321865,
  [SMALL_STATE(7139)] = 321920,
  [SMALL_STATE(7140)] = 321975,
  [SMALL_STATE(7141)] = 322030,
  [SMALL_STATE(7142)] = 322087,
  [SMALL_STATE(7143)] = 322142,
  [SMALL_STATE(7144)] = 322199,
  [SMALL_STATE(7145)] = 322256,
  [SMALL_STATE(7146)] = 322311,
  [SMALL_STATE(7147)] = 322366,
  [SMALL_STATE(7148)] = 322421,
  [SMALL_STATE(7149)] = 322482,
  [SMALL_STATE(7150)] = 322537,
  [SMALL_STATE(7151)] = 322592,
  [SMALL_STATE(7152)] = 322647,
  [SMALL_STATE(7153)] = 322702,
  [SMALL_STATE(7154)] = 322757,
  [SMALL_STATE(7155)] = 322812,
  [SMALL_STATE(7156)] = 322867,
  [SMALL_STATE(7157)] = 322921,
  [SMALL_STATE(7158)] = 322975,
  [SMALL_STATE(7159)] = 323029,
  [SMALL_STATE(7160)] = 323083,
  [SMALL_STATE(7161)] = 323137,
  [SMALL_STATE(7162)] = 323191,
  [SMALL_STATE(7163)] = 323245,
  [SMALL_STATE(7164)] = 323299,
  [SMALL_STATE(7165)] = 323353,
  [SMALL_STATE(7166)] = 323407,
  [SMALL_STATE(7167)] = 323461,
  [SMALL_STATE(7168)] = 323515,
  [SMALL_STATE(7169)] = 323569,
  [SMALL_STATE(7170)] = 323623,
  [SMALL_STATE(7171)] = 323677,
  [SMALL_STATE(7172)] = 323731,
  [SMALL_STATE(7173)] = 323785,
  [SMALL_STATE(7174)] = 323839,
  [SMALL_STATE(7175)] = 323893,
  [SMALL_STATE(7176)] = 323947,
  [SMALL_STATE(7177)] = 324001,
  [SMALL_STATE(7178)] = 324055,
  [SMALL_STATE(7179)] = 324109,
  [SMALL_STATE(7180)] = 324163,
  [SMALL_STATE(7181)] = 324217,
  [SMALL_STATE(7182)] = 324271,
  [SMALL_STATE(7183)] = 324325,
  [SMALL_STATE(7184)] = 324379,
  [SMALL_STATE(7185)] = 324433,
  [SMALL_STATE(7186)] = 324487,
  [SMALL_STATE(7187)] = 324541,
  [SMALL_STATE(7188)] = 324595,
  [SMALL_STATE(7189)] = 324649,
  [SMALL_STATE(7190)] = 324703,
  [SMALL_STATE(7191)] = 324757,
  [SMALL_STATE(7192)] = 324811,
  [SMALL_STATE(7193)] = 324865,
  [SMALL_STATE(7194)] = 324919,
  [SMALL_STATE(7195)] = 324975,
  [SMALL_STATE(7196)] = 325029,
  [SMALL_STATE(7197)] = 325083,
  [SMALL_STATE(7198)] = 325137,
  [SMALL_STATE(7199)] = 325193,
  [SMALL_STATE(7200)] = 325247,
  [SMALL_STATE(7201)] = 325301,
  [SMALL_STATE(7202)] = 325355,
  [SMALL_STATE(7203)] = 325409,
  [SMALL_STATE(7204)] = 325463,
  [SMALL_STATE(7205)] = 325517,
  [SMALL_STATE(7206)] = 325571,
  [SMALL_STATE(7207)] = 325625,
  [SMALL_STATE(7208)] = 325679,
  [SMALL_STATE(7209)] = 325733,
  [SMALL_STATE(7210)] = 325787,
  [SMALL_STATE(7211)] = 325841,
  [SMALL_STATE(7212)] = 325895,
  [SMALL_STATE(7213)] = 325949,
  [SMALL_STATE(7214)] = 326005,
  [SMALL_STATE(7215)] = 326059,
  [SMALL_STATE(7216)] = 326113,
  [SMALL_STATE(7217)] = 326167,
  [SMALL_STATE(7218)] = 326221,
  [SMALL_STATE(7219)] = 326275,
  [SMALL_STATE(7220)] = 326329,
  [SMALL_STATE(7221)] = 326383,
  [SMALL_STATE(7222)] = 326437,
  [SMALL_STATE(7223)] = 326491,
  [SMALL_STATE(7224)] = 326545,
  [SMALL_STATE(7225)] = 326599,
  [SMALL_STATE(7226)] = 326655,
  [SMALL_STATE(7227)] = 326709,
  [SMALL_STATE(7228)] = 326763,
  [SMALL_STATE(7229)] = 326817,
  [SMALL_STATE(7230)] = 326871,
  [SMALL_STATE(7231)] = 326925,
  [SMALL_STATE(7232)] = 326979,
  [SMALL_STATE(7233)] = 327033,
  [SMALL_STATE(7234)] = 327087,
  [SMALL_STATE(7235)] = 327141,
  [SMALL_STATE(7236)] = 327195,
  [SMALL_STATE(7237)] = 327249,
  [SMALL_STATE(7238)] = 327303,
  [SMALL_STATE(7239)] = 327357,
  [SMALL_STATE(7240)] = 327411,
  [SMALL_STATE(7241)] = 327465,
  [SMALL_STATE(7242)] = 327519,
  [SMALL_STATE(7243)] = 327575,
  [SMALL_STATE(7244)] = 327629,
  [SMALL_STATE(7245)] = 327683,
  [SMALL_STATE(7246)] = 327737,
  [SMALL_STATE(7247)] = 327791,
  [SMALL_STATE(7248)] = 327845,
  [SMALL_STATE(7249)] = 327899,
  [SMALL_STATE(7250)] = 327953,
  [SMALL_STATE(7251)] = 328007,
  [SMALL_STATE(7252)] = 328061,
  [SMALL_STATE(7253)] = 328115,
  [SMALL_STATE(7254)] = 328169,
  [SMALL_STATE(7255)] = 328223,
  [SMALL_STATE(7256)] = 328277,
  [SMALL_STATE(7257)] = 328331,
  [SMALL_STATE(7258)] = 328385,
  [SMALL_STATE(7259)] = 328439,
  [SMALL_STATE(7260)] = 328493,
  [SMALL_STATE(7261)] = 328547,
  [SMALL_STATE(7262)] = 328603,
  [SMALL_STATE(7263)] = 328657,
  [SMALL_STATE(7264)] = 328711,
  [SMALL_STATE(7265)] = 328765,
  [SMALL_STATE(7266)] = 328821,
  [SMALL_STATE(7267)] = 328875,
  [SMALL_STATE(7268)] = 328929,
  [SMALL_STATE(7269)] = 328983,
  [SMALL_STATE(7270)] = 329037,
  [SMALL_STATE(7271)] = 329093,
  [SMALL_STATE(7272)] = 329147,
  [SMALL_STATE(7273)] = 329201,
  [SMALL_STATE(7274)] = 329255,
  [SMALL_STATE(7275)] = 329309,
  [SMALL_STATE(7276)] = 329363,
  [SMALL_STATE(7277)] = 329417,
  [SMALL_STATE(7278)] = 329471,
  [SMALL_STATE(7279)] = 329525,
  [SMALL_STATE(7280)] = 329579,
  [SMALL_STATE(7281)] = 329633,
  [SMALL_STATE(7282)] = 329687,
  [SMALL_STATE(7283)] = 329743,
  [SMALL_STATE(7284)] = 329797,
  [SMALL_STATE(7285)] = 329851,
  [SMALL_STATE(7286)] = 329905,
  [SMALL_STATE(7287)] = 329959,
  [SMALL_STATE(7288)] = 330013,
  [SMALL_STATE(7289)] = 330067,
  [SMALL_STATE(7290)] = 330121,
  [SMALL_STATE(7291)] = 330175,
  [SMALL_STATE(7292)] = 330235,
  [SMALL_STATE(7293)] = 330295,
  [SMALL_STATE(7294)] = 330349,
  [SMALL_STATE(7295)] = 330403,
  [SMALL_STATE(7296)] = 330459,
  [SMALL_STATE(7297)] = 330513,
  [SMALL_STATE(7298)] = 330567,
  [SMALL_STATE(7299)] = 330621,
  [SMALL_STATE(7300)] = 330675,
  [SMALL_STATE(7301)] = 330729,
  [SMALL_STATE(7302)] = 330785,
  [SMALL_STATE(7303)] = 330839,
  [SMALL_STATE(7304)] = 330893,
  [SMALL_STATE(7305)] = 330947,
  [SMALL_STATE(7306)] = 331001,
  [SMALL_STATE(7307)] = 331055,
  [SMALL_STATE(7308)] = 331111,
  [SMALL_STATE(7309)] = 331165,
  [SMALL_STATE(7310)] = 331219,
  [SMALL_STATE(7311)] = 331273,
  [SMALL_STATE(7312)] = 331329,
  [SMALL_STATE(7313)] = 331383,
  [SMALL_STATE(7314)] = 331437,
  [SMALL_STATE(7315)] = 331491,
  [SMALL_STATE(7316)] = 331551,
  [SMALL_STATE(7317)] = 331605,
  [SMALL_STATE(7318)] = 331659,
  [SMALL_STATE(7319)] = 331713,
  [SMALL_STATE(7320)] = 331767,
  [SMALL_STATE(7321)] = 331821,
  [SMALL_STATE(7322)] = 331875,
  [SMALL_STATE(7323)] = 331929,
  [SMALL_STATE(7324)] = 331983,
  [SMALL_STATE(7325)] = 332037,
  [SMALL_STATE(7326)] = 332091,
  [SMALL_STATE(7327)] = 332145,
  [SMALL_STATE(7328)] = 332199,
  [SMALL_STATE(7329)] = 332253,
  [SMALL_STATE(7330)] = 332307,
  [SMALL_STATE(7331)] = 332363,
  [SMALL_STATE(7332)] = 332417,
  [SMALL_STATE(7333)] = 332471,
  [SMALL_STATE(7334)] = 332531,
  [SMALL_STATE(7335)] = 332585,
  [SMALL_STATE(7336)] = 332639,
  [SMALL_STATE(7337)] = 332693,
  [SMALL_STATE(7338)] = 332747,
  [SMALL_STATE(7339)] = 332803,
  [SMALL_STATE(7340)] = 332857,
  [SMALL_STATE(7341)] = 332911,
  [SMALL_STATE(7342)] = 332965,
  [SMALL_STATE(7343)] = 333019,
  [SMALL_STATE(7344)] = 333073,
  [SMALL_STATE(7345)] = 333126,
  [SMALL_STATE(7346)] = 333179,
  [SMALL_STATE(7347)] = 333232,
  [SMALL_STATE(7348)] = 333285,
  [SMALL_STATE(7349)] = 333338,
  [SMALL_STATE(7350)] = 333391,
  [SMALL_STATE(7351)] = 333444,
  [SMALL_STATE(7352)] = 333497,
  [SMALL_STATE(7353)] = 333550,
  [SMALL_STATE(7354)] = 333603,
  [SMALL_STATE(7355)] = 333656,
  [SMALL_STATE(7356)] = 333709,
  [SMALL_STATE(7357)] = 333762,
  [SMALL_STATE(7358)] = 333815,
  [SMALL_STATE(7359)] = 333868,
  [SMALL_STATE(7360)] = 333921,
  [SMALL_STATE(7361)] = 333974,
  [SMALL_STATE(7362)] = 334027,
  [SMALL_STATE(7363)] = 334082,
  [SMALL_STATE(7364)] = 334135,
  [SMALL_STATE(7365)] = 334188,
  [SMALL_STATE(7366)] = 334241,
  [SMALL_STATE(7367)] = 334294,
  [SMALL_STATE(7368)] = 334349,
  [SMALL_STATE(7369)] = 334402,
  [SMALL_STATE(7370)] = 334455,
  [SMALL_STATE(7371)] = 334508,
  [SMALL_STATE(7372)] = 334561,
  [SMALL_STATE(7373)] = 334614,
  [SMALL_STATE(7374)] = 334669,
  [SMALL_STATE(7375)] = 334722,
  [SMALL_STATE(7376)] = 334775,
  [SMALL_STATE(7377)] = 334828,
  [SMALL_STATE(7378)] = 334881,
  [SMALL_STATE(7379)] = 334934,
  [SMALL_STATE(7380)] = 334987,
  [SMALL_STATE(7381)] = 335040,
  [SMALL_STATE(7382)] = 335093,
  [SMALL_STATE(7383)] = 335146,
  [SMALL_STATE(7384)] = 335199,
  [SMALL_STATE(7385)] = 335252,
  [SMALL_STATE(7386)] = 335305,
  [SMALL_STATE(7387)] = 335358,
  [SMALL_STATE(7388)] = 335411,
  [SMALL_STATE(7389)] = 335464,
  [SMALL_STATE(7390)] = 335517,
  [SMALL_STATE(7391)] = 335570,
  [SMALL_STATE(7392)] = 335623,
  [SMALL_STATE(7393)] = 335676,
  [SMALL_STATE(7394)] = 335729,
  [SMALL_STATE(7395)] = 335782,
  [SMALL_STATE(7396)] = 335835,
  [SMALL_STATE(7397)] = 335888,
  [SMALL_STATE(7398)] = 335941,
  [SMALL_STATE(7399)] = 335994,
  [SMALL_STATE(7400)] = 336047,
  [SMALL_STATE(7401)] = 336100,
  [SMALL_STATE(7402)] = 336153,
  [SMALL_STATE(7403)] = 336206,
  [SMALL_STATE(7404)] = 336259,
  [SMALL_STATE(7405)] = 336312,
  [SMALL_STATE(7406)] = 336365,
  [SMALL_STATE(7407)] = 336418,
  [SMALL_STATE(7408)] = 336471,
  [SMALL_STATE(7409)] = 336524,
  [SMALL_STATE(7410)] = 336577,
  [SMALL_STATE(7411)] = 336630,
  [SMALL_STATE(7412)] = 336683,
  [SMALL_STATE(7413)] = 336736,
  [SMALL_STATE(7414)] = 336789,
  [SMALL_STATE(7415)] = 336842,
  [SMALL_STATE(7416)] = 336895,
  [SMALL_STATE(7417)] = 336948,
  [SMALL_STATE(7418)] = 337001,
  [SMALL_STATE(7419)] = 337056,
  [SMALL_STATE(7420)] = 337109,
  [SMALL_STATE(7421)] = 337162,
  [SMALL_STATE(7422)] = 337215,
  [SMALL_STATE(7423)] = 337270,
  [SMALL_STATE(7424)] = 337323,
  [SMALL_STATE(7425)] = 337376,
  [SMALL_STATE(7426)] = 337429,
  [SMALL_STATE(7427)] = 337482,
  [SMALL_STATE(7428)] = 337535,
  [SMALL_STATE(7429)] = 337588,
  [SMALL_STATE(7430)] = 337641,
  [SMALL_STATE(7431)] = 337694,
  [SMALL_STATE(7432)] = 337747,
  [SMALL_STATE(7433)] = 337800,
  [SMALL_STATE(7434)] = 337855,
  [SMALL_STATE(7435)] = 337908,
  [SMALL_STATE(7436)] = 337961,
  [SMALL_STATE(7437)] = 338014,
  [SMALL_STATE(7438)] = 338067,
  [SMALL_STATE(7439)] = 338120,
  [SMALL_STATE(7440)] = 338173,
  [SMALL_STATE(7441)] = 338226,
  [SMALL_STATE(7442)] = 338281,
  [SMALL_STATE(7443)] = 338334,
  [SMALL_STATE(7444)] = 338387,
  [SMALL_STATE(7445)] = 338440,
  [SMALL_STATE(7446)] = 338493,
  [SMALL_STATE(7447)] = 338546,
  [SMALL_STATE(7448)] = 338599,
  [SMALL_STATE(7449)] = 338652,
  [SMALL_STATE(7450)] = 338705,
  [SMALL_STATE(7451)] = 338758,
  [SMALL_STATE(7452)] = 338811,
  [SMALL_STATE(7453)] = 338864,
  [SMALL_STATE(7454)] = 338917,
  [SMALL_STATE(7455)] = 338970,
  [SMALL_STATE(7456)] = 339023,
  [SMALL_STATE(7457)] = 339076,
  [SMALL_STATE(7458)] = 339131,
  [SMALL_STATE(7459)] = 339184,
  [SMALL_STATE(7460)] = 339243,
  [SMALL_STATE(7461)] = 339302,
  [SMALL_STATE(7462)] = 339355,
  [SMALL_STATE(7463)] = 339408,
  [SMALL_STATE(7464)] = 339461,
  [SMALL_STATE(7465)] = 339514,
  [SMALL_STATE(7466)] = 339567,
  [SMALL_STATE(7467)] = 339620,
  [SMALL_STATE(7468)] = 339673,
  [SMALL_STATE(7469)] = 339726,
  [SMALL_STATE(7470)] = 339779,
  [SMALL_STATE(7471)] = 339832,
  [SMALL_STATE(7472)] = 339885,
  [SMALL_STATE(7473)] = 339938,
  [SMALL_STATE(7474)] = 339991,
  [SMALL_STATE(7475)] = 340044,
  [SMALL_STATE(7476)] = 340097,
  [SMALL_STATE(7477)] = 340150,
  [SMALL_STATE(7478)] = 340203,
  [SMALL_STATE(7479)] = 340256,
  [SMALL_STATE(7480)] = 340309,
  [SMALL_STATE(7481)] = 340362,
  [SMALL_STATE(7482)] = 340415,
  [SMALL_STATE(7483)] = 340468,
  [SMALL_STATE(7484)] = 340521,
  [SMALL_STATE(7485)] = 340574,
  [SMALL_STATE(7486)] = 340627,
  [SMALL_STATE(7487)] = 340680,
  [SMALL_STATE(7488)] = 340733,
  [SMALL_STATE(7489)] = 340786,
  [SMALL_STATE(7490)] = 340845,
  [SMALL_STATE(7491)] = 340904,
  [SMALL_STATE(7492)] = 340957,
  [SMALL_STATE(7493)] = 341010,
  [SMALL_STATE(7494)] = 341063,
  [SMALL_STATE(7495)] = 341116,
  [SMALL_STATE(7496)] = 341169,
  [SMALL_STATE(7497)] = 341222,
  [SMALL_STATE(7498)] = 341275,
  [SMALL_STATE(7499)] = 341328,
  [SMALL_STATE(7500)] = 341381,
  [SMALL_STATE(7501)] = 341434,
  [SMALL_STATE(7502)] = 341487,
  [SMALL_STATE(7503)] = 341540,
  [SMALL_STATE(7504)] = 341593,
  [SMALL_STATE(7505)] = 341646,
  [SMALL_STATE(7506)] = 341699,
  [SMALL_STATE(7507)] = 341752,
  [SMALL_STATE(7508)] = 341805,
  [SMALL_STATE(7509)] = 341858,
  [SMALL_STATE(7510)] = 341911,
  [SMALL_STATE(7511)] = 341964,
  [SMALL_STATE(7512)] = 342017,
  [SMALL_STATE(7513)] = 342070,
  [SMALL_STATE(7514)] = 342123,
  [SMALL_STATE(7515)] = 342176,
  [SMALL_STATE(7516)] = 342229,
  [SMALL_STATE(7517)] = 342282,
  [SMALL_STATE(7518)] = 342335,
  [SMALL_STATE(7519)] = 342388,
  [SMALL_STATE(7520)] = 342441,
  [SMALL_STATE(7521)] = 342494,
  [SMALL_STATE(7522)] = 342547,
  [SMALL_STATE(7523)] = 342600,
  [SMALL_STATE(7524)] = 342653,
  [SMALL_STATE(7525)] = 342706,
  [SMALL_STATE(7526)] = 342759,
  [SMALL_STATE(7527)] = 342812,
  [SMALL_STATE(7528)] = 342865,
  [SMALL_STATE(7529)] = 342918,
  [SMALL_STATE(7530)] = 342971,
  [SMALL_STATE(7531)] = 343024,
  [SMALL_STATE(7532)] = 343077,
  [SMALL_STATE(7533)] = 343130,
  [SMALL_STATE(7534)] = 343183,
  [SMALL_STATE(7535)] = 343236,
  [SMALL_STATE(7536)] = 343289,
  [SMALL_STATE(7537)] = 343342,
  [SMALL_STATE(7538)] = 343395,
  [SMALL_STATE(7539)] = 343448,
  [SMALL_STATE(7540)] = 343501,
  [SMALL_STATE(7541)] = 343554,
  [SMALL_STATE(7542)] = 343609,
  [SMALL_STATE(7543)] = 343662,
  [SMALL_STATE(7544)] = 343715,
  [SMALL_STATE(7545)] = 343774,
  [SMALL_STATE(7546)] = 343833,
  [SMALL_STATE(7547)] = 343886,
  [SMALL_STATE(7548)] = 343939,
  [SMALL_STATE(7549)] = 343992,
  [SMALL_STATE(7550)] = 344045,
  [SMALL_STATE(7551)] = 344098,
  [SMALL_STATE(7552)] = 344153,
  [SMALL_STATE(7553)] = 344206,
  [SMALL_STATE(7554)] = 344259,
  [SMALL_STATE(7555)] = 344312,
  [SMALL_STATE(7556)] = 344365,
  [SMALL_STATE(7557)] = 344418,
  [SMALL_STATE(7558)] = 344471,
  [SMALL_STATE(7559)] = 344524,
  [SMALL_STATE(7560)] = 344577,
  [SMALL_STATE(7561)] = 344630,
  [SMALL_STATE(7562)] = 344683,
  [SMALL_STATE(7563)] = 344736,
  [SMALL_STATE(7564)] = 344789,
  [SMALL_STATE(7565)] = 344842,
  [SMALL_STATE(7566)] = 344895,
  [SMALL_STATE(7567)] = 344948,
  [SMALL_STATE(7568)] = 345001,
  [SMALL_STATE(7569)] = 345054,
  [SMALL_STATE(7570)] = 345107,
  [SMALL_STATE(7571)] = 345160,
  [SMALL_STATE(7572)] = 345213,
  [SMALL_STATE(7573)] = 345268,
  [SMALL_STATE(7574)] = 345327,
  [SMALL_STATE(7575)] = 345386,
  [SMALL_STATE(7576)] = 345439,
  [SMALL_STATE(7577)] = 345492,
  [SMALL_STATE(7578)] = 345545,
  [SMALL_STATE(7579)] = 345598,
  [SMALL_STATE(7580)] = 345651,
  [SMALL_STATE(7581)] = 345704,
  [SMALL_STATE(7582)] = 345757,
  [SMALL_STATE(7583)] = 345810,
  [SMALL_STATE(7584)] = 345863,
  [SMALL_STATE(7585)] = 345916,
  [SMALL_STATE(7586)] = 345969,
  [SMALL_STATE(7587)] = 346022,
  [SMALL_STATE(7588)] = 346075,
  [SMALL_STATE(7589)] = 346128,
  [SMALL_STATE(7590)] = 346181,
  [SMALL_STATE(7591)] = 346234,
  [SMALL_STATE(7592)] = 346287,
  [SMALL_STATE(7593)] = 346339,
  [SMALL_STATE(7594)] = 346391,
  [SMALL_STATE(7595)] = 346491,
  [SMALL_STATE(7596)] = 346545,
  [SMALL_STATE(7597)] = 346645,
  [SMALL_STATE(7598)] = 346745,
  [SMALL_STATE(7599)] = 346845,
  [SMALL_STATE(7600)] = 346897,
  [SMALL_STATE(7601)] = 346997,
  [SMALL_STATE(7602)] = 347097,
  [SMALL_STATE(7603)] = 347149,
  [SMALL_STATE(7604)] = 347203,
  [SMALL_STATE(7605)] = 347303,
  [SMALL_STATE(7606)] = 347403,
  [SMALL_STATE(7607)] = 347503,
  [SMALL_STATE(7608)] = 347603,
  [SMALL_STATE(7609)] = 347657,
  [SMALL_STATE(7610)] = 347757,
  [SMALL_STATE(7611)] = 347809,
  [SMALL_STATE(7612)] = 347909,
  [SMALL_STATE(7613)] = 347961,
  [SMALL_STATE(7614)] = 348015,
  [SMALL_STATE(7615)] = 348067,
  [SMALL_STATE(7616)] = 348119,
  [SMALL_STATE(7617)] = 348171,
  [SMALL_STATE(7618)] = 348223,
  [SMALL_STATE(7619)] = 348277,
  [SMALL_STATE(7620)] = 348329,
  [SMALL_STATE(7621)] = 348381,
  [SMALL_STATE(7622)] = 348433,
  [SMALL_STATE(7623)] = 348485,
  [SMALL_STATE(7624)] = 348585,
  [SMALL_STATE(7625)] = 348685,
  [SMALL_STATE(7626)] = 348737,
  [SMALL_STATE(7627)] = 348837,
  [SMALL_STATE(7628)] = 348937,
  [SMALL_STATE(7629)] = 349037,
  [SMALL_STATE(7630)] = 349137,
  [SMALL_STATE(7631)] = 349191,
  [SMALL_STATE(7632)] = 349243,
  [SMALL_STATE(7633)] = 349295,
  [SMALL_STATE(7634)] = 349347,
  [SMALL_STATE(7635)] = 349399,
  [SMALL_STATE(7636)] = 349451,
  [SMALL_STATE(7637)] = 349551,
  [SMALL_STATE(7638)] = 349651,
  [SMALL_STATE(7639)] = 349703,
  [SMALL_STATE(7640)] = 349803,
  [SMALL_STATE(7641)] = 349855,
  [SMALL_STATE(7642)] = 349955,
  [SMALL_STATE(7643)] = 350055,
  [SMALL_STATE(7644)] = 350155,
  [SMALL_STATE(7645)] = 350207,
  [SMALL_STATE(7646)] = 350307,
  [SMALL_STATE(7647)] = 350359,
  [SMALL_STATE(7648)] = 350459,
  [SMALL_STATE(7649)] = 350510,
  [SMALL_STATE(7650)] = 350561,
  [SMALL_STATE(7651)] = 350658,
  [SMALL_STATE(7652)] = 350709,
  [SMALL_STATE(7653)] = 350760,
  [SMALL_STATE(7654)] = 350857,
  [SMALL_STATE(7655)] = 350954,
  [SMALL_STATE(7656)] = 351005,
  [SMALL_STATE(7657)] = 351056,
  [SMALL_STATE(7658)] = 351153,
  [SMALL_STATE(7659)] = 351250,
  [SMALL_STATE(7660)] = 351301,
  [SMALL_STATE(7661)] = 351394,
  [SMALL_STATE(7662)] = 351491,
  [SMALL_STATE(7663)] = 351542,
  [SMALL_STATE(7664)] = 351593,
  [SMALL_STATE(7665)] = 351690,
  [SMALL_STATE(7666)] = 351787,
  [SMALL_STATE(7667)] = 351884,
  [SMALL_STATE(7668)] = 351981,
  [SMALL_STATE(7669)] = 352078,
  [SMALL_STATE(7670)] = 352171,
  [SMALL_STATE(7671)] = 352264,
  [SMALL_STATE(7672)] = 352315,
  [SMALL_STATE(7673)] = 352366,
  [SMALL_STATE(7674)] = 352463,
  [SMALL_STATE(7675)] = 352556,
  [SMALL_STATE(7676)] = 352607,
  [SMALL_STATE(7677)] = 352700,
  [SMALL_STATE(7678)] = 352797,
  [SMALL_STATE(7679)] = 352894,
  [SMALL_STATE(7680)] = 352945,
  [SMALL_STATE(7681)] = 353042,
  [SMALL_STATE(7682)] = 353093,
  [SMALL_STATE(7683)] = 353190,
  [SMALL_STATE(7684)] = 353287,
  [SMALL_STATE(7685)] = 353344,
  [SMALL_STATE(7686)] = 353441,
  [SMALL_STATE(7687)] = 353492,
  [SMALL_STATE(7688)] = 353543,
  [SMALL_STATE(7689)] = 353594,
  [SMALL_STATE(7690)] = 353645,
  [SMALL_STATE(7691)] = 353696,
  [SMALL_STATE(7692)] = 353747,
  [SMALL_STATE(7693)] = 353798,
  [SMALL_STATE(7694)] = 353849,
  [SMALL_STATE(7695)] = 353946,
  [SMALL_STATE(7696)] = 354043,
  [SMALL_STATE(7697)] = 354094,
  [SMALL_STATE(7698)] = 354145,
  [SMALL_STATE(7699)] = 354242,
  [SMALL_STATE(7700)] = 354299,
  [SMALL_STATE(7701)] = 354392,
  [SMALL_STATE(7702)] = 354489,
  [SMALL_STATE(7703)] = 354588,
  [SMALL_STATE(7704)] = 354639,
  [SMALL_STATE(7705)] = 354732,
  [SMALL_STATE(7706)] = 354829,
  [SMALL_STATE(7707)] = 354880,
  [SMALL_STATE(7708)] = 354977,
  [SMALL_STATE(7709)] = 355074,
  [SMALL_STATE(7710)] = 355171,
  [SMALL_STATE(7711)] = 355222,
  [SMALL_STATE(7712)] = 355273,
  [SMALL_STATE(7713)] = 355324,
  [SMALL_STATE(7714)] = 355375,
  [SMALL_STATE(7715)] = 355426,
  [SMALL_STATE(7716)] = 355477,
  [SMALL_STATE(7717)] = 355574,
  [SMALL_STATE(7718)] = 355625,
  [SMALL_STATE(7719)] = 355722,
  [SMALL_STATE(7720)] = 355773,
  [SMALL_STATE(7721)] = 355870,
  [SMALL_STATE(7722)] = 355967,
  [SMALL_STATE(7723)] = 356064,
  [SMALL_STATE(7724)] = 356115,
  [SMALL_STATE(7725)] = 356166,
  [SMALL_STATE(7726)] = 356217,
  [SMALL_STATE(7727)] = 356268,
  [SMALL_STATE(7728)] = 356319,
  [SMALL_STATE(7729)] = 356370,
  [SMALL_STATE(7730)] = 356421,
  [SMALL_STATE(7731)] = 356472,
  [SMALL_STATE(7732)] = 356523,
  [SMALL_STATE(7733)] = 356574,
  [SMALL_STATE(7734)] = 356625,
  [SMALL_STATE(7735)] = 356676,
  [SMALL_STATE(7736)] = 356727,
  [SMALL_STATE(7737)] = 356778,
  [SMALL_STATE(7738)] = 356829,
  [SMALL_STATE(7739)] = 356880,
  [SMALL_STATE(7740)] = 356931,
  [SMALL_STATE(7741)] = 356982,
  [SMALL_STATE(7742)] = 357033,
  [SMALL_STATE(7743)] = 357084,
  [SMALL_STATE(7744)] = 357135,
  [SMALL_STATE(7745)] = 357186,
  [SMALL_STATE(7746)] = 357237,
  [SMALL_STATE(7747)] = 357288,
  [SMALL_STATE(7748)] = 357339,
  [SMALL_STATE(7749)] = 357390,
  [SMALL_STATE(7750)] = 357441,
  [SMALL_STATE(7751)] = 357492,
  [SMALL_STATE(7752)] = 357589,
  [SMALL_STATE(7753)] = 357682,
  [SMALL_STATE(7754)] = 357733,
  [SMALL_STATE(7755)] = 357784,
  [SMALL_STATE(7756)] = 357835,
  [SMALL_STATE(7757)] = 357886,
  [SMALL_STATE(7758)] = 357979,
  [SMALL_STATE(7759)] = 358030,
  [SMALL_STATE(7760)] = 358081,
  [SMALL_STATE(7761)] = 358174,
  [SMALL_STATE(7762)] = 358225,
  [SMALL_STATE(7763)] = 358276,
  [SMALL_STATE(7764)] = 358327,
  [SMALL_STATE(7765)] = 358424,
  [SMALL_STATE(7766)] = 358475,
  [SMALL_STATE(7767)] = 358526,
  [SMALL_STATE(7768)] = 358579,
  [SMALL_STATE(7769)] = 358630,
  [SMALL_STATE(7770)] = 358727,
  [SMALL_STATE(7771)] = 358824,
  [SMALL_STATE(7772)] = 358875,
  [SMALL_STATE(7773)] = 358972,
  [SMALL_STATE(7774)] = 359023,
  [SMALL_STATE(7775)] = 359074,
  [SMALL_STATE(7776)] = 359125,
  [SMALL_STATE(7777)] = 359176,
  [SMALL_STATE(7778)] = 359227,
  [SMALL_STATE(7779)] = 359324,
  [SMALL_STATE(7780)] = 359375,
  [SMALL_STATE(7781)] = 359426,
  [SMALL_STATE(7782)] = 359477,
  [SMALL_STATE(7783)] = 359528,
  [SMALL_STATE(7784)] = 359579,
  [SMALL_STATE(7785)] = 359630,
  [SMALL_STATE(7786)] = 359681,
  [SMALL_STATE(7787)] = 359732,
  [SMALL_STATE(7788)] = 359783,
  [SMALL_STATE(7789)] = 359834,
  [SMALL_STATE(7790)] = 359885,
  [SMALL_STATE(7791)] = 359936,
  [SMALL_STATE(7792)] = 359987,
  [SMALL_STATE(7793)] = 360038,
  [SMALL_STATE(7794)] = 360135,
  [SMALL_STATE(7795)] = 360186,
  [SMALL_STATE(7796)] = 360283,
  [SMALL_STATE(7797)] = 360334,
  [SMALL_STATE(7798)] = 360385,
  [SMALL_STATE(7799)] = 360436,
  [SMALL_STATE(7800)] = 360487,
  [SMALL_STATE(7801)] = 360538,
  [SMALL_STATE(7802)] = 360589,
  [SMALL_STATE(7803)] = 360640,
  [SMALL_STATE(7804)] = 360691,
  [SMALL_STATE(7805)] = 360742,
  [SMALL_STATE(7806)] = 360793,
  [SMALL_STATE(7807)] = 360844,
  [SMALL_STATE(7808)] = 360895,
  [SMALL_STATE(7809)] = 360992,
  [SMALL_STATE(7810)] = 361043,
  [SMALL_STATE(7811)] = 361094,
  [SMALL_STATE(7812)] = 361191,
  [SMALL_STATE(7813)] = 361242,
  [SMALL_STATE(7814)] = 361293,
  [SMALL_STATE(7815)] = 361390,
  [SMALL_STATE(7816)] = 361441,
  [SMALL_STATE(7817)] = 361492,
  [SMALL_STATE(7818)] = 361585,
  [SMALL_STATE(7819)] = 361636,
  [SMALL_STATE(7820)] = 361687,
  [SMALL_STATE(7821)] = 361738,
  [SMALL_STATE(7822)] = 361789,
  [SMALL_STATE(7823)] = 361840,
  [SMALL_STATE(7824)] = 361891,
  [SMALL_STATE(7825)] = 361988,
  [SMALL_STATE(7826)] = 362039,
  [SMALL_STATE(7827)] = 362090,
  [SMALL_STATE(7828)] = 362141,
  [SMALL_STATE(7829)] = 362192,
  [SMALL_STATE(7830)] = 362243,
  [SMALL_STATE(7831)] = 362342,
  [SMALL_STATE(7832)] = 362393,
  [SMALL_STATE(7833)] = 362444,
  [SMALL_STATE(7834)] = 362495,
  [SMALL_STATE(7835)] = 362548,
  [SMALL_STATE(7836)] = 362599,
  [SMALL_STATE(7837)] = 362698,
  [SMALL_STATE(7838)] = 362749,
  [SMALL_STATE(7839)] = 362800,
  [SMALL_STATE(7840)] = 362851,
  [SMALL_STATE(7841)] = 362902,
  [SMALL_STATE(7842)] = 362999,
  [SMALL_STATE(7843)] = 363050,
  [SMALL_STATE(7844)] = 363105,
  [SMALL_STATE(7845)] = 363160,
  [SMALL_STATE(7846)] = 363253,
  [SMALL_STATE(7847)] = 363304,
  [SMALL_STATE(7848)] = 363355,
  [SMALL_STATE(7849)] = 363406,
  [SMALL_STATE(7850)] = 363457,
  [SMALL_STATE(7851)] = 363550,
  [SMALL_STATE(7852)] = 363601,
  [SMALL_STATE(7853)] = 363652,
  [SMALL_STATE(7854)] = 363703,
  [SMALL_STATE(7855)] = 363754,
  [SMALL_STATE(7856)] = 363805,
  [SMALL_STATE(7857)] = 363858,
  [SMALL_STATE(7858)] = 363909,
  [SMALL_STATE(7859)] = 363960,
  [SMALL_STATE(7860)] = 364059,
  [SMALL_STATE(7861)] = 364110,
  [SMALL_STATE(7862)] = 364161,
  [SMALL_STATE(7863)] = 364212,
  [SMALL_STATE(7864)] = 364263,
  [SMALL_STATE(7865)] = 364314,
  [SMALL_STATE(7866)] = 364407,
  [SMALL_STATE(7867)] = 364504,
  [SMALL_STATE(7868)] = 364601,
  [SMALL_STATE(7869)] = 364652,
  [SMALL_STATE(7870)] = 364703,
  [SMALL_STATE(7871)] = 364796,
  [SMALL_STATE(7872)] = 364893,
  [SMALL_STATE(7873)] = 364990,
  [SMALL_STATE(7874)] = 365041,
  [SMALL_STATE(7875)] = 365138,
  [SMALL_STATE(7876)] = 365235,
  [SMALL_STATE(7877)] = 365286,
  [SMALL_STATE(7878)] = 365337,
  [SMALL_STATE(7879)] = 365388,
  [SMALL_STATE(7880)] = 365439,
  [SMALL_STATE(7881)] = 365490,
  [SMALL_STATE(7882)] = 365587,
  [SMALL_STATE(7883)] = 365684,
  [SMALL_STATE(7884)] = 365735,
  [SMALL_STATE(7885)] = 365786,
  [SMALL_STATE(7886)] = 365837,
  [SMALL_STATE(7887)] = 365888,
  [SMALL_STATE(7888)] = 365939,
  [SMALL_STATE(7889)] = 365990,
  [SMALL_STATE(7890)] = 366041,
  [SMALL_STATE(7891)] = 366138,
  [SMALL_STATE(7892)] = 366189,
  [SMALL_STATE(7893)] = 366286,
  [SMALL_STATE(7894)] = 366337,
  [SMALL_STATE(7895)] = 366388,
  [SMALL_STATE(7896)] = 366439,
  [SMALL_STATE(7897)] = 366490,
  [SMALL_STATE(7898)] = 366541,
  [SMALL_STATE(7899)] = 366592,
  [SMALL_STATE(7900)] = 366643,
  [SMALL_STATE(7901)] = 366694,
  [SMALL_STATE(7902)] = 366745,
  [SMALL_STATE(7903)] = 366796,
  [SMALL_STATE(7904)] = 366847,
  [SMALL_STATE(7905)] = 366898,
  [SMALL_STATE(7906)] = 366949,
  [SMALL_STATE(7907)] = 367000,
  [SMALL_STATE(7908)] = 367079,
  [SMALL_STATE(7909)] = 367130,
  [SMALL_STATE(7910)] = 367227,
  [SMALL_STATE(7911)] = 367278,
  [SMALL_STATE(7912)] = 367329,
  [SMALL_STATE(7913)] = 367426,
  [SMALL_STATE(7914)] = 367477,
  [SMALL_STATE(7915)] = 367528,
  [SMALL_STATE(7916)] = 367579,
  [SMALL_STATE(7917)] = 367630,
  [SMALL_STATE(7918)] = 367727,
  [SMALL_STATE(7919)] = 367778,
  [SMALL_STATE(7920)] = 367871,
  [SMALL_STATE(7921)] = 367922,
  [SMALL_STATE(7922)] = 367973,
  [SMALL_STATE(7923)] = 368070,
  [SMALL_STATE(7924)] = 368149,
  [SMALL_STATE(7925)] = 368248,
  [SMALL_STATE(7926)] = 368299,
  [SMALL_STATE(7927)] = 368350,
  [SMALL_STATE(7928)] = 368401,
  [SMALL_STATE(7929)] = 368494,
  [SMALL_STATE(7930)] = 368545,
  [SMALL_STATE(7931)] = 368642,
  [SMALL_STATE(7932)] = 368739,
  [SMALL_STATE(7933)] = 368836,
  [SMALL_STATE(7934)] = 368887,
  [SMALL_STATE(7935)] = 368938,
  [SMALL_STATE(7936)] = 369035,
  [SMALL_STATE(7937)] = 369086,
  [SMALL_STATE(7938)] = 369137,
  [SMALL_STATE(7939)] = 369188,
  [SMALL_STATE(7940)] = 369239,
  [SMALL_STATE(7941)] = 369290,
  [SMALL_STATE(7942)] = 369341,
  [SMALL_STATE(7943)] = 369392,
  [SMALL_STATE(7944)] = 369489,
  [SMALL_STATE(7945)] = 369542,
  [SMALL_STATE(7946)] = 369593,
  [SMALL_STATE(7947)] = 369644,
  [SMALL_STATE(7948)] = 369695,
  [SMALL_STATE(7949)] = 369792,
  [SMALL_STATE(7950)] = 369843,
  [SMALL_STATE(7951)] = 369936,
  [SMALL_STATE(7952)] = 370033,
  [SMALL_STATE(7953)] = 370084,
  [SMALL_STATE(7954)] = 370177,
  [SMALL_STATE(7955)] = 370228,
  [SMALL_STATE(7956)] = 370279,
  [SMALL_STATE(7957)] = 370376,
  [SMALL_STATE(7958)] = 370473,
  [SMALL_STATE(7959)] = 370524,
  [SMALL_STATE(7960)] = 370575,
  [SMALL_STATE(7961)] = 370626,
  [SMALL_STATE(7962)] = 370677,
  [SMALL_STATE(7963)] = 370728,
  [SMALL_STATE(7964)] = 370779,
  [SMALL_STATE(7965)] = 370830,
  [SMALL_STATE(7966)] = 370881,
  [SMALL_STATE(7967)] = 370932,
  [SMALL_STATE(7968)] = 371025,
  [SMALL_STATE(7969)] = 371076,
  [SMALL_STATE(7970)] = 371173,
  [SMALL_STATE(7971)] = 371224,
  [SMALL_STATE(7972)] = 371274,
  [SMALL_STATE(7973)] = 371368,
  [SMALL_STATE(7974)] = 371418,
  [SMALL_STATE(7975)] = 371512,
  [SMALL_STATE(7976)] = 371606,
  [SMALL_STATE(7977)] = 371656,
  [SMALL_STATE(7978)] = 371750,
  [SMALL_STATE(7979)] = 371844,
  [SMALL_STATE(7980)] = 371938,
  [SMALL_STATE(7981)] = 372032,
  [SMALL_STATE(7982)] = 372126,
  [SMALL_STATE(7983)] = 372220,
  [SMALL_STATE(7984)] = 372314,
  [SMALL_STATE(7985)] = 372368,
  [SMALL_STATE(7986)] = 372418,
  [SMALL_STATE(7987)] = 372468,
  [SMALL_STATE(7988)] = 372518,
  [SMALL_STATE(7989)] = 372568,
  [SMALL_STATE(7990)] = 372618,
  [SMALL_STATE(7991)] = 372668,
  [SMALL_STATE(7992)] = 372718,
  [SMALL_STATE(7993)] = 372768,
  [SMALL_STATE(7994)] = 372842,
  [SMALL_STATE(7995)] = 372936,
  [SMALL_STATE(7996)] = 372986,
  [SMALL_STATE(7997)] = 373036,
  [SMALL_STATE(7998)] = 373088,
  [SMALL_STATE(7999)] = 373182,
  [SMALL_STATE(8000)] = 373232,
  [SMALL_STATE(8001)] = 373326,
  [SMALL_STATE(8002)] = 373420,
  [SMALL_STATE(8003)] = 373514,
  [SMALL_STATE(8004)] = 373564,
  [SMALL_STATE(8005)] = 373658,
  [SMALL_STATE(8006)] = 373708,
  [SMALL_STATE(8007)] = 373802,
  [SMALL_STATE(8008)] = 373852,
  [SMALL_STATE(8009)] = 373902,
  [SMALL_STATE(8010)] = 373952,
  [SMALL_STATE(8011)] = 374046,
  [SMALL_STATE(8012)] = 374096,
  [SMALL_STATE(8013)] = 374190,
  [SMALL_STATE(8014)] = 374240,
  [SMALL_STATE(8015)] = 374334,
  [SMALL_STATE(8016)] = 374428,
  [SMALL_STATE(8017)] = 374478,
  [SMALL_STATE(8018)] = 374572,
  [SMALL_STATE(8019)] = 374622,
  [SMALL_STATE(8020)] = 374716,
  [SMALL_STATE(8021)] = 374810,
  [SMALL_STATE(8022)] = 374904,
  [SMALL_STATE(8023)] = 374998,
  [SMALL_STATE(8024)] = 375092,
  [SMALL_STATE(8025)] = 375186,
  [SMALL_STATE(8026)] = 375280,
  [SMALL_STATE(8027)] = 375330,
  [SMALL_STATE(8028)] = 375424,
  [SMALL_STATE(8029)] = 375518,
  [SMALL_STATE(8030)] = 375590,
  [SMALL_STATE(8031)] = 375684,
  [SMALL_STATE(8032)] = 375738,
  [SMALL_STATE(8033)] = 375788,
  [SMALL_STATE(8034)] = 375862,
  [SMALL_STATE(8035)] = 375956,
  [SMALL_STATE(8036)] = 376050,
  [SMALL_STATE(8037)] = 376104,
  [SMALL_STATE(8038)] = 376154,
  [SMALL_STATE(8039)] = 376208,
  [SMALL_STATE(8040)] = 376262,
  [SMALL_STATE(8041)] = 376314,
  [SMALL_STATE(8042)] = 376408,
  [SMALL_STATE(8043)] = 376502,
  [SMALL_STATE(8044)] = 376552,
  [SMALL_STATE(8045)] = 376602,
  [SMALL_STATE(8046)] = 376652,
  [SMALL_STATE(8047)] = 376746,
  [SMALL_STATE(8048)] = 376840,
  [SMALL_STATE(8049)] = 376890,
  [SMALL_STATE(8050)] = 376984,
  [SMALL_STATE(8051)] = 377078,
  [SMALL_STATE(8052)] = 377172,
  [SMALL_STATE(8053)] = 377226,
  [SMALL_STATE(8054)] = 377320,
  [SMALL_STATE(8055)] = 377372,
  [SMALL_STATE(8056)] = 377424,
  [SMALL_STATE(8057)] = 377518,
  [SMALL_STATE(8058)] = 377572,
  [SMALL_STATE(8059)] = 377626,
  [SMALL_STATE(8060)] = 377676,
  [SMALL_STATE(8061)] = 377726,
  [SMALL_STATE(8062)] = 377798,
  [SMALL_STATE(8063)] = 377852,
  [SMALL_STATE(8064)] = 377924,
  [SMALL_STATE(8065)] = 377996,
  [SMALL_STATE(8066)] = 378046,
  [SMALL_STATE(8067)] = 378098,
  [SMALL_STATE(8068)] = 378154,
  [SMALL_STATE(8069)] = 378226,
  [SMALL_STATE(8070)] = 378294,
  [SMALL_STATE(8071)] = 378360,
  [SMALL_STATE(8072)] = 378422,
  [SMALL_STATE(8073)] = 378484,
  [SMALL_STATE(8074)] = 378534,
  [SMALL_STATE(8075)] = 378588,
  [SMALL_STATE(8076)] = 378642,
  [SMALL_STATE(8077)] = 378692,
  [SMALL_STATE(8078)] = 378752,
  [SMALL_STATE(8079)] = 378846,
  [SMALL_STATE(8080)] = 378914,
  [SMALL_STATE(8081)] = 378964,
  [SMALL_STATE(8082)] = 379014,
  [SMALL_STATE(8083)] = 379064,
  [SMALL_STATE(8084)] = 379132,
  [SMALL_STATE(8085)] = 379226,
  [SMALL_STATE(8086)] = 379286,
  [SMALL_STATE(8087)] = 379336,
  [SMALL_STATE(8088)] = 379430,
  [SMALL_STATE(8089)] = 379480,
  [SMALL_STATE(8090)] = 379574,
  [SMALL_STATE(8091)] = 379628,
  [SMALL_STATE(8092)] = 379682,
  [SMALL_STATE(8093)] = 379744,
  [SMALL_STATE(8094)] = 379806,
  [SMALL_STATE(8095)] = 379860,
  [SMALL_STATE(8096)] = 379910,
  [SMALL_STATE(8097)] = 379960,
  [SMALL_STATE(8098)] = 380010,
  [SMALL_STATE(8099)] = 380104,
  [SMALL_STATE(8100)] = 380198,
  [SMALL_STATE(8101)] = 380248,
  [SMALL_STATE(8102)] = 380314,
  [SMALL_STATE(8103)] = 380364,
  [SMALL_STATE(8104)] = 380432,
  [SMALL_STATE(8105)] = 380504,
  [SMALL_STATE(8106)] = 380598,
  [SMALL_STATE(8107)] = 380654,
  [SMALL_STATE(8108)] = 380748,
  [SMALL_STATE(8109)] = 380842,
  [SMALL_STATE(8110)] = 380892,
  [SMALL_STATE(8111)] = 380964,
  [SMALL_STATE(8112)] = 381058,
  [SMALL_STATE(8113)] = 381112,
  [SMALL_STATE(8114)] = 381184,
  [SMALL_STATE(8115)] = 381278,
  [SMALL_STATE(8116)] = 381330,
  [SMALL_STATE(8117)] = 381380,
  [SMALL_STATE(8118)] = 381430,
  [SMALL_STATE(8119)] = 381484,
  [SMALL_STATE(8120)] = 381578,
  [SMALL_STATE(8121)] = 381628,
  [SMALL_STATE(8122)] = 381722,
  [SMALL_STATE(8123)] = 381816,
  [SMALL_STATE(8124)] = 381910,
  [SMALL_STATE(8125)] = 382004,
  [SMALL_STATE(8126)] = 382098,
  [SMALL_STATE(8127)] = 382192,
  [SMALL_STATE(8128)] = 382246,
  [SMALL_STATE(8129)] = 382296,
  [SMALL_STATE(8130)] = 382346,
  [SMALL_STATE(8131)] = 382398,
  [SMALL_STATE(8132)] = 382452,
  [SMALL_STATE(8133)] = 382546,
  [SMALL_STATE(8134)] = 382640,
  [SMALL_STATE(8135)] = 382734,
  [SMALL_STATE(8136)] = 382828,
  [SMALL_STATE(8137)] = 382878,
  [SMALL_STATE(8138)] = 382932,
  [SMALL_STATE(8139)] = 382986,
  [SMALL_STATE(8140)] = 383036,
  [SMALL_STATE(8141)] = 383130,
  [SMALL_STATE(8142)] = 383180,
  [SMALL_STATE(8143)] = 383230,
  [SMALL_STATE(8144)] = 383280,
  [SMALL_STATE(8145)] = 383330,
  [SMALL_STATE(8146)] = 383380,
  [SMALL_STATE(8147)] = 383430,
  [SMALL_STATE(8148)] = 383524,
  [SMALL_STATE(8149)] = 383574,
  [SMALL_STATE(8150)] = 383627,
  [SMALL_STATE(8151)] = 383698,
  [SMALL_STATE(8152)] = 383749,
  [SMALL_STATE(8153)] = 383802,
  [SMALL_STATE(8154)] = 383857,
  [SMALL_STATE(8155)] = 383924,
  [SMALL_STATE(8156)] = 383995,
  [SMALL_STATE(8157)] = 384086,
  [SMALL_STATE(8158)] = 384137,
  [SMALL_STATE(8159)] = 384190,
  [SMALL_STATE(8160)] = 384261,
  [SMALL_STATE(8161)] = 384314,
  [SMALL_STATE(8162)] = 384381,
  [SMALL_STATE(8163)] = 384448,
  [SMALL_STATE(8164)] = 384507,
  [SMALL_STATE(8165)] = 384578,
  [SMALL_STATE(8166)] = 384643,
  [SMALL_STATE(8167)] = 384704,
  [SMALL_STATE(8168)] = 384757,
  [SMALL_STATE(8169)] = 384818,
  [SMALL_STATE(8170)] = 384871,
  [SMALL_STATE(8171)] = 384932,
  [SMALL_STATE(8172)] = 384985,
  [SMALL_STATE(8173)] = 385038,
  [SMALL_STATE(8174)] = 385099,
  [SMALL_STATE(8175)] = 385164,
  [SMALL_STATE(8176)] = 385217,
  [SMALL_STATE(8177)] = 385284,
  [SMALL_STATE(8178)] = 385333,
  [SMALL_STATE(8179)] = 385404,
  [SMALL_STATE(8180)] = 385457,
  [SMALL_STATE(8181)] = 385512,
  [SMALL_STATE(8182)] = 385583,
  [SMALL_STATE(8183)] = 385636,
  [SMALL_STATE(8184)] = 385707,
  [SMALL_STATE(8185)] = 385758,
  [SMALL_STATE(8186)] = 385811,
  [SMALL_STATE(8187)] = 385862,
  [SMALL_STATE(8188)] = 385913,
  [SMALL_STATE(8189)] = 385966,
  [SMALL_STATE(8190)] = 386037,
  [SMALL_STATE(8191)] = 386090,
  [SMALL_STATE(8192)] = 386143,
  [SMALL_STATE(8193)] = 386196,
  [SMALL_STATE(8194)] = 386245,
  [SMALL_STATE(8195)] = 386298,
  [SMALL_STATE(8196)] = 386389,
  [SMALL_STATE(8197)] = 386480,
  [SMALL_STATE(8198)] = 386553,
  [SMALL_STATE(8199)] = 386606,
  [SMALL_STATE(8200)] = 386659,
  [SMALL_STATE(8201)] = 386726,
  [SMALL_STATE(8202)] = 386779,
  [SMALL_STATE(8203)] = 386838,
  [SMALL_STATE(8204)] = 386897,
  [SMALL_STATE(8205)] = 386964,
  [SMALL_STATE(8206)] = 387035,
  [SMALL_STATE(8207)] = 387126,
  [SMALL_STATE(8208)] = 387179,
  [SMALL_STATE(8209)] = 387234,
  [SMALL_STATE(8210)] = 387287,
  [SMALL_STATE(8211)] = 387340,
  [SMALL_STATE(8212)] = 387411,
  [SMALL_STATE(8213)] = 387478,
  [SMALL_STATE(8214)] = 387531,
  [SMALL_STATE(8215)] = 387596,
  [SMALL_STATE(8216)] = 387657,
  [SMALL_STATE(8217)] = 387718,
  [SMALL_STATE(8218)] = 387789,
  [SMALL_STATE(8219)] = 387842,
  [SMALL_STATE(8220)] = 387903,
  [SMALL_STATE(8221)] = 387956,
  [SMALL_STATE(8222)] = 388005,
  [SMALL_STATE(8223)] = 388058,
  [SMALL_STATE(8224)] = 388109,
  [SMALL_STATE(8225)] = 388182,
  [SMALL_STATE(8226)] = 388241,
  [SMALL_STATE(8227)] = 388302,
  [SMALL_STATE(8228)] = 388367,
  [SMALL_STATE(8229)] = 388434,
  [SMALL_STATE(8230)] = 388505,
  [SMALL_STATE(8231)] = 388558,
  [SMALL_STATE(8232)] = 388609,
  [SMALL_STATE(8233)] = 388664,
  [SMALL_STATE(8234)] = 388735,
  [SMALL_STATE(8235)] = 388788,
  [SMALL_STATE(8236)] = 388861,
  [SMALL_STATE(8237)] = 388934,
  [SMALL_STATE(8238)] = 388987,
  [SMALL_STATE(8239)] = 389040,
  [SMALL_STATE(8240)] = 389091,
  [SMALL_STATE(8241)] = 389144,
  [SMALL_STATE(8242)] = 389195,
  [SMALL_STATE(8243)] = 389266,
  [SMALL_STATE(8244)] = 389318,
  [SMALL_STATE(8245)] = 389402,
  [SMALL_STATE(8246)] = 389474,
  [SMALL_STATE(8247)] = 389526,
  [SMALL_STATE(8248)] = 389574,
  [SMALL_STATE(8249)] = 389656,
  [SMALL_STATE(8250)] = 389722,
  [SMALL_STATE(8251)] = 389780,
  [SMALL_STATE(8252)] = 389832,
  [SMALL_STATE(8253)] = 389884,
  [SMALL_STATE(8254)] = 389966,
  [SMALL_STATE(8255)] = 390026,
  [SMALL_STATE(8256)] = 390086,
  [SMALL_STATE(8257)] = 390150,
  [SMALL_STATE(8258)] = 390216,
  [SMALL_STATE(8259)] = 390264,
  [SMALL_STATE(8260)] = 390348,
  [SMALL_STATE(8261)] = 390418,
  [SMALL_STATE(8262)] = 390472,
  [SMALL_STATE(8263)] = 390542,
  [SMALL_STATE(8264)] = 390612,
  [SMALL_STATE(8265)] = 390696,
  [SMALL_STATE(8266)] = 390746,
  [SMALL_STATE(8267)] = 390796,
  [SMALL_STATE(8268)] = 390866,
  [SMALL_STATE(8269)] = 390950,
  [SMALL_STATE(8270)] = 391000,
  [SMALL_STATE(8271)] = 391048,
  [SMALL_STATE(8272)] = 391132,
  [SMALL_STATE(8273)] = 391180,
  [SMALL_STATE(8274)] = 391228,
  [SMALL_STATE(8275)] = 391280,
  [SMALL_STATE(8276)] = 391330,
  [SMALL_STATE(8277)] = 391382,
  [SMALL_STATE(8278)] = 391452,
  [SMALL_STATE(8279)] = 391502,
  [SMALL_STATE(8280)] = 391556,
  [SMALL_STATE(8281)] = 391626,
  [SMALL_STATE(8282)] = 391692,
  [SMALL_STATE(8283)] = 391756,
  [SMALL_STATE(8284)] = 391816,
  [SMALL_STATE(8285)] = 391868,
  [SMALL_STATE(8286)] = 391916,
  [SMALL_STATE(8287)] = 391966,
  [SMALL_STATE(8288)] = 392026,
  [SMALL_STATE(8289)] = 392098,
  [SMALL_STATE(8290)] = 392150,
  [SMALL_STATE(8291)] = 392234,
  [SMALL_STATE(8292)] = 392306,
  [SMALL_STATE(8293)] = 392358,
  [SMALL_STATE(8294)] = 392442,
  [SMALL_STATE(8295)] = 392500,
  [SMALL_STATE(8296)] = 392566,
  [SMALL_STATE(8297)] = 392614,
  [SMALL_STATE(8298)] = 392666,
  [SMALL_STATE(8299)] = 392716,
  [SMALL_STATE(8300)] = 392788,
  [SMALL_STATE(8301)] = 392872,
  [SMALL_STATE(8302)] = 392922,
  [SMALL_STATE(8303)] = 392974,
  [SMALL_STATE(8304)] = 393026,
  [SMALL_STATE(8305)] = 393111,
  [SMALL_STATE(8306)] = 393196,
  [SMALL_STATE(8307)] = 393267,
  [SMALL_STATE(8308)] = 393316,
  [SMALL_STATE(8309)] = 393401,
  [SMALL_STATE(8310)] = 393448,
  [SMALL_STATE(8311)] = 393499,
  [SMALL_STATE(8312)] = 393584,
  [SMALL_STATE(8313)] = 393635,
  [SMALL_STATE(8314)] = 393686,
  [SMALL_STATE(8315)] = 393751,
  [SMALL_STATE(8316)] = 393836,
  [SMALL_STATE(8317)] = 393907,
  [SMALL_STATE(8318)] = 393964,
  [SMALL_STATE(8319)] = 394015,
  [SMALL_STATE(8320)] = 394066,
  [SMALL_STATE(8321)] = 394125,
  [SMALL_STATE(8322)] = 394184,
  [SMALL_STATE(8323)] = 394247,
  [SMALL_STATE(8324)] = 394312,
  [SMALL_STATE(8325)] = 394381,
  [SMALL_STATE(8326)] = 394466,
  [SMALL_STATE(8327)] = 394519,
  [SMALL_STATE(8328)] = 394588,
  [SMALL_STATE(8329)] = 394639,
  [SMALL_STATE(8330)] = 394686,
  [SMALL_STATE(8331)] = 394735,
  [SMALL_STATE(8332)] = 394820,
  [SMALL_STATE(8333)] = 394877,
  [SMALL_STATE(8334)] = 394928,
  [SMALL_STATE(8335)] = 395013,
  [SMALL_STATE(8336)] = 395082,
  [SMALL_STATE(8337)] = 395167,
  [SMALL_STATE(8338)] = 395214,
  [SMALL_STATE(8339)] = 395299,
  [SMALL_STATE(8340)] = 395384,
  [SMALL_STATE(8341)] = 395469,
  [SMALL_STATE(8342)] = 395520,
  [SMALL_STATE(8343)] = 395571,
  [SMALL_STATE(8344)] = 395656,
  [SMALL_STATE(8345)] = 395713,
  [SMALL_STATE(8346)] = 395798,
  [SMALL_STATE(8347)] = 395845,
  [SMALL_STATE(8348)] = 395894,
  [SMALL_STATE(8349)] = 395945,
  [SMALL_STATE(8350)] = 396030,
  [SMALL_STATE(8351)] = 396079,
  [SMALL_STATE(8352)] = 396130,
  [SMALL_STATE(8353)] = 396181,
  [SMALL_STATE(8354)] = 396266,
  [SMALL_STATE(8355)] = 396351,
  [SMALL_STATE(8356)] = 396436,
  [SMALL_STATE(8357)] = 396521,
  [SMALL_STATE(8358)] = 396606,
  [SMALL_STATE(8359)] = 396691,
  [SMALL_STATE(8360)] = 396776,
  [SMALL_STATE(8361)] = 396861,
  [SMALL_STATE(8362)] = 396946,
  [SMALL_STATE(8363)] = 397031,
  [SMALL_STATE(8364)] = 397080,
  [SMALL_STATE(8365)] = 397165,
  [SMALL_STATE(8366)] = 397250,
  [SMALL_STATE(8367)] = 397301,
  [SMALL_STATE(8368)] = 397386,
  [SMALL_STATE(8369)] = 397433,
  [SMALL_STATE(8370)] = 397484,
  [SMALL_STATE(8371)] = 397533,
  [SMALL_STATE(8372)] = 397618,
  [SMALL_STATE(8373)] = 397665,
  [SMALL_STATE(8374)] = 397712,
  [SMALL_STATE(8375)] = 397797,
  [SMALL_STATE(8376)] = 397882,
  [SMALL_STATE(8377)] = 397967,
  [SMALL_STATE(8378)] = 398052,
  [SMALL_STATE(8379)] = 398137,
  [SMALL_STATE(8380)] = 398186,
  [SMALL_STATE(8381)] = 398271,
  [SMALL_STATE(8382)] = 398356,
  [SMALL_STATE(8383)] = 398441,
  [SMALL_STATE(8384)] = 398490,
  [SMALL_STATE(8385)] = 398575,
  [SMALL_STATE(8386)] = 398660,
  [SMALL_STATE(8387)] = 398729,
  [SMALL_STATE(8388)] = 398814,
  [SMALL_STATE(8389)] = 398899,
  [SMALL_STATE(8390)] = 398948,
  [SMALL_STATE(8391)] = 398999,
  [SMALL_STATE(8392)] = 399084,
  [SMALL_STATE(8393)] = 399135,
  [SMALL_STATE(8394)] = 399220,
  [SMALL_STATE(8395)] = 399305,
  [SMALL_STATE(8396)] = 399390,
  [SMALL_STATE(8397)] = 399459,
  [SMALL_STATE(8398)] = 399510,
  [SMALL_STATE(8399)] = 399579,
  [SMALL_STATE(8400)] = 399664,
  [SMALL_STATE(8401)] = 399717,
  [SMALL_STATE(8402)] = 399802,
  [SMALL_STATE(8403)] = 399853,
  [SMALL_STATE(8404)] = 399924,
  [SMALL_STATE(8405)] = 399993,
  [SMALL_STATE(8406)] = 400058,
  [SMALL_STATE(8407)] = 400121,
  [SMALL_STATE(8408)] = 400180,
  [SMALL_STATE(8409)] = 400265,
  [SMALL_STATE(8410)] = 400324,
  [SMALL_STATE(8411)] = 400375,
  [SMALL_STATE(8412)] = 400460,
  [SMALL_STATE(8413)] = 400511,
  [SMALL_STATE(8414)] = 400568,
  [SMALL_STATE(8415)] = 400633,
  [SMALL_STATE(8416)] = 400702,
  [SMALL_STATE(8417)] = 400787,
  [SMALL_STATE(8418)] = 400858,
  [SMALL_STATE(8419)] = 400943,
  [SMALL_STATE(8420)] = 401028,
  [SMALL_STATE(8421)] = 401075,
  [SMALL_STATE(8422)] = 401160,
  [SMALL_STATE(8423)] = 401245,
  [SMALL_STATE(8424)] = 401330,
  [SMALL_STATE(8425)] = 401412,
  [SMALL_STATE(8426)] = 401494,
  [SMALL_STATE(8427)] = 401576,
  [SMALL_STATE(8428)] = 401658,
  [SMALL_STATE(8429)] = 401704,
  [SMALL_STATE(8430)] = 401750,
  [SMALL_STATE(8431)] = 401832,
  [SMALL_STATE(8432)] = 401914,
  [SMALL_STATE(8433)] = 401996,
  [SMALL_STATE(8434)] = 402078,
  [SMALL_STATE(8435)] = 402160,
  [SMALL_STATE(8436)] = 402242,
  [SMALL_STATE(8437)] = 402288,
  [SMALL_STATE(8438)] = 402370,
  [SMALL_STATE(8439)] = 402416,
  [SMALL_STATE(8440)] = 402498,
  [SMALL_STATE(8441)] = 402544,
  [SMALL_STATE(8442)] = 402626,
  [SMALL_STATE(8443)] = 402708,
  [SMALL_STATE(8444)] = 402754,
  [SMALL_STATE(8445)] = 402800,
  [SMALL_STATE(8446)] = 402846,
  [SMALL_STATE(8447)] = 402894,
  [SMALL_STATE(8448)] = 402976,
  [SMALL_STATE(8449)] = 403058,
  [SMALL_STATE(8450)] = 403140,
  [SMALL_STATE(8451)] = 403222,
  [SMALL_STATE(8452)] = 403268,
  [SMALL_STATE(8453)] = 403318,
  [SMALL_STATE(8454)] = 403400,
  [SMALL_STATE(8455)] = 403446,
  [SMALL_STATE(8456)] = 403528,
  [SMALL_STATE(8457)] = 403610,
  [SMALL_STATE(8458)] = 403692,
  [SMALL_STATE(8459)] = 403774,
  [SMALL_STATE(8460)] = 403856,
  [SMALL_STATE(8461)] = 403902,
  [SMALL_STATE(8462)] = 403984,
  [SMALL_STATE(8463)] = 404066,
  [SMALL_STATE(8464)] = 404114,
  [SMALL_STATE(8465)] = 404196,
  [SMALL_STATE(8466)] = 404278,
  [SMALL_STATE(8467)] = 404360,
  [SMALL_STATE(8468)] = 404442,
  [SMALL_STATE(8469)] = 404524,
  [SMALL_STATE(8470)] = 404606,
  [SMALL_STATE(8471)] = 404688,
  [SMALL_STATE(8472)] = 404770,
  [SMALL_STATE(8473)] = 404852,
  [SMALL_STATE(8474)] = 404934,
  [SMALL_STATE(8475)] = 404980,
  [SMALL_STATE(8476)] = 405062,
  [SMALL_STATE(8477)] = 405144,
  [SMALL_STATE(8478)] = 405194,
  [SMALL_STATE(8479)] = 405242,
  [SMALL_STATE(8480)] = 405324,
  [SMALL_STATE(8481)] = 405406,
  [SMALL_STATE(8482)] = 405488,
  [SMALL_STATE(8483)] = 405570,
  [SMALL_STATE(8484)] = 405652,
  [SMALL_STATE(8485)] = 405734,
  [SMALL_STATE(8486)] = 405816,
  [SMALL_STATE(8487)] = 405862,
  [SMALL_STATE(8488)] = 405908,
  [SMALL_STATE(8489)] = 405990,
  [SMALL_STATE(8490)] = 406060,
  [SMALL_STATE(8491)] = 406142,
  [SMALL_STATE(8492)] = 406192,
  [SMALL_STATE(8493)] = 406274,
  [SMALL_STATE(8494)] = 406320,
  [SMALL_STATE(8495)] = 406402,
  [SMALL_STATE(8496)] = 406484,
  [SMALL_STATE(8497)] = 406566,
  [SMALL_STATE(8498)] = 406648,
  [SMALL_STATE(8499)] = 406730,
  [SMALL_STATE(8500)] = 406776,
  [SMALL_STATE(8501)] = 406844,
  [SMALL_STATE(8502)] = 406890,
  [SMALL_STATE(8503)] = 406972,
  [SMALL_STATE(8504)] = 407042,
  [SMALL_STATE(8505)] = 407124,
  [SMALL_STATE(8506)] = 407206,
  [SMALL_STATE(8507)] = 407288,
  [SMALL_STATE(8508)] = 407370,
  [SMALL_STATE(8509)] = 407452,
  [SMALL_STATE(8510)] = 407534,
  [SMALL_STATE(8511)] = 407616,
  [SMALL_STATE(8512)] = 407698,
  [SMALL_STATE(8513)] = 407780,
  [SMALL_STATE(8514)] = 407862,
  [SMALL_STATE(8515)] = 407944,
  [SMALL_STATE(8516)] = 408026,
  [SMALL_STATE(8517)] = 408108,
  [SMALL_STATE(8518)] = 408190,
  [SMALL_STATE(8519)] = 408272,
  [SMALL_STATE(8520)] = 408354,
  [SMALL_STATE(8521)] = 408436,
  [SMALL_STATE(8522)] = 408482,
  [SMALL_STATE(8523)] = 408564,
  [SMALL_STATE(8524)] = 408646,
  [SMALL_STATE(8525)] = 408728,
  [SMALL_STATE(8526)] = 408810,
  [SMALL_STATE(8527)] = 408892,
  [SMALL_STATE(8528)] = 408974,
  [SMALL_STATE(8529)] = 409056,
  [SMALL_STATE(8530)] = 409138,
  [SMALL_STATE(8531)] = 409220,
  [SMALL_STATE(8532)] = 409302,
  [SMALL_STATE(8533)] = 409384,
  [SMALL_STATE(8534)] = 409466,
  [SMALL_STATE(8535)] = 409548,
  [SMALL_STATE(8536)] = 409598,
  [SMALL_STATE(8537)] = 409644,
  [SMALL_STATE(8538)] = 409726,
  [SMALL_STATE(8539)] = 409808,
  [SMALL_STATE(8540)] = 409890,
  [SMALL_STATE(8541)] = 409972,
  [SMALL_STATE(8542)] = 410054,
  [SMALL_STATE(8543)] = 410136,
  [SMALL_STATE(8544)] = 410182,
  [SMALL_STATE(8545)] = 410250,
  [SMALL_STATE(8546)] = 410332,
  [SMALL_STATE(8547)] = 410414,
  [SMALL_STATE(8548)] = 410460,
  [SMALL_STATE(8549)] = 410542,
  [SMALL_STATE(8550)] = 410624,
  [SMALL_STATE(8551)] = 410670,
  [SMALL_STATE(8552)] = 410752,
  [SMALL_STATE(8553)] = 410804,
  [SMALL_STATE(8554)] = 410886,
  [SMALL_STATE(8555)] = 410954,
  [SMALL_STATE(8556)] = 411036,
  [SMALL_STATE(8557)] = 411082,
  [SMALL_STATE(8558)] = 411164,
  [SMALL_STATE(8559)] = 411210,
  [SMALL_STATE(8560)] = 411256,
  [SMALL_STATE(8561)] = 411338,
  [SMALL_STATE(8562)] = 411420,
  [SMALL_STATE(8563)] = 411502,
  [SMALL_STATE(8564)] = 411584,
  [SMALL_STATE(8565)] = 411630,
  [SMALL_STATE(8566)] = 411712,
  [SMALL_STATE(8567)] = 411776,
  [SMALL_STATE(8568)] = 411858,
  [SMALL_STATE(8569)] = 411940,
  [SMALL_STATE(8570)] = 412022,
  [SMALL_STATE(8571)] = 412104,
  [SMALL_STATE(8572)] = 412186,
  [SMALL_STATE(8573)] = 412232,
  [SMALL_STATE(8574)] = 412314,
  [SMALL_STATE(8575)] = 412396,
  [SMALL_STATE(8576)] = 412478,
  [SMALL_STATE(8577)] = 412560,
  [SMALL_STATE(8578)] = 412622,
  [SMALL_STATE(8579)] = 412704,
  [SMALL_STATE(8580)] = 412762,
  [SMALL_STATE(8581)] = 412820,
  [SMALL_STATE(8582)] = 412870,
  [SMALL_STATE(8583)] = 412920,
  [SMALL_STATE(8584)] = 412976,
  [SMALL_STATE(8585)] = 413040,
  [SMALL_STATE(8586)] = 413122,
  [SMALL_STATE(8587)] = 413204,
  [SMALL_STATE(8588)] = 413286,
  [SMALL_STATE(8589)] = 413368,
  [SMALL_STATE(8590)] = 413414,
  [SMALL_STATE(8591)] = 413460,
  [SMALL_STATE(8592)] = 413506,
  [SMALL_STATE(8593)] = 413552,
  [SMALL_STATE(8594)] = 413634,
  [SMALL_STATE(8595)] = 413716,
  [SMALL_STATE(8596)] = 413762,
  [SMALL_STATE(8597)] = 413810,
  [SMALL_STATE(8598)] = 413892,
  [SMALL_STATE(8599)] = 413938,
  [SMALL_STATE(8600)] = 414020,
  [SMALL_STATE(8601)] = 414102,
  [SMALL_STATE(8602)] = 414184,
  [SMALL_STATE(8603)] = 414266,
  [SMALL_STATE(8604)] = 414348,
  [SMALL_STATE(8605)] = 414430,
  [SMALL_STATE(8606)] = 414512,
  [SMALL_STATE(8607)] = 414594,
  [SMALL_STATE(8608)] = 414676,
  [SMALL_STATE(8609)] = 414726,
  [SMALL_STATE(8610)] = 414808,
  [SMALL_STATE(8611)] = 414890,
  [SMALL_STATE(8612)] = 414972,
  [SMALL_STATE(8613)] = 415054,
  [SMALL_STATE(8614)] = 415100,
  [SMALL_STATE(8615)] = 415182,
  [SMALL_STATE(8616)] = 415232,
  [SMALL_STATE(8617)] = 415314,
  [SMALL_STATE(8618)] = 415396,
  [SMALL_STATE(8619)] = 415478,
  [SMALL_STATE(8620)] = 415560,
  [SMALL_STATE(8621)] = 415642,
  [SMALL_STATE(8622)] = 415724,
  [SMALL_STATE(8623)] = 415806,
  [SMALL_STATE(8624)] = 415852,
  [SMALL_STATE(8625)] = 415934,
  [SMALL_STATE(8626)] = 416016,
  [SMALL_STATE(8627)] = 416098,
  [SMALL_STATE(8628)] = 416144,
  [SMALL_STATE(8629)] = 416190,
  [SMALL_STATE(8630)] = 416236,
  [SMALL_STATE(8631)] = 416282,
  [SMALL_STATE(8632)] = 416328,
  [SMALL_STATE(8633)] = 416410,
  [SMALL_STATE(8634)] = 416492,
  [SMALL_STATE(8635)] = 416574,
  [SMALL_STATE(8636)] = 416620,
  [SMALL_STATE(8637)] = 416666,
  [SMALL_STATE(8638)] = 416712,
  [SMALL_STATE(8639)] = 416794,
  [SMALL_STATE(8640)] = 416840,
  [SMALL_STATE(8641)] = 416886,
  [SMALL_STATE(8642)] = 416968,
  [SMALL_STATE(8643)] = 417014,
  [SMALL_STATE(8644)] = 417096,
  [SMALL_STATE(8645)] = 417142,
  [SMALL_STATE(8646)] = 417188,
  [SMALL_STATE(8647)] = 417234,
  [SMALL_STATE(8648)] = 417280,
  [SMALL_STATE(8649)] = 417362,
  [SMALL_STATE(8650)] = 417408,
  [SMALL_STATE(8651)] = 417490,
  [SMALL_STATE(8652)] = 417536,
  [SMALL_STATE(8653)] = 417618,
  [SMALL_STATE(8654)] = 417664,
  [SMALL_STATE(8655)] = 417746,
  [SMALL_STATE(8656)] = 417792,
  [SMALL_STATE(8657)] = 417874,
  [SMALL_STATE(8658)] = 417956,
  [SMALL_STATE(8659)] = 418038,
  [SMALL_STATE(8660)] = 418120,
  [SMALL_STATE(8661)] = 418202,
  [SMALL_STATE(8662)] = 418284,
  [SMALL_STATE(8663)] = 418352,
  [SMALL_STATE(8664)] = 418398,
  [SMALL_STATE(8665)] = 418448,
  [SMALL_STATE(8666)] = 418494,
  [SMALL_STATE(8667)] = 418576,
  [SMALL_STATE(8668)] = 418622,
  [SMALL_STATE(8669)] = 418668,
  [SMALL_STATE(8670)] = 418714,
  [SMALL_STATE(8671)] = 418760,
  [SMALL_STATE(8672)] = 418842,
  [SMALL_STATE(8673)] = 418888,
  [SMALL_STATE(8674)] = 418934,
  [SMALL_STATE(8675)] = 418980,
  [SMALL_STATE(8676)] = 419062,
  [SMALL_STATE(8677)] = 419108,
  [SMALL_STATE(8678)] = 419190,
  [SMALL_STATE(8679)] = 419236,
  [SMALL_STATE(8680)] = 419284,
  [SMALL_STATE(8681)] = 419366,
  [SMALL_STATE(8682)] = 419448,
  [SMALL_STATE(8683)] = 419494,
  [SMALL_STATE(8684)] = 419540,
  [SMALL_STATE(8685)] = 419622,
  [SMALL_STATE(8686)] = 419668,
  [SMALL_STATE(8687)] = 419714,
  [SMALL_STATE(8688)] = 419760,
  [SMALL_STATE(8689)] = 419806,
  [SMALL_STATE(8690)] = 419852,
  [SMALL_STATE(8691)] = 419934,
  [SMALL_STATE(8692)] = 419998,
  [SMALL_STATE(8693)] = 420080,
  [SMALL_STATE(8694)] = 420126,
  [SMALL_STATE(8695)] = 420172,
  [SMALL_STATE(8696)] = 420254,
  [SMALL_STATE(8697)] = 420300,
  [SMALL_STATE(8698)] = 420382,
  [SMALL_STATE(8699)] = 420464,
  [SMALL_STATE(8700)] = 420546,
  [SMALL_STATE(8701)] = 420610,
  [SMALL_STATE(8702)] = 420692,
  [SMALL_STATE(8703)] = 420774,
  [SMALL_STATE(8704)] = 420830,
  [SMALL_STATE(8705)] = 420880,
  [SMALL_STATE(8706)] = 420962,
  [SMALL_STATE(8707)] = 421012,
  [SMALL_STATE(8708)] = 421062,
  [SMALL_STATE(8709)] = 421108,
  [SMALL_STATE(8710)] = 421190,
  [SMALL_STATE(8711)] = 421272,
  [SMALL_STATE(8712)] = 421330,
  [SMALL_STATE(8713)] = 421388,
  [SMALL_STATE(8714)] = 421450,
  [SMALL_STATE(8715)] = 421518,
  [SMALL_STATE(8716)] = 421564,
  [SMALL_STATE(8717)] = 421610,
  [SMALL_STATE(8718)] = 421662,
  [SMALL_STATE(8719)] = 421744,
  [SMALL_STATE(8720)] = 421826,
  [SMALL_STATE(8721)] = 421894,
  [SMALL_STATE(8722)] = 421976,
  [SMALL_STATE(8723)] = 422021,
  [SMALL_STATE(8724)] = 422066,
  [SMALL_STATE(8725)] = 422111,
  [SMALL_STATE(8726)] = 422156,
  [SMALL_STATE(8727)] = 422201,
  [SMALL_STATE(8728)] = 422246,
  [SMALL_STATE(8729)] = 422291,
  [SMALL_STATE(8730)] = 422336,
  [SMALL_STATE(8731)] = 422381,
  [SMALL_STATE(8732)] = 422426,
  [SMALL_STATE(8733)] = 422471,
  [SMALL_STATE(8734)] = 422516,
  [SMALL_STATE(8735)] = 422561,
  [SMALL_STATE(8736)] = 422606,
  [SMALL_STATE(8737)] = 422651,
  [SMALL_STATE(8738)] = 422696,
  [SMALL_STATE(8739)] = 422743,
  [SMALL_STATE(8740)] = 422804,
  [SMALL_STATE(8741)] = 422849,
  [SMALL_STATE(8742)] = 422898,
  [SMALL_STATE(8743)] = 422943,
  [SMALL_STATE(8744)] = 422988,
  [SMALL_STATE(8745)] = 423035,
  [SMALL_STATE(8746)] = 423080,
  [SMALL_STATE(8747)] = 423127,
  [SMALL_STATE(8748)] = 423172,
  [SMALL_STATE(8749)] = 423217,
  [SMALL_STATE(8750)] = 423262,
  [SMALL_STATE(8751)] = 423307,
  [SMALL_STATE(8752)] = 423352,
  [SMALL_STATE(8753)] = 423397,
  [SMALL_STATE(8754)] = 423442,
  [SMALL_STATE(8755)] = 423503,
  [SMALL_STATE(8756)] = 423548,
  [SMALL_STATE(8757)] = 423593,
  [SMALL_STATE(8758)] = 423638,
  [SMALL_STATE(8759)] = 423715,
  [SMALL_STATE(8760)] = 423762,
  [SMALL_STATE(8761)] = 423807,
  [SMALL_STATE(8762)] = 423852,
  [SMALL_STATE(8763)] = 423897,
  [SMALL_STATE(8764)] = 423942,
  [SMALL_STATE(8765)] = 424011,
  [SMALL_STATE(8766)] = 424056,
  [SMALL_STATE(8767)] = 424101,
  [SMALL_STATE(8768)] = 424178,
  [SMALL_STATE(8769)] = 424225,
  [SMALL_STATE(8770)] = 424270,
  [SMALL_STATE(8771)] = 424315,
  [SMALL_STATE(8772)] = 424360,
  [SMALL_STATE(8773)] = 424405,
  [SMALL_STATE(8774)] = 424450,
  [SMALL_STATE(8775)] = 424519,
  [SMALL_STATE(8776)] = 424564,
  [SMALL_STATE(8777)] = 424609,
  [SMALL_STATE(8778)] = 424654,
  [SMALL_STATE(8779)] = 424699,
  [SMALL_STATE(8780)] = 424744,
  [SMALL_STATE(8781)] = 424789,
  [SMALL_STATE(8782)] = 424834,
  [SMALL_STATE(8783)] = 424895,
  [SMALL_STATE(8784)] = 424940,
  [SMALL_STATE(8785)] = 424985,
  [SMALL_STATE(8786)] = 425039,
  [SMALL_STATE(8787)] = 425093,
  [SMALL_STATE(8788)] = 425137,
  [SMALL_STATE(8789)] = 425191,
  [SMALL_STATE(8790)] = 425235,
  [SMALL_STATE(8791)] = 425279,
  [SMALL_STATE(8792)] = 425323,
  [SMALL_STATE(8793)] = 425395,
  [SMALL_STATE(8794)] = 425469,
  [SMALL_STATE(8795)] = 425513,
  [SMALL_STATE(8796)] = 425557,
  [SMALL_STATE(8797)] = 425601,
  [SMALL_STATE(8798)] = 425645,
  [SMALL_STATE(8799)] = 425689,
  [SMALL_STATE(8800)] = 425743,
  [SMALL_STATE(8801)] = 425797,
  [SMALL_STATE(8802)] = 425841,
  [SMALL_STATE(8803)] = 425915,
  [SMALL_STATE(8804)] = 425969,
  [SMALL_STATE(8805)] = 426013,
  [SMALL_STATE(8806)] = 426057,
  [SMALL_STATE(8807)] = 426101,
  [SMALL_STATE(8808)] = 426173,
  [SMALL_STATE(8809)] = 426217,
  [SMALL_STATE(8810)] = 426294,
  [SMALL_STATE(8811)] = 426371,
  [SMALL_STATE(8812)] = 426448,
  [SMALL_STATE(8813)] = 426525,
  [SMALL_STATE(8814)] = 426602,
  [SMALL_STATE(8815)] = 426679,
  [SMALL_STATE(8816)] = 426756,
  [SMALL_STATE(8817)] = 426801,
  [SMALL_STATE(8818)] = 426878,
  [SMALL_STATE(8819)] = 426949,
  [SMALL_STATE(8820)] = 427008,
  [SMALL_STATE(8821)] = 427085,
  [SMALL_STATE(8822)] = 427138,
  [SMALL_STATE(8823)] = 427215,
  [SMALL_STATE(8824)] = 427292,
  [SMALL_STATE(8825)] = 427369,
  [SMALL_STATE(8826)] = 427446,
  [SMALL_STATE(8827)] = 427523,
  [SMALL_STATE(8828)] = 427600,
  [SMALL_STATE(8829)] = 427677,
  [SMALL_STATE(8830)] = 427748,
  [SMALL_STATE(8831)] = 427807,
  [SMALL_STATE(8832)] = 427884,
  [SMALL_STATE(8833)] = 427961,
  [SMALL_STATE(8834)] = 428038,
  [SMALL_STATE(8835)] = 428115,
  [SMALL_STATE(8836)] = 428192,
  [SMALL_STATE(8837)] = 428269,
  [SMALL_STATE(8838)] = 428346,
  [SMALL_STATE(8839)] = 428423,
  [SMALL_STATE(8840)] = 428466,
  [SMALL_STATE(8841)] = 428543,
  [SMALL_STATE(8842)] = 428620,
  [SMALL_STATE(8843)] = 428673,
  [SMALL_STATE(8844)] = 428750,
  [SMALL_STATE(8845)] = 428793,
  [SMALL_STATE(8846)] = 428870,
  [SMALL_STATE(8847)] = 428947,
  [SMALL_STATE(8848)] = 429006,
  [SMALL_STATE(8849)] = 429051,
  [SMALL_STATE(8850)] = 429128,
  [SMALL_STATE(8851)] = 429199,
  [SMALL_STATE(8852)] = 429276,
  [SMALL_STATE(8853)] = 429353,
  [SMALL_STATE(8854)] = 429412,
  [SMALL_STATE(8855)] = 429489,
  [SMALL_STATE(8856)] = 429566,
  [SMALL_STATE(8857)] = 429643,
  [SMALL_STATE(8858)] = 429702,
  [SMALL_STATE(8859)] = 429779,
  [SMALL_STATE(8860)] = 429850,
  [SMALL_STATE(8861)] = 429927,
  [SMALL_STATE(8862)] = 430004,
  [SMALL_STATE(8863)] = 430081,
  [SMALL_STATE(8864)] = 430153,
  [SMALL_STATE(8865)] = 430195,
  [SMALL_STATE(8866)] = 430267,
  [SMALL_STATE(8867)] = 430339,
  [SMALL_STATE(8868)] = 430411,
  [SMALL_STATE(8869)] = 430453,
  [SMALL_STATE(8870)] = 430495,
  [SMALL_STATE(8871)] = 430567,
  [SMALL_STATE(8872)] = 430609,
  [SMALL_STATE(8873)] = 430681,
  [SMALL_STATE(8874)] = 430753,
  [SMALL_STATE(8875)] = 430825,
  [SMALL_STATE(8876)] = 430897,
  [SMALL_STATE(8877)] = 430969,
  [SMALL_STATE(8878)] = 431011,
  [SMALL_STATE(8879)] = 431053,
  [SMALL_STATE(8880)] = 431097,
  [SMALL_STATE(8881)] = 431169,
  [SMALL_STATE(8882)] = 431211,
  [SMALL_STATE(8883)] = 431253,
  [SMALL_STATE(8884)] = 431295,
  [SMALL_STATE(8885)] = 431367,
  [SMALL_STATE(8886)] = 431409,
  [SMALL_STATE(8887)] = 431481,
  [SMALL_STATE(8888)] = 431523,
  [SMALL_STATE(8889)] = 431595,
  [SMALL_STATE(8890)] = 431637,
  [SMALL_STATE(8891)] = 431709,
  [SMALL_STATE(8892)] = 431781,
  [SMALL_STATE(8893)] = 431823,
  [SMALL_STATE(8894)] = 431895,
  [SMALL_STATE(8895)] = 431937,
  [SMALL_STATE(8896)] = 431979,
  [SMALL_STATE(8897)] = 432021,
  [SMALL_STATE(8898)] = 432063,
  [SMALL_STATE(8899)] = 432135,
  [SMALL_STATE(8900)] = 432207,
  [SMALL_STATE(8901)] = 432279,
  [SMALL_STATE(8902)] = 432321,
  [SMALL_STATE(8903)] = 432393,
  [SMALL_STATE(8904)] = 432435,
  [SMALL_STATE(8905)] = 432477,
  [SMALL_STATE(8906)] = 432519,
  [SMALL_STATE(8907)] = 432561,
  [SMALL_STATE(8908)] = 432603,
  [SMALL_STATE(8909)] = 432645,
  [SMALL_STATE(8910)] = 432687,
  [SMALL_STATE(8911)] = 432729,
  [SMALL_STATE(8912)] = 432771,
  [SMALL_STATE(8913)] = 432813,
  [SMALL_STATE(8914)] = 432885,
  [SMALL_STATE(8915)] = 432957,
  [SMALL_STATE(8916)] = 433029,
  [SMALL_STATE(8917)] = 433101,
  [SMALL_STATE(8918)] = 433143,
  [SMALL_STATE(8919)] = 433215,
  [SMALL_STATE(8920)] = 433273,
  [SMALL_STATE(8921)] = 433345,
  [SMALL_STATE(8922)] = 433417,
  [SMALL_STATE(8923)] = 433489,
  [SMALL_STATE(8924)] = 433531,
  [SMALL_STATE(8925)] = 433603,
  [SMALL_STATE(8926)] = 433645,
  [SMALL_STATE(8927)] = 433717,
  [SMALL_STATE(8928)] = 433759,
  [SMALL_STATE(8929)] = 433801,
  [SMALL_STATE(8930)] = 433873,
  [SMALL_STATE(8931)] = 433915,
  [SMALL_STATE(8932)] = 433957,
  [SMALL_STATE(8933)] = 433999,
  [SMALL_STATE(8934)] = 434043,
  [SMALL_STATE(8935)] = 434115,
  [SMALL_STATE(8936)] = 434187,
  [SMALL_STATE(8937)] = 434229,
  [SMALL_STATE(8938)] = 434271,
  [SMALL_STATE(8939)] = 434343,
  [SMALL_STATE(8940)] = 434385,
  [SMALL_STATE(8941)] = 434443,
  [SMALL_STATE(8942)] = 434485,
  [SMALL_STATE(8943)] = 434527,
  [SMALL_STATE(8944)] = 434585,
  [SMALL_STATE(8945)] = 434627,
  [SMALL_STATE(8946)] = 434699,
  [SMALL_STATE(8947)] = 434771,
  [SMALL_STATE(8948)] = 434813,
  [SMALL_STATE(8949)] = 434855,
  [SMALL_STATE(8950)] = 434927,
  [SMALL_STATE(8951)] = 434999,
  [SMALL_STATE(8952)] = 435071,
  [SMALL_STATE(8953)] = 435143,
  [SMALL_STATE(8954)] = 435215,
  [SMALL_STATE(8955)] = 435257,
  [SMALL_STATE(8956)] = 435299,
  [SMALL_STATE(8957)] = 435341,
  [SMALL_STATE(8958)] = 435383,
  [SMALL_STATE(8959)] = 435425,
  [SMALL_STATE(8960)] = 435467,
  [SMALL_STATE(8961)] = 435509,
  [SMALL_STATE(8962)] = 435557,
  [SMALL_STATE(8963)] = 435599,
  [SMALL_STATE(8964)] = 435671,
  [SMALL_STATE(8965)] = 435713,
  [SMALL_STATE(8966)] = 435785,
  [SMALL_STATE(8967)] = 435827,
  [SMALL_STATE(8968)] = 435869,
  [SMALL_STATE(8969)] = 435927,
  [SMALL_STATE(8970)] = 435969,
  [SMALL_STATE(8971)] = 436011,
  [SMALL_STATE(8972)] = 436053,
  [SMALL_STATE(8973)] = 436095,
  [SMALL_STATE(8974)] = 436167,
  [SMALL_STATE(8975)] = 436209,
  [SMALL_STATE(8976)] = 436251,
  [SMALL_STATE(8977)] = 436323,
  [SMALL_STATE(8978)] = 436395,
  [SMALL_STATE(8979)] = 436467,
  [SMALL_STATE(8980)] = 436539,
  [SMALL_STATE(8981)] = 436581,
  [SMALL_STATE(8982)] = 436623,
  [SMALL_STATE(8983)] = 436665,
  [SMALL_STATE(8984)] = 436707,
  [SMALL_STATE(8985)] = 436749,
  [SMALL_STATE(8986)] = 436791,
  [SMALL_STATE(8987)] = 436863,
  [SMALL_STATE(8988)] = 436935,
  [SMALL_STATE(8989)] = 437007,
  [SMALL_STATE(8990)] = 437049,
  [SMALL_STATE(8991)] = 437121,
  [SMALL_STATE(8992)] = 437163,
  [SMALL_STATE(8993)] = 437205,
  [SMALL_STATE(8994)] = 437247,
  [SMALL_STATE(8995)] = 437289,
  [SMALL_STATE(8996)] = 437333,
  [SMALL_STATE(8997)] = 437391,
  [SMALL_STATE(8998)] = 437463,
  [SMALL_STATE(8999)] = 437521,
  [SMALL_STATE(9000)] = 437593,
  [SMALL_STATE(9001)] = 437635,
  [SMALL_STATE(9002)] = 437677,
  [SMALL_STATE(9003)] = 437719,
  [SMALL_STATE(9004)] = 437791,
  [SMALL_STATE(9005)] = 437863,
  [SMALL_STATE(9006)] = 437905,
  [SMALL_STATE(9007)] = 437947,
  [SMALL_STATE(9008)] = 438019,
  [SMALL_STATE(9009)] = 438061,
  [SMALL_STATE(9010)] = 438113,
  [SMALL_STATE(9011)] = 438185,
  [SMALL_STATE(9012)] = 438257,
  [SMALL_STATE(9013)] = 438299,
  [SMALL_STATE(9014)] = 438371,
  [SMALL_STATE(9015)] = 438443,
  [SMALL_STATE(9016)] = 438515,
  [SMALL_STATE(9017)] = 438557,
  [SMALL_STATE(9018)] = 438629,
  [SMALL_STATE(9019)] = 438701,
  [SMALL_STATE(9020)] = 438773,
  [SMALL_STATE(9021)] = 438815,
  [SMALL_STATE(9022)] = 438887,
  [SMALL_STATE(9023)] = 438929,
  [SMALL_STATE(9024)] = 439001,
  [SMALL_STATE(9025)] = 439073,
  [SMALL_STATE(9026)] = 439145,
  [SMALL_STATE(9027)] = 439217,
  [SMALL_STATE(9028)] = 439289,
  [SMALL_STATE(9029)] = 439331,
  [SMALL_STATE(9030)] = 439403,
  [SMALL_STATE(9031)] = 439475,
  [SMALL_STATE(9032)] = 439547,
  [SMALL_STATE(9033)] = 439589,
  [SMALL_STATE(9034)] = 439631,
  [SMALL_STATE(9035)] = 439703,
  [SMALL_STATE(9036)] = 439745,
  [SMALL_STATE(9037)] = 439787,
  [SMALL_STATE(9038)] = 439859,
  [SMALL_STATE(9039)] = 439901,
  [SMALL_STATE(9040)] = 439973,
  [SMALL_STATE(9041)] = 440045,
  [SMALL_STATE(9042)] = 440087,
  [SMALL_STATE(9043)] = 440129,
  [SMALL_STATE(9044)] = 440201,
  [SMALL_STATE(9045)] = 440243,
  [SMALL_STATE(9046)] = 440315,
  [SMALL_STATE(9047)] = 440387,
  [SMALL_STATE(9048)] = 440459,
  [SMALL_STATE(9049)] = 440531,
  [SMALL_STATE(9050)] = 440603,
  [SMALL_STATE(9051)] = 440645,
  [SMALL_STATE(9052)] = 440717,
  [SMALL_STATE(9053)] = 440765,
  [SMALL_STATE(9054)] = 440807,
  [SMALL_STATE(9055)] = 440849,
  [SMALL_STATE(9056)] = 440901,
  [SMALL_STATE(9057)] = 440973,
  [SMALL_STATE(9058)] = 441019,
  [SMALL_STATE(9059)] = 441071,
  [SMALL_STATE(9060)] = 441143,
  [SMALL_STATE(9061)] = 441215,
  [SMALL_STATE(9062)] = 441287,
  [SMALL_STATE(9063)] = 441355,
  [SMALL_STATE(9064)] = 441427,
  [SMALL_STATE(9065)] = 441479,
  [SMALL_STATE(9066)] = 441551,
  [SMALL_STATE(9067)] = 441619,
  [SMALL_STATE(9068)] = 441671,
  [SMALL_STATE(9069)] = 441743,
  [SMALL_STATE(9070)] = 441815,
  [SMALL_STATE(9071)] = 441887,
  [SMALL_STATE(9072)] = 441959,
  [SMALL_STATE(9073)] = 442031,
  [SMALL_STATE(9074)] = 442103,
  [SMALL_STATE(9075)] = 442175,
  [SMALL_STATE(9076)] = 442247,
  [SMALL_STATE(9077)] = 442319,
  [SMALL_STATE(9078)] = 442391,
  [SMALL_STATE(9079)] = 442463,
  [SMALL_STATE(9080)] = 442535,
  [SMALL_STATE(9081)] = 442607,
  [SMALL_STATE(9082)] = 442659,
  [SMALL_STATE(9083)] = 442731,
  [SMALL_STATE(9084)] = 442803,
  [SMALL_STATE(9085)] = 442875,
  [SMALL_STATE(9086)] = 442947,
  [SMALL_STATE(9087)] = 443019,
  [SMALL_STATE(9088)] = 443091,
  [SMALL_STATE(9089)] = 443133,
  [SMALL_STATE(9090)] = 443175,
  [SMALL_STATE(9091)] = 443217,
  [SMALL_STATE(9092)] = 443289,
  [SMALL_STATE(9093)] = 443331,
  [SMALL_STATE(9094)] = 443389,
  [SMALL_STATE(9095)] = 443461,
  [SMALL_STATE(9096)] = 443533,
  [SMALL_STATE(9097)] = 443575,
  [SMALL_STATE(9098)] = 443647,
  [SMALL_STATE(9099)] = 443689,
  [SMALL_STATE(9100)] = 443731,
  [SMALL_STATE(9101)] = 443775,
  [SMALL_STATE(9102)] = 443847,
  [SMALL_STATE(9103)] = 443919,
  [SMALL_STATE(9104)] = 443991,
  [SMALL_STATE(9105)] = 444063,
  [SMALL_STATE(9106)] = 444105,
  [SMALL_STATE(9107)] = 444147,
  [SMALL_STATE(9108)] = 444219,
  [SMALL_STATE(9109)] = 444261,
  [SMALL_STATE(9110)] = 444333,
  [SMALL_STATE(9111)] = 444405,
  [SMALL_STATE(9112)] = 444457,
  [SMALL_STATE(9113)] = 444529,
  [SMALL_STATE(9114)] = 444587,
  [SMALL_STATE(9115)] = 444629,
  [SMALL_STATE(9116)] = 444687,
  [SMALL_STATE(9117)] = 444759,
  [SMALL_STATE(9118)] = 444801,
  [SMALL_STATE(9119)] = 444845,
  [SMALL_STATE(9120)] = 444917,
  [SMALL_STATE(9121)] = 444959,
  [SMALL_STATE(9122)] = 445001,
  [SMALL_STATE(9123)] = 445043,
  [SMALL_STATE(9124)] = 445085,
  [SMALL_STATE(9125)] = 445157,
  [SMALL_STATE(9126)] = 445199,
  [SMALL_STATE(9127)] = 445241,
  [SMALL_STATE(9128)] = 445283,
  [SMALL_STATE(9129)] = 445325,
  [SMALL_STATE(9130)] = 445397,
  [SMALL_STATE(9131)] = 445439,
  [SMALL_STATE(9132)] = 445481,
  [SMALL_STATE(9133)] = 445523,
  [SMALL_STATE(9134)] = 445565,
  [SMALL_STATE(9135)] = 445637,
  [SMALL_STATE(9136)] = 445689,
  [SMALL_STATE(9137)] = 445761,
  [SMALL_STATE(9138)] = 445803,
  [SMALL_STATE(9139)] = 445861,
  [SMALL_STATE(9140)] = 445933,
  [SMALL_STATE(9141)] = 445975,
  [SMALL_STATE(9142)] = 446017,
  [SMALL_STATE(9143)] = 446089,
  [SMALL_STATE(9144)] = 446131,
  [SMALL_STATE(9145)] = 446203,
  [SMALL_STATE(9146)] = 446245,
  [SMALL_STATE(9147)] = 446317,
  [SMALL_STATE(9148)] = 446389,
  [SMALL_STATE(9149)] = 446461,
  [SMALL_STATE(9150)] = 446513,
  [SMALL_STATE(9151)] = 446555,
  [SMALL_STATE(9152)] = 446597,
  [SMALL_STATE(9153)] = 446669,
  [SMALL_STATE(9154)] = 446711,
  [SMALL_STATE(9155)] = 446783,
  [SMALL_STATE(9156)] = 446825,
  [SMALL_STATE(9157)] = 446867,
  [SMALL_STATE(9158)] = 446939,
  [SMALL_STATE(9159)] = 446981,
  [SMALL_STATE(9160)] = 447053,
  [SMALL_STATE(9161)] = 447095,
  [SMALL_STATE(9162)] = 447167,
  [SMALL_STATE(9163)] = 447239,
  [SMALL_STATE(9164)] = 447311,
  [SMALL_STATE(9165)] = 447353,
  [SMALL_STATE(9166)] = 447411,
  [SMALL_STATE(9167)] = 447469,
  [SMALL_STATE(9168)] = 447541,
  [SMALL_STATE(9169)] = 447583,
  [SMALL_STATE(9170)] = 447625,
  [SMALL_STATE(9171)] = 447667,
  [SMALL_STATE(9172)] = 447739,
  [SMALL_STATE(9173)] = 447781,
  [SMALL_STATE(9174)] = 447823,
  [SMALL_STATE(9175)] = 447865,
  [SMALL_STATE(9176)] = 447907,
  [SMALL_STATE(9177)] = 447959,
  [SMALL_STATE(9178)] = 448001,
  [SMALL_STATE(9179)] = 448060,
  [SMALL_STATE(9180)] = 448129,
  [SMALL_STATE(9181)] = 448190,
  [SMALL_STATE(9182)] = 448233,
  [SMALL_STATE(9183)] = 448288,
  [SMALL_STATE(9184)] = 448357,
  [SMALL_STATE(9185)] = 448412,
  [SMALL_STATE(9186)] = 448453,
  [SMALL_STATE(9187)] = 448494,
  [SMALL_STATE(9188)] = 448535,
  [SMALL_STATE(9189)] = 448576,
  [SMALL_STATE(9190)] = 448617,
  [SMALL_STATE(9191)] = 448682,
  [SMALL_STATE(9192)] = 448723,
  [SMALL_STATE(9193)] = 448782,
  [SMALL_STATE(9194)] = 448823,
  [SMALL_STATE(9195)] = 448864,
  [SMALL_STATE(9196)] = 448905,
  [SMALL_STATE(9197)] = 448950,
  [SMALL_STATE(9198)] = 448993,
  [SMALL_STATE(9199)] = 449034,
  [SMALL_STATE(9200)] = 449075,
  [SMALL_STATE(9201)] = 449116,
  [SMALL_STATE(9202)] = 449157,
  [SMALL_STATE(9203)] = 449200,
  [SMALL_STATE(9204)] = 449241,
  [SMALL_STATE(9205)] = 449282,
  [SMALL_STATE(9206)] = 449323,
  [SMALL_STATE(9207)] = 449364,
  [SMALL_STATE(9208)] = 449405,
  [SMALL_STATE(9209)] = 449446,
  [SMALL_STATE(9210)] = 449487,
  [SMALL_STATE(9211)] = 449530,
  [SMALL_STATE(9212)] = 449571,
  [SMALL_STATE(9213)] = 449614,
  [SMALL_STATE(9214)] = 449655,
  [SMALL_STATE(9215)] = 449696,
  [SMALL_STATE(9216)] = 449737,
  [SMALL_STATE(9217)] = 449778,
  [SMALL_STATE(9218)] = 449819,
  [SMALL_STATE(9219)] = 449860,
  [SMALL_STATE(9220)] = 449901,
  [SMALL_STATE(9221)] = 449942,
  [SMALL_STATE(9222)] = 449983,
  [SMALL_STATE(9223)] = 450024,
  [SMALL_STATE(9224)] = 450083,
  [SMALL_STATE(9225)] = 450124,
  [SMALL_STATE(9226)] = 450165,
  [SMALL_STATE(9227)] = 450206,
  [SMALL_STATE(9228)] = 450247,
  [SMALL_STATE(9229)] = 450304,
  [SMALL_STATE(9230)] = 450345,
  [SMALL_STATE(9231)] = 450396,
  [SMALL_STATE(9232)] = 450441,
  [SMALL_STATE(9233)] = 450498,
  [SMALL_STATE(9234)] = 450539,
  [SMALL_STATE(9235)] = 450580,
  [SMALL_STATE(9236)] = 450623,
  [SMALL_STATE(9237)] = 450664,
  [SMALL_STATE(9238)] = 450705,
  [SMALL_STATE(9239)] = 450746,
  [SMALL_STATE(9240)] = 450807,
  [SMALL_STATE(9241)] = 450876,
  [SMALL_STATE(9242)] = 450945,
  [SMALL_STATE(9243)] = 451002,
  [SMALL_STATE(9244)] = 451043,
  [SMALL_STATE(9245)] = 451084,
  [SMALL_STATE(9246)] = 451127,
  [SMALL_STATE(9247)] = 451178,
  [SMALL_STATE(9248)] = 451247,
  [SMALL_STATE(9249)] = 451316,
  [SMALL_STATE(9250)] = 451359,
  [SMALL_STATE(9251)] = 451416,
  [SMALL_STATE(9252)] = 451457,
  [SMALL_STATE(9253)] = 451498,
  [SMALL_STATE(9254)] = 451539,
  [SMALL_STATE(9255)] = 451584,
  [SMALL_STATE(9256)] = 451625,
  [SMALL_STATE(9257)] = 451666,
  [SMALL_STATE(9258)] = 451725,
  [SMALL_STATE(9259)] = 451788,
  [SMALL_STATE(9260)] = 451849,
  [SMALL_STATE(9261)] = 451890,
  [SMALL_STATE(9262)] = 451931,
  [SMALL_STATE(9263)] = 451972,
  [SMALL_STATE(9264)] = 452013,
  [SMALL_STATE(9265)] = 452072,
  [SMALL_STATE(9266)] = 452129,
  [SMALL_STATE(9267)] = 452186,
  [SMALL_STATE(9268)] = 452227,
  [SMALL_STATE(9269)] = 452296,
  [SMALL_STATE(9270)] = 452353,
  [SMALL_STATE(9271)] = 452414,
  [SMALL_STATE(9272)] = 452483,
  [SMALL_STATE(9273)] = 452538,
  [SMALL_STATE(9274)] = 452607,
  [SMALL_STATE(9275)] = 452648,
  [SMALL_STATE(9276)] = 452689,
  [SMALL_STATE(9277)] = 452730,
  [SMALL_STATE(9278)] = 452771,
  [SMALL_STATE(9279)] = 452812,
  [SMALL_STATE(9280)] = 452853,
  [SMALL_STATE(9281)] = 452922,
  [SMALL_STATE(9282)] = 452963,
  [SMALL_STATE(9283)] = 453008,
  [SMALL_STATE(9284)] = 453053,
  [SMALL_STATE(9285)] = 453094,
  [SMALL_STATE(9286)] = 453135,
  [SMALL_STATE(9287)] = 453176,
  [SMALL_STATE(9288)] = 453217,
  [SMALL_STATE(9289)] = 453274,
  [SMALL_STATE(9290)] = 453315,
  [SMALL_STATE(9291)] = 453356,
  [SMALL_STATE(9292)] = 453413,
  [SMALL_STATE(9293)] = 453472,
  [SMALL_STATE(9294)] = 453523,
  [SMALL_STATE(9295)] = 453568,
  [SMALL_STATE(9296)] = 453609,
  [SMALL_STATE(9297)] = 453654,
  [SMALL_STATE(9298)] = 453695,
  [SMALL_STATE(9299)] = 453748,
  [SMALL_STATE(9300)] = 453801,
  [SMALL_STATE(9301)] = 453844,
  [SMALL_STATE(9302)] = 453901,
  [SMALL_STATE(9303)] = 453942,
  [SMALL_STATE(9304)] = 453983,
  [SMALL_STATE(9305)] = 454024,
  [SMALL_STATE(9306)] = 454065,
  [SMALL_STATE(9307)] = 454122,
  [SMALL_STATE(9308)] = 454179,
  [SMALL_STATE(9309)] = 454224,
  [SMALL_STATE(9310)] = 454265,
  [SMALL_STATE(9311)] = 454336,
  [SMALL_STATE(9312)] = 454377,
  [SMALL_STATE(9313)] = 454418,
  [SMALL_STATE(9314)] = 454459,
  [SMALL_STATE(9315)] = 454500,
  [SMALL_STATE(9316)] = 454545,
  [SMALL_STATE(9317)] = 454586,
  [SMALL_STATE(9318)] = 454627,
  [SMALL_STATE(9319)] = 454684,
  [SMALL_STATE(9320)] = 454725,
  [SMALL_STATE(9321)] = 454770,
  [SMALL_STATE(9322)] = 454811,
  [SMALL_STATE(9323)] = 454852,
  [SMALL_STATE(9324)] = 454897,
  [SMALL_STATE(9325)] = 454960,
  [SMALL_STATE(9326)] = 455023,
  [SMALL_STATE(9327)] = 455064,
  [SMALL_STATE(9328)] = 455111,
  [SMALL_STATE(9329)] = 455152,
  [SMALL_STATE(9330)] = 455215,
  [SMALL_STATE(9331)] = 455270,
  [SMALL_STATE(9332)] = 455325,
  [SMALL_STATE(9333)] = 455365,
  [SMALL_STATE(9334)] = 455433,
  [SMALL_STATE(9335)] = 455483,
  [SMALL_STATE(9336)] = 455523,
  [SMALL_STATE(9337)] = 455579,
  [SMALL_STATE(9338)] = 455619,
  [SMALL_STATE(9339)] = 455659,
  [SMALL_STATE(9340)] = 455699,
  [SMALL_STATE(9341)] = 455739,
  [SMALL_STATE(9342)] = 455807,
  [SMALL_STATE(9343)] = 455847,
  [SMALL_STATE(9344)] = 455887,
  [SMALL_STATE(9345)] = 455927,
  [SMALL_STATE(9346)] = 455967,
  [SMALL_STATE(9347)] = 456007,
  [SMALL_STATE(9348)] = 456047,
  [SMALL_STATE(9349)] = 456087,
  [SMALL_STATE(9350)] = 456129,
  [SMALL_STATE(9351)] = 456169,
  [SMALL_STATE(9352)] = 456209,
  [SMALL_STATE(9353)] = 456249,
  [SMALL_STATE(9354)] = 456289,
  [SMALL_STATE(9355)] = 456331,
  [SMALL_STATE(9356)] = 456371,
  [SMALL_STATE(9357)] = 456439,
  [SMALL_STATE(9358)] = 456479,
  [SMALL_STATE(9359)] = 456533,
  [SMALL_STATE(9360)] = 456579,
  [SMALL_STATE(9361)] = 456625,
  [SMALL_STATE(9362)] = 456665,
  [SMALL_STATE(9363)] = 456705,
  [SMALL_STATE(9364)] = 456745,
  [SMALL_STATE(9365)] = 456785,
  [SMALL_STATE(9366)] = 456825,
  [SMALL_STATE(9367)] = 456865,
  [SMALL_STATE(9368)] = 456933,
  [SMALL_STATE(9369)] = 457001,
  [SMALL_STATE(9370)] = 457041,
  [SMALL_STATE(9371)] = 457081,
  [SMALL_STATE(9372)] = 457149,
  [SMALL_STATE(9373)] = 457189,
  [SMALL_STATE(9374)] = 457257,
  [SMALL_STATE(9375)] = 457297,
  [SMALL_STATE(9376)] = 457365,
  [SMALL_STATE(9377)] = 457433,
  [SMALL_STATE(9378)] = 457473,
  [SMALL_STATE(9379)] = 457513,
  [SMALL_STATE(9380)] = 457553,
  [SMALL_STATE(9381)] = 457597,
  [SMALL_STATE(9382)] = 457665,
  [SMALL_STATE(9383)] = 457733,
  [SMALL_STATE(9384)] = 457773,
  [SMALL_STATE(9385)] = 457813,
  [SMALL_STATE(9386)] = 457881,
  [SMALL_STATE(9387)] = 457949,
  [SMALL_STATE(9388)] = 458017,
  [SMALL_STATE(9389)] = 458085,
  [SMALL_STATE(9390)] = 458153,
  [SMALL_STATE(9391)] = 458221,
  [SMALL_STATE(9392)] = 458261,
  [SMALL_STATE(9393)] = 458329,
  [SMALL_STATE(9394)] = 458369,
  [SMALL_STATE(9395)] = 458409,
  [SMALL_STATE(9396)] = 458477,
  [SMALL_STATE(9397)] = 458517,
  [SMALL_STATE(9398)] = 458585,
  [SMALL_STATE(9399)] = 458625,
  [SMALL_STATE(9400)] = 458693,
  [SMALL_STATE(9401)] = 458733,
  [SMALL_STATE(9402)] = 458773,
  [SMALL_STATE(9403)] = 458813,
  [SMALL_STATE(9404)] = 458853,
  [SMALL_STATE(9405)] = 458893,
  [SMALL_STATE(9406)] = 458933,
  [SMALL_STATE(9407)] = 458973,
  [SMALL_STATE(9408)] = 459013,
  [SMALL_STATE(9409)] = 459053,
  [SMALL_STATE(9410)] = 459121,
  [SMALL_STATE(9411)] = 459161,
  [SMALL_STATE(9412)] = 459229,
  [SMALL_STATE(9413)] = 459269,
  [SMALL_STATE(9414)] = 459309,
  [SMALL_STATE(9415)] = 459377,
  [SMALL_STATE(9416)] = 459417,
  [SMALL_STATE(9417)] = 459485,
  [SMALL_STATE(9418)] = 459525,
  [SMALL_STATE(9419)] = 459565,
  [SMALL_STATE(9420)] = 459605,
  [SMALL_STATE(9421)] = 459661,
  [SMALL_STATE(9422)] = 459725,
  [SMALL_STATE(9423)] = 459771,
  [SMALL_STATE(9424)] = 459811,
  [SMALL_STATE(9425)] = 459879,
  [SMALL_STATE(9426)] = 459935,
  [SMALL_STATE(9427)] = 459997,
  [SMALL_STATE(9428)] = 460053,
  [SMALL_STATE(9429)] = 460093,
  [SMALL_STATE(9430)] = 460161,
  [SMALL_STATE(9431)] = 460229,
  [SMALL_STATE(9432)] = 460297,
  [SMALL_STATE(9433)] = 460365,
  [SMALL_STATE(9434)] = 460409,
  [SMALL_STATE(9435)] = 460465,
  [SMALL_STATE(9436)] = 460521,
  [SMALL_STATE(9437)] = 460589,
  [SMALL_STATE(9438)] = 460629,
  [SMALL_STATE(9439)] = 460679,
  [SMALL_STATE(9440)] = 460719,
  [SMALL_STATE(9441)] = 460759,
  [SMALL_STATE(9442)] = 460809,
  [SMALL_STATE(9443)] = 460849,
  [SMALL_STATE(9444)] = 460899,
  [SMALL_STATE(9445)] = 460939,
  [SMALL_STATE(9446)] = 460995,
  [SMALL_STATE(9447)] = 461035,
  [SMALL_STATE(9448)] = 461079,
  [SMALL_STATE(9449)] = 461119,
  [SMALL_STATE(9450)] = 461159,
  [SMALL_STATE(9451)] = 461227,
  [SMALL_STATE(9452)] = 461271,
  [SMALL_STATE(9453)] = 461311,
  [SMALL_STATE(9454)] = 461351,
  [SMALL_STATE(9455)] = 461413,
  [SMALL_STATE(9456)] = 461475,
  [SMALL_STATE(9457)] = 461521,
  [SMALL_STATE(9458)] = 461583,
  [SMALL_STATE(9459)] = 461641,
  [SMALL_STATE(9460)] = 461697,
  [SMALL_STATE(9461)] = 461749,
  [SMALL_STATE(9462)] = 461789,
  [SMALL_STATE(9463)] = 461831,
  [SMALL_STATE(9464)] = 461871,
  [SMALL_STATE(9465)] = 461915,
  [SMALL_STATE(9466)] = 461955,
  [SMALL_STATE(9467)] = 461995,
  [SMALL_STATE(9468)] = 462063,
  [SMALL_STATE(9469)] = 462125,
  [SMALL_STATE(9470)] = 462169,
  [SMALL_STATE(9471)] = 462233,
  [SMALL_STATE(9472)] = 462289,
  [SMALL_STATE(9473)] = 462345,
  [SMALL_STATE(9474)] = 462385,
  [SMALL_STATE(9475)] = 462447,
  [SMALL_STATE(9476)] = 462493,
  [SMALL_STATE(9477)] = 462533,
  [SMALL_STATE(9478)] = 462601,
  [SMALL_STATE(9479)] = 462645,
  [SMALL_STATE(9480)] = 462695,
  [SMALL_STATE(9481)] = 462757,
  [SMALL_STATE(9482)] = 462815,
  [SMALL_STATE(9483)] = 462871,
  [SMALL_STATE(9484)] = 462911,
  [SMALL_STATE(9485)] = 462963,
  [SMALL_STATE(9486)] = 463031,
  [SMALL_STATE(9487)] = 463083,
  [SMALL_STATE(9488)] = 463151,
  [SMALL_STATE(9489)] = 463193,
  [SMALL_STATE(9490)] = 463237,
  [SMALL_STATE(9491)] = 463305,
  [SMALL_STATE(9492)] = 463349,
  [SMALL_STATE(9493)] = 463399,
  [SMALL_STATE(9494)] = 463457,
  [SMALL_STATE(9495)] = 463509,
  [SMALL_STATE(9496)] = 463577,
  [SMALL_STATE(9497)] = 463621,
  [SMALL_STATE(9498)] = 463665,
  [SMALL_STATE(9499)] = 463733,
  [SMALL_STATE(9500)] = 463773,
  [SMALL_STATE(9501)] = 463831,
  [SMALL_STATE(9502)] = 463899,
  [SMALL_STATE(9503)] = 463939,
  [SMALL_STATE(9504)] = 463979,
  [SMALL_STATE(9505)] = 464019,
  [SMALL_STATE(9506)] = 464059,
  [SMALL_STATE(9507)] = 464105,
  [SMALL_STATE(9508)] = 464145,
  [SMALL_STATE(9509)] = 464197,
  [SMALL_STATE(9510)] = 464237,
  [SMALL_STATE(9511)] = 464277,
  [SMALL_STATE(9512)] = 464317,
  [SMALL_STATE(9513)] = 464357,
  [SMALL_STATE(9514)] = 464397,
  [SMALL_STATE(9515)] = 464437,
  [SMALL_STATE(9516)] = 464491,
  [SMALL_STATE(9517)] = 464531,
  [SMALL_STATE(9518)] = 464571,
  [SMALL_STATE(9519)] = 464621,
  [SMALL_STATE(9520)] = 464661,
  [SMALL_STATE(9521)] = 464729,
  [SMALL_STATE(9522)] = 464785,
  [SMALL_STATE(9523)] = 464853,
  [SMALL_STATE(9524)] = 464893,
  [SMALL_STATE(9525)] = 464933,
  [SMALL_STATE(9526)] = 465001,
  [SMALL_STATE(9527)] = 465041,
  [SMALL_STATE(9528)] = 465081,
  [SMALL_STATE(9529)] = 465121,
  [SMALL_STATE(9530)] = 465161,
  [SMALL_STATE(9531)] = 465201,
  [SMALL_STATE(9532)] = 465243,
  [SMALL_STATE(9533)] = 465299,
  [SMALL_STATE(9534)] = 465367,
  [SMALL_STATE(9535)] = 465407,
  [SMALL_STATE(9536)] = 465475,
  [SMALL_STATE(9537)] = 465515,
  [SMALL_STATE(9538)] = 465555,
  [SMALL_STATE(9539)] = 465623,
  [SMALL_STATE(9540)] = 465663,
  [SMALL_STATE(9541)] = 465703,
  [SMALL_STATE(9542)] = 465771,
  [SMALL_STATE(9543)] = 465811,
  [SMALL_STATE(9544)] = 465851,
  [SMALL_STATE(9545)] = 465893,
  [SMALL_STATE(9546)] = 465933,
  [SMALL_STATE(9547)] = 466001,
  [SMALL_STATE(9548)] = 466041,
  [SMALL_STATE(9549)] = 466109,
  [SMALL_STATE(9550)] = 466165,
  [SMALL_STATE(9551)] = 466205,
  [SMALL_STATE(9552)] = 466273,
  [SMALL_STATE(9553)] = 466313,
  [SMALL_STATE(9554)] = 466353,
  [SMALL_STATE(9555)] = 466393,
  [SMALL_STATE(9556)] = 466433,
  [SMALL_STATE(9557)] = 466473,
  [SMALL_STATE(9558)] = 466513,
  [SMALL_STATE(9559)] = 466581,
  [SMALL_STATE(9560)] = 466649,
  [SMALL_STATE(9561)] = 466689,
  [SMALL_STATE(9562)] = 466757,
  [SMALL_STATE(9563)] = 466797,
  [SMALL_STATE(9564)] = 466837,
  [SMALL_STATE(9565)] = 466905,
  [SMALL_STATE(9566)] = 466973,
  [SMALL_STATE(9567)] = 467041,
  [SMALL_STATE(9568)] = 467081,
  [SMALL_STATE(9569)] = 467149,
  [SMALL_STATE(9570)] = 467217,
  [SMALL_STATE(9571)] = 467257,
  [SMALL_STATE(9572)] = 467297,
  [SMALL_STATE(9573)] = 467337,
  [SMALL_STATE(9574)] = 467377,
  [SMALL_STATE(9575)] = 467417,
  [SMALL_STATE(9576)] = 467485,
  [SMALL_STATE(9577)] = 467553,
  [SMALL_STATE(9578)] = 467593,
  [SMALL_STATE(9579)] = 467633,
  [SMALL_STATE(9580)] = 467673,
  [SMALL_STATE(9581)] = 467713,
  [SMALL_STATE(9582)] = 467753,
  [SMALL_STATE(9583)] = 467797,
  [SMALL_STATE(9584)] = 467865,
  [SMALL_STATE(9585)] = 467933,
  [SMALL_STATE(9586)] = 468001,
  [SMALL_STATE(9587)] = 468069,
  [SMALL_STATE(9588)] = 468109,
  [SMALL_STATE(9589)] = 468177,
  [SMALL_STATE(9590)] = 468245,
  [SMALL_STATE(9591)] = 468287,
  [SMALL_STATE(9592)] = 468355,
  [SMALL_STATE(9593)] = 468405,
  [SMALL_STATE(9594)] = 468445,
  [SMALL_STATE(9595)] = 468485,
  [SMALL_STATE(9596)] = 468525,
  [SMALL_STATE(9597)] = 468565,
  [SMALL_STATE(9598)] = 468605,
  [SMALL_STATE(9599)] = 468645,
  [SMALL_STATE(9600)] = 468685,
  [SMALL_STATE(9601)] = 468735,
  [SMALL_STATE(9602)] = 468775,
  [SMALL_STATE(9603)] = 468815,
  [SMALL_STATE(9604)] = 468855,
  [SMALL_STATE(9605)] = 468895,
  [SMALL_STATE(9606)] = 468963,
  [SMALL_STATE(9607)] = 469031,
  [SMALL_STATE(9608)] = 469099,
  [SMALL_STATE(9609)] = 469167,
  [SMALL_STATE(9610)] = 469207,
  [SMALL_STATE(9611)] = 469273,
  [SMALL_STATE(9612)] = 469313,
  [SMALL_STATE(9613)] = 469363,
  [SMALL_STATE(9614)] = 469431,
  [SMALL_STATE(9615)] = 469499,
  [SMALL_STATE(9616)] = 469567,
  [SMALL_STATE(9617)] = 469635,
  [SMALL_STATE(9618)] = 469703,
  [SMALL_STATE(9619)] = 469771,
  [SMALL_STATE(9620)] = 469811,
  [SMALL_STATE(9621)] = 469851,
  [SMALL_STATE(9622)] = 469891,
  [SMALL_STATE(9623)] = 469931,
  [SMALL_STATE(9624)] = 469971,
  [SMALL_STATE(9625)] = 470011,
  [SMALL_STATE(9626)] = 470051,
  [SMALL_STATE(9627)] = 470119,
  [SMALL_STATE(9628)] = 470159,
  [SMALL_STATE(9629)] = 470201,
  [SMALL_STATE(9630)] = 470241,
  [SMALL_STATE(9631)] = 470281,
  [SMALL_STATE(9632)] = 470349,
  [SMALL_STATE(9633)] = 470389,
  [SMALL_STATE(9634)] = 470457,
  [SMALL_STATE(9635)] = 470509,
  [SMALL_STATE(9636)] = 470549,
  [SMALL_STATE(9637)] = 470589,
  [SMALL_STATE(9638)] = 470629,
  [SMALL_STATE(9639)] = 470673,
  [SMALL_STATE(9640)] = 470741,
  [SMALL_STATE(9641)] = 470809,
  [SMALL_STATE(9642)] = 470849,
  [SMALL_STATE(9643)] = 470889,
  [SMALL_STATE(9644)] = 470957,
  [SMALL_STATE(9645)] = 471025,
  [SMALL_STATE(9646)] = 471067,
  [SMALL_STATE(9647)] = 471135,
  [SMALL_STATE(9648)] = 471174,
  [SMALL_STATE(9649)] = 471213,
  [SMALL_STATE(9650)] = 471276,
  [SMALL_STATE(9651)] = 471339,
  [SMALL_STATE(9652)] = 471402,
  [SMALL_STATE(9653)] = 471447,
  [SMALL_STATE(9654)] = 471510,
  [SMALL_STATE(9655)] = 471573,
  [SMALL_STATE(9656)] = 471612,
  [SMALL_STATE(9657)] = 471651,
  [SMALL_STATE(9658)] = 471690,
  [SMALL_STATE(9659)] = 471753,
  [SMALL_STATE(9660)] = 471816,
  [SMALL_STATE(9661)] = 471855,
  [SMALL_STATE(9662)] = 471910,
  [SMALL_STATE(9663)] = 471949,
  [SMALL_STATE(9664)] = 472012,
  [SMALL_STATE(9665)] = 472075,
  [SMALL_STATE(9666)] = 472114,
  [SMALL_STATE(9667)] = 472177,
  [SMALL_STATE(9668)] = 472232,
  [SMALL_STATE(9669)] = 472295,
  [SMALL_STATE(9670)] = 472358,
  [SMALL_STATE(9671)] = 472397,
  [SMALL_STATE(9672)] = 472438,
  [SMALL_STATE(9673)] = 472501,
  [SMALL_STATE(9674)] = 472540,
  [SMALL_STATE(9675)] = 472595,
  [SMALL_STATE(9676)] = 472658,
  [SMALL_STATE(9677)] = 472721,
  [SMALL_STATE(9678)] = 472784,
  [SMALL_STATE(9679)] = 472847,
  [SMALL_STATE(9680)] = 472910,
  [SMALL_STATE(9681)] = 472973,
  [SMALL_STATE(9682)] = 473014,
  [SMALL_STATE(9683)] = 473053,
  [SMALL_STATE(9684)] = 473092,
  [SMALL_STATE(9685)] = 473155,
  [SMALL_STATE(9686)] = 473196,
  [SMALL_STATE(9687)] = 473251,
  [SMALL_STATE(9688)] = 473314,
  [SMALL_STATE(9689)] = 473353,
  [SMALL_STATE(9690)] = 473408,
  [SMALL_STATE(9691)] = 473471,
  [SMALL_STATE(9692)] = 473534,
  [SMALL_STATE(9693)] = 473597,
  [SMALL_STATE(9694)] = 473660,
  [SMALL_STATE(9695)] = 473699,
  [SMALL_STATE(9696)] = 473738,
  [SMALL_STATE(9697)] = 473793,
  [SMALL_STATE(9698)] = 473832,
  [SMALL_STATE(9699)] = 473887,
  [SMALL_STATE(9700)] = 473950,
  [SMALL_STATE(9701)] = 474013,
  [SMALL_STATE(9702)] = 474052,
  [SMALL_STATE(9703)] = 474115,
  [SMALL_STATE(9704)] = 474154,
  [SMALL_STATE(9705)] = 474193,
  [SMALL_STATE(9706)] = 474232,
  [SMALL_STATE(9707)] = 474271,
  [SMALL_STATE(9708)] = 474310,
  [SMALL_STATE(9709)] = 474349,
  [SMALL_STATE(9710)] = 474404,
  [SMALL_STATE(9711)] = 474467,
  [SMALL_STATE(9712)] = 474518,
  [SMALL_STATE(9713)] = 474575,
  [SMALL_STATE(9714)] = 474614,
  [SMALL_STATE(9715)] = 474663,
  [SMALL_STATE(9716)] = 474702,
  [SMALL_STATE(9717)] = 474765,
  [SMALL_STATE(9718)] = 474804,
  [SMALL_STATE(9719)] = 474867,
  [SMALL_STATE(9720)] = 474906,
  [SMALL_STATE(9721)] = 474945,
  [SMALL_STATE(9722)] = 474984,
  [SMALL_STATE(9723)] = 475041,
  [SMALL_STATE(9724)] = 475104,
  [SMALL_STATE(9725)] = 475143,
  [SMALL_STATE(9726)] = 475182,
  [SMALL_STATE(9727)] = 475245,
  [SMALL_STATE(9728)] = 475294,
  [SMALL_STATE(9729)] = 475343,
  [SMALL_STATE(9730)] = 475406,
  [SMALL_STATE(9731)] = 475455,
  [SMALL_STATE(9732)] = 475494,
  [SMALL_STATE(9733)] = 475557,
  [SMALL_STATE(9734)] = 475620,
  [SMALL_STATE(9735)] = 475659,
  [SMALL_STATE(9736)] = 475722,
  [SMALL_STATE(9737)] = 475761,
  [SMALL_STATE(9738)] = 475816,
  [SMALL_STATE(9739)] = 475855,
  [SMALL_STATE(9740)] = 475894,
  [SMALL_STATE(9741)] = 475957,
  [SMALL_STATE(9742)] = 476012,
  [SMALL_STATE(9743)] = 476067,
  [SMALL_STATE(9744)] = 476130,
  [SMALL_STATE(9745)] = 476169,
  [SMALL_STATE(9746)] = 476208,
  [SMALL_STATE(9747)] = 476271,
  [SMALL_STATE(9748)] = 476310,
  [SMALL_STATE(9749)] = 476349,
  [SMALL_STATE(9750)] = 476404,
  [SMALL_STATE(9751)] = 476443,
  [SMALL_STATE(9752)] = 476492,
  [SMALL_STATE(9753)] = 476555,
  [SMALL_STATE(9754)] = 476604,
  [SMALL_STATE(9755)] = 476667,
  [SMALL_STATE(9756)] = 476730,
  [SMALL_STATE(9757)] = 476793,
  [SMALL_STATE(9758)] = 476838,
  [SMALL_STATE(9759)] = 476893,
  [SMALL_STATE(9760)] = 476932,
  [SMALL_STATE(9761)] = 476975,
  [SMALL_STATE(9762)] = 477014,
  [SMALL_STATE(9763)] = 477069,
  [SMALL_STATE(9764)] = 477132,
  [SMALL_STATE(9765)] = 477171,
  [SMALL_STATE(9766)] = 477226,
  [SMALL_STATE(9767)] = 477265,
  [SMALL_STATE(9768)] = 477306,
  [SMALL_STATE(9769)] = 477369,
  [SMALL_STATE(9770)] = 477432,
  [SMALL_STATE(9771)] = 477495,
  [SMALL_STATE(9772)] = 477558,
  [SMALL_STATE(9773)] = 477597,
  [SMALL_STATE(9774)] = 477660,
  [SMALL_STATE(9775)] = 477723,
  [SMALL_STATE(9776)] = 477762,
  [SMALL_STATE(9777)] = 477825,
  [SMALL_STATE(9778)] = 477870,
  [SMALL_STATE(9779)] = 477909,
  [SMALL_STATE(9780)] = 477972,
  [SMALL_STATE(9781)] = 478035,
  [SMALL_STATE(9782)] = 478098,
  [SMALL_STATE(9783)] = 478147,
  [SMALL_STATE(9784)] = 478186,
  [SMALL_STATE(9785)] = 478241,
  [SMALL_STATE(9786)] = 478280,
  [SMALL_STATE(9787)] = 478319,
  [SMALL_STATE(9788)] = 478358,
  [SMALL_STATE(9789)] = 478407,
  [SMALL_STATE(9790)] = 478462,
  [SMALL_STATE(9791)] = 478501,
  [SMALL_STATE(9792)] = 478556,
  [SMALL_STATE(9793)] = 478595,
  [SMALL_STATE(9794)] = 478634,
  [SMALL_STATE(9795)] = 478697,
  [SMALL_STATE(9796)] = 478760,
  [SMALL_STATE(9797)] = 478823,
  [SMALL_STATE(9798)] = 478862,
  [SMALL_STATE(9799)] = 478901,
  [SMALL_STATE(9800)] = 478940,
  [SMALL_STATE(9801)] = 479003,
  [SMALL_STATE(9802)] = 479048,
  [SMALL_STATE(9803)] = 479087,
  [SMALL_STATE(9804)] = 479126,
  [SMALL_STATE(9805)] = 479189,
  [SMALL_STATE(9806)] = 479228,
  [SMALL_STATE(9807)] = 479267,
  [SMALL_STATE(9808)] = 479328,
  [SMALL_STATE(9809)] = 479377,
  [SMALL_STATE(9810)] = 479432,
  [SMALL_STATE(9811)] = 479495,
  [SMALL_STATE(9812)] = 479534,
  [SMALL_STATE(9813)] = 479597,
  [SMALL_STATE(9814)] = 479660,
  [SMALL_STATE(9815)] = 479715,
  [SMALL_STATE(9816)] = 479778,
  [SMALL_STATE(9817)] = 479841,
  [SMALL_STATE(9818)] = 479904,
  [SMALL_STATE(9819)] = 479945,
  [SMALL_STATE(9820)] = 480008,
  [SMALL_STATE(9821)] = 480071,
  [SMALL_STATE(9822)] = 480110,
  [SMALL_STATE(9823)] = 480149,
  [SMALL_STATE(9824)] = 480190,
  [SMALL_STATE(9825)] = 480253,
  [SMALL_STATE(9826)] = 480316,
  [SMALL_STATE(9827)] = 480379,
  [SMALL_STATE(9828)] = 480418,
  [SMALL_STATE(9829)] = 480481,
  [SMALL_STATE(9830)] = 480532,
  [SMALL_STATE(9831)] = 480595,
  [SMALL_STATE(9832)] = 480634,
  [SMALL_STATE(9833)] = 480697,
  [SMALL_STATE(9834)] = 480760,
  [SMALL_STATE(9835)] = 480823,
  [SMALL_STATE(9836)] = 480868,
  [SMALL_STATE(9837)] = 480907,
  [SMALL_STATE(9838)] = 480956,
  [SMALL_STATE(9839)] = 480995,
  [SMALL_STATE(9840)] = 481034,
  [SMALL_STATE(9841)] = 481087,
  [SMALL_STATE(9842)] = 481150,
  [SMALL_STATE(9843)] = 481189,
  [SMALL_STATE(9844)] = 481244,
  [SMALL_STATE(9845)] = 481283,
  [SMALL_STATE(9846)] = 481322,
  [SMALL_STATE(9847)] = 481361,
  [SMALL_STATE(9848)] = 481400,
  [SMALL_STATE(9849)] = 481439,
  [SMALL_STATE(9850)] = 481484,
  [SMALL_STATE(9851)] = 481547,
  [SMALL_STATE(9852)] = 481610,
  [SMALL_STATE(9853)] = 481651,
  [SMALL_STATE(9854)] = 481714,
  [SMALL_STATE(9855)] = 481755,
  [SMALL_STATE(9856)] = 481804,
  [SMALL_STATE(9857)] = 481849,
  [SMALL_STATE(9858)] = 481912,
  [SMALL_STATE(9859)] = 481975,
  [SMALL_STATE(9860)] = 482038,
  [SMALL_STATE(9861)] = 482077,
  [SMALL_STATE(9862)] = 482140,
  [SMALL_STATE(9863)] = 482203,
  [SMALL_STATE(9864)] = 482248,
  [SMALL_STATE(9865)] = 482303,
  [SMALL_STATE(9866)] = 482342,
  [SMALL_STATE(9867)] = 482405,
  [SMALL_STATE(9868)] = 482462,
  [SMALL_STATE(9869)] = 482507,
  [SMALL_STATE(9870)] = 482550,
  [SMALL_STATE(9871)] = 482613,
  [SMALL_STATE(9872)] = 482652,
  [SMALL_STATE(9873)] = 482701,
  [SMALL_STATE(9874)] = 482764,
  [SMALL_STATE(9875)] = 482827,
  [SMALL_STATE(9876)] = 482890,
  [SMALL_STATE(9877)] = 482943,
  [SMALL_STATE(9878)] = 483006,
  [SMALL_STATE(9879)] = 483069,
  [SMALL_STATE(9880)] = 483132,
  [SMALL_STATE(9881)] = 483177,
  [SMALL_STATE(9882)] = 483240,
  [SMALL_STATE(9883)] = 483303,
  [SMALL_STATE(9884)] = 483352,
  [SMALL_STATE(9885)] = 483401,
  [SMALL_STATE(9886)] = 483440,
  [SMALL_STATE(9887)] = 483479,
  [SMALL_STATE(9888)] = 483518,
  [SMALL_STATE(9889)] = 483557,
  [SMALL_STATE(9890)] = 483620,
  [SMALL_STATE(9891)] = 483675,
  [SMALL_STATE(9892)] = 483738,
  [SMALL_STATE(9893)] = 483801,
  [SMALL_STATE(9894)] = 483840,
  [SMALL_STATE(9895)] = 483897,
  [SMALL_STATE(9896)] = 483960,
  [SMALL_STATE(9897)] = 484023,
  [SMALL_STATE(9898)] = 484062,
  [SMALL_STATE(9899)] = 484117,
  [SMALL_STATE(9900)] = 484180,
  [SMALL_STATE(9901)] = 484243,
  [SMALL_STATE(9902)] = 484306,
  [SMALL_STATE(9903)] = 484369,
  [SMALL_STATE(9904)] = 484408,
  [SMALL_STATE(9905)] = 484463,
  [SMALL_STATE(9906)] = 484520,
  [SMALL_STATE(9907)] = 484569,
  [SMALL_STATE(9908)] = 484632,
  [SMALL_STATE(9909)] = 484675,
  [SMALL_STATE(9910)] = 484724,
  [SMALL_STATE(9911)] = 484779,
  [SMALL_STATE(9912)] = 484822,
  [SMALL_STATE(9913)] = 484885,
  [SMALL_STATE(9914)] = 484948,
  [SMALL_STATE(9915)] = 485011,
  [SMALL_STATE(9916)] = 485066,
  [SMALL_STATE(9917)] = 485127,
  [SMALL_STATE(9918)] = 485178,
  [SMALL_STATE(9919)] = 485229,
  [SMALL_STATE(9920)] = 485284,
  [SMALL_STATE(9921)] = 485347,
  [SMALL_STATE(9922)] = 485404,
  [SMALL_STATE(9923)] = 485465,
  [SMALL_STATE(9924)] = 485528,
  [SMALL_STATE(9925)] = 485573,
  [SMALL_STATE(9926)] = 485612,
  [SMALL_STATE(9927)] = 485651,
  [SMALL_STATE(9928)] = 485706,
  [SMALL_STATE(9929)] = 485745,
  [SMALL_STATE(9930)] = 485783,
  [SMALL_STATE(9931)] = 485823,
  [SMALL_STATE(9932)] = 485889,
  [SMALL_STATE(9933)] = 485927,
  [SMALL_STATE(9934)] = 485979,
  [SMALL_STATE(9935)] = 486021,
  [SMALL_STATE(9936)] = 486087,
  [SMALL_STATE(9937)] = 486137,
  [SMALL_STATE(9938)] = 486183,
  [SMALL_STATE(9939)] = 486221,
  [SMALL_STATE(9940)] = 486259,
  [SMALL_STATE(9941)] = 486315,
  [SMALL_STATE(9942)] = 486353,
  [SMALL_STATE(9943)] = 486391,
  [SMALL_STATE(9944)] = 486429,
  [SMALL_STATE(9945)] = 486495,
  [SMALL_STATE(9946)] = 486533,
  [SMALL_STATE(9947)] = 486593,
  [SMALL_STATE(9948)] = 486645,
  [SMALL_STATE(9949)] = 486683,
  [SMALL_STATE(9950)] = 486725,
  [SMALL_STATE(9951)] = 486769,
  [SMALL_STATE(9952)] = 486807,
  [SMALL_STATE(9953)] = 486845,
  [SMALL_STATE(9954)] = 486887,
  [SMALL_STATE(9955)] = 486953,
  [SMALL_STATE(9956)] = 486991,
  [SMALL_STATE(9957)] = 487057,
  [SMALL_STATE(9958)] = 487095,
  [SMALL_STATE(9959)] = 487133,
  [SMALL_STATE(9960)] = 487175,
  [SMALL_STATE(9961)] = 487213,
  [SMALL_STATE(9962)] = 487255,
  [SMALL_STATE(9963)] = 487293,
  [SMALL_STATE(9964)] = 487353,
  [SMALL_STATE(9965)] = 487391,
  [SMALL_STATE(9966)] = 487429,
  [SMALL_STATE(9967)] = 487467,
  [SMALL_STATE(9968)] = 487505,
  [SMALL_STATE(9969)] = 487571,
  [SMALL_STATE(9970)] = 487609,
  [SMALL_STATE(9971)] = 487669,
  [SMALL_STATE(9972)] = 487735,
  [SMALL_STATE(9973)] = 487773,
  [SMALL_STATE(9974)] = 487811,
  [SMALL_STATE(9975)] = 487849,
  [SMALL_STATE(9976)] = 487899,
  [SMALL_STATE(9977)] = 487941,
  [SMALL_STATE(9978)] = 487989,
  [SMALL_STATE(9979)] = 488055,
  [SMALL_STATE(9980)] = 488097,
  [SMALL_STATE(9981)] = 488157,
  [SMALL_STATE(9982)] = 488199,
  [SMALL_STATE(9983)] = 488241,
  [SMALL_STATE(9984)] = 488289,
  [SMALL_STATE(9985)] = 488331,
  [SMALL_STATE(9986)] = 488369,
  [SMALL_STATE(9987)] = 488409,
  [SMALL_STATE(9988)] = 488447,
  [SMALL_STATE(9989)] = 488485,
  [SMALL_STATE(9990)] = 488551,
  [SMALL_STATE(9991)] = 488605,
  [SMALL_STATE(9992)] = 488661,
  [SMALL_STATE(9993)] = 488713,
  [SMALL_STATE(9994)] = 488751,
  [SMALL_STATE(9995)] = 488817,
  [SMALL_STATE(9996)] = 488855,
  [SMALL_STATE(9997)] = 488893,
  [SMALL_STATE(9998)] = 488959,
  [SMALL_STATE(9999)] = 488997,
  [SMALL_STATE(10000)] = 489035,
  [SMALL_STATE(10001)] = 489073,
  [SMALL_STATE(10002)] = 489111,
  [SMALL_STATE(10003)] = 489177,
  [SMALL_STATE(10004)] = 489215,
  [SMALL_STATE(10005)] = 489253,
  [SMALL_STATE(10006)] = 489291,
  [SMALL_STATE(10007)] = 489341,
  [SMALL_STATE(10008)] = 489393,
  [SMALL_STATE(10009)] = 489431,
  [SMALL_STATE(10010)] = 489469,
  [SMALL_STATE(10011)] = 489509,
  [SMALL_STATE(10012)] = 489547,
  [SMALL_STATE(10013)] = 489589,
  [SMALL_STATE(10014)] = 489631,
  [SMALL_STATE(10015)] = 489669,
  [SMALL_STATE(10016)] = 489707,
  [SMALL_STATE(10017)] = 489745,
  [SMALL_STATE(10018)] = 489783,
  [SMALL_STATE(10019)] = 489821,
  [SMALL_STATE(10020)] = 489859,
  [SMALL_STATE(10021)] = 489897,
  [SMALL_STATE(10022)] = 489945,
  [SMALL_STATE(10023)] = 489987,
  [SMALL_STATE(10024)] = 490037,
  [SMALL_STATE(10025)] = 490075,
  [SMALL_STATE(10026)] = 490127,
  [SMALL_STATE(10027)] = 490169,
  [SMALL_STATE(10028)] = 490207,
  [SMALL_STATE(10029)] = 490245,
  [SMALL_STATE(10030)] = 490291,
  [SMALL_STATE(10031)] = 490357,
  [SMALL_STATE(10032)] = 490395,
  [SMALL_STATE(10033)] = 490445,
  [SMALL_STATE(10034)] = 490483,
  [SMALL_STATE(10035)] = 490521,
  [SMALL_STATE(10036)] = 490559,
  [SMALL_STATE(10037)] = 490597,
  [SMALL_STATE(10038)] = 490635,
  [SMALL_STATE(10039)] = 490677,
  [SMALL_STATE(10040)] = 490743,
  [SMALL_STATE(10041)] = 490781,
  [SMALL_STATE(10042)] = 490847,
  [SMALL_STATE(10043)] = 490889,
  [SMALL_STATE(10044)] = 490927,
  [SMALL_STATE(10045)] = 490975,
  [SMALL_STATE(10046)] = 491013,
  [SMALL_STATE(10047)] = 491051,
  [SMALL_STATE(10048)] = 491113,
  [SMALL_STATE(10049)] = 491151,
  [SMALL_STATE(10050)] = 491199,
  [SMALL_STATE(10051)] = 491237,
  [SMALL_STATE(10052)] = 491303,
  [SMALL_STATE(10053)] = 491341,
  [SMALL_STATE(10054)] = 491383,
  [SMALL_STATE(10055)] = 491431,
  [SMALL_STATE(10056)] = 491469,
  [SMALL_STATE(10057)] = 491517,
  [SMALL_STATE(10058)] = 491565,
  [SMALL_STATE(10059)] = 491613,
  [SMALL_STATE(10060)] = 491651,
  [SMALL_STATE(10061)] = 491693,
  [SMALL_STATE(10062)] = 491741,
  [SMALL_STATE(10063)] = 491779,
  [SMALL_STATE(10064)] = 491817,
  [SMALL_STATE(10065)] = 491855,
  [SMALL_STATE(10066)] = 491893,
  [SMALL_STATE(10067)] = 491931,
  [SMALL_STATE(10068)] = 491969,
  [SMALL_STATE(10069)] = 492007,
  [SMALL_STATE(10070)] = 492045,
  [SMALL_STATE(10071)] = 492083,
  [SMALL_STATE(10072)] = 492121,
  [SMALL_STATE(10073)] = 492163,
  [SMALL_STATE(10074)] = 492229,
  [SMALL_STATE(10075)] = 492267,
  [SMALL_STATE(10076)] = 492307,
  [SMALL_STATE(10077)] = 492373,
  [SMALL_STATE(10078)] = 492411,
  [SMALL_STATE(10079)] = 492449,
  [SMALL_STATE(10080)] = 492487,
  [SMALL_STATE(10081)] = 492529,
  [SMALL_STATE(10082)] = 492567,
  [SMALL_STATE(10083)] = 492605,
  [SMALL_STATE(10084)] = 492643,
  [SMALL_STATE(10085)] = 492683,
  [SMALL_STATE(10086)] = 492749,
  [SMALL_STATE(10087)] = 492787,
  [SMALL_STATE(10088)] = 492825,
  [SMALL_STATE(10089)] = 492863,
  [SMALL_STATE(10090)] = 492901,
  [SMALL_STATE(10091)] = 492939,
  [SMALL_STATE(10092)] = 492977,
  [SMALL_STATE(10093)] = 493043,
  [SMALL_STATE(10094)] = 493081,
  [SMALL_STATE(10095)] = 493119,
  [SMALL_STATE(10096)] = 493161,
  [SMALL_STATE(10097)] = 493209,
  [SMALL_STATE(10098)] = 493247,
  [SMALL_STATE(10099)] = 493295,
  [SMALL_STATE(10100)] = 493347,
  [SMALL_STATE(10101)] = 493395,
  [SMALL_STATE(10102)] = 493433,
  [SMALL_STATE(10103)] = 493471,
  [SMALL_STATE(10104)] = 493519,
  [SMALL_STATE(10105)] = 493557,
  [SMALL_STATE(10106)] = 493599,
  [SMALL_STATE(10107)] = 493637,
  [SMALL_STATE(10108)] = 493675,
  [SMALL_STATE(10109)] = 493723,
  [SMALL_STATE(10110)] = 493775,
  [SMALL_STATE(10111)] = 493823,
  [SMALL_STATE(10112)] = 493861,
  [SMALL_STATE(10113)] = 493899,
  [SMALL_STATE(10114)] = 493937,
  [SMALL_STATE(10115)] = 493975,
  [SMALL_STATE(10116)] = 494013,
  [SMALL_STATE(10117)] = 494079,
  [SMALL_STATE(10118)] = 494117,
  [SMALL_STATE(10119)] = 494159,
  [SMALL_STATE(10120)] = 494197,
  [SMALL_STATE(10121)] = 494235,
  [SMALL_STATE(10122)] = 494273,
  [SMALL_STATE(10123)] = 494323,
  [SMALL_STATE(10124)] = 494361,
  [SMALL_STATE(10125)] = 494399,
  [SMALL_STATE(10126)] = 494437,
  [SMALL_STATE(10127)] = 494475,
  [SMALL_STATE(10128)] = 494513,
  [SMALL_STATE(10129)] = 494551,
  [SMALL_STATE(10130)] = 494617,
  [SMALL_STATE(10131)] = 494655,
  [SMALL_STATE(10132)] = 494693,
  [SMALL_STATE(10133)] = 494731,
  [SMALL_STATE(10134)] = 494771,
  [SMALL_STATE(10135)] = 494809,
  [SMALL_STATE(10136)] = 494861,
  [SMALL_STATE(10137)] = 494899,
  [SMALL_STATE(10138)] = 494937,
  [SMALL_STATE(10139)] = 494975,
  [SMALL_STATE(10140)] = 495013,
  [SMALL_STATE(10141)] = 495061,
  [SMALL_STATE(10142)] = 495103,
  [SMALL_STATE(10143)] = 495169,
  [SMALL_STATE(10144)] = 495209,
  [SMALL_STATE(10145)] = 495257,
  [SMALL_STATE(10146)] = 495299,
  [SMALL_STATE(10147)] = 495337,
  [SMALL_STATE(10148)] = 495377,
  [SMALL_STATE(10149)] = 495417,
  [SMALL_STATE(10150)] = 495465,
  [SMALL_STATE(10151)] = 495503,
  [SMALL_STATE(10152)] = 495543,
  [SMALL_STATE(10153)] = 495609,
  [SMALL_STATE(10154)] = 495675,
  [SMALL_STATE(10155)] = 495713,
  [SMALL_STATE(10156)] = 495779,
  [SMALL_STATE(10157)] = 495817,
  [SMALL_STATE(10158)] = 495855,
  [SMALL_STATE(10159)] = 495898,
  [SMALL_STATE(10160)] = 495939,
  [SMALL_STATE(10161)] = 495978,
  [SMALL_STATE(10162)] = 496025,
  [SMALL_STATE(10163)] = 496066,
  [SMALL_STATE(10164)] = 496103,
  [SMALL_STATE(10165)] = 496140,
  [SMALL_STATE(10166)] = 496183,
  [SMALL_STATE(10167)] = 496246,
  [SMALL_STATE(10168)] = 496295,
  [SMALL_STATE(10169)] = 496358,
  [SMALL_STATE(10170)] = 496395,
  [SMALL_STATE(10171)] = 496458,
  [SMALL_STATE(10172)] = 496521,
  [SMALL_STATE(10173)] = 496562,
  [SMALL_STATE(10174)] = 496625,
  [SMALL_STATE(10175)] = 496672,
  [SMALL_STATE(10176)] = 496735,
  [SMALL_STATE(10177)] = 496798,
  [SMALL_STATE(10178)] = 496845,
  [SMALL_STATE(10179)] = 496892,
  [SMALL_STATE(10180)] = 496939,
  [SMALL_STATE(10181)] = 496988,
  [SMALL_STATE(10182)] = 497027,
  [SMALL_STATE(10183)] = 497076,
  [SMALL_STATE(10184)] = 497123,
  [SMALL_STATE(10185)] = 497166,
  [SMALL_STATE(10186)] = 497229,
  [SMALL_STATE(10187)] = 497276,
  [SMALL_STATE(10188)] = 497313,
  [SMALL_STATE(10189)] = 497360,
  [SMALL_STATE(10190)] = 497403,
  [SMALL_STATE(10191)] = 497440,
  [SMALL_STATE(10192)] = 497479,
  [SMALL_STATE(10193)] = 497528,
  [SMALL_STATE(10194)] = 497565,
  [SMALL_STATE(10195)] = 497614,
  [SMALL_STATE(10196)] = 497657,
  [SMALL_STATE(10197)] = 497720,
  [SMALL_STATE(10198)] = 497769,
  [SMALL_STATE(10199)] = 497818,
  [SMALL_STATE(10200)] = 497867,
  [SMALL_STATE(10201)] = 497930,
  [SMALL_STATE(10202)] = 497969,
  [SMALL_STATE(10203)] = 498018,
  [SMALL_STATE(10204)] = 498065,
  [SMALL_STATE(10205)] = 498114,
  [SMALL_STATE(10206)] = 498151,
  [SMALL_STATE(10207)] = 498214,
  [SMALL_STATE(10208)] = 498251,
  [SMALL_STATE(10209)] = 498314,
  [SMALL_STATE(10210)] = 498377,
  [SMALL_STATE(10211)] = 498418,
  [SMALL_STATE(10212)] = 498455,
  [SMALL_STATE(10213)] = 498498,
  [SMALL_STATE(10214)] = 498535,
  [SMALL_STATE(10215)] = 498578,
  [SMALL_STATE(10216)] = 498615,
  [SMALL_STATE(10217)] = 498654,
  [SMALL_STATE(10218)] = 498693,
  [SMALL_STATE(10219)] = 498742,
  [SMALL_STATE(10220)] = 498805,
  [SMALL_STATE(10221)] = 498854,
  [SMALL_STATE(10222)] = 498895,
  [SMALL_STATE(10223)] = 498932,
  [SMALL_STATE(10224)] = 498975,
  [SMALL_STATE(10225)] = 499018,
  [SMALL_STATE(10226)] = 499065,
  [SMALL_STATE(10227)] = 499128,
  [SMALL_STATE(10228)] = 499165,
  [SMALL_STATE(10229)] = 499228,
  [SMALL_STATE(10230)] = 499271,
  [SMALL_STATE(10231)] = 499308,
  [SMALL_STATE(10232)] = 499345,
  [SMALL_STATE(10233)] = 499382,
  [SMALL_STATE(10234)] = 499431,
  [SMALL_STATE(10235)] = 499480,
  [SMALL_STATE(10236)] = 499527,
  [SMALL_STATE(10237)] = 499586,
  [SMALL_STATE(10238)] = 499649,
  [SMALL_STATE(10239)] = 499692,
  [SMALL_STATE(10240)] = 499755,
  [SMALL_STATE(10241)] = 499802,
  [SMALL_STATE(10242)] = 499839,
  [SMALL_STATE(10243)] = 499902,
  [SMALL_STATE(10244)] = 499955,
  [SMALL_STATE(10245)] = 500008,
  [SMALL_STATE(10246)] = 500057,
  [SMALL_STATE(10247)] = 500100,
  [SMALL_STATE(10248)] = 500149,
  [SMALL_STATE(10249)] = 500186,
  [SMALL_STATE(10250)] = 500233,
  [SMALL_STATE(10251)] = 500270,
  [SMALL_STATE(10252)] = 500333,
  [SMALL_STATE(10253)] = 500370,
  [SMALL_STATE(10254)] = 500417,
  [SMALL_STATE(10255)] = 500466,
  [SMALL_STATE(10256)] = 500515,
  [SMALL_STATE(10257)] = 500578,
  [SMALL_STATE(10258)] = 500615,
  [SMALL_STATE(10259)] = 500652,
  [SMALL_STATE(10260)] = 500689,
  [SMALL_STATE(10261)] = 500732,
  [SMALL_STATE(10262)] = 500779,
  [SMALL_STATE(10263)] = 500838,
  [SMALL_STATE(10264)] = 500877,
  [SMALL_STATE(10265)] = 500914,
  [SMALL_STATE(10266)] = 500951,
  [SMALL_STATE(10267)] = 500994,
  [SMALL_STATE(10268)] = 501057,
  [SMALL_STATE(10269)] = 501116,
  [SMALL_STATE(10270)] = 501171,
  [SMALL_STATE(10271)] = 501210,
  [SMALL_STATE(10272)] = 501263,
  [SMALL_STATE(10273)] = 501312,
  [SMALL_STATE(10274)] = 501359,
  [SMALL_STATE(10275)] = 501406,
  [SMALL_STATE(10276)] = 501455,
  [SMALL_STATE(10277)] = 501518,
  [SMALL_STATE(10278)] = 501567,
  [SMALL_STATE(10279)] = 501608,
  [SMALL_STATE(10280)] = 501649,
  [SMALL_STATE(10281)] = 501690,
  [SMALL_STATE(10282)] = 501743,
  [SMALL_STATE(10283)] = 501806,
  [SMALL_STATE(10284)] = 501859,
  [SMALL_STATE(10285)] = 501902,
  [SMALL_STATE(10286)] = 501965,
  [SMALL_STATE(10287)] = 502006,
  [SMALL_STATE(10288)] = 502053,
  [SMALL_STATE(10289)] = 502116,
  [SMALL_STATE(10290)] = 502171,
  [SMALL_STATE(10291)] = 502218,
  [SMALL_STATE(10292)] = 502265,
  [SMALL_STATE(10293)] = 502312,
  [SMALL_STATE(10294)] = 502359,
  [SMALL_STATE(10295)] = 502396,
  [SMALL_STATE(10296)] = 502433,
  [SMALL_STATE(10297)] = 502496,
  [SMALL_STATE(10298)] = 502557,
  [SMALL_STATE(10299)] = 502600,
  [SMALL_STATE(10300)] = 502637,
  [SMALL_STATE(10301)] = 502680,
  [SMALL_STATE(10302)] = 502717,
  [SMALL_STATE(10303)] = 502772,
  [SMALL_STATE(10304)] = 502809,
  [SMALL_STATE(10305)] = 502852,
  [SMALL_STATE(10306)] = 502901,
  [SMALL_STATE(10307)] = 502938,
  [SMALL_STATE(10308)] = 502987,
  [SMALL_STATE(10309)] = 503028,
  [SMALL_STATE(10310)] = 503091,
  [SMALL_STATE(10311)] = 503132,
  [SMALL_STATE(10312)] = 503195,
  [SMALL_STATE(10313)] = 503234,
  [SMALL_STATE(10314)] = 503293,
  [SMALL_STATE(10315)] = 503346,
  [SMALL_STATE(10316)] = 503395,
  [SMALL_STATE(10317)] = 503448,
  [SMALL_STATE(10318)] = 503497,
  [SMALL_STATE(10319)] = 503534,
  [SMALL_STATE(10320)] = 503587,
  [SMALL_STATE(10321)] = 503630,
  [SMALL_STATE(10322)] = 503683,
  [SMALL_STATE(10323)] = 503722,
  [SMALL_STATE(10324)] = 503759,
  [SMALL_STATE(10325)] = 503798,
  [SMALL_STATE(10326)] = 503861,
  [SMALL_STATE(10327)] = 503914,
  [SMALL_STATE(10328)] = 503967,
  [SMALL_STATE(10329)] = 504004,
  [SMALL_STATE(10330)] = 504047,
  [SMALL_STATE(10331)] = 504090,
  [SMALL_STATE(10332)] = 504153,
  [SMALL_STATE(10333)] = 504202,
  [SMALL_STATE(10334)] = 504245,
  [SMALL_STATE(10335)] = 504298,
  [SMALL_STATE(10336)] = 504357,
  [SMALL_STATE(10337)] = 504420,
  [SMALL_STATE(10338)] = 504469,
  [SMALL_STATE(10339)] = 504532,
  [SMALL_STATE(10340)] = 504569,
  [SMALL_STATE(10341)] = 504610,
  [SMALL_STATE(10342)] = 504651,
  [SMALL_STATE(10343)] = 504688,
  [SMALL_STATE(10344)] = 504731,
  [SMALL_STATE(10345)] = 504778,
  [SMALL_STATE(10346)] = 504815,
  [SMALL_STATE(10347)] = 504864,
  [SMALL_STATE(10348)] = 504905,
  [SMALL_STATE(10349)] = 504942,
  [SMALL_STATE(10350)] = 504981,
  [SMALL_STATE(10351)] = 505018,
  [SMALL_STATE(10352)] = 505077,
  [SMALL_STATE(10353)] = 505120,
  [SMALL_STATE(10354)] = 505163,
  [SMALL_STATE(10355)] = 505204,
  [SMALL_STATE(10356)] = 505267,
  [SMALL_STATE(10357)] = 505330,
  [SMALL_STATE(10358)] = 505379,
  [SMALL_STATE(10359)] = 505416,
  [SMALL_STATE(10360)] = 505459,
  [SMALL_STATE(10361)] = 505500,
  [SMALL_STATE(10362)] = 505537,
  [SMALL_STATE(10363)] = 505586,
  [SMALL_STATE(10364)] = 505629,
  [SMALL_STATE(10365)] = 505672,
  [SMALL_STATE(10366)] = 505713,
  [SMALL_STATE(10367)] = 505772,
  [SMALL_STATE(10368)] = 505821,
  [SMALL_STATE(10369)] = 505876,
  [SMALL_STATE(10370)] = 505939,
  [SMALL_STATE(10371)] = 505992,
  [SMALL_STATE(10372)] = 506041,
  [SMALL_STATE(10373)] = 506090,
  [SMALL_STATE(10374)] = 506131,
  [SMALL_STATE(10375)] = 506172,
  [SMALL_STATE(10376)] = 506219,
  [SMALL_STATE(10377)] = 506282,
  [SMALL_STATE(10378)] = 506323,
  [SMALL_STATE(10379)] = 506372,
  [SMALL_STATE(10380)] = 506435,
  [SMALL_STATE(10381)] = 506472,
  [SMALL_STATE(10382)] = 506521,
  [SMALL_STATE(10383)] = 506558,
  [SMALL_STATE(10384)] = 506621,
  [SMALL_STATE(10385)] = 506670,
  [SMALL_STATE(10386)] = 506733,
  [SMALL_STATE(10387)] = 506794,
  [SMALL_STATE(10388)] = 506857,
  [SMALL_STATE(10389)] = 506894,
  [SMALL_STATE(10390)] = 506931,
  [SMALL_STATE(10391)] = 506994,
  [SMALL_STATE(10392)] = 507031,
  [SMALL_STATE(10393)] = 507080,
  [SMALL_STATE(10394)] = 507133,
  [SMALL_STATE(10395)] = 507182,
  [SMALL_STATE(10396)] = 507219,
  [SMALL_STATE(10397)] = 507256,
  [SMALL_STATE(10398)] = 507299,
  [SMALL_STATE(10399)] = 507336,
  [SMALL_STATE(10400)] = 507399,
  [SMALL_STATE(10401)] = 507462,
  [SMALL_STATE(10402)] = 507498,
  [SMALL_STATE(10403)] = 507534,
  [SMALL_STATE(10404)] = 507580,
  [SMALL_STATE(10405)] = 507626,
  [SMALL_STATE(10406)] = 507664,
  [SMALL_STATE(10407)] = 507700,
  [SMALL_STATE(10408)] = 507736,
  [SMALL_STATE(10409)] = 507776,
  [SMALL_STATE(10410)] = 507822,
  [SMALL_STATE(10411)] = 507858,
  [SMALL_STATE(10412)] = 507894,
  [SMALL_STATE(10413)] = 507954,
  [SMALL_STATE(10414)] = 507990,
  [SMALL_STATE(10415)] = 508032,
  [SMALL_STATE(10416)] = 508068,
  [SMALL_STATE(10417)] = 508114,
  [SMALL_STATE(10418)] = 508150,
  [SMALL_STATE(10419)] = 508186,
  [SMALL_STATE(10420)] = 508232,
  [SMALL_STATE(10421)] = 508268,
  [SMALL_STATE(10422)] = 508310,
  [SMALL_STATE(10423)] = 508356,
  [SMALL_STATE(10424)] = 508396,
  [SMALL_STATE(10425)] = 508456,
  [SMALL_STATE(10426)] = 508492,
  [SMALL_STATE(10427)] = 508528,
  [SMALL_STATE(10428)] = 508588,
  [SMALL_STATE(10429)] = 508624,
  [SMALL_STATE(10430)] = 508660,
  [SMALL_STATE(10431)] = 508720,
  [SMALL_STATE(10432)] = 508756,
  [SMALL_STATE(10433)] = 508792,
  [SMALL_STATE(10434)] = 508828,
  [SMALL_STATE(10435)] = 508864,
  [SMALL_STATE(10436)] = 508924,
  [SMALL_STATE(10437)] = 508960,
  [SMALL_STATE(10438)] = 508996,
  [SMALL_STATE(10439)] = 509032,
  [SMALL_STATE(10440)] = 509090,
  [SMALL_STATE(10441)] = 509132,
  [SMALL_STATE(10442)] = 509190,
  [SMALL_STATE(10443)] = 509226,
  [SMALL_STATE(10444)] = 509280,
  [SMALL_STATE(10445)] = 509328,
  [SMALL_STATE(10446)] = 509388,
  [SMALL_STATE(10447)] = 509430,
  [SMALL_STATE(10448)] = 509482,
  [SMALL_STATE(10449)] = 509542,
  [SMALL_STATE(10450)] = 509590,
  [SMALL_STATE(10451)] = 509650,
  [SMALL_STATE(10452)] = 509698,
  [SMALL_STATE(10453)] = 509740,
  [SMALL_STATE(10454)] = 509782,
  [SMALL_STATE(10455)] = 509822,
  [SMALL_STATE(10456)] = 509858,
  [SMALL_STATE(10457)] = 509918,
  [SMALL_STATE(10458)] = 509958,
  [SMALL_STATE(10459)] = 509998,
  [SMALL_STATE(10460)] = 510034,
  [SMALL_STATE(10461)] = 510074,
  [SMALL_STATE(10462)] = 510110,
  [SMALL_STATE(10463)] = 510150,
  [SMALL_STATE(10464)] = 510192,
  [SMALL_STATE(10465)] = 510246,
  [SMALL_STATE(10466)] = 510306,
  [SMALL_STATE(10467)] = 510366,
  [SMALL_STATE(10468)] = 510408,
  [SMALL_STATE(10469)] = 510450,
  [SMALL_STATE(10470)] = 510490,
  [SMALL_STATE(10471)] = 510550,
  [SMALL_STATE(10472)] = 510592,
  [SMALL_STATE(10473)] = 510652,
  [SMALL_STATE(10474)] = 510692,
  [SMALL_STATE(10475)] = 510728,
  [SMALL_STATE(10476)] = 510788,
  [SMALL_STATE(10477)] = 510830,
  [SMALL_STATE(10478)] = 510872,
  [SMALL_STATE(10479)] = 510912,
  [SMALL_STATE(10480)] = 510948,
  [SMALL_STATE(10481)] = 510984,
  [SMALL_STATE(10482)] = 511020,
  [SMALL_STATE(10483)] = 511080,
  [SMALL_STATE(10484)] = 511122,
  [SMALL_STATE(10485)] = 511158,
  [SMALL_STATE(10486)] = 511218,
  [SMALL_STATE(10487)] = 511254,
  [SMALL_STATE(10488)] = 511294,
  [SMALL_STATE(10489)] = 511330,
  [SMALL_STATE(10490)] = 511366,
  [SMALL_STATE(10491)] = 511426,
  [SMALL_STATE(10492)] = 511468,
  [SMALL_STATE(10493)] = 511510,
  [SMALL_STATE(10494)] = 511570,
  [SMALL_STATE(10495)] = 511612,
  [SMALL_STATE(10496)] = 511648,
  [SMALL_STATE(10497)] = 511684,
  [SMALL_STATE(10498)] = 511722,
  [SMALL_STATE(10499)] = 511764,
  [SMALL_STATE(10500)] = 511800,
  [SMALL_STATE(10501)] = 511836,
  [SMALL_STATE(10502)] = 511872,
  [SMALL_STATE(10503)] = 511914,
  [SMALL_STATE(10504)] = 511956,
  [SMALL_STATE(10505)] = 512016,
  [SMALL_STATE(10506)] = 512052,
  [SMALL_STATE(10507)] = 512088,
  [SMALL_STATE(10508)] = 512148,
  [SMALL_STATE(10509)] = 512184,
  [SMALL_STATE(10510)] = 512244,
  [SMALL_STATE(10511)] = 512280,
  [SMALL_STATE(10512)] = 512340,
  [SMALL_STATE(10513)] = 512376,
  [SMALL_STATE(10514)] = 512412,
  [SMALL_STATE(10515)] = 512454,
  [SMALL_STATE(10516)] = 512490,
  [SMALL_STATE(10517)] = 512526,
  [SMALL_STATE(10518)] = 512562,
  [SMALL_STATE(10519)] = 512608,
  [SMALL_STATE(10520)] = 512650,
  [SMALL_STATE(10521)] = 512686,
  [SMALL_STATE(10522)] = 512728,
  [SMALL_STATE(10523)] = 512764,
  [SMALL_STATE(10524)] = 512810,
  [SMALL_STATE(10525)] = 512846,
  [SMALL_STATE(10526)] = 512882,
  [SMALL_STATE(10527)] = 512918,
  [SMALL_STATE(10528)] = 512954,
  [SMALL_STATE(10529)] = 512994,
  [SMALL_STATE(10530)] = 513030,
  [SMALL_STATE(10531)] = 513072,
  [SMALL_STATE(10532)] = 513114,
  [SMALL_STATE(10533)] = 513164,
  [SMALL_STATE(10534)] = 513200,
  [SMALL_STATE(10535)] = 513260,
  [SMALL_STATE(10536)] = 513296,
  [SMALL_STATE(10537)] = 513332,
  [SMALL_STATE(10538)] = 513392,
  [SMALL_STATE(10539)] = 513452,
  [SMALL_STATE(10540)] = 513488,
  [SMALL_STATE(10541)] = 513530,
  [SMALL_STATE(10542)] = 513566,
  [SMALL_STATE(10543)] = 513602,
  [SMALL_STATE(10544)] = 513638,
  [SMALL_STATE(10545)] = 513678,
  [SMALL_STATE(10546)] = 513714,
  [SMALL_STATE(10547)] = 513754,
  [SMALL_STATE(10548)] = 513790,
  [SMALL_STATE(10549)] = 513826,
  [SMALL_STATE(10550)] = 513868,
  [SMALL_STATE(10551)] = 513908,
  [SMALL_STATE(10552)] = 513944,
  [SMALL_STATE(10553)] = 513980,
  [SMALL_STATE(10554)] = 514016,
  [SMALL_STATE(10555)] = 514076,
  [SMALL_STATE(10556)] = 514136,
  [SMALL_STATE(10557)] = 514172,
  [SMALL_STATE(10558)] = 514208,
  [SMALL_STATE(10559)] = 514244,
  [SMALL_STATE(10560)] = 514304,
  [SMALL_STATE(10561)] = 514364,
  [SMALL_STATE(10562)] = 514400,
  [SMALL_STATE(10563)] = 514436,
  [SMALL_STATE(10564)] = 514476,
  [SMALL_STATE(10565)] = 514536,
  [SMALL_STATE(10566)] = 514572,
  [SMALL_STATE(10567)] = 514608,
  [SMALL_STATE(10568)] = 514650,
  [SMALL_STATE(10569)] = 514686,
  [SMALL_STATE(10570)] = 514722,
  [SMALL_STATE(10571)] = 514758,
  [SMALL_STATE(10572)] = 514798,
  [SMALL_STATE(10573)] = 514834,
  [SMALL_STATE(10574)] = 514870,
  [SMALL_STATE(10575)] = 514912,
  [SMALL_STATE(10576)] = 514954,
  [SMALL_STATE(10577)] = 514990,
  [SMALL_STATE(10578)] = 515026,
  [SMALL_STATE(10579)] = 515064,
  [SMALL_STATE(10580)] = 515100,
  [SMALL_STATE(10581)] = 515136,
  [SMALL_STATE(10582)] = 515172,
  [SMALL_STATE(10583)] = 515208,
  [SMALL_STATE(10584)] = 515268,
  [SMALL_STATE(10585)] = 515304,
  [SMALL_STATE(10586)] = 515344,
  [SMALL_STATE(10587)] = 515404,
  [SMALL_STATE(10588)] = 515440,
  [SMALL_STATE(10589)] = 515482,
  [SMALL_STATE(10590)] = 515522,
  [SMALL_STATE(10591)] = 515582,
  [SMALL_STATE(10592)] = 515620,
  [SMALL_STATE(10593)] = 515662,
  [SMALL_STATE(10594)] = 515722,
  [SMALL_STATE(10595)] = 515758,
  [SMALL_STATE(10596)] = 515804,
  [SMALL_STATE(10597)] = 515846,
  [SMALL_STATE(10598)] = 515882,
  [SMALL_STATE(10599)] = 515918,
  [SMALL_STATE(10600)] = 515960,
  [SMALL_STATE(10601)] = 515996,
  [SMALL_STATE(10602)] = 516042,
  [SMALL_STATE(10603)] = 516084,
  [SMALL_STATE(10604)] = 516132,
  [SMALL_STATE(10605)] = 516192,
  [SMALL_STATE(10606)] = 516252,
  [SMALL_STATE(10607)] = 516294,
  [SMALL_STATE(10608)] = 516354,
  [SMALL_STATE(10609)] = 516414,
  [SMALL_STATE(10610)] = 516450,
  [SMALL_STATE(10611)] = 516486,
  [SMALL_STATE(10612)] = 516522,
  [SMALL_STATE(10613)] = 516558,
  [SMALL_STATE(10614)] = 516596,
  [SMALL_STATE(10615)] = 516656,
  [SMALL_STATE(10616)] = 516716,
  [SMALL_STATE(10617)] = 516752,
  [SMALL_STATE(10618)] = 516788,
  [SMALL_STATE(10619)] = 516830,
  [SMALL_STATE(10620)] = 516866,
  [SMALL_STATE(10621)] = 516904,
  [SMALL_STATE(10622)] = 516940,
  [SMALL_STATE(10623)] = 516982,
  [SMALL_STATE(10624)] = 517018,
  [SMALL_STATE(10625)] = 517054,
  [SMALL_STATE(10626)] = 517090,
  [SMALL_STATE(10627)] = 517126,
  [SMALL_STATE(10628)] = 517162,
  [SMALL_STATE(10629)] = 517198,
  [SMALL_STATE(10630)] = 517234,
  [SMALL_STATE(10631)] = 517270,
  [SMALL_STATE(10632)] = 517306,
  [SMALL_STATE(10633)] = 517366,
  [SMALL_STATE(10634)] = 517402,
  [SMALL_STATE(10635)] = 517438,
  [SMALL_STATE(10636)] = 517474,
  [SMALL_STATE(10637)] = 517524,
  [SMALL_STATE(10638)] = 517560,
  [SMALL_STATE(10639)] = 517596,
  [SMALL_STATE(10640)] = 517636,
  [SMALL_STATE(10641)] = 517672,
  [SMALL_STATE(10642)] = 517708,
  [SMALL_STATE(10643)] = 517744,
  [SMALL_STATE(10644)] = 517784,
  [SMALL_STATE(10645)] = 517824,
  [SMALL_STATE(10646)] = 517864,
  [SMALL_STATE(10647)] = 517900,
  [SMALL_STATE(10648)] = 517960,
  [SMALL_STATE(10649)] = 518002,
  [SMALL_STATE(10650)] = 518062,
  [SMALL_STATE(10651)] = 518104,
  [SMALL_STATE(10652)] = 518164,
  [SMALL_STATE(10653)] = 518206,
  [SMALL_STATE(10654)] = 518242,
  [SMALL_STATE(10655)] = 518278,
  [SMALL_STATE(10656)] = 518320,
  [SMALL_STATE(10657)] = 518380,
  [SMALL_STATE(10658)] = 518440,
  [SMALL_STATE(10659)] = 518482,
  [SMALL_STATE(10660)] = 518542,
  [SMALL_STATE(10661)] = 518580,
  [SMALL_STATE(10662)] = 518622,
  [SMALL_STATE(10663)] = 518658,
  [SMALL_STATE(10664)] = 518696,
  [SMALL_STATE(10665)] = 518742,
  [SMALL_STATE(10666)] = 518784,
  [SMALL_STATE(10667)] = 518830,
  [SMALL_STATE(10668)] = 518876,
  [SMALL_STATE(10669)] = 518922,
  [SMALL_STATE(10670)] = 518968,
  [SMALL_STATE(10671)] = 519014,
  [SMALL_STATE(10672)] = 519056,
  [SMALL_STATE(10673)] = 519116,
  [SMALL_STATE(10674)] = 519162,
  [SMALL_STATE(10675)] = 519204,
  [SMALL_STATE(10676)] = 519242,
  [SMALL_STATE(10677)] = 519278,
  [SMALL_STATE(10678)] = 519320,
  [SMALL_STATE(10679)] = 519362,
  [SMALL_STATE(10680)] = 519404,
  [SMALL_STATE(10681)] = 519464,
  [SMALL_STATE(10682)] = 519506,
  [SMALL_STATE(10683)] = 519548,
  [SMALL_STATE(10684)] = 519584,
  [SMALL_STATE(10685)] = 519626,
  [SMALL_STATE(10686)] = 519672,
  [SMALL_STATE(10687)] = 519718,
  [SMALL_STATE(10688)] = 519754,
  [SMALL_STATE(10689)] = 519796,
  [SMALL_STATE(10690)] = 519838,
  [SMALL_STATE(10691)] = 519898,
  [SMALL_STATE(10692)] = 519938,
  [SMALL_STATE(10693)] = 519998,
  [SMALL_STATE(10694)] = 520040,
  [SMALL_STATE(10695)] = 520100,
  [SMALL_STATE(10696)] = 520142,
  [SMALL_STATE(10697)] = 520184,
  [SMALL_STATE(10698)] = 520226,
  [SMALL_STATE(10699)] = 520268,
  [SMALL_STATE(10700)] = 520314,
  [SMALL_STATE(10701)] = 520356,
  [SMALL_STATE(10702)] = 520402,
  [SMALL_STATE(10703)] = 520448,
  [SMALL_STATE(10704)] = 520484,
  [SMALL_STATE(10705)] = 520526,
  [SMALL_STATE(10706)] = 520562,
  [SMALL_STATE(10707)] = 520604,
  [SMALL_STATE(10708)] = 520646,
  [SMALL_STATE(10709)] = 520688,
  [SMALL_STATE(10710)] = 520730,
  [SMALL_STATE(10711)] = 520790,
  [SMALL_STATE(10712)] = 520850,
  [SMALL_STATE(10713)] = 520892,
  [SMALL_STATE(10714)] = 520952,
  [SMALL_STATE(10715)] = 521012,
  [SMALL_STATE(10716)] = 521070,
  [SMALL_STATE(10717)] = 521106,
  [SMALL_STATE(10718)] = 521148,
  [SMALL_STATE(10719)] = 521184,
  [SMALL_STATE(10720)] = 521220,
  [SMALL_STATE(10721)] = 521262,
  [SMALL_STATE(10722)] = 521322,
  [SMALL_STATE(10723)] = 521364,
  [SMALL_STATE(10724)] = 521412,
  [SMALL_STATE(10725)] = 521472,
  [SMALL_STATE(10726)] = 521514,
  [SMALL_STATE(10727)] = 521550,
  [SMALL_STATE(10728)] = 521592,
  [SMALL_STATE(10729)] = 521634,
  [SMALL_STATE(10730)] = 521674,
  [SMALL_STATE(10731)] = 521710,
  [SMALL_STATE(10732)] = 521746,
  [SMALL_STATE(10733)] = 521788,
  [SMALL_STATE(10734)] = 521824,
  [SMALL_STATE(10735)] = 521864,
  [SMALL_STATE(10736)] = 521906,
  [SMALL_STATE(10737)] = 521948,
  [SMALL_STATE(10738)] = 522008,
  [SMALL_STATE(10739)] = 522050,
  [SMALL_STATE(10740)] = 522096,
  [SMALL_STATE(10741)] = 522144,
  [SMALL_STATE(10742)] = 522186,
  [SMALL_STATE(10743)] = 522246,
  [SMALL_STATE(10744)] = 522292,
  [SMALL_STATE(10745)] = 522352,
  [SMALL_STATE(10746)] = 522394,
  [SMALL_STATE(10747)] = 522436,
  [SMALL_STATE(10748)] = 522478,
  [SMALL_STATE(10749)] = 522514,
  [SMALL_STATE(10750)] = 522556,
  [SMALL_STATE(10751)] = 522598,
  [SMALL_STATE(10752)] = 522634,
  [SMALL_STATE(10753)] = 522676,
  [SMALL_STATE(10754)] = 522736,
  [SMALL_STATE(10755)] = 522778,
  [SMALL_STATE(10756)] = 522820,
  [SMALL_STATE(10757)] = 522856,
  [SMALL_STATE(10758)] = 522916,
  [SMALL_STATE(10759)] = 522958,
  [SMALL_STATE(10760)] = 523000,
  [SMALL_STATE(10761)] = 523046,
  [SMALL_STATE(10762)] = 523106,
  [SMALL_STATE(10763)] = 523148,
  [SMALL_STATE(10764)] = 523184,
  [SMALL_STATE(10765)] = 523244,
  [SMALL_STATE(10766)] = 523286,
  [SMALL_STATE(10767)] = 523328,
  [SMALL_STATE(10768)] = 523388,
  [SMALL_STATE(10769)] = 523430,
  [SMALL_STATE(10770)] = 523472,
  [SMALL_STATE(10771)] = 523512,
  [SMALL_STATE(10772)] = 523554,
  [SMALL_STATE(10773)] = 523596,
  [SMALL_STATE(10774)] = 523632,
  [SMALL_STATE(10775)] = 523692,
  [SMALL_STATE(10776)] = 523731,
  [SMALL_STATE(10777)] = 523788,
  [SMALL_STATE(10778)] = 523823,
  [SMALL_STATE(10779)] = 523858,
  [SMALL_STATE(10780)] = 523903,
  [SMALL_STATE(10781)] = 523938,
  [SMALL_STATE(10782)] = 523983,
  [SMALL_STATE(10783)] = 524028,
  [SMALL_STATE(10784)] = 524073,
  [SMALL_STATE(10785)] = 524118,
  [SMALL_STATE(10786)] = 524163,
  [SMALL_STATE(10787)] = 524220,
  [SMALL_STATE(10788)] = 524255,
  [SMALL_STATE(10789)] = 524300,
  [SMALL_STATE(10790)] = 524335,
  [SMALL_STATE(10791)] = 524370,
  [SMALL_STATE(10792)] = 524413,
  [SMALL_STATE(10793)] = 524456,
  [SMALL_STATE(10794)] = 524491,
  [SMALL_STATE(10795)] = 524526,
  [SMALL_STATE(10796)] = 524569,
  [SMALL_STATE(10797)] = 524604,
  [SMALL_STATE(10798)] = 524639,
  [SMALL_STATE(10799)] = 524674,
  [SMALL_STATE(10800)] = 524731,
  [SMALL_STATE(10801)] = 524788,
  [SMALL_STATE(10802)] = 524827,
  [SMALL_STATE(10803)] = 524870,
  [SMALL_STATE(10804)] = 524927,
  [SMALL_STATE(10805)] = 524962,
  [SMALL_STATE(10806)] = 524997,
  [SMALL_STATE(10807)] = 525032,
  [SMALL_STATE(10808)] = 525067,
  [SMALL_STATE(10809)] = 525102,
  [SMALL_STATE(10810)] = 525159,
  [SMALL_STATE(10811)] = 525194,
  [SMALL_STATE(10812)] = 525251,
  [SMALL_STATE(10813)] = 525292,
  [SMALL_STATE(10814)] = 525327,
  [SMALL_STATE(10815)] = 525362,
  [SMALL_STATE(10816)] = 525403,
  [SMALL_STATE(10817)] = 525460,
  [SMALL_STATE(10818)] = 525495,
  [SMALL_STATE(10819)] = 525530,
  [SMALL_STATE(10820)] = 525571,
  [SMALL_STATE(10821)] = 525606,
  [SMALL_STATE(10822)] = 525663,
  [SMALL_STATE(10823)] = 525698,
  [SMALL_STATE(10824)] = 525733,
  [SMALL_STATE(10825)] = 525768,
  [SMALL_STATE(10826)] = 525809,
  [SMALL_STATE(10827)] = 525850,
  [SMALL_STATE(10828)] = 525885,
  [SMALL_STATE(10829)] = 525942,
  [SMALL_STATE(10830)] = 525977,
  [SMALL_STATE(10831)] = 526014,
  [SMALL_STATE(10832)] = 526053,
  [SMALL_STATE(10833)] = 526092,
  [SMALL_STATE(10834)] = 526131,
  [SMALL_STATE(10835)] = 526166,
  [SMALL_STATE(10836)] = 526205,
  [SMALL_STATE(10837)] = 526242,
  [SMALL_STATE(10838)] = 526277,
  [SMALL_STATE(10839)] = 526320,
  [SMALL_STATE(10840)] = 526377,
  [SMALL_STATE(10841)] = 526412,
  [SMALL_STATE(10842)] = 526451,
  [SMALL_STATE(10843)] = 526508,
  [SMALL_STATE(10844)] = 526549,
  [SMALL_STATE(10845)] = 526584,
  [SMALL_STATE(10846)] = 526619,
  [SMALL_STATE(10847)] = 526664,
  [SMALL_STATE(10848)] = 526705,
  [SMALL_STATE(10849)] = 526750,
  [SMALL_STATE(10850)] = 526787,
  [SMALL_STATE(10851)] = 526844,
  [SMALL_STATE(10852)] = 526889,
  [SMALL_STATE(10853)] = 526928,
  [SMALL_STATE(10854)] = 526973,
  [SMALL_STATE(10855)] = 527008,
  [SMALL_STATE(10856)] = 527065,
  [SMALL_STATE(10857)] = 527100,
  [SMALL_STATE(10858)] = 527157,
  [SMALL_STATE(10859)] = 527200,
  [SMALL_STATE(10860)] = 527243,
  [SMALL_STATE(10861)] = 527288,
  [SMALL_STATE(10862)] = 527331,
  [SMALL_STATE(10863)] = 527366,
  [SMALL_STATE(10864)] = 527407,
  [SMALL_STATE(10865)] = 527442,
  [SMALL_STATE(10866)] = 527477,
  [SMALL_STATE(10867)] = 527512,
  [SMALL_STATE(10868)] = 527569,
  [SMALL_STATE(10869)] = 527604,
  [SMALL_STATE(10870)] = 527649,
  [SMALL_STATE(10871)] = 527694,
  [SMALL_STATE(10872)] = 527729,
  [SMALL_STATE(10873)] = 527764,
  [SMALL_STATE(10874)] = 527803,
  [SMALL_STATE(10875)] = 527838,
  [SMALL_STATE(10876)] = 527873,
  [SMALL_STATE(10877)] = 527908,
  [SMALL_STATE(10878)] = 527965,
  [SMALL_STATE(10879)] = 528000,
  [SMALL_STATE(10880)] = 528039,
  [SMALL_STATE(10881)] = 528096,
  [SMALL_STATE(10882)] = 528137,
  [SMALL_STATE(10883)] = 528194,
  [SMALL_STATE(10884)] = 528229,
  [SMALL_STATE(10885)] = 528270,
  [SMALL_STATE(10886)] = 528305,
  [SMALL_STATE(10887)] = 528340,
  [SMALL_STATE(10888)] = 528397,
  [SMALL_STATE(10889)] = 528432,
  [SMALL_STATE(10890)] = 528467,
  [SMALL_STATE(10891)] = 528502,
  [SMALL_STATE(10892)] = 528537,
  [SMALL_STATE(10893)] = 528578,
  [SMALL_STATE(10894)] = 528619,
  [SMALL_STATE(10895)] = 528676,
  [SMALL_STATE(10896)] = 528711,
  [SMALL_STATE(10897)] = 528746,
  [SMALL_STATE(10898)] = 528781,
  [SMALL_STATE(10899)] = 528822,
  [SMALL_STATE(10900)] = 528857,
  [SMALL_STATE(10901)] = 528892,
  [SMALL_STATE(10902)] = 528949,
  [SMALL_STATE(10903)] = 528984,
  [SMALL_STATE(10904)] = 529029,
  [SMALL_STATE(10905)] = 529074,
  [SMALL_STATE(10906)] = 529117,
  [SMALL_STATE(10907)] = 529152,
  [SMALL_STATE(10908)] = 529187,
  [SMALL_STATE(10909)] = 529222,
  [SMALL_STATE(10910)] = 529261,
  [SMALL_STATE(10911)] = 529318,
  [SMALL_STATE(10912)] = 529363,
  [SMALL_STATE(10913)] = 529420,
  [SMALL_STATE(10914)] = 529455,
  [SMALL_STATE(10915)] = 529494,
  [SMALL_STATE(10916)] = 529551,
  [SMALL_STATE(10917)] = 529596,
  [SMALL_STATE(10918)] = 529639,
  [SMALL_STATE(10919)] = 529678,
  [SMALL_STATE(10920)] = 529723,
  [SMALL_STATE(10921)] = 529758,
  [SMALL_STATE(10922)] = 529803,
  [SMALL_STATE(10923)] = 529848,
  [SMALL_STATE(10924)] = 529885,
  [SMALL_STATE(10925)] = 529930,
  [SMALL_STATE(10926)] = 529975,
  [SMALL_STATE(10927)] = 530014,
  [SMALL_STATE(10928)] = 530053,
  [SMALL_STATE(10929)] = 530110,
  [SMALL_STATE(10930)] = 530167,
  [SMALL_STATE(10931)] = 530208,
  [SMALL_STATE(10932)] = 530249,
  [SMALL_STATE(10933)] = 530306,
  [SMALL_STATE(10934)] = 530351,
  [SMALL_STATE(10935)] = 530396,
  [SMALL_STATE(10936)] = 530441,
  [SMALL_STATE(10937)] = 530480,
  [SMALL_STATE(10938)] = 530525,
  [SMALL_STATE(10939)] = 530562,
  [SMALL_STATE(10940)] = 530603,
  [SMALL_STATE(10941)] = 530648,
  [SMALL_STATE(10942)] = 530705,
  [SMALL_STATE(10943)] = 530762,
  [SMALL_STATE(10944)] = 530807,
  [SMALL_STATE(10945)] = 530852,
  [SMALL_STATE(10946)] = 530909,
  [SMALL_STATE(10947)] = 530954,
  [SMALL_STATE(10948)] = 530989,
  [SMALL_STATE(10949)] = 531034,
  [SMALL_STATE(10950)] = 531077,
  [SMALL_STATE(10951)] = 531116,
  [SMALL_STATE(10952)] = 531155,
  [SMALL_STATE(10953)] = 531212,
  [SMALL_STATE(10954)] = 531247,
  [SMALL_STATE(10955)] = 531304,
  [SMALL_STATE(10956)] = 531347,
  [SMALL_STATE(10957)] = 531392,
  [SMALL_STATE(10958)] = 531433,
  [SMALL_STATE(10959)] = 531492,
  [SMALL_STATE(10960)] = 531537,
  [SMALL_STATE(10961)] = 531578,
  [SMALL_STATE(10962)] = 531621,
  [SMALL_STATE(10963)] = 531664,
  [SMALL_STATE(10964)] = 531707,
  [SMALL_STATE(10965)] = 531750,
  [SMALL_STATE(10966)] = 531795,
  [SMALL_STATE(10967)] = 531852,
  [SMALL_STATE(10968)] = 531897,
  [SMALL_STATE(10969)] = 531938,
  [SMALL_STATE(10970)] = 531977,
  [SMALL_STATE(10971)] = 532020,
  [SMALL_STATE(10972)] = 532077,
  [SMALL_STATE(10973)] = 532120,
  [SMALL_STATE(10974)] = 532177,
  [SMALL_STATE(10975)] = 532220,
  [SMALL_STATE(10976)] = 532263,
  [SMALL_STATE(10977)] = 532306,
  [SMALL_STATE(10978)] = 532349,
  [SMALL_STATE(10979)] = 532386,
  [SMALL_STATE(10980)] = 532443,
  [SMALL_STATE(10981)] = 532488,
  [SMALL_STATE(10982)] = 532545,
  [SMALL_STATE(10983)] = 532590,
  [SMALL_STATE(10984)] = 532631,
  [SMALL_STATE(10985)] = 532684,
  [SMALL_STATE(10986)] = 532741,
  [SMALL_STATE(10987)] = 532786,
  [SMALL_STATE(10988)] = 532825,
  [SMALL_STATE(10989)] = 532864,
  [SMALL_STATE(10990)] = 532911,
  [SMALL_STATE(10991)] = 532968,
  [SMALL_STATE(10992)] = 533015,
  [SMALL_STATE(10993)] = 533052,
  [SMALL_STATE(10994)] = 533103,
  [SMALL_STATE(10995)] = 533156,
  [SMALL_STATE(10996)] = 533213,
  [SMALL_STATE(10997)] = 533254,
  [SMALL_STATE(10998)] = 533311,
  [SMALL_STATE(10999)] = 533368,
  [SMALL_STATE(11000)] = 533407,
  [SMALL_STATE(11001)] = 533464,
  [SMALL_STATE(11002)] = 533503,
  [SMALL_STATE(11003)] = 533540,
  [SMALL_STATE(11004)] = 533585,
  [SMALL_STATE(11005)] = 533628,
  [SMALL_STATE(11006)] = 533685,
  [SMALL_STATE(11007)] = 533728,
  [SMALL_STATE(11008)] = 533767,
  [SMALL_STATE(11009)] = 533806,
  [SMALL_STATE(11010)] = 533863,
  [SMALL_STATE(11011)] = 533900,
  [SMALL_STATE(11012)] = 533957,
  [SMALL_STATE(11013)] = 534014,
  [SMALL_STATE(11014)] = 534053,
  [SMALL_STATE(11015)] = 534098,
  [SMALL_STATE(11016)] = 534139,
  [SMALL_STATE(11017)] = 534184,
  [SMALL_STATE(11018)] = 534221,
  [SMALL_STATE(11019)] = 534260,
  [SMALL_STATE(11020)] = 534317,
  [SMALL_STATE(11021)] = 534358,
  [SMALL_STATE(11022)] = 534399,
  [SMALL_STATE(11023)] = 534456,
  [SMALL_STATE(11024)] = 534497,
  [SMALL_STATE(11025)] = 534538,
  [SMALL_STATE(11026)] = 534579,
  [SMALL_STATE(11027)] = 534620,
  [SMALL_STATE(11028)] = 534659,
  [SMALL_STATE(11029)] = 534716,
  [SMALL_STATE(11030)] = 534770,
  [SMALL_STATE(11031)] = 534824,
  [SMALL_STATE(11032)] = 534878,
  [SMALL_STATE(11033)] = 534916,
  [SMALL_STATE(11034)] = 534960,
  [SMALL_STATE(11035)] = 535014,
  [SMALL_STATE(11036)] = 535052,
  [SMALL_STATE(11037)] = 535090,
  [SMALL_STATE(11038)] = 535128,
  [SMALL_STATE(11039)] = 535182,
  [SMALL_STATE(11040)] = 535222,
  [SMALL_STATE(11041)] = 535276,
  [SMALL_STATE(11042)] = 535330,
  [SMALL_STATE(11043)] = 535384,
  [SMALL_STATE(11044)] = 535438,
  [SMALL_STATE(11045)] = 535474,
  [SMALL_STATE(11046)] = 535528,
  [SMALL_STATE(11047)] = 535582,
  [SMALL_STATE(11048)] = 535636,
  [SMALL_STATE(11049)] = 535676,
  [SMALL_STATE(11050)] = 535730,
  [SMALL_STATE(11051)] = 535768,
  [SMALL_STATE(11052)] = 535822,
  [SMALL_STATE(11053)] = 535876,
  [SMALL_STATE(11054)] = 535930,
  [SMALL_STATE(11055)] = 535974,
  [SMALL_STATE(11056)] = 536028,
  [SMALL_STATE(11057)] = 536062,
  [SMALL_STATE(11058)] = 536100,
  [SMALL_STATE(11059)] = 536140,
  [SMALL_STATE(11060)] = 536184,
  [SMALL_STATE(11061)] = 536238,
  [SMALL_STATE(11062)] = 536282,
  [SMALL_STATE(11063)] = 536336,
  [SMALL_STATE(11064)] = 536380,
  [SMALL_STATE(11065)] = 536434,
  [SMALL_STATE(11066)] = 536488,
  [SMALL_STATE(11067)] = 536542,
  [SMALL_STATE(11068)] = 536596,
  [SMALL_STATE(11069)] = 536636,
  [SMALL_STATE(11070)] = 536670,
  [SMALL_STATE(11071)] = 536724,
  [SMALL_STATE(11072)] = 536778,
  [SMALL_STATE(11073)] = 536832,
  [SMALL_STATE(11074)] = 536886,
  [SMALL_STATE(11075)] = 536926,
  [SMALL_STATE(11076)] = 536980,
  [SMALL_STATE(11077)] = 537034,
  [SMALL_STATE(11078)] = 537088,
  [SMALL_STATE(11079)] = 537142,
  [SMALL_STATE(11080)] = 537186,
  [SMALL_STATE(11081)] = 537240,
  [SMALL_STATE(11082)] = 537294,
  [SMALL_STATE(11083)] = 537348,
  [SMALL_STATE(11084)] = 537402,
  [SMALL_STATE(11085)] = 537456,
  [SMALL_STATE(11086)] = 537510,
  [SMALL_STATE(11087)] = 537564,
  [SMALL_STATE(11088)] = 537618,
  [SMALL_STATE(11089)] = 537672,
  [SMALL_STATE(11090)] = 537726,
  [SMALL_STATE(11091)] = 537780,
  [SMALL_STATE(11092)] = 537834,
  [SMALL_STATE(11093)] = 537888,
  [SMALL_STATE(11094)] = 537942,
  [SMALL_STATE(11095)] = 537996,
  [SMALL_STATE(11096)] = 538050,
  [SMALL_STATE(11097)] = 538104,
  [SMALL_STATE(11098)] = 538158,
  [SMALL_STATE(11099)] = 538212,
  [SMALL_STATE(11100)] = 538266,
  [SMALL_STATE(11101)] = 538320,
  [SMALL_STATE(11102)] = 538374,
  [SMALL_STATE(11103)] = 538428,
  [SMALL_STATE(11104)] = 538482,
  [SMALL_STATE(11105)] = 538536,
  [SMALL_STATE(11106)] = 538590,
  [SMALL_STATE(11107)] = 538644,
  [SMALL_STATE(11108)] = 538698,
  [SMALL_STATE(11109)] = 538752,
  [SMALL_STATE(11110)] = 538806,
  [SMALL_STATE(11111)] = 538860,
  [SMALL_STATE(11112)] = 538898,
  [SMALL_STATE(11113)] = 538934,
  [SMALL_STATE(11114)] = 538988,
  [SMALL_STATE(11115)] = 539040,
  [SMALL_STATE(11116)] = 539084,
  [SMALL_STATE(11117)] = 539122,
  [SMALL_STATE(11118)] = 539162,
  [SMALL_STATE(11119)] = 539216,
  [SMALL_STATE(11120)] = 539270,
  [SMALL_STATE(11121)] = 539324,
  [SMALL_STATE(11122)] = 539378,
  [SMALL_STATE(11123)] = 539432,
  [SMALL_STATE(11124)] = 539470,
  [SMALL_STATE(11125)] = 539524,
  [SMALL_STATE(11126)] = 539578,
  [SMALL_STATE(11127)] = 539618,
  [SMALL_STATE(11128)] = 539672,
  [SMALL_STATE(11129)] = 539726,
  [SMALL_STATE(11130)] = 539780,
  [SMALL_STATE(11131)] = 539834,
  [SMALL_STATE(11132)] = 539888,
  [SMALL_STATE(11133)] = 539942,
  [SMALL_STATE(11134)] = 539996,
  [SMALL_STATE(11135)] = 540050,
  [SMALL_STATE(11136)] = 540088,
  [SMALL_STATE(11137)] = 540142,
  [SMALL_STATE(11138)] = 540188,
  [SMALL_STATE(11139)] = 540242,
  [SMALL_STATE(11140)] = 540296,
  [SMALL_STATE(11141)] = 540350,
  [SMALL_STATE(11142)] = 540404,
  [SMALL_STATE(11143)] = 540458,
  [SMALL_STATE(11144)] = 540512,
  [SMALL_STATE(11145)] = 540566,
  [SMALL_STATE(11146)] = 540620,
  [SMALL_STATE(11147)] = 540678,
  [SMALL_STATE(11148)] = 540732,
  [SMALL_STATE(11149)] = 540778,
  [SMALL_STATE(11150)] = 540828,
  [SMALL_STATE(11151)] = 540882,
  [SMALL_STATE(11152)] = 540934,
  [SMALL_STATE(11153)] = 540986,
  [SMALL_STATE(11154)] = 541040,
  [SMALL_STATE(11155)] = 541094,
  [SMALL_STATE(11156)] = 541148,
  [SMALL_STATE(11157)] = 541202,
  [SMALL_STATE(11158)] = 541256,
  [SMALL_STATE(11159)] = 541310,
  [SMALL_STATE(11160)] = 541354,
  [SMALL_STATE(11161)] = 541408,
  [SMALL_STATE(11162)] = 541462,
  [SMALL_STATE(11163)] = 541516,
  [SMALL_STATE(11164)] = 541572,
  [SMALL_STATE(11165)] = 541612,
  [SMALL_STATE(11166)] = 541668,
  [SMALL_STATE(11167)] = 541722,
  [SMALL_STATE(11168)] = 541776,
  [SMALL_STATE(11169)] = 541830,
  [SMALL_STATE(11170)] = 541884,
  [SMALL_STATE(11171)] = 541938,
  [SMALL_STATE(11172)] = 541992,
  [SMALL_STATE(11173)] = 542032,
  [SMALL_STATE(11174)] = 542086,
  [SMALL_STATE(11175)] = 542140,
  [SMALL_STATE(11176)] = 542194,
  [SMALL_STATE(11177)] = 542248,
  [SMALL_STATE(11178)] = 542302,
  [SMALL_STATE(11179)] = 542358,
  [SMALL_STATE(11180)] = 542412,
  [SMALL_STATE(11181)] = 542466,
  [SMALL_STATE(11182)] = 542520,
  [SMALL_STATE(11183)] = 542574,
  [SMALL_STATE(11184)] = 542628,
  [SMALL_STATE(11185)] = 542682,
  [SMALL_STATE(11186)] = 542722,
  [SMALL_STATE(11187)] = 542776,
  [SMALL_STATE(11188)] = 542830,
  [SMALL_STATE(11189)] = 542884,
  [SMALL_STATE(11190)] = 542938,
  [SMALL_STATE(11191)] = 542992,
  [SMALL_STATE(11192)] = 543046,
  [SMALL_STATE(11193)] = 543100,
  [SMALL_STATE(11194)] = 543154,
  [SMALL_STATE(11195)] = 543208,
  [SMALL_STATE(11196)] = 543262,
  [SMALL_STATE(11197)] = 543316,
  [SMALL_STATE(11198)] = 543370,
  [SMALL_STATE(11199)] = 543424,
  [SMALL_STATE(11200)] = 543478,
  [SMALL_STATE(11201)] = 543518,
  [SMALL_STATE(11202)] = 543572,
  [SMALL_STATE(11203)] = 543610,
  [SMALL_STATE(11204)] = 543664,
  [SMALL_STATE(11205)] = 543702,
  [SMALL_STATE(11206)] = 543738,
  [SMALL_STATE(11207)] = 543792,
  [SMALL_STATE(11208)] = 543846,
  [SMALL_STATE(11209)] = 543884,
  [SMALL_STATE(11210)] = 543924,
  [SMALL_STATE(11211)] = 543978,
  [SMALL_STATE(11212)] = 544032,
  [SMALL_STATE(11213)] = 544086,
  [SMALL_STATE(11214)] = 544140,
  [SMALL_STATE(11215)] = 544176,
  [SMALL_STATE(11216)] = 544230,
  [SMALL_STATE(11217)] = 544284,
  [SMALL_STATE(11218)] = 544338,
  [SMALL_STATE(11219)] = 544392,
  [SMALL_STATE(11220)] = 544446,
  [SMALL_STATE(11221)] = 544500,
  [SMALL_STATE(11222)] = 544554,
  [SMALL_STATE(11223)] = 544608,
  [SMALL_STATE(11224)] = 544662,
  [SMALL_STATE(11225)] = 544716,
  [SMALL_STATE(11226)] = 544754,
  [SMALL_STATE(11227)] = 544808,
  [SMALL_STATE(11228)] = 544862,
  [SMALL_STATE(11229)] = 544916,
  [SMALL_STATE(11230)] = 544970,
  [SMALL_STATE(11231)] = 545010,
  [SMALL_STATE(11232)] = 545064,
  [SMALL_STATE(11233)] = 545104,
  [SMALL_STATE(11234)] = 545158,
  [SMALL_STATE(11235)] = 545212,
  [SMALL_STATE(11236)] = 545266,
  [SMALL_STATE(11237)] = 545320,
  [SMALL_STATE(11238)] = 545374,
  [SMALL_STATE(11239)] = 545428,
  [SMALL_STATE(11240)] = 545482,
  [SMALL_STATE(11241)] = 545536,
  [SMALL_STATE(11242)] = 545590,
  [SMALL_STATE(11243)] = 545634,
  [SMALL_STATE(11244)] = 545688,
  [SMALL_STATE(11245)] = 545742,
  [SMALL_STATE(11246)] = 545796,
  [SMALL_STATE(11247)] = 545850,
  [SMALL_STATE(11248)] = 545904,
  [SMALL_STATE(11249)] = 545958,
  [SMALL_STATE(11250)] = 546012,
  [SMALL_STATE(11251)] = 546066,
  [SMALL_STATE(11252)] = 546120,
  [SMALL_STATE(11253)] = 546174,
  [SMALL_STATE(11254)] = 546228,
  [SMALL_STATE(11255)] = 546282,
  [SMALL_STATE(11256)] = 546336,
  [SMALL_STATE(11257)] = 546390,
  [SMALL_STATE(11258)] = 546430,
  [SMALL_STATE(11259)] = 546484,
  [SMALL_STATE(11260)] = 546540,
  [SMALL_STATE(11261)] = 546594,
  [SMALL_STATE(11262)] = 546648,
  [SMALL_STATE(11263)] = 546702,
  [SMALL_STATE(11264)] = 546756,
  [SMALL_STATE(11265)] = 546792,
  [SMALL_STATE(11266)] = 546830,
  [SMALL_STATE(11267)] = 546884,
  [SMALL_STATE(11268)] = 546938,
  [SMALL_STATE(11269)] = 546992,
  [SMALL_STATE(11270)] = 547046,
  [SMALL_STATE(11271)] = 547100,
  [SMALL_STATE(11272)] = 547154,
  [SMALL_STATE(11273)] = 547192,
  [SMALL_STATE(11274)] = 547246,
  [SMALL_STATE(11275)] = 547300,
  [SMALL_STATE(11276)] = 547354,
  [SMALL_STATE(11277)] = 547408,
  [SMALL_STATE(11278)] = 547462,
  [SMALL_STATE(11279)] = 547516,
  [SMALL_STATE(11280)] = 547570,
  [SMALL_STATE(11281)] = 547624,
  [SMALL_STATE(11282)] = 547678,
  [SMALL_STATE(11283)] = 547732,
  [SMALL_STATE(11284)] = 547786,
  [SMALL_STATE(11285)] = 547840,
  [SMALL_STATE(11286)] = 547894,
  [SMALL_STATE(11287)] = 547948,
  [SMALL_STATE(11288)] = 547988,
  [SMALL_STATE(11289)] = 548042,
  [SMALL_STATE(11290)] = 548096,
  [SMALL_STATE(11291)] = 548150,
  [SMALL_STATE(11292)] = 548204,
  [SMALL_STATE(11293)] = 548258,
  [SMALL_STATE(11294)] = 548292,
  [SMALL_STATE(11295)] = 548346,
  [SMALL_STATE(11296)] = 548400,
  [SMALL_STATE(11297)] = 548454,
  [SMALL_STATE(11298)] = 548508,
  [SMALL_STATE(11299)] = 548562,
  [SMALL_STATE(11300)] = 548616,
  [SMALL_STATE(11301)] = 548670,
  [SMALL_STATE(11302)] = 548724,
  [SMALL_STATE(11303)] = 548778,
  [SMALL_STATE(11304)] = 548832,
  [SMALL_STATE(11305)] = 548886,
  [SMALL_STATE(11306)] = 548932,
  [SMALL_STATE(11307)] = 548986,
  [SMALL_STATE(11308)] = 549040,
  [SMALL_STATE(11309)] = 549094,
  [SMALL_STATE(11310)] = 549148,
  [SMALL_STATE(11311)] = 549202,
  [SMALL_STATE(11312)] = 549256,
  [SMALL_STATE(11313)] = 549310,
  [SMALL_STATE(11314)] = 549364,
  [SMALL_STATE(11315)] = 549418,
  [SMALL_STATE(11316)] = 549472,
  [SMALL_STATE(11317)] = 549526,
  [SMALL_STATE(11318)] = 549580,
  [SMALL_STATE(11319)] = 549618,
  [SMALL_STATE(11320)] = 549672,
  [SMALL_STATE(11321)] = 549726,
  [SMALL_STATE(11322)] = 549780,
  [SMALL_STATE(11323)] = 549834,
  [SMALL_STATE(11324)] = 549888,
  [SMALL_STATE(11325)] = 549942,
  [SMALL_STATE(11326)] = 549996,
  [SMALL_STATE(11327)] = 550050,
  [SMALL_STATE(11328)] = 550090,
  [SMALL_STATE(11329)] = 550144,
  [SMALL_STATE(11330)] = 550182,
  [SMALL_STATE(11331)] = 550236,
  [SMALL_STATE(11332)] = 550290,
  [SMALL_STATE(11333)] = 550344,
  [SMALL_STATE(11334)] = 550398,
  [SMALL_STATE(11335)] = 550438,
  [SMALL_STATE(11336)] = 550492,
  [SMALL_STATE(11337)] = 550528,
  [SMALL_STATE(11338)] = 550582,
  [SMALL_STATE(11339)] = 550636,
  [SMALL_STATE(11340)] = 550690,
  [SMALL_STATE(11341)] = 550744,
  [SMALL_STATE(11342)] = 550798,
  [SMALL_STATE(11343)] = 550852,
  [SMALL_STATE(11344)] = 550906,
  [SMALL_STATE(11345)] = 550960,
  [SMALL_STATE(11346)] = 551014,
  [SMALL_STATE(11347)] = 551048,
  [SMALL_STATE(11348)] = 551106,
  [SMALL_STATE(11349)] = 551140,
  [SMALL_STATE(11350)] = 551194,
  [SMALL_STATE(11351)] = 551248,
  [SMALL_STATE(11352)] = 551302,
  [SMALL_STATE(11353)] = 551346,
  [SMALL_STATE(11354)] = 551386,
  [SMALL_STATE(11355)] = 551440,
  [SMALL_STATE(11356)] = 551484,
  [SMALL_STATE(11357)] = 551524,
  [SMALL_STATE(11358)] = 551578,
  [SMALL_STATE(11359)] = 551622,
  [SMALL_STATE(11360)] = 551676,
  [SMALL_STATE(11361)] = 551730,
  [SMALL_STATE(11362)] = 551784,
  [SMALL_STATE(11363)] = 551838,
  [SMALL_STATE(11364)] = 551892,
  [SMALL_STATE(11365)] = 551946,
  [SMALL_STATE(11366)] = 552000,
  [SMALL_STATE(11367)] = 552036,
  [SMALL_STATE(11368)] = 552090,
  [SMALL_STATE(11369)] = 552144,
  [SMALL_STATE(11370)] = 552198,
  [SMALL_STATE(11371)] = 552252,
  [SMALL_STATE(11372)] = 552290,
  [SMALL_STATE(11373)] = 552344,
  [SMALL_STATE(11374)] = 552384,
  [SMALL_STATE(11375)] = 552420,
  [SMALL_STATE(11376)] = 552474,
  [SMALL_STATE(11377)] = 552512,
  [SMALL_STATE(11378)] = 552552,
  [SMALL_STATE(11379)] = 552596,
  [SMALL_STATE(11380)] = 552650,
  [SMALL_STATE(11381)] = 552704,
  [SMALL_STATE(11382)] = 552758,
  [SMALL_STATE(11383)] = 552812,
  [SMALL_STATE(11384)] = 552856,
  [SMALL_STATE(11385)] = 552900,
  [SMALL_STATE(11386)] = 552954,
  [SMALL_STATE(11387)] = 553008,
  [SMALL_STATE(11388)] = 553062,
  [SMALL_STATE(11389)] = 553106,
  [SMALL_STATE(11390)] = 553160,
  [SMALL_STATE(11391)] = 553198,
  [SMALL_STATE(11392)] = 553234,
  [SMALL_STATE(11393)] = 553288,
  [SMALL_STATE(11394)] = 553342,
  [SMALL_STATE(11395)] = 553396,
  [SMALL_STATE(11396)] = 553450,
  [SMALL_STATE(11397)] = 553504,
  [SMALL_STATE(11398)] = 553558,
  [SMALL_STATE(11399)] = 553596,
  [SMALL_STATE(11400)] = 553650,
  [SMALL_STATE(11401)] = 553704,
  [SMALL_STATE(11402)] = 553758,
  [SMALL_STATE(11403)] = 553812,
  [SMALL_STATE(11404)] = 553852,
  [SMALL_STATE(11405)] = 553906,
  [SMALL_STATE(11406)] = 553960,
  [SMALL_STATE(11407)] = 553998,
  [SMALL_STATE(11408)] = 554052,
  [SMALL_STATE(11409)] = 554110,
  [SMALL_STATE(11410)] = 554164,
  [SMALL_STATE(11411)] = 554204,
  [SMALL_STATE(11412)] = 554258,
  [SMALL_STATE(11413)] = 554312,
  [SMALL_STATE(11414)] = 554366,
  [SMALL_STATE(11415)] = 554404,
  [SMALL_STATE(11416)] = 554458,
  [SMALL_STATE(11417)] = 554512,
  [SMALL_STATE(11418)] = 554546,
  [SMALL_STATE(11419)] = 554600,
  [SMALL_STATE(11420)] = 554654,
  [SMALL_STATE(11421)] = 554708,
  [SMALL_STATE(11422)] = 554762,
  [SMALL_STATE(11423)] = 554802,
  [SMALL_STATE(11424)] = 554856,
  [SMALL_STATE(11425)] = 554910,
  [SMALL_STATE(11426)] = 554964,
  [SMALL_STATE(11427)] = 555018,
  [SMALL_STATE(11428)] = 555072,
  [SMALL_STATE(11429)] = 555126,
  [SMALL_STATE(11430)] = 555180,
  [SMALL_STATE(11431)] = 555234,
  [SMALL_STATE(11432)] = 555288,
  [SMALL_STATE(11433)] = 555342,
  [SMALL_STATE(11434)] = 555396,
  [SMALL_STATE(11435)] = 555434,
  [SMALL_STATE(11436)] = 555488,
  [SMALL_STATE(11437)] = 555542,
  [SMALL_STATE(11438)] = 555596,
  [SMALL_STATE(11439)] = 555650,
  [SMALL_STATE(11440)] = 555704,
  [SMALL_STATE(11441)] = 555758,
  [SMALL_STATE(11442)] = 555812,
  [SMALL_STATE(11443)] = 555866,
  [SMALL_STATE(11444)] = 555906,
  [SMALL_STATE(11445)] = 555960,
  [SMALL_STATE(11446)] = 556014,
  [SMALL_STATE(11447)] = 556068,
  [SMALL_STATE(11448)] = 556122,
  [SMALL_STATE(11449)] = 556176,
  [SMALL_STATE(11450)] = 556230,
  [SMALL_STATE(11451)] = 556284,
  [SMALL_STATE(11452)] = 556338,
  [SMALL_STATE(11453)] = 556376,
  [SMALL_STATE(11454)] = 556414,
  [SMALL_STATE(11455)] = 556450,
  [SMALL_STATE(11456)] = 556504,
  [SMALL_STATE(11457)] = 556558,
  [SMALL_STATE(11458)] = 556612,
  [SMALL_STATE(11459)] = 556650,
  [SMALL_STATE(11460)] = 556704,
  [SMALL_STATE(11461)] = 556758,
  [SMALL_STATE(11462)] = 556812,
  [SMALL_STATE(11463)] = 556866,
  [SMALL_STATE(11464)] = 556920,
  [SMALL_STATE(11465)] = 556974,
  [SMALL_STATE(11466)] = 557028,
  [SMALL_STATE(11467)] = 557082,
  [SMALL_STATE(11468)] = 557136,
  [SMALL_STATE(11469)] = 557190,
  [SMALL_STATE(11470)] = 557244,
  [SMALL_STATE(11471)] = 557298,
  [SMALL_STATE(11472)] = 557352,
  [SMALL_STATE(11473)] = 557406,
  [SMALL_STATE(11474)] = 557460,
  [SMALL_STATE(11475)] = 557498,
  [SMALL_STATE(11476)] = 557552,
  [SMALL_STATE(11477)] = 557606,
  [SMALL_STATE(11478)] = 557660,
  [SMALL_STATE(11479)] = 557698,
  [SMALL_STATE(11480)] = 557752,
  [SMALL_STATE(11481)] = 557806,
  [SMALL_STATE(11482)] = 557844,
  [SMALL_STATE(11483)] = 557898,
  [SMALL_STATE(11484)] = 557952,
  [SMALL_STATE(11485)] = 558006,
  [SMALL_STATE(11486)] = 558060,
  [SMALL_STATE(11487)] = 558114,
  [SMALL_STATE(11488)] = 558168,
  [SMALL_STATE(11489)] = 558222,
  [SMALL_STATE(11490)] = 558262,
  [SMALL_STATE(11491)] = 558318,
  [SMALL_STATE(11492)] = 558354,
  [SMALL_STATE(11493)] = 558392,
  [SMALL_STATE(11494)] = 558448,
  [SMALL_STATE(11495)] = 558502,
  [SMALL_STATE(11496)] = 558540,
  [SMALL_STATE(11497)] = 558594,
  [SMALL_STATE(11498)] = 558634,
  [SMALL_STATE(11499)] = 558672,
  [SMALL_STATE(11500)] = 558726,
  [SMALL_STATE(11501)] = 558780,
  [SMALL_STATE(11502)] = 558836,
  [SMALL_STATE(11503)] = 558888,
  [SMALL_STATE(11504)] = 558938,
  [SMALL_STATE(11505)] = 558984,
  [SMALL_STATE(11506)] = 559030,
  [SMALL_STATE(11507)] = 559068,
  [SMALL_STATE(11508)] = 559106,
  [SMALL_STATE(11509)] = 559150,
  [SMALL_STATE(11510)] = 559202,
  [SMALL_STATE(11511)] = 559242,
  [SMALL_STATE(11512)] = 559296,
  [SMALL_STATE(11513)] = 559334,
  [SMALL_STATE(11514)] = 559388,
  [SMALL_STATE(11515)] = 559442,
  [SMALL_STATE(11516)] = 559496,
  [SMALL_STATE(11517)] = 559550,
  [SMALL_STATE(11518)] = 559604,
  [SMALL_STATE(11519)] = 559658,
  [SMALL_STATE(11520)] = 559712,
  [SMALL_STATE(11521)] = 559766,
  [SMALL_STATE(11522)] = 559820,
  [SMALL_STATE(11523)] = 559874,
  [SMALL_STATE(11524)] = 559928,
  [SMALL_STATE(11525)] = 559966,
  [SMALL_STATE(11526)] = 560002,
  [SMALL_STATE(11527)] = 560056,
  [SMALL_STATE(11528)] = 560110,
  [SMALL_STATE(11529)] = 560164,
  [SMALL_STATE(11530)] = 560218,
  [SMALL_STATE(11531)] = 560256,
  [SMALL_STATE(11532)] = 560310,
  [SMALL_STATE(11533)] = 560364,
  [SMALL_STATE(11534)] = 560418,
  [SMALL_STATE(11535)] = 560472,
  [SMALL_STATE(11536)] = 560526,
  [SMALL_STATE(11537)] = 560580,
  [SMALL_STATE(11538)] = 560634,
  [SMALL_STATE(11539)] = 560688,
  [SMALL_STATE(11540)] = 560742,
  [SMALL_STATE(11541)] = 560796,
  [SMALL_STATE(11542)] = 560834,
  [SMALL_STATE(11543)] = 560888,
  [SMALL_STATE(11544)] = 560942,
  [SMALL_STATE(11545)] = 560996,
  [SMALL_STATE(11546)] = 561050,
  [SMALL_STATE(11547)] = 561104,
  [SMALL_STATE(11548)] = 561158,
  [SMALL_STATE(11549)] = 561212,
  [SMALL_STATE(11550)] = 561266,
  [SMALL_STATE(11551)] = 561320,
  [SMALL_STATE(11552)] = 561374,
  [SMALL_STATE(11553)] = 561428,
  [SMALL_STATE(11554)] = 561468,
  [SMALL_STATE(11555)] = 561522,
  [SMALL_STATE(11556)] = 561576,
  [SMALL_STATE(11557)] = 561615,
  [SMALL_STATE(11558)] = 561652,
  [SMALL_STATE(11559)] = 561685,
  [SMALL_STATE(11560)] = 561722,
  [SMALL_STATE(11561)] = 561755,
  [SMALL_STATE(11562)] = 561812,
  [SMALL_STATE(11563)] = 561845,
  [SMALL_STATE(11564)] = 561884,
  [SMALL_STATE(11565)] = 561917,
  [SMALL_STATE(11566)] = 561950,
  [SMALL_STATE(11567)] = 561989,
  [SMALL_STATE(11568)] = 562022,
  [SMALL_STATE(11569)] = 562057,
  [SMALL_STATE(11570)] = 562092,
  [SMALL_STATE(11571)] = 562131,
  [SMALL_STATE(11572)] = 562164,
  [SMALL_STATE(11573)] = 562201,
  [SMALL_STATE(11574)] = 562242,
  [SMALL_STATE(11575)] = 562277,
  [SMALL_STATE(11576)] = 562310,
  [SMALL_STATE(11577)] = 562347,
  [SMALL_STATE(11578)] = 562386,
  [SMALL_STATE(11579)] = 562425,
  [SMALL_STATE(11580)] = 562464,
  [SMALL_STATE(11581)] = 562501,
  [SMALL_STATE(11582)] = 562540,
  [SMALL_STATE(11583)] = 562573,
  [SMALL_STATE(11584)] = 562612,
  [SMALL_STATE(11585)] = 562651,
  [SMALL_STATE(11586)] = 562694,
  [SMALL_STATE(11587)] = 562737,
  [SMALL_STATE(11588)] = 562776,
  [SMALL_STATE(11589)] = 562815,
  [SMALL_STATE(11590)] = 562850,
  [SMALL_STATE(11591)] = 562893,
  [SMALL_STATE(11592)] = 562930,
  [SMALL_STATE(11593)] = 562963,
  [SMALL_STATE(11594)] = 563000,
  [SMALL_STATE(11595)] = 563037,
  [SMALL_STATE(11596)] = 563076,
  [SMALL_STATE(11597)] = 563109,
  [SMALL_STATE(11598)] = 563142,
  [SMALL_STATE(11599)] = 563183,
  [SMALL_STATE(11600)] = 563216,
  [SMALL_STATE(11601)] = 563251,
  [SMALL_STATE(11602)] = 563284,
  [SMALL_STATE(11603)] = 563323,
  [SMALL_STATE(11604)] = 563356,
  [SMALL_STATE(11605)] = 563395,
  [SMALL_STATE(11606)] = 563434,
  [SMALL_STATE(11607)] = 563471,
  [SMALL_STATE(11608)] = 563504,
  [SMALL_STATE(11609)] = 563543,
  [SMALL_STATE(11610)] = 563582,
  [SMALL_STATE(11611)] = 563623,
  [SMALL_STATE(11612)] = 563664,
  [SMALL_STATE(11613)] = 563701,
  [SMALL_STATE(11614)] = 563740,
  [SMALL_STATE(11615)] = 563781,
  [SMALL_STATE(11616)] = 563814,
  [SMALL_STATE(11617)] = 563847,
  [SMALL_STATE(11618)] = 563886,
  [SMALL_STATE(11619)] = 563929,
  [SMALL_STATE(11620)] = 563980,
  [SMALL_STATE(11621)] = 564031,
  [SMALL_STATE(11622)] = 564074,
  [SMALL_STATE(11623)] = 564107,
  [SMALL_STATE(11624)] = 564148,
  [SMALL_STATE(11625)] = 564187,
  [SMALL_STATE(11626)] = 564220,
  [SMALL_STATE(11627)] = 564253,
  [SMALL_STATE(11628)] = 564292,
  [SMALL_STATE(11629)] = 564329,
  [SMALL_STATE(11630)] = 564384,
  [SMALL_STATE(11631)] = 564421,
  [SMALL_STATE(11632)] = 564460,
  [SMALL_STATE(11633)] = 564499,
  [SMALL_STATE(11634)] = 564554,
  [SMALL_STATE(11635)] = 564593,
  [SMALL_STATE(11636)] = 564632,
  [SMALL_STATE(11637)] = 564665,
  [SMALL_STATE(11638)] = 564704,
  [SMALL_STATE(11639)] = 564737,
  [SMALL_STATE(11640)] = 564792,
  [SMALL_STATE(11641)] = 564843,
  [SMALL_STATE(11642)] = 564892,
  [SMALL_STATE(11643)] = 564937,
  [SMALL_STATE(11644)] = 564974,
  [SMALL_STATE(11645)] = 565015,
  [SMALL_STATE(11646)] = 565052,
  [SMALL_STATE(11647)] = 565097,
  [SMALL_STATE(11648)] = 565132,
  [SMALL_STATE(11649)] = 565169,
  [SMALL_STATE(11650)] = 565208,
  [SMALL_STATE(11651)] = 565245,
  [SMALL_STATE(11652)] = 565282,
  [SMALL_STATE(11653)] = 565321,
  [SMALL_STATE(11654)] = 565364,
  [SMALL_STATE(11655)] = 565403,
  [SMALL_STATE(11656)] = 565454,
  [SMALL_STATE(11657)] = 565487,
  [SMALL_STATE(11658)] = 565520,
  [SMALL_STATE(11659)] = 565553,
  [SMALL_STATE(11660)] = 565590,
  [SMALL_STATE(11661)] = 565629,
  [SMALL_STATE(11662)] = 565662,
  [SMALL_STATE(11663)] = 565697,
  [SMALL_STATE(11664)] = 565748,
  [SMALL_STATE(11665)] = 565799,
  [SMALL_STATE(11666)] = 565836,
  [SMALL_STATE(11667)] = 565871,
  [SMALL_STATE(11668)] = 565904,
  [SMALL_STATE(11669)] = 565941,
  [SMALL_STATE(11670)] = 565978,
  [SMALL_STATE(11671)] = 566029,
  [SMALL_STATE(11672)] = 566066,
  [SMALL_STATE(11673)] = 566103,
  [SMALL_STATE(11674)] = 566140,
  [SMALL_STATE(11675)] = 566177,
  [SMALL_STATE(11676)] = 566214,
  [SMALL_STATE(11677)] = 566249,
  [SMALL_STATE(11678)] = 566282,
  [SMALL_STATE(11679)] = 566315,
  [SMALL_STATE(11680)] = 566366,
  [SMALL_STATE(11681)] = 566407,
  [SMALL_STATE(11682)] = 566458,
  [SMALL_STATE(11683)] = 566501,
  [SMALL_STATE(11684)] = 566534,
  [SMALL_STATE(11685)] = 566589,
  [SMALL_STATE(11686)] = 566628,
  [SMALL_STATE(11687)] = 566663,
  [SMALL_STATE(11688)] = 566700,
  [SMALL_STATE(11689)] = 566733,
  [SMALL_STATE(11690)] = 566766,
  [SMALL_STATE(11691)] = 566819,
  [SMALL_STATE(11692)] = 566852,
  [SMALL_STATE(11693)] = 566903,
  [SMALL_STATE(11694)] = 566946,
  [SMALL_STATE(11695)] = 566985,
  [SMALL_STATE(11696)] = 567036,
  [SMALL_STATE(11697)] = 567075,
  [SMALL_STATE(11698)] = 567108,
  [SMALL_STATE(11699)] = 567147,
  [SMALL_STATE(11700)] = 567204,
  [SMALL_STATE(11701)] = 567255,
  [SMALL_STATE(11702)] = 567298,
  [SMALL_STATE(11703)] = 567341,
  [SMALL_STATE(11704)] = 567378,
  [SMALL_STATE(11705)] = 567415,
  [SMALL_STATE(11706)] = 567452,
  [SMALL_STATE(11707)] = 567497,
  [SMALL_STATE(11708)] = 567536,
  [SMALL_STATE(11709)] = 567581,
  [SMALL_STATE(11710)] = 567638,
  [SMALL_STATE(11711)] = 567687,
  [SMALL_STATE(11712)] = 567738,
  [SMALL_STATE(11713)] = 567793,
  [SMALL_STATE(11714)] = 567832,
  [SMALL_STATE(11715)] = 567887,
  [SMALL_STATE(11716)] = 567942,
  [SMALL_STATE(11717)] = 567981,
  [SMALL_STATE(11718)] = 568025,
  [SMALL_STATE(11719)] = 568057,
  [SMALL_STATE(11720)] = 568105,
  [SMALL_STATE(11721)] = 568143,
  [SMALL_STATE(11722)] = 568191,
  [SMALL_STATE(11723)] = 568239,
  [SMALL_STATE(11724)] = 568277,
  [SMALL_STATE(11725)] = 568313,
  [SMALL_STATE(11726)] = 568349,
  [SMALL_STATE(11727)] = 568397,
  [SMALL_STATE(11728)] = 568439,
  [SMALL_STATE(11729)] = 568477,
  [SMALL_STATE(11730)] = 568525,
  [SMALL_STATE(11731)] = 568561,
  [SMALL_STATE(11732)] = 568595,
  [SMALL_STATE(11733)] = 568655,
  [SMALL_STATE(11734)] = 568691,
  [SMALL_STATE(11735)] = 568727,
  [SMALL_STATE(11736)] = 568775,
  [SMALL_STATE(11737)] = 568823,
  [SMALL_STATE(11738)] = 568871,
  [SMALL_STATE(11739)] = 568907,
  [SMALL_STATE(11740)] = 568955,
  [SMALL_STATE(11741)] = 568991,
  [SMALL_STATE(11742)] = 569039,
  [SMALL_STATE(11743)] = 569081,
  [SMALL_STATE(11744)] = 569129,
  [SMALL_STATE(11745)] = 569165,
  [SMALL_STATE(11746)] = 569201,
  [SMALL_STATE(11747)] = 569249,
  [SMALL_STATE(11748)] = 569285,
  [SMALL_STATE(11749)] = 569323,
  [SMALL_STATE(11750)] = 569371,
  [SMALL_STATE(11751)] = 569409,
  [SMALL_STATE(11752)] = 569445,
  [SMALL_STATE(11753)] = 569481,
  [SMALL_STATE(11754)] = 569519,
  [SMALL_STATE(11755)] = 569551,
  [SMALL_STATE(11756)] = 569587,
  [SMALL_STATE(11757)] = 569635,
  [SMALL_STATE(11758)] = 569671,
  [SMALL_STATE(11759)] = 569707,
  [SMALL_STATE(11760)] = 569755,
  [SMALL_STATE(11761)] = 569803,
  [SMALL_STATE(11762)] = 569839,
  [SMALL_STATE(11763)] = 569899,
  [SMALL_STATE(11764)] = 569935,
  [SMALL_STATE(11765)] = 569983,
  [SMALL_STATE(11766)] = 570031,
  [SMALL_STATE(11767)] = 570085,
  [SMALL_STATE(11768)] = 570121,
  [SMALL_STATE(11769)] = 570153,
  [SMALL_STATE(11770)] = 570189,
  [SMALL_STATE(11771)] = 570223,
  [SMALL_STATE(11772)] = 570259,
  [SMALL_STATE(11773)] = 570307,
  [SMALL_STATE(11774)] = 570341,
  [SMALL_STATE(11775)] = 570397,
  [SMALL_STATE(11776)] = 570433,
  [SMALL_STATE(11777)] = 570487,
  [SMALL_STATE(11778)] = 570521,
  [SMALL_STATE(11779)] = 570557,
  [SMALL_STATE(11780)] = 570591,
  [SMALL_STATE(11781)] = 570627,
  [SMALL_STATE(11782)] = 570675,
  [SMALL_STATE(11783)] = 570729,
  [SMALL_STATE(11784)] = 570779,
  [SMALL_STATE(11785)] = 570813,
  [SMALL_STATE(11786)] = 570845,
  [SMALL_STATE(11787)] = 570881,
  [SMALL_STATE(11788)] = 570929,
  [SMALL_STATE(11789)] = 570965,
  [SMALL_STATE(11790)] = 571013,
  [SMALL_STATE(11791)] = 571049,
  [SMALL_STATE(11792)] = 571085,
  [SMALL_STATE(11793)] = 571121,
  [SMALL_STATE(11794)] = 571169,
  [SMALL_STATE(11795)] = 571225,
  [SMALL_STATE(11796)] = 571259,
  [SMALL_STATE(11797)] = 571295,
  [SMALL_STATE(11798)] = 571327,
  [SMALL_STATE(11799)] = 571375,
  [SMALL_STATE(11800)] = 571411,
  [SMALL_STATE(11801)] = 571447,
  [SMALL_STATE(11802)] = 571479,
  [SMALL_STATE(11803)] = 571515,
  [SMALL_STATE(11804)] = 571551,
  [SMALL_STATE(11805)] = 571583,
  [SMALL_STATE(11806)] = 571619,
  [SMALL_STATE(11807)] = 571651,
  [SMALL_STATE(11808)] = 571687,
  [SMALL_STATE(11809)] = 571721,
  [SMALL_STATE(11810)] = 571769,
  [SMALL_STATE(11811)] = 571801,
  [SMALL_STATE(11812)] = 571857,
  [SMALL_STATE(11813)] = 571905,
  [SMALL_STATE(11814)] = 571963,
  [SMALL_STATE(11815)] = 571999,
  [SMALL_STATE(11816)] = 572031,
  [SMALL_STATE(11817)] = 572063,
  [SMALL_STATE(11818)] = 572111,
  [SMALL_STATE(11819)] = 572147,
  [SMALL_STATE(11820)] = 572179,
  [SMALL_STATE(11821)] = 572227,
  [SMALL_STATE(11822)] = 572263,
  [SMALL_STATE(11823)] = 572299,
  [SMALL_STATE(11824)] = 572335,
  [SMALL_STATE(11825)] = 572371,
  [SMALL_STATE(11826)] = 572407,
  [SMALL_STATE(11827)] = 572455,
  [SMALL_STATE(11828)] = 572503,
  [SMALL_STATE(11829)] = 572553,
  [SMALL_STATE(11830)] = 572601,
  [SMALL_STATE(11831)] = 572643,
  [SMALL_STATE(11832)] = 572679,
  [SMALL_STATE(11833)] = 572715,
  [SMALL_STATE(11834)] = 572751,
  [SMALL_STATE(11835)] = 572795,
  [SMALL_STATE(11836)] = 572839,
  [SMALL_STATE(11837)] = 572887,
  [SMALL_STATE(11838)] = 572937,
  [SMALL_STATE(11839)] = 572991,
  [SMALL_STATE(11840)] = 573029,
  [SMALL_STATE(11841)] = 573083,
  [SMALL_STATE(11842)] = 573137,
  [SMALL_STATE(11843)] = 573173,
  [SMALL_STATE(11844)] = 573221,
  [SMALL_STATE(11845)] = 573269,
  [SMALL_STATE(11846)] = 573301,
  [SMALL_STATE(11847)] = 573337,
  [SMALL_STATE(11848)] = 573385,
  [SMALL_STATE(11849)] = 573421,
  [SMALL_STATE(11850)] = 573469,
  [SMALL_STATE(11851)] = 573517,
  [SMALL_STATE(11852)] = 573553,
  [SMALL_STATE(11853)] = 573607,
  [SMALL_STATE(11854)] = 573655,
  [SMALL_STATE(11855)] = 573691,
  [SMALL_STATE(11856)] = 573745,
  [SMALL_STATE(11857)] = 573793,
  [SMALL_STATE(11858)] = 573841,
  [SMALL_STATE(11859)] = 573877,
  [SMALL_STATE(11860)] = 573913,
  [SMALL_STATE(11861)] = 573951,
  [SMALL_STATE(11862)] = 573983,
  [SMALL_STATE(11863)] = 574031,
  [SMALL_STATE(11864)] = 574079,
  [SMALL_STATE(11865)] = 574111,
  [SMALL_STATE(11866)] = 574159,
  [SMALL_STATE(11867)] = 574193,
  [SMALL_STATE(11868)] = 574229,
  [SMALL_STATE(11869)] = 574277,
  [SMALL_STATE(11870)] = 574315,
  [SMALL_STATE(11871)] = 574351,
  [SMALL_STATE(11872)] = 574387,
  [SMALL_STATE(11873)] = 574423,
  [SMALL_STATE(11874)] = 574459,
  [SMALL_STATE(11875)] = 574507,
  [SMALL_STATE(11876)] = 574557,
  [SMALL_STATE(11877)] = 574591,
  [SMALL_STATE(11878)] = 574633,
  [SMALL_STATE(11879)] = 574669,
  [SMALL_STATE(11880)] = 574705,
  [SMALL_STATE(11881)] = 574749,
  [SMALL_STATE(11882)] = 574793,
  [SMALL_STATE(11883)] = 574841,
  [SMALL_STATE(11884)] = 574891,
  [SMALL_STATE(11885)] = 574927,
  [SMALL_STATE(11886)] = 574981,
  [SMALL_STATE(11887)] = 575035,
  [SMALL_STATE(11888)] = 575071,
  [SMALL_STATE(11889)] = 575105,
  [SMALL_STATE(11890)] = 575141,
  [SMALL_STATE(11891)] = 575177,
  [SMALL_STATE(11892)] = 575213,
  [SMALL_STATE(11893)] = 575249,
  [SMALL_STATE(11894)] = 575297,
  [SMALL_STATE(11895)] = 575331,
  [SMALL_STATE(11896)] = 575385,
  [SMALL_STATE(11897)] = 575435,
  [SMALL_STATE(11898)] = 575483,
  [SMALL_STATE(11899)] = 575537,
  [SMALL_STATE(11900)] = 575573,
  [SMALL_STATE(11901)] = 575609,
  [SMALL_STATE(11902)] = 575645,
  [SMALL_STATE(11903)] = 575693,
  [SMALL_STATE(11904)] = 575727,
  [SMALL_STATE(11905)] = 575783,
  [SMALL_STATE(11906)] = 575819,
  [SMALL_STATE(11907)] = 575873,
  [SMALL_STATE(11908)] = 575907,
  [SMALL_STATE(11909)] = 575961,
  [SMALL_STATE(11910)] = 575999,
  [SMALL_STATE(11911)] = 576035,
  [SMALL_STATE(11912)] = 576069,
  [SMALL_STATE(11913)] = 576101,
  [SMALL_STATE(11914)] = 576155,
  [SMALL_STATE(11915)] = 576205,
  [SMALL_STATE(11916)] = 576253,
  [SMALL_STATE(11917)] = 576297,
  [SMALL_STATE(11918)] = 576345,
  [SMALL_STATE(11919)] = 576377,
  [SMALL_STATE(11920)] = 576427,
  [SMALL_STATE(11921)] = 576461,
  [SMALL_STATE(11922)] = 576497,
  [SMALL_STATE(11923)] = 576545,
  [SMALL_STATE(11924)] = 576579,
  [SMALL_STATE(11925)] = 576615,
  [SMALL_STATE(11926)] = 576669,
  [SMALL_STATE(11927)] = 576705,
  [SMALL_STATE(11928)] = 576741,
  [SMALL_STATE(11929)] = 576775,
  [SMALL_STATE(11930)] = 576807,
  [SMALL_STATE(11931)] = 576861,
  [SMALL_STATE(11932)] = 576893,
  [SMALL_STATE(11933)] = 576941,
  [SMALL_STATE(11934)] = 576975,
  [SMALL_STATE(11935)] = 577011,
  [SMALL_STATE(11936)] = 577047,
  [SMALL_STATE(11937)] = 577083,
  [SMALL_STATE(11938)] = 577139,
  [SMALL_STATE(11939)] = 577175,
  [SMALL_STATE(11940)] = 577207,
  [SMALL_STATE(11941)] = 577239,
  [SMALL_STATE(11942)] = 577297,
  [SMALL_STATE(11943)] = 577341,
  [SMALL_STATE(11944)] = 577377,
  [SMALL_STATE(11945)] = 577413,
  [SMALL_STATE(11946)] = 577455,
  [SMALL_STATE(11947)] = 577505,
  [SMALL_STATE(11948)] = 577547,
  [SMALL_STATE(11949)] = 577597,
  [SMALL_STATE(11950)] = 577633,
  [SMALL_STATE(11951)] = 577681,
  [SMALL_STATE(11952)] = 577741,
  [SMALL_STATE(11953)] = 577789,
  [SMALL_STATE(11954)] = 577837,
  [SMALL_STATE(11955)] = 577885,
  [SMALL_STATE(11956)] = 577933,
  [SMALL_STATE(11957)] = 577981,
  [SMALL_STATE(11958)] = 578029,
  [SMALL_STATE(11959)] = 578083,
  [SMALL_STATE(11960)] = 578115,
  [SMALL_STATE(11961)] = 578163,
  [SMALL_STATE(11962)] = 578197,
  [SMALL_STATE(11963)] = 578245,
  [SMALL_STATE(11964)] = 578281,
  [SMALL_STATE(11965)] = 578313,
  [SMALL_STATE(11966)] = 578363,
  [SMALL_STATE(11967)] = 578405,
  [SMALL_STATE(11968)] = 578441,
  [SMALL_STATE(11969)] = 578473,
  [SMALL_STATE(11970)] = 578529,
  [SMALL_STATE(11971)] = 578565,
  [SMALL_STATE(11972)] = 578601,
  [SMALL_STATE(11973)] = 578645,
  [SMALL_STATE(11974)] = 578689,
  [SMALL_STATE(11975)] = 578737,
  [SMALL_STATE(11976)] = 578787,
  [SMALL_STATE(11977)] = 578841,
  [SMALL_STATE(11978)] = 578877,
  [SMALL_STATE(11979)] = 578925,
  [SMALL_STATE(11980)] = 578961,
  [SMALL_STATE(11981)] = 578997,
  [SMALL_STATE(11982)] = 579033,
  [SMALL_STATE(11983)] = 579065,
  [SMALL_STATE(11984)] = 579109,
  [SMALL_STATE(11985)] = 579147,
  [SMALL_STATE(11986)] = 579195,
  [SMALL_STATE(11987)] = 579249,
  [SMALL_STATE(11988)] = 579303,
  [SMALL_STATE(11989)] = 579339,
  [SMALL_STATE(11990)] = 579387,
  [SMALL_STATE(11991)] = 579419,
  [SMALL_STATE(11992)] = 579475,
  [SMALL_STATE(11993)] = 579529,
  [SMALL_STATE(11994)] = 579567,
  [SMALL_STATE(11995)] = 579621,
  [SMALL_STATE(11996)] = 579671,
  [SMALL_STATE(11997)] = 579713,
  [SMALL_STATE(11998)] = 579747,
  [SMALL_STATE(11999)] = 579783,
  [SMALL_STATE(12000)] = 579819,
  [SMALL_STATE(12001)] = 579855,
  [SMALL_STATE(12002)] = 579903,
  [SMALL_STATE(12003)] = 579939,
  [SMALL_STATE(12004)] = 579993,
  [SMALL_STATE(12005)] = 580029,
  [SMALL_STATE(12006)] = 580073,
  [SMALL_STATE(12007)] = 580105,
  [SMALL_STATE(12008)] = 580159,
  [SMALL_STATE(12009)] = 580197,
  [SMALL_STATE(12010)] = 580251,
  [SMALL_STATE(12011)] = 580301,
  [SMALL_STATE(12012)] = 580349,
  [SMALL_STATE(12013)] = 580393,
  [SMALL_STATE(12014)] = 580437,
  [SMALL_STATE(12015)] = 580473,
  [SMALL_STATE(12016)] = 580509,
  [SMALL_STATE(12017)] = 580551,
  [SMALL_STATE(12018)] = 580601,
  [SMALL_STATE(12019)] = 580645,
  [SMALL_STATE(12020)] = 580681,
  [SMALL_STATE(12021)] = 580717,
  [SMALL_STATE(12022)] = 580749,
  [SMALL_STATE(12023)] = 580785,
  [SMALL_STATE(12024)] = 580827,
  [SMALL_STATE(12025)] = 580877,
  [SMALL_STATE(12026)] = 580925,
  [SMALL_STATE(12027)] = 580959,
  [SMALL_STATE(12028)] = 581007,
  [SMALL_STATE(12029)] = 581043,
  [SMALL_STATE(12030)] = 581079,
  [SMALL_STATE(12031)] = 581113,
  [SMALL_STATE(12032)] = 581145,
  [SMALL_STATE(12033)] = 581193,
  [SMALL_STATE(12034)] = 581229,
  [SMALL_STATE(12035)] = 581265,
  [SMALL_STATE(12036)] = 581301,
  [SMALL_STATE(12037)] = 581333,
  [SMALL_STATE(12038)] = 581365,
  [SMALL_STATE(12039)] = 581399,
  [SMALL_STATE(12040)] = 581435,
  [SMALL_STATE(12041)] = 581489,
  [SMALL_STATE(12042)] = 581525,
  [SMALL_STATE(12043)] = 581557,
  [SMALL_STATE(12044)] = 581589,
  [SMALL_STATE(12045)] = 581623,
  [SMALL_STATE(12046)] = 581659,
  [SMALL_STATE(12047)] = 581695,
  [SMALL_STATE(12048)] = 581731,
  [SMALL_STATE(12049)] = 581765,
  [SMALL_STATE(12050)] = 581799,
  [SMALL_STATE(12051)] = 581859,
  [SMALL_STATE(12052)] = 581895,
  [SMALL_STATE(12053)] = 581945,
  [SMALL_STATE(12054)] = 581977,
  [SMALL_STATE(12055)] = 582013,
  [SMALL_STATE(12056)] = 582049,
  [SMALL_STATE(12057)] = 582085,
  [SMALL_STATE(12058)] = 582132,
  [SMALL_STATE(12059)] = 582165,
  [SMALL_STATE(12060)] = 582216,
  [SMALL_STATE(12061)] = 582269,
  [SMALL_STATE(12062)] = 582304,
  [SMALL_STATE(12063)] = 582337,
  [SMALL_STATE(12064)] = 582372,
  [SMALL_STATE(12065)] = 582407,
  [SMALL_STATE(12066)] = 582462,
  [SMALL_STATE(12067)] = 582495,
  [SMALL_STATE(12068)] = 582550,
  [SMALL_STATE(12069)] = 582597,
  [SMALL_STATE(12070)] = 582650,
  [SMALL_STATE(12071)] = 582687,
  [SMALL_STATE(12072)] = 582740,
  [SMALL_STATE(12073)] = 582789,
  [SMALL_STATE(12074)] = 582830,
  [SMALL_STATE(12075)] = 582865,
  [SMALL_STATE(12076)] = 582912,
  [SMALL_STATE(12077)] = 582947,
  [SMALL_STATE(12078)] = 582990,
  [SMALL_STATE(12079)] = 583043,
  [SMALL_STATE(12080)] = 583086,
  [SMALL_STATE(12081)] = 583139,
  [SMALL_STATE(12082)] = 583194,
  [SMALL_STATE(12083)] = 583249,
  [SMALL_STATE(12084)] = 583284,
  [SMALL_STATE(12085)] = 583319,
  [SMALL_STATE(12086)] = 583360,
  [SMALL_STATE(12087)] = 583409,
  [SMALL_STATE(12088)] = 583462,
  [SMALL_STATE(12089)] = 583505,
  [SMALL_STATE(12090)] = 583548,
  [SMALL_STATE(12091)] = 583595,
  [SMALL_STATE(12092)] = 583642,
  [SMALL_STATE(12093)] = 583693,
  [SMALL_STATE(12094)] = 583730,
  [SMALL_STATE(12095)] = 583781,
  [SMALL_STATE(12096)] = 583816,
  [SMALL_STATE(12097)] = 583859,
  [SMALL_STATE(12098)] = 583896,
  [SMALL_STATE(12099)] = 583949,
  [SMALL_STATE(12100)] = 583990,
  [SMALL_STATE(12101)] = 584039,
  [SMALL_STATE(12102)] = 584086,
  [SMALL_STATE(12103)] = 584141,
  [SMALL_STATE(12104)] = 584196,
  [SMALL_STATE(12105)] = 584239,
  [SMALL_STATE(12106)] = 584290,
  [SMALL_STATE(12107)] = 584331,
  [SMALL_STATE(12108)] = 584374,
  [SMALL_STATE(12109)] = 584409,
  [SMALL_STATE(12110)] = 584450,
  [SMALL_STATE(12111)] = 584485,
  [SMALL_STATE(12112)] = 584520,
  [SMALL_STATE(12113)] = 584555,
  [SMALL_STATE(12114)] = 584590,
  [SMALL_STATE(12115)] = 584631,
  [SMALL_STATE(12116)] = 584686,
  [SMALL_STATE(12117)] = 584739,
  [SMALL_STATE(12118)] = 584774,
  [SMALL_STATE(12119)] = 584815,
  [SMALL_STATE(12120)] = 584848,
  [SMALL_STATE(12121)] = 584897,
  [SMALL_STATE(12122)] = 584930,
  [SMALL_STATE(12123)] = 584963,
  [SMALL_STATE(12124)] = 585016,
  [SMALL_STATE(12125)] = 585049,
  [SMALL_STATE(12126)] = 585104,
  [SMALL_STATE(12127)] = 585139,
  [SMALL_STATE(12128)] = 585194,
  [SMALL_STATE(12129)] = 585245,
  [SMALL_STATE(12130)] = 585278,
  [SMALL_STATE(12131)] = 585319,
  [SMALL_STATE(12132)] = 585360,
  [SMALL_STATE(12133)] = 585401,
  [SMALL_STATE(12134)] = 585456,
  [SMALL_STATE(12135)] = 585491,
  [SMALL_STATE(12136)] = 585546,
  [SMALL_STATE(12137)] = 585577,
  [SMALL_STATE(12138)] = 585632,
  [SMALL_STATE(12139)] = 585687,
  [SMALL_STATE(12140)] = 585742,
  [SMALL_STATE(12141)] = 585797,
  [SMALL_STATE(12142)] = 585852,
  [SMALL_STATE(12143)] = 585907,
  [SMALL_STATE(12144)] = 585942,
  [SMALL_STATE(12145)] = 585983,
  [SMALL_STATE(12146)] = 586016,
  [SMALL_STATE(12147)] = 586071,
  [SMALL_STATE(12148)] = 586120,
  [SMALL_STATE(12149)] = 586161,
  [SMALL_STATE(12150)] = 586202,
  [SMALL_STATE(12151)] = 586243,
  [SMALL_STATE(12152)] = 586278,
  [SMALL_STATE(12153)] = 586311,
  [SMALL_STATE(12154)] = 586354,
  [SMALL_STATE(12155)] = 586397,
  [SMALL_STATE(12156)] = 586444,
  [SMALL_STATE(12157)] = 586499,
  [SMALL_STATE(12158)] = 586554,
  [SMALL_STATE(12159)] = 586603,
  [SMALL_STATE(12160)] = 586658,
  [SMALL_STATE(12161)] = 586699,
  [SMALL_STATE(12162)] = 586734,
  [SMALL_STATE(12163)] = 586789,
  [SMALL_STATE(12164)] = 586844,
  [SMALL_STATE(12165)] = 586879,
  [SMALL_STATE(12166)] = 586928,
  [SMALL_STATE(12167)] = 586981,
  [SMALL_STATE(12168)] = 587018,
  [SMALL_STATE(12169)] = 587071,
  [SMALL_STATE(12170)] = 587102,
  [SMALL_STATE(12171)] = 587137,
  [SMALL_STATE(12172)] = 587172,
  [SMALL_STATE(12173)] = 587205,
  [SMALL_STATE(12174)] = 587246,
  [SMALL_STATE(12175)] = 587301,
  [SMALL_STATE(12176)] = 587336,
  [SMALL_STATE(12177)] = 587391,
  [SMALL_STATE(12178)] = 587426,
  [SMALL_STATE(12179)] = 587481,
  [SMALL_STATE(12180)] = 587536,
  [SMALL_STATE(12181)] = 587571,
  [SMALL_STATE(12182)] = 587626,
  [SMALL_STATE(12183)] = 587669,
  [SMALL_STATE(12184)] = 587712,
  [SMALL_STATE(12185)] = 587765,
  [SMALL_STATE(12186)] = 587806,
  [SMALL_STATE(12187)] = 587861,
  [SMALL_STATE(12188)] = 587916,
  [SMALL_STATE(12189)] = 587971,
  [SMALL_STATE(12190)] = 588002,
  [SMALL_STATE(12191)] = 588057,
  [SMALL_STATE(12192)] = 588112,
  [SMALL_STATE(12193)] = 588167,
  [SMALL_STATE(12194)] = 588208,
  [SMALL_STATE(12195)] = 588255,
  [SMALL_STATE(12196)] = 588310,
  [SMALL_STATE(12197)] = 588365,
  [SMALL_STATE(12198)] = 588406,
  [SMALL_STATE(12199)] = 588461,
  [SMALL_STATE(12200)] = 588516,
  [SMALL_STATE(12201)] = 588571,
  [SMALL_STATE(12202)] = 588626,
  [SMALL_STATE(12203)] = 588659,
  [SMALL_STATE(12204)] = 588690,
  [SMALL_STATE(12205)] = 588721,
  [SMALL_STATE(12206)] = 588752,
  [SMALL_STATE(12207)] = 588793,
  [SMALL_STATE(12208)] = 588834,
  [SMALL_STATE(12209)] = 588869,
  [SMALL_STATE(12210)] = 588904,
  [SMALL_STATE(12211)] = 588945,
  [SMALL_STATE(12212)] = 588994,
  [SMALL_STATE(12213)] = 589049,
  [SMALL_STATE(12214)] = 589090,
  [SMALL_STATE(12215)] = 589121,
  [SMALL_STATE(12216)] = 589162,
  [SMALL_STATE(12217)] = 589217,
  [SMALL_STATE(12218)] = 589270,
  [SMALL_STATE(12219)] = 589325,
  [SMALL_STATE(12220)] = 589380,
  [SMALL_STATE(12221)] = 589435,
  [SMALL_STATE(12222)] = 589490,
  [SMALL_STATE(12223)] = 589531,
  [SMALL_STATE(12224)] = 589566,
  [SMALL_STATE(12225)] = 589621,
  [SMALL_STATE(12226)] = 589676,
  [SMALL_STATE(12227)] = 589731,
  [SMALL_STATE(12228)] = 589764,
  [SMALL_STATE(12229)] = 589805,
  [SMALL_STATE(12230)] = 589842,
  [SMALL_STATE(12231)] = 589877,
  [SMALL_STATE(12232)] = 589932,
  [SMALL_STATE(12233)] = 589987,
  [SMALL_STATE(12234)] = 590028,
  [SMALL_STATE(12235)] = 590061,
  [SMALL_STATE(12236)] = 590096,
  [SMALL_STATE(12237)] = 590131,
  [SMALL_STATE(12238)] = 590186,
  [SMALL_STATE(12239)] = 590221,
  [SMALL_STATE(12240)] = 590276,
  [SMALL_STATE(12241)] = 590331,
  [SMALL_STATE(12242)] = 590384,
  [SMALL_STATE(12243)] = 590425,
  [SMALL_STATE(12244)] = 590480,
  [SMALL_STATE(12245)] = 590511,
  [SMALL_STATE(12246)] = 590564,
  [SMALL_STATE(12247)] = 590619,
  [SMALL_STATE(12248)] = 590672,
  [SMALL_STATE(12249)] = 590727,
  [SMALL_STATE(12250)] = 590782,
  [SMALL_STATE(12251)] = 590837,
  [SMALL_STATE(12252)] = 590892,
  [SMALL_STATE(12253)] = 590941,
  [SMALL_STATE(12254)] = 590982,
  [SMALL_STATE(12255)] = 591017,
  [SMALL_STATE(12256)] = 591052,
  [SMALL_STATE(12257)] = 591087,
  [SMALL_STATE(12258)] = 591122,
  [SMALL_STATE(12259)] = 591177,
  [SMALL_STATE(12260)] = 591224,
  [SMALL_STATE(12261)] = 591265,
  [SMALL_STATE(12262)] = 591306,
  [SMALL_STATE(12263)] = 591347,
  [SMALL_STATE(12264)] = 591388,
  [SMALL_STATE(12265)] = 591431,
  [SMALL_STATE(12266)] = 591462,
  [SMALL_STATE(12267)] = 591503,
  [SMALL_STATE(12268)] = 591558,
  [SMALL_STATE(12269)] = 591613,
  [SMALL_STATE(12270)] = 591668,
  [SMALL_STATE(12271)] = 591711,
  [SMALL_STATE(12272)] = 591766,
  [SMALL_STATE(12273)] = 591799,
  [SMALL_STATE(12274)] = 591834,
  [SMALL_STATE(12275)] = 591869,
  [SMALL_STATE(12276)] = 591910,
  [SMALL_STATE(12277)] = 591945,
  [SMALL_STATE(12278)] = 591978,
  [SMALL_STATE(12279)] = 592021,
  [SMALL_STATE(12280)] = 592056,
  [SMALL_STATE(12281)] = 592097,
  [SMALL_STATE(12282)] = 592132,
  [SMALL_STATE(12283)] = 592167,
  [SMALL_STATE(12284)] = 592214,
  [SMALL_STATE(12285)] = 592249,
  [SMALL_STATE(12286)] = 592298,
  [SMALL_STATE(12287)] = 592331,
  [SMALL_STATE(12288)] = 592364,
  [SMALL_STATE(12289)] = 592419,
  [SMALL_STATE(12290)] = 592474,
  [SMALL_STATE(12291)] = 592525,
  [SMALL_STATE(12292)] = 592560,
  [SMALL_STATE(12293)] = 592615,
  [SMALL_STATE(12294)] = 592670,
  [SMALL_STATE(12295)] = 592725,
  [SMALL_STATE(12296)] = 592778,
  [SMALL_STATE(12297)] = 592815,
  [SMALL_STATE(12298)] = 592870,
  [SMALL_STATE(12299)] = 592923,
  [SMALL_STATE(12300)] = 592976,
  [SMALL_STATE(12301)] = 593025,
  [SMALL_STATE(12302)] = 593066,
  [SMALL_STATE(12303)] = 593107,
  [SMALL_STATE(12304)] = 593148,
  [SMALL_STATE(12305)] = 593189,
  [SMALL_STATE(12306)] = 593224,
  [SMALL_STATE(12307)] = 593255,
  [SMALL_STATE(12308)] = 593302,
  [SMALL_STATE(12309)] = 593343,
  [SMALL_STATE(12310)] = 593378,
  [SMALL_STATE(12311)] = 593419,
  [SMALL_STATE(12312)] = 593474,
  [SMALL_STATE(12313)] = 593529,
  [SMALL_STATE(12314)] = 593560,
  [SMALL_STATE(12315)] = 593595,
  [SMALL_STATE(12316)] = 593630,
  [SMALL_STATE(12317)] = 593665,
  [SMALL_STATE(12318)] = 593708,
  [SMALL_STATE(12319)] = 593751,
  [SMALL_STATE(12320)] = 593784,
  [SMALL_STATE(12321)] = 593827,
  [SMALL_STATE(12322)] = 593874,
  [SMALL_STATE(12323)] = 593929,
  [SMALL_STATE(12324)] = 593976,
  [SMALL_STATE(12325)] = 594027,
  [SMALL_STATE(12326)] = 594082,
  [SMALL_STATE(12327)] = 594137,
  [SMALL_STATE(12328)] = 594172,
  [SMALL_STATE(12329)] = 594207,
  [SMALL_STATE(12330)] = 594242,
  [SMALL_STATE(12331)] = 594297,
  [SMALL_STATE(12332)] = 594338,
  [SMALL_STATE(12333)] = 594393,
  [SMALL_STATE(12334)] = 594448,
  [SMALL_STATE(12335)] = 594483,
  [SMALL_STATE(12336)] = 594526,
  [SMALL_STATE(12337)] = 594575,
  [SMALL_STATE(12338)] = 594612,
  [SMALL_STATE(12339)] = 594665,
  [SMALL_STATE(12340)] = 594716,
  [SMALL_STATE(12341)] = 594753,
  [SMALL_STATE(12342)] = 594788,
  [SMALL_STATE(12343)] = 594819,
  [SMALL_STATE(12344)] = 594860,
  [SMALL_STATE(12345)] = 594901,
  [SMALL_STATE(12346)] = 594956,
  [SMALL_STATE(12347)] = 595007,
  [SMALL_STATE(12348)] = 595060,
  [SMALL_STATE(12349)] = 595111,
  [SMALL_STATE(12350)] = 595164,
  [SMALL_STATE(12351)] = 595205,
  [SMALL_STATE(12352)] = 595246,
  [SMALL_STATE(12353)] = 595277,
  [SMALL_STATE(12354)] = 595318,
  [SMALL_STATE(12355)] = 595361,
  [SMALL_STATE(12356)] = 595416,
  [SMALL_STATE(12357)] = 595453,
  [SMALL_STATE(12358)] = 595494,
  [SMALL_STATE(12359)] = 595535,
  [SMALL_STATE(12360)] = 595576,
  [SMALL_STATE(12361)] = 595617,
  [SMALL_STATE(12362)] = 595668,
  [SMALL_STATE(12363)] = 595703,
  [SMALL_STATE(12364)] = 595758,
  [SMALL_STATE(12365)] = 595799,
  [SMALL_STATE(12366)] = 595854,
  [SMALL_STATE(12367)] = 595889,
  [SMALL_STATE(12368)] = 595936,
  [SMALL_STATE(12369)] = 595977,
  [SMALL_STATE(12370)] = 596018,
  [SMALL_STATE(12371)] = 596061,
  [SMALL_STATE(12372)] = 596102,
  [SMALL_STATE(12373)] = 596153,
  [SMALL_STATE(12374)] = 596196,
  [SMALL_STATE(12375)] = 596231,
  [SMALL_STATE(12376)] = 596272,
  [SMALL_STATE(12377)] = 596307,
  [SMALL_STATE(12378)] = 596348,
  [SMALL_STATE(12379)] = 596389,
  [SMALL_STATE(12380)] = 596430,
  [SMALL_STATE(12381)] = 596471,
  [SMALL_STATE(12382)] = 596512,
  [SMALL_STATE(12383)] = 596547,
  [SMALL_STATE(12384)] = 596580,
  [SMALL_STATE(12385)] = 596635,
  [SMALL_STATE(12386)] = 596682,
  [SMALL_STATE(12387)] = 596721,
  [SMALL_STATE(12388)] = 596768,
  [SMALL_STATE(12389)] = 596809,
  [SMALL_STATE(12390)] = 596844,
  [SMALL_STATE(12391)] = 596879,
  [SMALL_STATE(12392)] = 596914,
  [SMALL_STATE(12393)] = 596949,
  [SMALL_STATE(12394)] = 596984,
  [SMALL_STATE(12395)] = 597019,
  [SMALL_STATE(12396)] = 597070,
  [SMALL_STATE(12397)] = 597103,
  [SMALL_STATE(12398)] = 597138,
  [SMALL_STATE(12399)] = 597179,
  [SMALL_STATE(12400)] = 597232,
  [SMALL_STATE(12401)] = 597287,
  [SMALL_STATE(12402)] = 597338,
  [SMALL_STATE(12403)] = 597389,
  [SMALL_STATE(12404)] = 597444,
  [SMALL_STATE(12405)] = 597499,
  [SMALL_STATE(12406)] = 597532,
  [SMALL_STATE(12407)] = 597573,
  [SMALL_STATE(12408)] = 597604,
  [SMALL_STATE(12409)] = 597659,
  [SMALL_STATE(12410)] = 597696,
  [SMALL_STATE(12411)] = 597747,
  [SMALL_STATE(12412)] = 597794,
  [SMALL_STATE(12413)] = 597833,
  [SMALL_STATE(12414)] = 597864,
  [SMALL_STATE(12415)] = 597911,
  [SMALL_STATE(12416)] = 597942,
  [SMALL_STATE(12417)] = 597985,
  [SMALL_STATE(12418)] = 598016,
  [SMALL_STATE(12419)] = 598047,
  [SMALL_STATE(12420)] = 598088,
  [SMALL_STATE(12421)] = 598123,
  [SMALL_STATE(12422)] = 598156,
  [SMALL_STATE(12423)] = 598211,
  [SMALL_STATE(12424)] = 598242,
  [SMALL_STATE(12425)] = 598285,
  [SMALL_STATE(12426)] = 598316,
  [SMALL_STATE(12427)] = 598347,
  [SMALL_STATE(12428)] = 598378,
  [SMALL_STATE(12429)] = 598409,
  [SMALL_STATE(12430)] = 598464,
  [SMALL_STATE(12431)] = 598499,
  [SMALL_STATE(12432)] = 598540,
  [SMALL_STATE(12433)] = 598571,
  [SMALL_STATE(12434)] = 598619,
  [SMALL_STATE(12435)] = 598665,
  [SMALL_STATE(12436)] = 598717,
  [SMALL_STATE(12437)] = 598765,
  [SMALL_STATE(12438)] = 598805,
  [SMALL_STATE(12439)] = 598853,
  [SMALL_STATE(12440)] = 598905,
  [SMALL_STATE(12441)] = 598953,
  [SMALL_STATE(12442)] = 599001,
  [SMALL_STATE(12443)] = 599049,
  [SMALL_STATE(12444)] = 599095,
  [SMALL_STATE(12445)] = 599127,
  [SMALL_STATE(12446)] = 599175,
  [SMALL_STATE(12447)] = 599215,
  [SMALL_STATE(12448)] = 599263,
  [SMALL_STATE(12449)] = 599309,
  [SMALL_STATE(12450)] = 599349,
  [SMALL_STATE(12451)] = 599399,
  [SMALL_STATE(12452)] = 599429,
  [SMALL_STATE(12453)] = 599461,
  [SMALL_STATE(12454)] = 599497,
  [SMALL_STATE(12455)] = 599531,
  [SMALL_STATE(12456)] = 599565,
  [SMALL_STATE(12457)] = 599595,
  [SMALL_STATE(12458)] = 599625,
  [SMALL_STATE(12459)] = 599675,
  [SMALL_STATE(12460)] = 599715,
  [SMALL_STATE(12461)] = 599761,
  [SMALL_STATE(12462)] = 599809,
  [SMALL_STATE(12463)] = 599857,
  [SMALL_STATE(12464)] = 599889,
  [SMALL_STATE(12465)] = 599935,
  [SMALL_STATE(12466)] = 599975,
  [SMALL_STATE(12467)] = 600025,
  [SMALL_STATE(12468)] = 600055,
  [SMALL_STATE(12469)] = 600103,
  [SMALL_STATE(12470)] = 600149,
  [SMALL_STATE(12471)] = 600197,
  [SMALL_STATE(12472)] = 600237,
  [SMALL_STATE(12473)] = 600279,
  [SMALL_STATE(12474)] = 600327,
  [SMALL_STATE(12475)] = 600373,
  [SMALL_STATE(12476)] = 600415,
  [SMALL_STATE(12477)] = 600447,
  [SMALL_STATE(12478)] = 600477,
  [SMALL_STATE(12479)] = 600523,
  [SMALL_STATE(12480)] = 600553,
  [SMALL_STATE(12481)] = 600603,
  [SMALL_STATE(12482)] = 600657,
  [SMALL_STATE(12483)] = 600705,
  [SMALL_STATE(12484)] = 600735,
  [SMALL_STATE(12485)] = 600767,
  [SMALL_STATE(12486)] = 600815,
  [SMALL_STATE(12487)] = 600847,
  [SMALL_STATE(12488)] = 600895,
  [SMALL_STATE(12489)] = 600943,
  [SMALL_STATE(12490)] = 600975,
  [SMALL_STATE(12491)] = 601023,
  [SMALL_STATE(12492)] = 601053,
  [SMALL_STATE(12493)] = 601085,
  [SMALL_STATE(12494)] = 601115,
  [SMALL_STATE(12495)] = 601163,
  [SMALL_STATE(12496)] = 601193,
  [SMALL_STATE(12497)] = 601233,
  [SMALL_STATE(12498)] = 601263,
  [SMALL_STATE(12499)] = 601311,
  [SMALL_STATE(12500)] = 601341,
  [SMALL_STATE(12501)] = 601371,
  [SMALL_STATE(12502)] = 601401,
  [SMALL_STATE(12503)] = 601433,
  [SMALL_STATE(12504)] = 601475,
  [SMALL_STATE(12505)] = 601505,
  [SMALL_STATE(12506)] = 601551,
  [SMALL_STATE(12507)] = 601599,
  [SMALL_STATE(12508)] = 601641,
  [SMALL_STATE(12509)] = 601675,
  [SMALL_STATE(12510)] = 601705,
  [SMALL_STATE(12511)] = 601735,
  [SMALL_STATE(12512)] = 601765,
  [SMALL_STATE(12513)] = 601815,
  [SMALL_STATE(12514)] = 601863,
  [SMALL_STATE(12515)] = 601911,
  [SMALL_STATE(12516)] = 601941,
  [SMALL_STATE(12517)] = 601975,
  [SMALL_STATE(12518)] = 602005,
  [SMALL_STATE(12519)] = 602053,
  [SMALL_STATE(12520)] = 602099,
  [SMALL_STATE(12521)] = 602129,
  [SMALL_STATE(12522)] = 602179,
  [SMALL_STATE(12523)] = 602215,
  [SMALL_STATE(12524)] = 602245,
  [SMALL_STATE(12525)] = 602297,
  [SMALL_STATE(12526)] = 602329,
  [SMALL_STATE(12527)] = 602361,
  [SMALL_STATE(12528)] = 602391,
  [SMALL_STATE(12529)] = 602421,
  [SMALL_STATE(12530)] = 602451,
  [SMALL_STATE(12531)] = 602491,
  [SMALL_STATE(12532)] = 602521,
  [SMALL_STATE(12533)] = 602551,
  [SMALL_STATE(12534)] = 602581,
  [SMALL_STATE(12535)] = 602611,
  [SMALL_STATE(12536)] = 602643,
  [SMALL_STATE(12537)] = 602695,
  [SMALL_STATE(12538)] = 602725,
  [SMALL_STATE(12539)] = 602757,
  [SMALL_STATE(12540)] = 602789,
  [SMALL_STATE(12541)] = 602819,
  [SMALL_STATE(12542)] = 602859,
  [SMALL_STATE(12543)] = 602889,
  [SMALL_STATE(12544)] = 602921,
  [SMALL_STATE(12545)] = 602953,
  [SMALL_STATE(12546)] = 603007,
  [SMALL_STATE(12547)] = 603059,
  [SMALL_STATE(12548)] = 603107,
  [SMALL_STATE(12549)] = 603157,
  [SMALL_STATE(12550)] = 603189,
  [SMALL_STATE(12551)] = 603219,
  [SMALL_STATE(12552)] = 603251,
  [SMALL_STATE(12553)] = 603289,
  [SMALL_STATE(12554)] = 603319,
  [SMALL_STATE(12555)] = 603367,
  [SMALL_STATE(12556)] = 603399,
  [SMALL_STATE(12557)] = 603447,
  [SMALL_STATE(12558)] = 603483,
  [SMALL_STATE(12559)] = 603513,
  [SMALL_STATE(12560)] = 603567,
  [SMALL_STATE(12561)] = 603597,
  [SMALL_STATE(12562)] = 603645,
  [SMALL_STATE(12563)] = 603693,
  [SMALL_STATE(12564)] = 603741,
  [SMALL_STATE(12565)] = 603771,
  [SMALL_STATE(12566)] = 603803,
  [SMALL_STATE(12567)] = 603833,
  [SMALL_STATE(12568)] = 603863,
  [SMALL_STATE(12569)] = 603909,
  [SMALL_STATE(12570)] = 603955,
  [SMALL_STATE(12571)] = 603987,
  [SMALL_STATE(12572)] = 604037,
  [SMALL_STATE(12573)] = 604069,
  [SMALL_STATE(12574)] = 604101,
  [SMALL_STATE(12575)] = 604131,
  [SMALL_STATE(12576)] = 604183,
  [SMALL_STATE(12577)] = 604231,
  [SMALL_STATE(12578)] = 604279,
  [SMALL_STATE(12579)] = 604329,
  [SMALL_STATE(12580)] = 604375,
  [SMALL_STATE(12581)] = 604425,
  [SMALL_STATE(12582)] = 604457,
  [SMALL_STATE(12583)] = 604507,
  [SMALL_STATE(12584)] = 604539,
  [SMALL_STATE(12585)] = 604593,
  [SMALL_STATE(12586)] = 604641,
  [SMALL_STATE(12587)] = 604689,
  [SMALL_STATE(12588)] = 604737,
  [SMALL_STATE(12589)] = 604789,
  [SMALL_STATE(12590)] = 604837,
  [SMALL_STATE(12591)] = 604877,
  [SMALL_STATE(12592)] = 604923,
  [SMALL_STATE(12593)] = 604975,
  [SMALL_STATE(12594)] = 605023,
  [SMALL_STATE(12595)] = 605075,
  [SMALL_STATE(12596)] = 605105,
  [SMALL_STATE(12597)] = 605151,
  [SMALL_STATE(12598)] = 605191,
  [SMALL_STATE(12599)] = 605241,
  [SMALL_STATE(12600)] = 605275,
  [SMALL_STATE(12601)] = 605321,
  [SMALL_STATE(12602)] = 605355,
  [SMALL_STATE(12603)] = 605397,
  [SMALL_STATE(12604)] = 605439,
  [SMALL_STATE(12605)] = 605485,
  [SMALL_STATE(12606)] = 605531,
  [SMALL_STATE(12607)] = 605581,
  [SMALL_STATE(12608)] = 605629,
  [SMALL_STATE(12609)] = 605665,
  [SMALL_STATE(12610)] = 605697,
  [SMALL_STATE(12611)] = 605729,
  [SMALL_STATE(12612)] = 605775,
  [SMALL_STATE(12613)] = 605807,
  [SMALL_STATE(12614)] = 605839,
  [SMALL_STATE(12615)] = 605871,
  [SMALL_STATE(12616)] = 605903,
  [SMALL_STATE(12617)] = 605951,
  [SMALL_STATE(12618)] = 605987,
  [SMALL_STATE(12619)] = 606035,
  [SMALL_STATE(12620)] = 606083,
  [SMALL_STATE(12621)] = 606115,
  [SMALL_STATE(12622)] = 606147,
  [SMALL_STATE(12623)] = 606199,
  [SMALL_STATE(12624)] = 606247,
  [SMALL_STATE(12625)] = 606297,
  [SMALL_STATE(12626)] = 606343,
  [SMALL_STATE(12627)] = 606373,
  [SMALL_STATE(12628)] = 606405,
  [SMALL_STATE(12629)] = 606455,
  [SMALL_STATE(12630)] = 606485,
  [SMALL_STATE(12631)] = 606517,
  [SMALL_STATE(12632)] = 606557,
  [SMALL_STATE(12633)] = 606607,
  [SMALL_STATE(12634)] = 606639,
  [SMALL_STATE(12635)] = 606689,
  [SMALL_STATE(12636)] = 606735,
  [SMALL_STATE(12637)] = 606777,
  [SMALL_STATE(12638)] = 606807,
  [SMALL_STATE(12639)] = 606855,
  [SMALL_STATE(12640)] = 606897,
  [SMALL_STATE(12641)] = 606931,
  [SMALL_STATE(12642)] = 606965,
  [SMALL_STATE(12643)] = 607005,
  [SMALL_STATE(12644)] = 607053,
  [SMALL_STATE(12645)] = 607085,
  [SMALL_STATE(12646)] = 607118,
  [SMALL_STATE(12647)] = 607147,
  [SMALL_STATE(12648)] = 607198,
  [SMALL_STATE(12649)] = 607249,
  [SMALL_STATE(12650)] = 607300,
  [SMALL_STATE(12651)] = 607351,
  [SMALL_STATE(12652)] = 607402,
  [SMALL_STATE(12653)] = 607453,
  [SMALL_STATE(12654)] = 607490,
  [SMALL_STATE(12655)] = 607541,
  [SMALL_STATE(12656)] = 607578,
  [SMALL_STATE(12657)] = 607629,
  [SMALL_STATE(12658)] = 607666,
  [SMALL_STATE(12659)] = 607703,
  [SMALL_STATE(12660)] = 607754,
  [SMALL_STATE(12661)] = 607797,
  [SMALL_STATE(12662)] = 607834,
  [SMALL_STATE(12663)] = 607877,
  [SMALL_STATE(12664)] = 607920,
  [SMALL_STATE(12665)] = 607971,
  [SMALL_STATE(12666)] = 608002,
  [SMALL_STATE(12667)] = 608029,
  [SMALL_STATE(12668)] = 608056,
  [SMALL_STATE(12669)] = 608093,
  [SMALL_STATE(12670)] = 608120,
  [SMALL_STATE(12671)] = 608171,
  [SMALL_STATE(12672)] = 608202,
  [SMALL_STATE(12673)] = 608253,
  [SMALL_STATE(12674)] = 608280,
  [SMALL_STATE(12675)] = 608308,
  [SMALL_STATE(12676)] = 608336,
  [SMALL_STATE(12677)] = 608378,
  [SMALL_STATE(12678)] = 608424,
  [SMALL_STATE(12679)] = 608452,
  [SMALL_STATE(12680)] = 608480,
  [SMALL_STATE(12681)] = 608508,
  [SMALL_STATE(12682)] = 608536,
  [SMALL_STATE(12683)] = 608564,
  [SMALL_STATE(12684)] = 608594,
  [SMALL_STATE(12685)] = 608622,
  [SMALL_STATE(12686)] = 608668,
  [SMALL_STATE(12687)] = 608716,
  [SMALL_STATE(12688)] = 608744,
  [SMALL_STATE(12689)] = 608772,
  [SMALL_STATE(12690)] = 608800,
  [SMALL_STATE(12691)] = 608828,
  [SMALL_STATE(12692)] = 608856,
  [SMALL_STATE(12693)] = 608904,
  [SMALL_STATE(12694)] = 608932,
  [SMALL_STATE(12695)] = 608960,
  [SMALL_STATE(12696)] = 608988,
  [SMALL_STATE(12697)] = 609036,
  [SMALL_STATE(12698)] = 609064,
  [SMALL_STATE(12699)] = 609092,
  [SMALL_STATE(12700)] = 609120,
  [SMALL_STATE(12701)] = 609148,
  [SMALL_STATE(12702)] = 609194,
  [SMALL_STATE(12703)] = 609230,
  [SMALL_STATE(12704)] = 609258,
  [SMALL_STATE(12705)] = 609304,
  [SMALL_STATE(12706)] = 609352,
  [SMALL_STATE(12707)] = 609380,
  [SMALL_STATE(12708)] = 609408,
  [SMALL_STATE(12709)] = 609436,
  [SMALL_STATE(12710)] = 609464,
  [SMALL_STATE(12711)] = 609492,
  [SMALL_STATE(12712)] = 609520,
  [SMALL_STATE(12713)] = 609548,
  [SMALL_STATE(12714)] = 609576,
  [SMALL_STATE(12715)] = 609604,
  [SMALL_STATE(12716)] = 609632,
  [SMALL_STATE(12717)] = 609660,
  [SMALL_STATE(12718)] = 609688,
  [SMALL_STATE(12719)] = 609716,
  [SMALL_STATE(12720)] = 609748,
  [SMALL_STATE(12721)] = 609778,
  [SMALL_STATE(12722)] = 609812,
  [SMALL_STATE(12723)] = 609840,
  [SMALL_STATE(12724)] = 609882,
  [SMALL_STATE(12725)] = 609920,
  [SMALL_STATE(12726)] = 609948,
  [SMALL_STATE(12727)] = 609980,
  [SMALL_STATE(12728)] = 610014,
  [SMALL_STATE(12729)] = 610048,
  [SMALL_STATE(12730)] = 610082,
  [SMALL_STATE(12731)] = 610114,
  [SMALL_STATE(12732)] = 610148,
  [SMALL_STATE(12733)] = 610180,
  [SMALL_STATE(12734)] = 610226,
  [SMALL_STATE(12735)] = 610274,
  [SMALL_STATE(12736)] = 610306,
  [SMALL_STATE(12737)] = 610354,
  [SMALL_STATE(12738)] = 610400,
  [SMALL_STATE(12739)] = 610428,
  [SMALL_STATE(12740)] = 610474,
  [SMALL_STATE(12741)] = 610508,
  [SMALL_STATE(12742)] = 610536,
  [SMALL_STATE(12743)] = 610570,
  [SMALL_STATE(12744)] = 610598,
  [SMALL_STATE(12745)] = 610632,
  [SMALL_STATE(12746)] = 610670,
  [SMALL_STATE(12747)] = 610700,
  [SMALL_STATE(12748)] = 610738,
  [SMALL_STATE(12749)] = 610784,
  [SMALL_STATE(12750)] = 610826,
  [SMALL_STATE(12751)] = 610865,
  [SMALL_STATE(12752)] = 610904,
  [SMALL_STATE(12753)] = 610935,
  [SMALL_STATE(12754)] = 610966,
  [SMALL_STATE(12755)] = 611005,
  [SMALL_STATE(12756)] = 611036,
  [SMALL_STATE(12757)] = 611075,
  [SMALL_STATE(12758)] = 611106,
  [SMALL_STATE(12759)] = 611145,
  [SMALL_STATE(12760)] = 611184,
  [SMALL_STATE(12761)] = 611211,
  [SMALL_STATE(12762)] = 611238,
  [SMALL_STATE(12763)] = 611269,
  [SMALL_STATE(12764)] = 611300,
  [SMALL_STATE(12765)] = 611339,
  [SMALL_STATE(12766)] = 611370,
  [SMALL_STATE(12767)] = 611409,
  [SMALL_STATE(12768)] = 611436,
  [SMALL_STATE(12769)] = 611467,
  [SMALL_STATE(12770)] = 611506,
  [SMALL_STATE(12771)] = 611537,
  [SMALL_STATE(12772)] = 611576,
  [SMALL_STATE(12773)] = 611615,
  [SMALL_STATE(12774)] = 611646,
  [SMALL_STATE(12775)] = 611685,
  [SMALL_STATE(12776)] = 611716,
  [SMALL_STATE(12777)] = 611743,
  [SMALL_STATE(12778)] = 611770,
  [SMALL_STATE(12779)] = 611809,
  [SMALL_STATE(12780)] = 611836,
  [SMALL_STATE(12781)] = 611867,
  [SMALL_STATE(12782)] = 611906,
  [SMALL_STATE(12783)] = 611937,
  [SMALL_STATE(12784)] = 611968,
  [SMALL_STATE(12785)] = 612007,
  [SMALL_STATE(12786)] = 612046,
  [SMALL_STATE(12787)] = 612077,
  [SMALL_STATE(12788)] = 612116,
  [SMALL_STATE(12789)] = 612155,
  [SMALL_STATE(12790)] = 612194,
  [SMALL_STATE(12791)] = 612237,
  [SMALL_STATE(12792)] = 612276,
  [SMALL_STATE(12793)] = 612315,
  [SMALL_STATE(12794)] = 612354,
  [SMALL_STATE(12795)] = 612393,
  [SMALL_STATE(12796)] = 612424,
  [SMALL_STATE(12797)] = 612451,
  [SMALL_STATE(12798)] = 612478,
  [SMALL_STATE(12799)] = 612505,
  [SMALL_STATE(12800)] = 612548,
  [SMALL_STATE(12801)] = 612587,
  [SMALL_STATE(12802)] = 612626,
  [SMALL_STATE(12803)] = 612665,
  [SMALL_STATE(12804)] = 612704,
  [SMALL_STATE(12805)] = 612743,
  [SMALL_STATE(12806)] = 612782,
  [SMALL_STATE(12807)] = 612813,
  [SMALL_STATE(12808)] = 612852,
  [SMALL_STATE(12809)] = 612891,
  [SMALL_STATE(12810)] = 612922,
  [SMALL_STATE(12811)] = 612949,
  [SMALL_STATE(12812)] = 612988,
  [SMALL_STATE(12813)] = 613019,
  [SMALL_STATE(12814)] = 613050,
  [SMALL_STATE(12815)] = 613089,
  [SMALL_STATE(12816)] = 613128,
  [SMALL_STATE(12817)] = 613159,
  [SMALL_STATE(12818)] = 613198,
  [SMALL_STATE(12819)] = 613241,
  [SMALL_STATE(12820)] = 613272,
  [SMALL_STATE(12821)] = 613303,
  [SMALL_STATE(12822)] = 613342,
  [SMALL_STATE(12823)] = 613373,
  [SMALL_STATE(12824)] = 613404,
  [SMALL_STATE(12825)] = 613435,
  [SMALL_STATE(12826)] = 613466,
  [SMALL_STATE(12827)] = 613497,
  [SMALL_STATE(12828)] = 613528,
  [SMALL_STATE(12829)] = 613559,
  [SMALL_STATE(12830)] = 613598,
  [SMALL_STATE(12831)] = 613629,
  [SMALL_STATE(12832)] = 613660,
  [SMALL_STATE(12833)] = 613691,
  [SMALL_STATE(12834)] = 613730,
  [SMALL_STATE(12835)] = 613761,
  [SMALL_STATE(12836)] = 613792,
  [SMALL_STATE(12837)] = 613831,
  [SMALL_STATE(12838)] = 613862,
  [SMALL_STATE(12839)] = 613901,
  [SMALL_STATE(12840)] = 613932,
  [SMALL_STATE(12841)] = 613971,
  [SMALL_STATE(12842)] = 614002,
  [SMALL_STATE(12843)] = 614033,
  [SMALL_STATE(12844)] = 614072,
  [SMALL_STATE(12845)] = 614103,
  [SMALL_STATE(12846)] = 614134,
  [SMALL_STATE(12847)] = 614161,
  [SMALL_STATE(12848)] = 614200,
  [SMALL_STATE(12849)] = 614231,
  [SMALL_STATE(12850)] = 614270,
  [SMALL_STATE(12851)] = 614301,
  [SMALL_STATE(12852)] = 614332,
  [SMALL_STATE(12853)] = 614371,
  [SMALL_STATE(12854)] = 614402,
  [SMALL_STATE(12855)] = 614433,
  [SMALL_STATE(12856)] = 614472,
  [SMALL_STATE(12857)] = 614503,
  [SMALL_STATE(12858)] = 614542,
  [SMALL_STATE(12859)] = 614581,
  [SMALL_STATE(12860)] = 614610,
  [SMALL_STATE(12861)] = 614641,
  [SMALL_STATE(12862)] = 614672,
  [SMALL_STATE(12863)] = 614703,
  [SMALL_STATE(12864)] = 614742,
  [SMALL_STATE(12865)] = 614781,
  [SMALL_STATE(12866)] = 614820,
  [SMALL_STATE(12867)] = 614847,
  [SMALL_STATE(12868)] = 614878,
  [SMALL_STATE(12869)] = 614909,
  [SMALL_STATE(12870)] = 614936,
  [SMALL_STATE(12871)] = 614975,
  [SMALL_STATE(12872)] = 615006,
  [SMALL_STATE(12873)] = 615037,
  [SMALL_STATE(12874)] = 615068,
  [SMALL_STATE(12875)] = 615107,
  [SMALL_STATE(12876)] = 615138,
  [SMALL_STATE(12877)] = 615181,
  [SMALL_STATE(12878)] = 615208,
  [SMALL_STATE(12879)] = 615235,
  [SMALL_STATE(12880)] = 615266,
  [SMALL_STATE(12881)] = 615297,
  [SMALL_STATE(12882)] = 615324,
  [SMALL_STATE(12883)] = 615351,
  [SMALL_STATE(12884)] = 615390,
  [SMALL_STATE(12885)] = 615421,
  [SMALL_STATE(12886)] = 615460,
  [SMALL_STATE(12887)] = 615487,
  [SMALL_STATE(12888)] = 615526,
  [SMALL_STATE(12889)] = 615565,
  [SMALL_STATE(12890)] = 615596,
  [SMALL_STATE(12891)] = 615635,
  [SMALL_STATE(12892)] = 615674,
  [SMALL_STATE(12893)] = 615717,
  [SMALL_STATE(12894)] = 615748,
  [SMALL_STATE(12895)] = 615787,
  [SMALL_STATE(12896)] = 615818,
  [SMALL_STATE(12897)] = 615845,
  [SMALL_STATE(12898)] = 615884,
  [SMALL_STATE(12899)] = 615915,
  [SMALL_STATE(12900)] = 615954,
  [SMALL_STATE(12901)] = 615981,
  [SMALL_STATE(12902)] = 616020,
  [SMALL_STATE(12903)] = 616059,
  [SMALL_STATE(12904)] = 616098,
  [SMALL_STATE(12905)] = 616129,
  [SMALL_STATE(12906)] = 616168,
  [SMALL_STATE(12907)] = 616199,
  [SMALL_STATE(12908)] = 616230,
  [SMALL_STATE(12909)] = 616269,
  [SMALL_STATE(12910)] = 616308,
  [SMALL_STATE(12911)] = 616347,
  [SMALL_STATE(12912)] = 616376,
  [SMALL_STATE(12913)] = 616415,
  [SMALL_STATE(12914)] = 616454,
  [SMALL_STATE(12915)] = 616497,
  [SMALL_STATE(12916)] = 616524,
  [SMALL_STATE(12917)] = 616563,
  [SMALL_STATE(12918)] = 616602,
  [SMALL_STATE(12919)] = 616641,
  [SMALL_STATE(12920)] = 616680,
  [SMALL_STATE(12921)] = 616711,
  [SMALL_STATE(12922)] = 616738,
  [SMALL_STATE(12923)] = 616769,
  [SMALL_STATE(12924)] = 616796,
  [SMALL_STATE(12925)] = 616835,
  [SMALL_STATE(12926)] = 616862,
  [SMALL_STATE(12927)] = 616891,
  [SMALL_STATE(12928)] = 616918,
  [SMALL_STATE(12929)] = 616945,
  [SMALL_STATE(12930)] = 616972,
  [SMALL_STATE(12931)] = 617011,
  [SMALL_STATE(12932)] = 617038,
  [SMALL_STATE(12933)] = 617069,
  [SMALL_STATE(12934)] = 617096,
  [SMALL_STATE(12935)] = 617123,
  [SMALL_STATE(12936)] = 617162,
  [SMALL_STATE(12937)] = 617193,
  [SMALL_STATE(12938)] = 617224,
  [SMALL_STATE(12939)] = 617255,
  [SMALL_STATE(12940)] = 617282,
  [SMALL_STATE(12941)] = 617313,
  [SMALL_STATE(12942)] = 617356,
  [SMALL_STATE(12943)] = 617385,
  [SMALL_STATE(12944)] = 617416,
  [SMALL_STATE(12945)] = 617447,
  [SMALL_STATE(12946)] = 617478,
  [SMALL_STATE(12947)] = 617509,
  [SMALL_STATE(12948)] = 617540,
  [SMALL_STATE(12949)] = 617571,
  [SMALL_STATE(12950)] = 617610,
  [SMALL_STATE(12951)] = 617637,
  [SMALL_STATE(12952)] = 617680,
  [SMALL_STATE(12953)] = 617711,
  [SMALL_STATE(12954)] = 617750,
  [SMALL_STATE(12955)] = 617789,
  [SMALL_STATE(12956)] = 617828,
  [SMALL_STATE(12957)] = 617855,
  [SMALL_STATE(12958)] = 617882,
  [SMALL_STATE(12959)] = 617921,
  [SMALL_STATE(12960)] = 617960,
  [SMALL_STATE(12961)] = 617987,
  [SMALL_STATE(12962)] = 618014,
  [SMALL_STATE(12963)] = 618041,
  [SMALL_STATE(12964)] = 618084,
  [SMALL_STATE(12965)] = 618123,
  [SMALL_STATE(12966)] = 618166,
  [SMALL_STATE(12967)] = 618205,
  [SMALL_STATE(12968)] = 618231,
  [SMALL_STATE(12969)] = 618257,
  [SMALL_STATE(12970)] = 618287,
  [SMALL_STATE(12971)] = 618317,
  [SMALL_STATE(12972)] = 618347,
  [SMALL_STATE(12973)] = 618373,
  [SMALL_STATE(12974)] = 618397,
  [SMALL_STATE(12975)] = 618427,
  [SMALL_STATE(12976)] = 618457,
  [SMALL_STATE(12977)] = 618483,
  [SMALL_STATE(12978)] = 618513,
  [SMALL_STATE(12979)] = 618539,
  [SMALL_STATE(12980)] = 618569,
  [SMALL_STATE(12981)] = 618595,
  [SMALL_STATE(12982)] = 618621,
  [SMALL_STATE(12983)] = 618647,
  [SMALL_STATE(12984)] = 618677,
  [SMALL_STATE(12985)] = 618703,
  [SMALL_STATE(12986)] = 618729,
  [SMALL_STATE(12987)] = 618759,
  [SMALL_STATE(12988)] = 618785,
  [SMALL_STATE(12989)] = 618811,
  [SMALL_STATE(12990)] = 618841,
  [SMALL_STATE(12991)] = 618865,
  [SMALL_STATE(12992)] = 618895,
  [SMALL_STATE(12993)] = 618921,
  [SMALL_STATE(12994)] = 618947,
  [SMALL_STATE(12995)] = 618973,
  [SMALL_STATE(12996)] = 619007,
  [SMALL_STATE(12997)] = 619037,
  [SMALL_STATE(12998)] = 619067,
  [SMALL_STATE(12999)] = 619093,
  [SMALL_STATE(13000)] = 619119,
  [SMALL_STATE(13001)] = 619145,
  [SMALL_STATE(13002)] = 619169,
  [SMALL_STATE(13003)] = 619195,
  [SMALL_STATE(13004)] = 619221,
  [SMALL_STATE(13005)] = 619247,
  [SMALL_STATE(13006)] = 619273,
  [SMALL_STATE(13007)] = 619299,
  [SMALL_STATE(13008)] = 619325,
  [SMALL_STATE(13009)] = 619351,
  [SMALL_STATE(13010)] = 619379,
  [SMALL_STATE(13011)] = 619409,
  [SMALL_STATE(13012)] = 619435,
  [SMALL_STATE(13013)] = 619461,
  [SMALL_STATE(13014)] = 619487,
  [SMALL_STATE(13015)] = 619513,
  [SMALL_STATE(13016)] = 619539,
  [SMALL_STATE(13017)] = 619565,
  [SMALL_STATE(13018)] = 619591,
  [SMALL_STATE(13019)] = 619617,
  [SMALL_STATE(13020)] = 619643,
  [SMALL_STATE(13021)] = 619668,
  [SMALL_STATE(13022)] = 619697,
  [SMALL_STATE(13023)] = 619726,
  [SMALL_STATE(13024)] = 619767,
  [SMALL_STATE(13025)] = 619792,
  [SMALL_STATE(13026)] = 619815,
  [SMALL_STATE(13027)] = 619856,
  [SMALL_STATE(13028)] = 619879,
  [SMALL_STATE(13029)] = 619918,
  [SMALL_STATE(13030)] = 619947,
  [SMALL_STATE(13031)] = 619976,
  [SMALL_STATE(13032)] = 619999,
  [SMALL_STATE(13033)] = 620040,
  [SMALL_STATE(13034)] = 620063,
  [SMALL_STATE(13035)] = 620104,
  [SMALL_STATE(13036)] = 620127,
  [SMALL_STATE(13037)] = 620150,
  [SMALL_STATE(13038)] = 620173,
  [SMALL_STATE(13039)] = 620196,
  [SMALL_STATE(13040)] = 620235,
  [SMALL_STATE(13041)] = 620258,
  [SMALL_STATE(13042)] = 620297,
  [SMALL_STATE(13043)] = 620322,
  [SMALL_STATE(13044)] = 620363,
  [SMALL_STATE(13045)] = 620386,
  [SMALL_STATE(13046)] = 620427,
  [SMALL_STATE(13047)] = 620454,
  [SMALL_STATE(13048)] = 620481,
  [SMALL_STATE(13049)] = 620510,
  [SMALL_STATE(13050)] = 620537,
  [SMALL_STATE(13051)] = 620570,
  [SMALL_STATE(13052)] = 620609,
  [SMALL_STATE(13053)] = 620636,
  [SMALL_STATE(13054)] = 620675,
  [SMALL_STATE(13055)] = 620698,
  [SMALL_STATE(13056)] = 620737,
  [SMALL_STATE(13057)] = 620760,
  [SMALL_STATE(13058)] = 620799,
  [SMALL_STATE(13059)] = 620832,
  [SMALL_STATE(13060)] = 620855,
  [SMALL_STATE(13061)] = 620894,
  [SMALL_STATE(13062)] = 620917,
  [SMALL_STATE(13063)] = 620943,
  [SMALL_STATE(13064)] = 620973,
  [SMALL_STATE(13065)] = 621003,
  [SMALL_STATE(13066)] = 621039,
  [SMALL_STATE(13067)] = 621077,
  [SMALL_STATE(13068)] = 621107,
  [SMALL_STATE(13069)] = 621145,
  [SMALL_STATE(13070)] = 621181,
  [SMALL_STATE(13071)] = 621219,
  [SMALL_STATE(13072)] = 621249,
  [SMALL_STATE(13073)] = 621279,
  [SMALL_STATE(13074)] = 621301,
  [SMALL_STATE(13075)] = 621331,
  [SMALL_STATE(13076)] = 621369,
  [SMALL_STATE(13077)] = 621391,
  [SMALL_STATE(13078)] = 621415,
  [SMALL_STATE(13079)] = 621453,
  [SMALL_STATE(13080)] = 621483,
  [SMALL_STATE(13081)] = 621513,
  [SMALL_STATE(13082)] = 621547,
  [SMALL_STATE(13083)] = 621569,
  [SMALL_STATE(13084)] = 621607,
  [SMALL_STATE(13085)] = 621645,
  [SMALL_STATE(13086)] = 621675,
  [SMALL_STATE(13087)] = 621713,
  [SMALL_STATE(13088)] = 621747,
  [SMALL_STATE(13089)] = 621785,
  [SMALL_STATE(13090)] = 621809,
  [SMALL_STATE(13091)] = 621833,
  [SMALL_STATE(13092)] = 621863,
  [SMALL_STATE(13093)] = 621901,
  [SMALL_STATE(13094)] = 621925,
  [SMALL_STATE(13095)] = 621949,
  [SMALL_STATE(13096)] = 621985,
  [SMALL_STATE(13097)] = 622023,
  [SMALL_STATE(13098)] = 622053,
  [SMALL_STATE(13099)] = 622091,
  [SMALL_STATE(13100)] = 622125,
  [SMALL_STATE(13101)] = 622153,
  [SMALL_STATE(13102)] = 622175,
  [SMALL_STATE(13103)] = 622209,
  [SMALL_STATE(13104)] = 622239,
  [SMALL_STATE(13105)] = 622263,
  [SMALL_STATE(13106)] = 622301,
  [SMALL_STATE(13107)] = 622339,
  [SMALL_STATE(13108)] = 622369,
  [SMALL_STATE(13109)] = 622393,
  [SMALL_STATE(13110)] = 622417,
  [SMALL_STATE(13111)] = 622447,
  [SMALL_STATE(13112)] = 622471,
  [SMALL_STATE(13113)] = 622495,
  [SMALL_STATE(13114)] = 622533,
  [SMALL_STATE(13115)] = 622567,
  [SMALL_STATE(13116)] = 622603,
  [SMALL_STATE(13117)] = 622633,
  [SMALL_STATE(13118)] = 622667,
  [SMALL_STATE(13119)] = 622697,
  [SMALL_STATE(13120)] = 622721,
  [SMALL_STATE(13121)] = 622751,
  [SMALL_STATE(13122)] = 622785,
  [SMALL_STATE(13123)] = 622823,
  [SMALL_STATE(13124)] = 622861,
  [SMALL_STATE(13125)] = 622895,
  [SMALL_STATE(13126)] = 622929,
  [SMALL_STATE(13127)] = 622965,
  [SMALL_STATE(13128)] = 622995,
  [SMALL_STATE(13129)] = 623033,
  [SMALL_STATE(13130)] = 623063,
  [SMALL_STATE(13131)] = 623093,
  [SMALL_STATE(13132)] = 623119,
  [SMALL_STATE(13133)] = 623143,
  [SMALL_STATE(13134)] = 623167,
  [SMALL_STATE(13135)] = 623197,
  [SMALL_STATE(13136)] = 623227,
  [SMALL_STATE(13137)] = 623251,
  [SMALL_STATE(13138)] = 623275,
  [SMALL_STATE(13139)] = 623299,
  [SMALL_STATE(13140)] = 623329,
  [SMALL_STATE(13141)] = 623359,
  [SMALL_STATE(13142)] = 623393,
  [SMALL_STATE(13143)] = 623427,
  [SMALL_STATE(13144)] = 623451,
  [SMALL_STATE(13145)] = 623489,
  [SMALL_STATE(13146)] = 623513,
  [SMALL_STATE(13147)] = 623543,
  [SMALL_STATE(13148)] = 623581,
  [SMALL_STATE(13149)] = 623617,
  [SMALL_STATE(13150)] = 623647,
  [SMALL_STATE(13151)] = 623677,
  [SMALL_STATE(13152)] = 623707,
  [SMALL_STATE(13153)] = 623745,
  [SMALL_STATE(13154)] = 623783,
  [SMALL_STATE(13155)] = 623821,
  [SMALL_STATE(13156)] = 623855,
  [SMALL_STATE(13157)] = 623891,
  [SMALL_STATE(13158)] = 623921,
  [SMALL_STATE(13159)] = 623945,
  [SMALL_STATE(13160)] = 623981,
  [SMALL_STATE(13161)] = 624019,
  [SMALL_STATE(13162)] = 624057,
  [SMALL_STATE(13163)] = 624087,
  [SMALL_STATE(13164)] = 624111,
  [SMALL_STATE(13165)] = 624141,
  [SMALL_STATE(13166)] = 624171,
  [SMALL_STATE(13167)] = 624207,
  [SMALL_STATE(13168)] = 624237,
  [SMALL_STATE(13169)] = 624275,
  [SMALL_STATE(13170)] = 624305,
  [SMALL_STATE(13171)] = 624343,
  [SMALL_STATE(13172)] = 624365,
  [SMALL_STATE(13173)] = 624403,
  [SMALL_STATE(13174)] = 624433,
  [SMALL_STATE(13175)] = 624457,
  [SMALL_STATE(13176)] = 624481,
  [SMALL_STATE(13177)] = 624511,
  [SMALL_STATE(13178)] = 624535,
  [SMALL_STATE(13179)] = 624569,
  [SMALL_STATE(13180)] = 624607,
  [SMALL_STATE(13181)] = 624637,
  [SMALL_STATE(13182)] = 624661,
  [SMALL_STATE(13183)] = 624691,
  [SMALL_STATE(13184)] = 624721,
  [SMALL_STATE(13185)] = 624747,
  [SMALL_STATE(13186)] = 624781,
  [SMALL_STATE(13187)] = 624811,
  [SMALL_STATE(13188)] = 624847,
  [SMALL_STATE(13189)] = 624877,
  [SMALL_STATE(13190)] = 624901,
  [SMALL_STATE(13191)] = 624939,
  [SMALL_STATE(13192)] = 624977,
  [SMALL_STATE(13193)] = 625007,
  [SMALL_STATE(13194)] = 625031,
  [SMALL_STATE(13195)] = 625055,
  [SMALL_STATE(13196)] = 625079,
  [SMALL_STATE(13197)] = 625109,
  [SMALL_STATE(13198)] = 625143,
  [SMALL_STATE(13199)] = 625173,
  [SMALL_STATE(13200)] = 625209,
  [SMALL_STATE(13201)] = 625239,
  [SMALL_STATE(13202)] = 625277,
  [SMALL_STATE(13203)] = 625307,
  [SMALL_STATE(13204)] = 625341,
  [SMALL_STATE(13205)] = 625367,
  [SMALL_STATE(13206)] = 625401,
  [SMALL_STATE(13207)] = 625425,
  [SMALL_STATE(13208)] = 625449,
  [SMALL_STATE(13209)] = 625487,
  [SMALL_STATE(13210)] = 625521,
  [SMALL_STATE(13211)] = 625543,
  [SMALL_STATE(13212)] = 625573,
  [SMALL_STATE(13213)] = 625611,
  [SMALL_STATE(13214)] = 625633,
  [SMALL_STATE(13215)] = 625657,
  [SMALL_STATE(13216)] = 625695,
  [SMALL_STATE(13217)] = 625733,
  [SMALL_STATE(13218)] = 625755,
  [SMALL_STATE(13219)] = 625793,
  [SMALL_STATE(13220)] = 625831,
  [SMALL_STATE(13221)] = 625861,
  [SMALL_STATE(13222)] = 625891,
  [SMALL_STATE(13223)] = 625921,
  [SMALL_STATE(13224)] = 625959,
  [SMALL_STATE(13225)] = 625981,
  [SMALL_STATE(13226)] = 626017,
  [SMALL_STATE(13227)] = 626047,
  [SMALL_STATE(13228)] = 626085,
  [SMALL_STATE(13229)] = 626107,
  [SMALL_STATE(13230)] = 626137,
  [SMALL_STATE(13231)] = 626167,
  [SMALL_STATE(13232)] = 626197,
  [SMALL_STATE(13233)] = 626231,
  [SMALL_STATE(13234)] = 626269,
  [SMALL_STATE(13235)] = 626299,
  [SMALL_STATE(13236)] = 626337,
  [SMALL_STATE(13237)] = 626373,
  [SMALL_STATE(13238)] = 626411,
  [SMALL_STATE(13239)] = 626437,
  [SMALL_STATE(13240)] = 626467,
  [SMALL_STATE(13241)] = 626497,
  [SMALL_STATE(13242)] = 626535,
  [SMALL_STATE(13243)] = 626570,
  [SMALL_STATE(13244)] = 626603,
  [SMALL_STATE(13245)] = 626636,
  [SMALL_STATE(13246)] = 626671,
  [SMALL_STATE(13247)] = 626692,
  [SMALL_STATE(13248)] = 626713,
  [SMALL_STATE(13249)] = 626748,
  [SMALL_STATE(13250)] = 626781,
  [SMALL_STATE(13251)] = 626816,
  [SMALL_STATE(13252)] = 626849,
  [SMALL_STATE(13253)] = 626882,
  [SMALL_STATE(13254)] = 626917,
  [SMALL_STATE(13255)] = 626952,
  [SMALL_STATE(13256)] = 626985,
  [SMALL_STATE(13257)] = 627012,
  [SMALL_STATE(13258)] = 627045,
  [SMALL_STATE(13259)] = 627080,
  [SMALL_STATE(13260)] = 627113,
  [SMALL_STATE(13261)] = 627136,
  [SMALL_STATE(13262)] = 627171,
  [SMALL_STATE(13263)] = 627204,
  [SMALL_STATE(13264)] = 627237,
  [SMALL_STATE(13265)] = 627272,
  [SMALL_STATE(13266)] = 627299,
  [SMALL_STATE(13267)] = 627324,
  [SMALL_STATE(13268)] = 627349,
  [SMALL_STATE(13269)] = 627372,
  [SMALL_STATE(13270)] = 627407,
  [SMALL_STATE(13271)] = 627440,
  [SMALL_STATE(13272)] = 627475,
  [SMALL_STATE(13273)] = 627500,
  [SMALL_STATE(13274)] = 627533,
  [SMALL_STATE(13275)] = 627568,
  [SMALL_STATE(13276)] = 627601,
  [SMALL_STATE(13277)] = 627634,
  [SMALL_STATE(13278)] = 627669,
  [SMALL_STATE(13279)] = 627704,
  [SMALL_STATE(13280)] = 627737,
  [SMALL_STATE(13281)] = 627770,
  [SMALL_STATE(13282)] = 627805,
  [SMALL_STATE(13283)] = 627830,
  [SMALL_STATE(13284)] = 627855,
  [SMALL_STATE(13285)] = 627888,
  [SMALL_STATE(13286)] = 627923,
  [SMALL_STATE(13287)] = 627958,
  [SMALL_STATE(13288)] = 627991,
  [SMALL_STATE(13289)] = 628024,
  [SMALL_STATE(13290)] = 628059,
  [SMALL_STATE(13291)] = 628092,
  [SMALL_STATE(13292)] = 628119,
  [SMALL_STATE(13293)] = 628154,
  [SMALL_STATE(13294)] = 628181,
  [SMALL_STATE(13295)] = 628216,
  [SMALL_STATE(13296)] = 628251,
  [SMALL_STATE(13297)] = 628286,
  [SMALL_STATE(13298)] = 628307,
  [SMALL_STATE(13299)] = 628340,
  [SMALL_STATE(13300)] = 628373,
  [SMALL_STATE(13301)] = 628408,
  [SMALL_STATE(13302)] = 628431,
  [SMALL_STATE(13303)] = 628464,
  [SMALL_STATE(13304)] = 628499,
  [SMALL_STATE(13305)] = 628534,
  [SMALL_STATE(13306)] = 628567,
  [SMALL_STATE(13307)] = 628600,
  [SMALL_STATE(13308)] = 628627,
  [SMALL_STATE(13309)] = 628652,
  [SMALL_STATE(13310)] = 628685,
  [SMALL_STATE(13311)] = 628720,
  [SMALL_STATE(13312)] = 628753,
  [SMALL_STATE(13313)] = 628776,
  [SMALL_STATE(13314)] = 628809,
  [SMALL_STATE(13315)] = 628844,
  [SMALL_STATE(13316)] = 628879,
  [SMALL_STATE(13317)] = 628911,
  [SMALL_STATE(13318)] = 628943,
  [SMALL_STATE(13319)] = 628973,
  [SMALL_STATE(13320)] = 629005,
  [SMALL_STATE(13321)] = 629035,
  [SMALL_STATE(13322)] = 629065,
  [SMALL_STATE(13323)] = 629087,
  [SMALL_STATE(13324)] = 629111,
  [SMALL_STATE(13325)] = 629135,
  [SMALL_STATE(13326)] = 629157,
  [SMALL_STATE(13327)] = 629189,
  [SMALL_STATE(13328)] = 629221,
  [SMALL_STATE(13329)] = 629243,
  [SMALL_STATE(13330)] = 629265,
  [SMALL_STATE(13331)] = 629297,
  [SMALL_STATE(13332)] = 629329,
  [SMALL_STATE(13333)] = 629361,
  [SMALL_STATE(13334)] = 629383,
  [SMALL_STATE(13335)] = 629415,
  [SMALL_STATE(13336)] = 629447,
  [SMALL_STATE(13337)] = 629479,
  [SMALL_STATE(13338)] = 629511,
  [SMALL_STATE(13339)] = 629533,
  [SMALL_STATE(13340)] = 629565,
  [SMALL_STATE(13341)] = 629597,
  [SMALL_STATE(13342)] = 629625,
  [SMALL_STATE(13343)] = 629647,
  [SMALL_STATE(13344)] = 629671,
  [SMALL_STATE(13345)] = 629703,
  [SMALL_STATE(13346)] = 629735,
  [SMALL_STATE(13347)] = 629767,
  [SMALL_STATE(13348)] = 629799,
  [SMALL_STATE(13349)] = 629831,
  [SMALL_STATE(13350)] = 629863,
  [SMALL_STATE(13351)] = 629885,
  [SMALL_STATE(13352)] = 629907,
  [SMALL_STATE(13353)] = 629939,
  [SMALL_STATE(13354)] = 629961,
  [SMALL_STATE(13355)] = 629993,
  [SMALL_STATE(13356)] = 630025,
  [SMALL_STATE(13357)] = 630057,
  [SMALL_STATE(13358)] = 630089,
  [SMALL_STATE(13359)] = 630121,
  [SMALL_STATE(13360)] = 630143,
  [SMALL_STATE(13361)] = 630165,
  [SMALL_STATE(13362)] = 630197,
  [SMALL_STATE(13363)] = 630229,
  [SMALL_STATE(13364)] = 630261,
  [SMALL_STATE(13365)] = 630293,
  [SMALL_STATE(13366)] = 630323,
  [SMALL_STATE(13367)] = 630355,
  [SMALL_STATE(13368)] = 630377,
  [SMALL_STATE(13369)] = 630409,
  [SMALL_STATE(13370)] = 630441,
  [SMALL_STATE(13371)] = 630471,
  [SMALL_STATE(13372)] = 630503,
  [SMALL_STATE(13373)] = 630525,
  [SMALL_STATE(13374)] = 630557,
  [SMALL_STATE(13375)] = 630589,
  [SMALL_STATE(13376)] = 630621,
  [SMALL_STATE(13377)] = 630643,
  [SMALL_STATE(13378)] = 630675,
  [SMALL_STATE(13379)] = 630707,
  [SMALL_STATE(13380)] = 630731,
  [SMALL_STATE(13381)] = 630763,
  [SMALL_STATE(13382)] = 630795,
  [SMALL_STATE(13383)] = 630827,
  [SMALL_STATE(13384)] = 630859,
  [SMALL_STATE(13385)] = 630891,
  [SMALL_STATE(13386)] = 630913,
  [SMALL_STATE(13387)] = 630945,
  [SMALL_STATE(13388)] = 630977,
  [SMALL_STATE(13389)] = 631009,
  [SMALL_STATE(13390)] = 631041,
  [SMALL_STATE(13391)] = 631073,
  [SMALL_STATE(13392)] = 631105,
  [SMALL_STATE(13393)] = 631127,
  [SMALL_STATE(13394)] = 631159,
  [SMALL_STATE(13395)] = 631191,
  [SMALL_STATE(13396)] = 631223,
  [SMALL_STATE(13397)] = 631255,
  [SMALL_STATE(13398)] = 631287,
  [SMALL_STATE(13399)] = 631309,
  [SMALL_STATE(13400)] = 631341,
  [SMALL_STATE(13401)] = 631373,
  [SMALL_STATE(13402)] = 631403,
  [SMALL_STATE(13403)] = 631425,
  [SMALL_STATE(13404)] = 631457,
  [SMALL_STATE(13405)] = 631479,
  [SMALL_STATE(13406)] = 631501,
  [SMALL_STATE(13407)] = 631533,
  [SMALL_STATE(13408)] = 631555,
  [SMALL_STATE(13409)] = 631587,
  [SMALL_STATE(13410)] = 631619,
  [SMALL_STATE(13411)] = 631641,
  [SMALL_STATE(13412)] = 631673,
  [SMALL_STATE(13413)] = 631705,
  [SMALL_STATE(13414)] = 631737,
  [SMALL_STATE(13415)] = 631769,
  [SMALL_STATE(13416)] = 631801,
  [SMALL_STATE(13417)] = 631833,
  [SMALL_STATE(13418)] = 631865,
  [SMALL_STATE(13419)] = 631897,
  [SMALL_STATE(13420)] = 631929,
  [SMALL_STATE(13421)] = 631951,
  [SMALL_STATE(13422)] = 631983,
  [SMALL_STATE(13423)] = 632005,
  [SMALL_STATE(13424)] = 632037,
  [SMALL_STATE(13425)] = 632069,
  [SMALL_STATE(13426)] = 632101,
  [SMALL_STATE(13427)] = 632133,
  [SMALL_STATE(13428)] = 632165,
  [SMALL_STATE(13429)] = 632197,
  [SMALL_STATE(13430)] = 632229,
  [SMALL_STATE(13431)] = 632259,
  [SMALL_STATE(13432)] = 632291,
  [SMALL_STATE(13433)] = 632323,
  [SMALL_STATE(13434)] = 632355,
  [SMALL_STATE(13435)] = 632387,
  [SMALL_STATE(13436)] = 632419,
  [SMALL_STATE(13437)] = 632451,
  [SMALL_STATE(13438)] = 632473,
  [SMALL_STATE(13439)] = 632505,
  [SMALL_STATE(13440)] = 632537,
  [SMALL_STATE(13441)] = 632569,
  [SMALL_STATE(13442)] = 632601,
  [SMALL_STATE(13443)] = 632631,
  [SMALL_STATE(13444)] = 632653,
  [SMALL_STATE(13445)] = 632685,
  [SMALL_STATE(13446)] = 632717,
  [SMALL_STATE(13447)] = 632747,
  [SMALL_STATE(13448)] = 632779,
  [SMALL_STATE(13449)] = 632811,
  [SMALL_STATE(13450)] = 632843,
  [SMALL_STATE(13451)] = 632865,
  [SMALL_STATE(13452)] = 632893,
  [SMALL_STATE(13453)] = 632925,
  [SMALL_STATE(13454)] = 632947,
  [SMALL_STATE(13455)] = 632969,
  [SMALL_STATE(13456)] = 632991,
  [SMALL_STATE(13457)] = 633013,
  [SMALL_STATE(13458)] = 633045,
  [SMALL_STATE(13459)] = 633077,
  [SMALL_STATE(13460)] = 633109,
  [SMALL_STATE(13461)] = 633131,
  [SMALL_STATE(13462)] = 633153,
  [SMALL_STATE(13463)] = 633175,
  [SMALL_STATE(13464)] = 633207,
  [SMALL_STATE(13465)] = 633231,
  [SMALL_STATE(13466)] = 633263,
  [SMALL_STATE(13467)] = 633295,
  [SMALL_STATE(13468)] = 633327,
  [SMALL_STATE(13469)] = 633359,
  [SMALL_STATE(13470)] = 633391,
  [SMALL_STATE(13471)] = 633415,
  [SMALL_STATE(13472)] = 633447,
  [SMALL_STATE(13473)] = 633479,
  [SMALL_STATE(13474)] = 633511,
  [SMALL_STATE(13475)] = 633543,
  [SMALL_STATE(13476)] = 633567,
  [SMALL_STATE(13477)] = 633589,
  [SMALL_STATE(13478)] = 633621,
  [SMALL_STATE(13479)] = 633645,
  [SMALL_STATE(13480)] = 633677,
  [SMALL_STATE(13481)] = 633709,
  [SMALL_STATE(13482)] = 633733,
  [SMALL_STATE(13483)] = 633753,
  [SMALL_STATE(13484)] = 633775,
  [SMALL_STATE(13485)] = 633807,
  [SMALL_STATE(13486)] = 633839,
  [SMALL_STATE(13487)] = 633863,
  [SMALL_STATE(13488)] = 633895,
  [SMALL_STATE(13489)] = 633927,
  [SMALL_STATE(13490)] = 633953,
  [SMALL_STATE(13491)] = 633983,
  [SMALL_STATE(13492)] = 634015,
  [SMALL_STATE(13493)] = 634047,
  [SMALL_STATE(13494)] = 634079,
  [SMALL_STATE(13495)] = 634101,
  [SMALL_STATE(13496)] = 634133,
  [SMALL_STATE(13497)] = 634165,
  [SMALL_STATE(13498)] = 634197,
  [SMALL_STATE(13499)] = 634229,
  [SMALL_STATE(13500)] = 634261,
  [SMALL_STATE(13501)] = 634293,
  [SMALL_STATE(13502)] = 634323,
  [SMALL_STATE(13503)] = 634355,
  [SMALL_STATE(13504)] = 634387,
  [SMALL_STATE(13505)] = 634417,
  [SMALL_STATE(13506)] = 634449,
  [SMALL_STATE(13507)] = 634481,
  [SMALL_STATE(13508)] = 634509,
  [SMALL_STATE(13509)] = 634541,
  [SMALL_STATE(13510)] = 634565,
  [SMALL_STATE(13511)] = 634597,
  [SMALL_STATE(13512)] = 634619,
  [SMALL_STATE(13513)] = 634651,
  [SMALL_STATE(13514)] = 634681,
  [SMALL_STATE(13515)] = 634701,
  [SMALL_STATE(13516)] = 634731,
  [SMALL_STATE(13517)] = 634763,
  [SMALL_STATE(13518)] = 634795,
  [SMALL_STATE(13519)] = 634817,
  [SMALL_STATE(13520)] = 634849,
  [SMALL_STATE(13521)] = 634881,
  [SMALL_STATE(13522)] = 634913,
  [SMALL_STATE(13523)] = 634935,
  [SMALL_STATE(13524)] = 634967,
  [SMALL_STATE(13525)] = 634997,
  [SMALL_STATE(13526)] = 635021,
  [SMALL_STATE(13527)] = 635053,
  [SMALL_STATE(13528)] = 635085,
  [SMALL_STATE(13529)] = 635117,
  [SMALL_STATE(13530)] = 635149,
  [SMALL_STATE(13531)] = 635169,
  [SMALL_STATE(13532)] = 635193,
  [SMALL_STATE(13533)] = 635225,
  [SMALL_STATE(13534)] = 635247,
  [SMALL_STATE(13535)] = 635279,
  [SMALL_STATE(13536)] = 635311,
  [SMALL_STATE(13537)] = 635343,
  [SMALL_STATE(13538)] = 635371,
  [SMALL_STATE(13539)] = 635401,
  [SMALL_STATE(13540)] = 635425,
  [SMALL_STATE(13541)] = 635457,
  [SMALL_STATE(13542)] = 635487,
  [SMALL_STATE(13543)] = 635519,
  [SMALL_STATE(13544)] = 635551,
  [SMALL_STATE(13545)] = 635583,
  [SMALL_STATE(13546)] = 635607,
  [SMALL_STATE(13547)] = 635639,
  [SMALL_STATE(13548)] = 635669,
  [SMALL_STATE(13549)] = 635701,
  [SMALL_STATE(13550)] = 635731,
  [SMALL_STATE(13551)] = 635763,
  [SMALL_STATE(13552)] = 635783,
  [SMALL_STATE(13553)] = 635815,
  [SMALL_STATE(13554)] = 635847,
  [SMALL_STATE(13555)] = 635875,
  [SMALL_STATE(13556)] = 635907,
  [SMALL_STATE(13557)] = 635939,
  [SMALL_STATE(13558)] = 635971,
  [SMALL_STATE(13559)] = 636003,
  [SMALL_STATE(13560)] = 636035,
  [SMALL_STATE(13561)] = 636067,
  [SMALL_STATE(13562)] = 636099,
  [SMALL_STATE(13563)] = 636129,
  [SMALL_STATE(13564)] = 636161,
  [SMALL_STATE(13565)] = 636193,
  [SMALL_STATE(13566)] = 636225,
  [SMALL_STATE(13567)] = 636257,
  [SMALL_STATE(13568)] = 636289,
  [SMALL_STATE(13569)] = 636321,
  [SMALL_STATE(13570)] = 636341,
  [SMALL_STATE(13571)] = 636373,
  [SMALL_STATE(13572)] = 636405,
  [SMALL_STATE(13573)] = 636429,
  [SMALL_STATE(13574)] = 636449,
  [SMALL_STATE(13575)] = 636481,
  [SMALL_STATE(13576)] = 636501,
  [SMALL_STATE(13577)] = 636533,
  [SMALL_STATE(13578)] = 636565,
  [SMALL_STATE(13579)] = 636597,
  [SMALL_STATE(13580)] = 636629,
  [SMALL_STATE(13581)] = 636661,
  [SMALL_STATE(13582)] = 636693,
  [SMALL_STATE(13583)] = 636725,
  [SMALL_STATE(13584)] = 636757,
  [SMALL_STATE(13585)] = 636789,
  [SMALL_STATE(13586)] = 636813,
  [SMALL_STATE(13587)] = 636845,
  [SMALL_STATE(13588)] = 636877,
  [SMALL_STATE(13589)] = 636909,
  [SMALL_STATE(13590)] = 636941,
  [SMALL_STATE(13591)] = 636973,
  [SMALL_STATE(13592)] = 637001,
  [SMALL_STATE(13593)] = 637031,
  [SMALL_STATE(13594)] = 637061,
  [SMALL_STATE(13595)] = 637093,
  [SMALL_STATE(13596)] = 637125,
  [SMALL_STATE(13597)] = 637155,
  [SMALL_STATE(13598)] = 637187,
  [SMALL_STATE(13599)] = 637219,
  [SMALL_STATE(13600)] = 637251,
  [SMALL_STATE(13601)] = 637283,
  [SMALL_STATE(13602)] = 637315,
  [SMALL_STATE(13603)] = 637347,
  [SMALL_STATE(13604)] = 637379,
  [SMALL_STATE(13605)] = 637409,
  [SMALL_STATE(13606)] = 637441,
  [SMALL_STATE(13607)] = 637461,
  [SMALL_STATE(13608)] = 637493,
  [SMALL_STATE(13609)] = 637525,
  [SMALL_STATE(13610)] = 637557,
  [SMALL_STATE(13611)] = 637589,
  [SMALL_STATE(13612)] = 637609,
  [SMALL_STATE(13613)] = 637633,
  [SMALL_STATE(13614)] = 637655,
  [SMALL_STATE(13615)] = 637685,
  [SMALL_STATE(13616)] = 637717,
  [SMALL_STATE(13617)] = 637749,
  [SMALL_STATE(13618)] = 637781,
  [SMALL_STATE(13619)] = 637805,
  [SMALL_STATE(13620)] = 637837,
  [SMALL_STATE(13621)] = 637869,
  [SMALL_STATE(13622)] = 637901,
  [SMALL_STATE(13623)] = 637933,
  [SMALL_STATE(13624)] = 637965,
  [SMALL_STATE(13625)] = 637995,
  [SMALL_STATE(13626)] = 638027,
  [SMALL_STATE(13627)] = 638059,
  [SMALL_STATE(13628)] = 638091,
  [SMALL_STATE(13629)] = 638123,
  [SMALL_STATE(13630)] = 638155,
  [SMALL_STATE(13631)] = 638187,
  [SMALL_STATE(13632)] = 638219,
  [SMALL_STATE(13633)] = 638239,
  [SMALL_STATE(13634)] = 638261,
  [SMALL_STATE(13635)] = 638291,
  [SMALL_STATE(13636)] = 638321,
  [SMALL_STATE(13637)] = 638343,
  [SMALL_STATE(13638)] = 638375,
  [SMALL_STATE(13639)] = 638405,
  [SMALL_STATE(13640)] = 638437,
  [SMALL_STATE(13641)] = 638467,
  [SMALL_STATE(13642)] = 638499,
  [SMALL_STATE(13643)] = 638531,
  [SMALL_STATE(13644)] = 638563,
  [SMALL_STATE(13645)] = 638595,
  [SMALL_STATE(13646)] = 638627,
  [SMALL_STATE(13647)] = 638659,
  [SMALL_STATE(13648)] = 638681,
  [SMALL_STATE(13649)] = 638711,
  [SMALL_STATE(13650)] = 638733,
  [SMALL_STATE(13651)] = 638765,
  [SMALL_STATE(13652)] = 638787,
  [SMALL_STATE(13653)] = 638816,
  [SMALL_STATE(13654)] = 638837,
  [SMALL_STATE(13655)] = 638866,
  [SMALL_STATE(13656)] = 638895,
  [SMALL_STATE(13657)] = 638924,
  [SMALL_STATE(13658)] = 638953,
  [SMALL_STATE(13659)] = 638982,
  [SMALL_STATE(13660)] = 639011,
  [SMALL_STATE(13661)] = 639040,
  [SMALL_STATE(13662)] = 639069,
  [SMALL_STATE(13663)] = 639098,
  [SMALL_STATE(13664)] = 639127,
  [SMALL_STATE(13665)] = 639156,
  [SMALL_STATE(13666)] = 639185,
  [SMALL_STATE(13667)] = 639214,
  [SMALL_STATE(13668)] = 639243,
  [SMALL_STATE(13669)] = 639272,
  [SMALL_STATE(13670)] = 639299,
  [SMALL_STATE(13671)] = 639328,
  [SMALL_STATE(13672)] = 639357,
  [SMALL_STATE(13673)] = 639386,
  [SMALL_STATE(13674)] = 639415,
  [SMALL_STATE(13675)] = 639444,
  [SMALL_STATE(13676)] = 639473,
  [SMALL_STATE(13677)] = 639502,
  [SMALL_STATE(13678)] = 639531,
  [SMALL_STATE(13679)] = 639560,
  [SMALL_STATE(13680)] = 639589,
  [SMALL_STATE(13681)] = 639616,
  [SMALL_STATE(13682)] = 639645,
  [SMALL_STATE(13683)] = 639674,
  [SMALL_STATE(13684)] = 639703,
  [SMALL_STATE(13685)] = 639732,
  [SMALL_STATE(13686)] = 639761,
  [SMALL_STATE(13687)] = 639790,
  [SMALL_STATE(13688)] = 639819,
  [SMALL_STATE(13689)] = 639848,
  [SMALL_STATE(13690)] = 639877,
  [SMALL_STATE(13691)] = 639904,
  [SMALL_STATE(13692)] = 639933,
  [SMALL_STATE(13693)] = 639962,
  [SMALL_STATE(13694)] = 639991,
  [SMALL_STATE(13695)] = 640020,
  [SMALL_STATE(13696)] = 640049,
  [SMALL_STATE(13697)] = 640078,
  [SMALL_STATE(13698)] = 640107,
  [SMALL_STATE(13699)] = 640136,
  [SMALL_STATE(13700)] = 640165,
  [SMALL_STATE(13701)] = 640192,
  [SMALL_STATE(13702)] = 640219,
  [SMALL_STATE(13703)] = 640248,
  [SMALL_STATE(13704)] = 640277,
  [SMALL_STATE(13705)] = 640306,
  [SMALL_STATE(13706)] = 640335,
  [SMALL_STATE(13707)] = 640364,
  [SMALL_STATE(13708)] = 640393,
  [SMALL_STATE(13709)] = 640422,
  [SMALL_STATE(13710)] = 640451,
  [SMALL_STATE(13711)] = 640480,
  [SMALL_STATE(13712)] = 640509,
  [SMALL_STATE(13713)] = 640538,
  [SMALL_STATE(13714)] = 640567,
  [SMALL_STATE(13715)] = 640596,
  [SMALL_STATE(13716)] = 640625,
  [SMALL_STATE(13717)] = 640654,
  [SMALL_STATE(13718)] = 640683,
  [SMALL_STATE(13719)] = 640712,
  [SMALL_STATE(13720)] = 640741,
  [SMALL_STATE(13721)] = 640768,
  [SMALL_STATE(13722)] = 640797,
  [SMALL_STATE(13723)] = 640826,
  [SMALL_STATE(13724)] = 640855,
  [SMALL_STATE(13725)] = 640884,
  [SMALL_STATE(13726)] = 640913,
  [SMALL_STATE(13727)] = 640942,
  [SMALL_STATE(13728)] = 640971,
  [SMALL_STATE(13729)] = 641000,
  [SMALL_STATE(13730)] = 641029,
  [SMALL_STATE(13731)] = 641058,
  [SMALL_STATE(13732)] = 641087,
  [SMALL_STATE(13733)] = 641116,
  [SMALL_STATE(13734)] = 641145,
  [SMALL_STATE(13735)] = 641174,
  [SMALL_STATE(13736)] = 641203,
  [SMALL_STATE(13737)] = 641232,
  [SMALL_STATE(13738)] = 641261,
  [SMALL_STATE(13739)] = 641290,
  [SMALL_STATE(13740)] = 641319,
  [SMALL_STATE(13741)] = 641348,
  [SMALL_STATE(13742)] = 641377,
  [SMALL_STATE(13743)] = 641406,
  [SMALL_STATE(13744)] = 641435,
  [SMALL_STATE(13745)] = 641464,
  [SMALL_STATE(13746)] = 641493,
  [SMALL_STATE(13747)] = 641522,
  [SMALL_STATE(13748)] = 641551,
  [SMALL_STATE(13749)] = 641580,
  [SMALL_STATE(13750)] = 641609,
  [SMALL_STATE(13751)] = 641630,
  [SMALL_STATE(13752)] = 641651,
  [SMALL_STATE(13753)] = 641680,
  [SMALL_STATE(13754)] = 641709,
  [SMALL_STATE(13755)] = 641738,
  [SMALL_STATE(13756)] = 641767,
  [SMALL_STATE(13757)] = 641796,
  [SMALL_STATE(13758)] = 641817,
  [SMALL_STATE(13759)] = 641846,
  [SMALL_STATE(13760)] = 641875,
  [SMALL_STATE(13761)] = 641904,
  [SMALL_STATE(13762)] = 641925,
  [SMALL_STATE(13763)] = 641954,
  [SMALL_STATE(13764)] = 641975,
  [SMALL_STATE(13765)] = 641996,
  [SMALL_STATE(13766)] = 642025,
  [SMALL_STATE(13767)] = 642054,
  [SMALL_STATE(13768)] = 642075,
  [SMALL_STATE(13769)] = 642104,
  [SMALL_STATE(13770)] = 642133,
  [SMALL_STATE(13771)] = 642154,
  [SMALL_STATE(13772)] = 642183,
  [SMALL_STATE(13773)] = 642212,
  [SMALL_STATE(13774)] = 642241,
  [SMALL_STATE(13775)] = 642270,
  [SMALL_STATE(13776)] = 642291,
  [SMALL_STATE(13777)] = 642320,
  [SMALL_STATE(13778)] = 642349,
  [SMALL_STATE(13779)] = 642378,
  [SMALL_STATE(13780)] = 642407,
  [SMALL_STATE(13781)] = 642428,
  [SMALL_STATE(13782)] = 642449,
  [SMALL_STATE(13783)] = 642478,
  [SMALL_STATE(13784)] = 642507,
  [SMALL_STATE(13785)] = 642536,
  [SMALL_STATE(13786)] = 642557,
  [SMALL_STATE(13787)] = 642586,
  [SMALL_STATE(13788)] = 642607,
  [SMALL_STATE(13789)] = 642636,
  [SMALL_STATE(13790)] = 642665,
  [SMALL_STATE(13791)] = 642694,
  [SMALL_STATE(13792)] = 642723,
  [SMALL_STATE(13793)] = 642744,
  [SMALL_STATE(13794)] = 642767,
  [SMALL_STATE(13795)] = 642796,
  [SMALL_STATE(13796)] = 642825,
  [SMALL_STATE(13797)] = 642846,
  [SMALL_STATE(13798)] = 642875,
  [SMALL_STATE(13799)] = 642896,
  [SMALL_STATE(13800)] = 642925,
  [SMALL_STATE(13801)] = 642954,
  [SMALL_STATE(13802)] = 642983,
  [SMALL_STATE(13803)] = 643012,
  [SMALL_STATE(13804)] = 643041,
  [SMALL_STATE(13805)] = 643070,
  [SMALL_STATE(13806)] = 643099,
  [SMALL_STATE(13807)] = 643124,
  [SMALL_STATE(13808)] = 643145,
  [SMALL_STATE(13809)] = 643174,
  [SMALL_STATE(13810)] = 643203,
  [SMALL_STATE(13811)] = 643224,
  [SMALL_STATE(13812)] = 643253,
  [SMALL_STATE(13813)] = 643282,
  [SMALL_STATE(13814)] = 643311,
  [SMALL_STATE(13815)] = 643332,
  [SMALL_STATE(13816)] = 643361,
  [SMALL_STATE(13817)] = 643390,
  [SMALL_STATE(13818)] = 643419,
  [SMALL_STATE(13819)] = 643448,
  [SMALL_STATE(13820)] = 643469,
  [SMALL_STATE(13821)] = 643498,
  [SMALL_STATE(13822)] = 643519,
  [SMALL_STATE(13823)] = 643548,
  [SMALL_STATE(13824)] = 643569,
  [SMALL_STATE(13825)] = 643598,
  [SMALL_STATE(13826)] = 643627,
  [SMALL_STATE(13827)] = 643656,
  [SMALL_STATE(13828)] = 643677,
  [SMALL_STATE(13829)] = 643698,
  [SMALL_STATE(13830)] = 643719,
  [SMALL_STATE(13831)] = 643748,
  [SMALL_STATE(13832)] = 643769,
  [SMALL_STATE(13833)] = 643790,
  [SMALL_STATE(13834)] = 643819,
  [SMALL_STATE(13835)] = 643848,
  [SMALL_STATE(13836)] = 643877,
  [SMALL_STATE(13837)] = 643906,
  [SMALL_STATE(13838)] = 643935,
  [SMALL_STATE(13839)] = 643964,
  [SMALL_STATE(13840)] = 643993,
  [SMALL_STATE(13841)] = 644022,
  [SMALL_STATE(13842)] = 644051,
  [SMALL_STATE(13843)] = 644080,
  [SMALL_STATE(13844)] = 644101,
  [SMALL_STATE(13845)] = 644122,
  [SMALL_STATE(13846)] = 644145,
  [SMALL_STATE(13847)] = 644166,
  [SMALL_STATE(13848)] = 644189,
  [SMALL_STATE(13849)] = 644210,
  [SMALL_STATE(13850)] = 644239,
  [SMALL_STATE(13851)] = 644260,
  [SMALL_STATE(13852)] = 644289,
  [SMALL_STATE(13853)] = 644310,
  [SMALL_STATE(13854)] = 644337,
  [SMALL_STATE(13855)] = 644366,
  [SMALL_STATE(13856)] = 644393,
  [SMALL_STATE(13857)] = 644414,
  [SMALL_STATE(13858)] = 644441,
  [SMALL_STATE(13859)] = 644470,
  [SMALL_STATE(13860)] = 644499,
  [SMALL_STATE(13861)] = 644526,
  [SMALL_STATE(13862)] = 644547,
  [SMALL_STATE(13863)] = 644576,
  [SMALL_STATE(13864)] = 644605,
  [SMALL_STATE(13865)] = 644634,
  [SMALL_STATE(13866)] = 644655,
  [SMALL_STATE(13867)] = 644676,
  [SMALL_STATE(13868)] = 644705,
  [SMALL_STATE(13869)] = 644734,
  [SMALL_STATE(13870)] = 644763,
  [SMALL_STATE(13871)] = 644784,
  [SMALL_STATE(13872)] = 644805,
  [SMALL_STATE(13873)] = 644834,
  [SMALL_STATE(13874)] = 644863,
  [SMALL_STATE(13875)] = 644892,
  [SMALL_STATE(13876)] = 644921,
  [SMALL_STATE(13877)] = 644942,
  [SMALL_STATE(13878)] = 644971,
  [SMALL_STATE(13879)] = 644992,
  [SMALL_STATE(13880)] = 645019,
  [SMALL_STATE(13881)] = 645048,
  [SMALL_STATE(13882)] = 645075,
  [SMALL_STATE(13883)] = 645104,
  [SMALL_STATE(13884)] = 645133,
  [SMALL_STATE(13885)] = 645154,
  [SMALL_STATE(13886)] = 645175,
  [SMALL_STATE(13887)] = 645204,
  [SMALL_STATE(13888)] = 645225,
  [SMALL_STATE(13889)] = 645254,
  [SMALL_STATE(13890)] = 645275,
  [SMALL_STATE(13891)] = 645304,
  [SMALL_STATE(13892)] = 645333,
  [SMALL_STATE(13893)] = 645354,
  [SMALL_STATE(13894)] = 645375,
  [SMALL_STATE(13895)] = 645404,
  [SMALL_STATE(13896)] = 645425,
  [SMALL_STATE(13897)] = 645454,
  [SMALL_STATE(13898)] = 645477,
  [SMALL_STATE(13899)] = 645506,
  [SMALL_STATE(13900)] = 645527,
  [SMALL_STATE(13901)] = 645556,
  [SMALL_STATE(13902)] = 645581,
  [SMALL_STATE(13903)] = 645610,
  [SMALL_STATE(13904)] = 645633,
  [SMALL_STATE(13905)] = 645662,
  [SMALL_STATE(13906)] = 645691,
  [SMALL_STATE(13907)] = 645720,
  [SMALL_STATE(13908)] = 645749,
  [SMALL_STATE(13909)] = 645770,
  [SMALL_STATE(13910)] = 645791,
  [SMALL_STATE(13911)] = 645812,
  [SMALL_STATE(13912)] = 645833,
  [SMALL_STATE(13913)] = 645862,
  [SMALL_STATE(13914)] = 645883,
  [SMALL_STATE(13915)] = 645904,
  [SMALL_STATE(13916)] = 645933,
  [SMALL_STATE(13917)] = 645954,
  [SMALL_STATE(13918)] = 645983,
  [SMALL_STATE(13919)] = 646012,
  [SMALL_STATE(13920)] = 646041,
  [SMALL_STATE(13921)] = 646070,
  [SMALL_STATE(13922)] = 646099,
  [SMALL_STATE(13923)] = 646128,
  [SMALL_STATE(13924)] = 646149,
  [SMALL_STATE(13925)] = 646178,
  [SMALL_STATE(13926)] = 646207,
  [SMALL_STATE(13927)] = 646234,
  [SMALL_STATE(13928)] = 646261,
  [SMALL_STATE(13929)] = 646282,
  [SMALL_STATE(13930)] = 646303,
  [SMALL_STATE(13931)] = 646324,
  [SMALL_STATE(13932)] = 646345,
  [SMALL_STATE(13933)] = 646366,
  [SMALL_STATE(13934)] = 646395,
  [SMALL_STATE(13935)] = 646416,
  [SMALL_STATE(13936)] = 646445,
  [SMALL_STATE(13937)] = 646474,
  [SMALL_STATE(13938)] = 646503,
  [SMALL_STATE(13939)] = 646524,
  [SMALL_STATE(13940)] = 646553,
  [SMALL_STATE(13941)] = 646574,
  [SMALL_STATE(13942)] = 646603,
  [SMALL_STATE(13943)] = 646632,
  [SMALL_STATE(13944)] = 646661,
  [SMALL_STATE(13945)] = 646682,
  [SMALL_STATE(13946)] = 646709,
  [SMALL_STATE(13947)] = 646732,
  [SMALL_STATE(13948)] = 646757,
  [SMALL_STATE(13949)] = 646780,
  [SMALL_STATE(13950)] = 646809,
  [SMALL_STATE(13951)] = 646836,
  [SMALL_STATE(13952)] = 646857,
  [SMALL_STATE(13953)] = 646880,
  [SMALL_STATE(13954)] = 646905,
  [SMALL_STATE(13955)] = 646934,
  [SMALL_STATE(13956)] = 646955,
  [SMALL_STATE(13957)] = 646978,
  [SMALL_STATE(13958)] = 646999,
  [SMALL_STATE(13959)] = 647028,
  [SMALL_STATE(13960)] = 647049,
  [SMALL_STATE(13961)] = 647070,
  [SMALL_STATE(13962)] = 647099,
  [SMALL_STATE(13963)] = 647128,
  [SMALL_STATE(13964)] = 647157,
  [SMALL_STATE(13965)] = 647186,
  [SMALL_STATE(13966)] = 647213,
  [SMALL_STATE(13967)] = 647240,
  [SMALL_STATE(13968)] = 647267,
  [SMALL_STATE(13969)] = 647288,
  [SMALL_STATE(13970)] = 647309,
  [SMALL_STATE(13971)] = 647338,
  [SMALL_STATE(13972)] = 647365,
  [SMALL_STATE(13973)] = 647386,
  [SMALL_STATE(13974)] = 647407,
  [SMALL_STATE(13975)] = 647434,
  [SMALL_STATE(13976)] = 647463,
  [SMALL_STATE(13977)] = 647490,
  [SMALL_STATE(13978)] = 647517,
  [SMALL_STATE(13979)] = 647546,
  [SMALL_STATE(13980)] = 647575,
  [SMALL_STATE(13981)] = 647602,
  [SMALL_STATE(13982)] = 647629,
  [SMALL_STATE(13983)] = 647656,
  [SMALL_STATE(13984)] = 647683,
  [SMALL_STATE(13985)] = 647712,
  [SMALL_STATE(13986)] = 647738,
  [SMALL_STATE(13987)] = 647764,
  [SMALL_STATE(13988)] = 647790,
  [SMALL_STATE(13989)] = 647814,
  [SMALL_STATE(13990)] = 647838,
  [SMALL_STATE(13991)] = 647862,
  [SMALL_STATE(13992)] = 647888,
  [SMALL_STATE(13993)] = 647912,
  [SMALL_STATE(13994)] = 647938,
  [SMALL_STATE(13995)] = 647964,
  [SMALL_STATE(13996)] = 647990,
  [SMALL_STATE(13997)] = 648012,
  [SMALL_STATE(13998)] = 648036,
  [SMALL_STATE(13999)] = 648062,
  [SMALL_STATE(14000)] = 648088,
  [SMALL_STATE(14001)] = 648114,
  [SMALL_STATE(14002)] = 648140,
  [SMALL_STATE(14003)] = 648166,
  [SMALL_STATE(14004)] = 648188,
  [SMALL_STATE(14005)] = 648214,
  [SMALL_STATE(14006)] = 648238,
  [SMALL_STATE(14007)] = 648264,
  [SMALL_STATE(14008)] = 648290,
  [SMALL_STATE(14009)] = 648314,
  [SMALL_STATE(14010)] = 648340,
  [SMALL_STATE(14011)] = 648366,
  [SMALL_STATE(14012)] = 648392,
  [SMALL_STATE(14013)] = 648418,
  [SMALL_STATE(14014)] = 648444,
  [SMALL_STATE(14015)] = 648470,
  [SMALL_STATE(14016)] = 648496,
  [SMALL_STATE(14017)] = 648522,
  [SMALL_STATE(14018)] = 648546,
  [SMALL_STATE(14019)] = 648564,
  [SMALL_STATE(14020)] = 648588,
  [SMALL_STATE(14021)] = 648614,
  [SMALL_STATE(14022)] = 648636,
  [SMALL_STATE(14023)] = 648662,
  [SMALL_STATE(14024)] = 648688,
  [SMALL_STATE(14025)] = 648714,
  [SMALL_STATE(14026)] = 648740,
  [SMALL_STATE(14027)] = 648766,
  [SMALL_STATE(14028)] = 648792,
  [SMALL_STATE(14029)] = 648818,
  [SMALL_STATE(14030)] = 648844,
  [SMALL_STATE(14031)] = 648868,
  [SMALL_STATE(14032)] = 648890,
  [SMALL_STATE(14033)] = 648916,
  [SMALL_STATE(14034)] = 648942,
  [SMALL_STATE(14035)] = 648964,
  [SMALL_STATE(14036)] = 648990,
  [SMALL_STATE(14037)] = 649016,
  [SMALL_STATE(14038)] = 649042,
  [SMALL_STATE(14039)] = 649068,
  [SMALL_STATE(14040)] = 649094,
  [SMALL_STATE(14041)] = 649120,
  [SMALL_STATE(14042)] = 649146,
  [SMALL_STATE(14043)] = 649170,
  [SMALL_STATE(14044)] = 649196,
  [SMALL_STATE(14045)] = 649222,
  [SMALL_STATE(14046)] = 649248,
  [SMALL_STATE(14047)] = 649274,
  [SMALL_STATE(14048)] = 649300,
  [SMALL_STATE(14049)] = 649326,
  [SMALL_STATE(14050)] = 649352,
  [SMALL_STATE(14051)] = 649378,
  [SMALL_STATE(14052)] = 649404,
  [SMALL_STATE(14053)] = 649424,
  [SMALL_STATE(14054)] = 649450,
  [SMALL_STATE(14055)] = 649472,
  [SMALL_STATE(14056)] = 649494,
  [SMALL_STATE(14057)] = 649520,
  [SMALL_STATE(14058)] = 649542,
  [SMALL_STATE(14059)] = 649568,
  [SMALL_STATE(14060)] = 649594,
  [SMALL_STATE(14061)] = 649620,
  [SMALL_STATE(14062)] = 649646,
  [SMALL_STATE(14063)] = 649672,
  [SMALL_STATE(14064)] = 649698,
  [SMALL_STATE(14065)] = 649722,
  [SMALL_STATE(14066)] = 649748,
  [SMALL_STATE(14067)] = 649774,
  [SMALL_STATE(14068)] = 649800,
  [SMALL_STATE(14069)] = 649826,
  [SMALL_STATE(14070)] = 649852,
  [SMALL_STATE(14071)] = 649878,
  [SMALL_STATE(14072)] = 649904,
  [SMALL_STATE(14073)] = 649930,
  [SMALL_STATE(14074)] = 649948,
  [SMALL_STATE(14075)] = 649974,
  [SMALL_STATE(14076)] = 649992,
  [SMALL_STATE(14077)] = 650018,
  [SMALL_STATE(14078)] = 650044,
  [SMALL_STATE(14079)] = 650070,
  [SMALL_STATE(14080)] = 650096,
  [SMALL_STATE(14081)] = 650122,
  [SMALL_STATE(14082)] = 650148,
  [SMALL_STATE(14083)] = 650174,
  [SMALL_STATE(14084)] = 650200,
  [SMALL_STATE(14085)] = 650226,
  [SMALL_STATE(14086)] = 650252,
  [SMALL_STATE(14087)] = 650278,
  [SMALL_STATE(14088)] = 650304,
  [SMALL_STATE(14089)] = 650326,
  [SMALL_STATE(14090)] = 650352,
  [SMALL_STATE(14091)] = 650374,
  [SMALL_STATE(14092)] = 650400,
  [SMALL_STATE(14093)] = 650426,
  [SMALL_STATE(14094)] = 650452,
  [SMALL_STATE(14095)] = 650478,
  [SMALL_STATE(14096)] = 650504,
  [SMALL_STATE(14097)] = 650528,
  [SMALL_STATE(14098)] = 650552,
  [SMALL_STATE(14099)] = 650578,
  [SMALL_STATE(14100)] = 650604,
  [SMALL_STATE(14101)] = 650630,
  [SMALL_STATE(14102)] = 650656,
  [SMALL_STATE(14103)] = 650682,
  [SMALL_STATE(14104)] = 650708,
  [SMALL_STATE(14105)] = 650726,
  [SMALL_STATE(14106)] = 650744,
  [SMALL_STATE(14107)] = 650770,
  [SMALL_STATE(14108)] = 650796,
  [SMALL_STATE(14109)] = 650822,
  [SMALL_STATE(14110)] = 650846,
  [SMALL_STATE(14111)] = 650872,
  [SMALL_STATE(14112)] = 650898,
  [SMALL_STATE(14113)] = 650922,
  [SMALL_STATE(14114)] = 650948,
  [SMALL_STATE(14115)] = 650974,
  [SMALL_STATE(14116)] = 651000,
  [SMALL_STATE(14117)] = 651026,
  [SMALL_STATE(14118)] = 651052,
  [SMALL_STATE(14119)] = 651078,
  [SMALL_STATE(14120)] = 651104,
  [SMALL_STATE(14121)] = 651130,
  [SMALL_STATE(14122)] = 651156,
  [SMALL_STATE(14123)] = 651182,
  [SMALL_STATE(14124)] = 651208,
  [SMALL_STATE(14125)] = 651234,
  [SMALL_STATE(14126)] = 651256,
  [SMALL_STATE(14127)] = 651282,
  [SMALL_STATE(14128)] = 651308,
  [SMALL_STATE(14129)] = 651334,
  [SMALL_STATE(14130)] = 651356,
  [SMALL_STATE(14131)] = 651382,
  [SMALL_STATE(14132)] = 651408,
  [SMALL_STATE(14133)] = 651430,
  [SMALL_STATE(14134)] = 651452,
  [SMALL_STATE(14135)] = 651478,
  [SMALL_STATE(14136)] = 651504,
  [SMALL_STATE(14137)] = 651530,
  [SMALL_STATE(14138)] = 651556,
  [SMALL_STATE(14139)] = 651582,
  [SMALL_STATE(14140)] = 651608,
  [SMALL_STATE(14141)] = 651634,
  [SMALL_STATE(14142)] = 651660,
  [SMALL_STATE(14143)] = 651686,
  [SMALL_STATE(14144)] = 651712,
  [SMALL_STATE(14145)] = 651738,
  [SMALL_STATE(14146)] = 651760,
  [SMALL_STATE(14147)] = 651786,
  [SMALL_STATE(14148)] = 651812,
  [SMALL_STATE(14149)] = 651838,
  [SMALL_STATE(14150)] = 651860,
  [SMALL_STATE(14151)] = 651882,
  [SMALL_STATE(14152)] = 651906,
  [SMALL_STATE(14153)] = 651928,
  [SMALL_STATE(14154)] = 651954,
  [SMALL_STATE(14155)] = 651980,
  [SMALL_STATE(14156)] = 652006,
  [SMALL_STATE(14157)] = 652030,
  [SMALL_STATE(14158)] = 652052,
  [SMALL_STATE(14159)] = 652078,
  [SMALL_STATE(14160)] = 652104,
  [SMALL_STATE(14161)] = 652130,
  [SMALL_STATE(14162)] = 652156,
  [SMALL_STATE(14163)] = 652182,
  [SMALL_STATE(14164)] = 652208,
  [SMALL_STATE(14165)] = 652226,
  [SMALL_STATE(14166)] = 652252,
  [SMALL_STATE(14167)] = 652270,
  [SMALL_STATE(14168)] = 652296,
  [SMALL_STATE(14169)] = 652322,
  [SMALL_STATE(14170)] = 652348,
  [SMALL_STATE(14171)] = 652374,
  [SMALL_STATE(14172)] = 652398,
  [SMALL_STATE(14173)] = 652424,
  [SMALL_STATE(14174)] = 652450,
  [SMALL_STATE(14175)] = 652476,
  [SMALL_STATE(14176)] = 652502,
  [SMALL_STATE(14177)] = 652528,
  [SMALL_STATE(14178)] = 652554,
  [SMALL_STATE(14179)] = 652580,
  [SMALL_STATE(14180)] = 652606,
  [SMALL_STATE(14181)] = 652632,
  [SMALL_STATE(14182)] = 652658,
  [SMALL_STATE(14183)] = 652684,
  [SMALL_STATE(14184)] = 652710,
  [SMALL_STATE(14185)] = 652736,
  [SMALL_STATE(14186)] = 652762,
  [SMALL_STATE(14187)] = 652788,
  [SMALL_STATE(14188)] = 652814,
  [SMALL_STATE(14189)] = 652840,
  [SMALL_STATE(14190)] = 652866,
  [SMALL_STATE(14191)] = 652892,
  [SMALL_STATE(14192)] = 652918,
  [SMALL_STATE(14193)] = 652944,
  [SMALL_STATE(14194)] = 652970,
  [SMALL_STATE(14195)] = 652996,
  [SMALL_STATE(14196)] = 653022,
  [SMALL_STATE(14197)] = 653048,
  [SMALL_STATE(14198)] = 653074,
  [SMALL_STATE(14199)] = 653100,
  [SMALL_STATE(14200)] = 653126,
  [SMALL_STATE(14201)] = 653152,
  [SMALL_STATE(14202)] = 653178,
  [SMALL_STATE(14203)] = 653200,
  [SMALL_STATE(14204)] = 653226,
  [SMALL_STATE(14205)] = 653252,
  [SMALL_STATE(14206)] = 653278,
  [SMALL_STATE(14207)] = 653304,
  [SMALL_STATE(14208)] = 653330,
  [SMALL_STATE(14209)] = 653356,
  [SMALL_STATE(14210)] = 653382,
  [SMALL_STATE(14211)] = 653408,
  [SMALL_STATE(14212)] = 653431,
  [SMALL_STATE(14213)] = 653454,
  [SMALL_STATE(14214)] = 653477,
  [SMALL_STATE(14215)] = 653500,
  [SMALL_STATE(14216)] = 653523,
  [SMALL_STATE(14217)] = 653546,
  [SMALL_STATE(14218)] = 653569,
  [SMALL_STATE(14219)] = 653592,
  [SMALL_STATE(14220)] = 653615,
  [SMALL_STATE(14221)] = 653638,
  [SMALL_STATE(14222)] = 653661,
  [SMALL_STATE(14223)] = 653684,
  [SMALL_STATE(14224)] = 653707,
  [SMALL_STATE(14225)] = 653730,
  [SMALL_STATE(14226)] = 653753,
  [SMALL_STATE(14227)] = 653776,
  [SMALL_STATE(14228)] = 653799,
  [SMALL_STATE(14229)] = 653822,
  [SMALL_STATE(14230)] = 653845,
  [SMALL_STATE(14231)] = 653868,
  [SMALL_STATE(14232)] = 653891,
  [SMALL_STATE(14233)] = 653914,
  [SMALL_STATE(14234)] = 653937,
  [SMALL_STATE(14235)] = 653960,
  [SMALL_STATE(14236)] = 653983,
  [SMALL_STATE(14237)] = 654006,
  [SMALL_STATE(14238)] = 654029,
  [SMALL_STATE(14239)] = 654052,
  [SMALL_STATE(14240)] = 654075,
  [SMALL_STATE(14241)] = 654098,
  [SMALL_STATE(14242)] = 654121,
  [SMALL_STATE(14243)] = 654144,
  [SMALL_STATE(14244)] = 654167,
  [SMALL_STATE(14245)] = 654190,
  [SMALL_STATE(14246)] = 654213,
  [SMALL_STATE(14247)] = 654236,
  [SMALL_STATE(14248)] = 654259,
  [SMALL_STATE(14249)] = 654282,
  [SMALL_STATE(14250)] = 654305,
  [SMALL_STATE(14251)] = 654328,
  [SMALL_STATE(14252)] = 654351,
  [SMALL_STATE(14253)] = 654374,
  [SMALL_STATE(14254)] = 654397,
  [SMALL_STATE(14255)] = 654420,
  [SMALL_STATE(14256)] = 654443,
  [SMALL_STATE(14257)] = 654466,
  [SMALL_STATE(14258)] = 654489,
  [SMALL_STATE(14259)] = 654512,
  [SMALL_STATE(14260)] = 654535,
  [SMALL_STATE(14261)] = 654558,
  [SMALL_STATE(14262)] = 654581,
  [SMALL_STATE(14263)] = 654604,
  [SMALL_STATE(14264)] = 654627,
  [SMALL_STATE(14265)] = 654650,
  [SMALL_STATE(14266)] = 654673,
  [SMALL_STATE(14267)] = 654696,
  [SMALL_STATE(14268)] = 654719,
  [SMALL_STATE(14269)] = 654742,
  [SMALL_STATE(14270)] = 654765,
  [SMALL_STATE(14271)] = 654788,
  [SMALL_STATE(14272)] = 654811,
  [SMALL_STATE(14273)] = 654834,
  [SMALL_STATE(14274)] = 654857,
  [SMALL_STATE(14275)] = 654880,
  [SMALL_STATE(14276)] = 654903,
  [SMALL_STATE(14277)] = 654926,
  [SMALL_STATE(14278)] = 654949,
  [SMALL_STATE(14279)] = 654972,
  [SMALL_STATE(14280)] = 654995,
  [SMALL_STATE(14281)] = 655018,
  [SMALL_STATE(14282)] = 655041,
  [SMALL_STATE(14283)] = 655064,
  [SMALL_STATE(14284)] = 655087,
  [SMALL_STATE(14285)] = 655110,
  [SMALL_STATE(14286)] = 655133,
  [SMALL_STATE(14287)] = 655156,
  [SMALL_STATE(14288)] = 655179,
  [SMALL_STATE(14289)] = 655202,
  [SMALL_STATE(14290)] = 655225,
  [SMALL_STATE(14291)] = 655248,
  [SMALL_STATE(14292)] = 655271,
  [SMALL_STATE(14293)] = 655294,
  [SMALL_STATE(14294)] = 655317,
  [SMALL_STATE(14295)] = 655340,
  [SMALL_STATE(14296)] = 655363,
  [SMALL_STATE(14297)] = 655386,
  [SMALL_STATE(14298)] = 655409,
  [SMALL_STATE(14299)] = 655432,
  [SMALL_STATE(14300)] = 655455,
  [SMALL_STATE(14301)] = 655478,
  [SMALL_STATE(14302)] = 655501,
  [SMALL_STATE(14303)] = 655524,
  [SMALL_STATE(14304)] = 655547,
  [SMALL_STATE(14305)] = 655570,
  [SMALL_STATE(14306)] = 655593,
  [SMALL_STATE(14307)] = 655616,
  [SMALL_STATE(14308)] = 655639,
  [SMALL_STATE(14309)] = 655662,
  [SMALL_STATE(14310)] = 655685,
  [SMALL_STATE(14311)] = 655708,
  [SMALL_STATE(14312)] = 655731,
  [SMALL_STATE(14313)] = 655754,
  [SMALL_STATE(14314)] = 655777,
  [SMALL_STATE(14315)] = 655800,
  [SMALL_STATE(14316)] = 655823,
  [SMALL_STATE(14317)] = 655846,
  [SMALL_STATE(14318)] = 655869,
  [SMALL_STATE(14319)] = 655892,
  [SMALL_STATE(14320)] = 655915,
  [SMALL_STATE(14321)] = 655934,
  [SMALL_STATE(14322)] = 655957,
  [SMALL_STATE(14323)] = 655980,
  [SMALL_STATE(14324)] = 656003,
  [SMALL_STATE(14325)] = 656026,
  [SMALL_STATE(14326)] = 656049,
  [SMALL_STATE(14327)] = 656068,
  [SMALL_STATE(14328)] = 656091,
  [SMALL_STATE(14329)] = 656114,
  [SMALL_STATE(14330)] = 656137,
  [SMALL_STATE(14331)] = 656160,
  [SMALL_STATE(14332)] = 656183,
  [SMALL_STATE(14333)] = 656206,
  [SMALL_STATE(14334)] = 656229,
  [SMALL_STATE(14335)] = 656252,
  [SMALL_STATE(14336)] = 656275,
  [SMALL_STATE(14337)] = 656298,
  [SMALL_STATE(14338)] = 656321,
  [SMALL_STATE(14339)] = 656344,
  [SMALL_STATE(14340)] = 656367,
  [SMALL_STATE(14341)] = 656390,
  [SMALL_STATE(14342)] = 656411,
  [SMALL_STATE(14343)] = 656434,
  [SMALL_STATE(14344)] = 656457,
  [SMALL_STATE(14345)] = 656476,
  [SMALL_STATE(14346)] = 656499,
  [SMALL_STATE(14347)] = 656522,
  [SMALL_STATE(14348)] = 656545,
  [SMALL_STATE(14349)] = 656568,
  [SMALL_STATE(14350)] = 656591,
  [SMALL_STATE(14351)] = 656614,
  [SMALL_STATE(14352)] = 656635,
  [SMALL_STATE(14353)] = 656658,
  [SMALL_STATE(14354)] = 656681,
  [SMALL_STATE(14355)] = 656704,
  [SMALL_STATE(14356)] = 656727,
  [SMALL_STATE(14357)] = 656750,
  [SMALL_STATE(14358)] = 656773,
  [SMALL_STATE(14359)] = 656796,
  [SMALL_STATE(14360)] = 656815,
  [SMALL_STATE(14361)] = 656838,
  [SMALL_STATE(14362)] = 656861,
  [SMALL_STATE(14363)] = 656882,
  [SMALL_STATE(14364)] = 656905,
  [SMALL_STATE(14365)] = 656928,
  [SMALL_STATE(14366)] = 656951,
  [SMALL_STATE(14367)] = 656974,
  [SMALL_STATE(14368)] = 656995,
  [SMALL_STATE(14369)] = 657018,
  [SMALL_STATE(14370)] = 657041,
  [SMALL_STATE(14371)] = 657062,
  [SMALL_STATE(14372)] = 657085,
  [SMALL_STATE(14373)] = 657108,
  [SMALL_STATE(14374)] = 657131,
  [SMALL_STATE(14375)] = 657154,
  [SMALL_STATE(14376)] = 657177,
  [SMALL_STATE(14377)] = 657200,
  [SMALL_STATE(14378)] = 657223,
  [SMALL_STATE(14379)] = 657246,
  [SMALL_STATE(14380)] = 657269,
  [SMALL_STATE(14381)] = 657292,
  [SMALL_STATE(14382)] = 657315,
  [SMALL_STATE(14383)] = 657338,
  [SMALL_STATE(14384)] = 657361,
  [SMALL_STATE(14385)] = 657384,
  [SMALL_STATE(14386)] = 657407,
  [SMALL_STATE(14387)] = 657430,
  [SMALL_STATE(14388)] = 657453,
  [SMALL_STATE(14389)] = 657476,
  [SMALL_STATE(14390)] = 657499,
  [SMALL_STATE(14391)] = 657522,
  [SMALL_STATE(14392)] = 657545,
  [SMALL_STATE(14393)] = 657568,
  [SMALL_STATE(14394)] = 657591,
  [SMALL_STATE(14395)] = 657612,
  [SMALL_STATE(14396)] = 657633,
  [SMALL_STATE(14397)] = 657656,
  [SMALL_STATE(14398)] = 657679,
  [SMALL_STATE(14399)] = 657702,
  [SMALL_STATE(14400)] = 657725,
  [SMALL_STATE(14401)] = 657748,
  [SMALL_STATE(14402)] = 657771,
  [SMALL_STATE(14403)] = 657794,
  [SMALL_STATE(14404)] = 657817,
  [SMALL_STATE(14405)] = 657840,
  [SMALL_STATE(14406)] = 657863,
  [SMALL_STATE(14407)] = 657886,
  [SMALL_STATE(14408)] = 657909,
  [SMALL_STATE(14409)] = 657932,
  [SMALL_STATE(14410)] = 657955,
  [SMALL_STATE(14411)] = 657978,
  [SMALL_STATE(14412)] = 658001,
  [SMALL_STATE(14413)] = 658024,
  [SMALL_STATE(14414)] = 658045,
  [SMALL_STATE(14415)] = 658068,
  [SMALL_STATE(14416)] = 658091,
  [SMALL_STATE(14417)] = 658114,
  [SMALL_STATE(14418)] = 658137,
  [SMALL_STATE(14419)] = 658160,
  [SMALL_STATE(14420)] = 658183,
  [SMALL_STATE(14421)] = 658206,
  [SMALL_STATE(14422)] = 658229,
  [SMALL_STATE(14423)] = 658252,
  [SMALL_STATE(14424)] = 658275,
  [SMALL_STATE(14425)] = 658298,
  [SMALL_STATE(14426)] = 658321,
  [SMALL_STATE(14427)] = 658344,
  [SMALL_STATE(14428)] = 658367,
  [SMALL_STATE(14429)] = 658390,
  [SMALL_STATE(14430)] = 658413,
  [SMALL_STATE(14431)] = 658436,
  [SMALL_STATE(14432)] = 658459,
  [SMALL_STATE(14433)] = 658482,
  [SMALL_STATE(14434)] = 658505,
  [SMALL_STATE(14435)] = 658528,
  [SMALL_STATE(14436)] = 658551,
  [SMALL_STATE(14437)] = 658574,
  [SMALL_STATE(14438)] = 658597,
  [SMALL_STATE(14439)] = 658620,
  [SMALL_STATE(14440)] = 658643,
  [SMALL_STATE(14441)] = 658666,
  [SMALL_STATE(14442)] = 658689,
  [SMALL_STATE(14443)] = 658712,
  [SMALL_STATE(14444)] = 658735,
  [SMALL_STATE(14445)] = 658756,
  [SMALL_STATE(14446)] = 658777,
  [SMALL_STATE(14447)] = 658800,
  [SMALL_STATE(14448)] = 658823,
  [SMALL_STATE(14449)] = 658846,
  [SMALL_STATE(14450)] = 658869,
  [SMALL_STATE(14451)] = 658892,
  [SMALL_STATE(14452)] = 658915,
  [SMALL_STATE(14453)] = 658938,
  [SMALL_STATE(14454)] = 658961,
  [SMALL_STATE(14455)] = 658984,
  [SMALL_STATE(14456)] = 659007,
  [SMALL_STATE(14457)] = 659030,
  [SMALL_STATE(14458)] = 659053,
  [SMALL_STATE(14459)] = 659076,
  [SMALL_STATE(14460)] = 659099,
  [SMALL_STATE(14461)] = 659122,
  [SMALL_STATE(14462)] = 659145,
  [SMALL_STATE(14463)] = 659168,
  [SMALL_STATE(14464)] = 659191,
  [SMALL_STATE(14465)] = 659214,
  [SMALL_STATE(14466)] = 659237,
  [SMALL_STATE(14467)] = 659258,
  [SMALL_STATE(14468)] = 659279,
  [SMALL_STATE(14469)] = 659302,
  [SMALL_STATE(14470)] = 659325,
  [SMALL_STATE(14471)] = 659348,
  [SMALL_STATE(14472)] = 659371,
  [SMALL_STATE(14473)] = 659394,
  [SMALL_STATE(14474)] = 659417,
  [SMALL_STATE(14475)] = 659440,
  [SMALL_STATE(14476)] = 659463,
  [SMALL_STATE(14477)] = 659486,
  [SMALL_STATE(14478)] = 659509,
  [SMALL_STATE(14479)] = 659532,
  [SMALL_STATE(14480)] = 659555,
  [SMALL_STATE(14481)] = 659578,
  [SMALL_STATE(14482)] = 659599,
  [SMALL_STATE(14483)] = 659622,
  [SMALL_STATE(14484)] = 659645,
  [SMALL_STATE(14485)] = 659668,
  [SMALL_STATE(14486)] = 659691,
  [SMALL_STATE(14487)] = 659714,
  [SMALL_STATE(14488)] = 659737,
  [SMALL_STATE(14489)] = 659760,
  [SMALL_STATE(14490)] = 659783,
  [SMALL_STATE(14491)] = 659806,
  [SMALL_STATE(14492)] = 659829,
  [SMALL_STATE(14493)] = 659852,
  [SMALL_STATE(14494)] = 659875,
  [SMALL_STATE(14495)] = 659898,
  [SMALL_STATE(14496)] = 659921,
  [SMALL_STATE(14497)] = 659944,
  [SMALL_STATE(14498)] = 659967,
  [SMALL_STATE(14499)] = 659990,
  [SMALL_STATE(14500)] = 660013,
  [SMALL_STATE(14501)] = 660036,
  [SMALL_STATE(14502)] = 660057,
  [SMALL_STATE(14503)] = 660080,
  [SMALL_STATE(14504)] = 660103,
  [SMALL_STATE(14505)] = 660122,
  [SMALL_STATE(14506)] = 660143,
  [SMALL_STATE(14507)] = 660166,
  [SMALL_STATE(14508)] = 660189,
  [SMALL_STATE(14509)] = 660212,
  [SMALL_STATE(14510)] = 660235,
  [SMALL_STATE(14511)] = 660258,
  [SMALL_STATE(14512)] = 660281,
  [SMALL_STATE(14513)] = 660304,
  [SMALL_STATE(14514)] = 660327,
  [SMALL_STATE(14515)] = 660348,
  [SMALL_STATE(14516)] = 660371,
  [SMALL_STATE(14517)] = 660394,
  [SMALL_STATE(14518)] = 660417,
  [SMALL_STATE(14519)] = 660440,
  [SMALL_STATE(14520)] = 660463,
  [SMALL_STATE(14521)] = 660486,
  [SMALL_STATE(14522)] = 660509,
  [SMALL_STATE(14523)] = 660530,
  [SMALL_STATE(14524)] = 660553,
  [SMALL_STATE(14525)] = 660576,
  [SMALL_STATE(14526)] = 660599,
  [SMALL_STATE(14527)] = 660622,
  [SMALL_STATE(14528)] = 660645,
  [SMALL_STATE(14529)] = 660668,
  [SMALL_STATE(14530)] = 660691,
  [SMALL_STATE(14531)] = 660714,
  [SMALL_STATE(14532)] = 660737,
  [SMALL_STATE(14533)] = 660760,
  [SMALL_STATE(14534)] = 660783,
  [SMALL_STATE(14535)] = 660806,
  [SMALL_STATE(14536)] = 660829,
  [SMALL_STATE(14537)] = 660852,
  [SMALL_STATE(14538)] = 660875,
  [SMALL_STATE(14539)] = 660896,
  [SMALL_STATE(14540)] = 660919,
  [SMALL_STATE(14541)] = 660942,
  [SMALL_STATE(14542)] = 660965,
  [SMALL_STATE(14543)] = 660988,
  [SMALL_STATE(14544)] = 661011,
  [SMALL_STATE(14545)] = 661034,
  [SMALL_STATE(14546)] = 661057,
  [SMALL_STATE(14547)] = 661080,
  [SMALL_STATE(14548)] = 661103,
  [SMALL_STATE(14549)] = 661126,
  [SMALL_STATE(14550)] = 661149,
  [SMALL_STATE(14551)] = 661172,
  [SMALL_STATE(14552)] = 661195,
  [SMALL_STATE(14553)] = 661218,
  [SMALL_STATE(14554)] = 661239,
  [SMALL_STATE(14555)] = 661262,
  [SMALL_STATE(14556)] = 661285,
  [SMALL_STATE(14557)] = 661308,
  [SMALL_STATE(14558)] = 661331,
  [SMALL_STATE(14559)] = 661354,
  [SMALL_STATE(14560)] = 661375,
  [SMALL_STATE(14561)] = 661398,
  [SMALL_STATE(14562)] = 661421,
  [SMALL_STATE(14563)] = 661444,
  [SMALL_STATE(14564)] = 661467,
  [SMALL_STATE(14565)] = 661490,
  [SMALL_STATE(14566)] = 661513,
  [SMALL_STATE(14567)] = 661536,
  [SMALL_STATE(14568)] = 661559,
  [SMALL_STATE(14569)] = 661582,
  [SMALL_STATE(14570)] = 661601,
  [SMALL_STATE(14571)] = 661624,
  [SMALL_STATE(14572)] = 661647,
  [SMALL_STATE(14573)] = 661670,
  [SMALL_STATE(14574)] = 661693,
  [SMALL_STATE(14575)] = 661716,
  [SMALL_STATE(14576)] = 661739,
  [SMALL_STATE(14577)] = 661762,
  [SMALL_STATE(14578)] = 661785,
  [SMALL_STATE(14579)] = 661808,
  [SMALL_STATE(14580)] = 661831,
  [SMALL_STATE(14581)] = 661854,
  [SMALL_STATE(14582)] = 661877,
  [SMALL_STATE(14583)] = 661900,
  [SMALL_STATE(14584)] = 661919,
  [SMALL_STATE(14585)] = 661942,
  [SMALL_STATE(14586)] = 661965,
  [SMALL_STATE(14587)] = 661988,
  [SMALL_STATE(14588)] = 662009,
  [SMALL_STATE(14589)] = 662032,
  [SMALL_STATE(14590)] = 662055,
  [SMALL_STATE(14591)] = 662078,
  [SMALL_STATE(14592)] = 662101,
  [SMALL_STATE(14593)] = 662124,
  [SMALL_STATE(14594)] = 662147,
  [SMALL_STATE(14595)] = 662170,
  [SMALL_STATE(14596)] = 662193,
  [SMALL_STATE(14597)] = 662216,
  [SMALL_STATE(14598)] = 662239,
  [SMALL_STATE(14599)] = 662262,
  [SMALL_STATE(14600)] = 662285,
  [SMALL_STATE(14601)] = 662308,
  [SMALL_STATE(14602)] = 662331,
  [SMALL_STATE(14603)] = 662354,
  [SMALL_STATE(14604)] = 662377,
  [SMALL_STATE(14605)] = 662400,
  [SMALL_STATE(14606)] = 662423,
  [SMALL_STATE(14607)] = 662446,
  [SMALL_STATE(14608)] = 662469,
  [SMALL_STATE(14609)] = 662492,
  [SMALL_STATE(14610)] = 662515,
  [SMALL_STATE(14611)] = 662538,
  [SMALL_STATE(14612)] = 662561,
  [SMALL_STATE(14613)] = 662584,
  [SMALL_STATE(14614)] = 662607,
  [SMALL_STATE(14615)] = 662630,
  [SMALL_STATE(14616)] = 662653,
  [SMALL_STATE(14617)] = 662676,
  [SMALL_STATE(14618)] = 662699,
  [SMALL_STATE(14619)] = 662718,
  [SMALL_STATE(14620)] = 662739,
  [SMALL_STATE(14621)] = 662762,
  [SMALL_STATE(14622)] = 662783,
  [SMALL_STATE(14623)] = 662802,
  [SMALL_STATE(14624)] = 662825,
  [SMALL_STATE(14625)] = 662848,
  [SMALL_STATE(14626)] = 662871,
  [SMALL_STATE(14627)] = 662894,
  [SMALL_STATE(14628)] = 662917,
  [SMALL_STATE(14629)] = 662938,
  [SMALL_STATE(14630)] = 662961,
  [SMALL_STATE(14631)] = 662984,
  [SMALL_STATE(14632)] = 663007,
  [SMALL_STATE(14633)] = 663030,
  [SMALL_STATE(14634)] = 663053,
  [SMALL_STATE(14635)] = 663076,
  [SMALL_STATE(14636)] = 663099,
  [SMALL_STATE(14637)] = 663122,
  [SMALL_STATE(14638)] = 663145,
  [SMALL_STATE(14639)] = 663166,
  [SMALL_STATE(14640)] = 663189,
  [SMALL_STATE(14641)] = 663212,
  [SMALL_STATE(14642)] = 663235,
  [SMALL_STATE(14643)] = 663258,
  [SMALL_STATE(14644)] = 663281,
  [SMALL_STATE(14645)] = 663304,
  [SMALL_STATE(14646)] = 663327,
  [SMALL_STATE(14647)] = 663350,
  [SMALL_STATE(14648)] = 663373,
  [SMALL_STATE(14649)] = 663396,
  [SMALL_STATE(14650)] = 663419,
  [SMALL_STATE(14651)] = 663442,
  [SMALL_STATE(14652)] = 663465,
  [SMALL_STATE(14653)] = 663488,
  [SMALL_STATE(14654)] = 663511,
  [SMALL_STATE(14655)] = 663534,
  [SMALL_STATE(14656)] = 663557,
  [SMALL_STATE(14657)] = 663580,
  [SMALL_STATE(14658)] = 663603,
  [SMALL_STATE(14659)] = 663626,
  [SMALL_STATE(14660)] = 663649,
  [SMALL_STATE(14661)] = 663670,
  [SMALL_STATE(14662)] = 663693,
  [SMALL_STATE(14663)] = 663716,
  [SMALL_STATE(14664)] = 663739,
  [SMALL_STATE(14665)] = 663762,
  [SMALL_STATE(14666)] = 663785,
  [SMALL_STATE(14667)] = 663808,
  [SMALL_STATE(14668)] = 663829,
  [SMALL_STATE(14669)] = 663852,
  [SMALL_STATE(14670)] = 663875,
  [SMALL_STATE(14671)] = 663898,
  [SMALL_STATE(14672)] = 663921,
  [SMALL_STATE(14673)] = 663944,
  [SMALL_STATE(14674)] = 663967,
  [SMALL_STATE(14675)] = 663988,
  [SMALL_STATE(14676)] = 664011,
  [SMALL_STATE(14677)] = 664034,
  [SMALL_STATE(14678)] = 664057,
  [SMALL_STATE(14679)] = 664080,
  [SMALL_STATE(14680)] = 664103,
  [SMALL_STATE(14681)] = 664126,
  [SMALL_STATE(14682)] = 664149,
  [SMALL_STATE(14683)] = 664172,
  [SMALL_STATE(14684)] = 664195,
  [SMALL_STATE(14685)] = 664218,
  [SMALL_STATE(14686)] = 664241,
  [SMALL_STATE(14687)] = 664264,
  [SMALL_STATE(14688)] = 664287,
  [SMALL_STATE(14689)] = 664310,
  [SMALL_STATE(14690)] = 664333,
  [SMALL_STATE(14691)] = 664356,
  [SMALL_STATE(14692)] = 664379,
  [SMALL_STATE(14693)] = 664402,
  [SMALL_STATE(14694)] = 664425,
  [SMALL_STATE(14695)] = 664448,
  [SMALL_STATE(14696)] = 664469,
  [SMALL_STATE(14697)] = 664492,
  [SMALL_STATE(14698)] = 664515,
  [SMALL_STATE(14699)] = 664538,
  [SMALL_STATE(14700)] = 664561,
  [SMALL_STATE(14701)] = 664584,
  [SMALL_STATE(14702)] = 664607,
  [SMALL_STATE(14703)] = 664630,
  [SMALL_STATE(14704)] = 664653,
  [SMALL_STATE(14705)] = 664676,
  [SMALL_STATE(14706)] = 664699,
  [SMALL_STATE(14707)] = 664722,
  [SMALL_STATE(14708)] = 664745,
  [SMALL_STATE(14709)] = 664768,
  [SMALL_STATE(14710)] = 664791,
  [SMALL_STATE(14711)] = 664814,
  [SMALL_STATE(14712)] = 664837,
  [SMALL_STATE(14713)] = 664860,
  [SMALL_STATE(14714)] = 664883,
  [SMALL_STATE(14715)] = 664906,
  [SMALL_STATE(14716)] = 664929,
  [SMALL_STATE(14717)] = 664952,
  [SMALL_STATE(14718)] = 664975,
  [SMALL_STATE(14719)] = 664998,
  [SMALL_STATE(14720)] = 665021,
  [SMALL_STATE(14721)] = 665044,
  [SMALL_STATE(14722)] = 665067,
  [SMALL_STATE(14723)] = 665090,
  [SMALL_STATE(14724)] = 665113,
  [SMALL_STATE(14725)] = 665136,
  [SMALL_STATE(14726)] = 665159,
  [SMALL_STATE(14727)] = 665182,
  [SMALL_STATE(14728)] = 665205,
  [SMALL_STATE(14729)] = 665228,
  [SMALL_STATE(14730)] = 665249,
  [SMALL_STATE(14731)] = 665272,
  [SMALL_STATE(14732)] = 665295,
  [SMALL_STATE(14733)] = 665318,
  [SMALL_STATE(14734)] = 665341,
  [SMALL_STATE(14735)] = 665364,
  [SMALL_STATE(14736)] = 665387,
  [SMALL_STATE(14737)] = 665410,
  [SMALL_STATE(14738)] = 665433,
  [SMALL_STATE(14739)] = 665456,
  [SMALL_STATE(14740)] = 665479,
  [SMALL_STATE(14741)] = 665502,
  [SMALL_STATE(14742)] = 665525,
  [SMALL_STATE(14743)] = 665546,
  [SMALL_STATE(14744)] = 665567,
  [SMALL_STATE(14745)] = 665590,
  [SMALL_STATE(14746)] = 665613,
  [SMALL_STATE(14747)] = 665636,
  [SMALL_STATE(14748)] = 665659,
  [SMALL_STATE(14749)] = 665682,
  [SMALL_STATE(14750)] = 665705,
  [SMALL_STATE(14751)] = 665728,
  [SMALL_STATE(14752)] = 665751,
  [SMALL_STATE(14753)] = 665774,
  [SMALL_STATE(14754)] = 665797,
  [SMALL_STATE(14755)] = 665820,
  [SMALL_STATE(14756)] = 665843,
  [SMALL_STATE(14757)] = 665866,
  [SMALL_STATE(14758)] = 665889,
  [SMALL_STATE(14759)] = 665912,
  [SMALL_STATE(14760)] = 665935,
  [SMALL_STATE(14761)] = 665958,
  [SMALL_STATE(14762)] = 665981,
  [SMALL_STATE(14763)] = 666004,
  [SMALL_STATE(14764)] = 666027,
  [SMALL_STATE(14765)] = 666050,
  [SMALL_STATE(14766)] = 666069,
  [SMALL_STATE(14767)] = 666092,
  [SMALL_STATE(14768)] = 666115,
  [SMALL_STATE(14769)] = 666138,
  [SMALL_STATE(14770)] = 666157,
  [SMALL_STATE(14771)] = 666180,
  [SMALL_STATE(14772)] = 666203,
  [SMALL_STATE(14773)] = 666226,
  [SMALL_STATE(14774)] = 666249,
  [SMALL_STATE(14775)] = 666272,
  [SMALL_STATE(14776)] = 666295,
  [SMALL_STATE(14777)] = 666318,
  [SMALL_STATE(14778)] = 666341,
  [SMALL_STATE(14779)] = 666364,
  [SMALL_STATE(14780)] = 666387,
  [SMALL_STATE(14781)] = 666410,
  [SMALL_STATE(14782)] = 666433,
  [SMALL_STATE(14783)] = 666456,
  [SMALL_STATE(14784)] = 666479,
  [SMALL_STATE(14785)] = 666502,
  [SMALL_STATE(14786)] = 666525,
  [SMALL_STATE(14787)] = 666548,
  [SMALL_STATE(14788)] = 666571,
  [SMALL_STATE(14789)] = 666594,
  [SMALL_STATE(14790)] = 666617,
  [SMALL_STATE(14791)] = 666640,
  [SMALL_STATE(14792)] = 666663,
  [SMALL_STATE(14793)] = 666686,
  [SMALL_STATE(14794)] = 666709,
  [SMALL_STATE(14795)] = 666732,
  [SMALL_STATE(14796)] = 666753,
  [SMALL_STATE(14797)] = 666776,
  [SMALL_STATE(14798)] = 666799,
  [SMALL_STATE(14799)] = 666822,
  [SMALL_STATE(14800)] = 666845,
  [SMALL_STATE(14801)] = 666866,
  [SMALL_STATE(14802)] = 666889,
  [SMALL_STATE(14803)] = 666910,
  [SMALL_STATE(14804)] = 666933,
  [SMALL_STATE(14805)] = 666956,
  [SMALL_STATE(14806)] = 666979,
  [SMALL_STATE(14807)] = 667002,
  [SMALL_STATE(14808)] = 667025,
  [SMALL_STATE(14809)] = 667048,
  [SMALL_STATE(14810)] = 667071,
  [SMALL_STATE(14811)] = 667094,
  [SMALL_STATE(14812)] = 667117,
  [SMALL_STATE(14813)] = 667140,
  [SMALL_STATE(14814)] = 667163,
  [SMALL_STATE(14815)] = 667186,
  [SMALL_STATE(14816)] = 667209,
  [SMALL_STATE(14817)] = 667232,
  [SMALL_STATE(14818)] = 667253,
  [SMALL_STATE(14819)] = 667276,
  [SMALL_STATE(14820)] = 667299,
  [SMALL_STATE(14821)] = 667322,
  [SMALL_STATE(14822)] = 667345,
  [SMALL_STATE(14823)] = 667368,
  [SMALL_STATE(14824)] = 667391,
  [SMALL_STATE(14825)] = 667414,
  [SMALL_STATE(14826)] = 667437,
  [SMALL_STATE(14827)] = 667460,
  [SMALL_STATE(14828)] = 667483,
  [SMALL_STATE(14829)] = 667506,
  [SMALL_STATE(14830)] = 667529,
  [SMALL_STATE(14831)] = 667552,
  [SMALL_STATE(14832)] = 667575,
  [SMALL_STATE(14833)] = 667598,
  [SMALL_STATE(14834)] = 667619,
  [SMALL_STATE(14835)] = 667642,
  [SMALL_STATE(14836)] = 667665,
  [SMALL_STATE(14837)] = 667688,
  [SMALL_STATE(14838)] = 667711,
  [SMALL_STATE(14839)] = 667734,
  [SMALL_STATE(14840)] = 667757,
  [SMALL_STATE(14841)] = 667780,
  [SMALL_STATE(14842)] = 667803,
  [SMALL_STATE(14843)] = 667826,
  [SMALL_STATE(14844)] = 667849,
  [SMALL_STATE(14845)] = 667872,
  [SMALL_STATE(14846)] = 667895,
  [SMALL_STATE(14847)] = 667918,
  [SMALL_STATE(14848)] = 667941,
  [SMALL_STATE(14849)] = 667964,
  [SMALL_STATE(14850)] = 667987,
  [SMALL_STATE(14851)] = 668008,
  [SMALL_STATE(14852)] = 668031,
  [SMALL_STATE(14853)] = 668054,
  [SMALL_STATE(14854)] = 668077,
  [SMALL_STATE(14855)] = 668100,
  [SMALL_STATE(14856)] = 668123,
  [SMALL_STATE(14857)] = 668146,
  [SMALL_STATE(14858)] = 668169,
  [SMALL_STATE(14859)] = 668192,
  [SMALL_STATE(14860)] = 668213,
  [SMALL_STATE(14861)] = 668236,
  [SMALL_STATE(14862)] = 668259,
  [SMALL_STATE(14863)] = 668282,
  [SMALL_STATE(14864)] = 668305,
  [SMALL_STATE(14865)] = 668326,
  [SMALL_STATE(14866)] = 668349,
  [SMALL_STATE(14867)] = 668372,
  [SMALL_STATE(14868)] = 668395,
  [SMALL_STATE(14869)] = 668418,
  [SMALL_STATE(14870)] = 668439,
  [SMALL_STATE(14871)] = 668462,
  [SMALL_STATE(14872)] = 668481,
  [SMALL_STATE(14873)] = 668502,
  [SMALL_STATE(14874)] = 668523,
  [SMALL_STATE(14875)] = 668546,
  [SMALL_STATE(14876)] = 668569,
  [SMALL_STATE(14877)] = 668592,
  [SMALL_STATE(14878)] = 668615,
  [SMALL_STATE(14879)] = 668638,
  [SMALL_STATE(14880)] = 668661,
  [SMALL_STATE(14881)] = 668682,
  [SMALL_STATE(14882)] = 668702,
  [SMALL_STATE(14883)] = 668722,
  [SMALL_STATE(14884)] = 668742,
  [SMALL_STATE(14885)] = 668762,
  [SMALL_STATE(14886)] = 668780,
  [SMALL_STATE(14887)] = 668798,
  [SMALL_STATE(14888)] = 668818,
  [SMALL_STATE(14889)] = 668836,
  [SMALL_STATE(14890)] = 668856,
  [SMALL_STATE(14891)] = 668876,
  [SMALL_STATE(14892)] = 668894,
  [SMALL_STATE(14893)] = 668914,
  [SMALL_STATE(14894)] = 668932,
  [SMALL_STATE(14895)] = 668952,
  [SMALL_STATE(14896)] = 668970,
  [SMALL_STATE(14897)] = 668988,
  [SMALL_STATE(14898)] = 669008,
  [SMALL_STATE(14899)] = 669028,
  [SMALL_STATE(14900)] = 669048,
  [SMALL_STATE(14901)] = 669068,
  [SMALL_STATE(14902)] = 669084,
  [SMALL_STATE(14903)] = 669104,
  [SMALL_STATE(14904)] = 669122,
  [SMALL_STATE(14905)] = 669142,
  [SMALL_STATE(14906)] = 669160,
  [SMALL_STATE(14907)] = 669180,
  [SMALL_STATE(14908)] = 669200,
  [SMALL_STATE(14909)] = 669218,
  [SMALL_STATE(14910)] = 669236,
  [SMALL_STATE(14911)] = 669256,
  [SMALL_STATE(14912)] = 669276,
  [SMALL_STATE(14913)] = 669296,
  [SMALL_STATE(14914)] = 669314,
  [SMALL_STATE(14915)] = 669332,
  [SMALL_STATE(14916)] = 669352,
  [SMALL_STATE(14917)] = 669370,
  [SMALL_STATE(14918)] = 669390,
  [SMALL_STATE(14919)] = 669410,
  [SMALL_STATE(14920)] = 669428,
  [SMALL_STATE(14921)] = 669446,
  [SMALL_STATE(14922)] = 669466,
  [SMALL_STATE(14923)] = 669486,
  [SMALL_STATE(14924)] = 669506,
  [SMALL_STATE(14925)] = 669526,
  [SMALL_STATE(14926)] = 669546,
  [SMALL_STATE(14927)] = 669566,
  [SMALL_STATE(14928)] = 669586,
  [SMALL_STATE(14929)] = 669606,
  [SMALL_STATE(14930)] = 669626,
  [SMALL_STATE(14931)] = 669646,
  [SMALL_STATE(14932)] = 669666,
  [SMALL_STATE(14933)] = 669686,
  [SMALL_STATE(14934)] = 669706,
  [SMALL_STATE(14935)] = 669726,
  [SMALL_STATE(14936)] = 669746,
  [SMALL_STATE(14937)] = 669766,
  [SMALL_STATE(14938)] = 669786,
  [SMALL_STATE(14939)] = 669806,
  [SMALL_STATE(14940)] = 669826,
  [SMALL_STATE(14941)] = 669846,
  [SMALL_STATE(14942)] = 669866,
  [SMALL_STATE(14943)] = 669884,
  [SMALL_STATE(14944)] = 669904,
  [SMALL_STATE(14945)] = 669924,
  [SMALL_STATE(14946)] = 669944,
  [SMALL_STATE(14947)] = 669964,
  [SMALL_STATE(14948)] = 669984,
  [SMALL_STATE(14949)] = 670004,
  [SMALL_STATE(14950)] = 670024,
  [SMALL_STATE(14951)] = 670044,
  [SMALL_STATE(14952)] = 670064,
  [SMALL_STATE(14953)] = 670084,
  [SMALL_STATE(14954)] = 670102,
  [SMALL_STATE(14955)] = 670122,
  [SMALL_STATE(14956)] = 670142,
  [SMALL_STATE(14957)] = 670162,
  [SMALL_STATE(14958)] = 670182,
  [SMALL_STATE(14959)] = 670202,
  [SMALL_STATE(14960)] = 670222,
  [SMALL_STATE(14961)] = 670242,
  [SMALL_STATE(14962)] = 670262,
  [SMALL_STATE(14963)] = 670280,
  [SMALL_STATE(14964)] = 670300,
  [SMALL_STATE(14965)] = 670318,
  [SMALL_STATE(14966)] = 670336,
  [SMALL_STATE(14967)] = 670356,
  [SMALL_STATE(14968)] = 670374,
  [SMALL_STATE(14969)] = 670394,
  [SMALL_STATE(14970)] = 670412,
  [SMALL_STATE(14971)] = 670430,
  [SMALL_STATE(14972)] = 670448,
  [SMALL_STATE(14973)] = 670466,
  [SMALL_STATE(14974)] = 670486,
  [SMALL_STATE(14975)] = 670504,
  [SMALL_STATE(14976)] = 670524,
  [SMALL_STATE(14977)] = 670542,
  [SMALL_STATE(14978)] = 670560,
  [SMALL_STATE(14979)] = 670578,
  [SMALL_STATE(14980)] = 670598,
  [SMALL_STATE(14981)] = 670616,
  [SMALL_STATE(14982)] = 670634,
  [SMALL_STATE(14983)] = 670652,
  [SMALL_STATE(14984)] = 670672,
  [SMALL_STATE(14985)] = 670690,
  [SMALL_STATE(14986)] = 670710,
  [SMALL_STATE(14987)] = 670730,
  [SMALL_STATE(14988)] = 670750,
  [SMALL_STATE(14989)] = 670768,
  [SMALL_STATE(14990)] = 670786,
  [SMALL_STATE(14991)] = 670804,
  [SMALL_STATE(14992)] = 670822,
  [SMALL_STATE(14993)] = 670840,
  [SMALL_STATE(14994)] = 670860,
  [SMALL_STATE(14995)] = 670878,
  [SMALL_STATE(14996)] = 670896,
  [SMALL_STATE(14997)] = 670916,
  [SMALL_STATE(14998)] = 670934,
  [SMALL_STATE(14999)] = 670954,
  [SMALL_STATE(15000)] = 670972,
  [SMALL_STATE(15001)] = 670992,
  [SMALL_STATE(15002)] = 671010,
  [SMALL_STATE(15003)] = 671030,
  [SMALL_STATE(15004)] = 671050,
  [SMALL_STATE(15005)] = 671068,
  [SMALL_STATE(15006)] = 671088,
  [SMALL_STATE(15007)] = 671108,
  [SMALL_STATE(15008)] = 671128,
  [SMALL_STATE(15009)] = 671148,
  [SMALL_STATE(15010)] = 671166,
  [SMALL_STATE(15011)] = 671186,
  [SMALL_STATE(15012)] = 671204,
  [SMALL_STATE(15013)] = 671224,
  [SMALL_STATE(15014)] = 671242,
  [SMALL_STATE(15015)] = 671262,
  [SMALL_STATE(15016)] = 671280,
  [SMALL_STATE(15017)] = 671300,
  [SMALL_STATE(15018)] = 671318,
  [SMALL_STATE(15019)] = 671338,
  [SMALL_STATE(15020)] = 671356,
  [SMALL_STATE(15021)] = 671376,
  [SMALL_STATE(15022)] = 671394,
  [SMALL_STATE(15023)] = 671414,
  [SMALL_STATE(15024)] = 671434,
  [SMALL_STATE(15025)] = 671452,
  [SMALL_STATE(15026)] = 671472,
  [SMALL_STATE(15027)] = 671492,
  [SMALL_STATE(15028)] = 671510,
  [SMALL_STATE(15029)] = 671530,
  [SMALL_STATE(15030)] = 671548,
  [SMALL_STATE(15031)] = 671568,
  [SMALL_STATE(15032)] = 671586,
  [SMALL_STATE(15033)] = 671606,
  [SMALL_STATE(15034)] = 671626,
  [SMALL_STATE(15035)] = 671646,
  [SMALL_STATE(15036)] = 671664,
  [SMALL_STATE(15037)] = 671682,
  [SMALL_STATE(15038)] = 671702,
  [SMALL_STATE(15039)] = 671722,
  [SMALL_STATE(15040)] = 671742,
  [SMALL_STATE(15041)] = 671762,
  [SMALL_STATE(15042)] = 671782,
  [SMALL_STATE(15043)] = 671800,
  [SMALL_STATE(15044)] = 671820,
  [SMALL_STATE(15045)] = 671840,
  [SMALL_STATE(15046)] = 671860,
  [SMALL_STATE(15047)] = 671880,
  [SMALL_STATE(15048)] = 671900,
  [SMALL_STATE(15049)] = 671920,
  [SMALL_STATE(15050)] = 671940,
  [SMALL_STATE(15051)] = 671960,
  [SMALL_STATE(15052)] = 671978,
  [SMALL_STATE(15053)] = 671998,
  [SMALL_STATE(15054)] = 672018,
  [SMALL_STATE(15055)] = 672038,
  [SMALL_STATE(15056)] = 672056,
  [SMALL_STATE(15057)] = 672074,
  [SMALL_STATE(15058)] = 672094,
  [SMALL_STATE(15059)] = 672114,
  [SMALL_STATE(15060)] = 672134,
  [SMALL_STATE(15061)] = 672154,
  [SMALL_STATE(15062)] = 672174,
  [SMALL_STATE(15063)] = 672194,
  [SMALL_STATE(15064)] = 672214,
  [SMALL_STATE(15065)] = 672234,
  [SMALL_STATE(15066)] = 672252,
  [SMALL_STATE(15067)] = 672272,
  [SMALL_STATE(15068)] = 672292,
  [SMALL_STATE(15069)] = 672312,
  [SMALL_STATE(15070)] = 672332,
  [SMALL_STATE(15071)] = 672352,
  [SMALL_STATE(15072)] = 672372,
  [SMALL_STATE(15073)] = 672392,
  [SMALL_STATE(15074)] = 672412,
  [SMALL_STATE(15075)] = 672432,
  [SMALL_STATE(15076)] = 672450,
  [SMALL_STATE(15077)] = 672470,
  [SMALL_STATE(15078)] = 672490,
  [SMALL_STATE(15079)] = 672510,
  [SMALL_STATE(15080)] = 672530,
  [SMALL_STATE(15081)] = 672550,
  [SMALL_STATE(15082)] = 672570,
  [SMALL_STATE(15083)] = 672590,
  [SMALL_STATE(15084)] = 672610,
  [SMALL_STATE(15085)] = 672626,
  [SMALL_STATE(15086)] = 672644,
  [SMALL_STATE(15087)] = 672664,
  [SMALL_STATE(15088)] = 672684,
  [SMALL_STATE(15089)] = 672704,
  [SMALL_STATE(15090)] = 672724,
  [SMALL_STATE(15091)] = 672744,
  [SMALL_STATE(15092)] = 672764,
  [SMALL_STATE(15093)] = 672784,
  [SMALL_STATE(15094)] = 672804,
  [SMALL_STATE(15095)] = 672824,
  [SMALL_STATE(15096)] = 672842,
  [SMALL_STATE(15097)] = 672862,
  [SMALL_STATE(15098)] = 672882,
  [SMALL_STATE(15099)] = 672902,
  [SMALL_STATE(15100)] = 672922,
  [SMALL_STATE(15101)] = 672942,
  [SMALL_STATE(15102)] = 672962,
  [SMALL_STATE(15103)] = 672980,
  [SMALL_STATE(15104)] = 672998,
  [SMALL_STATE(15105)] = 673018,
  [SMALL_STATE(15106)] = 673038,
  [SMALL_STATE(15107)] = 673056,
  [SMALL_STATE(15108)] = 673074,
  [SMALL_STATE(15109)] = 673092,
  [SMALL_STATE(15110)] = 673112,
  [SMALL_STATE(15111)] = 673132,
  [SMALL_STATE(15112)] = 673152,
  [SMALL_STATE(15113)] = 673172,
  [SMALL_STATE(15114)] = 673190,
  [SMALL_STATE(15115)] = 673210,
  [SMALL_STATE(15116)] = 673230,
  [SMALL_STATE(15117)] = 673250,
  [SMALL_STATE(15118)] = 673266,
  [SMALL_STATE(15119)] = 673284,
  [SMALL_STATE(15120)] = 673304,
  [SMALL_STATE(15121)] = 673324,
  [SMALL_STATE(15122)] = 673344,
  [SMALL_STATE(15123)] = 673364,
  [SMALL_STATE(15124)] = 673380,
  [SMALL_STATE(15125)] = 673400,
  [SMALL_STATE(15126)] = 673420,
  [SMALL_STATE(15127)] = 673438,
  [SMALL_STATE(15128)] = 673458,
  [SMALL_STATE(15129)] = 673478,
  [SMALL_STATE(15130)] = 673498,
  [SMALL_STATE(15131)] = 673518,
  [SMALL_STATE(15132)] = 673536,
  [SMALL_STATE(15133)] = 673556,
  [SMALL_STATE(15134)] = 673576,
  [SMALL_STATE(15135)] = 673594,
  [SMALL_STATE(15136)] = 673614,
  [SMALL_STATE(15137)] = 673634,
  [SMALL_STATE(15138)] = 673654,
  [SMALL_STATE(15139)] = 673672,
  [SMALL_STATE(15140)] = 673692,
  [SMALL_STATE(15141)] = 673712,
  [SMALL_STATE(15142)] = 673732,
  [SMALL_STATE(15143)] = 673752,
  [SMALL_STATE(15144)] = 673772,
  [SMALL_STATE(15145)] = 673792,
  [SMALL_STATE(15146)] = 673812,
  [SMALL_STATE(15147)] = 673832,
  [SMALL_STATE(15148)] = 673850,
  [SMALL_STATE(15149)] = 673870,
  [SMALL_STATE(15150)] = 673890,
  [SMALL_STATE(15151)] = 673910,
  [SMALL_STATE(15152)] = 673930,
  [SMALL_STATE(15153)] = 673946,
  [SMALL_STATE(15154)] = 673964,
  [SMALL_STATE(15155)] = 673984,
  [SMALL_STATE(15156)] = 674004,
  [SMALL_STATE(15157)] = 674024,
  [SMALL_STATE(15158)] = 674044,
  [SMALL_STATE(15159)] = 674064,
  [SMALL_STATE(15160)] = 674084,
  [SMALL_STATE(15161)] = 674104,
  [SMALL_STATE(15162)] = 674124,
  [SMALL_STATE(15163)] = 674142,
  [SMALL_STATE(15164)] = 674162,
  [SMALL_STATE(15165)] = 674182,
  [SMALL_STATE(15166)] = 674200,
  [SMALL_STATE(15167)] = 674220,
  [SMALL_STATE(15168)] = 674240,
  [SMALL_STATE(15169)] = 674258,
  [SMALL_STATE(15170)] = 674278,
  [SMALL_STATE(15171)] = 674298,
  [SMALL_STATE(15172)] = 674318,
  [SMALL_STATE(15173)] = 674338,
  [SMALL_STATE(15174)] = 674358,
  [SMALL_STATE(15175)] = 674378,
  [SMALL_STATE(15176)] = 674396,
  [SMALL_STATE(15177)] = 674416,
  [SMALL_STATE(15178)] = 674434,
  [SMALL_STATE(15179)] = 674454,
  [SMALL_STATE(15180)] = 674474,
  [SMALL_STATE(15181)] = 674494,
  [SMALL_STATE(15182)] = 674514,
  [SMALL_STATE(15183)] = 674534,
  [SMALL_STATE(15184)] = 674554,
  [SMALL_STATE(15185)] = 674572,
  [SMALL_STATE(15186)] = 674592,
  [SMALL_STATE(15187)] = 674612,
  [SMALL_STATE(15188)] = 674632,
  [SMALL_STATE(15189)] = 674652,
  [SMALL_STATE(15190)] = 674672,
  [SMALL_STATE(15191)] = 674692,
  [SMALL_STATE(15192)] = 674712,
  [SMALL_STATE(15193)] = 674732,
  [SMALL_STATE(15194)] = 674752,
  [SMALL_STATE(15195)] = 674772,
  [SMALL_STATE(15196)] = 674790,
  [SMALL_STATE(15197)] = 674808,
  [SMALL_STATE(15198)] = 674828,
  [SMALL_STATE(15199)] = 674848,
  [SMALL_STATE(15200)] = 674868,
  [SMALL_STATE(15201)] = 674888,
  [SMALL_STATE(15202)] = 674906,
  [SMALL_STATE(15203)] = 674924,
  [SMALL_STATE(15204)] = 674944,
  [SMALL_STATE(15205)] = 674964,
  [SMALL_STATE(15206)] = 674984,
  [SMALL_STATE(15207)] = 675004,
  [SMALL_STATE(15208)] = 675024,
  [SMALL_STATE(15209)] = 675044,
  [SMALL_STATE(15210)] = 675064,
  [SMALL_STATE(15211)] = 675084,
  [SMALL_STATE(15212)] = 675102,
  [SMALL_STATE(15213)] = 675122,
  [SMALL_STATE(15214)] = 675142,
  [SMALL_STATE(15215)] = 675162,
  [SMALL_STATE(15216)] = 675182,
  [SMALL_STATE(15217)] = 675202,
  [SMALL_STATE(15218)] = 675222,
  [SMALL_STATE(15219)] = 675242,
  [SMALL_STATE(15220)] = 675262,
  [SMALL_STATE(15221)] = 675280,
  [SMALL_STATE(15222)] = 675300,
  [SMALL_STATE(15223)] = 675320,
  [SMALL_STATE(15224)] = 675340,
  [SMALL_STATE(15225)] = 675358,
  [SMALL_STATE(15226)] = 675378,
  [SMALL_STATE(15227)] = 675398,
  [SMALL_STATE(15228)] = 675418,
  [SMALL_STATE(15229)] = 675438,
  [SMALL_STATE(15230)] = 675458,
  [SMALL_STATE(15231)] = 675476,
  [SMALL_STATE(15232)] = 675496,
  [SMALL_STATE(15233)] = 675516,
  [SMALL_STATE(15234)] = 675536,
  [SMALL_STATE(15235)] = 675556,
  [SMALL_STATE(15236)] = 675576,
  [SMALL_STATE(15237)] = 675596,
  [SMALL_STATE(15238)] = 675616,
  [SMALL_STATE(15239)] = 675636,
  [SMALL_STATE(15240)] = 675654,
  [SMALL_STATE(15241)] = 675672,
  [SMALL_STATE(15242)] = 675692,
  [SMALL_STATE(15243)] = 675712,
  [SMALL_STATE(15244)] = 675732,
  [SMALL_STATE(15245)] = 675752,
  [SMALL_STATE(15246)] = 675772,
  [SMALL_STATE(15247)] = 675790,
  [SMALL_STATE(15248)] = 675810,
  [SMALL_STATE(15249)] = 675830,
  [SMALL_STATE(15250)] = 675850,
  [SMALL_STATE(15251)] = 675870,
  [SMALL_STATE(15252)] = 675890,
  [SMALL_STATE(15253)] = 675910,
  [SMALL_STATE(15254)] = 675928,
  [SMALL_STATE(15255)] = 675946,
  [SMALL_STATE(15256)] = 675966,
  [SMALL_STATE(15257)] = 675986,
  [SMALL_STATE(15258)] = 676006,
  [SMALL_STATE(15259)] = 676024,
  [SMALL_STATE(15260)] = 676044,
  [SMALL_STATE(15261)] = 676064,
  [SMALL_STATE(15262)] = 676084,
  [SMALL_STATE(15263)] = 676104,
  [SMALL_STATE(15264)] = 676124,
  [SMALL_STATE(15265)] = 676144,
  [SMALL_STATE(15266)] = 676164,
  [SMALL_STATE(15267)] = 676184,
  [SMALL_STATE(15268)] = 676202,
  [SMALL_STATE(15269)] = 676222,
  [SMALL_STATE(15270)] = 676240,
  [SMALL_STATE(15271)] = 676260,
  [SMALL_STATE(15272)] = 676278,
  [SMALL_STATE(15273)] = 676298,
  [SMALL_STATE(15274)] = 676318,
  [SMALL_STATE(15275)] = 676338,
  [SMALL_STATE(15276)] = 676356,
  [SMALL_STATE(15277)] = 676376,
  [SMALL_STATE(15278)] = 676394,
  [SMALL_STATE(15279)] = 676414,
  [SMALL_STATE(15280)] = 676432,
  [SMALL_STATE(15281)] = 676452,
  [SMALL_STATE(15282)] = 676470,
  [SMALL_STATE(15283)] = 676490,
  [SMALL_STATE(15284)] = 676510,
  [SMALL_STATE(15285)] = 676530,
  [SMALL_STATE(15286)] = 676550,
  [SMALL_STATE(15287)] = 676566,
  [SMALL_STATE(15288)] = 676584,
  [SMALL_STATE(15289)] = 676604,
  [SMALL_STATE(15290)] = 676624,
  [SMALL_STATE(15291)] = 676644,
  [SMALL_STATE(15292)] = 676664,
  [SMALL_STATE(15293)] = 676684,
  [SMALL_STATE(15294)] = 676704,
  [SMALL_STATE(15295)] = 676722,
  [SMALL_STATE(15296)] = 676742,
  [SMALL_STATE(15297)] = 676762,
  [SMALL_STATE(15298)] = 676782,
  [SMALL_STATE(15299)] = 676802,
  [SMALL_STATE(15300)] = 676822,
  [SMALL_STATE(15301)] = 676842,
  [SMALL_STATE(15302)] = 676862,
  [SMALL_STATE(15303)] = 676882,
  [SMALL_STATE(15304)] = 676902,
  [SMALL_STATE(15305)] = 676922,
  [SMALL_STATE(15306)] = 676942,
  [SMALL_STATE(15307)] = 676962,
  [SMALL_STATE(15308)] = 676982,
  [SMALL_STATE(15309)] = 677000,
  [SMALL_STATE(15310)] = 677020,
  [SMALL_STATE(15311)] = 677040,
  [SMALL_STATE(15312)] = 677060,
  [SMALL_STATE(15313)] = 677078,
  [SMALL_STATE(15314)] = 677098,
  [SMALL_STATE(15315)] = 677116,
  [SMALL_STATE(15316)] = 677136,
  [SMALL_STATE(15317)] = 677156,
  [SMALL_STATE(15318)] = 677176,
  [SMALL_STATE(15319)] = 677194,
  [SMALL_STATE(15320)] = 677214,
  [SMALL_STATE(15321)] = 677234,
  [SMALL_STATE(15322)] = 677254,
  [SMALL_STATE(15323)] = 677274,
  [SMALL_STATE(15324)] = 677292,
  [SMALL_STATE(15325)] = 677312,
  [SMALL_STATE(15326)] = 677332,
  [SMALL_STATE(15327)] = 677352,
  [SMALL_STATE(15328)] = 677372,
  [SMALL_STATE(15329)] = 677392,
  [SMALL_STATE(15330)] = 677412,
  [SMALL_STATE(15331)] = 677432,
  [SMALL_STATE(15332)] = 677450,
  [SMALL_STATE(15333)] = 677468,
  [SMALL_STATE(15334)] = 677488,
  [SMALL_STATE(15335)] = 677508,
  [SMALL_STATE(15336)] = 677528,
  [SMALL_STATE(15337)] = 677548,
  [SMALL_STATE(15338)] = 677568,
  [SMALL_STATE(15339)] = 677584,
  [SMALL_STATE(15340)] = 677602,
  [SMALL_STATE(15341)] = 677622,
  [SMALL_STATE(15342)] = 677640,
  [SMALL_STATE(15343)] = 677660,
  [SMALL_STATE(15344)] = 677680,
  [SMALL_STATE(15345)] = 677700,
  [SMALL_STATE(15346)] = 677720,
  [SMALL_STATE(15347)] = 677740,
  [SMALL_STATE(15348)] = 677758,
  [SMALL_STATE(15349)] = 677778,
  [SMALL_STATE(15350)] = 677796,
  [SMALL_STATE(15351)] = 677816,
  [SMALL_STATE(15352)] = 677836,
  [SMALL_STATE(15353)] = 677854,
  [SMALL_STATE(15354)] = 677874,
  [SMALL_STATE(15355)] = 677894,
  [SMALL_STATE(15356)] = 677914,
  [SMALL_STATE(15357)] = 677934,
  [SMALL_STATE(15358)] = 677952,
  [SMALL_STATE(15359)] = 677972,
  [SMALL_STATE(15360)] = 677992,
  [SMALL_STATE(15361)] = 678012,
  [SMALL_STATE(15362)] = 678032,
  [SMALL_STATE(15363)] = 678052,
  [SMALL_STATE(15364)] = 678072,
  [SMALL_STATE(15365)] = 678092,
  [SMALL_STATE(15366)] = 678112,
  [SMALL_STATE(15367)] = 678130,
  [SMALL_STATE(15368)] = 678150,
  [SMALL_STATE(15369)] = 678170,
  [SMALL_STATE(15370)] = 678190,
  [SMALL_STATE(15371)] = 678206,
  [SMALL_STATE(15372)] = 678226,
  [SMALL_STATE(15373)] = 678246,
  [SMALL_STATE(15374)] = 678266,
  [SMALL_STATE(15375)] = 678286,
  [SMALL_STATE(15376)] = 678302,
  [SMALL_STATE(15377)] = 678322,
  [SMALL_STATE(15378)] = 678340,
  [SMALL_STATE(15379)] = 678360,
  [SMALL_STATE(15380)] = 678380,
  [SMALL_STATE(15381)] = 678400,
  [SMALL_STATE(15382)] = 678420,
  [SMALL_STATE(15383)] = 678440,
  [SMALL_STATE(15384)] = 678460,
  [SMALL_STATE(15385)] = 678478,
  [SMALL_STATE(15386)] = 678498,
  [SMALL_STATE(15387)] = 678518,
  [SMALL_STATE(15388)] = 678538,
  [SMALL_STATE(15389)] = 678558,
  [SMALL_STATE(15390)] = 678578,
  [SMALL_STATE(15391)] = 678596,
  [SMALL_STATE(15392)] = 678616,
  [SMALL_STATE(15393)] = 678636,
  [SMALL_STATE(15394)] = 678656,
  [SMALL_STATE(15395)] = 678676,
  [SMALL_STATE(15396)] = 678696,
  [SMALL_STATE(15397)] = 678716,
  [SMALL_STATE(15398)] = 678736,
  [SMALL_STATE(15399)] = 678756,
  [SMALL_STATE(15400)] = 678776,
  [SMALL_STATE(15401)] = 678796,
  [SMALL_STATE(15402)] = 678816,
  [SMALL_STATE(15403)] = 678836,
  [SMALL_STATE(15404)] = 678856,
  [SMALL_STATE(15405)] = 678876,
  [SMALL_STATE(15406)] = 678896,
  [SMALL_STATE(15407)] = 678916,
  [SMALL_STATE(15408)] = 678936,
  [SMALL_STATE(15409)] = 678954,
  [SMALL_STATE(15410)] = 678972,
  [SMALL_STATE(15411)] = 678992,
  [SMALL_STATE(15412)] = 679010,
  [SMALL_STATE(15413)] = 679030,
  [SMALL_STATE(15414)] = 679050,
  [SMALL_STATE(15415)] = 679070,
  [SMALL_STATE(15416)] = 679088,
  [SMALL_STATE(15417)] = 679108,
  [SMALL_STATE(15418)] = 679126,
  [SMALL_STATE(15419)] = 679146,
  [SMALL_STATE(15420)] = 679164,
  [SMALL_STATE(15421)] = 679184,
  [SMALL_STATE(15422)] = 679202,
  [SMALL_STATE(15423)] = 679222,
  [SMALL_STATE(15424)] = 679240,
  [SMALL_STATE(15425)] = 679260,
  [SMALL_STATE(15426)] = 679278,
  [SMALL_STATE(15427)] = 679298,
  [SMALL_STATE(15428)] = 679316,
  [SMALL_STATE(15429)] = 679336,
  [SMALL_STATE(15430)] = 679354,
  [SMALL_STATE(15431)] = 679374,
  [SMALL_STATE(15432)] = 679392,
  [SMALL_STATE(15433)] = 679412,
  [SMALL_STATE(15434)] = 679430,
  [SMALL_STATE(15435)] = 679450,
  [SMALL_STATE(15436)] = 679468,
  [SMALL_STATE(15437)] = 679488,
  [SMALL_STATE(15438)] = 679506,
  [SMALL_STATE(15439)] = 679526,
  [SMALL_STATE(15440)] = 679544,
  [SMALL_STATE(15441)] = 679564,
  [SMALL_STATE(15442)] = 679582,
  [SMALL_STATE(15443)] = 679602,
  [SMALL_STATE(15444)] = 679622,
  [SMALL_STATE(15445)] = 679642,
  [SMALL_STATE(15446)] = 679660,
  [SMALL_STATE(15447)] = 679680,
  [SMALL_STATE(15448)] = 679698,
  [SMALL_STATE(15449)] = 679718,
  [SMALL_STATE(15450)] = 679736,
  [SMALL_STATE(15451)] = 679756,
  [SMALL_STATE(15452)] = 679774,
  [SMALL_STATE(15453)] = 679794,
  [SMALL_STATE(15454)] = 679812,
  [SMALL_STATE(15455)] = 679832,
  [SMALL_STATE(15456)] = 679850,
  [SMALL_STATE(15457)] = 679870,
  [SMALL_STATE(15458)] = 679888,
  [SMALL_STATE(15459)] = 679908,
  [SMALL_STATE(15460)] = 679928,
  [SMALL_STATE(15461)] = 679946,
  [SMALL_STATE(15462)] = 679966,
  [SMALL_STATE(15463)] = 679986,
  [SMALL_STATE(15464)] = 680004,
  [SMALL_STATE(15465)] = 680024,
  [SMALL_STATE(15466)] = 680042,
  [SMALL_STATE(15467)] = 680062,
  [SMALL_STATE(15468)] = 680080,
  [SMALL_STATE(15469)] = 680100,
  [SMALL_STATE(15470)] = 680120,
  [SMALL_STATE(15471)] = 680138,
  [SMALL_STATE(15472)] = 680158,
  [SMALL_STATE(15473)] = 680178,
  [SMALL_STATE(15474)] = 680196,
  [SMALL_STATE(15475)] = 680216,
  [SMALL_STATE(15476)] = 680234,
  [SMALL_STATE(15477)] = 680254,
  [SMALL_STATE(15478)] = 680272,
  [SMALL_STATE(15479)] = 680292,
  [SMALL_STATE(15480)] = 680310,
  [SMALL_STATE(15481)] = 680330,
  [SMALL_STATE(15482)] = 680348,
  [SMALL_STATE(15483)] = 680368,
  [SMALL_STATE(15484)] = 680386,
  [SMALL_STATE(15485)] = 680404,
  [SMALL_STATE(15486)] = 680424,
  [SMALL_STATE(15487)] = 680444,
  [SMALL_STATE(15488)] = 680462,
  [SMALL_STATE(15489)] = 680482,
  [SMALL_STATE(15490)] = 680502,
  [SMALL_STATE(15491)] = 680522,
  [SMALL_STATE(15492)] = 680540,
  [SMALL_STATE(15493)] = 680560,
  [SMALL_STATE(15494)] = 680580,
  [SMALL_STATE(15495)] = 680600,
  [SMALL_STATE(15496)] = 680618,
  [SMALL_STATE(15497)] = 680638,
  [SMALL_STATE(15498)] = 680658,
  [SMALL_STATE(15499)] = 680676,
  [SMALL_STATE(15500)] = 680696,
  [SMALL_STATE(15501)] = 680714,
  [SMALL_STATE(15502)] = 680734,
  [SMALL_STATE(15503)] = 680754,
  [SMALL_STATE(15504)] = 680774,
  [SMALL_STATE(15505)] = 680794,
  [SMALL_STATE(15506)] = 680812,
  [SMALL_STATE(15507)] = 680832,
  [SMALL_STATE(15508)] = 680852,
  [SMALL_STATE(15509)] = 680872,
  [SMALL_STATE(15510)] = 680892,
  [SMALL_STATE(15511)] = 680912,
  [SMALL_STATE(15512)] = 680932,
  [SMALL_STATE(15513)] = 680952,
  [SMALL_STATE(15514)] = 680972,
  [SMALL_STATE(15515)] = 680992,
  [SMALL_STATE(15516)] = 681012,
  [SMALL_STATE(15517)] = 681030,
  [SMALL_STATE(15518)] = 681050,
  [SMALL_STATE(15519)] = 681070,
  [SMALL_STATE(15520)] = 681090,
  [SMALL_STATE(15521)] = 681110,
  [SMALL_STATE(15522)] = 681130,
  [SMALL_STATE(15523)] = 681150,
  [SMALL_STATE(15524)] = 681168,
  [SMALL_STATE(15525)] = 681188,
  [SMALL_STATE(15526)] = 681208,
  [SMALL_STATE(15527)] = 681228,
  [SMALL_STATE(15528)] = 681248,
  [SMALL_STATE(15529)] = 681268,
  [SMALL_STATE(15530)] = 681288,
  [SMALL_STATE(15531)] = 681308,
  [SMALL_STATE(15532)] = 681328,
  [SMALL_STATE(15533)] = 681348,
  [SMALL_STATE(15534)] = 681368,
  [SMALL_STATE(15535)] = 681388,
  [SMALL_STATE(15536)] = 681408,
  [SMALL_STATE(15537)] = 681426,
  [SMALL_STATE(15538)] = 681446,
  [SMALL_STATE(15539)] = 681466,
  [SMALL_STATE(15540)] = 681486,
  [SMALL_STATE(15541)] = 681506,
  [SMALL_STATE(15542)] = 681524,
  [SMALL_STATE(15543)] = 681542,
  [SMALL_STATE(15544)] = 681562,
  [SMALL_STATE(15545)] = 681580,
  [SMALL_STATE(15546)] = 681600,
  [SMALL_STATE(15547)] = 681620,
  [SMALL_STATE(15548)] = 681640,
  [SMALL_STATE(15549)] = 681658,
  [SMALL_STATE(15550)] = 681676,
  [SMALL_STATE(15551)] = 681696,
  [SMALL_STATE(15552)] = 681716,
  [SMALL_STATE(15553)] = 681736,
  [SMALL_STATE(15554)] = 681756,
  [SMALL_STATE(15555)] = 681776,
  [SMALL_STATE(15556)] = 681796,
  [SMALL_STATE(15557)] = 681814,
  [SMALL_STATE(15558)] = 681832,
  [SMALL_STATE(15559)] = 681852,
  [SMALL_STATE(15560)] = 681872,
  [SMALL_STATE(15561)] = 681892,
  [SMALL_STATE(15562)] = 681910,
  [SMALL_STATE(15563)] = 681930,
  [SMALL_STATE(15564)] = 681950,
  [SMALL_STATE(15565)] = 681970,
  [SMALL_STATE(15566)] = 681990,
  [SMALL_STATE(15567)] = 682010,
  [SMALL_STATE(15568)] = 682030,
  [SMALL_STATE(15569)] = 682050,
  [SMALL_STATE(15570)] = 682068,
  [SMALL_STATE(15571)] = 682088,
  [SMALL_STATE(15572)] = 682108,
  [SMALL_STATE(15573)] = 682128,
  [SMALL_STATE(15574)] = 682148,
  [SMALL_STATE(15575)] = 682168,
  [SMALL_STATE(15576)] = 682188,
  [SMALL_STATE(15577)] = 682208,
  [SMALL_STATE(15578)] = 682228,
  [SMALL_STATE(15579)] = 682246,
  [SMALL_STATE(15580)] = 682264,
  [SMALL_STATE(15581)] = 682284,
  [SMALL_STATE(15582)] = 682304,
  [SMALL_STATE(15583)] = 682324,
  [SMALL_STATE(15584)] = 682344,
  [SMALL_STATE(15585)] = 682364,
  [SMALL_STATE(15586)] = 682384,
  [SMALL_STATE(15587)] = 682404,
  [SMALL_STATE(15588)] = 682422,
  [SMALL_STATE(15589)] = 682442,
  [SMALL_STATE(15590)] = 682462,
  [SMALL_STATE(15591)] = 682482,
  [SMALL_STATE(15592)] = 682502,
  [SMALL_STATE(15593)] = 682522,
  [SMALL_STATE(15594)] = 682542,
  [SMALL_STATE(15595)] = 682562,
  [SMALL_STATE(15596)] = 682582,
  [SMALL_STATE(15597)] = 682600,
  [SMALL_STATE(15598)] = 682620,
  [SMALL_STATE(15599)] = 682640,
  [SMALL_STATE(15600)] = 682660,
  [SMALL_STATE(15601)] = 682680,
  [SMALL_STATE(15602)] = 682700,
  [SMALL_STATE(15603)] = 682720,
  [SMALL_STATE(15604)] = 682740,
  [SMALL_STATE(15605)] = 682760,
  [SMALL_STATE(15606)] = 682780,
  [SMALL_STATE(15607)] = 682798,
  [SMALL_STATE(15608)] = 682818,
  [SMALL_STATE(15609)] = 682838,
  [SMALL_STATE(15610)] = 682858,
  [SMALL_STATE(15611)] = 682878,
  [SMALL_STATE(15612)] = 682898,
  [SMALL_STATE(15613)] = 682918,
  [SMALL_STATE(15614)] = 682938,
  [SMALL_STATE(15615)] = 682958,
  [SMALL_STATE(15616)] = 682978,
  [SMALL_STATE(15617)] = 682998,
  [SMALL_STATE(15618)] = 683016,
  [SMALL_STATE(15619)] = 683036,
  [SMALL_STATE(15620)] = 683056,
  [SMALL_STATE(15621)] = 683076,
  [SMALL_STATE(15622)] = 683096,
  [SMALL_STATE(15623)] = 683116,
  [SMALL_STATE(15624)] = 683136,
  [SMALL_STATE(15625)] = 683156,
  [SMALL_STATE(15626)] = 683174,
  [SMALL_STATE(15627)] = 683194,
  [SMALL_STATE(15628)] = 683214,
  [SMALL_STATE(15629)] = 683234,
  [SMALL_STATE(15630)] = 683254,
  [SMALL_STATE(15631)] = 683274,
  [SMALL_STATE(15632)] = 683292,
  [SMALL_STATE(15633)] = 683312,
  [SMALL_STATE(15634)] = 683330,
  [SMALL_STATE(15635)] = 683350,
  [SMALL_STATE(15636)] = 683370,
  [SMALL_STATE(15637)] = 683390,
  [SMALL_STATE(15638)] = 683410,
  [SMALL_STATE(15639)] = 683430,
  [SMALL_STATE(15640)] = 683448,
  [SMALL_STATE(15641)] = 683468,
  [SMALL_STATE(15642)] = 683486,
  [SMALL_STATE(15643)] = 683506,
  [SMALL_STATE(15644)] = 683526,
  [SMALL_STATE(15645)] = 683546,
  [SMALL_STATE(15646)] = 683566,
  [SMALL_STATE(15647)] = 683584,
  [SMALL_STATE(15648)] = 683604,
  [SMALL_STATE(15649)] = 683624,
  [SMALL_STATE(15650)] = 683644,
  [SMALL_STATE(15651)] = 683664,
  [SMALL_STATE(15652)] = 683684,
  [SMALL_STATE(15653)] = 683704,
  [SMALL_STATE(15654)] = 683722,
  [SMALL_STATE(15655)] = 683742,
  [SMALL_STATE(15656)] = 683762,
  [SMALL_STATE(15657)] = 683782,
  [SMALL_STATE(15658)] = 683802,
  [SMALL_STATE(15659)] = 683822,
  [SMALL_STATE(15660)] = 683842,
  [SMALL_STATE(15661)] = 683862,
  [SMALL_STATE(15662)] = 683882,
  [SMALL_STATE(15663)] = 683902,
  [SMALL_STATE(15664)] = 683922,
  [SMALL_STATE(15665)] = 683942,
  [SMALL_STATE(15666)] = 683962,
  [SMALL_STATE(15667)] = 683982,
  [SMALL_STATE(15668)] = 684002,
  [SMALL_STATE(15669)] = 684020,
  [SMALL_STATE(15670)] = 684040,
  [SMALL_STATE(15671)] = 684060,
  [SMALL_STATE(15672)] = 684080,
  [SMALL_STATE(15673)] = 684100,
  [SMALL_STATE(15674)] = 684120,
  [SMALL_STATE(15675)] = 684140,
  [SMALL_STATE(15676)] = 684160,
  [SMALL_STATE(15677)] = 684180,
  [SMALL_STATE(15678)] = 684200,
  [SMALL_STATE(15679)] = 684220,
  [SMALL_STATE(15680)] = 684240,
  [SMALL_STATE(15681)] = 684260,
  [SMALL_STATE(15682)] = 684280,
  [SMALL_STATE(15683)] = 684298,
  [SMALL_STATE(15684)] = 684318,
  [SMALL_STATE(15685)] = 684338,
  [SMALL_STATE(15686)] = 684358,
  [SMALL_STATE(15687)] = 684378,
  [SMALL_STATE(15688)] = 684398,
  [SMALL_STATE(15689)] = 684418,
  [SMALL_STATE(15690)] = 684438,
  [SMALL_STATE(15691)] = 684458,
  [SMALL_STATE(15692)] = 684478,
  [SMALL_STATE(15693)] = 684498,
  [SMALL_STATE(15694)] = 684518,
  [SMALL_STATE(15695)] = 684538,
  [SMALL_STATE(15696)] = 684558,
  [SMALL_STATE(15697)] = 684578,
  [SMALL_STATE(15698)] = 684598,
  [SMALL_STATE(15699)] = 684618,
  [SMALL_STATE(15700)] = 684636,
  [SMALL_STATE(15701)] = 684656,
  [SMALL_STATE(15702)] = 684676,
  [SMALL_STATE(15703)] = 684696,
  [SMALL_STATE(15704)] = 684716,
  [SMALL_STATE(15705)] = 684734,
  [SMALL_STATE(15706)] = 684754,
  [SMALL_STATE(15707)] = 684774,
  [SMALL_STATE(15708)] = 684794,
  [SMALL_STATE(15709)] = 684814,
  [SMALL_STATE(15710)] = 684834,
  [SMALL_STATE(15711)] = 684854,
  [SMALL_STATE(15712)] = 684874,
  [SMALL_STATE(15713)] = 684894,
  [SMALL_STATE(15714)] = 684914,
  [SMALL_STATE(15715)] = 684934,
  [SMALL_STATE(15716)] = 684954,
  [SMALL_STATE(15717)] = 684974,
  [SMALL_STATE(15718)] = 684994,
  [SMALL_STATE(15719)] = 685014,
  [SMALL_STATE(15720)] = 685034,
  [SMALL_STATE(15721)] = 685054,
  [SMALL_STATE(15722)] = 685074,
  [SMALL_STATE(15723)] = 685092,
  [SMALL_STATE(15724)] = 685112,
  [SMALL_STATE(15725)] = 685132,
  [SMALL_STATE(15726)] = 685152,
  [SMALL_STATE(15727)] = 685172,
  [SMALL_STATE(15728)] = 685192,
  [SMALL_STATE(15729)] = 685212,
  [SMALL_STATE(15730)] = 685232,
  [SMALL_STATE(15731)] = 685252,
  [SMALL_STATE(15732)] = 685272,
  [SMALL_STATE(15733)] = 685292,
  [SMALL_STATE(15734)] = 685312,
  [SMALL_STATE(15735)] = 685330,
  [SMALL_STATE(15736)] = 685350,
  [SMALL_STATE(15737)] = 685370,
  [SMALL_STATE(15738)] = 685390,
  [SMALL_STATE(15739)] = 685410,
  [SMALL_STATE(15740)] = 685430,
  [SMALL_STATE(15741)] = 685450,
  [SMALL_STATE(15742)] = 685470,
  [SMALL_STATE(15743)] = 685488,
  [SMALL_STATE(15744)] = 685508,
  [SMALL_STATE(15745)] = 685528,
  [SMALL_STATE(15746)] = 685548,
  [SMALL_STATE(15747)] = 685568,
  [SMALL_STATE(15748)] = 685588,
  [SMALL_STATE(15749)] = 685608,
  [SMALL_STATE(15750)] = 685628,
  [SMALL_STATE(15751)] = 685648,
  [SMALL_STATE(15752)] = 685668,
  [SMALL_STATE(15753)] = 685688,
  [SMALL_STATE(15754)] = 685708,
  [SMALL_STATE(15755)] = 685728,
  [SMALL_STATE(15756)] = 685748,
  [SMALL_STATE(15757)] = 685766,
  [SMALL_STATE(15758)] = 685786,
  [SMALL_STATE(15759)] = 685806,
  [SMALL_STATE(15760)] = 685826,
  [SMALL_STATE(15761)] = 685846,
  [SMALL_STATE(15762)] = 685866,
  [SMALL_STATE(15763)] = 685886,
  [SMALL_STATE(15764)] = 685906,
  [SMALL_STATE(15765)] = 685926,
  [SMALL_STATE(15766)] = 685946,
  [SMALL_STATE(15767)] = 685966,
  [SMALL_STATE(15768)] = 685986,
  [SMALL_STATE(15769)] = 686006,
  [SMALL_STATE(15770)] = 686026,
  [SMALL_STATE(15771)] = 686046,
  [SMALL_STATE(15772)] = 686066,
  [SMALL_STATE(15773)] = 686086,
  [SMALL_STATE(15774)] = 686106,
  [SMALL_STATE(15775)] = 686126,
  [SMALL_STATE(15776)] = 686146,
  [SMALL_STATE(15777)] = 686166,
  [SMALL_STATE(15778)] = 686184,
  [SMALL_STATE(15779)] = 686204,
  [SMALL_STATE(15780)] = 686222,
  [SMALL_STATE(15781)] = 686242,
  [SMALL_STATE(15782)] = 686262,
  [SMALL_STATE(15783)] = 686282,
  [SMALL_STATE(15784)] = 686302,
  [SMALL_STATE(15785)] = 686322,
  [SMALL_STATE(15786)] = 686342,
  [SMALL_STATE(15787)] = 686362,
  [SMALL_STATE(15788)] = 686382,
  [SMALL_STATE(15789)] = 686402,
  [SMALL_STATE(15790)] = 686422,
  [SMALL_STATE(15791)] = 686442,
  [SMALL_STATE(15792)] = 686462,
  [SMALL_STATE(15793)] = 686482,
  [SMALL_STATE(15794)] = 686502,
  [SMALL_STATE(15795)] = 686522,
  [SMALL_STATE(15796)] = 686542,
  [SMALL_STATE(15797)] = 686560,
  [SMALL_STATE(15798)] = 686580,
  [SMALL_STATE(15799)] = 686600,
  [SMALL_STATE(15800)] = 686620,
  [SMALL_STATE(15801)] = 686640,
  [SMALL_STATE(15802)] = 686660,
  [SMALL_STATE(15803)] = 686680,
  [SMALL_STATE(15804)] = 686700,
  [SMALL_STATE(15805)] = 686720,
  [SMALL_STATE(15806)] = 686738,
  [SMALL_STATE(15807)] = 686758,
  [SMALL_STATE(15808)] = 686778,
  [SMALL_STATE(15809)] = 686798,
  [SMALL_STATE(15810)] = 686818,
  [SMALL_STATE(15811)] = 686838,
  [SMALL_STATE(15812)] = 686858,
  [SMALL_STATE(15813)] = 686878,
  [SMALL_STATE(15814)] = 686898,
  [SMALL_STATE(15815)] = 686918,
  [SMALL_STATE(15816)] = 686938,
  [SMALL_STATE(15817)] = 686958,
  [SMALL_STATE(15818)] = 686978,
  [SMALL_STATE(15819)] = 686998,
  [SMALL_STATE(15820)] = 687018,
  [SMALL_STATE(15821)] = 687038,
  [SMALL_STATE(15822)] = 687058,
  [SMALL_STATE(15823)] = 687078,
  [SMALL_STATE(15824)] = 687098,
  [SMALL_STATE(15825)] = 687118,
  [SMALL_STATE(15826)] = 687138,
  [SMALL_STATE(15827)] = 687158,
  [SMALL_STATE(15828)] = 687178,
  [SMALL_STATE(15829)] = 687198,
  [SMALL_STATE(15830)] = 687216,
  [SMALL_STATE(15831)] = 687236,
  [SMALL_STATE(15832)] = 687256,
  [SMALL_STATE(15833)] = 687276,
  [SMALL_STATE(15834)] = 687296,
  [SMALL_STATE(15835)] = 687316,
  [SMALL_STATE(15836)] = 687336,
  [SMALL_STATE(15837)] = 687356,
  [SMALL_STATE(15838)] = 687376,
  [SMALL_STATE(15839)] = 687396,
  [SMALL_STATE(15840)] = 687416,
  [SMALL_STATE(15841)] = 687436,
  [SMALL_STATE(15842)] = 687456,
  [SMALL_STATE(15843)] = 687474,
  [SMALL_STATE(15844)] = 687494,
  [SMALL_STATE(15845)] = 687514,
  [SMALL_STATE(15846)] = 687534,
  [SMALL_STATE(15847)] = 687552,
  [SMALL_STATE(15848)] = 687572,
  [SMALL_STATE(15849)] = 687592,
  [SMALL_STATE(15850)] = 687612,
  [SMALL_STATE(15851)] = 687632,
  [SMALL_STATE(15852)] = 687652,
  [SMALL_STATE(15853)] = 687672,
  [SMALL_STATE(15854)] = 687692,
  [SMALL_STATE(15855)] = 687712,
  [SMALL_STATE(15856)] = 687732,
  [SMALL_STATE(15857)] = 687752,
  [SMALL_STATE(15858)] = 687770,
  [SMALL_STATE(15859)] = 687790,
  [SMALL_STATE(15860)] = 687810,
  [SMALL_STATE(15861)] = 687830,
  [SMALL_STATE(15862)] = 687850,
  [SMALL_STATE(15863)] = 687870,
  [SMALL_STATE(15864)] = 687890,
  [SMALL_STATE(15865)] = 687910,
  [SMALL_STATE(15866)] = 687930,
  [SMALL_STATE(15867)] = 687950,
  [SMALL_STATE(15868)] = 687970,
  [SMALL_STATE(15869)] = 687990,
  [SMALL_STATE(15870)] = 688010,
  [SMALL_STATE(15871)] = 688030,
  [SMALL_STATE(15872)] = 688050,
  [SMALL_STATE(15873)] = 688070,
  [SMALL_STATE(15874)] = 688090,
  [SMALL_STATE(15875)] = 688110,
  [SMALL_STATE(15876)] = 688130,
  [SMALL_STATE(15877)] = 688150,
  [SMALL_STATE(15878)] = 688170,
  [SMALL_STATE(15879)] = 688190,
  [SMALL_STATE(15880)] = 688210,
  [SMALL_STATE(15881)] = 688228,
  [SMALL_STATE(15882)] = 688248,
  [SMALL_STATE(15883)] = 688268,
  [SMALL_STATE(15884)] = 688288,
  [SMALL_STATE(15885)] = 688308,
  [SMALL_STATE(15886)] = 688328,
  [SMALL_STATE(15887)] = 688348,
  [SMALL_STATE(15888)] = 688368,
  [SMALL_STATE(15889)] = 688388,
  [SMALL_STATE(15890)] = 688408,
  [SMALL_STATE(15891)] = 688428,
  [SMALL_STATE(15892)] = 688448,
  [SMALL_STATE(15893)] = 688468,
  [SMALL_STATE(15894)] = 688488,
  [SMALL_STATE(15895)] = 688508,
  [SMALL_STATE(15896)] = 688528,
  [SMALL_STATE(15897)] = 688548,
  [SMALL_STATE(15898)] = 688568,
  [SMALL_STATE(15899)] = 688588,
  [SMALL_STATE(15900)] = 688608,
  [SMALL_STATE(15901)] = 688628,
  [SMALL_STATE(15902)] = 688648,
  [SMALL_STATE(15903)] = 688668,
  [SMALL_STATE(15904)] = 688688,
  [SMALL_STATE(15905)] = 688708,
  [SMALL_STATE(15906)] = 688728,
  [SMALL_STATE(15907)] = 688748,
  [SMALL_STATE(15908)] = 688768,
  [SMALL_STATE(15909)] = 688788,
  [SMALL_STATE(15910)] = 688808,
  [SMALL_STATE(15911)] = 688828,
  [SMALL_STATE(15912)] = 688848,
  [SMALL_STATE(15913)] = 688868,
  [SMALL_STATE(15914)] = 688886,
  [SMALL_STATE(15915)] = 688906,
  [SMALL_STATE(15916)] = 688926,
  [SMALL_STATE(15917)] = 688946,
  [SMALL_STATE(15918)] = 688966,
  [SMALL_STATE(15919)] = 688986,
  [SMALL_STATE(15920)] = 689006,
  [SMALL_STATE(15921)] = 689026,
  [SMALL_STATE(15922)] = 689046,
  [SMALL_STATE(15923)] = 689066,
  [SMALL_STATE(15924)] = 689086,
  [SMALL_STATE(15925)] = 689106,
  [SMALL_STATE(15926)] = 689126,
  [SMALL_STATE(15927)] = 689146,
  [SMALL_STATE(15928)] = 689166,
  [SMALL_STATE(15929)] = 689186,
  [SMALL_STATE(15930)] = 689206,
  [SMALL_STATE(15931)] = 689226,
  [SMALL_STATE(15932)] = 689246,
  [SMALL_STATE(15933)] = 689266,
  [SMALL_STATE(15934)] = 689286,
  [SMALL_STATE(15935)] = 689306,
  [SMALL_STATE(15936)] = 689326,
  [SMALL_STATE(15937)] = 689346,
  [SMALL_STATE(15938)] = 689366,
  [SMALL_STATE(15939)] = 689384,
  [SMALL_STATE(15940)] = 689404,
  [SMALL_STATE(15941)] = 689424,
  [SMALL_STATE(15942)] = 689444,
  [SMALL_STATE(15943)] = 689462,
  [SMALL_STATE(15944)] = 689482,
  [SMALL_STATE(15945)] = 689502,
  [SMALL_STATE(15946)] = 689522,
  [SMALL_STATE(15947)] = 689542,
  [SMALL_STATE(15948)] = 689562,
  [SMALL_STATE(15949)] = 689582,
  [SMALL_STATE(15950)] = 689602,
  [SMALL_STATE(15951)] = 689622,
  [SMALL_STATE(15952)] = 689642,
  [SMALL_STATE(15953)] = 689662,
  [SMALL_STATE(15954)] = 689682,
  [SMALL_STATE(15955)] = 689702,
  [SMALL_STATE(15956)] = 689722,
  [SMALL_STATE(15957)] = 689742,
  [SMALL_STATE(15958)] = 689762,
  [SMALL_STATE(15959)] = 689782,
  [SMALL_STATE(15960)] = 689802,
  [SMALL_STATE(15961)] = 689822,
  [SMALL_STATE(15962)] = 689842,
  [SMALL_STATE(15963)] = 689862,
  [SMALL_STATE(15964)] = 689882,
  [SMALL_STATE(15965)] = 689902,
  [SMALL_STATE(15966)] = 689922,
  [SMALL_STATE(15967)] = 689942,
  [SMALL_STATE(15968)] = 689962,
  [SMALL_STATE(15969)] = 689982,
  [SMALL_STATE(15970)] = 690002,
  [SMALL_STATE(15971)] = 690022,
  [SMALL_STATE(15972)] = 690042,
  [SMALL_STATE(15973)] = 690062,
  [SMALL_STATE(15974)] = 690082,
  [SMALL_STATE(15975)] = 690102,
  [SMALL_STATE(15976)] = 690122,
  [SMALL_STATE(15977)] = 690142,
  [SMALL_STATE(15978)] = 690162,
  [SMALL_STATE(15979)] = 690182,
  [SMALL_STATE(15980)] = 690202,
  [SMALL_STATE(15981)] = 690222,
  [SMALL_STATE(15982)] = 690240,
  [SMALL_STATE(15983)] = 690260,
  [SMALL_STATE(15984)] = 690280,
  [SMALL_STATE(15985)] = 690300,
  [SMALL_STATE(15986)] = 690320,
  [SMALL_STATE(15987)] = 690340,
  [SMALL_STATE(15988)] = 690360,
  [SMALL_STATE(15989)] = 690380,
  [SMALL_STATE(15990)] = 690400,
  [SMALL_STATE(15991)] = 690420,
  [SMALL_STATE(15992)] = 690440,
  [SMALL_STATE(15993)] = 690460,
  [SMALL_STATE(15994)] = 690480,
  [SMALL_STATE(15995)] = 690500,
  [SMALL_STATE(15996)] = 690520,
  [SMALL_STATE(15997)] = 690540,
  [SMALL_STATE(15998)] = 690560,
  [SMALL_STATE(15999)] = 690580,
  [SMALL_STATE(16000)] = 690600,
  [SMALL_STATE(16001)] = 690620,
  [SMALL_STATE(16002)] = 690640,
  [SMALL_STATE(16003)] = 690660,
  [SMALL_STATE(16004)] = 690680,
  [SMALL_STATE(16005)] = 690700,
  [SMALL_STATE(16006)] = 690720,
  [SMALL_STATE(16007)] = 690740,
  [SMALL_STATE(16008)] = 690760,
  [SMALL_STATE(16009)] = 690780,
  [SMALL_STATE(16010)] = 690800,
  [SMALL_STATE(16011)] = 690820,
  [SMALL_STATE(16012)] = 690838,
  [SMALL_STATE(16013)] = 690858,
  [SMALL_STATE(16014)] = 690878,
  [SMALL_STATE(16015)] = 690898,
  [SMALL_STATE(16016)] = 690918,
  [SMALL_STATE(16017)] = 690938,
  [SMALL_STATE(16018)] = 690958,
  [SMALL_STATE(16019)] = 690978,
  [SMALL_STATE(16020)] = 690998,
  [SMALL_STATE(16021)] = 691018,
  [SMALL_STATE(16022)] = 691038,
  [SMALL_STATE(16023)] = 691058,
  [SMALL_STATE(16024)] = 691078,
  [SMALL_STATE(16025)] = 691098,
  [SMALL_STATE(16026)] = 691118,
  [SMALL_STATE(16027)] = 691138,
  [SMALL_STATE(16028)] = 691158,
  [SMALL_STATE(16029)] = 691178,
  [SMALL_STATE(16030)] = 691198,
  [SMALL_STATE(16031)] = 691218,
  [SMALL_STATE(16032)] = 691238,
  [SMALL_STATE(16033)] = 691258,
  [SMALL_STATE(16034)] = 691278,
  [SMALL_STATE(16035)] = 691298,
  [SMALL_STATE(16036)] = 691318,
  [SMALL_STATE(16037)] = 691338,
  [SMALL_STATE(16038)] = 691358,
  [SMALL_STATE(16039)] = 691378,
  [SMALL_STATE(16040)] = 691396,
  [SMALL_STATE(16041)] = 691416,
  [SMALL_STATE(16042)] = 691436,
  [SMALL_STATE(16043)] = 691456,
  [SMALL_STATE(16044)] = 691476,
  [SMALL_STATE(16045)] = 691496,
  [SMALL_STATE(16046)] = 691516,
  [SMALL_STATE(16047)] = 691536,
  [SMALL_STATE(16048)] = 691556,
  [SMALL_STATE(16049)] = 691576,
  [SMALL_STATE(16050)] = 691596,
  [SMALL_STATE(16051)] = 691616,
  [SMALL_STATE(16052)] = 691636,
  [SMALL_STATE(16053)] = 691656,
  [SMALL_STATE(16054)] = 691676,
  [SMALL_STATE(16055)] = 691696,
  [SMALL_STATE(16056)] = 691716,
  [SMALL_STATE(16057)] = 691736,
  [SMALL_STATE(16058)] = 691756,
  [SMALL_STATE(16059)] = 691776,
  [SMALL_STATE(16060)] = 691796,
  [SMALL_STATE(16061)] = 691816,
  [SMALL_STATE(16062)] = 691836,
  [SMALL_STATE(16063)] = 691856,
  [SMALL_STATE(16064)] = 691876,
  [SMALL_STATE(16065)] = 691894,
  [SMALL_STATE(16066)] = 691914,
  [SMALL_STATE(16067)] = 691934,
  [SMALL_STATE(16068)] = 691954,
  [SMALL_STATE(16069)] = 691974,
  [SMALL_STATE(16070)] = 691994,
  [SMALL_STATE(16071)] = 692014,
  [SMALL_STATE(16072)] = 692034,
  [SMALL_STATE(16073)] = 692054,
  [SMALL_STATE(16074)] = 692074,
  [SMALL_STATE(16075)] = 692092,
  [SMALL_STATE(16076)] = 692112,
  [SMALL_STATE(16077)] = 692132,
  [SMALL_STATE(16078)] = 692152,
  [SMALL_STATE(16079)] = 692172,
  [SMALL_STATE(16080)] = 692192,
  [SMALL_STATE(16081)] = 692212,
  [SMALL_STATE(16082)] = 692232,
  [SMALL_STATE(16083)] = 692252,
  [SMALL_STATE(16084)] = 692272,
  [SMALL_STATE(16085)] = 692292,
  [SMALL_STATE(16086)] = 692312,
  [SMALL_STATE(16087)] = 692332,
  [SMALL_STATE(16088)] = 692352,
  [SMALL_STATE(16089)] = 692372,
  [SMALL_STATE(16090)] = 692392,
  [SMALL_STATE(16091)] = 692412,
  [SMALL_STATE(16092)] = 692432,
  [SMALL_STATE(16093)] = 692452,
  [SMALL_STATE(16094)] = 692472,
  [SMALL_STATE(16095)] = 692492,
  [SMALL_STATE(16096)] = 692512,
  [SMALL_STATE(16097)] = 692532,
  [SMALL_STATE(16098)] = 692552,
  [SMALL_STATE(16099)] = 692572,
  [SMALL_STATE(16100)] = 692592,
  [SMALL_STATE(16101)] = 692612,
  [SMALL_STATE(16102)] = 692632,
  [SMALL_STATE(16103)] = 692652,
  [SMALL_STATE(16104)] = 692672,
  [SMALL_STATE(16105)] = 692692,
  [SMALL_STATE(16106)] = 692712,
  [SMALL_STATE(16107)] = 692732,
  [SMALL_STATE(16108)] = 692750,
  [SMALL_STATE(16109)] = 692770,
  [SMALL_STATE(16110)] = 692790,
  [SMALL_STATE(16111)] = 692810,
  [SMALL_STATE(16112)] = 692830,
  [SMALL_STATE(16113)] = 692850,
  [SMALL_STATE(16114)] = 692870,
  [SMALL_STATE(16115)] = 692890,
  [SMALL_STATE(16116)] = 692910,
  [SMALL_STATE(16117)] = 692930,
  [SMALL_STATE(16118)] = 692950,
  [SMALL_STATE(16119)] = 692970,
  [SMALL_STATE(16120)] = 692990,
  [SMALL_STATE(16121)] = 693010,
  [SMALL_STATE(16122)] = 693030,
  [SMALL_STATE(16123)] = 693050,
  [SMALL_STATE(16124)] = 693070,
  [SMALL_STATE(16125)] = 693090,
  [SMALL_STATE(16126)] = 693110,
  [SMALL_STATE(16127)] = 693130,
  [SMALL_STATE(16128)] = 693150,
  [SMALL_STATE(16129)] = 693170,
  [SMALL_STATE(16130)] = 693190,
  [SMALL_STATE(16131)] = 693210,
  [SMALL_STATE(16132)] = 693230,
  [SMALL_STATE(16133)] = 693250,
  [SMALL_STATE(16134)] = 693270,
  [SMALL_STATE(16135)] = 693290,
  [SMALL_STATE(16136)] = 693310,
  [SMALL_STATE(16137)] = 693330,
  [SMALL_STATE(16138)] = 693350,
  [SMALL_STATE(16139)] = 693368,
  [SMALL_STATE(16140)] = 693388,
  [SMALL_STATE(16141)] = 693408,
  [SMALL_STATE(16142)] = 693428,
  [SMALL_STATE(16143)] = 693448,
  [SMALL_STATE(16144)] = 693468,
  [SMALL_STATE(16145)] = 693488,
  [SMALL_STATE(16146)] = 693508,
  [SMALL_STATE(16147)] = 693528,
  [SMALL_STATE(16148)] = 693548,
  [SMALL_STATE(16149)] = 693568,
  [SMALL_STATE(16150)] = 693588,
  [SMALL_STATE(16151)] = 693608,
  [SMALL_STATE(16152)] = 693628,
  [SMALL_STATE(16153)] = 693648,
  [SMALL_STATE(16154)] = 693668,
  [SMALL_STATE(16155)] = 693688,
  [SMALL_STATE(16156)] = 693708,
  [SMALL_STATE(16157)] = 693728,
  [SMALL_STATE(16158)] = 693748,
  [SMALL_STATE(16159)] = 693768,
  [SMALL_STATE(16160)] = 693788,
  [SMALL_STATE(16161)] = 693808,
  [SMALL_STATE(16162)] = 693828,
  [SMALL_STATE(16163)] = 693848,
  [SMALL_STATE(16164)] = 693868,
  [SMALL_STATE(16165)] = 693888,
  [SMALL_STATE(16166)] = 693908,
  [SMALL_STATE(16167)] = 693926,
  [SMALL_STATE(16168)] = 693946,
  [SMALL_STATE(16169)] = 693964,
  [SMALL_STATE(16170)] = 693984,
  [SMALL_STATE(16171)] = 694004,
  [SMALL_STATE(16172)] = 694024,
  [SMALL_STATE(16173)] = 694042,
  [SMALL_STATE(16174)] = 694062,
  [SMALL_STATE(16175)] = 694082,
  [SMALL_STATE(16176)] = 694102,
  [SMALL_STATE(16177)] = 694122,
  [SMALL_STATE(16178)] = 694142,
  [SMALL_STATE(16179)] = 694162,
  [SMALL_STATE(16180)] = 694182,
  [SMALL_STATE(16181)] = 694200,
  [SMALL_STATE(16182)] = 694220,
  [SMALL_STATE(16183)] = 694240,
  [SMALL_STATE(16184)] = 694260,
  [SMALL_STATE(16185)] = 694280,
  [SMALL_STATE(16186)] = 694300,
  [SMALL_STATE(16187)] = 694320,
  [SMALL_STATE(16188)] = 694340,
  [SMALL_STATE(16189)] = 694360,
  [SMALL_STATE(16190)] = 694380,
  [SMALL_STATE(16191)] = 694400,
  [SMALL_STATE(16192)] = 694420,
  [SMALL_STATE(16193)] = 694440,
  [SMALL_STATE(16194)] = 694460,
  [SMALL_STATE(16195)] = 694480,
  [SMALL_STATE(16196)] = 694500,
  [SMALL_STATE(16197)] = 694520,
  [SMALL_STATE(16198)] = 694540,
  [SMALL_STATE(16199)] = 694560,
  [SMALL_STATE(16200)] = 694580,
  [SMALL_STATE(16201)] = 694600,
  [SMALL_STATE(16202)] = 694620,
  [SMALL_STATE(16203)] = 694638,
  [SMALL_STATE(16204)] = 694658,
  [SMALL_STATE(16205)] = 694678,
  [SMALL_STATE(16206)] = 694698,
  [SMALL_STATE(16207)] = 694718,
  [SMALL_STATE(16208)] = 694738,
  [SMALL_STATE(16209)] = 694758,
  [SMALL_STATE(16210)] = 694778,
  [SMALL_STATE(16211)] = 694798,
  [SMALL_STATE(16212)] = 694818,
  [SMALL_STATE(16213)] = 694838,
  [SMALL_STATE(16214)] = 694858,
  [SMALL_STATE(16215)] = 694878,
  [SMALL_STATE(16216)] = 694898,
  [SMALL_STATE(16217)] = 694918,
  [SMALL_STATE(16218)] = 694938,
  [SMALL_STATE(16219)] = 694958,
  [SMALL_STATE(16220)] = 694978,
  [SMALL_STATE(16221)] = 694998,
  [SMALL_STATE(16222)] = 695018,
  [SMALL_STATE(16223)] = 695038,
  [SMALL_STATE(16224)] = 695058,
  [SMALL_STATE(16225)] = 695078,
  [SMALL_STATE(16226)] = 695098,
  [SMALL_STATE(16227)] = 695118,
  [SMALL_STATE(16228)] = 695138,
  [SMALL_STATE(16229)] = 695158,
  [SMALL_STATE(16230)] = 695178,
  [SMALL_STATE(16231)] = 695198,
  [SMALL_STATE(16232)] = 695218,
  [SMALL_STATE(16233)] = 695238,
  [SMALL_STATE(16234)] = 695258,
  [SMALL_STATE(16235)] = 695278,
  [SMALL_STATE(16236)] = 695298,
  [SMALL_STATE(16237)] = 695318,
  [SMALL_STATE(16238)] = 695338,
  [SMALL_STATE(16239)] = 695358,
  [SMALL_STATE(16240)] = 695378,
  [SMALL_STATE(16241)] = 695398,
  [SMALL_STATE(16242)] = 695418,
  [SMALL_STATE(16243)] = 695436,
  [SMALL_STATE(16244)] = 695456,
  [SMALL_STATE(16245)] = 695476,
  [SMALL_STATE(16246)] = 695496,
  [SMALL_STATE(16247)] = 695516,
  [SMALL_STATE(16248)] = 695536,
  [SMALL_STATE(16249)] = 695556,
  [SMALL_STATE(16250)] = 695576,
  [SMALL_STATE(16251)] = 695596,
  [SMALL_STATE(16252)] = 695616,
  [SMALL_STATE(16253)] = 695636,
  [SMALL_STATE(16254)] = 695654,
  [SMALL_STATE(16255)] = 695674,
  [SMALL_STATE(16256)] = 695694,
  [SMALL_STATE(16257)] = 695714,
  [SMALL_STATE(16258)] = 695734,
  [SMALL_STATE(16259)] = 695754,
  [SMALL_STATE(16260)] = 695774,
  [SMALL_STATE(16261)] = 695794,
  [SMALL_STATE(16262)] = 695814,
  [SMALL_STATE(16263)] = 695834,
  [SMALL_STATE(16264)] = 695854,
  [SMALL_STATE(16265)] = 695874,
  [SMALL_STATE(16266)] = 695894,
  [SMALL_STATE(16267)] = 695914,
  [SMALL_STATE(16268)] = 695934,
  [SMALL_STATE(16269)] = 695954,
  [SMALL_STATE(16270)] = 695974,
  [SMALL_STATE(16271)] = 695994,
  [SMALL_STATE(16272)] = 696014,
  [SMALL_STATE(16273)] = 696034,
  [SMALL_STATE(16274)] = 696054,
  [SMALL_STATE(16275)] = 696074,
  [SMALL_STATE(16276)] = 696092,
  [SMALL_STATE(16277)] = 696112,
  [SMALL_STATE(16278)] = 696132,
  [SMALL_STATE(16279)] = 696152,
  [SMALL_STATE(16280)] = 696172,
  [SMALL_STATE(16281)] = 696192,
  [SMALL_STATE(16282)] = 696210,
  [SMALL_STATE(16283)] = 696230,
  [SMALL_STATE(16284)] = 696250,
  [SMALL_STATE(16285)] = 696270,
  [SMALL_STATE(16286)] = 696290,
  [SMALL_STATE(16287)] = 696310,
  [SMALL_STATE(16288)] = 696330,
  [SMALL_STATE(16289)] = 696347,
  [SMALL_STATE(16290)] = 696364,
  [SMALL_STATE(16291)] = 696379,
  [SMALL_STATE(16292)] = 696394,
  [SMALL_STATE(16293)] = 696409,
  [SMALL_STATE(16294)] = 696424,
  [SMALL_STATE(16295)] = 696439,
  [SMALL_STATE(16296)] = 696454,
  [SMALL_STATE(16297)] = 696471,
  [SMALL_STATE(16298)] = 696488,
  [SMALL_STATE(16299)] = 696503,
  [SMALL_STATE(16300)] = 696520,
  [SMALL_STATE(16301)] = 696537,
  [SMALL_STATE(16302)] = 696554,
  [SMALL_STATE(16303)] = 696571,
  [SMALL_STATE(16304)] = 696588,
  [SMALL_STATE(16305)] = 696605,
  [SMALL_STATE(16306)] = 696622,
  [SMALL_STATE(16307)] = 696639,
  [SMALL_STATE(16308)] = 696656,
  [SMALL_STATE(16309)] = 696673,
  [SMALL_STATE(16310)] = 696690,
  [SMALL_STATE(16311)] = 696707,
  [SMALL_STATE(16312)] = 696724,
  [SMALL_STATE(16313)] = 696741,
  [SMALL_STATE(16314)] = 696758,
  [SMALL_STATE(16315)] = 696775,
  [SMALL_STATE(16316)] = 696792,
  [SMALL_STATE(16317)] = 696809,
  [SMALL_STATE(16318)] = 696824,
  [SMALL_STATE(16319)] = 696839,
  [SMALL_STATE(16320)] = 696854,
  [SMALL_STATE(16321)] = 696871,
  [SMALL_STATE(16322)] = 696886,
  [SMALL_STATE(16323)] = 696901,
  [SMALL_STATE(16324)] = 696918,
  [SMALL_STATE(16325)] = 696935,
  [SMALL_STATE(16326)] = 696952,
  [SMALL_STATE(16327)] = 696969,
  [SMALL_STATE(16328)] = 696986,
  [SMALL_STATE(16329)] = 697003,
  [SMALL_STATE(16330)] = 697018,
  [SMALL_STATE(16331)] = 697035,
  [SMALL_STATE(16332)] = 697050,
  [SMALL_STATE(16333)] = 697065,
  [SMALL_STATE(16334)] = 697082,
  [SMALL_STATE(16335)] = 697097,
  [SMALL_STATE(16336)] = 697112,
  [SMALL_STATE(16337)] = 697129,
  [SMALL_STATE(16338)] = 697146,
  [SMALL_STATE(16339)] = 697163,
  [SMALL_STATE(16340)] = 697180,
  [SMALL_STATE(16341)] = 697197,
  [SMALL_STATE(16342)] = 697214,
  [SMALL_STATE(16343)] = 697231,
  [SMALL_STATE(16344)] = 697248,
  [SMALL_STATE(16345)] = 697265,
  [SMALL_STATE(16346)] = 697280,
  [SMALL_STATE(16347)] = 697297,
  [SMALL_STATE(16348)] = 697314,
  [SMALL_STATE(16349)] = 697331,
  [SMALL_STATE(16350)] = 697348,
  [SMALL_STATE(16351)] = 697363,
  [SMALL_STATE(16352)] = 697380,
  [SMALL_STATE(16353)] = 697397,
  [SMALL_STATE(16354)] = 697414,
  [SMALL_STATE(16355)] = 697431,
  [SMALL_STATE(16356)] = 697448,
  [SMALL_STATE(16357)] = 697465,
  [SMALL_STATE(16358)] = 697482,
  [SMALL_STATE(16359)] = 697499,
  [SMALL_STATE(16360)] = 697516,
  [SMALL_STATE(16361)] = 697533,
  [SMALL_STATE(16362)] = 697550,
  [SMALL_STATE(16363)] = 697565,
  [SMALL_STATE(16364)] = 697582,
  [SMALL_STATE(16365)] = 697599,
  [SMALL_STATE(16366)] = 697616,
  [SMALL_STATE(16367)] = 697633,
  [SMALL_STATE(16368)] = 697650,
  [SMALL_STATE(16369)] = 697667,
  [SMALL_STATE(16370)] = 697684,
  [SMALL_STATE(16371)] = 697701,
  [SMALL_STATE(16372)] = 697718,
  [SMALL_STATE(16373)] = 697735,
  [SMALL_STATE(16374)] = 697752,
  [SMALL_STATE(16375)] = 697767,
  [SMALL_STATE(16376)] = 697784,
  [SMALL_STATE(16377)] = 697801,
  [SMALL_STATE(16378)] = 697818,
  [SMALL_STATE(16379)] = 697835,
  [SMALL_STATE(16380)] = 697852,
  [SMALL_STATE(16381)] = 697869,
  [SMALL_STATE(16382)] = 697886,
  [SMALL_STATE(16383)] = 697903,
  [SMALL_STATE(16384)] = 697920,
  [SMALL_STATE(16385)] = 697937,
  [SMALL_STATE(16386)] = 697954,
  [SMALL_STATE(16387)] = 697971,
  [SMALL_STATE(16388)] = 697988,
  [SMALL_STATE(16389)] = 698005,
  [SMALL_STATE(16390)] = 698022,
  [SMALL_STATE(16391)] = 698039,
  [SMALL_STATE(16392)] = 698056,
  [SMALL_STATE(16393)] = 698073,
  [SMALL_STATE(16394)] = 698090,
  [SMALL_STATE(16395)] = 698105,
  [SMALL_STATE(16396)] = 698122,
  [SMALL_STATE(16397)] = 698139,
  [SMALL_STATE(16398)] = 698154,
  [SMALL_STATE(16399)] = 698171,
  [SMALL_STATE(16400)] = 698188,
  [SMALL_STATE(16401)] = 698203,
  [SMALL_STATE(16402)] = 698220,
  [SMALL_STATE(16403)] = 698237,
  [SMALL_STATE(16404)] = 698254,
  [SMALL_STATE(16405)] = 698271,
  [SMALL_STATE(16406)] = 698288,
  [SMALL_STATE(16407)] = 698305,
  [SMALL_STATE(16408)] = 698320,
  [SMALL_STATE(16409)] = 698337,
  [SMALL_STATE(16410)] = 698354,
  [SMALL_STATE(16411)] = 698371,
  [SMALL_STATE(16412)] = 698388,
  [SMALL_STATE(16413)] = 698403,
  [SMALL_STATE(16414)] = 698420,
  [SMALL_STATE(16415)] = 698435,
  [SMALL_STATE(16416)] = 698452,
  [SMALL_STATE(16417)] = 698467,
  [SMALL_STATE(16418)] = 698484,
  [SMALL_STATE(16419)] = 698501,
  [SMALL_STATE(16420)] = 698518,
  [SMALL_STATE(16421)] = 698535,
  [SMALL_STATE(16422)] = 698552,
  [SMALL_STATE(16423)] = 698569,
  [SMALL_STATE(16424)] = 698586,
  [SMALL_STATE(16425)] = 698603,
  [SMALL_STATE(16426)] = 698620,
  [SMALL_STATE(16427)] = 698637,
  [SMALL_STATE(16428)] = 698654,
  [SMALL_STATE(16429)] = 698671,
  [SMALL_STATE(16430)] = 698686,
  [SMALL_STATE(16431)] = 698703,
  [SMALL_STATE(16432)] = 698720,
  [SMALL_STATE(16433)] = 698737,
  [SMALL_STATE(16434)] = 698752,
  [SMALL_STATE(16435)] = 698769,
  [SMALL_STATE(16436)] = 698786,
  [SMALL_STATE(16437)] = 698803,
  [SMALL_STATE(16438)] = 698820,
  [SMALL_STATE(16439)] = 698837,
  [SMALL_STATE(16440)] = 698854,
  [SMALL_STATE(16441)] = 698871,
  [SMALL_STATE(16442)] = 698888,
  [SMALL_STATE(16443)] = 698905,
  [SMALL_STATE(16444)] = 698922,
  [SMALL_STATE(16445)] = 698937,
  [SMALL_STATE(16446)] = 698952,
  [SMALL_STATE(16447)] = 698969,
  [SMALL_STATE(16448)] = 698986,
  [SMALL_STATE(16449)] = 699003,
  [SMALL_STATE(16450)] = 699020,
  [SMALL_STATE(16451)] = 699035,
  [SMALL_STATE(16452)] = 699052,
  [SMALL_STATE(16453)] = 699069,
  [SMALL_STATE(16454)] = 699086,
  [SMALL_STATE(16455)] = 699103,
  [SMALL_STATE(16456)] = 699120,
  [SMALL_STATE(16457)] = 699135,
  [SMALL_STATE(16458)] = 699152,
  [SMALL_STATE(16459)] = 699167,
  [SMALL_STATE(16460)] = 699184,
  [SMALL_STATE(16461)] = 699201,
  [SMALL_STATE(16462)] = 699216,
  [SMALL_STATE(16463)] = 699231,
  [SMALL_STATE(16464)] = 699248,
  [SMALL_STATE(16465)] = 699265,
  [SMALL_STATE(16466)] = 699280,
  [SMALL_STATE(16467)] = 699297,
  [SMALL_STATE(16468)] = 699314,
  [SMALL_STATE(16469)] = 699329,
  [SMALL_STATE(16470)] = 699346,
  [SMALL_STATE(16471)] = 699363,
  [SMALL_STATE(16472)] = 699380,
  [SMALL_STATE(16473)] = 699397,
  [SMALL_STATE(16474)] = 699412,
  [SMALL_STATE(16475)] = 699429,
  [SMALL_STATE(16476)] = 699446,
  [SMALL_STATE(16477)] = 699461,
  [SMALL_STATE(16478)] = 699478,
  [SMALL_STATE(16479)] = 699495,
  [SMALL_STATE(16480)] = 699512,
  [SMALL_STATE(16481)] = 699529,
  [SMALL_STATE(16482)] = 699546,
  [SMALL_STATE(16483)] = 699563,
  [SMALL_STATE(16484)] = 699580,
  [SMALL_STATE(16485)] = 699597,
  [SMALL_STATE(16486)] = 699614,
  [SMALL_STATE(16487)] = 699629,
  [SMALL_STATE(16488)] = 699646,
  [SMALL_STATE(16489)] = 699661,
  [SMALL_STATE(16490)] = 699678,
  [SMALL_STATE(16491)] = 699695,
  [SMALL_STATE(16492)] = 699712,
  [SMALL_STATE(16493)] = 699729,
  [SMALL_STATE(16494)] = 699746,
  [SMALL_STATE(16495)] = 699763,
  [SMALL_STATE(16496)] = 699780,
  [SMALL_STATE(16497)] = 699797,
  [SMALL_STATE(16498)] = 699814,
  [SMALL_STATE(16499)] = 699831,
  [SMALL_STATE(16500)] = 699848,
  [SMALL_STATE(16501)] = 699863,
  [SMALL_STATE(16502)] = 699880,
  [SMALL_STATE(16503)] = 699897,
  [SMALL_STATE(16504)] = 699914,
  [SMALL_STATE(16505)] = 699931,
  [SMALL_STATE(16506)] = 699948,
  [SMALL_STATE(16507)] = 699965,
  [SMALL_STATE(16508)] = 699980,
  [SMALL_STATE(16509)] = 699997,
  [SMALL_STATE(16510)] = 700012,
  [SMALL_STATE(16511)] = 700029,
  [SMALL_STATE(16512)] = 700046,
  [SMALL_STATE(16513)] = 700063,
  [SMALL_STATE(16514)] = 700080,
  [SMALL_STATE(16515)] = 700097,
  [SMALL_STATE(16516)] = 700112,
  [SMALL_STATE(16517)] = 700129,
  [SMALL_STATE(16518)] = 700146,
  [SMALL_STATE(16519)] = 700163,
  [SMALL_STATE(16520)] = 700180,
  [SMALL_STATE(16521)] = 700197,
  [SMALL_STATE(16522)] = 700214,
  [SMALL_STATE(16523)] = 700231,
  [SMALL_STATE(16524)] = 700248,
  [SMALL_STATE(16525)] = 700265,
  [SMALL_STATE(16526)] = 700282,
  [SMALL_STATE(16527)] = 700299,
  [SMALL_STATE(16528)] = 700314,
  [SMALL_STATE(16529)] = 700331,
  [SMALL_STATE(16530)] = 700348,
  [SMALL_STATE(16531)] = 700363,
  [SMALL_STATE(16532)] = 700378,
  [SMALL_STATE(16533)] = 700395,
  [SMALL_STATE(16534)] = 700412,
  [SMALL_STATE(16535)] = 700429,
  [SMALL_STATE(16536)] = 700446,
  [SMALL_STATE(16537)] = 700463,
  [SMALL_STATE(16538)] = 700480,
  [SMALL_STATE(16539)] = 700495,
  [SMALL_STATE(16540)] = 700512,
  [SMALL_STATE(16541)] = 700527,
  [SMALL_STATE(16542)] = 700544,
  [SMALL_STATE(16543)] = 700561,
  [SMALL_STATE(16544)] = 700576,
  [SMALL_STATE(16545)] = 700593,
  [SMALL_STATE(16546)] = 700610,
  [SMALL_STATE(16547)] = 700627,
  [SMALL_STATE(16548)] = 700644,
  [SMALL_STATE(16549)] = 700661,
  [SMALL_STATE(16550)] = 700676,
  [SMALL_STATE(16551)] = 700693,
  [SMALL_STATE(16552)] = 700710,
  [SMALL_STATE(16553)] = 700727,
  [SMALL_STATE(16554)] = 700742,
  [SMALL_STATE(16555)] = 700759,
  [SMALL_STATE(16556)] = 700776,
  [SMALL_STATE(16557)] = 700793,
  [SMALL_STATE(16558)] = 700810,
  [SMALL_STATE(16559)] = 700827,
  [SMALL_STATE(16560)] = 700844,
  [SMALL_STATE(16561)] = 700861,
  [SMALL_STATE(16562)] = 700878,
  [SMALL_STATE(16563)] = 700895,
  [SMALL_STATE(16564)] = 700910,
  [SMALL_STATE(16565)] = 700927,
  [SMALL_STATE(16566)] = 700942,
  [SMALL_STATE(16567)] = 700959,
  [SMALL_STATE(16568)] = 700976,
  [SMALL_STATE(16569)] = 700993,
  [SMALL_STATE(16570)] = 701010,
  [SMALL_STATE(16571)] = 701027,
  [SMALL_STATE(16572)] = 701042,
  [SMALL_STATE(16573)] = 701057,
  [SMALL_STATE(16574)] = 701074,
  [SMALL_STATE(16575)] = 701089,
  [SMALL_STATE(16576)] = 701106,
  [SMALL_STATE(16577)] = 701123,
  [SMALL_STATE(16578)] = 701140,
  [SMALL_STATE(16579)] = 701157,
  [SMALL_STATE(16580)] = 701174,
  [SMALL_STATE(16581)] = 701191,
  [SMALL_STATE(16582)] = 701208,
  [SMALL_STATE(16583)] = 701225,
  [SMALL_STATE(16584)] = 701242,
  [SMALL_STATE(16585)] = 701259,
  [SMALL_STATE(16586)] = 701276,
  [SMALL_STATE(16587)] = 701293,
  [SMALL_STATE(16588)] = 701310,
  [SMALL_STATE(16589)] = 701327,
  [SMALL_STATE(16590)] = 701344,
  [SMALL_STATE(16591)] = 701359,
  [SMALL_STATE(16592)] = 701374,
  [SMALL_STATE(16593)] = 701391,
  [SMALL_STATE(16594)] = 701406,
  [SMALL_STATE(16595)] = 701423,
  [SMALL_STATE(16596)] = 701438,
  [SMALL_STATE(16597)] = 701453,
  [SMALL_STATE(16598)] = 701468,
  [SMALL_STATE(16599)] = 701485,
  [SMALL_STATE(16600)] = 701500,
  [SMALL_STATE(16601)] = 701517,
  [SMALL_STATE(16602)] = 701532,
  [SMALL_STATE(16603)] = 701549,
  [SMALL_STATE(16604)] = 701566,
  [SMALL_STATE(16605)] = 701583,
  [SMALL_STATE(16606)] = 701598,
  [SMALL_STATE(16607)] = 701615,
  [SMALL_STATE(16608)] = 701632,
  [SMALL_STATE(16609)] = 701647,
  [SMALL_STATE(16610)] = 701664,
  [SMALL_STATE(16611)] = 701681,
  [SMALL_STATE(16612)] = 701698,
  [SMALL_STATE(16613)] = 701713,
  [SMALL_STATE(16614)] = 701730,
  [SMALL_STATE(16615)] = 701747,
  [SMALL_STATE(16616)] = 701764,
  [SMALL_STATE(16617)] = 701781,
  [SMALL_STATE(16618)] = 701798,
  [SMALL_STATE(16619)] = 701815,
  [SMALL_STATE(16620)] = 701830,
  [SMALL_STATE(16621)] = 701847,
  [SMALL_STATE(16622)] = 701862,
  [SMALL_STATE(16623)] = 701879,
  [SMALL_STATE(16624)] = 701896,
  [SMALL_STATE(16625)] = 701911,
  [SMALL_STATE(16626)] = 701928,
  [SMALL_STATE(16627)] = 701945,
  [SMALL_STATE(16628)] = 701962,
  [SMALL_STATE(16629)] = 701977,
  [SMALL_STATE(16630)] = 701994,
  [SMALL_STATE(16631)] = 702009,
  [SMALL_STATE(16632)] = 702026,
  [SMALL_STATE(16633)] = 702043,
  [SMALL_STATE(16634)] = 702058,
  [SMALL_STATE(16635)] = 702073,
  [SMALL_STATE(16636)] = 702090,
  [SMALL_STATE(16637)] = 702107,
  [SMALL_STATE(16638)] = 702124,
  [SMALL_STATE(16639)] = 702141,
  [SMALL_STATE(16640)] = 702158,
  [SMALL_STATE(16641)] = 702175,
  [SMALL_STATE(16642)] = 702192,
  [SMALL_STATE(16643)] = 702209,
  [SMALL_STATE(16644)] = 702226,
  [SMALL_STATE(16645)] = 702243,
  [SMALL_STATE(16646)] = 702258,
  [SMALL_STATE(16647)] = 702273,
  [SMALL_STATE(16648)] = 702290,
  [SMALL_STATE(16649)] = 702307,
  [SMALL_STATE(16650)] = 702324,
  [SMALL_STATE(16651)] = 702341,
  [SMALL_STATE(16652)] = 702358,
  [SMALL_STATE(16653)] = 702373,
  [SMALL_STATE(16654)] = 702390,
  [SMALL_STATE(16655)] = 702407,
  [SMALL_STATE(16656)] = 702424,
  [SMALL_STATE(16657)] = 702441,
  [SMALL_STATE(16658)] = 702456,
  [SMALL_STATE(16659)] = 702473,
  [SMALL_STATE(16660)] = 702488,
  [SMALL_STATE(16661)] = 702505,
  [SMALL_STATE(16662)] = 702522,
  [SMALL_STATE(16663)] = 702539,
  [SMALL_STATE(16664)] = 702554,
  [SMALL_STATE(16665)] = 702569,
  [SMALL_STATE(16666)] = 702586,
  [SMALL_STATE(16667)] = 702603,
  [SMALL_STATE(16668)] = 702618,
  [SMALL_STATE(16669)] = 702635,
  [SMALL_STATE(16670)] = 702652,
  [SMALL_STATE(16671)] = 702669,
  [SMALL_STATE(16672)] = 702686,
  [SMALL_STATE(16673)] = 702703,
  [SMALL_STATE(16674)] = 702720,
  [SMALL_STATE(16675)] = 702737,
  [SMALL_STATE(16676)] = 702754,
  [SMALL_STATE(16677)] = 702771,
  [SMALL_STATE(16678)] = 702786,
  [SMALL_STATE(16679)] = 702803,
  [SMALL_STATE(16680)] = 702820,
  [SMALL_STATE(16681)] = 702837,
  [SMALL_STATE(16682)] = 702854,
  [SMALL_STATE(16683)] = 702871,
  [SMALL_STATE(16684)] = 702886,
  [SMALL_STATE(16685)] = 702903,
  [SMALL_STATE(16686)] = 702920,
  [SMALL_STATE(16687)] = 702937,
  [SMALL_STATE(16688)] = 702954,
  [SMALL_STATE(16689)] = 702971,
  [SMALL_STATE(16690)] = 702988,
  [SMALL_STATE(16691)] = 703005,
  [SMALL_STATE(16692)] = 703022,
  [SMALL_STATE(16693)] = 703037,
  [SMALL_STATE(16694)] = 703054,
  [SMALL_STATE(16695)] = 703071,
  [SMALL_STATE(16696)] = 703088,
  [SMALL_STATE(16697)] = 703105,
  [SMALL_STATE(16698)] = 703122,
  [SMALL_STATE(16699)] = 703137,
  [SMALL_STATE(16700)] = 703154,
  [SMALL_STATE(16701)] = 703171,
  [SMALL_STATE(16702)] = 703188,
  [SMALL_STATE(16703)] = 703205,
  [SMALL_STATE(16704)] = 703222,
  [SMALL_STATE(16705)] = 703239,
  [SMALL_STATE(16706)] = 703256,
  [SMALL_STATE(16707)] = 703273,
  [SMALL_STATE(16708)] = 703290,
  [SMALL_STATE(16709)] = 703305,
  [SMALL_STATE(16710)] = 703322,
  [SMALL_STATE(16711)] = 703339,
  [SMALL_STATE(16712)] = 703356,
  [SMALL_STATE(16713)] = 703373,
  [SMALL_STATE(16714)] = 703390,
  [SMALL_STATE(16715)] = 703407,
  [SMALL_STATE(16716)] = 703424,
  [SMALL_STATE(16717)] = 703441,
  [SMALL_STATE(16718)] = 703458,
  [SMALL_STATE(16719)] = 703475,
  [SMALL_STATE(16720)] = 703492,
  [SMALL_STATE(16721)] = 703509,
  [SMALL_STATE(16722)] = 703526,
  [SMALL_STATE(16723)] = 703543,
  [SMALL_STATE(16724)] = 703560,
  [SMALL_STATE(16725)] = 703577,
  [SMALL_STATE(16726)] = 703594,
  [SMALL_STATE(16727)] = 703611,
  [SMALL_STATE(16728)] = 703628,
  [SMALL_STATE(16729)] = 703645,
  [SMALL_STATE(16730)] = 703662,
  [SMALL_STATE(16731)] = 703679,
  [SMALL_STATE(16732)] = 703696,
  [SMALL_STATE(16733)] = 703711,
  [SMALL_STATE(16734)] = 703728,
  [SMALL_STATE(16735)] = 703745,
  [SMALL_STATE(16736)] = 703762,
  [SMALL_STATE(16737)] = 703779,
  [SMALL_STATE(16738)] = 703796,
  [SMALL_STATE(16739)] = 703811,
  [SMALL_STATE(16740)] = 703828,
  [SMALL_STATE(16741)] = 703845,
  [SMALL_STATE(16742)] = 703862,
  [SMALL_STATE(16743)] = 703879,
  [SMALL_STATE(16744)] = 703896,
  [SMALL_STATE(16745)] = 703913,
  [SMALL_STATE(16746)] = 703928,
  [SMALL_STATE(16747)] = 703945,
  [SMALL_STATE(16748)] = 703962,
  [SMALL_STATE(16749)] = 703979,
  [SMALL_STATE(16750)] = 703996,
  [SMALL_STATE(16751)] = 704013,
  [SMALL_STATE(16752)] = 704028,
  [SMALL_STATE(16753)] = 704045,
  [SMALL_STATE(16754)] = 704062,
  [SMALL_STATE(16755)] = 704079,
  [SMALL_STATE(16756)] = 704096,
  [SMALL_STATE(16757)] = 704113,
  [SMALL_STATE(16758)] = 704130,
  [SMALL_STATE(16759)] = 704147,
  [SMALL_STATE(16760)] = 704164,
  [SMALL_STATE(16761)] = 704181,
  [SMALL_STATE(16762)] = 704198,
  [SMALL_STATE(16763)] = 704215,
  [SMALL_STATE(16764)] = 704232,
  [SMALL_STATE(16765)] = 704249,
  [SMALL_STATE(16766)] = 704266,
  [SMALL_STATE(16767)] = 704281,
  [SMALL_STATE(16768)] = 704298,
  [SMALL_STATE(16769)] = 704315,
  [SMALL_STATE(16770)] = 704332,
  [SMALL_STATE(16771)] = 704349,
  [SMALL_STATE(16772)] = 704366,
  [SMALL_STATE(16773)] = 704383,
  [SMALL_STATE(16774)] = 704400,
  [SMALL_STATE(16775)] = 704415,
  [SMALL_STATE(16776)] = 704432,
  [SMALL_STATE(16777)] = 704449,
  [SMALL_STATE(16778)] = 704466,
  [SMALL_STATE(16779)] = 704483,
  [SMALL_STATE(16780)] = 704500,
  [SMALL_STATE(16781)] = 704515,
  [SMALL_STATE(16782)] = 704530,
  [SMALL_STATE(16783)] = 704547,
  [SMALL_STATE(16784)] = 704564,
  [SMALL_STATE(16785)] = 704581,
  [SMALL_STATE(16786)] = 704598,
  [SMALL_STATE(16787)] = 704615,
  [SMALL_STATE(16788)] = 704632,
  [SMALL_STATE(16789)] = 704649,
  [SMALL_STATE(16790)] = 704666,
  [SMALL_STATE(16791)] = 704683,
  [SMALL_STATE(16792)] = 704700,
  [SMALL_STATE(16793)] = 704717,
  [SMALL_STATE(16794)] = 704734,
  [SMALL_STATE(16795)] = 704751,
  [SMALL_STATE(16796)] = 704768,
  [SMALL_STATE(16797)] = 704785,
  [SMALL_STATE(16798)] = 704802,
  [SMALL_STATE(16799)] = 704819,
  [SMALL_STATE(16800)] = 704836,
  [SMALL_STATE(16801)] = 704853,
  [SMALL_STATE(16802)] = 704870,
  [SMALL_STATE(16803)] = 704887,
  [SMALL_STATE(16804)] = 704904,
  [SMALL_STATE(16805)] = 704921,
  [SMALL_STATE(16806)] = 704938,
  [SMALL_STATE(16807)] = 704955,
  [SMALL_STATE(16808)] = 704972,
  [SMALL_STATE(16809)] = 704989,
  [SMALL_STATE(16810)] = 705006,
  [SMALL_STATE(16811)] = 705023,
  [SMALL_STATE(16812)] = 705040,
  [SMALL_STATE(16813)] = 705057,
  [SMALL_STATE(16814)] = 705074,
  [SMALL_STATE(16815)] = 705091,
  [SMALL_STATE(16816)] = 705108,
  [SMALL_STATE(16817)] = 705125,
  [SMALL_STATE(16818)] = 705142,
  [SMALL_STATE(16819)] = 705157,
  [SMALL_STATE(16820)] = 705174,
  [SMALL_STATE(16821)] = 705191,
  [SMALL_STATE(16822)] = 705208,
  [SMALL_STATE(16823)] = 705225,
  [SMALL_STATE(16824)] = 705242,
  [SMALL_STATE(16825)] = 705259,
  [SMALL_STATE(16826)] = 705276,
  [SMALL_STATE(16827)] = 705293,
  [SMALL_STATE(16828)] = 705310,
  [SMALL_STATE(16829)] = 705327,
  [SMALL_STATE(16830)] = 705344,
  [SMALL_STATE(16831)] = 705361,
  [SMALL_STATE(16832)] = 705378,
  [SMALL_STATE(16833)] = 705395,
  [SMALL_STATE(16834)] = 705412,
  [SMALL_STATE(16835)] = 705429,
  [SMALL_STATE(16836)] = 705446,
  [SMALL_STATE(16837)] = 705461,
  [SMALL_STATE(16838)] = 705478,
  [SMALL_STATE(16839)] = 705493,
  [SMALL_STATE(16840)] = 705510,
  [SMALL_STATE(16841)] = 705527,
  [SMALL_STATE(16842)] = 705544,
  [SMALL_STATE(16843)] = 705561,
  [SMALL_STATE(16844)] = 705578,
  [SMALL_STATE(16845)] = 705595,
  [SMALL_STATE(16846)] = 705612,
  [SMALL_STATE(16847)] = 705629,
  [SMALL_STATE(16848)] = 705646,
  [SMALL_STATE(16849)] = 705663,
  [SMALL_STATE(16850)] = 705680,
  [SMALL_STATE(16851)] = 705697,
  [SMALL_STATE(16852)] = 705714,
  [SMALL_STATE(16853)] = 705731,
  [SMALL_STATE(16854)] = 705748,
  [SMALL_STATE(16855)] = 705765,
  [SMALL_STATE(16856)] = 705782,
  [SMALL_STATE(16857)] = 705799,
  [SMALL_STATE(16858)] = 705816,
  [SMALL_STATE(16859)] = 705833,
  [SMALL_STATE(16860)] = 705850,
  [SMALL_STATE(16861)] = 705867,
  [SMALL_STATE(16862)] = 705884,
  [SMALL_STATE(16863)] = 705901,
  [SMALL_STATE(16864)] = 705916,
  [SMALL_STATE(16865)] = 705933,
  [SMALL_STATE(16866)] = 705950,
  [SMALL_STATE(16867)] = 705967,
  [SMALL_STATE(16868)] = 705984,
  [SMALL_STATE(16869)] = 706001,
  [SMALL_STATE(16870)] = 706018,
  [SMALL_STATE(16871)] = 706035,
  [SMALL_STATE(16872)] = 706052,
  [SMALL_STATE(16873)] = 706069,
  [SMALL_STATE(16874)] = 706086,
  [SMALL_STATE(16875)] = 706103,
  [SMALL_STATE(16876)] = 706120,
  [SMALL_STATE(16877)] = 706137,
  [SMALL_STATE(16878)] = 706152,
  [SMALL_STATE(16879)] = 706169,
  [SMALL_STATE(16880)] = 706186,
  [SMALL_STATE(16881)] = 706203,
  [SMALL_STATE(16882)] = 706220,
  [SMALL_STATE(16883)] = 706237,
  [SMALL_STATE(16884)] = 706254,
  [SMALL_STATE(16885)] = 706271,
  [SMALL_STATE(16886)] = 706288,
  [SMALL_STATE(16887)] = 706305,
  [SMALL_STATE(16888)] = 706322,
  [SMALL_STATE(16889)] = 706339,
  [SMALL_STATE(16890)] = 706356,
  [SMALL_STATE(16891)] = 706373,
  [SMALL_STATE(16892)] = 706390,
  [SMALL_STATE(16893)] = 706407,
  [SMALL_STATE(16894)] = 706424,
  [SMALL_STATE(16895)] = 706441,
  [SMALL_STATE(16896)] = 706458,
  [SMALL_STATE(16897)] = 706475,
  [SMALL_STATE(16898)] = 706492,
  [SMALL_STATE(16899)] = 706509,
  [SMALL_STATE(16900)] = 706526,
  [SMALL_STATE(16901)] = 706543,
  [SMALL_STATE(16902)] = 706558,
  [SMALL_STATE(16903)] = 706575,
  [SMALL_STATE(16904)] = 706592,
  [SMALL_STATE(16905)] = 706609,
  [SMALL_STATE(16906)] = 706626,
  [SMALL_STATE(16907)] = 706641,
  [SMALL_STATE(16908)] = 706658,
  [SMALL_STATE(16909)] = 706675,
  [SMALL_STATE(16910)] = 706692,
  [SMALL_STATE(16911)] = 706707,
  [SMALL_STATE(16912)] = 706724,
  [SMALL_STATE(16913)] = 706741,
  [SMALL_STATE(16914)] = 706758,
  [SMALL_STATE(16915)] = 706775,
  [SMALL_STATE(16916)] = 706792,
  [SMALL_STATE(16917)] = 706809,
  [SMALL_STATE(16918)] = 706826,
  [SMALL_STATE(16919)] = 706843,
  [SMALL_STATE(16920)] = 706860,
  [SMALL_STATE(16921)] = 706877,
  [SMALL_STATE(16922)] = 706894,
  [SMALL_STATE(16923)] = 706911,
  [SMALL_STATE(16924)] = 706928,
  [SMALL_STATE(16925)] = 706945,
  [SMALL_STATE(16926)] = 706962,
  [SMALL_STATE(16927)] = 706979,
  [SMALL_STATE(16928)] = 706996,
  [SMALL_STATE(16929)] = 707013,
  [SMALL_STATE(16930)] = 707030,
  [SMALL_STATE(16931)] = 707047,
  [SMALL_STATE(16932)] = 707064,
  [SMALL_STATE(16933)] = 707081,
  [SMALL_STATE(16934)] = 707098,
  [SMALL_STATE(16935)] = 707115,
  [SMALL_STATE(16936)] = 707132,
  [SMALL_STATE(16937)] = 707149,
  [SMALL_STATE(16938)] = 707166,
  [SMALL_STATE(16939)] = 707183,
  [SMALL_STATE(16940)] = 707200,
  [SMALL_STATE(16941)] = 707215,
  [SMALL_STATE(16942)] = 707230,
  [SMALL_STATE(16943)] = 707247,
  [SMALL_STATE(16944)] = 707264,
  [SMALL_STATE(16945)] = 707281,
  [SMALL_STATE(16946)] = 707296,
  [SMALL_STATE(16947)] = 707313,
  [SMALL_STATE(16948)] = 707330,
  [SMALL_STATE(16949)] = 707347,
  [SMALL_STATE(16950)] = 707364,
  [SMALL_STATE(16951)] = 707381,
  [SMALL_STATE(16952)] = 707396,
  [SMALL_STATE(16953)] = 707413,
  [SMALL_STATE(16954)] = 707430,
  [SMALL_STATE(16955)] = 707447,
  [SMALL_STATE(16956)] = 707464,
  [SMALL_STATE(16957)] = 707481,
  [SMALL_STATE(16958)] = 707498,
  [SMALL_STATE(16959)] = 707515,
  [SMALL_STATE(16960)] = 707532,
  [SMALL_STATE(16961)] = 707549,
  [SMALL_STATE(16962)] = 707566,
  [SMALL_STATE(16963)] = 707583,
  [SMALL_STATE(16964)] = 707600,
  [SMALL_STATE(16965)] = 707617,
  [SMALL_STATE(16966)] = 707634,
  [SMALL_STATE(16967)] = 707651,
  [SMALL_STATE(16968)] = 707668,
  [SMALL_STATE(16969)] = 707685,
  [SMALL_STATE(16970)] = 707702,
  [SMALL_STATE(16971)] = 707719,
  [SMALL_STATE(16972)] = 707734,
  [SMALL_STATE(16973)] = 707751,
  [SMALL_STATE(16974)] = 707768,
  [SMALL_STATE(16975)] = 707785,
  [SMALL_STATE(16976)] = 707802,
  [SMALL_STATE(16977)] = 707819,
  [SMALL_STATE(16978)] = 707834,
  [SMALL_STATE(16979)] = 707851,
  [SMALL_STATE(16980)] = 707868,
  [SMALL_STATE(16981)] = 707883,
  [SMALL_STATE(16982)] = 707900,
  [SMALL_STATE(16983)] = 707917,
  [SMALL_STATE(16984)] = 707934,
  [SMALL_STATE(16985)] = 707951,
  [SMALL_STATE(16986)] = 707968,
  [SMALL_STATE(16987)] = 707985,
  [SMALL_STATE(16988)] = 708002,
  [SMALL_STATE(16989)] = 708019,
  [SMALL_STATE(16990)] = 708036,
  [SMALL_STATE(16991)] = 708053,
  [SMALL_STATE(16992)] = 708070,
  [SMALL_STATE(16993)] = 708087,
  [SMALL_STATE(16994)] = 708104,
  [SMALL_STATE(16995)] = 708121,
  [SMALL_STATE(16996)] = 708138,
  [SMALL_STATE(16997)] = 708155,
  [SMALL_STATE(16998)] = 708172,
  [SMALL_STATE(16999)] = 708189,
  [SMALL_STATE(17000)] = 708206,
  [SMALL_STATE(17001)] = 708223,
  [SMALL_STATE(17002)] = 708240,
  [SMALL_STATE(17003)] = 708257,
  [SMALL_STATE(17004)] = 708274,
  [SMALL_STATE(17005)] = 708291,
  [SMALL_STATE(17006)] = 708308,
  [SMALL_STATE(17007)] = 708325,
  [SMALL_STATE(17008)] = 708342,
  [SMALL_STATE(17009)] = 708359,
  [SMALL_STATE(17010)] = 708376,
  [SMALL_STATE(17011)] = 708393,
  [SMALL_STATE(17012)] = 708410,
  [SMALL_STATE(17013)] = 708427,
  [SMALL_STATE(17014)] = 708442,
  [SMALL_STATE(17015)] = 708459,
  [SMALL_STATE(17016)] = 708474,
  [SMALL_STATE(17017)] = 708489,
  [SMALL_STATE(17018)] = 708506,
  [SMALL_STATE(17019)] = 708521,
  [SMALL_STATE(17020)] = 708538,
  [SMALL_STATE(17021)] = 708555,
  [SMALL_STATE(17022)] = 708570,
  [SMALL_STATE(17023)] = 708587,
  [SMALL_STATE(17024)] = 708604,
  [SMALL_STATE(17025)] = 708621,
  [SMALL_STATE(17026)] = 708638,
  [SMALL_STATE(17027)] = 708655,
  [SMALL_STATE(17028)] = 708672,
  [SMALL_STATE(17029)] = 708689,
  [SMALL_STATE(17030)] = 708706,
  [SMALL_STATE(17031)] = 708723,
  [SMALL_STATE(17032)] = 708740,
  [SMALL_STATE(17033)] = 708757,
  [SMALL_STATE(17034)] = 708772,
  [SMALL_STATE(17035)] = 708789,
  [SMALL_STATE(17036)] = 708806,
  [SMALL_STATE(17037)] = 708823,
  [SMALL_STATE(17038)] = 708840,
  [SMALL_STATE(17039)] = 708857,
  [SMALL_STATE(17040)] = 708874,
  [SMALL_STATE(17041)] = 708891,
  [SMALL_STATE(17042)] = 708908,
  [SMALL_STATE(17043)] = 708925,
  [SMALL_STATE(17044)] = 708942,
  [SMALL_STATE(17045)] = 708959,
  [SMALL_STATE(17046)] = 708976,
  [SMALL_STATE(17047)] = 708993,
  [SMALL_STATE(17048)] = 709010,
  [SMALL_STATE(17049)] = 709027,
  [SMALL_STATE(17050)] = 709042,
  [SMALL_STATE(17051)] = 709059,
  [SMALL_STATE(17052)] = 709076,
  [SMALL_STATE(17053)] = 709093,
  [SMALL_STATE(17054)] = 709110,
  [SMALL_STATE(17055)] = 709127,
  [SMALL_STATE(17056)] = 709144,
  [SMALL_STATE(17057)] = 709161,
  [SMALL_STATE(17058)] = 709178,
  [SMALL_STATE(17059)] = 709195,
  [SMALL_STATE(17060)] = 709212,
  [SMALL_STATE(17061)] = 709229,
  [SMALL_STATE(17062)] = 709246,
  [SMALL_STATE(17063)] = 709263,
  [SMALL_STATE(17064)] = 709280,
  [SMALL_STATE(17065)] = 709295,
  [SMALL_STATE(17066)] = 709310,
  [SMALL_STATE(17067)] = 709327,
  [SMALL_STATE(17068)] = 709344,
  [SMALL_STATE(17069)] = 709361,
  [SMALL_STATE(17070)] = 709376,
  [SMALL_STATE(17071)] = 709393,
  [SMALL_STATE(17072)] = 709410,
  [SMALL_STATE(17073)] = 709427,
  [SMALL_STATE(17074)] = 709444,
  [SMALL_STATE(17075)] = 709461,
  [SMALL_STATE(17076)] = 709478,
  [SMALL_STATE(17077)] = 709495,
  [SMALL_STATE(17078)] = 709512,
  [SMALL_STATE(17079)] = 709529,
  [SMALL_STATE(17080)] = 709546,
  [SMALL_STATE(17081)] = 709563,
  [SMALL_STATE(17082)] = 709580,
  [SMALL_STATE(17083)] = 709597,
  [SMALL_STATE(17084)] = 709614,
  [SMALL_STATE(17085)] = 709631,
  [SMALL_STATE(17086)] = 709648,
  [SMALL_STATE(17087)] = 709665,
  [SMALL_STATE(17088)] = 709682,
  [SMALL_STATE(17089)] = 709699,
  [SMALL_STATE(17090)] = 709716,
  [SMALL_STATE(17091)] = 709733,
  [SMALL_STATE(17092)] = 709750,
  [SMALL_STATE(17093)] = 709767,
  [SMALL_STATE(17094)] = 709784,
  [SMALL_STATE(17095)] = 709801,
  [SMALL_STATE(17096)] = 709818,
  [SMALL_STATE(17097)] = 709835,
  [SMALL_STATE(17098)] = 709852,
  [SMALL_STATE(17099)] = 709869,
  [SMALL_STATE(17100)] = 709886,
  [SMALL_STATE(17101)] = 709903,
  [SMALL_STATE(17102)] = 709920,
  [SMALL_STATE(17103)] = 709937,
  [SMALL_STATE(17104)] = 709954,
  [SMALL_STATE(17105)] = 709971,
  [SMALL_STATE(17106)] = 709988,
  [SMALL_STATE(17107)] = 710005,
  [SMALL_STATE(17108)] = 710022,
  [SMALL_STATE(17109)] = 710039,
  [SMALL_STATE(17110)] = 710056,
  [SMALL_STATE(17111)] = 710073,
  [SMALL_STATE(17112)] = 710090,
  [SMALL_STATE(17113)] = 710107,
  [SMALL_STATE(17114)] = 710124,
  [SMALL_STATE(17115)] = 710141,
  [SMALL_STATE(17116)] = 710158,
  [SMALL_STATE(17117)] = 710175,
  [SMALL_STATE(17118)] = 710192,
  [SMALL_STATE(17119)] = 710209,
  [SMALL_STATE(17120)] = 710224,
  [SMALL_STATE(17121)] = 710239,
  [SMALL_STATE(17122)] = 710256,
  [SMALL_STATE(17123)] = 710273,
  [SMALL_STATE(17124)] = 710290,
  [SMALL_STATE(17125)] = 710307,
  [SMALL_STATE(17126)] = 710324,
  [SMALL_STATE(17127)] = 710341,
  [SMALL_STATE(17128)] = 710358,
  [SMALL_STATE(17129)] = 710375,
  [SMALL_STATE(17130)] = 710392,
  [SMALL_STATE(17131)] = 710409,
  [SMALL_STATE(17132)] = 710426,
  [SMALL_STATE(17133)] = 710443,
  [SMALL_STATE(17134)] = 710460,
  [SMALL_STATE(17135)] = 710477,
  [SMALL_STATE(17136)] = 710494,
  [SMALL_STATE(17137)] = 710511,
  [SMALL_STATE(17138)] = 710528,
  [SMALL_STATE(17139)] = 710543,
  [SMALL_STATE(17140)] = 710560,
  [SMALL_STATE(17141)] = 710577,
  [SMALL_STATE(17142)] = 710594,
  [SMALL_STATE(17143)] = 710611,
  [SMALL_STATE(17144)] = 710628,
  [SMALL_STATE(17145)] = 710645,
  [SMALL_STATE(17146)] = 710662,
  [SMALL_STATE(17147)] = 710679,
  [SMALL_STATE(17148)] = 710696,
  [SMALL_STATE(17149)] = 710713,
  [SMALL_STATE(17150)] = 710730,
  [SMALL_STATE(17151)] = 710747,
  [SMALL_STATE(17152)] = 710764,
  [SMALL_STATE(17153)] = 710781,
  [SMALL_STATE(17154)] = 710798,
  [SMALL_STATE(17155)] = 710815,
  [SMALL_STATE(17156)] = 710832,
  [SMALL_STATE(17157)] = 710849,
  [SMALL_STATE(17158)] = 710866,
  [SMALL_STATE(17159)] = 710883,
  [SMALL_STATE(17160)] = 710900,
  [SMALL_STATE(17161)] = 710917,
  [SMALL_STATE(17162)] = 710934,
  [SMALL_STATE(17163)] = 710951,
  [SMALL_STATE(17164)] = 710968,
  [SMALL_STATE(17165)] = 710985,
  [SMALL_STATE(17166)] = 711002,
  [SMALL_STATE(17167)] = 711019,
  [SMALL_STATE(17168)] = 711036,
  [SMALL_STATE(17169)] = 711053,
  [SMALL_STATE(17170)] = 711070,
  [SMALL_STATE(17171)] = 711087,
  [SMALL_STATE(17172)] = 711104,
  [SMALL_STATE(17173)] = 711121,
  [SMALL_STATE(17174)] = 711138,
  [SMALL_STATE(17175)] = 711155,
  [SMALL_STATE(17176)] = 711172,
  [SMALL_STATE(17177)] = 711189,
  [SMALL_STATE(17178)] = 711206,
  [SMALL_STATE(17179)] = 711223,
  [SMALL_STATE(17180)] = 711238,
  [SMALL_STATE(17181)] = 711255,
  [SMALL_STATE(17182)] = 711272,
  [SMALL_STATE(17183)] = 711289,
  [SMALL_STATE(17184)] = 711306,
  [SMALL_STATE(17185)] = 711323,
  [SMALL_STATE(17186)] = 711340,
  [SMALL_STATE(17187)] = 711357,
  [SMALL_STATE(17188)] = 711374,
  [SMALL_STATE(17189)] = 711391,
  [SMALL_STATE(17190)] = 711408,
  [SMALL_STATE(17191)] = 711423,
  [SMALL_STATE(17192)] = 711440,
  [SMALL_STATE(17193)] = 711457,
  [SMALL_STATE(17194)] = 711474,
  [SMALL_STATE(17195)] = 711489,
  [SMALL_STATE(17196)] = 711506,
  [SMALL_STATE(17197)] = 711521,
  [SMALL_STATE(17198)] = 711538,
  [SMALL_STATE(17199)] = 711555,
  [SMALL_STATE(17200)] = 711570,
  [SMALL_STATE(17201)] = 711587,
  [SMALL_STATE(17202)] = 711602,
  [SMALL_STATE(17203)] = 711617,
  [SMALL_STATE(17204)] = 711634,
  [SMALL_STATE(17205)] = 711651,
  [SMALL_STATE(17206)] = 711668,
  [SMALL_STATE(17207)] = 711685,
  [SMALL_STATE(17208)] = 711702,
  [SMALL_STATE(17209)] = 711719,
  [SMALL_STATE(17210)] = 711736,
  [SMALL_STATE(17211)] = 711753,
  [SMALL_STATE(17212)] = 711770,
  [SMALL_STATE(17213)] = 711785,
  [SMALL_STATE(17214)] = 711800,
  [SMALL_STATE(17215)] = 711817,
  [SMALL_STATE(17216)] = 711834,
  [SMALL_STATE(17217)] = 711851,
  [SMALL_STATE(17218)] = 711868,
  [SMALL_STATE(17219)] = 711885,
  [SMALL_STATE(17220)] = 711902,
  [SMALL_STATE(17221)] = 711919,
  [SMALL_STATE(17222)] = 711936,
  [SMALL_STATE(17223)] = 711953,
  [SMALL_STATE(17224)] = 711970,
  [SMALL_STATE(17225)] = 711987,
  [SMALL_STATE(17226)] = 712004,
  [SMALL_STATE(17227)] = 712021,
  [SMALL_STATE(17228)] = 712036,
  [SMALL_STATE(17229)] = 712053,
  [SMALL_STATE(17230)] = 712070,
  [SMALL_STATE(17231)] = 712087,
  [SMALL_STATE(17232)] = 712104,
  [SMALL_STATE(17233)] = 712121,
  [SMALL_STATE(17234)] = 712138,
  [SMALL_STATE(17235)] = 712155,
  [SMALL_STATE(17236)] = 712172,
  [SMALL_STATE(17237)] = 712189,
  [SMALL_STATE(17238)] = 712206,
  [SMALL_STATE(17239)] = 712223,
  [SMALL_STATE(17240)] = 712240,
  [SMALL_STATE(17241)] = 712257,
  [SMALL_STATE(17242)] = 712274,
  [SMALL_STATE(17243)] = 712291,
  [SMALL_STATE(17244)] = 712308,
  [SMALL_STATE(17245)] = 712325,
  [SMALL_STATE(17246)] = 712342,
  [SMALL_STATE(17247)] = 712359,
  [SMALL_STATE(17248)] = 712376,
  [SMALL_STATE(17249)] = 712393,
  [SMALL_STATE(17250)] = 712410,
  [SMALL_STATE(17251)] = 712427,
  [SMALL_STATE(17252)] = 712444,
  [SMALL_STATE(17253)] = 712461,
  [SMALL_STATE(17254)] = 712478,
  [SMALL_STATE(17255)] = 712495,
  [SMALL_STATE(17256)] = 712512,
  [SMALL_STATE(17257)] = 712529,
  [SMALL_STATE(17258)] = 712546,
  [SMALL_STATE(17259)] = 712563,
  [SMALL_STATE(17260)] = 712580,
  [SMALL_STATE(17261)] = 712597,
  [SMALL_STATE(17262)] = 712614,
  [SMALL_STATE(17263)] = 712631,
  [SMALL_STATE(17264)] = 712648,
  [SMALL_STATE(17265)] = 712665,
  [SMALL_STATE(17266)] = 712682,
  [SMALL_STATE(17267)] = 712699,
  [SMALL_STATE(17268)] = 712716,
  [SMALL_STATE(17269)] = 712733,
  [SMALL_STATE(17270)] = 712750,
  [SMALL_STATE(17271)] = 712767,
  [SMALL_STATE(17272)] = 712784,
  [SMALL_STATE(17273)] = 712801,
  [SMALL_STATE(17274)] = 712818,
  [SMALL_STATE(17275)] = 712835,
  [SMALL_STATE(17276)] = 712852,
  [SMALL_STATE(17277)] = 712869,
  [SMALL_STATE(17278)] = 712886,
  [SMALL_STATE(17279)] = 712903,
  [SMALL_STATE(17280)] = 712920,
  [SMALL_STATE(17281)] = 712937,
  [SMALL_STATE(17282)] = 712954,
  [SMALL_STATE(17283)] = 712971,
  [SMALL_STATE(17284)] = 712988,
  [SMALL_STATE(17285)] = 713005,
  [SMALL_STATE(17286)] = 713022,
  [SMALL_STATE(17287)] = 713039,
  [SMALL_STATE(17288)] = 713056,
  [SMALL_STATE(17289)] = 713073,
  [SMALL_STATE(17290)] = 713090,
  [SMALL_STATE(17291)] = 713107,
  [SMALL_STATE(17292)] = 713124,
  [SMALL_STATE(17293)] = 713141,
  [SMALL_STATE(17294)] = 713158,
  [SMALL_STATE(17295)] = 713175,
  [SMALL_STATE(17296)] = 713192,
  [SMALL_STATE(17297)] = 713209,
  [SMALL_STATE(17298)] = 713226,
  [SMALL_STATE(17299)] = 713243,
  [SMALL_STATE(17300)] = 713260,
  [SMALL_STATE(17301)] = 713277,
  [SMALL_STATE(17302)] = 713294,
  [SMALL_STATE(17303)] = 713311,
  [SMALL_STATE(17304)] = 713328,
  [SMALL_STATE(17305)] = 713345,
  [SMALL_STATE(17306)] = 713362,
  [SMALL_STATE(17307)] = 713379,
  [SMALL_STATE(17308)] = 713394,
  [SMALL_STATE(17309)] = 713411,
  [SMALL_STATE(17310)] = 713428,
  [SMALL_STATE(17311)] = 713445,
  [SMALL_STATE(17312)] = 713462,
  [SMALL_STATE(17313)] = 713479,
  [SMALL_STATE(17314)] = 713494,
  [SMALL_STATE(17315)] = 713511,
  [SMALL_STATE(17316)] = 713528,
  [SMALL_STATE(17317)] = 713545,
  [SMALL_STATE(17318)] = 713562,
  [SMALL_STATE(17319)] = 713577,
  [SMALL_STATE(17320)] = 713592,
  [SMALL_STATE(17321)] = 713607,
  [SMALL_STATE(17322)] = 713624,
  [SMALL_STATE(17323)] = 713641,
  [SMALL_STATE(17324)] = 713658,
  [SMALL_STATE(17325)] = 713675,
  [SMALL_STATE(17326)] = 713692,
  [SMALL_STATE(17327)] = 713707,
  [SMALL_STATE(17328)] = 713724,
  [SMALL_STATE(17329)] = 713741,
  [SMALL_STATE(17330)] = 713758,
  [SMALL_STATE(17331)] = 713775,
  [SMALL_STATE(17332)] = 713792,
  [SMALL_STATE(17333)] = 713809,
  [SMALL_STATE(17334)] = 713826,
  [SMALL_STATE(17335)] = 713843,
  [SMALL_STATE(17336)] = 713858,
  [SMALL_STATE(17337)] = 713875,
  [SMALL_STATE(17338)] = 713892,
  [SMALL_STATE(17339)] = 713909,
  [SMALL_STATE(17340)] = 713926,
  [SMALL_STATE(17341)] = 713943,
  [SMALL_STATE(17342)] = 713960,
  [SMALL_STATE(17343)] = 713977,
  [SMALL_STATE(17344)] = 713994,
  [SMALL_STATE(17345)] = 714011,
  [SMALL_STATE(17346)] = 714026,
  [SMALL_STATE(17347)] = 714043,
  [SMALL_STATE(17348)] = 714060,
  [SMALL_STATE(17349)] = 714077,
  [SMALL_STATE(17350)] = 714094,
  [SMALL_STATE(17351)] = 714111,
  [SMALL_STATE(17352)] = 714128,
  [SMALL_STATE(17353)] = 714145,
  [SMALL_STATE(17354)] = 714162,
  [SMALL_STATE(17355)] = 714179,
  [SMALL_STATE(17356)] = 714196,
  [SMALL_STATE(17357)] = 714213,
  [SMALL_STATE(17358)] = 714230,
  [SMALL_STATE(17359)] = 714247,
  [SMALL_STATE(17360)] = 714262,
  [SMALL_STATE(17361)] = 714279,
  [SMALL_STATE(17362)] = 714293,
  [SMALL_STATE(17363)] = 714307,
  [SMALL_STATE(17364)] = 714321,
  [SMALL_STATE(17365)] = 714335,
  [SMALL_STATE(17366)] = 714349,
  [SMALL_STATE(17367)] = 714363,
  [SMALL_STATE(17368)] = 714377,
  [SMALL_STATE(17369)] = 714391,
  [SMALL_STATE(17370)] = 714405,
  [SMALL_STATE(17371)] = 714419,
  [SMALL_STATE(17372)] = 714433,
  [SMALL_STATE(17373)] = 714447,
  [SMALL_STATE(17374)] = 714461,
  [SMALL_STATE(17375)] = 714475,
  [SMALL_STATE(17376)] = 714489,
  [SMALL_STATE(17377)] = 714503,
  [SMALL_STATE(17378)] = 714517,
  [SMALL_STATE(17379)] = 714531,
  [SMALL_STATE(17380)] = 714545,
  [SMALL_STATE(17381)] = 714559,
  [SMALL_STATE(17382)] = 714573,
  [SMALL_STATE(17383)] = 714587,
  [SMALL_STATE(17384)] = 714601,
  [SMALL_STATE(17385)] = 714615,
  [SMALL_STATE(17386)] = 714629,
  [SMALL_STATE(17387)] = 714643,
  [SMALL_STATE(17388)] = 714657,
  [SMALL_STATE(17389)] = 714671,
  [SMALL_STATE(17390)] = 714685,
  [SMALL_STATE(17391)] = 714699,
  [SMALL_STATE(17392)] = 714713,
  [SMALL_STATE(17393)] = 714727,
  [SMALL_STATE(17394)] = 714741,
  [SMALL_STATE(17395)] = 714755,
  [SMALL_STATE(17396)] = 714769,
  [SMALL_STATE(17397)] = 714783,
  [SMALL_STATE(17398)] = 714797,
  [SMALL_STATE(17399)] = 714811,
  [SMALL_STATE(17400)] = 714825,
  [SMALL_STATE(17401)] = 714839,
  [SMALL_STATE(17402)] = 714853,
  [SMALL_STATE(17403)] = 714867,
  [SMALL_STATE(17404)] = 714881,
  [SMALL_STATE(17405)] = 714895,
  [SMALL_STATE(17406)] = 714909,
  [SMALL_STATE(17407)] = 714923,
  [SMALL_STATE(17408)] = 714937,
  [SMALL_STATE(17409)] = 714951,
  [SMALL_STATE(17410)] = 714965,
  [SMALL_STATE(17411)] = 714979,
  [SMALL_STATE(17412)] = 714993,
  [SMALL_STATE(17413)] = 715007,
  [SMALL_STATE(17414)] = 715021,
  [SMALL_STATE(17415)] = 715035,
  [SMALL_STATE(17416)] = 715049,
  [SMALL_STATE(17417)] = 715063,
  [SMALL_STATE(17418)] = 715077,
  [SMALL_STATE(17419)] = 715091,
  [SMALL_STATE(17420)] = 715105,
  [SMALL_STATE(17421)] = 715119,
  [SMALL_STATE(17422)] = 715133,
  [SMALL_STATE(17423)] = 715147,
  [SMALL_STATE(17424)] = 715161,
  [SMALL_STATE(17425)] = 715175,
  [SMALL_STATE(17426)] = 715189,
  [SMALL_STATE(17427)] = 715203,
  [SMALL_STATE(17428)] = 715217,
  [SMALL_STATE(17429)] = 715231,
  [SMALL_STATE(17430)] = 715245,
  [SMALL_STATE(17431)] = 715259,
  [SMALL_STATE(17432)] = 715273,
  [SMALL_STATE(17433)] = 715287,
  [SMALL_STATE(17434)] = 715301,
  [SMALL_STATE(17435)] = 715315,
  [SMALL_STATE(17436)] = 715329,
  [SMALL_STATE(17437)] = 715343,
  [SMALL_STATE(17438)] = 715357,
  [SMALL_STATE(17439)] = 715371,
  [SMALL_STATE(17440)] = 715385,
  [SMALL_STATE(17441)] = 715399,
  [SMALL_STATE(17442)] = 715413,
  [SMALL_STATE(17443)] = 715427,
  [SMALL_STATE(17444)] = 715441,
  [SMALL_STATE(17445)] = 715455,
  [SMALL_STATE(17446)] = 715469,
  [SMALL_STATE(17447)] = 715483,
  [SMALL_STATE(17448)] = 715497,
  [SMALL_STATE(17449)] = 715511,
  [SMALL_STATE(17450)] = 715525,
  [SMALL_STATE(17451)] = 715539,
  [SMALL_STATE(17452)] = 715553,
  [SMALL_STATE(17453)] = 715567,
  [SMALL_STATE(17454)] = 715581,
  [SMALL_STATE(17455)] = 715595,
  [SMALL_STATE(17456)] = 715609,
  [SMALL_STATE(17457)] = 715623,
  [SMALL_STATE(17458)] = 715637,
  [SMALL_STATE(17459)] = 715651,
  [SMALL_STATE(17460)] = 715665,
  [SMALL_STATE(17461)] = 715679,
  [SMALL_STATE(17462)] = 715693,
  [SMALL_STATE(17463)] = 715707,
  [SMALL_STATE(17464)] = 715721,
  [SMALL_STATE(17465)] = 715735,
  [SMALL_STATE(17466)] = 715749,
  [SMALL_STATE(17467)] = 715763,
  [SMALL_STATE(17468)] = 715777,
  [SMALL_STATE(17469)] = 715791,
  [SMALL_STATE(17470)] = 715805,
  [SMALL_STATE(17471)] = 715819,
  [SMALL_STATE(17472)] = 715833,
  [SMALL_STATE(17473)] = 715847,
  [SMALL_STATE(17474)] = 715861,
  [SMALL_STATE(17475)] = 715875,
  [SMALL_STATE(17476)] = 715889,
  [SMALL_STATE(17477)] = 715903,
  [SMALL_STATE(17478)] = 715917,
  [SMALL_STATE(17479)] = 715931,
  [SMALL_STATE(17480)] = 715945,
  [SMALL_STATE(17481)] = 715959,
  [SMALL_STATE(17482)] = 715973,
  [SMALL_STATE(17483)] = 715987,
  [SMALL_STATE(17484)] = 716001,
  [SMALL_STATE(17485)] = 716015,
  [SMALL_STATE(17486)] = 716029,
  [SMALL_STATE(17487)] = 716043,
  [SMALL_STATE(17488)] = 716057,
  [SMALL_STATE(17489)] = 716071,
  [SMALL_STATE(17490)] = 716085,
  [SMALL_STATE(17491)] = 716099,
  [SMALL_STATE(17492)] = 716113,
  [SMALL_STATE(17493)] = 716127,
  [SMALL_STATE(17494)] = 716141,
  [SMALL_STATE(17495)] = 716155,
  [SMALL_STATE(17496)] = 716169,
  [SMALL_STATE(17497)] = 716183,
  [SMALL_STATE(17498)] = 716197,
  [SMALL_STATE(17499)] = 716211,
  [SMALL_STATE(17500)] = 716225,
  [SMALL_STATE(17501)] = 716239,
  [SMALL_STATE(17502)] = 716253,
  [SMALL_STATE(17503)] = 716267,
  [SMALL_STATE(17504)] = 716281,
  [SMALL_STATE(17505)] = 716295,
  [SMALL_STATE(17506)] = 716309,
  [SMALL_STATE(17507)] = 716323,
  [SMALL_STATE(17508)] = 716337,
  [SMALL_STATE(17509)] = 716351,
  [SMALL_STATE(17510)] = 716365,
  [SMALL_STATE(17511)] = 716379,
  [SMALL_STATE(17512)] = 716393,
  [SMALL_STATE(17513)] = 716407,
  [SMALL_STATE(17514)] = 716421,
  [SMALL_STATE(17515)] = 716435,
  [SMALL_STATE(17516)] = 716449,
  [SMALL_STATE(17517)] = 716463,
  [SMALL_STATE(17518)] = 716477,
  [SMALL_STATE(17519)] = 716491,
  [SMALL_STATE(17520)] = 716505,
  [SMALL_STATE(17521)] = 716519,
  [SMALL_STATE(17522)] = 716533,
  [SMALL_STATE(17523)] = 716547,
  [SMALL_STATE(17524)] = 716561,
  [SMALL_STATE(17525)] = 716575,
  [SMALL_STATE(17526)] = 716589,
  [SMALL_STATE(17527)] = 716603,
  [SMALL_STATE(17528)] = 716617,
  [SMALL_STATE(17529)] = 716631,
  [SMALL_STATE(17530)] = 716645,
  [SMALL_STATE(17531)] = 716659,
  [SMALL_STATE(17532)] = 716673,
  [SMALL_STATE(17533)] = 716687,
  [SMALL_STATE(17534)] = 716701,
  [SMALL_STATE(17535)] = 716715,
  [SMALL_STATE(17536)] = 716729,
  [SMALL_STATE(17537)] = 716743,
  [SMALL_STATE(17538)] = 716757,
  [SMALL_STATE(17539)] = 716771,
  [SMALL_STATE(17540)] = 716785,
  [SMALL_STATE(17541)] = 716799,
  [SMALL_STATE(17542)] = 716813,
  [SMALL_STATE(17543)] = 716827,
  [SMALL_STATE(17544)] = 716841,
  [SMALL_STATE(17545)] = 716855,
  [SMALL_STATE(17546)] = 716869,
  [SMALL_STATE(17547)] = 716883,
  [SMALL_STATE(17548)] = 716897,
  [SMALL_STATE(17549)] = 716911,
  [SMALL_STATE(17550)] = 716925,
  [SMALL_STATE(17551)] = 716939,
  [SMALL_STATE(17552)] = 716953,
  [SMALL_STATE(17553)] = 716967,
  [SMALL_STATE(17554)] = 716981,
  [SMALL_STATE(17555)] = 716995,
  [SMALL_STATE(17556)] = 717009,
  [SMALL_STATE(17557)] = 717023,
  [SMALL_STATE(17558)] = 717037,
  [SMALL_STATE(17559)] = 717051,
  [SMALL_STATE(17560)] = 717065,
  [SMALL_STATE(17561)] = 717079,
  [SMALL_STATE(17562)] = 717093,
  [SMALL_STATE(17563)] = 717107,
  [SMALL_STATE(17564)] = 717121,
  [SMALL_STATE(17565)] = 717135,
  [SMALL_STATE(17566)] = 717149,
  [SMALL_STATE(17567)] = 717163,
  [SMALL_STATE(17568)] = 717177,
  [SMALL_STATE(17569)] = 717191,
  [SMALL_STATE(17570)] = 717205,
  [SMALL_STATE(17571)] = 717219,
  [SMALL_STATE(17572)] = 717233,
  [SMALL_STATE(17573)] = 717247,
  [SMALL_STATE(17574)] = 717261,
  [SMALL_STATE(17575)] = 717275,
  [SMALL_STATE(17576)] = 717289,
  [SMALL_STATE(17577)] = 717303,
  [SMALL_STATE(17578)] = 717317,
  [SMALL_STATE(17579)] = 717331,
  [SMALL_STATE(17580)] = 717345,
  [SMALL_STATE(17581)] = 717359,
  [SMALL_STATE(17582)] = 717373,
  [SMALL_STATE(17583)] = 717387,
  [SMALL_STATE(17584)] = 717401,
  [SMALL_STATE(17585)] = 717415,
  [SMALL_STATE(17586)] = 717429,
  [SMALL_STATE(17587)] = 717443,
  [SMALL_STATE(17588)] = 717457,
  [SMALL_STATE(17589)] = 717471,
  [SMALL_STATE(17590)] = 717485,
  [SMALL_STATE(17591)] = 717499,
  [SMALL_STATE(17592)] = 717513,
  [SMALL_STATE(17593)] = 717527,
  [SMALL_STATE(17594)] = 717541,
  [SMALL_STATE(17595)] = 717555,
  [SMALL_STATE(17596)] = 717569,
  [SMALL_STATE(17597)] = 717583,
  [SMALL_STATE(17598)] = 717597,
  [SMALL_STATE(17599)] = 717611,
  [SMALL_STATE(17600)] = 717625,
  [SMALL_STATE(17601)] = 717639,
  [SMALL_STATE(17602)] = 717653,
  [SMALL_STATE(17603)] = 717667,
  [SMALL_STATE(17604)] = 717681,
  [SMALL_STATE(17605)] = 717695,
  [SMALL_STATE(17606)] = 717709,
  [SMALL_STATE(17607)] = 717723,
  [SMALL_STATE(17608)] = 717737,
  [SMALL_STATE(17609)] = 717751,
  [SMALL_STATE(17610)] = 717765,
  [SMALL_STATE(17611)] = 717779,
  [SMALL_STATE(17612)] = 717793,
  [SMALL_STATE(17613)] = 717807,
  [SMALL_STATE(17614)] = 717821,
  [SMALL_STATE(17615)] = 717835,
  [SMALL_STATE(17616)] = 717849,
  [SMALL_STATE(17617)] = 717863,
  [SMALL_STATE(17618)] = 717877,
  [SMALL_STATE(17619)] = 717891,
  [SMALL_STATE(17620)] = 717905,
  [SMALL_STATE(17621)] = 717919,
  [SMALL_STATE(17622)] = 717933,
  [SMALL_STATE(17623)] = 717947,
  [SMALL_STATE(17624)] = 717961,
  [SMALL_STATE(17625)] = 717975,
  [SMALL_STATE(17626)] = 717989,
  [SMALL_STATE(17627)] = 718003,
  [SMALL_STATE(17628)] = 718017,
  [SMALL_STATE(17629)] = 718031,
  [SMALL_STATE(17630)] = 718045,
  [SMALL_STATE(17631)] = 718059,
  [SMALL_STATE(17632)] = 718073,
  [SMALL_STATE(17633)] = 718087,
  [SMALL_STATE(17634)] = 718101,
  [SMALL_STATE(17635)] = 718115,
  [SMALL_STATE(17636)] = 718129,
  [SMALL_STATE(17637)] = 718143,
  [SMALL_STATE(17638)] = 718157,
  [SMALL_STATE(17639)] = 718171,
  [SMALL_STATE(17640)] = 718185,
  [SMALL_STATE(17641)] = 718199,
  [SMALL_STATE(17642)] = 718213,
  [SMALL_STATE(17643)] = 718227,
  [SMALL_STATE(17644)] = 718241,
  [SMALL_STATE(17645)] = 718255,
  [SMALL_STATE(17646)] = 718269,
  [SMALL_STATE(17647)] = 718283,
  [SMALL_STATE(17648)] = 718297,
  [SMALL_STATE(17649)] = 718311,
  [SMALL_STATE(17650)] = 718325,
  [SMALL_STATE(17651)] = 718339,
  [SMALL_STATE(17652)] = 718353,
  [SMALL_STATE(17653)] = 718367,
  [SMALL_STATE(17654)] = 718381,
  [SMALL_STATE(17655)] = 718395,
  [SMALL_STATE(17656)] = 718409,
  [SMALL_STATE(17657)] = 718423,
  [SMALL_STATE(17658)] = 718437,
  [SMALL_STATE(17659)] = 718451,
  [SMALL_STATE(17660)] = 718465,
  [SMALL_STATE(17661)] = 718479,
  [SMALL_STATE(17662)] = 718493,
  [SMALL_STATE(17663)] = 718507,
  [SMALL_STATE(17664)] = 718521,
  [SMALL_STATE(17665)] = 718535,
  [SMALL_STATE(17666)] = 718549,
  [SMALL_STATE(17667)] = 718563,
  [SMALL_STATE(17668)] = 718577,
  [SMALL_STATE(17669)] = 718591,
  [SMALL_STATE(17670)] = 718605,
  [SMALL_STATE(17671)] = 718619,
  [SMALL_STATE(17672)] = 718633,
  [SMALL_STATE(17673)] = 718647,
  [SMALL_STATE(17674)] = 718661,
  [SMALL_STATE(17675)] = 718675,
  [SMALL_STATE(17676)] = 718689,
  [SMALL_STATE(17677)] = 718703,
  [SMALL_STATE(17678)] = 718717,
  [SMALL_STATE(17679)] = 718731,
  [SMALL_STATE(17680)] = 718745,
  [SMALL_STATE(17681)] = 718759,
  [SMALL_STATE(17682)] = 718773,
  [SMALL_STATE(17683)] = 718787,
  [SMALL_STATE(17684)] = 718801,
  [SMALL_STATE(17685)] = 718815,
  [SMALL_STATE(17686)] = 718829,
  [SMALL_STATE(17687)] = 718843,
  [SMALL_STATE(17688)] = 718857,
  [SMALL_STATE(17689)] = 718871,
  [SMALL_STATE(17690)] = 718885,
  [SMALL_STATE(17691)] = 718899,
  [SMALL_STATE(17692)] = 718913,
  [SMALL_STATE(17693)] = 718927,
  [SMALL_STATE(17694)] = 718941,
  [SMALL_STATE(17695)] = 718955,
  [SMALL_STATE(17696)] = 718969,
  [SMALL_STATE(17697)] = 718983,
  [SMALL_STATE(17698)] = 718997,
  [SMALL_STATE(17699)] = 719011,
  [SMALL_STATE(17700)] = 719025,
  [SMALL_STATE(17701)] = 719039,
  [SMALL_STATE(17702)] = 719053,
  [SMALL_STATE(17703)] = 719067,
  [SMALL_STATE(17704)] = 719081,
  [SMALL_STATE(17705)] = 719095,
  [SMALL_STATE(17706)] = 719109,
  [SMALL_STATE(17707)] = 719123,
  [SMALL_STATE(17708)] = 719137,
  [SMALL_STATE(17709)] = 719151,
  [SMALL_STATE(17710)] = 719165,
  [SMALL_STATE(17711)] = 719179,
  [SMALL_STATE(17712)] = 719193,
  [SMALL_STATE(17713)] = 719207,
  [SMALL_STATE(17714)] = 719221,
  [SMALL_STATE(17715)] = 719235,
  [SMALL_STATE(17716)] = 719249,
  [SMALL_STATE(17717)] = 719263,
  [SMALL_STATE(17718)] = 719277,
  [SMALL_STATE(17719)] = 719291,
  [SMALL_STATE(17720)] = 719305,
  [SMALL_STATE(17721)] = 719319,
  [SMALL_STATE(17722)] = 719333,
  [SMALL_STATE(17723)] = 719347,
  [SMALL_STATE(17724)] = 719361,
  [SMALL_STATE(17725)] = 719375,
  [SMALL_STATE(17726)] = 719389,
  [SMALL_STATE(17727)] = 719403,
  [SMALL_STATE(17728)] = 719417,
  [SMALL_STATE(17729)] = 719431,
  [SMALL_STATE(17730)] = 719445,
  [SMALL_STATE(17731)] = 719459,
  [SMALL_STATE(17732)] = 719473,
  [SMALL_STATE(17733)] = 719487,
  [SMALL_STATE(17734)] = 719501,
  [SMALL_STATE(17735)] = 719515,
  [SMALL_STATE(17736)] = 719529,
  [SMALL_STATE(17737)] = 719543,
  [SMALL_STATE(17738)] = 719557,
  [SMALL_STATE(17739)] = 719571,
  [SMALL_STATE(17740)] = 719585,
  [SMALL_STATE(17741)] = 719599,
  [SMALL_STATE(17742)] = 719613,
  [SMALL_STATE(17743)] = 719627,
  [SMALL_STATE(17744)] = 719641,
  [SMALL_STATE(17745)] = 719655,
  [SMALL_STATE(17746)] = 719669,
  [SMALL_STATE(17747)] = 719683,
  [SMALL_STATE(17748)] = 719697,
  [SMALL_STATE(17749)] = 719711,
  [SMALL_STATE(17750)] = 719725,
  [SMALL_STATE(17751)] = 719739,
  [SMALL_STATE(17752)] = 719753,
  [SMALL_STATE(17753)] = 719767,
  [SMALL_STATE(17754)] = 719781,
  [SMALL_STATE(17755)] = 719795,
  [SMALL_STATE(17756)] = 719809,
  [SMALL_STATE(17757)] = 719823,
  [SMALL_STATE(17758)] = 719837,
  [SMALL_STATE(17759)] = 719851,
  [SMALL_STATE(17760)] = 719865,
  [SMALL_STATE(17761)] = 719879,
  [SMALL_STATE(17762)] = 719893,
  [SMALL_STATE(17763)] = 719907,
  [SMALL_STATE(17764)] = 719921,
  [SMALL_STATE(17765)] = 719935,
  [SMALL_STATE(17766)] = 719949,
  [SMALL_STATE(17767)] = 719963,
  [SMALL_STATE(17768)] = 719977,
  [SMALL_STATE(17769)] = 719991,
  [SMALL_STATE(17770)] = 720005,
  [SMALL_STATE(17771)] = 720019,
  [SMALL_STATE(17772)] = 720033,
  [SMALL_STATE(17773)] = 720047,
  [SMALL_STATE(17774)] = 720061,
  [SMALL_STATE(17775)] = 720075,
  [SMALL_STATE(17776)] = 720089,
  [SMALL_STATE(17777)] = 720103,
  [SMALL_STATE(17778)] = 720117,
  [SMALL_STATE(17779)] = 720131,
  [SMALL_STATE(17780)] = 720145,
  [SMALL_STATE(17781)] = 720159,
  [SMALL_STATE(17782)] = 720173,
  [SMALL_STATE(17783)] = 720187,
  [SMALL_STATE(17784)] = 720201,
  [SMALL_STATE(17785)] = 720215,
  [SMALL_STATE(17786)] = 720229,
  [SMALL_STATE(17787)] = 720243,
  [SMALL_STATE(17788)] = 720257,
  [SMALL_STATE(17789)] = 720271,
  [SMALL_STATE(17790)] = 720285,
  [SMALL_STATE(17791)] = 720299,
  [SMALL_STATE(17792)] = 720313,
  [SMALL_STATE(17793)] = 720327,
  [SMALL_STATE(17794)] = 720341,
  [SMALL_STATE(17795)] = 720355,
  [SMALL_STATE(17796)] = 720369,
  [SMALL_STATE(17797)] = 720383,
  [SMALL_STATE(17798)] = 720397,
  [SMALL_STATE(17799)] = 720411,
  [SMALL_STATE(17800)] = 720425,
  [SMALL_STATE(17801)] = 720439,
  [SMALL_STATE(17802)] = 720453,
  [SMALL_STATE(17803)] = 720467,
  [SMALL_STATE(17804)] = 720481,
  [SMALL_STATE(17805)] = 720495,
  [SMALL_STATE(17806)] = 720509,
  [SMALL_STATE(17807)] = 720523,
  [SMALL_STATE(17808)] = 720537,
  [SMALL_STATE(17809)] = 720551,
  [SMALL_STATE(17810)] = 720565,
  [SMALL_STATE(17811)] = 720579,
  [SMALL_STATE(17812)] = 720593,
  [SMALL_STATE(17813)] = 720607,
  [SMALL_STATE(17814)] = 720621,
  [SMALL_STATE(17815)] = 720635,
  [SMALL_STATE(17816)] = 720649,
  [SMALL_STATE(17817)] = 720663,
  [SMALL_STATE(17818)] = 720677,
  [SMALL_STATE(17819)] = 720691,
  [SMALL_STATE(17820)] = 720705,
  [SMALL_STATE(17821)] = 720719,
  [SMALL_STATE(17822)] = 720733,
  [SMALL_STATE(17823)] = 720747,
  [SMALL_STATE(17824)] = 720761,
  [SMALL_STATE(17825)] = 720775,
  [SMALL_STATE(17826)] = 720789,
  [SMALL_STATE(17827)] = 720803,
  [SMALL_STATE(17828)] = 720817,
  [SMALL_STATE(17829)] = 720831,
  [SMALL_STATE(17830)] = 720845,
  [SMALL_STATE(17831)] = 720859,
  [SMALL_STATE(17832)] = 720873,
  [SMALL_STATE(17833)] = 720887,
  [SMALL_STATE(17834)] = 720901,
  [SMALL_STATE(17835)] = 720915,
  [SMALL_STATE(17836)] = 720929,
  [SMALL_STATE(17837)] = 720943,
  [SMALL_STATE(17838)] = 720957,
  [SMALL_STATE(17839)] = 720971,
  [SMALL_STATE(17840)] = 720985,
  [SMALL_STATE(17841)] = 720999,
  [SMALL_STATE(17842)] = 721013,
  [SMALL_STATE(17843)] = 721027,
  [SMALL_STATE(17844)] = 721041,
  [SMALL_STATE(17845)] = 721055,
  [SMALL_STATE(17846)] = 721069,
  [SMALL_STATE(17847)] = 721083,
  [SMALL_STATE(17848)] = 721097,
  [SMALL_STATE(17849)] = 721111,
  [SMALL_STATE(17850)] = 721125,
  [SMALL_STATE(17851)] = 721139,
  [SMALL_STATE(17852)] = 721153,
  [SMALL_STATE(17853)] = 721167,
  [SMALL_STATE(17854)] = 721181,
  [SMALL_STATE(17855)] = 721195,
  [SMALL_STATE(17856)] = 721209,
  [SMALL_STATE(17857)] = 721223,
  [SMALL_STATE(17858)] = 721237,
  [SMALL_STATE(17859)] = 721251,
  [SMALL_STATE(17860)] = 721265,
  [SMALL_STATE(17861)] = 721279,
  [SMALL_STATE(17862)] = 721293,
  [SMALL_STATE(17863)] = 721307,
  [SMALL_STATE(17864)] = 721321,
  [SMALL_STATE(17865)] = 721335,
  [SMALL_STATE(17866)] = 721349,
  [SMALL_STATE(17867)] = 721363,
  [SMALL_STATE(17868)] = 721377,
  [SMALL_STATE(17869)] = 721391,
  [SMALL_STATE(17870)] = 721405,
  [SMALL_STATE(17871)] = 721419,
  [SMALL_STATE(17872)] = 721433,
  [SMALL_STATE(17873)] = 721447,
  [SMALL_STATE(17874)] = 721461,
  [SMALL_STATE(17875)] = 721475,
  [SMALL_STATE(17876)] = 721489,
  [SMALL_STATE(17877)] = 721503,
  [SMALL_STATE(17878)] = 721517,
  [SMALL_STATE(17879)] = 721531,
  [SMALL_STATE(17880)] = 721545,
  [SMALL_STATE(17881)] = 721559,
  [SMALL_STATE(17882)] = 721573,
  [SMALL_STATE(17883)] = 721587,
  [SMALL_STATE(17884)] = 721601,
  [SMALL_STATE(17885)] = 721615,
  [SMALL_STATE(17886)] = 721629,
  [SMALL_STATE(17887)] = 721643,
  [SMALL_STATE(17888)] = 721657,
  [SMALL_STATE(17889)] = 721671,
  [SMALL_STATE(17890)] = 721685,
  [SMALL_STATE(17891)] = 721699,
  [SMALL_STATE(17892)] = 721713,
  [SMALL_STATE(17893)] = 721727,
  [SMALL_STATE(17894)] = 721741,
  [SMALL_STATE(17895)] = 721755,
  [SMALL_STATE(17896)] = 721769,
  [SMALL_STATE(17897)] = 721783,
  [SMALL_STATE(17898)] = 721797,
  [SMALL_STATE(17899)] = 721811,
  [SMALL_STATE(17900)] = 721825,
  [SMALL_STATE(17901)] = 721839,
  [SMALL_STATE(17902)] = 721853,
  [SMALL_STATE(17903)] = 721867,
  [SMALL_STATE(17904)] = 721881,
  [SMALL_STATE(17905)] = 721895,
  [SMALL_STATE(17906)] = 721909,
  [SMALL_STATE(17907)] = 721923,
  [SMALL_STATE(17908)] = 721937,
  [SMALL_STATE(17909)] = 721951,
  [SMALL_STATE(17910)] = 721965,
  [SMALL_STATE(17911)] = 721979,
  [SMALL_STATE(17912)] = 721993,
  [SMALL_STATE(17913)] = 722007,
  [SMALL_STATE(17914)] = 722021,
  [SMALL_STATE(17915)] = 722035,
  [SMALL_STATE(17916)] = 722049,
  [SMALL_STATE(17917)] = 722063,
  [SMALL_STATE(17918)] = 722077,
  [SMALL_STATE(17919)] = 722091,
  [SMALL_STATE(17920)] = 722105,
  [SMALL_STATE(17921)] = 722119,
  [SMALL_STATE(17922)] = 722133,
  [SMALL_STATE(17923)] = 722147,
  [SMALL_STATE(17924)] = 722161,
  [SMALL_STATE(17925)] = 722175,
  [SMALL_STATE(17926)] = 722189,
  [SMALL_STATE(17927)] = 722203,
  [SMALL_STATE(17928)] = 722217,
  [SMALL_STATE(17929)] = 722231,
  [SMALL_STATE(17930)] = 722245,
  [SMALL_STATE(17931)] = 722259,
  [SMALL_STATE(17932)] = 722273,
  [SMALL_STATE(17933)] = 722287,
  [SMALL_STATE(17934)] = 722301,
  [SMALL_STATE(17935)] = 722315,
  [SMALL_STATE(17936)] = 722329,
  [SMALL_STATE(17937)] = 722343,
  [SMALL_STATE(17938)] = 722357,
  [SMALL_STATE(17939)] = 722371,
  [SMALL_STATE(17940)] = 722385,
  [SMALL_STATE(17941)] = 722399,
  [SMALL_STATE(17942)] = 722413,
  [SMALL_STATE(17943)] = 722427,
  [SMALL_STATE(17944)] = 722441,
  [SMALL_STATE(17945)] = 722455,
  [SMALL_STATE(17946)] = 722469,
  [SMALL_STATE(17947)] = 722483,
  [SMALL_STATE(17948)] = 722497,
  [SMALL_STATE(17949)] = 722511,
  [SMALL_STATE(17950)] = 722525,
  [SMALL_STATE(17951)] = 722539,
  [SMALL_STATE(17952)] = 722553,
  [SMALL_STATE(17953)] = 722567,
  [SMALL_STATE(17954)] = 722581,
  [SMALL_STATE(17955)] = 722595,
  [SMALL_STATE(17956)] = 722609,
  [SMALL_STATE(17957)] = 722623,
  [SMALL_STATE(17958)] = 722637,
  [SMALL_STATE(17959)] = 722651,
  [SMALL_STATE(17960)] = 722665,
  [SMALL_STATE(17961)] = 722679,
  [SMALL_STATE(17962)] = 722693,
  [SMALL_STATE(17963)] = 722707,
  [SMALL_STATE(17964)] = 722721,
  [SMALL_STATE(17965)] = 722735,
  [SMALL_STATE(17966)] = 722749,
  [SMALL_STATE(17967)] = 722763,
  [SMALL_STATE(17968)] = 722777,
  [SMALL_STATE(17969)] = 722791,
  [SMALL_STATE(17970)] = 722805,
  [SMALL_STATE(17971)] = 722819,
  [SMALL_STATE(17972)] = 722833,
  [SMALL_STATE(17973)] = 722847,
  [SMALL_STATE(17974)] = 722861,
  [SMALL_STATE(17975)] = 722875,
  [SMALL_STATE(17976)] = 722889,
  [SMALL_STATE(17977)] = 722903,
  [SMALL_STATE(17978)] = 722917,
  [SMALL_STATE(17979)] = 722931,
  [SMALL_STATE(17980)] = 722945,
  [SMALL_STATE(17981)] = 722959,
  [SMALL_STATE(17982)] = 722973,
  [SMALL_STATE(17983)] = 722987,
  [SMALL_STATE(17984)] = 723001,
  [SMALL_STATE(17985)] = 723015,
  [SMALL_STATE(17986)] = 723029,
  [SMALL_STATE(17987)] = 723043,
  [SMALL_STATE(17988)] = 723057,
  [SMALL_STATE(17989)] = 723071,
  [SMALL_STATE(17990)] = 723085,
  [SMALL_STATE(17991)] = 723099,
  [SMALL_STATE(17992)] = 723113,
  [SMALL_STATE(17993)] = 723127,
  [SMALL_STATE(17994)] = 723141,
  [SMALL_STATE(17995)] = 723155,
  [SMALL_STATE(17996)] = 723169,
  [SMALL_STATE(17997)] = 723183,
  [SMALL_STATE(17998)] = 723197,
  [SMALL_STATE(17999)] = 723211,
  [SMALL_STATE(18000)] = 723225,
  [SMALL_STATE(18001)] = 723239,
  [SMALL_STATE(18002)] = 723253,
  [SMALL_STATE(18003)] = 723267,
  [SMALL_STATE(18004)] = 723281,
  [SMALL_STATE(18005)] = 723295,
  [SMALL_STATE(18006)] = 723309,
  [SMALL_STATE(18007)] = 723323,
  [SMALL_STATE(18008)] = 723337,
  [SMALL_STATE(18009)] = 723351,
  [SMALL_STATE(18010)] = 723365,
  [SMALL_STATE(18011)] = 723379,
  [SMALL_STATE(18012)] = 723393,
  [SMALL_STATE(18013)] = 723407,
  [SMALL_STATE(18014)] = 723421,
  [SMALL_STATE(18015)] = 723435,
  [SMALL_STATE(18016)] = 723449,
  [SMALL_STATE(18017)] = 723463,
  [SMALL_STATE(18018)] = 723477,
  [SMALL_STATE(18019)] = 723491,
  [SMALL_STATE(18020)] = 723505,
  [SMALL_STATE(18021)] = 723519,
  [SMALL_STATE(18022)] = 723533,
  [SMALL_STATE(18023)] = 723547,
  [SMALL_STATE(18024)] = 723561,
  [SMALL_STATE(18025)] = 723575,
  [SMALL_STATE(18026)] = 723589,
  [SMALL_STATE(18027)] = 723603,
  [SMALL_STATE(18028)] = 723617,
  [SMALL_STATE(18029)] = 723631,
  [SMALL_STATE(18030)] = 723645,
  [SMALL_STATE(18031)] = 723659,
  [SMALL_STATE(18032)] = 723673,
  [SMALL_STATE(18033)] = 723687,
  [SMALL_STATE(18034)] = 723701,
  [SMALL_STATE(18035)] = 723715,
  [SMALL_STATE(18036)] = 723729,
  [SMALL_STATE(18037)] = 723743,
  [SMALL_STATE(18038)] = 723757,
  [SMALL_STATE(18039)] = 723771,
  [SMALL_STATE(18040)] = 723785,
  [SMALL_STATE(18041)] = 723799,
  [SMALL_STATE(18042)] = 723813,
  [SMALL_STATE(18043)] = 723827,
  [SMALL_STATE(18044)] = 723841,
  [SMALL_STATE(18045)] = 723855,
  [SMALL_STATE(18046)] = 723869,
  [SMALL_STATE(18047)] = 723883,
  [SMALL_STATE(18048)] = 723897,
  [SMALL_STATE(18049)] = 723911,
  [SMALL_STATE(18050)] = 723925,
  [SMALL_STATE(18051)] = 723939,
  [SMALL_STATE(18052)] = 723953,
  [SMALL_STATE(18053)] = 723967,
  [SMALL_STATE(18054)] = 723981,
  [SMALL_STATE(18055)] = 723995,
  [SMALL_STATE(18056)] = 724009,
  [SMALL_STATE(18057)] = 724023,
  [SMALL_STATE(18058)] = 724037,
  [SMALL_STATE(18059)] = 724051,
  [SMALL_STATE(18060)] = 724065,
  [SMALL_STATE(18061)] = 724079,
  [SMALL_STATE(18062)] = 724093,
  [SMALL_STATE(18063)] = 724107,
  [SMALL_STATE(18064)] = 724121,
  [SMALL_STATE(18065)] = 724135,
  [SMALL_STATE(18066)] = 724149,
  [SMALL_STATE(18067)] = 724163,
  [SMALL_STATE(18068)] = 724177,
  [SMALL_STATE(18069)] = 724191,
  [SMALL_STATE(18070)] = 724205,
  [SMALL_STATE(18071)] = 724219,
  [SMALL_STATE(18072)] = 724233,
  [SMALL_STATE(18073)] = 724247,
  [SMALL_STATE(18074)] = 724261,
  [SMALL_STATE(18075)] = 724275,
  [SMALL_STATE(18076)] = 724289,
  [SMALL_STATE(18077)] = 724303,
  [SMALL_STATE(18078)] = 724317,
  [SMALL_STATE(18079)] = 724331,
  [SMALL_STATE(18080)] = 724345,
  [SMALL_STATE(18081)] = 724359,
  [SMALL_STATE(18082)] = 724373,
  [SMALL_STATE(18083)] = 724387,
  [SMALL_STATE(18084)] = 724401,
  [SMALL_STATE(18085)] = 724415,
  [SMALL_STATE(18086)] = 724429,
  [SMALL_STATE(18087)] = 724443,
  [SMALL_STATE(18088)] = 724457,
  [SMALL_STATE(18089)] = 724471,
  [SMALL_STATE(18090)] = 724485,
  [SMALL_STATE(18091)] = 724499,
  [SMALL_STATE(18092)] = 724513,
  [SMALL_STATE(18093)] = 724527,
  [SMALL_STATE(18094)] = 724541,
  [SMALL_STATE(18095)] = 724555,
  [SMALL_STATE(18096)] = 724569,
  [SMALL_STATE(18097)] = 724583,
  [SMALL_STATE(18098)] = 724597,
  [SMALL_STATE(18099)] = 724611,
  [SMALL_STATE(18100)] = 724625,
  [SMALL_STATE(18101)] = 724639,
  [SMALL_STATE(18102)] = 724653,
  [SMALL_STATE(18103)] = 724667,
  [SMALL_STATE(18104)] = 724681,
  [SMALL_STATE(18105)] = 724695,
  [SMALL_STATE(18106)] = 724709,
  [SMALL_STATE(18107)] = 724723,
  [SMALL_STATE(18108)] = 724737,
  [SMALL_STATE(18109)] = 724751,
  [SMALL_STATE(18110)] = 724765,
  [SMALL_STATE(18111)] = 724779,
  [SMALL_STATE(18112)] = 724793,
  [SMALL_STATE(18113)] = 724807,
  [SMALL_STATE(18114)] = 724821,
  [SMALL_STATE(18115)] = 724835,
  [SMALL_STATE(18116)] = 724849,
  [SMALL_STATE(18117)] = 724863,
  [SMALL_STATE(18118)] = 724877,
  [SMALL_STATE(18119)] = 724891,
  [SMALL_STATE(18120)] = 724905,
  [SMALL_STATE(18121)] = 724919,
  [SMALL_STATE(18122)] = 724933,
  [SMALL_STATE(18123)] = 724947,
  [SMALL_STATE(18124)] = 724961,
  [SMALL_STATE(18125)] = 724975,
  [SMALL_STATE(18126)] = 724989,
  [SMALL_STATE(18127)] = 725003,
  [SMALL_STATE(18128)] = 725017,
  [SMALL_STATE(18129)] = 725031,
  [SMALL_STATE(18130)] = 725045,
  [SMALL_STATE(18131)] = 725059,
  [SMALL_STATE(18132)] = 725073,
  [SMALL_STATE(18133)] = 725087,
  [SMALL_STATE(18134)] = 725101,
  [SMALL_STATE(18135)] = 725115,
  [SMALL_STATE(18136)] = 725129,
  [SMALL_STATE(18137)] = 725143,
  [SMALL_STATE(18138)] = 725157,
  [SMALL_STATE(18139)] = 725171,
  [SMALL_STATE(18140)] = 725185,
  [SMALL_STATE(18141)] = 725199,
  [SMALL_STATE(18142)] = 725213,
  [SMALL_STATE(18143)] = 725227,
  [SMALL_STATE(18144)] = 725241,
  [SMALL_STATE(18145)] = 725255,
  [SMALL_STATE(18146)] = 725269,
  [SMALL_STATE(18147)] = 725283,
  [SMALL_STATE(18148)] = 725297,
  [SMALL_STATE(18149)] = 725311,
  [SMALL_STATE(18150)] = 725325,
  [SMALL_STATE(18151)] = 725339,
  [SMALL_STATE(18152)] = 725353,
  [SMALL_STATE(18153)] = 725367,
  [SMALL_STATE(18154)] = 725381,
  [SMALL_STATE(18155)] = 725395,
  [SMALL_STATE(18156)] = 725409,
  [SMALL_STATE(18157)] = 725423,
  [SMALL_STATE(18158)] = 725437,
  [SMALL_STATE(18159)] = 725451,
  [SMALL_STATE(18160)] = 725465,
  [SMALL_STATE(18161)] = 725479,
  [SMALL_STATE(18162)] = 725493,
  [SMALL_STATE(18163)] = 725507,
  [SMALL_STATE(18164)] = 725521,
  [SMALL_STATE(18165)] = 725535,
  [SMALL_STATE(18166)] = 725549,
  [SMALL_STATE(18167)] = 725563,
  [SMALL_STATE(18168)] = 725577,
  [SMALL_STATE(18169)] = 725591,
  [SMALL_STATE(18170)] = 725605,
  [SMALL_STATE(18171)] = 725619,
  [SMALL_STATE(18172)] = 725633,
  [SMALL_STATE(18173)] = 725647,
  [SMALL_STATE(18174)] = 725661,
  [SMALL_STATE(18175)] = 725675,
  [SMALL_STATE(18176)] = 725689,
  [SMALL_STATE(18177)] = 725703,
  [SMALL_STATE(18178)] = 725717,
  [SMALL_STATE(18179)] = 725731,
  [SMALL_STATE(18180)] = 725745,
  [SMALL_STATE(18181)] = 725759,
  [SMALL_STATE(18182)] = 725773,
  [SMALL_STATE(18183)] = 725787,
  [SMALL_STATE(18184)] = 725801,
  [SMALL_STATE(18185)] = 725815,
  [SMALL_STATE(18186)] = 725829,
  [SMALL_STATE(18187)] = 725843,
  [SMALL_STATE(18188)] = 725857,
  [SMALL_STATE(18189)] = 725871,
  [SMALL_STATE(18190)] = 725885,
  [SMALL_STATE(18191)] = 725899,
  [SMALL_STATE(18192)] = 725913,
  [SMALL_STATE(18193)] = 725927,
  [SMALL_STATE(18194)] = 725941,
  [SMALL_STATE(18195)] = 725955,
  [SMALL_STATE(18196)] = 725969,
  [SMALL_STATE(18197)] = 725983,
  [SMALL_STATE(18198)] = 725997,
  [SMALL_STATE(18199)] = 726011,
  [SMALL_STATE(18200)] = 726025,
  [SMALL_STATE(18201)] = 726039,
  [SMALL_STATE(18202)] = 726053,
  [SMALL_STATE(18203)] = 726067,
  [SMALL_STATE(18204)] = 726081,
  [SMALL_STATE(18205)] = 726095,
  [SMALL_STATE(18206)] = 726109,
  [SMALL_STATE(18207)] = 726123,
  [SMALL_STATE(18208)] = 726137,
  [SMALL_STATE(18209)] = 726151,
  [SMALL_STATE(18210)] = 726165,
  [SMALL_STATE(18211)] = 726179,
  [SMALL_STATE(18212)] = 726193,
  [SMALL_STATE(18213)] = 726207,
  [SMALL_STATE(18214)] = 726221,
  [SMALL_STATE(18215)] = 726235,
  [SMALL_STATE(18216)] = 726249,
  [SMALL_STATE(18217)] = 726263,
  [SMALL_STATE(18218)] = 726277,
  [SMALL_STATE(18219)] = 726291,
  [SMALL_STATE(18220)] = 726305,
  [SMALL_STATE(18221)] = 726319,
  [SMALL_STATE(18222)] = 726333,
  [SMALL_STATE(18223)] = 726347,
  [SMALL_STATE(18224)] = 726361,
  [SMALL_STATE(18225)] = 726375,
  [SMALL_STATE(18226)] = 726389,
  [SMALL_STATE(18227)] = 726403,
  [SMALL_STATE(18228)] = 726417,
  [SMALL_STATE(18229)] = 726431,
  [SMALL_STATE(18230)] = 726445,
  [SMALL_STATE(18231)] = 726459,
  [SMALL_STATE(18232)] = 726473,
  [SMALL_STATE(18233)] = 726487,
  [SMALL_STATE(18234)] = 726501,
  [SMALL_STATE(18235)] = 726515,
  [SMALL_STATE(18236)] = 726529,
  [SMALL_STATE(18237)] = 726543,
  [SMALL_STATE(18238)] = 726557,
  [SMALL_STATE(18239)] = 726571,
  [SMALL_STATE(18240)] = 726585,
  [SMALL_STATE(18241)] = 726599,
  [SMALL_STATE(18242)] = 726613,
  [SMALL_STATE(18243)] = 726627,
  [SMALL_STATE(18244)] = 726641,
  [SMALL_STATE(18245)] = 726655,
  [SMALL_STATE(18246)] = 726669,
  [SMALL_STATE(18247)] = 726683,
  [SMALL_STATE(18248)] = 726697,
  [SMALL_STATE(18249)] = 726711,
  [SMALL_STATE(18250)] = 726725,
  [SMALL_STATE(18251)] = 726739,
  [SMALL_STATE(18252)] = 726753,
  [SMALL_STATE(18253)] = 726767,
  [SMALL_STATE(18254)] = 726781,
  [SMALL_STATE(18255)] = 726795,
  [SMALL_STATE(18256)] = 726809,
  [SMALL_STATE(18257)] = 726823,
  [SMALL_STATE(18258)] = 726837,
  [SMALL_STATE(18259)] = 726851,
  [SMALL_STATE(18260)] = 726865,
  [SMALL_STATE(18261)] = 726879,
  [SMALL_STATE(18262)] = 726893,
  [SMALL_STATE(18263)] = 726907,
  [SMALL_STATE(18264)] = 726921,
  [SMALL_STATE(18265)] = 726935,
  [SMALL_STATE(18266)] = 726949,
  [SMALL_STATE(18267)] = 726963,
  [SMALL_STATE(18268)] = 726977,
  [SMALL_STATE(18269)] = 726991,
  [SMALL_STATE(18270)] = 727005,
  [SMALL_STATE(18271)] = 727019,
  [SMALL_STATE(18272)] = 727033,
  [SMALL_STATE(18273)] = 727047,
  [SMALL_STATE(18274)] = 727061,
  [SMALL_STATE(18275)] = 727075,
  [SMALL_STATE(18276)] = 727089,
  [SMALL_STATE(18277)] = 727103,
  [SMALL_STATE(18278)] = 727117,
  [SMALL_STATE(18279)] = 727131,
  [SMALL_STATE(18280)] = 727145,
  [SMALL_STATE(18281)] = 727159,
  [SMALL_STATE(18282)] = 727173,
  [SMALL_STATE(18283)] = 727187,
  [SMALL_STATE(18284)] = 727201,
  [SMALL_STATE(18285)] = 727215,
  [SMALL_STATE(18286)] = 727229,
  [SMALL_STATE(18287)] = 727243,
  [SMALL_STATE(18288)] = 727257,
  [SMALL_STATE(18289)] = 727271,
  [SMALL_STATE(18290)] = 727285,
  [SMALL_STATE(18291)] = 727299,
  [SMALL_STATE(18292)] = 727313,
  [SMALL_STATE(18293)] = 727327,
  [SMALL_STATE(18294)] = 727341,
  [SMALL_STATE(18295)] = 727355,
  [SMALL_STATE(18296)] = 727369,
  [SMALL_STATE(18297)] = 727383,
  [SMALL_STATE(18298)] = 727397,
  [SMALL_STATE(18299)] = 727411,
  [SMALL_STATE(18300)] = 727425,
  [SMALL_STATE(18301)] = 727439,
  [SMALL_STATE(18302)] = 727453,
  [SMALL_STATE(18303)] = 727467,
  [SMALL_STATE(18304)] = 727481,
  [SMALL_STATE(18305)] = 727495,
  [SMALL_STATE(18306)] = 727509,
  [SMALL_STATE(18307)] = 727523,
  [SMALL_STATE(18308)] = 727537,
  [SMALL_STATE(18309)] = 727551,
  [SMALL_STATE(18310)] = 727565,
  [SMALL_STATE(18311)] = 727579,
  [SMALL_STATE(18312)] = 727593,
  [SMALL_STATE(18313)] = 727607,
  [SMALL_STATE(18314)] = 727621,
  [SMALL_STATE(18315)] = 727635,
  [SMALL_STATE(18316)] = 727649,
  [SMALL_STATE(18317)] = 727663,
  [SMALL_STATE(18318)] = 727677,
  [SMALL_STATE(18319)] = 727691,
  [SMALL_STATE(18320)] = 727705,
  [SMALL_STATE(18321)] = 727719,
  [SMALL_STATE(18322)] = 727733,
  [SMALL_STATE(18323)] = 727747,
  [SMALL_STATE(18324)] = 727761,
  [SMALL_STATE(18325)] = 727775,
  [SMALL_STATE(18326)] = 727789,
  [SMALL_STATE(18327)] = 727803,
  [SMALL_STATE(18328)] = 727817,
  [SMALL_STATE(18329)] = 727831,
  [SMALL_STATE(18330)] = 727845,
  [SMALL_STATE(18331)] = 727859,
  [SMALL_STATE(18332)] = 727873,
  [SMALL_STATE(18333)] = 727887,
  [SMALL_STATE(18334)] = 727901,
  [SMALL_STATE(18335)] = 727915,
  [SMALL_STATE(18336)] = 727929,
  [SMALL_STATE(18337)] = 727943,
  [SMALL_STATE(18338)] = 727957,
  [SMALL_STATE(18339)] = 727971,
  [SMALL_STATE(18340)] = 727985,
  [SMALL_STATE(18341)] = 727999,
  [SMALL_STATE(18342)] = 728013,
  [SMALL_STATE(18343)] = 728027,
  [SMALL_STATE(18344)] = 728041,
  [SMALL_STATE(18345)] = 728055,
  [SMALL_STATE(18346)] = 728069,
  [SMALL_STATE(18347)] = 728083,
  [SMALL_STATE(18348)] = 728097,
  [SMALL_STATE(18349)] = 728111,
  [SMALL_STATE(18350)] = 728125,
  [SMALL_STATE(18351)] = 728139,
  [SMALL_STATE(18352)] = 728153,
  [SMALL_STATE(18353)] = 728167,
  [SMALL_STATE(18354)] = 728181,
  [SMALL_STATE(18355)] = 728195,
  [SMALL_STATE(18356)] = 728209,
  [SMALL_STATE(18357)] = 728223,
  [SMALL_STATE(18358)] = 728237,
  [SMALL_STATE(18359)] = 728251,
  [SMALL_STATE(18360)] = 728265,
  [SMALL_STATE(18361)] = 728279,
  [SMALL_STATE(18362)] = 728293,
  [SMALL_STATE(18363)] = 728307,
  [SMALL_STATE(18364)] = 728321,
  [SMALL_STATE(18365)] = 728335,
  [SMALL_STATE(18366)] = 728349,
  [SMALL_STATE(18367)] = 728363,
  [SMALL_STATE(18368)] = 728377,
  [SMALL_STATE(18369)] = 728391,
  [SMALL_STATE(18370)] = 728405,
  [SMALL_STATE(18371)] = 728419,
  [SMALL_STATE(18372)] = 728433,
  [SMALL_STATE(18373)] = 728447,
  [SMALL_STATE(18374)] = 728461,
  [SMALL_STATE(18375)] = 728475,
  [SMALL_STATE(18376)] = 728489,
  [SMALL_STATE(18377)] = 728503,
  [SMALL_STATE(18378)] = 728517,
  [SMALL_STATE(18379)] = 728531,
  [SMALL_STATE(18380)] = 728545,
  [SMALL_STATE(18381)] = 728559,
  [SMALL_STATE(18382)] = 728573,
  [SMALL_STATE(18383)] = 728587,
  [SMALL_STATE(18384)] = 728601,
  [SMALL_STATE(18385)] = 728615,
  [SMALL_STATE(18386)] = 728629,
  [SMALL_STATE(18387)] = 728643,
  [SMALL_STATE(18388)] = 728657,
  [SMALL_STATE(18389)] = 728671,
  [SMALL_STATE(18390)] = 728685,
  [SMALL_STATE(18391)] = 728699,
  [SMALL_STATE(18392)] = 728713,
  [SMALL_STATE(18393)] = 728727,
  [SMALL_STATE(18394)] = 728741,
  [SMALL_STATE(18395)] = 728755,
  [SMALL_STATE(18396)] = 728769,
  [SMALL_STATE(18397)] = 728783,
  [SMALL_STATE(18398)] = 728797,
  [SMALL_STATE(18399)] = 728811,
  [SMALL_STATE(18400)] = 728825,
  [SMALL_STATE(18401)] = 728839,
  [SMALL_STATE(18402)] = 728853,
  [SMALL_STATE(18403)] = 728867,
  [SMALL_STATE(18404)] = 728881,
  [SMALL_STATE(18405)] = 728895,
  [SMALL_STATE(18406)] = 728909,
  [SMALL_STATE(18407)] = 728923,
  [SMALL_STATE(18408)] = 728937,
  [SMALL_STATE(18409)] = 728951,
  [SMALL_STATE(18410)] = 728965,
  [SMALL_STATE(18411)] = 728979,
  [SMALL_STATE(18412)] = 728993,
  [SMALL_STATE(18413)] = 729007,
  [SMALL_STATE(18414)] = 729021,
  [SMALL_STATE(18415)] = 729035,
  [SMALL_STATE(18416)] = 729049,
  [SMALL_STATE(18417)] = 729063,
  [SMALL_STATE(18418)] = 729077,
  [SMALL_STATE(18419)] = 729091,
  [SMALL_STATE(18420)] = 729105,
  [SMALL_STATE(18421)] = 729119,
  [SMALL_STATE(18422)] = 729133,
  [SMALL_STATE(18423)] = 729147,
  [SMALL_STATE(18424)] = 729161,
  [SMALL_STATE(18425)] = 729175,
  [SMALL_STATE(18426)] = 729189,
  [SMALL_STATE(18427)] = 729203,
  [SMALL_STATE(18428)] = 729217,
  [SMALL_STATE(18429)] = 729231,
  [SMALL_STATE(18430)] = 729245,
  [SMALL_STATE(18431)] = 729259,
  [SMALL_STATE(18432)] = 729273,
  [SMALL_STATE(18433)] = 729287,
  [SMALL_STATE(18434)] = 729301,
  [SMALL_STATE(18435)] = 729315,
  [SMALL_STATE(18436)] = 729329,
  [SMALL_STATE(18437)] = 729343,
  [SMALL_STATE(18438)] = 729357,
  [SMALL_STATE(18439)] = 729371,
  [SMALL_STATE(18440)] = 729385,
  [SMALL_STATE(18441)] = 729399,
  [SMALL_STATE(18442)] = 729413,
  [SMALL_STATE(18443)] = 729427,
  [SMALL_STATE(18444)] = 729441,
  [SMALL_STATE(18445)] = 729455,
  [SMALL_STATE(18446)] = 729469,
  [SMALL_STATE(18447)] = 729483,
  [SMALL_STATE(18448)] = 729497,
  [SMALL_STATE(18449)] = 729511,
  [SMALL_STATE(18450)] = 729525,
  [SMALL_STATE(18451)] = 729539,
  [SMALL_STATE(18452)] = 729553,
  [SMALL_STATE(18453)] = 729567,
  [SMALL_STATE(18454)] = 729581,
  [SMALL_STATE(18455)] = 729595,
  [SMALL_STATE(18456)] = 729609,
  [SMALL_STATE(18457)] = 729623,
  [SMALL_STATE(18458)] = 729637,
  [SMALL_STATE(18459)] = 729651,
  [SMALL_STATE(18460)] = 729665,
  [SMALL_STATE(18461)] = 729679,
  [SMALL_STATE(18462)] = 729693,
  [SMALL_STATE(18463)] = 729707,
  [SMALL_STATE(18464)] = 729721,
  [SMALL_STATE(18465)] = 729735,
  [SMALL_STATE(18466)] = 729749,
  [SMALL_STATE(18467)] = 729763,
  [SMALL_STATE(18468)] = 729777,
  [SMALL_STATE(18469)] = 729791,
  [SMALL_STATE(18470)] = 729805,
  [SMALL_STATE(18471)] = 729819,
  [SMALL_STATE(18472)] = 729833,
  [SMALL_STATE(18473)] = 729847,
  [SMALL_STATE(18474)] = 729861,
  [SMALL_STATE(18475)] = 729875,
  [SMALL_STATE(18476)] = 729889,
  [SMALL_STATE(18477)] = 729903,
  [SMALL_STATE(18478)] = 729917,
  [SMALL_STATE(18479)] = 729931,
  [SMALL_STATE(18480)] = 729945,
  [SMALL_STATE(18481)] = 729959,
  [SMALL_STATE(18482)] = 729973,
  [SMALL_STATE(18483)] = 729987,
  [SMALL_STATE(18484)] = 730001,
  [SMALL_STATE(18485)] = 730015,
  [SMALL_STATE(18486)] = 730029,
  [SMALL_STATE(18487)] = 730043,
  [SMALL_STATE(18488)] = 730057,
  [SMALL_STATE(18489)] = 730071,
  [SMALL_STATE(18490)] = 730085,
  [SMALL_STATE(18491)] = 730099,
  [SMALL_STATE(18492)] = 730113,
  [SMALL_STATE(18493)] = 730127,
  [SMALL_STATE(18494)] = 730141,
  [SMALL_STATE(18495)] = 730155,
  [SMALL_STATE(18496)] = 730169,
  [SMALL_STATE(18497)] = 730183,
  [SMALL_STATE(18498)] = 730197,
  [SMALL_STATE(18499)] = 730211,
  [SMALL_STATE(18500)] = 730225,
  [SMALL_STATE(18501)] = 730239,
  [SMALL_STATE(18502)] = 730253,
  [SMALL_STATE(18503)] = 730267,
  [SMALL_STATE(18504)] = 730281,
  [SMALL_STATE(18505)] = 730295,
  [SMALL_STATE(18506)] = 730309,
  [SMALL_STATE(18507)] = 730323,
  [SMALL_STATE(18508)] = 730337,
  [SMALL_STATE(18509)] = 730351,
  [SMALL_STATE(18510)] = 730365,
  [SMALL_STATE(18511)] = 730379,
  [SMALL_STATE(18512)] = 730393,
  [SMALL_STATE(18513)] = 730407,
  [SMALL_STATE(18514)] = 730421,
  [SMALL_STATE(18515)] = 730435,
  [SMALL_STATE(18516)] = 730449,
  [SMALL_STATE(18517)] = 730463,
  [SMALL_STATE(18518)] = 730477,
  [SMALL_STATE(18519)] = 730491,
  [SMALL_STATE(18520)] = 730505,
  [SMALL_STATE(18521)] = 730519,
  [SMALL_STATE(18522)] = 730533,
  [SMALL_STATE(18523)] = 730547,
  [SMALL_STATE(18524)] = 730561,
  [SMALL_STATE(18525)] = 730575,
  [SMALL_STATE(18526)] = 730589,
  [SMALL_STATE(18527)] = 730603,
  [SMALL_STATE(18528)] = 730617,
  [SMALL_STATE(18529)] = 730631,
  [SMALL_STATE(18530)] = 730645,
  [SMALL_STATE(18531)] = 730659,
  [SMALL_STATE(18532)] = 730673,
  [SMALL_STATE(18533)] = 730687,
  [SMALL_STATE(18534)] = 730701,
  [SMALL_STATE(18535)] = 730715,
  [SMALL_STATE(18536)] = 730729,
  [SMALL_STATE(18537)] = 730743,
  [SMALL_STATE(18538)] = 730757,
  [SMALL_STATE(18539)] = 730771,
  [SMALL_STATE(18540)] = 730785,
  [SMALL_STATE(18541)] = 730799,
  [SMALL_STATE(18542)] = 730813,
  [SMALL_STATE(18543)] = 730827,
  [SMALL_STATE(18544)] = 730841,
  [SMALL_STATE(18545)] = 730855,
  [SMALL_STATE(18546)] = 730869,
  [SMALL_STATE(18547)] = 730883,
  [SMALL_STATE(18548)] = 730897,
  [SMALL_STATE(18549)] = 730911,
  [SMALL_STATE(18550)] = 730925,
  [SMALL_STATE(18551)] = 730939,
  [SMALL_STATE(18552)] = 730953,
  [SMALL_STATE(18553)] = 730967,
  [SMALL_STATE(18554)] = 730981,
  [SMALL_STATE(18555)] = 730995,
  [SMALL_STATE(18556)] = 731009,
  [SMALL_STATE(18557)] = 731023,
  [SMALL_STATE(18558)] = 731037,
  [SMALL_STATE(18559)] = 731051,
  [SMALL_STATE(18560)] = 731065,
  [SMALL_STATE(18561)] = 731079,
  [SMALL_STATE(18562)] = 731093,
  [SMALL_STATE(18563)] = 731107,
  [SMALL_STATE(18564)] = 731121,
  [SMALL_STATE(18565)] = 731135,
  [SMALL_STATE(18566)] = 731149,
  [SMALL_STATE(18567)] = 731163,
  [SMALL_STATE(18568)] = 731177,
  [SMALL_STATE(18569)] = 731191,
  [SMALL_STATE(18570)] = 731205,
  [SMALL_STATE(18571)] = 731219,
  [SMALL_STATE(18572)] = 731233,
  [SMALL_STATE(18573)] = 731247,
  [SMALL_STATE(18574)] = 731261,
  [SMALL_STATE(18575)] = 731275,
  [SMALL_STATE(18576)] = 731289,
  [SMALL_STATE(18577)] = 731303,
  [SMALL_STATE(18578)] = 731317,
  [SMALL_STATE(18579)] = 731331,
  [SMALL_STATE(18580)] = 731345,
  [SMALL_STATE(18581)] = 731359,
  [SMALL_STATE(18582)] = 731373,
  [SMALL_STATE(18583)] = 731387,
  [SMALL_STATE(18584)] = 731401,
  [SMALL_STATE(18585)] = 731415,
  [SMALL_STATE(18586)] = 731429,
  [SMALL_STATE(18587)] = 731443,
  [SMALL_STATE(18588)] = 731457,
  [SMALL_STATE(18589)] = 731471,
  [SMALL_STATE(18590)] = 731485,
  [SMALL_STATE(18591)] = 731499,
  [SMALL_STATE(18592)] = 731513,
  [SMALL_STATE(18593)] = 731527,
  [SMALL_STATE(18594)] = 731541,
  [SMALL_STATE(18595)] = 731555,
  [SMALL_STATE(18596)] = 731569,
  [SMALL_STATE(18597)] = 731583,
  [SMALL_STATE(18598)] = 731597,
  [SMALL_STATE(18599)] = 731611,
  [SMALL_STATE(18600)] = 731625,
  [SMALL_STATE(18601)] = 731639,
  [SMALL_STATE(18602)] = 731653,
  [SMALL_STATE(18603)] = 731667,
  [SMALL_STATE(18604)] = 731681,
  [SMALL_STATE(18605)] = 731695,
  [SMALL_STATE(18606)] = 731709,
  [SMALL_STATE(18607)] = 731723,
  [SMALL_STATE(18608)] = 731737,
  [SMALL_STATE(18609)] = 731751,
  [SMALL_STATE(18610)] = 731765,
  [SMALL_STATE(18611)] = 731779,
  [SMALL_STATE(18612)] = 731793,
  [SMALL_STATE(18613)] = 731807,
  [SMALL_STATE(18614)] = 731821,
  [SMALL_STATE(18615)] = 731835,
  [SMALL_STATE(18616)] = 731849,
  [SMALL_STATE(18617)] = 731863,
  [SMALL_STATE(18618)] = 731877,
  [SMALL_STATE(18619)] = 731891,
  [SMALL_STATE(18620)] = 731905,
  [SMALL_STATE(18621)] = 731919,
  [SMALL_STATE(18622)] = 731933,
  [SMALL_STATE(18623)] = 731947,
  [SMALL_STATE(18624)] = 731961,
  [SMALL_STATE(18625)] = 731975,
  [SMALL_STATE(18626)] = 731989,
  [SMALL_STATE(18627)] = 732003,
  [SMALL_STATE(18628)] = 732017,
  [SMALL_STATE(18629)] = 732031,
  [SMALL_STATE(18630)] = 732045,
  [SMALL_STATE(18631)] = 732059,
  [SMALL_STATE(18632)] = 732073,
  [SMALL_STATE(18633)] = 732087,
  [SMALL_STATE(18634)] = 732101,
  [SMALL_STATE(18635)] = 732115,
  [SMALL_STATE(18636)] = 732129,
  [SMALL_STATE(18637)] = 732143,
  [SMALL_STATE(18638)] = 732157,
  [SMALL_STATE(18639)] = 732171,
  [SMALL_STATE(18640)] = 732185,
  [SMALL_STATE(18641)] = 732199,
  [SMALL_STATE(18642)] = 732213,
  [SMALL_STATE(18643)] = 732227,
  [SMALL_STATE(18644)] = 732241,
  [SMALL_STATE(18645)] = 732255,
  [SMALL_STATE(18646)] = 732269,
  [SMALL_STATE(18647)] = 732283,
  [SMALL_STATE(18648)] = 732297,
  [SMALL_STATE(18649)] = 732311,
  [SMALL_STATE(18650)] = 732325,
  [SMALL_STATE(18651)] = 732339,
  [SMALL_STATE(18652)] = 732353,
  [SMALL_STATE(18653)] = 732367,
  [SMALL_STATE(18654)] = 732381,
  [SMALL_STATE(18655)] = 732395,
  [SMALL_STATE(18656)] = 732409,
  [SMALL_STATE(18657)] = 732423,
  [SMALL_STATE(18658)] = 732437,
  [SMALL_STATE(18659)] = 732451,
  [SMALL_STATE(18660)] = 732465,
  [SMALL_STATE(18661)] = 732479,
  [SMALL_STATE(18662)] = 732493,
  [SMALL_STATE(18663)] = 732507,
  [SMALL_STATE(18664)] = 732521,
  [SMALL_STATE(18665)] = 732535,
  [SMALL_STATE(18666)] = 732549,
  [SMALL_STATE(18667)] = 732563,
  [SMALL_STATE(18668)] = 732577,
  [SMALL_STATE(18669)] = 732591,
  [SMALL_STATE(18670)] = 732605,
  [SMALL_STATE(18671)] = 732619,
  [SMALL_STATE(18672)] = 732633,
  [SMALL_STATE(18673)] = 732647,
  [SMALL_STATE(18674)] = 732661,
  [SMALL_STATE(18675)] = 732675,
  [SMALL_STATE(18676)] = 732689,
  [SMALL_STATE(18677)] = 732703,
  [SMALL_STATE(18678)] = 732717,
  [SMALL_STATE(18679)] = 732731,
  [SMALL_STATE(18680)] = 732745,
  [SMALL_STATE(18681)] = 732759,
  [SMALL_STATE(18682)] = 732773,
  [SMALL_STATE(18683)] = 732787,
  [SMALL_STATE(18684)] = 732801,
  [SMALL_STATE(18685)] = 732815,
  [SMALL_STATE(18686)] = 732829,
  [SMALL_STATE(18687)] = 732843,
  [SMALL_STATE(18688)] = 732857,
  [SMALL_STATE(18689)] = 732871,
  [SMALL_STATE(18690)] = 732885,
  [SMALL_STATE(18691)] = 732899,
  [SMALL_STATE(18692)] = 732913,
  [SMALL_STATE(18693)] = 732927,
  [SMALL_STATE(18694)] = 732941,
  [SMALL_STATE(18695)] = 732955,
  [SMALL_STATE(18696)] = 732969,
  [SMALL_STATE(18697)] = 732983,
  [SMALL_STATE(18698)] = 732997,
  [SMALL_STATE(18699)] = 733011,
  [SMALL_STATE(18700)] = 733025,
  [SMALL_STATE(18701)] = 733039,
  [SMALL_STATE(18702)] = 733053,
  [SMALL_STATE(18703)] = 733067,
  [SMALL_STATE(18704)] = 733081,
  [SMALL_STATE(18705)] = 733095,
  [SMALL_STATE(18706)] = 733109,
  [SMALL_STATE(18707)] = 733123,
  [SMALL_STATE(18708)] = 733137,
  [SMALL_STATE(18709)] = 733151,
  [SMALL_STATE(18710)] = 733165,
  [SMALL_STATE(18711)] = 733179,
  [SMALL_STATE(18712)] = 733193,
  [SMALL_STATE(18713)] = 733207,
  [SMALL_STATE(18714)] = 733221,
  [SMALL_STATE(18715)] = 733235,
  [SMALL_STATE(18716)] = 733249,
  [SMALL_STATE(18717)] = 733263,
  [SMALL_STATE(18718)] = 733277,
  [SMALL_STATE(18719)] = 733291,
  [SMALL_STATE(18720)] = 733305,
  [SMALL_STATE(18721)] = 733319,
  [SMALL_STATE(18722)] = 733333,
  [SMALL_STATE(18723)] = 733347,
  [SMALL_STATE(18724)] = 733361,
  [SMALL_STATE(18725)] = 733375,
  [SMALL_STATE(18726)] = 733389,
  [SMALL_STATE(18727)] = 733403,
  [SMALL_STATE(18728)] = 733417,
  [SMALL_STATE(18729)] = 733431,
  [SMALL_STATE(18730)] = 733445,
  [SMALL_STATE(18731)] = 733459,
  [SMALL_STATE(18732)] = 733473,
  [SMALL_STATE(18733)] = 733487,
  [SMALL_STATE(18734)] = 733501,
  [SMALL_STATE(18735)] = 733515,
  [SMALL_STATE(18736)] = 733529,
  [SMALL_STATE(18737)] = 733543,
  [SMALL_STATE(18738)] = 733557,
  [SMALL_STATE(18739)] = 733571,
  [SMALL_STATE(18740)] = 733585,
  [SMALL_STATE(18741)] = 733599,
  [SMALL_STATE(18742)] = 733613,
  [SMALL_STATE(18743)] = 733627,
  [SMALL_STATE(18744)] = 733641,
  [SMALL_STATE(18745)] = 733655,
  [SMALL_STATE(18746)] = 733669,
  [SMALL_STATE(18747)] = 733683,
  [SMALL_STATE(18748)] = 733697,
  [SMALL_STATE(18749)] = 733711,
  [SMALL_STATE(18750)] = 733725,
  [SMALL_STATE(18751)] = 733739,
  [SMALL_STATE(18752)] = 733753,
  [SMALL_STATE(18753)] = 733767,
  [SMALL_STATE(18754)] = 733781,
  [SMALL_STATE(18755)] = 733795,
  [SMALL_STATE(18756)] = 733809,
  [SMALL_STATE(18757)] = 733823,
  [SMALL_STATE(18758)] = 733837,
  [SMALL_STATE(18759)] = 733851,
  [SMALL_STATE(18760)] = 733865,
  [SMALL_STATE(18761)] = 733879,
  [SMALL_STATE(18762)] = 733893,
  [SMALL_STATE(18763)] = 733907,
  [SMALL_STATE(18764)] = 733921,
  [SMALL_STATE(18765)] = 733935,
  [SMALL_STATE(18766)] = 733949,
  [SMALL_STATE(18767)] = 733963,
  [SMALL_STATE(18768)] = 733977,
  [SMALL_STATE(18769)] = 733991,
  [SMALL_STATE(18770)] = 734005,
  [SMALL_STATE(18771)] = 734019,
  [SMALL_STATE(18772)] = 734033,
  [SMALL_STATE(18773)] = 734047,
  [SMALL_STATE(18774)] = 734061,
  [SMALL_STATE(18775)] = 734075,
  [SMALL_STATE(18776)] = 734089,
  [SMALL_STATE(18777)] = 734103,
  [SMALL_STATE(18778)] = 734117,
  [SMALL_STATE(18779)] = 734131,
  [SMALL_STATE(18780)] = 734145,
  [SMALL_STATE(18781)] = 734159,
  [SMALL_STATE(18782)] = 734173,
  [SMALL_STATE(18783)] = 734187,
  [SMALL_STATE(18784)] = 734201,
  [SMALL_STATE(18785)] = 734215,
  [SMALL_STATE(18786)] = 734229,
  [SMALL_STATE(18787)] = 734243,
  [SMALL_STATE(18788)] = 734257,
  [SMALL_STATE(18789)] = 734271,
  [SMALL_STATE(18790)] = 734285,
  [SMALL_STATE(18791)] = 734299,
  [SMALL_STATE(18792)] = 734313,
  [SMALL_STATE(18793)] = 734327,
  [SMALL_STATE(18794)] = 734341,
  [SMALL_STATE(18795)] = 734355,
  [SMALL_STATE(18796)] = 734369,
  [SMALL_STATE(18797)] = 734383,
  [SMALL_STATE(18798)] = 734397,
  [SMALL_STATE(18799)] = 734411,
  [SMALL_STATE(18800)] = 734425,
  [SMALL_STATE(18801)] = 734439,
  [SMALL_STATE(18802)] = 734453,
  [SMALL_STATE(18803)] = 734467,
  [SMALL_STATE(18804)] = 734481,
  [SMALL_STATE(18805)] = 734495,
  [SMALL_STATE(18806)] = 734509,
  [SMALL_STATE(18807)] = 734523,
  [SMALL_STATE(18808)] = 734537,
  [SMALL_STATE(18809)] = 734551,
  [SMALL_STATE(18810)] = 734565,
  [SMALL_STATE(18811)] = 734579,
  [SMALL_STATE(18812)] = 734593,
  [SMALL_STATE(18813)] = 734607,
  [SMALL_STATE(18814)] = 734621,
  [SMALL_STATE(18815)] = 734635,
  [SMALL_STATE(18816)] = 734649,
  [SMALL_STATE(18817)] = 734663,
  [SMALL_STATE(18818)] = 734677,
  [SMALL_STATE(18819)] = 734691,
  [SMALL_STATE(18820)] = 734705,
  [SMALL_STATE(18821)] = 734719,
  [SMALL_STATE(18822)] = 734733,
  [SMALL_STATE(18823)] = 734747,
  [SMALL_STATE(18824)] = 734761,
  [SMALL_STATE(18825)] = 734775,
  [SMALL_STATE(18826)] = 734789,
  [SMALL_STATE(18827)] = 734803,
  [SMALL_STATE(18828)] = 734817,
  [SMALL_STATE(18829)] = 734831,
  [SMALL_STATE(18830)] = 734845,
  [SMALL_STATE(18831)] = 734859,
  [SMALL_STATE(18832)] = 734873,
  [SMALL_STATE(18833)] = 734887,
  [SMALL_STATE(18834)] = 734901,
  [SMALL_STATE(18835)] = 734915,
  [SMALL_STATE(18836)] = 734929,
  [SMALL_STATE(18837)] = 734943,
  [SMALL_STATE(18838)] = 734957,
  [SMALL_STATE(18839)] = 734971,
  [SMALL_STATE(18840)] = 734985,
  [SMALL_STATE(18841)] = 734999,
  [SMALL_STATE(18842)] = 735013,
  [SMALL_STATE(18843)] = 735027,
  [SMALL_STATE(18844)] = 735041,
  [SMALL_STATE(18845)] = 735055,
  [SMALL_STATE(18846)] = 735069,
  [SMALL_STATE(18847)] = 735083,
  [SMALL_STATE(18848)] = 735097,
  [SMALL_STATE(18849)] = 735111,
  [SMALL_STATE(18850)] = 735125,
  [SMALL_STATE(18851)] = 735139,
  [SMALL_STATE(18852)] = 735153,
  [SMALL_STATE(18853)] = 735167,
  [SMALL_STATE(18854)] = 735181,
  [SMALL_STATE(18855)] = 735195,
  [SMALL_STATE(18856)] = 735209,
  [SMALL_STATE(18857)] = 735223,
  [SMALL_STATE(18858)] = 735237,
  [SMALL_STATE(18859)] = 735251,
  [SMALL_STATE(18860)] = 735265,
  [SMALL_STATE(18861)] = 735279,
  [SMALL_STATE(18862)] = 735293,
  [SMALL_STATE(18863)] = 735307,
  [SMALL_STATE(18864)] = 735321,
  [SMALL_STATE(18865)] = 735335,
  [SMALL_STATE(18866)] = 735349,
  [SMALL_STATE(18867)] = 735363,
  [SMALL_STATE(18868)] = 735377,
  [SMALL_STATE(18869)] = 735391,
  [SMALL_STATE(18870)] = 735405,
  [SMALL_STATE(18871)] = 735419,
  [SMALL_STATE(18872)] = 735433,
  [SMALL_STATE(18873)] = 735447,
  [SMALL_STATE(18874)] = 735461,
  [SMALL_STATE(18875)] = 735475,
  [SMALL_STATE(18876)] = 735489,
  [SMALL_STATE(18877)] = 735503,
  [SMALL_STATE(18878)] = 735517,
  [SMALL_STATE(18879)] = 735531,
  [SMALL_STATE(18880)] = 735545,
  [SMALL_STATE(18881)] = 735559,
  [SMALL_STATE(18882)] = 735573,
  [SMALL_STATE(18883)] = 735587,
  [SMALL_STATE(18884)] = 735601,
  [SMALL_STATE(18885)] = 735615,
  [SMALL_STATE(18886)] = 735629,
  [SMALL_STATE(18887)] = 735643,
  [SMALL_STATE(18888)] = 735657,
  [SMALL_STATE(18889)] = 735671,
  [SMALL_STATE(18890)] = 735685,
  [SMALL_STATE(18891)] = 735699,
  [SMALL_STATE(18892)] = 735713,
  [SMALL_STATE(18893)] = 735727,
  [SMALL_STATE(18894)] = 735741,
  [SMALL_STATE(18895)] = 735755,
  [SMALL_STATE(18896)] = 735769,
  [SMALL_STATE(18897)] = 735783,
  [SMALL_STATE(18898)] = 735797,
  [SMALL_STATE(18899)] = 735811,
  [SMALL_STATE(18900)] = 735825,
  [SMALL_STATE(18901)] = 735839,
  [SMALL_STATE(18902)] = 735853,
  [SMALL_STATE(18903)] = 735867,
  [SMALL_STATE(18904)] = 735881,
  [SMALL_STATE(18905)] = 735895,
  [SMALL_STATE(18906)] = 735909,
  [SMALL_STATE(18907)] = 735923,
  [SMALL_STATE(18908)] = 735937,
  [SMALL_STATE(18909)] = 735951,
  [SMALL_STATE(18910)] = 735965,
  [SMALL_STATE(18911)] = 735979,
  [SMALL_STATE(18912)] = 735993,
  [SMALL_STATE(18913)] = 736007,
  [SMALL_STATE(18914)] = 736021,
  [SMALL_STATE(18915)] = 736035,
  [SMALL_STATE(18916)] = 736049,
  [SMALL_STATE(18917)] = 736063,
  [SMALL_STATE(18918)] = 736077,
  [SMALL_STATE(18919)] = 736091,
  [SMALL_STATE(18920)] = 736105,
  [SMALL_STATE(18921)] = 736119,
  [SMALL_STATE(18922)] = 736133,
  [SMALL_STATE(18923)] = 736147,
  [SMALL_STATE(18924)] = 736161,
  [SMALL_STATE(18925)] = 736175,
  [SMALL_STATE(18926)] = 736189,
  [SMALL_STATE(18927)] = 736203,
  [SMALL_STATE(18928)] = 736217,
  [SMALL_STATE(18929)] = 736231,
  [SMALL_STATE(18930)] = 736245,
  [SMALL_STATE(18931)] = 736259,
  [SMALL_STATE(18932)] = 736273,
  [SMALL_STATE(18933)] = 736287,
  [SMALL_STATE(18934)] = 736301,
  [SMALL_STATE(18935)] = 736315,
  [SMALL_STATE(18936)] = 736329,
  [SMALL_STATE(18937)] = 736343,
  [SMALL_STATE(18938)] = 736357,
  [SMALL_STATE(18939)] = 736371,
  [SMALL_STATE(18940)] = 736385,
  [SMALL_STATE(18941)] = 736399,
  [SMALL_STATE(18942)] = 736413,
  [SMALL_STATE(18943)] = 736427,
  [SMALL_STATE(18944)] = 736441,
  [SMALL_STATE(18945)] = 736455,
  [SMALL_STATE(18946)] = 736469,
  [SMALL_STATE(18947)] = 736483,
  [SMALL_STATE(18948)] = 736497,
  [SMALL_STATE(18949)] = 736511,
  [SMALL_STATE(18950)] = 736525,
  [SMALL_STATE(18951)] = 736539,
  [SMALL_STATE(18952)] = 736553,
  [SMALL_STATE(18953)] = 736567,
  [SMALL_STATE(18954)] = 736581,
  [SMALL_STATE(18955)] = 736595,
  [SMALL_STATE(18956)] = 736609,
  [SMALL_STATE(18957)] = 736623,
  [SMALL_STATE(18958)] = 736637,
  [SMALL_STATE(18959)] = 736651,
  [SMALL_STATE(18960)] = 736665,
  [SMALL_STATE(18961)] = 736679,
  [SMALL_STATE(18962)] = 736693,
  [SMALL_STATE(18963)] = 736707,
  [SMALL_STATE(18964)] = 736721,
  [SMALL_STATE(18965)] = 736735,
  [SMALL_STATE(18966)] = 736749,
  [SMALL_STATE(18967)] = 736763,
  [SMALL_STATE(18968)] = 736777,
  [SMALL_STATE(18969)] = 736791,
  [SMALL_STATE(18970)] = 736805,
  [SMALL_STATE(18971)] = 736819,
  [SMALL_STATE(18972)] = 736833,
  [SMALL_STATE(18973)] = 736847,
  [SMALL_STATE(18974)] = 736861,
  [SMALL_STATE(18975)] = 736875,
  [SMALL_STATE(18976)] = 736889,
  [SMALL_STATE(18977)] = 736903,
  [SMALL_STATE(18978)] = 736917,
  [SMALL_STATE(18979)] = 736931,
  [SMALL_STATE(18980)] = 736945,
  [SMALL_STATE(18981)] = 736959,
  [SMALL_STATE(18982)] = 736973,
  [SMALL_STATE(18983)] = 736987,
  [SMALL_STATE(18984)] = 737001,
  [SMALL_STATE(18985)] = 737015,
  [SMALL_STATE(18986)] = 737029,
  [SMALL_STATE(18987)] = 737043,
  [SMALL_STATE(18988)] = 737057,
  [SMALL_STATE(18989)] = 737071,
  [SMALL_STATE(18990)] = 737085,
  [SMALL_STATE(18991)] = 737099,
  [SMALL_STATE(18992)] = 737113,
  [SMALL_STATE(18993)] = 737127,
  [SMALL_STATE(18994)] = 737141,
  [SMALL_STATE(18995)] = 737155,
  [SMALL_STATE(18996)] = 737169,
  [SMALL_STATE(18997)] = 737183,
  [SMALL_STATE(18998)] = 737197,
  [SMALL_STATE(18999)] = 737211,
  [SMALL_STATE(19000)] = 737225,
  [SMALL_STATE(19001)] = 737239,
  [SMALL_STATE(19002)] = 737253,
  [SMALL_STATE(19003)] = 737267,
  [SMALL_STATE(19004)] = 737281,
  [SMALL_STATE(19005)] = 737295,
  [SMALL_STATE(19006)] = 737309,
  [SMALL_STATE(19007)] = 737323,
  [SMALL_STATE(19008)] = 737337,
  [SMALL_STATE(19009)] = 737351,
  [SMALL_STATE(19010)] = 737365,
  [SMALL_STATE(19011)] = 737379,
  [SMALL_STATE(19012)] = 737393,
  [SMALL_STATE(19013)] = 737407,
  [SMALL_STATE(19014)] = 737421,
  [SMALL_STATE(19015)] = 737435,
  [SMALL_STATE(19016)] = 737449,
  [SMALL_STATE(19017)] = 737463,
  [SMALL_STATE(19018)] = 737477,
  [SMALL_STATE(19019)] = 737491,
  [SMALL_STATE(19020)] = 737505,
  [SMALL_STATE(19021)] = 737519,
  [SMALL_STATE(19022)] = 737533,
  [SMALL_STATE(19023)] = 737547,
  [SMALL_STATE(19024)] = 737561,
  [SMALL_STATE(19025)] = 737575,
  [SMALL_STATE(19026)] = 737589,
  [SMALL_STATE(19027)] = 737603,
  [SMALL_STATE(19028)] = 737617,
  [SMALL_STATE(19029)] = 737631,
  [SMALL_STATE(19030)] = 737645,
  [SMALL_STATE(19031)] = 737659,
  [SMALL_STATE(19032)] = 737673,
  [SMALL_STATE(19033)] = 737687,
  [SMALL_STATE(19034)] = 737701,
  [SMALL_STATE(19035)] = 737715,
  [SMALL_STATE(19036)] = 737729,
  [SMALL_STATE(19037)] = 737743,
  [SMALL_STATE(19038)] = 737757,
  [SMALL_STATE(19039)] = 737771,
  [SMALL_STATE(19040)] = 737785,
  [SMALL_STATE(19041)] = 737799,
  [SMALL_STATE(19042)] = 737813,
  [SMALL_STATE(19043)] = 737827,
  [SMALL_STATE(19044)] = 737841,
  [SMALL_STATE(19045)] = 737855,
  [SMALL_STATE(19046)] = 737869,
  [SMALL_STATE(19047)] = 737883,
  [SMALL_STATE(19048)] = 737897,
  [SMALL_STATE(19049)] = 737911,
  [SMALL_STATE(19050)] = 737925,
  [SMALL_STATE(19051)] = 737939,
  [SMALL_STATE(19052)] = 737953,
  [SMALL_STATE(19053)] = 737967,
  [SMALL_STATE(19054)] = 737981,
  [SMALL_STATE(19055)] = 737995,
  [SMALL_STATE(19056)] = 738009,
  [SMALL_STATE(19057)] = 738023,
  [SMALL_STATE(19058)] = 738037,
  [SMALL_STATE(19059)] = 738051,
  [SMALL_STATE(19060)] = 738065,
  [SMALL_STATE(19061)] = 738079,
  [SMALL_STATE(19062)] = 738093,
  [SMALL_STATE(19063)] = 738107,
  [SMALL_STATE(19064)] = 738121,
  [SMALL_STATE(19065)] = 738135,
  [SMALL_STATE(19066)] = 738149,
  [SMALL_STATE(19067)] = 738163,
  [SMALL_STATE(19068)] = 738177,
  [SMALL_STATE(19069)] = 738191,
  [SMALL_STATE(19070)] = 738205,
  [SMALL_STATE(19071)] = 738219,
  [SMALL_STATE(19072)] = 738233,
  [SMALL_STATE(19073)] = 738247,
  [SMALL_STATE(19074)] = 738261,
  [SMALL_STATE(19075)] = 738275,
  [SMALL_STATE(19076)] = 738289,
  [SMALL_STATE(19077)] = 738303,
  [SMALL_STATE(19078)] = 738317,
  [SMALL_STATE(19079)] = 738331,
  [SMALL_STATE(19080)] = 738345,
  [SMALL_STATE(19081)] = 738359,
  [SMALL_STATE(19082)] = 738373,
  [SMALL_STATE(19083)] = 738387,
  [SMALL_STATE(19084)] = 738401,
  [SMALL_STATE(19085)] = 738415,
  [SMALL_STATE(19086)] = 738429,
  [SMALL_STATE(19087)] = 738443,
  [SMALL_STATE(19088)] = 738457,
  [SMALL_STATE(19089)] = 738471,
  [SMALL_STATE(19090)] = 738485,
  [SMALL_STATE(19091)] = 738499,
  [SMALL_STATE(19092)] = 738513,
  [SMALL_STATE(19093)] = 738527,
  [SMALL_STATE(19094)] = 738541,
  [SMALL_STATE(19095)] = 738555,
  [SMALL_STATE(19096)] = 738569,
  [SMALL_STATE(19097)] = 738583,
  [SMALL_STATE(19098)] = 738597,
  [SMALL_STATE(19099)] = 738611,
  [SMALL_STATE(19100)] = 738625,
  [SMALL_STATE(19101)] = 738639,
  [SMALL_STATE(19102)] = 738653,
  [SMALL_STATE(19103)] = 738667,
  [SMALL_STATE(19104)] = 738681,
  [SMALL_STATE(19105)] = 738695,
  [SMALL_STATE(19106)] = 738709,
  [SMALL_STATE(19107)] = 738723,
  [SMALL_STATE(19108)] = 738737,
  [SMALL_STATE(19109)] = 738751,
  [SMALL_STATE(19110)] = 738765,
  [SMALL_STATE(19111)] = 738779,
  [SMALL_STATE(19112)] = 738793,
  [SMALL_STATE(19113)] = 738807,
  [SMALL_STATE(19114)] = 738821,
  [SMALL_STATE(19115)] = 738835,
  [SMALL_STATE(19116)] = 738849,
  [SMALL_STATE(19117)] = 738863,
  [SMALL_STATE(19118)] = 738877,
  [SMALL_STATE(19119)] = 738891,
  [SMALL_STATE(19120)] = 738905,
  [SMALL_STATE(19121)] = 738919,
  [SMALL_STATE(19122)] = 738933,
  [SMALL_STATE(19123)] = 738947,
  [SMALL_STATE(19124)] = 738961,
  [SMALL_STATE(19125)] = 738975,
  [SMALL_STATE(19126)] = 738989,
  [SMALL_STATE(19127)] = 739003,
  [SMALL_STATE(19128)] = 739017,
  [SMALL_STATE(19129)] = 739031,
  [SMALL_STATE(19130)] = 739045,
  [SMALL_STATE(19131)] = 739059,
  [SMALL_STATE(19132)] = 739073,
  [SMALL_STATE(19133)] = 739087,
  [SMALL_STATE(19134)] = 739101,
  [SMALL_STATE(19135)] = 739115,
  [SMALL_STATE(19136)] = 739129,
  [SMALL_STATE(19137)] = 739143,
  [SMALL_STATE(19138)] = 739157,
  [SMALL_STATE(19139)] = 739171,
  [SMALL_STATE(19140)] = 739185,
  [SMALL_STATE(19141)] = 739199,
  [SMALL_STATE(19142)] = 739213,
  [SMALL_STATE(19143)] = 739227,
  [SMALL_STATE(19144)] = 739241,
  [SMALL_STATE(19145)] = 739255,
  [SMALL_STATE(19146)] = 739269,
  [SMALL_STATE(19147)] = 739283,
  [SMALL_STATE(19148)] = 739297,
  [SMALL_STATE(19149)] = 739311,
  [SMALL_STATE(19150)] = 739325,
  [SMALL_STATE(19151)] = 739339,
  [SMALL_STATE(19152)] = 739353,
  [SMALL_STATE(19153)] = 739367,
  [SMALL_STATE(19154)] = 739381,
  [SMALL_STATE(19155)] = 739395,
  [SMALL_STATE(19156)] = 739409,
  [SMALL_STATE(19157)] = 739423,
  [SMALL_STATE(19158)] = 739437,
  [SMALL_STATE(19159)] = 739451,
  [SMALL_STATE(19160)] = 739465,
  [SMALL_STATE(19161)] = 739479,
  [SMALL_STATE(19162)] = 739493,
  [SMALL_STATE(19163)] = 739507,
  [SMALL_STATE(19164)] = 739521,
  [SMALL_STATE(19165)] = 739535,
  [SMALL_STATE(19166)] = 739549,
  [SMALL_STATE(19167)] = 739563,
  [SMALL_STATE(19168)] = 739577,
  [SMALL_STATE(19169)] = 739591,
  [SMALL_STATE(19170)] = 739605,
  [SMALL_STATE(19171)] = 739619,
  [SMALL_STATE(19172)] = 739633,
  [SMALL_STATE(19173)] = 739647,
  [SMALL_STATE(19174)] = 739661,
  [SMALL_STATE(19175)] = 739675,
  [SMALL_STATE(19176)] = 739689,
  [SMALL_STATE(19177)] = 739703,
  [SMALL_STATE(19178)] = 739717,
  [SMALL_STATE(19179)] = 739731,
  [SMALL_STATE(19180)] = 739745,
  [SMALL_STATE(19181)] = 739759,
  [SMALL_STATE(19182)] = 739773,
  [SMALL_STATE(19183)] = 739787,
  [SMALL_STATE(19184)] = 739801,
  [SMALL_STATE(19185)] = 739815,
  [SMALL_STATE(19186)] = 739829,
  [SMALL_STATE(19187)] = 739843,
  [SMALL_STATE(19188)] = 739857,
  [SMALL_STATE(19189)] = 739871,
  [SMALL_STATE(19190)] = 739885,
  [SMALL_STATE(19191)] = 739899,
  [SMALL_STATE(19192)] = 739913,
  [SMALL_STATE(19193)] = 739927,
  [SMALL_STATE(19194)] = 739941,
  [SMALL_STATE(19195)] = 739955,
  [SMALL_STATE(19196)] = 739969,
  [SMALL_STATE(19197)] = 739983,
  [SMALL_STATE(19198)] = 739997,
  [SMALL_STATE(19199)] = 740011,
  [SMALL_STATE(19200)] = 740025,
  [SMALL_STATE(19201)] = 740039,
  [SMALL_STATE(19202)] = 740053,
  [SMALL_STATE(19203)] = 740067,
  [SMALL_STATE(19204)] = 740081,
  [SMALL_STATE(19205)] = 740095,
  [SMALL_STATE(19206)] = 740109,
  [SMALL_STATE(19207)] = 740123,
  [SMALL_STATE(19208)] = 740137,
  [SMALL_STATE(19209)] = 740151,
  [SMALL_STATE(19210)] = 740165,
  [SMALL_STATE(19211)] = 740179,
  [SMALL_STATE(19212)] = 740193,
  [SMALL_STATE(19213)] = 740207,
  [SMALL_STATE(19214)] = 740221,
  [SMALL_STATE(19215)] = 740235,
  [SMALL_STATE(19216)] = 740249,
  [SMALL_STATE(19217)] = 740263,
  [SMALL_STATE(19218)] = 740277,
  [SMALL_STATE(19219)] = 740291,
  [SMALL_STATE(19220)] = 740305,
  [SMALL_STATE(19221)] = 740319,
  [SMALL_STATE(19222)] = 740333,
  [SMALL_STATE(19223)] = 740347,
  [SMALL_STATE(19224)] = 740361,
  [SMALL_STATE(19225)] = 740375,
  [SMALL_STATE(19226)] = 740389,
  [SMALL_STATE(19227)] = 740403,
  [SMALL_STATE(19228)] = 740417,
  [SMALL_STATE(19229)] = 740431,
  [SMALL_STATE(19230)] = 740445,
  [SMALL_STATE(19231)] = 740459,
  [SMALL_STATE(19232)] = 740473,
  [SMALL_STATE(19233)] = 740487,
  [SMALL_STATE(19234)] = 740501,
  [SMALL_STATE(19235)] = 740515,
  [SMALL_STATE(19236)] = 740529,
  [SMALL_STATE(19237)] = 740543,
  [SMALL_STATE(19238)] = 740557,
  [SMALL_STATE(19239)] = 740571,
  [SMALL_STATE(19240)] = 740585,
  [SMALL_STATE(19241)] = 740599,
  [SMALL_STATE(19242)] = 740613,
  [SMALL_STATE(19243)] = 740627,
  [SMALL_STATE(19244)] = 740641,
  [SMALL_STATE(19245)] = 740655,
  [SMALL_STATE(19246)] = 740669,
  [SMALL_STATE(19247)] = 740683,
  [SMALL_STATE(19248)] = 740697,
  [SMALL_STATE(19249)] = 740711,
  [SMALL_STATE(19250)] = 740725,
  [SMALL_STATE(19251)] = 740739,
  [SMALL_STATE(19252)] = 740753,
  [SMALL_STATE(19253)] = 740767,
  [SMALL_STATE(19254)] = 740781,
  [SMALL_STATE(19255)] = 740795,
  [SMALL_STATE(19256)] = 740809,
  [SMALL_STATE(19257)] = 740823,
  [SMALL_STATE(19258)] = 740837,
  [SMALL_STATE(19259)] = 740851,
  [SMALL_STATE(19260)] = 740865,
  [SMALL_STATE(19261)] = 740879,
  [SMALL_STATE(19262)] = 740893,
  [SMALL_STATE(19263)] = 740907,
  [SMALL_STATE(19264)] = 740921,
  [SMALL_STATE(19265)] = 740935,
  [SMALL_STATE(19266)] = 740949,
  [SMALL_STATE(19267)] = 740963,
  [SMALL_STATE(19268)] = 740977,
  [SMALL_STATE(19269)] = 740991,
  [SMALL_STATE(19270)] = 741005,
  [SMALL_STATE(19271)] = 741019,
  [SMALL_STATE(19272)] = 741033,
  [SMALL_STATE(19273)] = 741047,
  [SMALL_STATE(19274)] = 741061,
  [SMALL_STATE(19275)] = 741075,
  [SMALL_STATE(19276)] = 741089,
  [SMALL_STATE(19277)] = 741103,
  [SMALL_STATE(19278)] = 741117,
  [SMALL_STATE(19279)] = 741131,
  [SMALL_STATE(19280)] = 741145,
  [SMALL_STATE(19281)] = 741159,
  [SMALL_STATE(19282)] = 741173,
  [SMALL_STATE(19283)] = 741187,
  [SMALL_STATE(19284)] = 741201,
  [SMALL_STATE(19285)] = 741215,
  [SMALL_STATE(19286)] = 741229,
  [SMALL_STATE(19287)] = 741243,
  [SMALL_STATE(19288)] = 741257,
  [SMALL_STATE(19289)] = 741271,
  [SMALL_STATE(19290)] = 741285,
  [SMALL_STATE(19291)] = 741299,
  [SMALL_STATE(19292)] = 741313,
  [SMALL_STATE(19293)] = 741327,
  [SMALL_STATE(19294)] = 741341,
  [SMALL_STATE(19295)] = 741355,
  [SMALL_STATE(19296)] = 741369,
  [SMALL_STATE(19297)] = 741383,
  [SMALL_STATE(19298)] = 741397,
  [SMALL_STATE(19299)] = 741411,
  [SMALL_STATE(19300)] = 741425,
  [SMALL_STATE(19301)] = 741439,
  [SMALL_STATE(19302)] = 741453,
  [SMALL_STATE(19303)] = 741467,
  [SMALL_STATE(19304)] = 741481,
  [SMALL_STATE(19305)] = 741495,
  [SMALL_STATE(19306)] = 741509,
  [SMALL_STATE(19307)] = 741523,
  [SMALL_STATE(19308)] = 741537,
  [SMALL_STATE(19309)] = 741551,
  [SMALL_STATE(19310)] = 741565,
  [SMALL_STATE(19311)] = 741579,
  [SMALL_STATE(19312)] = 741593,
  [SMALL_STATE(19313)] = 741607,
  [SMALL_STATE(19314)] = 741621,
  [SMALL_STATE(19315)] = 741635,
  [SMALL_STATE(19316)] = 741649,
  [SMALL_STATE(19317)] = 741663,
  [SMALL_STATE(19318)] = 741677,
  [SMALL_STATE(19319)] = 741691,
  [SMALL_STATE(19320)] = 741705,
  [SMALL_STATE(19321)] = 741719,
  [SMALL_STATE(19322)] = 741733,
  [SMALL_STATE(19323)] = 741747,
  [SMALL_STATE(19324)] = 741761,
  [SMALL_STATE(19325)] = 741775,
  [SMALL_STATE(19326)] = 741789,
  [SMALL_STATE(19327)] = 741803,
  [SMALL_STATE(19328)] = 741817,
  [SMALL_STATE(19329)] = 741831,
  [SMALL_STATE(19330)] = 741845,
  [SMALL_STATE(19331)] = 741859,
  [SMALL_STATE(19332)] = 741873,
  [SMALL_STATE(19333)] = 741887,
  [SMALL_STATE(19334)] = 741901,
  [SMALL_STATE(19335)] = 741915,
  [SMALL_STATE(19336)] = 741929,
  [SMALL_STATE(19337)] = 741943,
  [SMALL_STATE(19338)] = 741957,
  [SMALL_STATE(19339)] = 741971,
  [SMALL_STATE(19340)] = 741985,
  [SMALL_STATE(19341)] = 741999,
  [SMALL_STATE(19342)] = 742013,
  [SMALL_STATE(19343)] = 742027,
  [SMALL_STATE(19344)] = 742041,
  [SMALL_STATE(19345)] = 742055,
  [SMALL_STATE(19346)] = 742069,
  [SMALL_STATE(19347)] = 742083,
  [SMALL_STATE(19348)] = 742097,
  [SMALL_STATE(19349)] = 742111,
  [SMALL_STATE(19350)] = 742125,
  [SMALL_STATE(19351)] = 742139,
  [SMALL_STATE(19352)] = 742153,
  [SMALL_STATE(19353)] = 742167,
  [SMALL_STATE(19354)] = 742181,
  [SMALL_STATE(19355)] = 742195,
  [SMALL_STATE(19356)] = 742209,
  [SMALL_STATE(19357)] = 742223,
  [SMALL_STATE(19358)] = 742237,
  [SMALL_STATE(19359)] = 742251,
  [SMALL_STATE(19360)] = 742265,
  [SMALL_STATE(19361)] = 742279,
  [SMALL_STATE(19362)] = 742293,
  [SMALL_STATE(19363)] = 742307,
  [SMALL_STATE(19364)] = 742321,
  [SMALL_STATE(19365)] = 742335,
  [SMALL_STATE(19366)] = 742349,
  [SMALL_STATE(19367)] = 742363,
  [SMALL_STATE(19368)] = 742377,
  [SMALL_STATE(19369)] = 742391,
  [SMALL_STATE(19370)] = 742405,
  [SMALL_STATE(19371)] = 742419,
  [SMALL_STATE(19372)] = 742433,
  [SMALL_STATE(19373)] = 742447,
  [SMALL_STATE(19374)] = 742461,
  [SMALL_STATE(19375)] = 742475,
  [SMALL_STATE(19376)] = 742489,
  [SMALL_STATE(19377)] = 742503,
  [SMALL_STATE(19378)] = 742517,
  [SMALL_STATE(19379)] = 742531,
  [SMALL_STATE(19380)] = 742545,
  [SMALL_STATE(19381)] = 742559,
  [SMALL_STATE(19382)] = 742573,
  [SMALL_STATE(19383)] = 742587,
  [SMALL_STATE(19384)] = 742601,
  [SMALL_STATE(19385)] = 742615,
  [SMALL_STATE(19386)] = 742629,
  [SMALL_STATE(19387)] = 742643,
  [SMALL_STATE(19388)] = 742657,
  [SMALL_STATE(19389)] = 742671,
  [SMALL_STATE(19390)] = 742685,
  [SMALL_STATE(19391)] = 742699,
  [SMALL_STATE(19392)] = 742713,
  [SMALL_STATE(19393)] = 742727,
  [SMALL_STATE(19394)] = 742741,
  [SMALL_STATE(19395)] = 742755,
  [SMALL_STATE(19396)] = 742769,
  [SMALL_STATE(19397)] = 742783,
  [SMALL_STATE(19398)] = 742797,
  [SMALL_STATE(19399)] = 742811,
  [SMALL_STATE(19400)] = 742825,
  [SMALL_STATE(19401)] = 742839,
  [SMALL_STATE(19402)] = 742853,
  [SMALL_STATE(19403)] = 742867,
  [SMALL_STATE(19404)] = 742881,
  [SMALL_STATE(19405)] = 742895,
  [SMALL_STATE(19406)] = 742909,
  [SMALL_STATE(19407)] = 742923,
  [SMALL_STATE(19408)] = 742937,
  [SMALL_STATE(19409)] = 742951,
  [SMALL_STATE(19410)] = 742965,
  [SMALL_STATE(19411)] = 742979,
  [SMALL_STATE(19412)] = 742993,
  [SMALL_STATE(19413)] = 743007,
  [SMALL_STATE(19414)] = 743021,
  [SMALL_STATE(19415)] = 743035,
  [SMALL_STATE(19416)] = 743049,
  [SMALL_STATE(19417)] = 743063,
  [SMALL_STATE(19418)] = 743077,
  [SMALL_STATE(19419)] = 743091,
  [SMALL_STATE(19420)] = 743105,
  [SMALL_STATE(19421)] = 743119,
  [SMALL_STATE(19422)] = 743133,
  [SMALL_STATE(19423)] = 743147,
  [SMALL_STATE(19424)] = 743161,
  [SMALL_STATE(19425)] = 743175,
  [SMALL_STATE(19426)] = 743189,
  [SMALL_STATE(19427)] = 743203,
  [SMALL_STATE(19428)] = 743217,
  [SMALL_STATE(19429)] = 743231,
  [SMALL_STATE(19430)] = 743245,
  [SMALL_STATE(19431)] = 743259,
  [SMALL_STATE(19432)] = 743273,
  [SMALL_STATE(19433)] = 743287,
  [SMALL_STATE(19434)] = 743301,
  [SMALL_STATE(19435)] = 743315,
  [SMALL_STATE(19436)] = 743329,
  [SMALL_STATE(19437)] = 743343,
  [SMALL_STATE(19438)] = 743357,
  [SMALL_STATE(19439)] = 743371,
  [SMALL_STATE(19440)] = 743385,
  [SMALL_STATE(19441)] = 743399,
  [SMALL_STATE(19442)] = 743413,
  [SMALL_STATE(19443)] = 743427,
  [SMALL_STATE(19444)] = 743441,
  [SMALL_STATE(19445)] = 743455,
  [SMALL_STATE(19446)] = 743469,
  [SMALL_STATE(19447)] = 743483,
  [SMALL_STATE(19448)] = 743497,
  [SMALL_STATE(19449)] = 743511,
  [SMALL_STATE(19450)] = 743525,
  [SMALL_STATE(19451)] = 743539,
  [SMALL_STATE(19452)] = 743553,
  [SMALL_STATE(19453)] = 743567,
  [SMALL_STATE(19454)] = 743581,
  [SMALL_STATE(19455)] = 743595,
  [SMALL_STATE(19456)] = 743609,
  [SMALL_STATE(19457)] = 743623,
  [SMALL_STATE(19458)] = 743637,
  [SMALL_STATE(19459)] = 743651,
  [SMALL_STATE(19460)] = 743665,
  [SMALL_STATE(19461)] = 743679,
  [SMALL_STATE(19462)] = 743693,
  [SMALL_STATE(19463)] = 743707,
  [SMALL_STATE(19464)] = 743721,
  [SMALL_STATE(19465)] = 743735,
  [SMALL_STATE(19466)] = 743749,
  [SMALL_STATE(19467)] = 743763,
  [SMALL_STATE(19468)] = 743777,
  [SMALL_STATE(19469)] = 743791,
  [SMALL_STATE(19470)] = 743805,
  [SMALL_STATE(19471)] = 743819,
  [SMALL_STATE(19472)] = 743833,
  [SMALL_STATE(19473)] = 743847,
  [SMALL_STATE(19474)] = 743861,
  [SMALL_STATE(19475)] = 743875,
  [SMALL_STATE(19476)] = 743889,
  [SMALL_STATE(19477)] = 743903,
  [SMALL_STATE(19478)] = 743917,
  [SMALL_STATE(19479)] = 743931,
  [SMALL_STATE(19480)] = 743945,
  [SMALL_STATE(19481)] = 743959,
  [SMALL_STATE(19482)] = 743973,
  [SMALL_STATE(19483)] = 743987,
  [SMALL_STATE(19484)] = 744001,
  [SMALL_STATE(19485)] = 744015,
  [SMALL_STATE(19486)] = 744029,
  [SMALL_STATE(19487)] = 744043,
  [SMALL_STATE(19488)] = 744057,
  [SMALL_STATE(19489)] = 744071,
  [SMALL_STATE(19490)] = 744085,
  [SMALL_STATE(19491)] = 744099,
  [SMALL_STATE(19492)] = 744113,
  [SMALL_STATE(19493)] = 744127,
  [SMALL_STATE(19494)] = 744141,
  [SMALL_STATE(19495)] = 744155,
  [SMALL_STATE(19496)] = 744169,
  [SMALL_STATE(19497)] = 744183,
  [SMALL_STATE(19498)] = 744197,
  [SMALL_STATE(19499)] = 744211,
  [SMALL_STATE(19500)] = 744225,
  [SMALL_STATE(19501)] = 744239,
  [SMALL_STATE(19502)] = 744253,
  [SMALL_STATE(19503)] = 744267,
  [SMALL_STATE(19504)] = 744281,
  [SMALL_STATE(19505)] = 744295,
  [SMALL_STATE(19506)] = 744309,
  [SMALL_STATE(19507)] = 744323,
  [SMALL_STATE(19508)] = 744337,
  [SMALL_STATE(19509)] = 744351,
  [SMALL_STATE(19510)] = 744365,
  [SMALL_STATE(19511)] = 744379,
  [SMALL_STATE(19512)] = 744393,
  [SMALL_STATE(19513)] = 744407,
  [SMALL_STATE(19514)] = 744421,
  [SMALL_STATE(19515)] = 744435,
  [SMALL_STATE(19516)] = 744449,
  [SMALL_STATE(19517)] = 744463,
  [SMALL_STATE(19518)] = 744477,
  [SMALL_STATE(19519)] = 744491,
  [SMALL_STATE(19520)] = 744505,
  [SMALL_STATE(19521)] = 744519,
  [SMALL_STATE(19522)] = 744533,
  [SMALL_STATE(19523)] = 744547,
  [SMALL_STATE(19524)] = 744561,
  [SMALL_STATE(19525)] = 744575,
  [SMALL_STATE(19526)] = 744589,
  [SMALL_STATE(19527)] = 744603,
  [SMALL_STATE(19528)] = 744617,
  [SMALL_STATE(19529)] = 744631,
  [SMALL_STATE(19530)] = 744645,
  [SMALL_STATE(19531)] = 744659,
  [SMALL_STATE(19532)] = 744673,
  [SMALL_STATE(19533)] = 744687,
  [SMALL_STATE(19534)] = 744701,
  [SMALL_STATE(19535)] = 744715,
  [SMALL_STATE(19536)] = 744729,
  [SMALL_STATE(19537)] = 744743,
  [SMALL_STATE(19538)] = 744757,
  [SMALL_STATE(19539)] = 744771,
  [SMALL_STATE(19540)] = 744785,
  [SMALL_STATE(19541)] = 744799,
  [SMALL_STATE(19542)] = 744813,
  [SMALL_STATE(19543)] = 744827,
  [SMALL_STATE(19544)] = 744841,
  [SMALL_STATE(19545)] = 744855,
  [SMALL_STATE(19546)] = 744869,
  [SMALL_STATE(19547)] = 744883,
  [SMALL_STATE(19548)] = 744897,
  [SMALL_STATE(19549)] = 744911,
  [SMALL_STATE(19550)] = 744925,
  [SMALL_STATE(19551)] = 744939,
  [SMALL_STATE(19552)] = 744953,
  [SMALL_STATE(19553)] = 744967,
  [SMALL_STATE(19554)] = 744981,
  [SMALL_STATE(19555)] = 744995,
  [SMALL_STATE(19556)] = 745009,
  [SMALL_STATE(19557)] = 745023,
  [SMALL_STATE(19558)] = 745037,
  [SMALL_STATE(19559)] = 745051,
  [SMALL_STATE(19560)] = 745065,
  [SMALL_STATE(19561)] = 745079,
  [SMALL_STATE(19562)] = 745093,
  [SMALL_STATE(19563)] = 745107,
  [SMALL_STATE(19564)] = 745121,
  [SMALL_STATE(19565)] = 745135,
  [SMALL_STATE(19566)] = 745149,
  [SMALL_STATE(19567)] = 745163,
  [SMALL_STATE(19568)] = 745177,
  [SMALL_STATE(19569)] = 745191,
  [SMALL_STATE(19570)] = 745205,
  [SMALL_STATE(19571)] = 745219,
  [SMALL_STATE(19572)] = 745233,
  [SMALL_STATE(19573)] = 745247,
  [SMALL_STATE(19574)] = 745261,
  [SMALL_STATE(19575)] = 745275,
  [SMALL_STATE(19576)] = 745289,
  [SMALL_STATE(19577)] = 745303,
  [SMALL_STATE(19578)] = 745317,
  [SMALL_STATE(19579)] = 745331,
  [SMALL_STATE(19580)] = 745345,
  [SMALL_STATE(19581)] = 745359,
  [SMALL_STATE(19582)] = 745373,
  [SMALL_STATE(19583)] = 745387,
  [SMALL_STATE(19584)] = 745401,
  [SMALL_STATE(19585)] = 745415,
  [SMALL_STATE(19586)] = 745429,
  [SMALL_STATE(19587)] = 745443,
  [SMALL_STATE(19588)] = 745457,
  [SMALL_STATE(19589)] = 745471,
  [SMALL_STATE(19590)] = 745485,
  [SMALL_STATE(19591)] = 745499,
  [SMALL_STATE(19592)] = 745513,
  [SMALL_STATE(19593)] = 745527,
  [SMALL_STATE(19594)] = 745541,
  [SMALL_STATE(19595)] = 745555,
  [SMALL_STATE(19596)] = 745569,
  [SMALL_STATE(19597)] = 745583,
  [SMALL_STATE(19598)] = 745597,
  [SMALL_STATE(19599)] = 745611,
  [SMALL_STATE(19600)] = 745625,
  [SMALL_STATE(19601)] = 745639,
  [SMALL_STATE(19602)] = 745653,
  [SMALL_STATE(19603)] = 745667,
  [SMALL_STATE(19604)] = 745681,
  [SMALL_STATE(19605)] = 745695,
  [SMALL_STATE(19606)] = 745709,
  [SMALL_STATE(19607)] = 745723,
  [SMALL_STATE(19608)] = 745737,
  [SMALL_STATE(19609)] = 745751,
  [SMALL_STATE(19610)] = 745765,
  [SMALL_STATE(19611)] = 745779,
  [SMALL_STATE(19612)] = 745793,
  [SMALL_STATE(19613)] = 745807,
  [SMALL_STATE(19614)] = 745821,
  [SMALL_STATE(19615)] = 745835,
  [SMALL_STATE(19616)] = 745849,
  [SMALL_STATE(19617)] = 745863,
  [SMALL_STATE(19618)] = 745877,
  [SMALL_STATE(19619)] = 745891,
  [SMALL_STATE(19620)] = 745905,
  [SMALL_STATE(19621)] = 745919,
  [SMALL_STATE(19622)] = 745933,
  [SMALL_STATE(19623)] = 745947,
  [SMALL_STATE(19624)] = 745961,
  [SMALL_STATE(19625)] = 745975,
  [SMALL_STATE(19626)] = 745989,
  [SMALL_STATE(19627)] = 746003,
  [SMALL_STATE(19628)] = 746017,
  [SMALL_STATE(19629)] = 746031,
  [SMALL_STATE(19630)] = 746045,
  [SMALL_STATE(19631)] = 746059,
  [SMALL_STATE(19632)] = 746073,
  [SMALL_STATE(19633)] = 746087,
  [SMALL_STATE(19634)] = 746101,
  [SMALL_STATE(19635)] = 746115,
  [SMALL_STATE(19636)] = 746129,
  [SMALL_STATE(19637)] = 746143,
  [SMALL_STATE(19638)] = 746157,
  [SMALL_STATE(19639)] = 746171,
  [SMALL_STATE(19640)] = 746185,
  [SMALL_STATE(19641)] = 746199,
  [SMALL_STATE(19642)] = 746213,
  [SMALL_STATE(19643)] = 746227,
  [SMALL_STATE(19644)] = 746241,
  [SMALL_STATE(19645)] = 746255,
  [SMALL_STATE(19646)] = 746269,
  [SMALL_STATE(19647)] = 746283,
  [SMALL_STATE(19648)] = 746297,
  [SMALL_STATE(19649)] = 746311,
  [SMALL_STATE(19650)] = 746325,
  [SMALL_STATE(19651)] = 746339,
  [SMALL_STATE(19652)] = 746353,
  [SMALL_STATE(19653)] = 746367,
  [SMALL_STATE(19654)] = 746381,
  [SMALL_STATE(19655)] = 746395,
  [SMALL_STATE(19656)] = 746409,
  [SMALL_STATE(19657)] = 746423,
  [SMALL_STATE(19658)] = 746437,
  [SMALL_STATE(19659)] = 746451,
  [SMALL_STATE(19660)] = 746465,
  [SMALL_STATE(19661)] = 746479,
  [SMALL_STATE(19662)] = 746493,
  [SMALL_STATE(19663)] = 746507,
  [SMALL_STATE(19664)] = 746521,
  [SMALL_STATE(19665)] = 746535,
  [SMALL_STATE(19666)] = 746549,
  [SMALL_STATE(19667)] = 746563,
  [SMALL_STATE(19668)] = 746577,
  [SMALL_STATE(19669)] = 746591,
  [SMALL_STATE(19670)] = 746605,
  [SMALL_STATE(19671)] = 746619,
  [SMALL_STATE(19672)] = 746633,
  [SMALL_STATE(19673)] = 746647,
  [SMALL_STATE(19674)] = 746661,
  [SMALL_STATE(19675)] = 746675,
  [SMALL_STATE(19676)] = 746689,
  [SMALL_STATE(19677)] = 746703,
  [SMALL_STATE(19678)] = 746717,
  [SMALL_STATE(19679)] = 746731,
  [SMALL_STATE(19680)] = 746745,
  [SMALL_STATE(19681)] = 746759,
  [SMALL_STATE(19682)] = 746773,
  [SMALL_STATE(19683)] = 746787,
  [SMALL_STATE(19684)] = 746801,
  [SMALL_STATE(19685)] = 746815,
  [SMALL_STATE(19686)] = 746829,
  [SMALL_STATE(19687)] = 746843,
  [SMALL_STATE(19688)] = 746857,
  [SMALL_STATE(19689)] = 746871,
  [SMALL_STATE(19690)] = 746885,
  [SMALL_STATE(19691)] = 746899,
  [SMALL_STATE(19692)] = 746913,
  [SMALL_STATE(19693)] = 746927,
  [SMALL_STATE(19694)] = 746941,
  [SMALL_STATE(19695)] = 746955,
  [SMALL_STATE(19696)] = 746969,
  [SMALL_STATE(19697)] = 746983,
  [SMALL_STATE(19698)] = 746997,
  [SMALL_STATE(19699)] = 747011,
  [SMALL_STATE(19700)] = 747025,
  [SMALL_STATE(19701)] = 747039,
  [SMALL_STATE(19702)] = 747053,
  [SMALL_STATE(19703)] = 747067,
  [SMALL_STATE(19704)] = 747081,
  [SMALL_STATE(19705)] = 747095,
  [SMALL_STATE(19706)] = 747109,
  [SMALL_STATE(19707)] = 747123,
  [SMALL_STATE(19708)] = 747137,
  [SMALL_STATE(19709)] = 747151,
  [SMALL_STATE(19710)] = 747165,
  [SMALL_STATE(19711)] = 747179,
  [SMALL_STATE(19712)] = 747193,
  [SMALL_STATE(19713)] = 747207,
  [SMALL_STATE(19714)] = 747221,
  [SMALL_STATE(19715)] = 747235,
  [SMALL_STATE(19716)] = 747249,
  [SMALL_STATE(19717)] = 747263,
  [SMALL_STATE(19718)] = 747277,
  [SMALL_STATE(19719)] = 747291,
  [SMALL_STATE(19720)] = 747305,
  [SMALL_STATE(19721)] = 747319,
  [SMALL_STATE(19722)] = 747333,
  [SMALL_STATE(19723)] = 747347,
  [SMALL_STATE(19724)] = 747361,
  [SMALL_STATE(19725)] = 747375,
  [SMALL_STATE(19726)] = 747389,
  [SMALL_STATE(19727)] = 747403,
  [SMALL_STATE(19728)] = 747417,
  [SMALL_STATE(19729)] = 747431,
  [SMALL_STATE(19730)] = 747445,
  [SMALL_STATE(19731)] = 747459,
  [SMALL_STATE(19732)] = 747473,
  [SMALL_STATE(19733)] = 747487,
  [SMALL_STATE(19734)] = 747501,
  [SMALL_STATE(19735)] = 747515,
  [SMALL_STATE(19736)] = 747529,
  [SMALL_STATE(19737)] = 747543,
  [SMALL_STATE(19738)] = 747557,
  [SMALL_STATE(19739)] = 747571,
  [SMALL_STATE(19740)] = 747585,
  [SMALL_STATE(19741)] = 747599,
  [SMALL_STATE(19742)] = 747613,
  [SMALL_STATE(19743)] = 747627,
  [SMALL_STATE(19744)] = 747641,
  [SMALL_STATE(19745)] = 747655,
  [SMALL_STATE(19746)] = 747669,
  [SMALL_STATE(19747)] = 747683,
  [SMALL_STATE(19748)] = 747697,
  [SMALL_STATE(19749)] = 747711,
  [SMALL_STATE(19750)] = 747725,
  [SMALL_STATE(19751)] = 747739,
  [SMALL_STATE(19752)] = 747753,
  [SMALL_STATE(19753)] = 747767,
  [SMALL_STATE(19754)] = 747781,
  [SMALL_STATE(19755)] = 747795,
  [SMALL_STATE(19756)] = 747809,
  [SMALL_STATE(19757)] = 747823,
  [SMALL_STATE(19758)] = 747837,
  [SMALL_STATE(19759)] = 747851,
  [SMALL_STATE(19760)] = 747865,
  [SMALL_STATE(19761)] = 747879,
  [SMALL_STATE(19762)] = 747893,
  [SMALL_STATE(19763)] = 747907,
  [SMALL_STATE(19764)] = 747921,
  [SMALL_STATE(19765)] = 747935,
  [SMALL_STATE(19766)] = 747949,
  [SMALL_STATE(19767)] = 747963,
  [SMALL_STATE(19768)] = 747977,
  [SMALL_STATE(19769)] = 747991,
  [SMALL_STATE(19770)] = 748005,
  [SMALL_STATE(19771)] = 748019,
  [SMALL_STATE(19772)] = 748033,
  [SMALL_STATE(19773)] = 748047,
  [SMALL_STATE(19774)] = 748061,
  [SMALL_STATE(19775)] = 748075,
  [SMALL_STATE(19776)] = 748089,
  [SMALL_STATE(19777)] = 748103,
  [SMALL_STATE(19778)] = 748117,
  [SMALL_STATE(19779)] = 748131,
  [SMALL_STATE(19780)] = 748145,
  [SMALL_STATE(19781)] = 748159,
  [SMALL_STATE(19782)] = 748173,
  [SMALL_STATE(19783)] = 748187,
  [SMALL_STATE(19784)] = 748201,
  [SMALL_STATE(19785)] = 748215,
  [SMALL_STATE(19786)] = 748229,
  [SMALL_STATE(19787)] = 748243,
  [SMALL_STATE(19788)] = 748257,
  [SMALL_STATE(19789)] = 748271,
  [SMALL_STATE(19790)] = 748285,
  [SMALL_STATE(19791)] = 748299,
  [SMALL_STATE(19792)] = 748313,
  [SMALL_STATE(19793)] = 748327,
  [SMALL_STATE(19794)] = 748341,
  [SMALL_STATE(19795)] = 748355,
  [SMALL_STATE(19796)] = 748369,
  [SMALL_STATE(19797)] = 748383,
  [SMALL_STATE(19798)] = 748397,
  [SMALL_STATE(19799)] = 748411,
  [SMALL_STATE(19800)] = 748425,
  [SMALL_STATE(19801)] = 748439,
  [SMALL_STATE(19802)] = 748453,
  [SMALL_STATE(19803)] = 748467,
  [SMALL_STATE(19804)] = 748481,
  [SMALL_STATE(19805)] = 748495,
  [SMALL_STATE(19806)] = 748509,
  [SMALL_STATE(19807)] = 748523,
  [SMALL_STATE(19808)] = 748537,
  [SMALL_STATE(19809)] = 748551,
  [SMALL_STATE(19810)] = 748565,
  [SMALL_STATE(19811)] = 748579,
  [SMALL_STATE(19812)] = 748593,
  [SMALL_STATE(19813)] = 748607,
  [SMALL_STATE(19814)] = 748621,
  [SMALL_STATE(19815)] = 748635,
  [SMALL_STATE(19816)] = 748649,
  [SMALL_STATE(19817)] = 748663,
  [SMALL_STATE(19818)] = 748677,
  [SMALL_STATE(19819)] = 748691,
  [SMALL_STATE(19820)] = 748705,
  [SMALL_STATE(19821)] = 748719,
  [SMALL_STATE(19822)] = 748733,
  [SMALL_STATE(19823)] = 748747,
  [SMALL_STATE(19824)] = 748761,
  [SMALL_STATE(19825)] = 748775,
  [SMALL_STATE(19826)] = 748789,
  [SMALL_STATE(19827)] = 748803,
  [SMALL_STATE(19828)] = 748817,
  [SMALL_STATE(19829)] = 748831,
  [SMALL_STATE(19830)] = 748845,
  [SMALL_STATE(19831)] = 748859,
  [SMALL_STATE(19832)] = 748873,
  [SMALL_STATE(19833)] = 748887,
  [SMALL_STATE(19834)] = 748901,
  [SMALL_STATE(19835)] = 748915,
  [SMALL_STATE(19836)] = 748929,
  [SMALL_STATE(19837)] = 748943,
  [SMALL_STATE(19838)] = 748957,
  [SMALL_STATE(19839)] = 748971,
  [SMALL_STATE(19840)] = 748985,
  [SMALL_STATE(19841)] = 748999,
  [SMALL_STATE(19842)] = 749013,
  [SMALL_STATE(19843)] = 749027,
  [SMALL_STATE(19844)] = 749041,
  [SMALL_STATE(19845)] = 749055,
  [SMALL_STATE(19846)] = 749069,
  [SMALL_STATE(19847)] = 749083,
  [SMALL_STATE(19848)] = 749097,
  [SMALL_STATE(19849)] = 749111,
  [SMALL_STATE(19850)] = 749125,
  [SMALL_STATE(19851)] = 749139,
  [SMALL_STATE(19852)] = 749153,
  [SMALL_STATE(19853)] = 749167,
  [SMALL_STATE(19854)] = 749181,
  [SMALL_STATE(19855)] = 749195,
  [SMALL_STATE(19856)] = 749209,
  [SMALL_STATE(19857)] = 749223,
  [SMALL_STATE(19858)] = 749237,
  [SMALL_STATE(19859)] = 749251,
  [SMALL_STATE(19860)] = 749265,
  [SMALL_STATE(19861)] = 749279,
  [SMALL_STATE(19862)] = 749293,
  [SMALL_STATE(19863)] = 749307,
  [SMALL_STATE(19864)] = 749321,
  [SMALL_STATE(19865)] = 749335,
  [SMALL_STATE(19866)] = 749349,
  [SMALL_STATE(19867)] = 749363,
  [SMALL_STATE(19868)] = 749377,
  [SMALL_STATE(19869)] = 749391,
  [SMALL_STATE(19870)] = 749405,
  [SMALL_STATE(19871)] = 749419,
  [SMALL_STATE(19872)] = 749433,
  [SMALL_STATE(19873)] = 749447,
  [SMALL_STATE(19874)] = 749461,
  [SMALL_STATE(19875)] = 749475,
  [SMALL_STATE(19876)] = 749489,
  [SMALL_STATE(19877)] = 749503,
  [SMALL_STATE(19878)] = 749517,
  [SMALL_STATE(19879)] = 749531,
  [SMALL_STATE(19880)] = 749545,
  [SMALL_STATE(19881)] = 749559,
  [SMALL_STATE(19882)] = 749573,
  [SMALL_STATE(19883)] = 749587,
  [SMALL_STATE(19884)] = 749601,
  [SMALL_STATE(19885)] = 749615,
  [SMALL_STATE(19886)] = 749629,
  [SMALL_STATE(19887)] = 749643,
  [SMALL_STATE(19888)] = 749657,
  [SMALL_STATE(19889)] = 749671,
  [SMALL_STATE(19890)] = 749685,
  [SMALL_STATE(19891)] = 749699,
  [SMALL_STATE(19892)] = 749713,
  [SMALL_STATE(19893)] = 749727,
  [SMALL_STATE(19894)] = 749741,
  [SMALL_STATE(19895)] = 749755,
  [SMALL_STATE(19896)] = 749769,
  [SMALL_STATE(19897)] = 749783,
  [SMALL_STATE(19898)] = 749797,
  [SMALL_STATE(19899)] = 749811,
  [SMALL_STATE(19900)] = 749825,
  [SMALL_STATE(19901)] = 749839,
  [SMALL_STATE(19902)] = 749853,
  [SMALL_STATE(19903)] = 749867,
  [SMALL_STATE(19904)] = 749881,
  [SMALL_STATE(19905)] = 749895,
  [SMALL_STATE(19906)] = 749909,
  [SMALL_STATE(19907)] = 749923,
  [SMALL_STATE(19908)] = 749937,
  [SMALL_STATE(19909)] = 749951,
  [SMALL_STATE(19910)] = 749965,
  [SMALL_STATE(19911)] = 749979,
  [SMALL_STATE(19912)] = 749993,
  [SMALL_STATE(19913)] = 750007,
  [SMALL_STATE(19914)] = 750021,
  [SMALL_STATE(19915)] = 750035,
  [SMALL_STATE(19916)] = 750049,
  [SMALL_STATE(19917)] = 750063,
  [SMALL_STATE(19918)] = 750077,
  [SMALL_STATE(19919)] = 750091,
  [SMALL_STATE(19920)] = 750105,
  [SMALL_STATE(19921)] = 750119,
  [SMALL_STATE(19922)] = 750133,
  [SMALL_STATE(19923)] = 750147,
  [SMALL_STATE(19924)] = 750161,
  [SMALL_STATE(19925)] = 750175,
  [SMALL_STATE(19926)] = 750189,
  [SMALL_STATE(19927)] = 750203,
  [SMALL_STATE(19928)] = 750217,
  [SMALL_STATE(19929)] = 750231,
  [SMALL_STATE(19930)] = 750245,
  [SMALL_STATE(19931)] = 750259,
  [SMALL_STATE(19932)] = 750273,
  [SMALL_STATE(19933)] = 750287,
  [SMALL_STATE(19934)] = 750301,
  [SMALL_STATE(19935)] = 750315,
  [SMALL_STATE(19936)] = 750329,
  [SMALL_STATE(19937)] = 750343,
  [SMALL_STATE(19938)] = 750357,
  [SMALL_STATE(19939)] = 750371,
  [SMALL_STATE(19940)] = 750385,
  [SMALL_STATE(19941)] = 750399,
  [SMALL_STATE(19942)] = 750413,
  [SMALL_STATE(19943)] = 750427,
  [SMALL_STATE(19944)] = 750441,
  [SMALL_STATE(19945)] = 750455,
  [SMALL_STATE(19946)] = 750469,
  [SMALL_STATE(19947)] = 750483,
  [SMALL_STATE(19948)] = 750497,
  [SMALL_STATE(19949)] = 750511,
  [SMALL_STATE(19950)] = 750525,
  [SMALL_STATE(19951)] = 750539,
  [SMALL_STATE(19952)] = 750553,
  [SMALL_STATE(19953)] = 750567,
  [SMALL_STATE(19954)] = 750581,
  [SMALL_STATE(19955)] = 750595,
  [SMALL_STATE(19956)] = 750609,
  [SMALL_STATE(19957)] = 750623,
  [SMALL_STATE(19958)] = 750637,
  [SMALL_STATE(19959)] = 750651,
  [SMALL_STATE(19960)] = 750665,
  [SMALL_STATE(19961)] = 750679,
  [SMALL_STATE(19962)] = 750693,
  [SMALL_STATE(19963)] = 750707,
  [SMALL_STATE(19964)] = 750721,
  [SMALL_STATE(19965)] = 750735,
  [SMALL_STATE(19966)] = 750749,
  [SMALL_STATE(19967)] = 750763,
  [SMALL_STATE(19968)] = 750777,
  [SMALL_STATE(19969)] = 750791,
  [SMALL_STATE(19970)] = 750805,
  [SMALL_STATE(19971)] = 750819,
  [SMALL_STATE(19972)] = 750833,
  [SMALL_STATE(19973)] = 750847,
  [SMALL_STATE(19974)] = 750861,
  [SMALL_STATE(19975)] = 750875,
  [SMALL_STATE(19976)] = 750889,
  [SMALL_STATE(19977)] = 750903,
  [SMALL_STATE(19978)] = 750917,
  [SMALL_STATE(19979)] = 750931,
  [SMALL_STATE(19980)] = 750945,
  [SMALL_STATE(19981)] = 750959,
  [SMALL_STATE(19982)] = 750973,
  [SMALL_STATE(19983)] = 750987,
  [SMALL_STATE(19984)] = 751001,
  [SMALL_STATE(19985)] = 751015,
  [SMALL_STATE(19986)] = 751029,
  [SMALL_STATE(19987)] = 751043,
  [SMALL_STATE(19988)] = 751057,
  [SMALL_STATE(19989)] = 751071,
  [SMALL_STATE(19990)] = 751085,
  [SMALL_STATE(19991)] = 751099,
  [SMALL_STATE(19992)] = 751113,
  [SMALL_STATE(19993)] = 751127,
  [SMALL_STATE(19994)] = 751141,
  [SMALL_STATE(19995)] = 751155,
  [SMALL_STATE(19996)] = 751169,
  [SMALL_STATE(19997)] = 751183,
  [SMALL_STATE(19998)] = 751197,
  [SMALL_STATE(19999)] = 751211,
  [SMALL_STATE(20000)] = 751225,
  [SMALL_STATE(20001)] = 751239,
  [SMALL_STATE(20002)] = 751253,
  [SMALL_STATE(20003)] = 751267,
  [SMALL_STATE(20004)] = 751281,
  [SMALL_STATE(20005)] = 751295,
  [SMALL_STATE(20006)] = 751309,
  [SMALL_STATE(20007)] = 751323,
  [SMALL_STATE(20008)] = 751337,
  [SMALL_STATE(20009)] = 751351,
  [SMALL_STATE(20010)] = 751365,
  [SMALL_STATE(20011)] = 751379,
  [SMALL_STATE(20012)] = 751393,
  [SMALL_STATE(20013)] = 751407,
  [SMALL_STATE(20014)] = 751421,
  [SMALL_STATE(20015)] = 751435,
  [SMALL_STATE(20016)] = 751449,
  [SMALL_STATE(20017)] = 751463,
  [SMALL_STATE(20018)] = 751477,
  [SMALL_STATE(20019)] = 751491,
  [SMALL_STATE(20020)] = 751505,
  [SMALL_STATE(20021)] = 751519,
  [SMALL_STATE(20022)] = 751533,
  [SMALL_STATE(20023)] = 751547,
  [SMALL_STATE(20024)] = 751561,
  [SMALL_STATE(20025)] = 751575,
  [SMALL_STATE(20026)] = 751589,
  [SMALL_STATE(20027)] = 751603,
  [SMALL_STATE(20028)] = 751617,
  [SMALL_STATE(20029)] = 751631,
  [SMALL_STATE(20030)] = 751645,
  [SMALL_STATE(20031)] = 751659,
  [SMALL_STATE(20032)] = 751673,
  [SMALL_STATE(20033)] = 751687,
  [SMALL_STATE(20034)] = 751701,
  [SMALL_STATE(20035)] = 751715,
  [SMALL_STATE(20036)] = 751729,
  [SMALL_STATE(20037)] = 751743,
  [SMALL_STATE(20038)] = 751757,
  [SMALL_STATE(20039)] = 751771,
  [SMALL_STATE(20040)] = 751785,
  [SMALL_STATE(20041)] = 751799,
  [SMALL_STATE(20042)] = 751813,
  [SMALL_STATE(20043)] = 751827,
  [SMALL_STATE(20044)] = 751841,
  [SMALL_STATE(20045)] = 751855,
  [SMALL_STATE(20046)] = 751869,
  [SMALL_STATE(20047)] = 751883,
  [SMALL_STATE(20048)] = 751897,
  [SMALL_STATE(20049)] = 751911,
  [SMALL_STATE(20050)] = 751925,
  [SMALL_STATE(20051)] = 751939,
  [SMALL_STATE(20052)] = 751953,
  [SMALL_STATE(20053)] = 751967,
  [SMALL_STATE(20054)] = 751981,
  [SMALL_STATE(20055)] = 751995,
  [SMALL_STATE(20056)] = 752009,
  [SMALL_STATE(20057)] = 752023,
  [SMALL_STATE(20058)] = 752037,
  [SMALL_STATE(20059)] = 752051,
  [SMALL_STATE(20060)] = 752065,
  [SMALL_STATE(20061)] = 752079,
  [SMALL_STATE(20062)] = 752093,
  [SMALL_STATE(20063)] = 752107,
  [SMALL_STATE(20064)] = 752121,
  [SMALL_STATE(20065)] = 752135,
  [SMALL_STATE(20066)] = 752149,
  [SMALL_STATE(20067)] = 752163,
  [SMALL_STATE(20068)] = 752177,
  [SMALL_STATE(20069)] = 752191,
  [SMALL_STATE(20070)] = 752205,
  [SMALL_STATE(20071)] = 752219,
  [SMALL_STATE(20072)] = 752233,
  [SMALL_STATE(20073)] = 752247,
  [SMALL_STATE(20074)] = 752261,
  [SMALL_STATE(20075)] = 752275,
  [SMALL_STATE(20076)] = 752289,
  [SMALL_STATE(20077)] = 752303,
  [SMALL_STATE(20078)] = 752317,
  [SMALL_STATE(20079)] = 752331,
  [SMALL_STATE(20080)] = 752345,
  [SMALL_STATE(20081)] = 752359,
  [SMALL_STATE(20082)] = 752373,
  [SMALL_STATE(20083)] = 752387,
  [SMALL_STATE(20084)] = 752401,
  [SMALL_STATE(20085)] = 752415,
  [SMALL_STATE(20086)] = 752429,
  [SMALL_STATE(20087)] = 752443,
  [SMALL_STATE(20088)] = 752457,
  [SMALL_STATE(20089)] = 752471,
  [SMALL_STATE(20090)] = 752485,
  [SMALL_STATE(20091)] = 752499,
  [SMALL_STATE(20092)] = 752513,
  [SMALL_STATE(20093)] = 752527,
  [SMALL_STATE(20094)] = 752541,
  [SMALL_STATE(20095)] = 752555,
  [SMALL_STATE(20096)] = 752569,
  [SMALL_STATE(20097)] = 752583,
  [SMALL_STATE(20098)] = 752597,
  [SMALL_STATE(20099)] = 752611,
  [SMALL_STATE(20100)] = 752625,
  [SMALL_STATE(20101)] = 752639,
  [SMALL_STATE(20102)] = 752653,
  [SMALL_STATE(20103)] = 752667,
  [SMALL_STATE(20104)] = 752681,
  [SMALL_STATE(20105)] = 752695,
  [SMALL_STATE(20106)] = 752709,
  [SMALL_STATE(20107)] = 752723,
  [SMALL_STATE(20108)] = 752737,
  [SMALL_STATE(20109)] = 752751,
  [SMALL_STATE(20110)] = 752765,
  [SMALL_STATE(20111)] = 752779,
  [SMALL_STATE(20112)] = 752793,
  [SMALL_STATE(20113)] = 752807,
  [SMALL_STATE(20114)] = 752821,
  [SMALL_STATE(20115)] = 752835,
  [SMALL_STATE(20116)] = 752849,
  [SMALL_STATE(20117)] = 752863,
  [SMALL_STATE(20118)] = 752877,
  [SMALL_STATE(20119)] = 752891,
  [SMALL_STATE(20120)] = 752905,
  [SMALL_STATE(20121)] = 752919,
  [SMALL_STATE(20122)] = 752933,
  [SMALL_STATE(20123)] = 752947,
  [SMALL_STATE(20124)] = 752961,
  [SMALL_STATE(20125)] = 752975,
  [SMALL_STATE(20126)] = 752989,
  [SMALL_STATE(20127)] = 753003,
  [SMALL_STATE(20128)] = 753017,
  [SMALL_STATE(20129)] = 753031,
  [SMALL_STATE(20130)] = 753045,
  [SMALL_STATE(20131)] = 753059,
  [SMALL_STATE(20132)] = 753073,
  [SMALL_STATE(20133)] = 753087,
  [SMALL_STATE(20134)] = 753101,
  [SMALL_STATE(20135)] = 753115,
  [SMALL_STATE(20136)] = 753129,
  [SMALL_STATE(20137)] = 753143,
  [SMALL_STATE(20138)] = 753157,
  [SMALL_STATE(20139)] = 753171,
  [SMALL_STATE(20140)] = 753185,
  [SMALL_STATE(20141)] = 753199,
  [SMALL_STATE(20142)] = 753213,
  [SMALL_STATE(20143)] = 753227,
  [SMALL_STATE(20144)] = 753241,
  [SMALL_STATE(20145)] = 753255,
  [SMALL_STATE(20146)] = 753269,
  [SMALL_STATE(20147)] = 753283,
  [SMALL_STATE(20148)] = 753297,
  [SMALL_STATE(20149)] = 753311,
  [SMALL_STATE(20150)] = 753325,
  [SMALL_STATE(20151)] = 753339,
  [SMALL_STATE(20152)] = 753353,
  [SMALL_STATE(20153)] = 753367,
  [SMALL_STATE(20154)] = 753381,
  [SMALL_STATE(20155)] = 753395,
  [SMALL_STATE(20156)] = 753409,
  [SMALL_STATE(20157)] = 753423,
  [SMALL_STATE(20158)] = 753437,
  [SMALL_STATE(20159)] = 753451,
  [SMALL_STATE(20160)] = 753465,
  [SMALL_STATE(20161)] = 753479,
  [SMALL_STATE(20162)] = 753493,
  [SMALL_STATE(20163)] = 753507,
  [SMALL_STATE(20164)] = 753521,
  [SMALL_STATE(20165)] = 753535,
  [SMALL_STATE(20166)] = 753549,
  [SMALL_STATE(20167)] = 753563,
  [SMALL_STATE(20168)] = 753577,
  [SMALL_STATE(20169)] = 753591,
  [SMALL_STATE(20170)] = 753605,
  [SMALL_STATE(20171)] = 753619,
  [SMALL_STATE(20172)] = 753633,
  [SMALL_STATE(20173)] = 753647,
  [SMALL_STATE(20174)] = 753661,
  [SMALL_STATE(20175)] = 753675,
  [SMALL_STATE(20176)] = 753689,
  [SMALL_STATE(20177)] = 753703,
  [SMALL_STATE(20178)] = 753717,
  [SMALL_STATE(20179)] = 753731,
  [SMALL_STATE(20180)] = 753745,
  [SMALL_STATE(20181)] = 753759,
  [SMALL_STATE(20182)] = 753773,
  [SMALL_STATE(20183)] = 753787,
  [SMALL_STATE(20184)] = 753801,
  [SMALL_STATE(20185)] = 753815,
  [SMALL_STATE(20186)] = 753829,
  [SMALL_STATE(20187)] = 753843,
  [SMALL_STATE(20188)] = 753857,
  [SMALL_STATE(20189)] = 753871,
  [SMALL_STATE(20190)] = 753885,
  [SMALL_STATE(20191)] = 753899,
  [SMALL_STATE(20192)] = 753913,
  [SMALL_STATE(20193)] = 753927,
  [SMALL_STATE(20194)] = 753941,
  [SMALL_STATE(20195)] = 753955,
  [SMALL_STATE(20196)] = 753969,
  [SMALL_STATE(20197)] = 753983,
  [SMALL_STATE(20198)] = 753997,
  [SMALL_STATE(20199)] = 754011,
  [SMALL_STATE(20200)] = 754025,
  [SMALL_STATE(20201)] = 754039,
  [SMALL_STATE(20202)] = 754053,
  [SMALL_STATE(20203)] = 754067,
  [SMALL_STATE(20204)] = 754081,
  [SMALL_STATE(20205)] = 754095,
  [SMALL_STATE(20206)] = 754109,
  [SMALL_STATE(20207)] = 754123,
  [SMALL_STATE(20208)] = 754137,
  [SMALL_STATE(20209)] = 754151,
  [SMALL_STATE(20210)] = 754165,
  [SMALL_STATE(20211)] = 754179,
  [SMALL_STATE(20212)] = 754193,
  [SMALL_STATE(20213)] = 754207,
  [SMALL_STATE(20214)] = 754221,
  [SMALL_STATE(20215)] = 754235,
  [SMALL_STATE(20216)] = 754249,
  [SMALL_STATE(20217)] = 754263,
  [SMALL_STATE(20218)] = 754277,
  [SMALL_STATE(20219)] = 754291,
  [SMALL_STATE(20220)] = 754305,
  [SMALL_STATE(20221)] = 754319,
  [SMALL_STATE(20222)] = 754333,
  [SMALL_STATE(20223)] = 754347,
  [SMALL_STATE(20224)] = 754361,
  [SMALL_STATE(20225)] = 754375,
  [SMALL_STATE(20226)] = 754389,
  [SMALL_STATE(20227)] = 754403,
  [SMALL_STATE(20228)] = 754417,
  [SMALL_STATE(20229)] = 754431,
  [SMALL_STATE(20230)] = 754445,
  [SMALL_STATE(20231)] = 754459,
  [SMALL_STATE(20232)] = 754473,
  [SMALL_STATE(20233)] = 754487,
  [SMALL_STATE(20234)] = 754501,
  [SMALL_STATE(20235)] = 754515,
  [SMALL_STATE(20236)] = 754529,
  [SMALL_STATE(20237)] = 754543,
  [SMALL_STATE(20238)] = 754557,
  [SMALL_STATE(20239)] = 754571,
  [SMALL_STATE(20240)] = 754575,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14919),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20196),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7709),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14753),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14919),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14886),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14888),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16294),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13667),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12050),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10512),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13156),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13547),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10786),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11094),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13544),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10175),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13669),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13671),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14913),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15646),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15409),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14914),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14916),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13173),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12431),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16321),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16664),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12786),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11697),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20239),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10548),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10884),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15370),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14326),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10906),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12999),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13647),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 27),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 2, 0, 27),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10311),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13791),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14083),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15445),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14988),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15742),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12377),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10282),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13694),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14178),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15419),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14969),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13230),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12353),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10376),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13900),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14024),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15463),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14999),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12398),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16549),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10356),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13872),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14041),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15734),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15211),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13186),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16291),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4020),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11762),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13115),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13640),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13641),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13054),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10166),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13919),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14016),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15842),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15246),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16766),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17318),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10267),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13709),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14161),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15415),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14965),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13234),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12350),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16877),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10390),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13681),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14189),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15425),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14972),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13063),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12357),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16836),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8791),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10369),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13894),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15439),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14982),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13183),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12371),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16692),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10176),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13755),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14110),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15477),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15015),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12222),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16374),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4102),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10196),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13826),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15625),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15138),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16572),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10173),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13937),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15451),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14991),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13164),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12380),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16596),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4714),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10209),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13680),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13752),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14111),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15449),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14990),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12379),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16612),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10206),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13896),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15777),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15224),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13211),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12301),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16530),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13700),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5172),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10285),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13661),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15431),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14977),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13221),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16818),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5088),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10331),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13743),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14120),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15103),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12263),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16619),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10171),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13729),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15561),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15095),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16659),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4993),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10239),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13747),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14118),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16202),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15332),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13151),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17202),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5378),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10355),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13690),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13703),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15433),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14978),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13200),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12364),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16781),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15742),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10219),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13766),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15578),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15108),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13091),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12343),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16553),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10168),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13765),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15435),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14980),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13198),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12368),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16738),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20094),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11309),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19116),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8066),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19354),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20118),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20117),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20118),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20085),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11545),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19231),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18278),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20081),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11416),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18061),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19053),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20087),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11405),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17630),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19144),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20073),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11130),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19042),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17563),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20065),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11485),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17556),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18147),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20079),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11338),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19055),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19475),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20068),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11246),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19864),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18152),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20104),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11513),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18615),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18756),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20070),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11081),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20138),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19872),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20084),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11461),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19218),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17432),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20121),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11413),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20120),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20119),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20093),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11444),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19212),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19546),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20101),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11359),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18820),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18899),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20099),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11169),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18901),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18941),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20106),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11397),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18490),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18606),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20089),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11216),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20164),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19740),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20076),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11213),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20141),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19267),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20098),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11191),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18920),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18987),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20012),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11240),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17686),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18311),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20060),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18822),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20095),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11252),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19075),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19188),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20107),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11379),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18477),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18555),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20102),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11459),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18757),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18872),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20075),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11194),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19855),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19043),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20086),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11473),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19201),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19242),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20051),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11411),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18432),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17416),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20057),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11420),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19100),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18444),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20091),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11323),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19753),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19927),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20088),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11335),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19732),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17551),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20100),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11241),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18880),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18919),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20096),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11245),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18988),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19108),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20080),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11381),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18761),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19192),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20097),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11234),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18943),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19064),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20092),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11515),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19357),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19743),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20061),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11184),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19621),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19102),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20066),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11435),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18113),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17542),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20054),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11106),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18816),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17892),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20090),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11089),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19932),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20161),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20077),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11296),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19616),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19987),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20027),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11464),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17988),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17983),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20103),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11030),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18669),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10383),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13786),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15606),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15126),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13064),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12266),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16329),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10325),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13902),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15479),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15017),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12173),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16318),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10237),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13849),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15481),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15019),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12131),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16429),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5975),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10400),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13962),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14001),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15487),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15024),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13067),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16461),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20105),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11471),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18556),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18663),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5944),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10276),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13822),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15491),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15027),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13169),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12210),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16634),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6297),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10251),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13830),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15437),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14981),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12369),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16708),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10296),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13696),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14188),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16039),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15308),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13226),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12260),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17190),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6580),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10228),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13809),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15981),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15287),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12213),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16780),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6515),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7066),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10208),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13804),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14087),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15617),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15131),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13080),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12304),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16400),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10288),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13906),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15913),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15275),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13071),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12302),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16473),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6507),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10399),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13736),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16011),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15294),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12150),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16977),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7139),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6295),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6941),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11718),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5168),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5786),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6313),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5600),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6752),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9415),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6264),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7084),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9122),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6673),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15425),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14972),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12204),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15211),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15451),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14991),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15777),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15224),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15463),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14999),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15842),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15246),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15419),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14969),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15646),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15409),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15439),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14982),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15477),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15015),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15625),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15138),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [3081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16626),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13066),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17800),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15449),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14990),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15415),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14965),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15445),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14988),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17130),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13218),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19695),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16883),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19884),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7887),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16387),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19511),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10252),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16344),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19166),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8011),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16592),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19693),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16620),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20116),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16908),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19538),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16625),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13086),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19031),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [3329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 26),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 26),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16478),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19028),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [3411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3214),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43),
  [3416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17130),
  [3421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(219),
  [3424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1603),
  [3427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2950),
  [3430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3005),
  [3433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10282),
  [3436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1602),
  [3439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13694),
  [3442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14178),
  [3445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(276),
  [3448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3242),
  [3451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15419),
  [3454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14969),
  [3457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2951),
  [3460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13230),
  [3463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12353),
  [3466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4306),
  [3469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2952),
  [3472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16863),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [3717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3035),
  [3720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16626),
  [3723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(149),
  [3726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1703),
  [3729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3159),
  [3732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3121),
  [3735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10311),
  [3738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1704),
  [3741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13791),
  [3744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14083),
  [3747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(273),
  [3750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3064),
  [3753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15445),
  [3756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14988),
  [3759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3151),
  [3762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13180),
  [3765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12377),
  [3768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4206),
  [3771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3150),
  [3774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16667),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [3921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3347),
  [3924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16883),
  [3927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(218),
  [3930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1618),
  [3933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3350),
  [3936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3006),
  [3939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10390),
  [3942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1617),
  [3945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13681),
  [3948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14189),
  [3951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(259),
  [3954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3391),
  [3957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15425),
  [3960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14972),
  [3963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3361),
  [3966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13063),
  [3969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12357),
  [3972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4419),
  [3975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3364),
  [3978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16836),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16383),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13227),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19895),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [3991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3475),
  [3994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16344),
  [3997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(194),
  [4000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1517),
  [4003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3283),
  [4006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3178),
  [4009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10376),
  [4012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1518),
  [4015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13900),
  [4018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14024),
  [4021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(244),
  [4024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3700),
  [4027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15463),
  [4030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14999),
  [4033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3556),
  [4036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13162),
  [4039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12398),
  [4042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4385),
  [4045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3655),
  [4048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16549),
  [4051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3605),
  [4054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16387),
  [4057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(153),
  [4060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1583),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3490),
  [4066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2996),
  [4069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10267),
  [4072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1582),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13709),
  [4078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14161),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(255),
  [4084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3651),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15415),
  [4090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14965),
  [4093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3491),
  [4096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13234),
  [4099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12350),
  [4102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4232),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3493),
  [4108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16877),
  [4111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3285),
  [4114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16592),
  [4117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(204),
  [4120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1514),
  [4123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3602),
  [4126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3269),
  [4129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10356),
  [4132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1513),
  [4135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13872),
  [4138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14041),
  [4141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(285),
  [4144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3374),
  [4147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15734),
  [4150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15211),
  [4153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3600),
  [4156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13186),
  [4159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12207),
  [4162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4326),
  [4165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3565),
  [4168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16291),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17114),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13212),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18840),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [4181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3818),
  [4184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16908),
  [4187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(161),
  [4190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1726),
  [4193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3877),
  [4196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3030),
  [4199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10369),
  [4202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1724),
  [4205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13894),
  [4208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14029),
  [4211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(289),
  [4214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3883),
  [4217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15439),
  [4220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14982),
  [4223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3888),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13183),
  [4229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12371),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4395),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3891),
  [4238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16692),
  [4241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3838),
  [4244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16620),
  [4247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(159),
  [4250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1686),
  [4253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3763),
  [4256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3215),
  [4259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10176),
  [4262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1691),
  [4265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13755),
  [4268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14110),
  [4271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(274),
  [4274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3752),
  [4277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15477),
  [4280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15015),
  [4283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3810),
  [4286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13120),
  [4289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12222),
  [4292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4180),
  [4295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3819),
  [4298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16374),
  [4301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4099),
  [4304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16625),
  [4307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(155),
  [4310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1611),
  [4313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4102),
  [4316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3153),
  [4319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10196),
  [4322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1616),
  [4325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13826),
  [4328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14065),
  [4331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(251),
  [4334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3946),
  [4337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15625),
  [4340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15138),
  [4343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4118),
  [4346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13074),
  [4349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12197),
  [4352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4172),
  [4355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4123),
  [4358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16572),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3972),
  [4364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16478),
  [4367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(152),
  [4370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1537),
  [4373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4143),
  [4376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3163),
  [4379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10173),
  [4382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1539),
  [4385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13937),
  [4388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14006),
  [4391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(264),
  [4394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3990),
  [4397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15451),
  [4400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14991),
  [4403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4137),
  [4406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13164),
  [4409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12380),
  [4412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4367),
  [4415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4133),
  [4418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16596),
  [4421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4321),
  [4424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16383),
  [4427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(168),
  [4430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1625),
  [4433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4428),
  [4436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3032),
  [4439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10175),
  [4442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1579),
  [4445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13671),
  [4448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14193),
  [4451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(265),
  [4454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4214),
  [4457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15646),
  [4460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15409),
  [4463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4197),
  [4466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13173),
  [4469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12431),
  [4472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4208),
  [4475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4186),
  [4478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16664),
  [4481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4376),
  [4484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17114),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(181),
  [4490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1634),
  [4493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4371),
  [4496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3255),
  [4499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10166),
  [4502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1631),
  [4505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13919),
  [4508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14016),
  [4511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(269),
  [4514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4159),
  [4517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15842),
  [4520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15246),
  [4523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4368),
  [4526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13231),
  [4529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12114),
  [4532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4217),
  [4535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4233),
  [4538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17318),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16577),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18569),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16741),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19138),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5081),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16953),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13215),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18358),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16403),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20044),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [4581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4765),
  [4584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16577),
  [4587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(185),
  [4590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1562),
  [4593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4759),
  [4596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3140),
  [4599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10209),
  [4602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1626),
  [4605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13752),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14111),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(257),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4788),
  [4617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15449),
  [4620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14990),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4818),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13165),
  [4629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12379),
  [4632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4235),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4816),
  [4638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16612),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16827),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18668),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [4651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4897),
  [4654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16741),
  [4657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(137),
  [4660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1581),
  [4663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4908),
  [4666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3266),
  [4669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10206),
  [4672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1580),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13896),
  [4678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14028),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(278),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4886),
  [4687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15777),
  [4690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15224),
  [4693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4929),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13211),
  [4699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12301),
  [4702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4255),
  [4705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4932),
  [4708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16530),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16484),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13092),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19482),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [4721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5081),
  [4724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16953),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(164),
  [4730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1515),
  [4733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5088),
  [4736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2984),
  [4739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10331),
  [4742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1516),
  [4745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13743),
  [4748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14120),
  [4751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(252),
  [4754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5087),
  [4757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15569),
  [4760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15103),
  [4763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5092),
  [4766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13097),
  [4769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12263),
  [4772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4361),
  [4775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5094),
  [4778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16619),
  [4781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5111),
  [4784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16827),
  [4787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(189),
  [4790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1751),
  [4793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5115),
  [4796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3074),
  [4799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10239),
  [4802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1750),
  [4805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13747),
  [4808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14118),
  [4811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(275),
  [4814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5257),
  [4817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16202),
  [4820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15332),
  [4823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5137),
  [4826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13151),
  [4829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12109),
  [4832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4350),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5131),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17202),
  [4841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5249),
  [4844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16403),
  [4847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(163),
  [4850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1640),
  [4853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5172),
  [4856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3009),
  [4859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10285),
  [4862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1639),
  [4865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13661),
  [4868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14209),
  [4871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(261),
  [4874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5134),
  [4877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15431),
  [4880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14977),
  [4883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5170),
  [4886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13221),
  [4889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12359),
  [4892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4219),
  [4895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5157),
  [4898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16818),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5637),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16884),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13078),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19917),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [4913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5359),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13468),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18964),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15668),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15177),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18806),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13140),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17016),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10342),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16396),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11864),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20067),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13403),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14501),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14500),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19405),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18715),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16399),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12308),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17560),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17065),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20082),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14351),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17446),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18743),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20041),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14638),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17891),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17685),
  [5015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5292),
  [5018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16484),
  [5021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(132),
  [5024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1555),
  [5027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5297),
  [5030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2968),
  [5033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10171),
  [5036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1556),
  [5039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13729),
  [5042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14147),
  [5045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(270),
  [5048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5273),
  [5051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15561),
  [5054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15095),
  [5057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5305),
  [5060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13103),
  [5063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12215),
  [5066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4405),
  [5069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5284),
  [5072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16659),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17267),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17611),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13359),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20063),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14587),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18169),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18265),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5379),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13421),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14816),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20133),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16281),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15352),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20130),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12228),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16941),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20074),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14395),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19252),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18374),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14743),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18316),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20071),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14445),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17617),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19605),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20078),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14370),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19194),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20135),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4541),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13506),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14334),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18423),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15756),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15220),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17855),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13192),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12358),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16412),
  [5197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17302),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13235),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17906),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5563),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5385),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13449),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18185),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15505),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15042),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19324),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12331),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17307),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6286),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16467),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13098),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17442),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17417),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20115),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17110),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13208),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18492),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [5265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5637),
  [5268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16884),
  [5271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(197),
  [5274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1663),
  [5277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5550),
  [5280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3023),
  [5283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10355),
  [5286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1662),
  [5289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13703),
  [5292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14174),
  [5295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(272),
  [5298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5616),
  [5301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15433),
  [5304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14978),
  [5307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5547),
  [5310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13200),
  [5313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12364),
  [5316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4429),
  [5319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5544),
  [5322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16781),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6378),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17297),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19069),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19554),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16879),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19428),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16552),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19530),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6576),
  [5359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17327),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17460),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6685),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17357),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13161),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17935),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6750),
  [5379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17102),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13191),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17654),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7116),
  [5389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17053),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18081),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6618),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17246),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13216),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17381),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9929),
  [5409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 12),
  [5411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 12),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14945),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [5427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10046),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7702),
  [5431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13578),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14740),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14300),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18326),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15029),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16074),
  [5447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15318),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18323),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17326),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14373),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [5473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6949),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16970),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13068),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17954),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [5483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5716),
  [5486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17267),
  [5489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(136),
  [5492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1523),
  [5495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5790),
  [5498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3013),
  [5501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10219),
  [5504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1522),
  [5507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13766),
  [5510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14107),
  [5513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(268),
  [5516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5797),
  [5519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15578),
  [5522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15108),
  [5525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5794),
  [5528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13091),
  [5531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12343),
  [5534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4262),
  [5537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5780),
  [5540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16553),
  [5543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [5545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 58),
  [5547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 58),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16435),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [5553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [5557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10200),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [5563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13693),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14182),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15498),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15036),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13146),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12144),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17033),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [5589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16359),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [5599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10385),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13970),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [5611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [5615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15441),
  [5617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14984),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12375),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16677),
  [5631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6019),
  [5634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16435),
  [5637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(174),
  [5640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1607),
  [5643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5866),
  [5646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3067),
  [5649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10200),
  [5652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1608),
  [5655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13693),
  [5658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14182),
  [5661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(256),
  [5664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6013),
  [5667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15498),
  [5670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15036),
  [5673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5867),
  [5676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13146),
  [5679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12144),
  [5682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4157),
  [5685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5868),
  [5688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17033),
  [5691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5836),
  [5694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17302),
  [5697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(154),
  [5700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1679),
  [5703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5967),
  [5706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3024),
  [5709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10168),
  [5712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1677),
  [5715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13765),
  [5718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14106),
  [5721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(258),
  [5724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5968),
  [5727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15435),
  [5730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14980),
  [5733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5966),
  [5736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13198),
  [5739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12368),
  [5742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4425),
  [5745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5965),
  [5748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16738),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14316),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [5763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5898),
  [5766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16359),
  [5769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(170),
  [5772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1753),
  [5775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6010),
  [5778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3034),
  [5781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10385),
  [5784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1749),
  [5787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13970),
  [5790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13993),
  [5793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(260),
  [5796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5804),
  [5799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15441),
  [5802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14984),
  [5805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6009),
  [5808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13182),
  [5811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12375),
  [5814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4340),
  [5817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6008),
  [5820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16677),
  [5823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [5831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14428),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [5835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6209),
  [5838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17110),
  [5841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(206),
  [5844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1712),
  [5847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6297),
  [5850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3029),
  [5853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10251),
  [5856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1711),
  [5859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13830),
  [5862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14061),
  [5865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(271),
  [5868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6501),
  [5871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15437),
  [5874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14981),
  [5877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6299),
  [5880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13188),
  [5883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12369),
  [5886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4401),
  [5889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6301),
  [5892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16708),
  [5895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6576),
  [5898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17327),
  [5901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(199),
  [5904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1624),
  [5907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6180),
  [5910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3061),
  [5913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10383),
  [5916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1623),
  [5919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13786),
  [5922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14095),
  [5925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(281),
  [5928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6419),
  [5931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15606),
  [5934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15126),
  [5937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6182),
  [5940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13064),
  [5943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12266),
  [5946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4221),
  [5949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6184),
  [5952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16329),
  [5955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6470),
  [5958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16879),
  [5961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(186),
  [5964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1521),
  [5967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6460),
  [5970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3256),
  [5973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10325),
  [5976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1520),
  [5979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13902),
  [5982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14025),
  [5985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(267),
  [5988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6524),
  [5991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15479),
  [5994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15017),
  [5997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6472),
  [6000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13118),
  [6003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12173),
  [6006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4228),
  [6009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6476),
  [6012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16318),
  [6015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6378),
  [6018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17297),
  [6021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(147),
  [6024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1545),
  [6027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6169),
  [6030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3273),
  [6033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10237),
  [6036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1542),
  [6039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13849),
  [6042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14049),
  [6045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(284),
  [6048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6568),
  [6051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15481),
  [6054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15019),
  [6057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6179),
  [6060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13079),
  [6063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12131),
  [6066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4253),
  [6069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6191),
  [6072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16429),
  [6075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6286),
  [6078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16467),
  [6081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(133),
  [6084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1754),
  [6087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6136),
  [6090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3196),
  [6093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10400),
  [6096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1755),
  [6099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13962),
  [6102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14001),
  [6105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(287),
  [6108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6277),
  [6111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15487),
  [6114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15024),
  [6117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6134),
  [6120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13067),
  [6123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12419),
  [6126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4433),
  [6129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6133),
  [6132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16461),
  [6135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6194),
  [6138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16552),
  [6141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(224),
  [6144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1709),
  [6147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6329),
  [6150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3158),
  [6153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10276),
  [6156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1710),
  [6159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13822),
  [6162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14063),
  [6165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(245),
  [6168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6252),
  [6171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15491),
  [6174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15027),
  [6177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6312),
  [6180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13169),
  [6183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12210),
  [6186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4387),
  [6189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6309),
  [6192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16634),
  [6195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7048),
  [6198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16379),
  [6201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(142),
  [6204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1660),
  [6207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7122),
  [6210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3192),
  [6213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10387),
  [6216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1498),
  [6219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13795),
  [6222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14089),
  [6225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(243),
  [6228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7064),
  [6231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15536),
  [6234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15065),
  [6237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7125),
  [6240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13149),
  [6243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12344),
  [6246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4318),
  [6249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7126),
  [6252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16507),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6654),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16498),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7024),
  [6265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10256),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [6271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13689),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14184),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [6279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15470),
  [6281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15009),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12378),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16652),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7048),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16379),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7122),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10387),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13795),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [6315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15536),
  [6321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15065),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12344),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [6335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6750),
  [6338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17102),
  [6341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(220),
  [6344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1570),
  [6347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6760),
  [6350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3174),
  [6353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10399),
  [6356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1588),
  [6359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13736),
  [6362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14131),
  [6365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(277),
  [6368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7138),
  [6371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16011),
  [6374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15294),
  [6377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6758),
  [6380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13239),
  [6383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12150),
  [6386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4378),
  [6389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6624),
  [6392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16977),
  [6395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6685),
  [6398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17357),
  [6401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(175),
  [6404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1746),
  [6407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6701),
  [6410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3235),
  [6413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10288),
  [6416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1744),
  [6419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13906),
  [6422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14015),
  [6425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(280),
  [6428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6759),
  [6431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15913),
  [6434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15275),
  [6437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6702),
  [6440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13071),
  [6443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12302),
  [6446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4174),
  [6449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6705),
  [6452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16473),
  [6455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6618),
  [6458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17246),
  [6461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(214),
  [6464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1597),
  [6467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6626),
  [6470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3206),
  [6473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10228),
  [6476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1599),
  [6479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13809),
  [6482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14078),
  [6485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(291),
  [6488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6994),
  [6491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15981),
  [6494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15287),
  [6497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6625),
  [6500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13157),
  [6503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12213),
  [6506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4434),
  [6509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6679),
  [6512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16780),
  [6515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7116),
  [6518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17053),
  [6521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(167),
  [6524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1729),
  [6527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7066),
  [6530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3124),
  [6533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10208),
  [6536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1725),
  [6539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13804),
  [6542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14087),
  [6545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(254),
  [6548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6858),
  [6551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15617),
  [6554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15131),
  [6557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7061),
  [6560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13080),
  [6563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12304),
  [6566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4282),
  [6569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7057),
  [6572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16400),
  [6575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6654),
  [6578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16498),
  [6581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(188),
  [6584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1630),
  [6587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7024),
  [6590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3129),
  [6593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10256),
  [6596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1632),
  [6599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13689),
  [6602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14184),
  [6605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(286),
  [6608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6864),
  [6611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15470),
  [6614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15009),
  [6617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7088),
  [6620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13176),
  [6623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12378),
  [6626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4251),
  [6629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7087),
  [6632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16652),
  [6635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6949),
  [6638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16970),
  [6641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(157),
  [6644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1727),
  [6647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6995),
  [6650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3138),
  [6653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10296),
  [6656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1735),
  [6659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13696),
  [6662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14188),
  [6665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(246),
  [6668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6807),
  [6671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16039),
  [6674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15308),
  [6677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6992),
  [6680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13226),
  [6683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12260),
  [6686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4175),
  [6689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6757),
  [6692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17190),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10215),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4530),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20083),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13576),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14341),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18262),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18059),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20064),
  [6721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14538),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17540),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19215),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20072),
  [6731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14413),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18367),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20058),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19990),
  [6741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14742),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18682),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18701),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20069),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14466),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19627),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19407),
  [6757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7365),
  [6759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 92),
  [6761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 92),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15501),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [6769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7481),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13550),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14288),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17842),
  [6783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15699),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15829),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15240),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17422),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13220),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12132),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17119),
  [6801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 37),
  [6803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 37),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7733),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16899),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7858),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10338),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13842),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14056),
  [6827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15805),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15230),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12185),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17018),
  [6847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7510),
  [6849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 22),
  [6851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 22),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15861),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [6859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [6861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7484),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13406),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14556),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19262),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15516),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15051),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20234),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12262),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17015),
  [6889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 22),
  [6891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 22),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [6897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 92),
  [6899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 92),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [6903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 37),
  [6905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 37),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [6913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 75),
  [6915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 75),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [6919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 75),
  [6921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 75),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [6929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 104),
  [6931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 104),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [6935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 104),
  [6937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 104),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [6947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7733),
  [6950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16899),
  [6953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(134),
  [6956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1543),
  [6959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7858),
  [6962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3207),
  [6965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10338),
  [6968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1544),
  [6971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13842),
  [6974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14056),
  [6977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(247),
  [6980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7906),
  [6983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15805),
  [6986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15230),
  [6989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7813),
  [6992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13135),
  [6995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12185),
  [6998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4269),
  [7001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7856),
  [7004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17018),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [7011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [7015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14500),
  [7019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18714),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7833),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15813),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7968),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [7035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13448),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14524),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [7041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20228),
  [7043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15596),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15118),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19599),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13085),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16433),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7689),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15589),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [7071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7849),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [7075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13505),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14389),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [7081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18805),
  [7083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15704),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15196),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18424),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13150),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12233),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16732),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9639),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [7133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7365),
  [7136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15501),
  [7143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2425),
  [7146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3280),
  [7149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7481),
  [7152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13550),
  [7155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14288),
  [7158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3279),
  [7161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17842),
  [7164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15829),
  [7167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15240),
  [7170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7487),
  [7173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17422),
  [7176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13220),
  [7179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12132),
  [7182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7282),
  [7185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17119),
  [7188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7510),
  [7191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15861),
  [7194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2426),
  [7197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [7200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7484),
  [7203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13406),
  [7206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14556),
  [7209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3236),
  [7212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19262),
  [7215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15516),
  [7218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15051),
  [7221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7485),
  [7224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20234),
  [7227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13110),
  [7230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12262),
  [7233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7225),
  [7236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17015),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [7243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18714),
  [7247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7689),
  [7250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15589),
  [7253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2435),
  [7256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [7259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [7262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13505),
  [7265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14389),
  [7268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2938),
  [7271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18805),
  [7274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15704),
  [7277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15196),
  [7280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7851),
  [7283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18424),
  [7286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13150),
  [7289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12233),
  [7292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7618),
  [7295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16732),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8737),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4520),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8547),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13553),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14240),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17423),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15880),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15267),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17692),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12280),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16906),
  [7332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13959),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [7338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13405),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13597),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14217),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17693),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16064),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15384),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13404),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17995),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12351),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16468),
  [7370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7833),
  [7373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15813),
  [7376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2437),
  [7379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3264),
  [7382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7968),
  [7385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13448),
  [7388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14524),
  [7391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3262),
  [7394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20228),
  [7397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15596),
  [7400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15118),
  [7403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7895),
  [7406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19599),
  [7409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13085),
  [7412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12099),
  [7415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7613),
  [7418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16433),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15846),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8558),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15656),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8649),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13467),
  [7453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 39),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14485),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19591),
  [7461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 39),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15631),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15147),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19093),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13116),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16645),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [7499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 59),
  [7501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 59),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [7505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 79),
  [7507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 79),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [7515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 59),
  [7517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 59),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [7531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 39),
  [7533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 39),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [7549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 79),
  [7551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 79),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [7561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [7563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13187),
  [7565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13701),
  [7567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10981),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15484),
  [7571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16281),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15352),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [7585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14272),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16275),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16074),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15318),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15668),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15177),
  [7601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9035),
  [7604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16426),
  [7607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(211),
  [7610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1655),
  [7613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9126),
  [7616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3126),
  [7619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10242),
  [7622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1657),
  [7625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13756),
  [7628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14190),
  [7631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(290),
  [7634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9036),
  [7637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15633),
  [7640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15153),
  [7643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9125),
  [7646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13167),
  [7649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12130),
  [7652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4258),
  [7655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(8130),
  [7658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16331),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9035),
  [7663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16426),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [7669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9126),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [7673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10242),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [7677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13756),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [7681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15633),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15153),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16331),
  [7701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11600),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [7705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11951),
  [7707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [7709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13236),
  [7711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13624),
  [7713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10990),
  [7715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9989),
  [7717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13428),
  [7719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13711),
  [7721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14886),
  [7723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14888),
  [7725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [7751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 19),
  [7753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 19),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [7757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [7763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 4),
  [7765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 4),
  [7767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 5),
  [7769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 52),
  [7771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 52),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [7775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [7783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [7791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8558),
  [7794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15656),
  [7797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2433),
  [7800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3171),
  [7803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8649),
  [7806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13467),
  [7809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14485),
  [7812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [7815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19591),
  [7818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15631),
  [7821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15147),
  [7824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8667),
  [7827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19093),
  [7830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13116),
  [7833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12106),
  [7836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8330),
  [7839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16645),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13831),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [7850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [7852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [7854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 0),
  [7856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 0),
  [7858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [7860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [7862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 28),
  [7864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 28),
  [7866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [7868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [7870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [7872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [7874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [7876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [7878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [7880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [7882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [7884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [7886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 2),
  [7888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [7890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [7892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [7894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [7896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [7898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [7900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 23),
  [7902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 23),
  [7904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [7906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [7908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 31),
  [7910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 31),
  [7912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [7914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [7916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [7918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [7920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [7922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [7924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [7926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [7928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 11),
  [7930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [7932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [7934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [7936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [7938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [7940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [7942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13308),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [7946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10185),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13695),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14179),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16298),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13229),
  [7970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [7972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [7974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [7976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [7978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [7980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [7982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [7984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [7986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [7988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [7990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [7992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [7994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 0),
  [7996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 0),
  [7998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 0),
  [8000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 0),
  [8002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 61),
  [8012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 61),
  [8014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [8016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [8018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [8020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [8022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [8028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [8032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10154),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [8060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [8062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [8066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13551),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [8070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [8076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 0),
  [8078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 0),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12881),
  [8082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [8092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 0),
  [8110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 0),
  [8112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [8114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [8116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 0),
  [8118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 0),
  [8120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [8122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [8124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 0),
  [8126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 0),
  [8128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [8138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [8140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 24),
  [8146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 24),
  [8148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 0),
  [8150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 0),
  [8152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 42),
  [8154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 42),
  [8156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [8168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [8174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 41),
  [8176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 41),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [8180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13923),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [8200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [8202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13856),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13850),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [8216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13828),
  [8220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 25),
  [8222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 25),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13761),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13599),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [8272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [8280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [8284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10336),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [8288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13691),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15465),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15001),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15942),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12275),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16456),
  [8314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 28),
  [8316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 28),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7339),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10309),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13954),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13999),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15258),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13240),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12193),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17213),
  [8360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9536),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [8364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9423),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10170),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13659),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14207),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15483),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15021),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13072),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12261),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17320),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [8402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6693),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [8406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [8410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15938),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15281),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13127),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16630),
  [8426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4559),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15505),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15042),
  [8432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 99),
  [8434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 99),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15756),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15220),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [8444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [8446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [8450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15498),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15036),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15536),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15065),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15805),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15230),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15470),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15009),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15441),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14984),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [8482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [8490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [8494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [8498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13871),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13843),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13940),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13163),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [8564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4244),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [8614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9929),
  [8617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14945),
  [8620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [8623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2997),
  [8626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10046),
  [8629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13578),
  [8632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14300),
  [8635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [8638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18326),
  [8641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16074),
  [8644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15318),
  [8647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10055),
  [8650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18323),
  [8653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13196),
  [8656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12388),
  [8659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8266),
  [8662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17326),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [8669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18323),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [8691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16317),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [8752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16317),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [8872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [8874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9626),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [8888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [8890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5130),
  [8895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5102),
  [8900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [8902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [8904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [8906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [8912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [8914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [8916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [8918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [8920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [8922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [8924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [8926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [8928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 4, 0, 62),
  [8930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 4, 0, 62),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [8934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 44),
  [8936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 3, 0, 44),
  [8938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [8940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [8944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [8946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [8948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [8950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 13),
  [8952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 13),
  [8954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 14),
  [8956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 14),
  [8958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [8960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [8962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [8964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [8966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [8968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [8970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [8972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [8974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 30),
  [8976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 30),
  [8978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 30),
  [8980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 30),
  [8982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 15),
  [8984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 15),
  [8986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 10),
  [8988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 10),
  [8990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [8992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [8994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [8996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [8998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [9000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [9006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [9008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [9010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [9012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [9014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [9016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [9018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [9020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [9022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [9024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [9026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [9028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [9030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [9032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [9034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [9036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 1),
  [9038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 1),
  [9040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 30),
  [9042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 30),
  [9044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [9046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [9048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11663),
  [9054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [9056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [9058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [9062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 11),
  [9064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 11),
  [9066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 11),
  [9072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 11),
  [9074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 83),
  [9076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 83),
  [9078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [9080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [9082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 83),
  [9084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 83),
  [9086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [9088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [9090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [9104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [9106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [9108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15631),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15147),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15596),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15118),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15516),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15051),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15704),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15196),
  [9138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13481),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16407),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15240),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [9162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13219),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19928),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18517),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [9182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4302),
  [9184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9235),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [9190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6954),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [9196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7604),
  [9198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10238),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15193),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15460),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14997),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16335),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9249),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6847),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7629),
  [9244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10364),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14308),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15722),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15202),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16663),
  [9260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9767),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [9264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6848),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10935),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [9270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7628),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10812),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14277),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15556),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15085),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17201),
  [9288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [9292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6736),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10392),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [9300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [9302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [9304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [9306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [9308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9852),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [9312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10943),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [9318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10930),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14432),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15475),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15013),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16980),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6634),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11003),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10948),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10922),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10870),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [9364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17925),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19496),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [9382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13233),
  [9404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [9406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [9410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [9416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18471),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [9424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4312),
  [9430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [9432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [9438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [9444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 65),
  [9450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 65),
  [9452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 30),
  [9462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 30),
  [9464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13070),
  [9470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13168),
  [9528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [9530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 12),
  [9532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 12),
  [9534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [9540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [9542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 65),
  [9544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 65),
  [9546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18282),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [9552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 81),
  [9554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 81),
  [9556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 65),
  [9562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 65),
  [9564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 65),
  [9566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 65),
  [9568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 131),
  [9570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 131),
  [9572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 131),
  [9574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 131),
  [9576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20016),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [9584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10797),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11815),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13329),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11601),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12981),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10899),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10939),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [9704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 98),
  [9706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 98),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9880),
  [9710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16474),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20034),
  [9714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7685),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11690),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15453),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14992),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10320),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20003),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15523),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15056),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [9744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13545),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17245),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20045),
  [9750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7969),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13113),
  [9764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20052),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [9770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 113),
  [9772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 113),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [9782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 123),
  [9784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 123),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [9800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 40),
  [9802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 40),
  [9804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [9806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [9808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [9810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 0),
  [9812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 0),
  [9814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 0),
  [9816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [9818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 0),
  [9820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [9822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [9824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 60),
  [9826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 60),
  [9828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 82),
  [9830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 82),
  [9832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [9834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10329),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20020),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15467),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15004),
  [9846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9757),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19520),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15639),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15162),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9938),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12987),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [9868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 40),
  [9870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 40),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [9880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10613),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [9884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7956),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14477),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15473),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15011),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [9900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17179),
  [9903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10620),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [9907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7720),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14325),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15544),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15075),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17345),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17179),
  [9927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [9929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 0),
  [9931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12121),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [9935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14779),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15427),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14974),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16416),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [9963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [9965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 0),
  [9967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 60),
  [9969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 60),
  [9971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [9973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [9975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 47),
  [9977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 47),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13353),
  [9983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 47),
  [9985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 47),
  [9987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [9993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12413),
  [9995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16392),
  [9997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17936),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12415),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13222),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12406),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9793),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10413),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10486),
  [10015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11391),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [10019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7795),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14377),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15495),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15031),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17194),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [10043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 47),
  [10045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 47),
  [10047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 47),
  [10049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 47),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [10059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 40),
  [10061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 40),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [10067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [10071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8221),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [10075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [10081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [10083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [10087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 66),
  [10089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 66),
  [10091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [10101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [10109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [10113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [10121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [10127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3018),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [10140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 24),
  [10142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 24),
  [10144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [10147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 48),
  [10153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 48),
  [10155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 60),
  [10161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 60),
  [10163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 45),
  [10165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 45),
  [10167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 42),
  [10175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 42),
  [10177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 44),
  [10179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 44),
  [10181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_product_expression, 3, 0, 44),
  [10183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_product_expression, 3, 0, 44),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [10189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [10197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [10211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [10217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [10223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [10225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [10227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10142),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [10237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [10245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [10251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [10253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [10261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [10264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2946),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [10273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [10285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [10287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9935),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10039),
  [10291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [10293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10153),
  [10295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [10297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3187),
  [10302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [10304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3123),
  [10307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [10309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3979),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13667),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12050),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13544),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [10341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [10349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [10355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5130),
  [10358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3979),
  [10361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13667),
  [10364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12050),
  [10367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [10369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13156),
  [10372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13547),
  [10375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(10786),
  [10378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11094),
  [10381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13544),
  [10384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14913),
  [10387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14914),
  [10390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14916),
  [10393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4564),
  [10396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16321),
  [10399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3967),
  [10402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11762),
  [10405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13115),
  [10408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13640),
  [10411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13641),
  [10414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4512),
  [10417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16766),
  [10420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11762),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13640),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13641),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [10444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [10446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [10450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3211),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [10455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [10457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [10459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3000),
  [10462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10129),
  [10464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9944),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [10468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [10474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [10480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [10482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [10486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10073),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [10492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9994),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10030),
  [10498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 47),
  [10500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 47),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11542),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16138),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15323),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [10510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8816),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [10514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8427),
  [10516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14421),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15411),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14964),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17021),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8848),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8690),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7718),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14874),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15421),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14970),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16745),
  [10554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12665),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [10560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8532),
  [10562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7881),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15417),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14967),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17013),
  [10578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9954),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10076),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [10588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10041),
  [10590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12911),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8718),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7701),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14616),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15447),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14989),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16901),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [10614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7871),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9931),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [10622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8534),
  [10624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7875),
  [10626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3031),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [10631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [10633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [10635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9956),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [10641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [10643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7708),
  [10645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10085),
  [10647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9968),
  [10649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9971),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10051),
  [10653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10092),
  [10655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3152),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9202),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [10664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7694),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14824),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15423),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14971),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16292),
  [10680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9245),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [10684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [10686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7657),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15429),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14976),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17120),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9978),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [10720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [10724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10116),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [10732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10152),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12911),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [10746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [10752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12121),
  [10757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [10759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3232),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [10766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [10772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [10786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [10792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [10800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12665),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [10814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 11),
  [10816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 73),
  [10818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 73),
  [10820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 90),
  [10822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 90),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13225),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13634),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13542),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13771),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [10840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19749),
  [10846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [10854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 2),
  [10856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [10858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 54),
  [10860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 54),
  [10862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9128),
  [10864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [10866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14793),
  [10870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [10872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [10874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 0),
  [10876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 0),
  [10878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [10880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14777),
  [10884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [10886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [10888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 55),
  [10890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 55),
  [10892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [10894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [10896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12673),
  [10899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13667),
  [10902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11732),
  [10905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13225),
  [10908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13634),
  [10911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10990),
  [10914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(9997),
  [10917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13542),
  [10920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13771),
  [10923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [10925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14913),
  [10928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14914),
  [10931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14916),
  [10934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [10936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 36),
  [10938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 36),
  [10940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [10942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [10944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [10946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [10948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 0),
  [10950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 0),
  [10952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8962),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14877),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14875),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11951),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13624),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13428),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13711),
  [10970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 0),
  [10972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 0),
  [10974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [10976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [10978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11951),
  [10981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13236),
  [10984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13624),
  [10987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(9989),
  [10990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13428),
  [10993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13711),
  [10996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 0),
  [10998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 0),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [11004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7680),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14655),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17196),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [11020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7666),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14751),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16538),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10547),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [11036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7778),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15457),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14995),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16462),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12693),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [11056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7948),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14235),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15587),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15113),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17064),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [11078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14512),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16476),
  [11090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [11092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 0),
  [11094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 0),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10481),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7673),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15682),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15184),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16940),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9256),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14473),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10947),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [11128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 0),
  [11130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 0),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9295),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14453),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10629),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [11142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7665),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14685),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17319),
  [11154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 0),
  [11156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 0),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9748),
  [11160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 0),
  [11162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 0),
  [11164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 0),
  [11166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 0),
  [11168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15748),
  [11170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13585),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19317),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [11180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18502),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17754),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [11192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [11206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [11208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18775),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [11216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17379),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10624),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17938),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13351),
  [11228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18824),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12675),
  [11236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18039),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13333),
  [11244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [11246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18366),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10436),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19543),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17470),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19839),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [11264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 34),
  [11266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 34),
  [11268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14470),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19636),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18846),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17365),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10576),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19984),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [11290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [11296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19726),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17374),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10883),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18624),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18852),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17505),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18266),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [11332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19179),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17894),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13455),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17456),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10897),
  [11344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 34),
  [11346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 34),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19504),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12523),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17480),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [11356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [11358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [11360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 11),
  [11366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 11),
  [11368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 3),
  [11370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 3),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19777),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17770),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [11380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 7),
  [11386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 7),
  [11388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 2),
  [11390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [11404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17694),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10533),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18639),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [11414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9624),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14748),
  [11418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18285),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18217),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [11430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 2),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19783),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19302),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10078),
  [11440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18825),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18541),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9886),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17957),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18372),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18908),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [11464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 29),
  [11466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 29),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19153),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18114),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17524),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [11480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [11482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20180),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [11488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14746),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20002),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [11502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16316),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19827),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19050),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19575),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14506),
  [11520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9625),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18013),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18584),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18925),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9974),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20022),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18945),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17603),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17808),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19512),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12690),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19492),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12982),
  [11560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [11562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17636),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19957),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18006),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [11576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 46),
  [11578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 46),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19873),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17643),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17746),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20209),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11912),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17731),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9786),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18484),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17815),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10506),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18334),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12716),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [11614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 21),
  [11616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 21),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11917),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15035),
  [11622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10659),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [11626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 18),
  [11628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 18),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [11636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [11640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15938),
  [11642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15281),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [11652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [11658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [11660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [11664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 21),
  [11666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 21),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [11670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10466),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [11674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 47),
  [11676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 47),
  [11678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [11680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 47),
  [11682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 47),
  [11684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 45),
  [11686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 45),
  [11688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10150),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14679),
  [11692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9903),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [11704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9748),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [11708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15035),
  [11715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 33),
  [11717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 33),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [11721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10134),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14448),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [11735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3156),
  [11738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3156),
  [11740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7739),
  [11742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [11748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8654),
  [11750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [11752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7247),
  [11754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [11758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8495),
  [11760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10379),
  [11762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15653),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15168),
  [11768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [11770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14319),
  [11774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7317),
  [11776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [11780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8513),
  [11782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10226),
  [11784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15455),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14994),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [11794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18532),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6878),
  [11800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [11804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8692),
  [11806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [11808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8883),
  [11810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [11814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8601),
  [11816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [11818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [11820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [11822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [11838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [11840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14254),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [11860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [11866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [11872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [11874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [11882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [11884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [11886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3213),
  [11889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [11899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16501),
  [11903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19411),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10238),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9822),
  [11909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [11911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14681),
  [11917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7090),
  [11919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [11923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8600),
  [11925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [11929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [11931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14430),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16541),
  [11937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19270),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [11941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15699),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [11950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [11952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [11956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10629),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14609),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12479),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [11964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5799),
  [11966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10757),
  [11968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 63),
  [11970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 63),
  [11972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10547),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16513),
  [11978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19372),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [11988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 34),
  [11990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 34),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [11994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [11996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [12004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10647),
  [12014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [12026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10481),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [12030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8523),
  [12037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10594),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14577),
  [12041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [12051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [12053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [12063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [12071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [12079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 47),
  [12081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 47),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [12085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16578),
  [12091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19163),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10695),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [12097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [12099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [12107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [12113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8425),
  [12116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [12126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9514),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10504),
  [12136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20113),
  [12138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [12140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14841),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14920),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [12146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 33),
  [12148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 33),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12748),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [12158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [12162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 21),
  [12164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 21),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11829),
  [12168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [12170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [12172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [12178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 18),
  [12180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 18),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [12184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16810),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17069),
  [12194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14407),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [12204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [12210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [12214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20108),
  [12216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14776),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16138),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15323),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9654),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [12226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14826),
  [12228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [12234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16386),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13489),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16520),
  [12240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19351),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [12246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16971),
  [12249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15029),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16971),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16510),
  [12256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19392),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9819),
  [12262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 0),
  [12264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 0),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [12270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [12276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17069),
  [12279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14614),
  [12289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 0),
  [12291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 0),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12704),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14579),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14509),
  [12299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [12302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 66),
  [12304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 66),
  [12306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [12308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16774),
  [12311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10947),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16774),
  [12317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 114),
  [12319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 114),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13720),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14151),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15408),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14962),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15641),
  [12341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 33),
  [12343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 33),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [12369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 102),
  [12371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 102),
  [12373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 68),
  [12375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 68),
  [12377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 12),
  [12379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 12),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [12385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 114),
  [12391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 114),
  [12393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14021),
  [12400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 86),
  [12402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 86),
  [12404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 87),
  [12406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 87),
  [12408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 100),
  [12410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 100),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16524),
  [12418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19325),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [12422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 69),
  [12424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 69),
  [12426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 69),
  [12428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 69),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [12434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10824),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14231),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [12450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8515),
  [12453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 66),
  [12455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 66),
  [12457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 34),
  [12459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 34),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [12471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 50),
  [12473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 50),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [12479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 68),
  [12481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 68),
  [12483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [12485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [12499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [12515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [12519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [12521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [12523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [12531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14374),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [12555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 18),
  [12557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 18),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16535),
  [12561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19299),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [12569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [12582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 50),
  [12584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 50),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [12590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 48),
  [12592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 48),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [12598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8458),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [12617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [12621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [12623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [12625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [12631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 86),
  [12633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 86),
  [12635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 87),
  [12637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 87),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [12651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 102),
  [12653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 102),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [12657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14031),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [12666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 85),
  [12668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 85),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [12682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [12684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [12694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 100),
  [12700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 100),
  [12702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 85),
  [12704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 85),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14031),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [12754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 48),
  [12756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 48),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [12766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9874),
  [12769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [12771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [12773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13606),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [12779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17953),
  [12781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [12783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14306),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13077),
  [12787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 18),
  [12789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 18),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [12795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [12801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14851),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [12807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [12809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [12811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [12817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 70),
  [12819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 70),
  [12821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 71),
  [12823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 71),
  [12825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 51),
  [12827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 51),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [12837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 94),
  [12839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 94),
  [12841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 0),
  [12843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 0),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14152),
  [12849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 77),
  [12851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 77),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [12855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14843),
  [12857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 51),
  [12859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 51),
  [12861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 68),
  [12863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 68),
  [12865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 37),
  [12867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 37),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 93),
  [12873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 93),
  [12875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 76),
  [12877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 76),
  [12879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 69),
  [12881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 69),
  [12883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 88),
  [12885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 88),
  [12887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 74),
  [12889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 74),
  [12891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 91),
  [12893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 91),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [12897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 90),
  [12899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 90),
  [12901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 73),
  [12907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 73),
  [12909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 0),
  [12911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 0),
  [12913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 2, 0, 0),
  [12915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 2, 0, 0),
  [12917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 91),
  [12919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 91),
  [12921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 103),
  [12923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 103),
  [12925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 22),
  [12927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 22),
  [12929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9677),
  [12932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [12934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [12936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 0),
  [12938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 0),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10692),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14157),
  [12944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 75),
  [12946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 75),
  [12948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 93),
  [12950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 93),
  [12952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 77),
  [12954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 77),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12733),
  [12958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 105),
  [12960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 105),
  [12962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 54),
  [12964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 54),
  [12966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 21),
  [12968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 21),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 94),
  [12974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 94),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [12980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 71),
  [12982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 71),
  [12984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [12986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [12988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 70),
  [12990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 70),
  [12992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 127),
  [12994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 127),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [12998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 56),
  [13000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 56),
  [13002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 88),
  [13004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 88),
  [13006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [13008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [13010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 74),
  [13012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 74),
  [13014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 136),
  [13016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 136),
  [13018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 136),
  [13020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 136),
  [13022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 134),
  [13024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 134),
  [13026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 133),
  [13028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 133),
  [13030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 132),
  [13032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 132),
  [13034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 0),
  [13036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 0),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [13042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 76),
  [13044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 76),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [13050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 104),
  [13052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 104),
  [13054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 22),
  [13056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 22),
  [13058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 134),
  [13060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 134),
  [13062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 33),
  [13064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 33),
  [13066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 5, 0, 9),
  [13068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 5, 0, 9),
  [13070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 133),
  [13072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 133),
  [13074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 126),
  [13076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 126),
  [13078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 125),
  [13080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 125),
  [13082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 132),
  [13084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 132),
  [13086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 124),
  [13088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 124),
  [13090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [13092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [13094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 87),
  [13096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 87),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12701),
  [13100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 50),
  [13102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 50),
  [13104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 37),
  [13106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 37),
  [13108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [13110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [13112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(12148),
  [13115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 6, 0, 28),
  [13117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 6, 0, 28),
  [13119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 104),
  [13121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 104),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [13127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 127),
  [13129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 127),
  [13131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 92),
  [13133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 92),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [13137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 86),
  [13139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 86),
  [13141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 126),
  [13143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 126),
  [13145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 117),
  [13147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 117),
  [13149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 125),
  [13151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 125),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [13157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 116),
  [13159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 116),
  [13161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 115),
  [13163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 115),
  [13165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 124),
  [13167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 124),
  [13169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 103),
  [13171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 103),
  [13173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 115),
  [13175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 115),
  [13177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 56),
  [13179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 56),
  [13181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 102),
  [13183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 102),
  [13185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 116),
  [13187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 116),
  [13189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 75),
  [13191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 75),
  [13193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 117),
  [13195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 117),
  [13197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 92),
  [13199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 92),
  [13201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 105),
  [13203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 105),
  [13205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13490),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11664),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14943),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9618),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [13271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [13279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3272),
  [13282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [13286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 35),
  [13288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 35),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14034),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [13302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 53),
  [13304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 53),
  [13306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 72),
  [13308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 72),
  [13310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14034),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [13317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8485),
  [13320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11571),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14274),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [13334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 0),
  [13336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 0),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13996),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [13352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 89),
  [13354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 89),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [13360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [13362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [13368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 0),
  [13374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 0),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [13380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [13382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [13388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 53),
  [13390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 53),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [13404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [13410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [13412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10424),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13370),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [13448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8571),
  [13451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(13996),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [13478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [13484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 89),
  [13486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 89),
  [13488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [13500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 72),
  [13502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 72),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11670),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15687),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12973),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14935),
  [13544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13490),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [13551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9690),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [13560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [13568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13370),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [13579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9678),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [13586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [13588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [13594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [13596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [13598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [13600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [13602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [13604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14958),
  [13614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [13618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [13620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [13622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4569),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [13632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [13639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [13641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [13653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [13655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [13657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4569),
  [13660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4569),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [13673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [13693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10730),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14773),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14145),
  [13735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9900),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [13744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [13750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [13752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [13754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [13794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [13800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [13802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [13806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(8638),
  [13809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(13720),
  [13812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [13814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9310),
  [13817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14151),
  [13820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1144),
  [13823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14913),
  [13826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15408),
  [13829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14962),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [13892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [13894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14629),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [13902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 0),
  [13904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 0),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [13908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13401),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14865),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [13971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [13973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [13975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14629),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13401),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [14010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [14020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [14022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12418),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20062),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19632),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13446),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [14068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [14070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [14084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13446),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [14107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [14109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [14127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14149),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13036),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [14245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9735),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [14250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4566),
  [14253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4566),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [14286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [14306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13538),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [14320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [14326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [14328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [14332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9819),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [14339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [14343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4547),
  [14346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4547),
  [14349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [14355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13541),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13541),
  [14360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 0),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [14368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 0),
  [14370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8494),
  [14373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18570),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18715),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17592),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16679),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18423),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [14405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [14407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [14415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13538),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [14422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9895),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18057),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16929),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18185),
  [14433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9654),
  [14436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [14438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4567),
  [14441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4567),
  [14444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8461),
  [14447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [14450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17880),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16522),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17423),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18205),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13405),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17693),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10724),
  [14472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9907),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14042),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9871),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12568),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14559),
  [14487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19614),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17143),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20133),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17506),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16822),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18964),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10714),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [14519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14203),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [14535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [14537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [14539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14330),
  [14543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12479),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14705),
  [14547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14194),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [14553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [14559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16951),
  [14562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9712),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13365),
  [14566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12656),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14811),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14171),
  [14572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14166),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15579),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14703),
  [14578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [14580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [14582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [14594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [14602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [14604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15106),
  [14608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 0),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13638),
  [14612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9239),
  [14614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12649),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14933),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [14624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [14630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [14632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [14634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [14636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [14638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [14640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14896),
  [14642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [14644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [14646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [14656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [14662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [14664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [14670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [14672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [14674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [14676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [14678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [14680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [14682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [14684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [14686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [14688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14896),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [14697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [14711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [14717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [14719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [14723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 0),
  [14725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [14727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [14731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3233),
  [14734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [14736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [14738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [14740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [14742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [14744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [14746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [14748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [14750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [14752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [14754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [14756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [14758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10767),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [14762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12654),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13504),
  [14766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [14776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8450),
  [14779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14042),
  [14782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [14784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(12568),
  [14787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14559),
  [14790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14913),
  [14793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15408),
  [14796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14962),
  [14799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 0),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [14805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [14807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [14811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3071),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16951),
  [14816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [14818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3055),
  [14821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12672),
  [14824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14330),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [14835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [14841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [14843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [14849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12654),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [14854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15106),
  [14857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14091),
  [14867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13638),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [14876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 0),
  [14878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9894),
  [14880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12659),
  [14882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14703),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14707),
  [14895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3025),
  [14898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [14900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3116),
  [14903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [14905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13504),
  [14908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [14911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [14915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3038),
  [14918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9180),
  [14920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12651),
  [14922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [14924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [14928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [14934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [14942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [14946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [14948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [14950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [14958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [14960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [14964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [14966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [14968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [14970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [14972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 64),
  [14974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [14976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 64),
  [14978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [14981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [14983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [14985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [14995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [15001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [15003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [15015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [15021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [15023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [15033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [15039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [15041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [15049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [15061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [15067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8483),
  [15069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 57),
  [15071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7946),
  [15073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12725),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [15077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12694),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [15087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [15091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 38),
  [15093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8499),
  [15095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [15099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [15101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [15103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [15109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [15111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [15117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [15123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [15125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [15135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [15143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8942),
  [15145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [15147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [15159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [15161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [15163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [15165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [15177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [15183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [15185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [15187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [15189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [15205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [15211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [15213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [15215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [15217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5901),
  [15219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9666),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [15226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11348),
  [15228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6738),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [15240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [15244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [15246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [15248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [15250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9882),
  [15253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6117),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [15275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7822),
  [15277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [15279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [15283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [15285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [15287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [15289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [15291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [15301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [15307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [15309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [15311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [15317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [15327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3167),
  [15330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [15332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [15334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [15336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [15338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [15340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [15342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6615),
  [15344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [15346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [15352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [15360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [15364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [15370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [15378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [15384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5321),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [15388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [15396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7884),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [15410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [15412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7506),
  [15414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [15416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [15418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [15420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [15422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [15426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [15428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [15430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [15432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [15444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [15446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9345),
  [15448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7540),
  [15450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [15452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [15460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [15462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [15464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [15468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [15470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [15472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [15474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 78),
  [15476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [15478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [15482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [15484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [15486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [15489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [15491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8693),
  [15493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2988),
  [15496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [15508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [15510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [15516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [15518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [15520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [15528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [15538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [15540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6712),
  [15542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7039),
  [15544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11797),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [15554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3254),
  [15557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [15559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [15561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [15569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [15571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [15575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [15577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [15579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [15581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [15583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [15585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [15587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [15589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [15591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [15593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [15595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13350),
  [15597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [15599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [15601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [15603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [15605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [15607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [15609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [15611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [15613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5605),
  [15615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [15617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [15619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [15621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [15623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [15625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [15627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [15629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [15631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6948),
  [15633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [15635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [15637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [15639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [15641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11447),
  [15643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10125),
  [15645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [15647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3229),
  [15650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [15652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [15662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [15664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [15666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [15668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12352),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [15674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [15680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [15684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [15688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [15690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [15698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [15702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [15704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [15706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [15714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [15716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [15722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [15724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [15726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [15728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [15732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [15736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12738),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14819),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [15744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [15756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [15762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [15764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [15772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [15780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13282),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [15788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [15790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [15792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9955),
  [15794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8697),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14909),
  [15798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [15800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [15802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [15804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [15806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [15808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [15810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 78),
  [15812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16950),
  [15814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [15816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [15818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [15820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [15822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [15824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [15826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14455),
  [15829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14455),
  [15831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [15833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [15835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [15837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [15839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [15843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [15845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [15847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [15849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [15851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 57),
  [15853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [15857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [15859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [15863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [15867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [15873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 57),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [15879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [15881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [15883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11964),
  [15885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8593),
  [15887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 51),
  [15889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12670),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [15895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [15901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [15903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [15911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [15919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [15927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [15931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14909),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [15936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [15938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [15940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [15944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 38),
  [15946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [15948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [15950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [15952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [15954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12648),
  [15956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [15958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [15960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [15962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [15964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [15966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [15968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [15970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [15972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [15974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [15976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [15978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [15980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [15982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [15984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [15986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [15988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [15990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14905),
  [15992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [15994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [15996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 38),
  [15998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12664),
  [16000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [16002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [16004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [16006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [16008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [16010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12650),
  [16013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [16017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [16019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [16021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [16023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [16027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [16031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [16033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12725),
  [16036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12725),
  [16039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12694),
  [16042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12647),
  [16044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14905),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [16051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [16055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [16057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [16059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [16061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [16063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16340),
  [16065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [16067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [16071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [16075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [16077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [16079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [16085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [16087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [16089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [16091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [16093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [16097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [16099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [16103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 0),
  [16105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12652),
  [16107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [16109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [16111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [16113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [16117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [16119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [16125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [16127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [16133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [16135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [16137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [16139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [16141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14821),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [16145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [16149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [16151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [16153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [16155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 5),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [16161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [16165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [16167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [16169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [16177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [16185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [16187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [16195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [16197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [16201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(12673),
  [16204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 71),
  [16206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14396),
  [16209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [16211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 78),
  [16213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12648),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [16220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [16222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [16224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [16226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [16228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [16230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [16232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 0),
  [16234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 0),
  [16236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9850),
  [16238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 0),
  [16240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [16242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [16244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 57),
  [16246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [16248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [16250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 78),
  [16252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16107),
  [16254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [16256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [16258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [16260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [16262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 38),
  [16264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [16266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15193),
  [16268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11619),
  [16270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12876),
  [16272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [16278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12892),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [16284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17212),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [16289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 79),
  [16291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13013),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [16295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [16301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 39),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [16305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 59),
  [16307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17212),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12941),
  [16311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12790),
  [16313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12914),
  [16315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 0),
  [16317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14621),
  [16319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 0),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14553),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14545),
  [16325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [16327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [16329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [16331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [16333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 57),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [16337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [16339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [16341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [16343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 0),
  [16345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [16347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [16351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 118),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [16355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [16357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 120),
  [16359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [16361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 107),
  [16363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_effect_pattern, 4, 0, 67),
  [16365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_effect_pattern, 4, 0, 67),
  [16367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [16371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [16373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [16377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13040),
  [16379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [16381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10192),
  [16383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [16385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [16387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [16389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [16391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [16393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [16395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [16397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [16399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [16401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [16403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [16405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [16411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [16413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 108),
  [16415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [16417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [16419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 119),
  [16421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [16423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 109),
  [16425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 120),
  [16427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [16429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [16431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 110),
  [16433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [16435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [16437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 121),
  [16439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 111),
  [16441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [16443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 122),
  [16445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 70),
  [16447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 79),
  [16449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 0),
  [16451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [16453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 112),
  [16455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 118),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [16459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 80),
  [16461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [16463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [16465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 128),
  [16467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [16469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 129),
  [16471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 78),
  [16473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [16475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 0),
  [16477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 119),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [16481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 121),
  [16483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [16485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 122),
  [16487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 130),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [16491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 128),
  [16493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 129),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [16497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 135),
  [16499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [16501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [16503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17335),
  [16505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 130),
  [16507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 135),
  [16509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 112),
  [16511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [16513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [16517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 97),
  [16519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [16521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 111),
  [16523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 59),
  [16525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 110),
  [16527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [16529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 96),
  [16531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [16533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 0),
  [16535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 88),
  [16537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [16539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [16541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [16545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 38),
  [16547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [16551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [16553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 109),
  [16555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [16557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [16559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 108),
  [16561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [16563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [16565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [16567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [16569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 107),
  [16571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [16573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 95),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [16577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [16579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [16581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [16583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [16585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10924),
  [16587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17335),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [16598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 0),
  [16600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 95),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [16608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [16624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 70),
  [16626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 88),
  [16628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 0),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10911),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [16634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 96),
  [16636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 80),
  [16638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 97),
  [16640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 39),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15339),
  [16648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10534),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [16660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [16676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 41),
  [16678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 106),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18610),
  [16682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 0),
  [16684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 0),
  [16686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 0),
  [16688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 106),
  [16690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 0),
  [16692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 0),
  [16694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 41),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [16698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12693),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14355),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10197),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [16714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8524),
  [16717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [16723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [16727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [16737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14729),
  [16741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13166),
  [16743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13065),
  [16745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [16747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [16749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [16751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13095),
  [16753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13069),
  [16759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [16761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17068),
  [16763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19993),
  [16765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19993),
  [16767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19989),
  [16769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [16771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [16773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [16775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [16777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15134),
  [16779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [16781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [16783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [16785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [16787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [16789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [16791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [16795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [16797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [16799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [16801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [16805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [16807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [16809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [16811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [16813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [16815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [16817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [16819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [16821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [16825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [16829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [16831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [16833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [16835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [16837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [16839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [16841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14331),
  [16843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [16845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [16847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [16849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [16851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [16853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [16855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [16857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [16859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [16861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [16863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [16865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [16867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [16869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [16871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [16873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [16875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [16879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [16881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15339),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [16886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [16892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [16894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [16896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [16898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [16902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [16910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14201),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16564),
  [16922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19232),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14000),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14200),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [16940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [16948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [16960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [16962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13268),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [16966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14084),
  [16968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [16972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [16976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [16978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [16986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [16988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [16990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [16992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [16994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [16996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [16998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [17000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [17002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [17004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [17006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [17010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [17012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14086),
  [17018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16347),
  [17022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20036),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [17030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [17032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [17040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [17044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [17046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [17048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [17050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [17052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [17054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [17056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [17058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [17062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [17064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13478),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [17070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [17072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [17076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [17080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16817),
  [17082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18690),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14019),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [17088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [17090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [17092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [17100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14122),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [17114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14121),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17088),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19177),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14071),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [17138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [17150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [17158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [17166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [17170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [17172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [17176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [17180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [17184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [17192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [17196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16609),
  [17198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19088),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11728),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [17204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [17206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [17210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13511),
  [17212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13511),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19831),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [17218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14004),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [17222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [17226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [17234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16656),
  [17240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18969),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11750),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [17248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [17256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10878),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10890),
  [17278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [17280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [17286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13785),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12477),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12504),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [17328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14150),
  [17331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [17333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [17335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [17337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [17339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [17341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [17343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [17345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [17347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [17349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8472),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14150),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10501),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10515),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [17366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13511),
  [17369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13511),
  [17372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [17374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10241),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9962),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12988),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13360),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10543),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10553),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11615),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11162),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14166),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16315),
  [17512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13268),
  [17514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16536),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11385),
  [17526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11095),
  [17532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16537),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [17548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16915),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14468),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [17564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16913),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14255),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11311),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [17584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14242),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11171),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11297),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [17604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14467),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [17614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16891),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10008),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11160),
  [17620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16882),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13207),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11220),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [17630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17017),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11470),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [17640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17014),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [17650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16996),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10065),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [17670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17237),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [17674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17240),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13132),
  [17680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16994),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [17686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [17688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17265),
  [17690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [17702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17269),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11047),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11046),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11124),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11288),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11301),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11256),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [17740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [17742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13718),
  [17744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13562),
  [17746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16819),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [17754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16826),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11097),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11483),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [17778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16804),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [17786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17301),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11134),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11034),
  [17808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17299),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [17818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17288),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [17822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17287),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11282),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [17844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [17848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [17856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [17858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11108),
  [17862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11307),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [17884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16508),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [17904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16499),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [17908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [17910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13430),
  [17912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16967),
  [17914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [17916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [17918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13321),
  [17920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16358),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11221),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14942),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14802),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11196),
  [17934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [17936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [17938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [17940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12933),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11479),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12929),
  [17956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17168),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11350),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11555),
  [17964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17160),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [17968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17157),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [17972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11041),
  [17974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [17976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13914),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [17988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [17992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13892),
  [17994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13889),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11029),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13885),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [18012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17169),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [18022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11539),
  [18032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17024),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [18036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17025),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [18040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [18046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [18052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17037),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [18060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17038),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13829),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14893),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14872),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14891),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14873),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14885),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14880),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [18106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [18108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13593),
  [18110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17094),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11175),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11098),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10342),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [18188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [18210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15500),
  [18216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [18230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [18232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [18234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [18236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [18238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [18240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14420),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [18250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [18252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19741),
  [18254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13648),
  [18256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16415),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [18260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12595),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [18264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15123),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [18278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [18282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [18384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [18396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [18402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16275),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [18409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [18413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [18419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [18423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [18433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [18435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [18437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 0),
  [18439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [18441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [18443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [18445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [18447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [18451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [18453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [18455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [18457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [18461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [18465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 65),
  [18467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [18469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [18471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [18473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 0),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [18483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14530),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [18495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14055),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [18500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 84),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [18504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 0),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [18586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18412),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14876),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14324),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12736),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14922),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18463),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17376),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [18626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16107),
  [18629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19039),
  [18631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14146),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [18641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14388),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14426),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17913),
  [18649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18725),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [18655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14137),
  [18657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [18661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14135),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14363),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12705),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14917),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14431),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19173),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [18679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19370),
  [18681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10853),
  [18685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19127),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [18691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19478),
  [18693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [18695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12734),
  [18697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14911),
  [18699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14311),
  [18701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [18703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14930),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14276),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [18709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19662),
  [18711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [18713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14474),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12882),
  [18717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14211),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [18721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14511),
  [18723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19054),
  [18725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [18727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [18729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(8481),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [18734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12686),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15143),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20195),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14132),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14548),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18794),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14550),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19748),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19119),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19552),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [18776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [18778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 49),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17394),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14581),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14823),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10344),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17363),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18104),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19539),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14615),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17501),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14654),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [18826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [18828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 32),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17823),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17583),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [18844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [18846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20038),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18620),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [18856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [18858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14682),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18678),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [18870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18252),
  [18872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14676),
  [18876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15735),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17667),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [18886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [18888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17703),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11996),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [18894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14248),
  [18896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19450),
  [18898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [18900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [18902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15117),
  [18904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14628),
  [18906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [18908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [18912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 20),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19527),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [18922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [18924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 17),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14383),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15091),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19822),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19709),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18293),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13827),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20032),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19907),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17999),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14750),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17965),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19897),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19590),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [18976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20004),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19072),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14327),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13087),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18437),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19983),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14778),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16109),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10628),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16133),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10479),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13494),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [19040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14882),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13410),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16274),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13761),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [19058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16517),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16621),
  [19062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19366),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13454),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16266),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [19070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [19078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13461),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13551),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13476),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16608),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [19102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11701),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16192),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15736),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16187),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [19150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16179),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10120),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15702),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9805),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15667),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14113),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11618),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9724),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16128),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16125),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16095),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10872),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16113),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11789),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10862),
  [19260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9896),
  [19263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [19265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [19267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [19269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [19271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [19273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16238),
  [19275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11693),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16069),
  [19285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15692),
  [19297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [19299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16065),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [19303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [19309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [19315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16184),
  [19317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11607),
  [19319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16059),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [19323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11657),
  [19325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [19327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [19329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [19331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16121),
  [19333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15696),
  [19335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [19337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [19339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [19341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [19343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [19357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [19359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16033),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [19363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [19367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9865),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16030),
  [19377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4526),
  [19380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4526),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16050),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16025),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [19401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [19403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [19405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [19407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [19409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [19411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12695),
  [19413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [19415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13959),
  [19417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [19419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [19421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [19423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16007),
  [19425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15349),
  [19427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [19429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [19431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [19433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16004),
  [19435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [19437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [19439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [19441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [19443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15995),
  [19445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [19447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [19451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [19453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [19455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [19459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [19461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15894),
  [19463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [19465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [19467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16751),
  [19470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16751),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15967),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15959),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [19488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16568),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15955),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15793),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15707),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14007),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16081),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15931),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15929),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15925),
  [19556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16551),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13991),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [19574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [19576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(13524),
  [19579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [19581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [19583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14036),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14072),
  [19595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [19597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [19599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15152),
  [19602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15908),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15688),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10527),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15904),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14077),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15895),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14099),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15712),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14123),
  [19664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [19666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(15117),
  [19669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [19671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15871),
  [19673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [19675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(15123),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13005),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15865),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [19690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13016),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15862),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15609),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13014),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14141),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13002),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14163),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14172),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [19746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [19748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16294),
  [19751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10432),
  [19753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15848),
  [19755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15852),
  [19757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [19759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [19761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [19763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15845),
  [19765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15152),
  [19767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [19769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [19771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [19773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10516),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14196),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [19779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [19781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [19783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(16298),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14186),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14206),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14199),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15835),
  [19802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [19804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10570),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15833),
  [19810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [19812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [19814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15830),
  [19818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10637),
  [19820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [19822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [19824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [19826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11806),
  [19828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [19830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [19832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [19834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [19836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11954),
  [19838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [19840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14165),
  [19842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14159),
  [19844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14155),
  [19846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [19848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9570),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15816),
  [19852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [19854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [19858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15811),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15159),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15526),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9722),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15798),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15151),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14130),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15791),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15784),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15723),
  [19928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8147),
  [19931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [19933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [19935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [19937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [19939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8447),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15768),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14103),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10509),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12520),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15763),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11736),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11865),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12531),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15759),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15107),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12021),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15050),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15752),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15725),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15745),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [20056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10537),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15740),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10694),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14908),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15727),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14903),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14927),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14895),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [20094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11698),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10917),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13668),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14514),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13658),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [20122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15312),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14861),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13663),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16337),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13679),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14855),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13665),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14849),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11891),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14831),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14124),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13670),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14814),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14857),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13731),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14870),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13768),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14756),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16428),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13664),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13672),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13655),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14688),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [20220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16436),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14854),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13754),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14862),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13674),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13678),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13666),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13656),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14856),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16720),
  [20260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16717),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16714),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16724),
  [20266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16723),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16722),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16728),
  [20272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16727),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16726),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16735),
  [20282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16734),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16743),
  [20288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16742),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16740),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16749),
  [20294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16748),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16746),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16754),
  [20300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16753),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16752),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16758),
  [20306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16757),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16756),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16764),
  [20312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16762),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16761),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16770),
  [20318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16769),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16768),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13684),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16776),
  [20328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16775),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16773),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14210),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16786),
  [20336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16785),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16784),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16795),
  [20342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16792),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16789),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14840),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16806),
  [20352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16805),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16801),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13676),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16386),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [20366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [20370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16816),
  [20374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16812),
  [20376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16811),
  [20378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11785),
  [20380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [20382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13685),
  [20384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [20386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [20388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16830),
  [20392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16829),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16828),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14730),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [20402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16846),
  [20408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16844),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16843),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14836),
  [20414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9610),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [20419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16860),
  [20425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16859),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16858),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11819),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13687),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14863),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [20445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13540),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16872),
  [20455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16871),
  [20457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [20459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13769),
  [20461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [20463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13529),
  [20465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12931),
  [20467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [20469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [20471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [20473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [20475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13688),
  [20477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [20479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [20481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16890),
  [20483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16889),
  [20485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16887),
  [20487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16451),
  [20489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16452),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16453),
  [20493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [20495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [20497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [20499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [20501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16458),
  [20503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13524),
  [20505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16907),
  [20507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16905),
  [20509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16904),
  [20511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13675),
  [20513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [20515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [20517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [20519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [20521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [20523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [20525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [20527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16924),
  [20529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16923),
  [20531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16922),
  [20533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [20535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13778),
  [20537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13816),
  [20539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [20541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 20),
  [20543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [20545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [20547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [20549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16939),
  [20551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16938),
  [20553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16937),
  [20555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [20557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [20559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [20561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16956),
  [20563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16955),
  [20565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [20567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19525),
  [20569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [20571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [20573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [20575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [20577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16966),
  [20579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16965),
  [20581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16964),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13698),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [20587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [20591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [20595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16982),
  [20597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16981),
  [20599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16979),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [20603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14815),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [20613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [20615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16995),
  [20619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16993),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16992),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14606),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [20629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17010),
  [20635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17008),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17006),
  [20639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [20641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [20643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [20647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [20649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13704),
  [20653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [20655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [20657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [20659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17032),
  [20661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17031),
  [20663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17030),
  [20665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [20667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [20669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14595),
  [20671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [20673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [20675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14810),
  [20677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [20679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [20681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [20683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17043),
  [20685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17042),
  [20687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17041),
  [20689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 1),
  [20691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [20693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [20695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [20697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [20699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17063),
  [20703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17062),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17060),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [20713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13326),
  [20715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [20717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [20721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17075),
  [20723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17074),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17073),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [20729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 0),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [20737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [20739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17093),
  [20743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17091),
  [20745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17090),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13652),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13336),
  [20755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [20757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 0),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [20763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17116),
  [20769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17113),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17112),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13699),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [20781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17134),
  [20787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17133),
  [20789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17132),
  [20791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16515),
  [20793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13836),
  [20795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14801),
  [20799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [20801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13788),
  [20803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14807),
  [20805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13746),
  [20807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [20809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [20811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2237),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [20816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [20820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17155),
  [20822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17154),
  [20824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17153),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13864),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [20830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14043),
  [20833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [20835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [20837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [20839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [20841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17175),
  [20843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17174),
  [20845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17173),
  [20847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14656),
  [20849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [20851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [20853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [20855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [20857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19289),
  [20859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13719),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13706),
  [20865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [20867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [20871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [20873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17210),
  [20875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17209),
  [20877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17208),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19340),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14794),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [20889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17242),
  [20895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17241),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17239),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [20905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17264),
  [20911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17262),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17260),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [20925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [20931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17283),
  [20935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17282),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17281),
  [20939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13859),
  [20941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15310),
  [20944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [20950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17305),
  [20956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17304),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17303),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13813),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [20968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13725),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14733),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17333),
  [20982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17332),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17331),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [20988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16532),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13716),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13715),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [21000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [21002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17360),
  [21008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17338),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17339),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14565),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [21020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13726),
  [21022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [21024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [21026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [21028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4618),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17314),
  [21033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17315),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17316),
  [21037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14039),
  [21040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [21042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [21044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [21046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13874),
  [21048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [21050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [21052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [21054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3316),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17228),
  [21059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17229),
  [21061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17230),
  [21063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14038),
  [21066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [21068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14637),
  [21070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [21072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [21074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [21076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [21078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17139),
  [21080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17140),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17141),
  [21084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [21088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [21090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [21092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14543),
  [21094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [21096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17050),
  [21098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17051),
  [21100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17052),
  [21102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13886),
  [21104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [21106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19260),
  [21108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [21110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14134),
  [21112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19256),
  [21114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [21116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [21118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [21120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [21122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16946),
  [21124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16947),
  [21126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16948),
  [21128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [21130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13883),
  [21132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14521),
  [21134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [21136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [21138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [21140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [21142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [21144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16839),
  [21146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16840),
  [21148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16841),
  [21150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13759),
  [21152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [21154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [21156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [21158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [21160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [21162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16699),
  [21164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16700),
  [21166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16701),
  [21168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14517),
  [21170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [21172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [21174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14516),
  [21176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [21178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [21180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [21182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [21184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [21186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16546),
  [21188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16547),
  [21190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16548),
  [21192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13723),
  [21194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15335),
  [21197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13941),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15347),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17144),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [21215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13918),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14436),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16353),
  [21227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16354),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16355),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13735),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14598),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14423),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13933),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [21259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15347),
  [21262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [21264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [21266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [21268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [21270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [21274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [21276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9743),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16649),
  [21283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16643),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16638),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13738),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14782),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14425),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [21301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13961),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13858),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [21309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14360),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [21313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2008),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13818),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [21322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14349),
  [21324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [21326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [21328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [21330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [21332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [21338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17211),
  [21340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17215),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17219),
  [21344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13824),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [21354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13803),
  [21356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16666),
  [21358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13737),
  [21360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [21362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16668),
  [21364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16669),
  [21366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16670),
  [21368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16672),
  [21370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16674),
  [21372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16676),
  [21374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16678),
  [21376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16680),
  [21378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16681),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16682),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16686),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16688),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16691),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16694),
  [21392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16695),
  [21394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16696),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16697),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16704),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16707),
  [21402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16709),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14770),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16711),
  [21408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16721),
  [21410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16725),
  [21412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16729),
  [21414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16736),
  [21416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [21418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16744),
  [21420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16750),
  [21422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16755),
  [21424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16759),
  [21426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16765),
  [21428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16771),
  [21430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [21432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [21434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16778),
  [21436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14012),
  [21438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16788),
  [21440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [21442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16798),
  [21444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13101),
  [21446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16808),
  [21448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13733),
  [21450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [21452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [21454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17176),
  [21456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [21458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [21460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [21462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16825),
  [21464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13575),
  [21466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13721),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [21472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13363),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13361),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [21484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16834),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [21488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13760),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13728),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [21496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14267),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14312),
  [21502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12900),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [21506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [21508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [21510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13344),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [21516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [21518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16866),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [21526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [21530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [21532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16603),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16874),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13702),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12810),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [21542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4599),
  [21545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3673),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14263),
  [21552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13712),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14244),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13027),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14417),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [21572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14296),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9581),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16930),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13730),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [21584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13682),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10157),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16944),
  [21592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [21594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [21596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14167),
  [21598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [21600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16961),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13673),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [21608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16684),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [21614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [21616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [21618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [21620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16973),
  [21622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13662),
  [21624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [21626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14767),
  [21628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13605),
  [21632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13913),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13607),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13887),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13660),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16984),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14226),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [21650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [21652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13619),
  [21654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [21656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [21658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13622),
  [21660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13741),
  [21662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [21664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16999),
  [21666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [21668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [21670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [21672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13692),
  [21674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [21676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13312),
  [21678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17020),
  [21680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [21682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [21684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [21686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17035),
  [21688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17054),
  [21690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13710),
  [21692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [21694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17067),
  [21696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13683),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13398),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [21704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [21712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [21714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17083),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17107),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13707),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13744),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16341),
  [21730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14117),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [21736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [21738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13443),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17103),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13456),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13567),
  [21750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13732),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13566),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [21760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [21762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [21764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13708),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17123),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13774),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13807),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13563),
  [21782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13590),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [21792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13724),
  [21794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13734),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17142),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [21800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13748),
  [21802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [21804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [21806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [21808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [21810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14766),
  [21812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [21814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13657),
  [21816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [21818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [21820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13727),
  [21822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18545),
  [21824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [21826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17162),
  [21828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [21830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [21832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [21834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17191),
  [21836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [21838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13749),
  [21840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [21842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13739),
  [21844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14727),
  [21846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [21848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [21850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [21852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [21854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14739),
  [21856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [21858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [21860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [21862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [21864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17222),
  [21866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [21868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13740),
  [21870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [21872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14297),
  [21874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [21876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18479),
  [21878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [21880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13753),
  [21882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [21886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [21888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17248),
  [21890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [21892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13491),
  [21894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [21896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [21898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13488),
  [21900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [21902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [21906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13742),
  [21908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [21910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [21912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14305),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [21916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18430),
  [21918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [21920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [21922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [21924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13479),
  [21926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [21928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [21930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [21932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13458),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17271),
  [21936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14735),
  [21940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [21944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [21946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13758),
  [21950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [21954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [21956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [21958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16534),
  [21960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13717),
  [21962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [21964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [21966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13654),
  [21968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [21970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [21972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [21976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13773),
  [21978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14098),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9601),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17289),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [21990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17317),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [21996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10886),
  [21998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13776),
  [22002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [22006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17336),
  [22008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13811),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [22012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13839),
  [22014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [22016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [22018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [22020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16689),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14345),
  [22024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [22026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14283),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [22030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10876),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13779),
  [22034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10868),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [22040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13409),
  [22042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17341),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13395),
  [22048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [22050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [22052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [22054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13782),
  [22056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [22058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [22066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14357),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14371),
  [22070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [22072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [22074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [22076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [22080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13389),
  [22082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14723),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13388),
  [22092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13783),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13777),
  [22098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13873),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [22106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17284),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13917),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13880),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14387),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17197),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13784),
  [22146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [22148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14035),
  [22152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13797),
  [22154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [22158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [22160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13802),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [22166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13922),
  [22168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [22170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [22172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13943),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14400),
  [22176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [22178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14672),
  [22186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [22188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [22190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11625),
  [22192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [22194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [22196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [22198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13375),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13800),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14684),
  [22206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17108),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [22214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13984),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14415),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [22222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [22224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13381),
  [22226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [22228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [22230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [22232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [22234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [22236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [22238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [22240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14669),
  [22242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [22244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13975),
  [22246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13801),
  [22248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [22250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [22256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17019),
  [22258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [22260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [22262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13935),
  [22264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [22266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9847),
  [22268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [22270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13995),
  [22272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14079),
  [22274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10429),
  [22276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [22278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [22280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [22282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14472),
  [22284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [22286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14452),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [22290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13789),
  [22292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16912),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [22296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [22298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [22300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13433),
  [22302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [22304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [22306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [22308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [22310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [22312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14458),
  [22314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [22316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [22318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [22320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13447),
  [22322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [22324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [22326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13925),
  [22328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [22330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13915),
  [22332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [22334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [22336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [22338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [22340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [22342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [22344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13812),
  [22346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13924),
  [22348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16777),
  [22350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16803),
  [22352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [22354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14488),
  [22356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [22358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [22362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [22364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13907),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13939),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14010),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [22376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14668),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [22380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13815),
  [22382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [22390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [22392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14492),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [22396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [22398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [22400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [22402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [22404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13905),
  [22406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14368),
  [22408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [22410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [22412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [22414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [22416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14502),
  [22418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [22420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13817),
  [22422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13898),
  [22424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [22426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18182),
  [22428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [22430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13019),
  [22432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [22434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [22436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [22438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [22440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [22442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [22444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13890),
  [22446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13904),
  [22448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [22450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16660),
  [22452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14476),
  [22454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13007),
  [22456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [22458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [22460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [22462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [22464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [22466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [22468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [22470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [22472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18128),
  [22474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14639),
  [22476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [22478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13888),
  [22480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [22482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14533),
  [22484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [22486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10136),
  [22488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [22490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [22492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [22494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13820),
  [22496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [22498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [22500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14313),
  [22502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [22504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [22506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13882),
  [22508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [22510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18095),
  [22512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [22514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [22516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14230),
  [22518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [22520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [22522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [22524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [22526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [22528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13877),
  [22530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13868),
  [22532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [22534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [22536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [22538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12682),
  [22544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13875),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14058),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12968),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16503),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14570),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12679),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [22570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13867),
  [22572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [22574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14563),
  [22576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [22578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14879),
  [22580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [22582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13851),
  [22584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [22586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [22588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13833),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14510),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [22594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [22596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13863),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [22600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [22612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13862),
  [22614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [22616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [22618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [22620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13835),
  [22622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [22624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14268),
  [22626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [22628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17786),
  [22630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [22632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [22634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14602),
  [22636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [22638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14586),
  [22640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [22642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [22644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17812),
  [22646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [22648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [22650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13891),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13841),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17862),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14599),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10584),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14048),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [22682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [22684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16299),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10905),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11069),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13276),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20206),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16336),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17082),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20223),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20205),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17081),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20202),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16339),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10721),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20168),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20162),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20193),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10774),
  [22780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 8),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [22784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12053),
  [22786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 3, 0, 9),
  [22788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10981),
  [22790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [22792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [22794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19637),
  [22796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [22798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [22800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15709),
  [22806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [22808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [22810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17161),
  [22812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19198),
  [22814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19199),
  [22816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19200),
  [22818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20042),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [22824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [22828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13635),
  [22830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19652),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [22844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [22850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19967),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13280),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [22860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19963),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19529),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20029),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19678),
  [22888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 4, 0, 28),
  [22890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19817),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [22902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [22906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19795),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19772),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19785),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13764),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19739),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20048),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10976),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19528),
  [22948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13442),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11845),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [22958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [22960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13767),
  [22962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19665),
  [22964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [22966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [22968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [22970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [22972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19417),
  [22974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [22976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19722),
  [22978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [22980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [22982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19713),
  [22984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [22986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [22988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [22990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [22992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [22994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19398),
  [22996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [22998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19737),
  [23000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [23002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [23004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [23006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19692),
  [23008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [23010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13775),
  [23012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19646),
  [23014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15263),
  [23016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [23018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [23020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19593),
  [23022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [23024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16511),
  [23026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19386),
  [23028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19378),
  [23030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19377),
  [23032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [23034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [23036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19582),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [23042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19574),
  [23052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10123),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [23060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19561),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [23072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [23078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13251),
  [23080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [23082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19667),
  [23084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [23086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [23088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [23090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [23092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [23094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [23096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19513),
  [23098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [23100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19491),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13263),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17225),
  [23110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17231),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19412),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19622),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19295),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10763),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19534),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19477),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19397),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19288),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19279),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [23156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19282),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10485),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19274),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11074),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19236),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19235),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12950),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [23202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 19),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19257),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15817),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19251),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17292),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19253),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19254),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19255),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19545),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19213),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [23252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 101),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [23264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [23270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19191),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19182),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19682),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [23290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19185),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19140),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19174),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [23310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19379),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19128),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19002),
  [23328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19084),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13073),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19011),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11753),
  [23346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [23348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19079),
  [23352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10840),
  [23354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13299),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [23360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [23364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19607),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [23370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19433),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19697),
  [23378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [23380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [23382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [23390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19020),
  [23396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [23398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19023),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19126),
  [23402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17029),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18960),
  [23408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19017),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19125),
  [23414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13244),
  [23416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [23418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13076),
  [23420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [23422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17337),
  [23424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19124),
  [23426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17346),
  [23428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [23430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19009),
  [23432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [23434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [23436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18979),
  [23438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18971),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11723),
  [23444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15626),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [23448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18831),
  [23450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [23452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [23454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18949),
  [23456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [23458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19015),
  [23460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [23462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [23464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [23466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [23468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18932),
  [23470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [23472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18929),
  [23474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [23476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [23478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [23480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18910),
  [23482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [23484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18907),
  [23486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [23488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [23490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [23492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15912),
  [23494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17263),
  [23496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19284),
  [23498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19285),
  [23500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19286),
  [23502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [23504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18890),
  [23506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [23508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [23510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [23512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [23514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19016),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19961),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16875),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19960),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19959),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19956),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16857),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19955),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19954),
  [23536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19951),
  [23538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16833),
  [23540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19950),
  [23542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19949),
  [23544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [23546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18850),
  [23548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [23550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [23552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [23554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19946),
  [23556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16800),
  [23558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19945),
  [23560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19944),
  [23562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [23564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18841),
  [23566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [23568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19941),
  [23570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16767),
  [23572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [23574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19358),
  [23576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19940),
  [23578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19939),
  [23580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [23582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19936),
  [23584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16730),
  [23586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19935),
  [23588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19934),
  [23590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15341),
  [23592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19931),
  [23594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16703),
  [23596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19930),
  [23598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19929),
  [23600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19926),
  [23602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16687),
  [23604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19925),
  [23606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19924),
  [23608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [23610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19921),
  [23612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [23614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19920),
  [23616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [23618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19919),
  [23620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [23622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [23624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18781),
  [23626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19916),
  [23628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16658),
  [23630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19915),
  [23632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19914),
  [23634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [23636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18771),
  [23638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19911),
  [23640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16636),
  [23642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [23644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19910),
  [23646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19909),
  [23648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [23650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [23652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19906),
  [23654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16604),
  [23656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19905),
  [23658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19904),
  [23660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13313),
  [23662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19901),
  [23664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16585),
  [23666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18546),
  [23670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17167),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19900),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17164),
  [23676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [23678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19899),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18746),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18708),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19889),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16533),
  [23696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16960),
  [23698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18738),
  [23700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [23702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19888),
  [23704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19887),
  [23706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [23708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16633),
  [23710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19877),
  [23712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16497),
  [23714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19876),
  [23716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16959),
  [23718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19875),
  [23720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14008),
  [23722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [23724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [23726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13320),
  [23728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [23730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [23732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18727),
  [23734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13270),
  [23736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18706),
  [23738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [23740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19004),
  [23742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19863),
  [23744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16449),
  [23746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19862),
  [23748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19861),
  [23750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13569),
  [23752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13112),
  [23754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [23756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18635),
  [23758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [23760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18633),
  [23762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [23764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [23766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16006),
  [23768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17012),
  [23770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19310),
  [23772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19311),
  [23774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19312),
  [23776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [23778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [23780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19849),
  [23782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16402),
  [23784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19848),
  [23786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19847),
  [23788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [23790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [23792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18196),
  [23794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [23796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [23798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [23800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [23802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18698),
  [23804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [23806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [23808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [23810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18451),
  [23812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19835),
  [23814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16369),
  [23816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19834),
  [23818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19833),
  [23820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [23822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18571),
  [23824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [23826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [23828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [23830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [23832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [23834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [23836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19821),
  [23838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [23840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19820),
  [23842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19819),
  [23844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [23846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [23848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [23850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18518),
  [23852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [23854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18516),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19592),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18416),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19787),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19757),
  [23874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [23876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [23878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [23880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [23882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19806),
  [23884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16504),
  [23886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [23888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19805),
  [23890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19804),
  [23892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18446),
  [23894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [23896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18442),
  [23898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [23900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13025),
  [23902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [23904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [23906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13288),
  [23908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [23910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19332),
  [23912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16936),
  [23914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13003),
  [23916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16932),
  [23918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [23920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [23922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19791),
  [23924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17261),
  [23926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19790),
  [23928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [23930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19789),
  [23932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [23934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19712),
  [23936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [23938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18381),
  [23940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [23942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18414),
  [23944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [23946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [23948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [23950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19776),
  [23952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16307),
  [23954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19775),
  [23956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19774),
  [23958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [23960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18401),
  [23962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [23964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [23966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [23968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [23970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19761),
  [23972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16710),
  [23974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19760),
  [23976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19759),
  [23978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [23980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [23982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16061),
  [23984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16821),
  [23986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19336),
  [23988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19337),
  [23990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19338),
  [23992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [23994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18480),
  [23996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12306),
  [23998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [24000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19497),
  [24002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19746),
  [24004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17145),
  [24006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19745),
  [24008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19744),
  [24010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [24012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [24014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [24016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17325),
  [24018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19731),
  [24020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17250),
  [24022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19730),
  [24024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19729),
  [24026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [24028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13515),
  [24030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [24032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [24034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19105),
  [24036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [24038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [24040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [24042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18263),
  [24044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17045),
  [24046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [24048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19716),
  [24050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17000),
  [24052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [24054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19715),
  [24056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19714),
  [24058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [24060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [24062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16807),
  [24064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [24066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18237),
  [24068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [24070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19701),
  [24072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16654),
  [24074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19700),
  [24076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18235),
  [24078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [24080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19699),
  [24082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18229),
  [24084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [24086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [24088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18186),
  [24090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [24092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18228),
  [24094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16622),
  [24096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [24098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [24100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19686),
  [24102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16602),
  [24104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16763),
  [24106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19685),
  [24108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16760),
  [24110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19684),
  [24112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [24114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [24116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [24118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12699),
  [24120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18221),
  [24122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [24124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [24126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18220),
  [24128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [24130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [24132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16573),
  [24134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18111),
  [24136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18105),
  [24138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [24140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [24142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [24144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18102),
  [24146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19671),
  [24148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16523),
  [24150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19670),
  [24152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19669),
  [24154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [24156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [24158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [24160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [24162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18087),
  [24164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13823),
  [24166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18086),
  [24168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13821),
  [24170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [24172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17780),
  [24174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19656),
  [24176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16408),
  [24178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19655),
  [24180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19654),
  [24182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [24184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18075),
  [24188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16127),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16662),
  [24194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19361),
  [24196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19362),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19363),
  [24200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [24202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19449),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18184),
  [24212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16333),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19641),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16320),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19640),
  [24220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19639),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [24226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16646),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16391),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [24234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19626),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16437),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19625),
  [24240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19624),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13259),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [24246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18134),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [24254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16556),
  [24258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16799),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19611),
  [24262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16582),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19610),
  [24266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13255),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19609),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [24272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13604),
  [24274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [24278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16614),
  [24280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [24282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16611),
  [24284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [24286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [24288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [24290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19180),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16831),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16631),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [24300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16796),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [24304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19727),
  [24306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19596),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16600),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19595),
  [24312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19306),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19594),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [24320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [24326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [24330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [24336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16997),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17005),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [24342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19802),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19581),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17079),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19580),
  [24350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19579),
  [24352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [24354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17898),
  [24356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [24358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [24360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16191),
  [24362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16505),
  [24364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19381),
  [24366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19382),
  [24368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19383),
  [24370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [24372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18058),
  [24374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17223),
  [24376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17200),
  [24378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [24380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13290),
  [24382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19565),
  [24384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [24386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19564),
  [24388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19563),
  [24390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [24392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17883),
  [24394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17797),
  [24396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [24398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17795),
  [24400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17789),
  [24404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16349),
  [24406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [24408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16424),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13275),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17773),
  [24416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17771),
  [24420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [24422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [24424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19549),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17188),
  [24430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19548),
  [24432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19547),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17761),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [24440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18800),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13262),
  [24446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [24450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16457),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16454),
  [24456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [24458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18343),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [24464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [24466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16418),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [24470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16409),
  [24472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10064),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13249),
  [24476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15546),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [24482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [24484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [24486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19533),
  [24488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16328),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19532),
  [24492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19531),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16892),
  [24496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19036),
  [24498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12896),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [24502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [24504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19037),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [24510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17726),
  [24514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19038),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [24520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13518),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16249),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [24526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19400),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19401),
  [24530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19402),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [24536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16398),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17722),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19517),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16440),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17716),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [24552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19516),
  [24554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19515),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [24558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19243),
  [24560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13311),
  [24562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [24568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17582),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16512),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16519),
  [24574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13257),
  [24576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [24580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [24584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19501),
  [24586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16586),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17420),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19500),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [24596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17702),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19499),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17677),
  [24602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [24606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19481),
  [24608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13273),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17673),
  [24612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [24614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16305),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17072),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16300),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17078),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13284),
  [24624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [24626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17431),
  [24630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19485),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17156),
  [24634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19484),
  [24636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19483),
  [24638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [24640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17515),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17513),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [24652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17509),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17285),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17291),
  [24658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [24662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [24666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [24668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19577),
  [24670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13305),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17496),
  [24674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [24676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17495),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [24680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [24682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19742),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19469),
  [24686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17354),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19468),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19467),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [24694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [24698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17486),
  [24700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [24704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [24706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [24708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16422),
  [24710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19419),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19420),
  [24714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19421),
  [24716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [24718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17277),
  [24724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17270),
  [24726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13306),
  [24728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [24732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19465),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [24736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17475),
  [24738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19453),
  [24740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17039),
  [24742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19452),
  [24744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19451),
  [24746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [24748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17454),
  [24750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12990),
  [24752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [24754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16790),
  [24756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19436),
  [24758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19437),
  [24760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [24762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17002),
  [24764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [24766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [24768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16972),
  [24770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [24772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [24774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13287),
  [24776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [24778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [24780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16502),
  [24782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [24784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17440),
  [24786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16518),
  [24788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [24790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [24792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19280),
  [24794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13298),
  [24796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16075),
  [24798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19435),
  [24800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [24802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [24804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [24806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [24808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [24810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [24812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [24814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [24816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [24818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [24820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [24822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [24824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [24826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [24828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [24830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16719),
  [24832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [24834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [24836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [24838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [24840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [24842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [24844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [24846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16080),
  [24848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [24850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [24852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [24854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [24856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [24862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [24866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [24872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11077),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16885),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [24878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [24888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [24890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [24894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [24898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [24902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [24908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [24914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [24916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [24918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17106),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [24926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [24932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [24938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15954),
  [24944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9769),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [24950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [24954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [24958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11273),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17180),
  [24962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [24964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [24966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [24972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13649),
  [24976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [24980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [24982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [24986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12441),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [24992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9684),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [24998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [25002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [25004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [25006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17356),
  [25010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [25012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [25018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [25020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [25022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [25024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [25026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15860),
  [25028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [25030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [25032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [25034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [25036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [25038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11080),
  [25040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17334),
  [25042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [25044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [25046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [25048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [25050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [25052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [25054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [25056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [25058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16381),
  [25060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13636),
  [25066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [25068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [25072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12488),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [25078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17220),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17135),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16926),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [25174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16809),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11308),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [25188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [25194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15364),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11271),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16576),
  [25222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12755),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12513),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16463),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10131),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [25280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15158),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16430),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [25312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15554),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12487),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16243),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16378),
  [25352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [25356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [25370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14931),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11145),
  [25396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15540),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12447),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [25424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16888),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15882),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11487),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16949),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13792),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [25492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10517),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9679),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16635),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [25540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16485),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [25546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13798),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16062),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14320),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11549),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16974),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16854),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17218),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [25628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [25634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [25640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [25644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16189),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13462),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17028),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12586),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16820),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16559),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [25700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15406),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [25714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [25716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [25718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [25722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11534),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16651),
  [25728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18662),
  [25742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16607),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10138),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15354),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16575),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13420),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12440),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16479),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [25822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15144),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11064),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16413),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16642),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12563),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16301),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14910),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16325),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12433),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [25946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16420),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13653),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13819),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16126),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15092),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9267),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11448),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16427),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [25992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [25996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [26000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16496),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [26032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15334),
  [26038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16712),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [26046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16542),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15375),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [26076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [26080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16589),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [26092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [26096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12562),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15372),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [26112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [26116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [26118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [26122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [26126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [26128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16613),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [26132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [26134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [26138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [26142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12574),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13861),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [26154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [26158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16647),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12566),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10558),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13814),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15399),
  [26182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11468),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16655),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [26214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12587),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16918),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [26236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15585),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13781),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16998),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [26274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [26278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [26282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12514),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [26286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11754),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [26292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17170),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [26298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [26302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [26306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9756),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15754),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16797),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12036),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [26326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11150),
  [26328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17280),
  [26330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [26332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [26334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [26336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [26338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [26340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [26342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [26344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [26346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12607),
  [26348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [26350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [26352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [26354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [26356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [26358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17216),
  [26360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10756),
  [26362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [26364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [26366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [26368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [26370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [26372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [26374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [26376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [26378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15951),
  [26380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [26382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [26384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [26386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [26388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [26390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [26392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [26394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [26396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [26398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17056),
  [26400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [26402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [26404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12967),
  [26406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [26408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [26410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [26412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [26414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [26416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [26418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12998),
  [26420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [26422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [26424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16794),
  [26426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16060),
  [26428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [26430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [26432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [26434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [26436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [26438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [26440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13214),
  [26442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16106),
  [26444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [26446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [26448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [26450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [26452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [26454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [26456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [26458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [26460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [26462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16637),
  [26464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [26466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [26468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [26470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [26472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [26474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [26476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [26478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12554),
  [26480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [26482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [26484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [26486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [26488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [26490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [26492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16385),
  [26494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16878),
  [26496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [26498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [26500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [26502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [26504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [26506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [26508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [26510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16285),
  [26512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [26514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [26516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [26518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [26520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [26522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [26524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [26526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [26528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [26530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [26532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [26534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [26536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [26538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [26540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [26542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12490),
  [26544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [26546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13141),
  [26548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [26550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [26552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17077),
  [26554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [26556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12866),
  [26558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [26560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [26562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [26564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [26566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [26568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [26570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [26572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [26574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15926),
  [26576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [26578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [26580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [26582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [26584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [26586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [26588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [26590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17329),
  [26592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [26594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [26596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [26598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [26600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [26602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [26604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12485),
  [26606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [26608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [26610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [26612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [26614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [26616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16958),
  [26618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [26620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [26622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [26624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [26626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [26628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [26630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [26632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [26634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [26636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15297),
  [26638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [26640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [26642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [26644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [26646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [26648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12886),
  [26650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [26652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [26654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16460),
  [26656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [26658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [26660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [26662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [26664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [26666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [26668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [26670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [26672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [26674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [26676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [26678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [26680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [26682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16351),
  [26684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [26686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [26688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [26690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [26692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [26694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [26696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [26698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [26700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [26702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [26704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14894),
  [26706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [26708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [26710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [26712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [26714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [26716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13031),
  [26718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [26720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [26722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [26724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16310),
  [26726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [26728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [26730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [26732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [26734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [26736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [26738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [26740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [26742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [26744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16366),
  [26746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [26748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [26750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [26752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [26754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [26756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [26758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [26760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13174),
  [26762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14979),
  [26764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [26766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [26768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16989),
  [26770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [26772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [26774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [26776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13533),
  [26778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [26780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16373),
  [26782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [26784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [26786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [26788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [26790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [26792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [26794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [26796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [26798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [26800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [26802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [26804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [26806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16395),
  [26808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [26810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [26812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [26814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [26816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [26818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13038),
  [26820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [26822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15073),
  [26824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [26826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [26828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [26830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [26832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [26834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [26836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16405),
  [26838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [26840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [26842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [26844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [26846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16005),
  [26848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [26850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12577),
  [26852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [26854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [26856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [26858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [26860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16439),
  [26862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [26864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [26866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [26868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [26870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [26872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [26874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [26876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [26878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [26880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [26882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15167),
  [26884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [26886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [26888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [26890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [26892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [26894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13573),
  [26896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11793),
  [26898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [26900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16455),
  [26902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [26904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [26906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [26908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [26910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [26912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [26914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12518),
  [26916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [26918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [26920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [26922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16489),
  [26924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [26926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [26928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [26930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17084),
  [26932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [26934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [26936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [26938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [26940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15260),
  [26942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [26944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [26946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [26948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [26950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [26952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [26954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [26956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [26958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11051),
  [26960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16506),
  [26962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [26964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [26966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [26968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [26970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [26972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12468),
  [26974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [26976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [26978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [26980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16528),
  [26982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13117),
  [26984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [26986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [26988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15317),
  [26990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [26992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [26994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [26996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [26998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16544),
  [27000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [27002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [27004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [27006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [27008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [27010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [27012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [27014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [27016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [27018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [27020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16584),
  [27022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [27024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [27026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [27028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [27030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [27032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [27034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [27036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [27038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16594),
  [27040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [27042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [27044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [27046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [27048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [27050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [27052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [27054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [27056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [27058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [27060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12547),
  [27062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [27064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [27066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [27068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16640),
  [27070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [27072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [27074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [27076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [27078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [27080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [27082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16661),
  [27084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13114),
  [27086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10913),
  [27088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [27090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [27092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [27094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16675),
  [27096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [27098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [27100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [27102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [27104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [27106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16690),
  [27108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [27110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [27112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [27114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [27116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [27118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [27120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [27122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [27124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [27126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [27128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [27130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13012),
  [27132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [27134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16737),
  [27136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10907),
  [27138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [27140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [27142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [27144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [27146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [27148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16772),
  [27150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [27152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [27154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [27156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [27158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [27160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [27162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16855),
  [27164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [27166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [27168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [27170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [27172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [27174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16990),
  [27176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [27178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [27180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [27182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [27184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [27186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9763),
  [27188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17217),
  [27190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16862),
  [27192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [27194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [27196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11102),
  [27198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9746),
  [27200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16876),
  [27202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [27204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [27206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [27208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [27210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [27212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [27214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [27216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [27218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [27220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [27222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9692),
  [27224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9691),
  [27226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [27228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [27230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [27232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [27234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [27236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15909),
  [27238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [27240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [27242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [27244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [27246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [27248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [27250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [27252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [27254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [27256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [27258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [27260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [27262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [27264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [27266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [27268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [27270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [27272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [27274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [27276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [27278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [27280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [27282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [27284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [27286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [27288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [27290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17340),
  [27292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [27294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [27296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [27298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [27300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [27302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [27304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [27306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [27308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [27310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [27312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [27314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [27316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [27318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [27320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [27322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [27324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [27326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [27328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [27330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13205),
  [27332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [27334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [27336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [27338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [27340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [27342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [27344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [27346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [27348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [27350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [27352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [27354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [27356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15623),
  [27358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [27360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [27362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [27364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12462),
  [27366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [27368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [27370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [27372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [27374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [27376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [27378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [27380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [27382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [27384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [27386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [27388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [27390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [27392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [27394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [27396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [27398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [27400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [27402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [27404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [27406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [27408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [27410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [27412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [27414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [27416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [27418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17253),
  [27420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [27422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [27424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [27426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [27428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [27430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [27432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [27434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [27436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [27438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [27440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [27442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [27444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [27446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [27448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [27450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [27452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [27454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [27456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [27458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [27460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [27462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [27464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [27466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [27468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [27470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [27472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [27474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17596),
  [27476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17594),
  [27478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17593),
  [27480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [27482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [27484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [27486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [27488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [27490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [27492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [27494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [27496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [27498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [27500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [27502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [27504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [27506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [27508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [27510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [27512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [27514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [27516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [27518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [27520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [27522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [27524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [27526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [27528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15629),
  [27530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [27532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [27534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [27536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [27538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [27540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [27542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [27544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [27546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [27548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [27550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [27552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [27554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [27556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [27558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [27560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [27562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [27564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [27566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [27568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [27570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [27572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [27574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [27576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [27578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [27580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [27582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [27584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [27586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16580),
  [27588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [27590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [27592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [27594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [27596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [27598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [27600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [27602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [27604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [27606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [27608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [27610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [27612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [27614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [27616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [27618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19269),
  [27620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19275),
  [27622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19287),
  [27624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [27626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [27628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [27630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [27632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [27634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [27636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [27638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [27640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [27642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [27644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [27646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [27648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [27650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [27652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [27654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [27656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [27658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [27660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [27662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [27664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [27666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [27668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [27670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [27672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [27674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [27676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [27678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [27680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [27682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [27684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [27686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [27688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [27690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [27692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [27694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [27696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [27698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [27700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [27702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13082),
  [27704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [27706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [27708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16377),
  [27710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17310),
  [27712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [27714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [27716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [27718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [27720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [27722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [27724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [27726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [27728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [27730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [27732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [27734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [27736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19851),
  [27738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19850),
  [27740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19843),
  [27742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [27744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [27746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12448),
  [27748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [27750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [27752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [27754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [27756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [27758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [27760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [27762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [27764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [27766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [27768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11310),
  [27770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [27772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10003),
  [27774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [27776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [27778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [27780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [27782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19203),
  [27784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [27786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [27788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [27790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [27792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9755),
  [27794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [27796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [27798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [27800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [27802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [27804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [27806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [27808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [27810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11689),
  [27812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [27814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [27816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [27818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16561),
  [27820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [27822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11472),
  [27824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [27826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [27828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [27830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [27832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [27834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [27836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [27838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19193),
  [27840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19190),
  [27842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19181),
  [27844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [27846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [27848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [27850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [27852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19222),
  [27854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12591),
  [27856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [27858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [27860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [27862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [27864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [27866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17047),
  [27868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [27870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [27872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15812),
  [27874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [27876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16560),
  [27878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [27880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16713),
  [27882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [27884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [27886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [27888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18873),
  [27890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18866),
  [27892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18865),
  [27894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19261),
  [27896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [27898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [27900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [27902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [27904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [27906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [27908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [27910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [27912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [27914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [27916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [27918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [27920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16850),
  [27922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [27924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [27926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [27928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18594),
  [27930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18582),
  [27932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18581),
  [27934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [27936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [27938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [27940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [27942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [27944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [27946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [27948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [27950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [27952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [27954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [27956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [27958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [27960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [27962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [27964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [27966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16957),
  [27968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [27970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [27972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12469),
  [27974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18308),
  [27976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18304),
  [27978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18303),
  [27980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [27982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [27984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [27986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [27988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [27990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [27992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [27994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [27996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [27998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [28000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [28002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9825),
  [28004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [28006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17266),
  [28008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [28010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [28012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17061),
  [28014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [28016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [28018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18038),
  [28020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18035),
  [28022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18034),
  [28024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [28026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [28028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16539),
  [28030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [28032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [28034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [28036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [28038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [28040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [28042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [28044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [28046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19276),
  [28048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19277),
  [28050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17150),
  [28052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [28054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17831),
  [28056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17828),
  [28058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17827),
  [28060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [28062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [28064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19278),
  [28066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [28068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [28070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [28072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [28074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [28076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [28078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [28080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [28082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [28084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17238),
  [28086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [28088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17668),
  [28090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17659),
  [28092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17658),
  [28094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [28096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [28098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [28100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [28102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [28104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [28106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [28108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [28110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [28112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [28114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [28116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [28118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [28120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17324),
  [28122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [28124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17457),
  [28126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17453),
  [28128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17452),
  [28130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [28132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [28134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [28136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [28138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [28140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [28142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [28144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [28146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [28148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [28150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17343),
  [28152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [28154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17410),
  [28156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17411),
  [28158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [28160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [28162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [28164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [28166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [28168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [28170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [28172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [28174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [28176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [28178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [28180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [28182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17330),
  [28184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17462),
  [28186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17463),
  [28188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17464),
  [28190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [28192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [28194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [28196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [28198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [28200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [28202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [28204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17300),
  [28206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [28208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17517),
  [28210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17518),
  [28212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17519),
  [28214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [28216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [28218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [28220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [28222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [28224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [28226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [28228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [28230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [28232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17279),
  [28234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [28236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17572),
  [28238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17573),
  [28240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17574),
  [28242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [28244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [28246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [28248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [28250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [28252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [28254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [28256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [28258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [28260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17258),
  [28262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [28264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17627),
  [28266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17628),
  [28268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17629),
  [28270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [28272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [28274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [28276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [28278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [28280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [28282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [28284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17236),
  [28286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [28288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17682),
  [28290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17683),
  [28292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17684),
  [28294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [28296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [28298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19334),
  [28300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [28302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [28304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [28306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12600),
  [28308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17206),
  [28310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [28312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17737),
  [28314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17738),
  [28316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17739),
  [28318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [28320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [28322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [28324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [28326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9733),
  [28328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [28330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [28332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15292),
  [28334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17171),
  [28336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17792),
  [28338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17793),
  [28340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17794),
  [28342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [28344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [28346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [28348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13751),
  [28350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [28352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [28354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [28356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [28358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [28360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17152),
  [28362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [28364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17847),
  [28366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17848),
  [28368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17849),
  [28370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [28372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [28374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [28376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [28378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [28380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [28382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [28384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [28386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [28388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [28390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17131),
  [28392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [28394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17902),
  [28396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17903),
  [28398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17904),
  [28400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [28402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15285),
  [28404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [28406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [28408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [28410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [28412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17111),
  [28414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [28416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17944),
  [28418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17945),
  [28420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17946),
  [28422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [28424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [28426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [28428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [28430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [28432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [28434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [28436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [28438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [28440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [28442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17089),
  [28444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [28446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17985),
  [28448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17986),
  [28450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17987),
  [28452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [28454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [28456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [28458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [28460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [28462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [28464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [28466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [28468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [28470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17071),
  [28472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [28474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18026),
  [28476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18027),
  [28478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18028),
  [28480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [28482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [28484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [28486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [28488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [28490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [28492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [28494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [28496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [28498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [28500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17059),
  [28502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [28504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18067),
  [28506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18068),
  [28508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18069),
  [28510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [28512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [28514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [28516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [28518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13770),
  [28520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [28522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [28524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12425),
  [28526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [28528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17040),
  [28530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [28532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18108),
  [28534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18109),
  [28536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18110),
  [28538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [28540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [28542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [28544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [28546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [28548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [28550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [28552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [28554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [28556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17027),
  [28558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18149),
  [28560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18150),
  [28562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18151),
  [28564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [28566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15244),
  [28568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [28570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [28572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [28574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16490),
  [28576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11023),
  [28578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [28580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [28582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17004),
  [28584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12342),
  [28586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18190),
  [28588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18191),
  [28590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18192),
  [28592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [28594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [28596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [28598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [28600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [28602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [28604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [28606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [28608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [28610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [28612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16991),
  [28614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [28616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18231),
  [28618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18232),
  [28620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18233),
  [28622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [28624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [28626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [28628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [28630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [28632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [28634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [28636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16978),
  [28638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [28640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18272),
  [28642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18273),
  [28644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18274),
  [28646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [28648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [28650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [28652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [28654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [28656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [28658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [28660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [28662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16963),
  [28664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [28666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18313),
  [28668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18314),
  [28670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18315),
  [28672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [28674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [28676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [28678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [28680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [28682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [28684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [28686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [28688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16952),
  [28690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18354),
  [28692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18355),
  [28694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18356),
  [28696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [28698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [28700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [28702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [28704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [28706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [28708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [28710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16935),
  [28712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [28714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18394),
  [28716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18395),
  [28718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18396),
  [28720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [28722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [28724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [28726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [28728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [28730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [28732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [28734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [28736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [28738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [28740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16919),
  [28742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [28744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18434),
  [28746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18435),
  [28748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18436),
  [28750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [28752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [28754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [28756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13028),
  [28758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [28760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [28762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [28764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [28766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16898),
  [28768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [28770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18473),
  [28772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18474),
  [28774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18475),
  [28776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [28778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15183),
  [28780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [28782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [28784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [28786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [28788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [28790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [28792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [28794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [28796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16881),
  [28798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [28800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18512),
  [28802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18513),
  [28804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18514),
  [28806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [28808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [28810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [28812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [28814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [28816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [28818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [28820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16446),
  [28822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [28824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [28826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16868),
  [28828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [28830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18551),
  [28832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18552),
  [28834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18553),
  [28836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [28838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [28840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [28842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19634),
  [28844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [28846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [28848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18589),
  [28850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18590),
  [28852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18591),
  [28854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [28856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [28858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [28860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [28862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [28864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17178),
  [28866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [28868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [28870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [28872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18627),
  [28874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18628),
  [28876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18629),
  [28878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [28880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [28882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [28884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [28886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [28888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [28890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [28892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [28894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18665),
  [28896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18666),
  [28898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18667),
  [28900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [28902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [28904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [28906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [28908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [28910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [28912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [28914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [28916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [28918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [28920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18703),
  [28922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18704),
  [28924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18705),
  [28926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [28928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [28930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [28932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [28934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11765),
  [28936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [28938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [28940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [28942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18729),
  [28944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18730),
  [28946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18731),
  [28948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [28950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [28952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [28954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [28956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [28958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [28960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [28962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18752),
  [28964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18753),
  [28966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18754),
  [28968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [28970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [28972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18765),
  [28974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18766),
  [28976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18767),
  [28978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18777),
  [28980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18778),
  [28982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [28984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [28986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [28988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [28990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18788),
  [28992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18789),
  [28994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [28996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [28998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18797),
  [29000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18798),
  [29002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18799),
  [29004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [29006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [29008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18807),
  [29010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18808),
  [29012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18809),
  [29014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [29016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18817),
  [29018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18818),
  [29020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18819),
  [29022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [29024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [29026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [29028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18828),
  [29030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18829),
  [29032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [29034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [29036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18837),
  [29038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18838),
  [29040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18839),
  [29042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [29044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [29046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18847),
  [29048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18848),
  [29050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18849),
  [29052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [29054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [29056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18857),
  [29058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18858),
  [29060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18859),
  [29062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [29064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [29066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18867),
  [29068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18868),
  [29070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18869),
  [29072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [29074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18877),
  [29076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [29078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18879),
  [29080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [29082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [29084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [29086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [29088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [29090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [29092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [29094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [29096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [29098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [29100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [29102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [29104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [29106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [29108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [29110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [29112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [29114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [29116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [29118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15401),
  [29120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [29122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [29124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [29126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [29128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [29130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [29132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [29134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13055),
  [29136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [29138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [29140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19049),
  [29142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16432),
  [29144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12579),
  [29146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [29148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [29150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [29152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [29154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [29156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15379),
  [29158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13051),
  [29160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13039),
  [29162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [29164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [29166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [29168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [29170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19137),
  [29172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [29174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [29176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [29178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15344),
  [29180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13057),
  [29182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12428),
  [29184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [29186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [29188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [29190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19210),
  [29192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [29194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15706),
  [29196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12442),
  [29198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [29200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15329),
  [29202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12244),
  [29204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [29206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [29208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19258),
  [29210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [29212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [29214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [29216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13041),
  [29218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15320),
  [29220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [29222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [29224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15315),
  [29226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [29228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [29230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15304),
  [29232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [29234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [29236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15290),
  [29238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15283),
  [29240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15278),
  [29242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15270),
  [29244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15261),
  [29246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15252),
  [29248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15243),
  [29250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15237),
  [29252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15226),
  [29254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15222),
  [29256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15215),
  [29258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15204),
  [29260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15198),
  [29262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15186),
  [29264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15179),
  [29266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15170),
  [29268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15164),
  [29270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15157),
  [29272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15150),
  [29274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15140),
  [29276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15133),
  [29278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15128),
  [29280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15121),
  [29282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15115),
  [29284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15110),
  [29286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15105),
  [29288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15098),
  [29290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15089),
  [29292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15082),
  [29294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15071),
  [29296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15058),
  [29298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15053),
  [29300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15046),
  [29302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15039),
  [29304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15032),
  [29306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15028),
  [29308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15026),
  [29310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15023),
  [29312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15020),
  [29314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [29316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15016),
  [29318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15014),
  [29320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15012),
  [29322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15010),
  [29324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15008),
  [29326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15002),
  [29328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15000),
  [29330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14998),
  [29332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19994),
  [29334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [29336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [29338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [29340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19882),
  [29342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [29344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12869),
  [29346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [29348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [29350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [29352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15083),
  [29354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [29356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [29358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [29360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13142),
  [29362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [29364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [29366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [29368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [29370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [29372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [29374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [29376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [29378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [29380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [29382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [29384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [29386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [29388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [29390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [29392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10139),
  [29394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [29396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [29398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [29400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13483),
  [29402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [29404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [29406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [29408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [29410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [29412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [29414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [29416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [29418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [29420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [29422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13325),
  [29424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [29426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [29428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [29430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [29432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [29434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [29436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [29438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [29440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [29442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [29444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [29446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [29448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [29450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [29452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [29454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [29456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20240),
  [29458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [29460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [29462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [29464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [29466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [29468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17127),
  [29470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [29472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [29474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [29476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [29478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [29480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [29482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [29484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [29486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20222),
  [29488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [29490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [29492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [29494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [29496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [29498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [29500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13328),
  [29502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [29504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [29506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [29508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [29510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [29512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [29514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [29516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [29518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [29520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [29522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13081),
  [29524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [29526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [29528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13102),
  [29530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [29532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [29534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [29536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [29538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [29540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [29542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [29544] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [29546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [29548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [29550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12561),
  [29552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [29554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [29556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [29558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [29560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
  [29562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_type_external_scanner_create(void);
void tree_sitter_ocaml_type_external_scanner_destroy(void *);
bool tree_sitter_ocaml_type_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_type_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_type_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml_type(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__lowercase_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_type_external_scanner_create,
      tree_sitter_ocaml_type_external_scanner_destroy,
      tree_sitter_ocaml_type_external_scanner_scan,
      tree_sitter_ocaml_type_external_scanner_serialize,
      tree_sitter_ocaml_type_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
